zenon Analyzer

zenon Analyzer

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der zenon Analyzer bietet Ihnen durch systemübergreifende Analyse managementnahe und controllingnahe Sicht auf alle online und offline verfügbare Daten. Er fasst bisher getrennte Aufgaben zusammen und eliminiert Reibungsverluste, die durch parallele Abstimmung, Wartung und Koordination unterschiedlicher IT-Systeme entstehen. Der zenon Analyzer:

  • verdichtet und verrechnet Daten aus verschiedenen Quellen in verschiedenen Formaten
  • setzt sie zueinander in Relation
  • stellt die Ergebnisse daraus in grafischer Form als Report dar

tutorial Lizenzinformation

Der zenon Analyzer ist lizenzpflichtig. Details siehe Abschnitt Lizenzierung.

Screenshots - Expanding

attention Achtung

Ab Version 2.0 werden ausschließlich 64-Bit Betriebssysteme unterstützt.

Überblick

Beim Einsatz des zenon Analyzer wird der Produktionsprozess nicht unterbrochen. Der zenon Analyzer kann in ein bestehendes Produktivsystem implementiert werden, ohne dass dieses umkonfiguriert werden muss. Bei Datenerhebung und Reporterstellung läuft das Produktivsystem ungestört weiter. Die bestehende Infrastruktur wird unabhängig von Herstellern in das Reporting durch zenon Analyzer eingebunden.

Für den Zugriff auf Auswertungen ist nur ein Microsoft Standard-Browser nötig. Es muss keine Software installiert, angepasst oder gewartet werden. Auswertungen können ohne zusätzliche Komponenten oder Plug-Ins im Intranet eines Unternehmens publiziert werden. Standard-Reports werden bereits mit zenon Analyzer ausgeliefert. Es können jederzeit eigene Auswertungen erstellt, gespeichert und verteilt werden. Um Reports aus der Prozessebene zu erstellen, wird auf den jeweiligen Runtime-Rechnern ein Connector-Container installiert. Diese Installation beeinträchtigt das laufende System nicht.

info Info

Der zenon Analyzer nutzt Komponenten vom Microsoft Reporting Service.

Detaillierte Anleitungen für die Microsoft Reporting Services finden Sie auf der Microsoft Homepage:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch

Überblick über die Hilfe zum zenon Analyzer

In der Hilfe zum zenon Analyzer finden Sie Informationen zu:

  • Grundlagen zu Architektur, Datenstrukturen und Datenaufbereitung
  • Installation der Module des zenon Analyzer
  • Rechteverwaltung
  • Konfiguration und Bedienung des Analyzer Managers (Site, Ordner und Reports)
  • ZAMS - zenon Analyzer Management Studio: Reports erstellen und verwalten, Benutzer verwalten, Server verwalten
  • Manual Data Editor: Ermöglicht es, in einer zenon Analyzer Metadaten Datenbank die Tabellen für Preis- und Normwerte zu bearbeiten.
  • Mitgelieferte Reportvorlagen: Dokumentation der mit dem zenon Analyzer ausgelieferten Reportvorlagen.
  • Beispielprojekt

info Info

Für die Projektierung individueller Reports steht ein eigenes Handbuch zur Verfügung. Dieses erhalten Sie nach Absolvierung eines entsprechenden Trainings bei COPA-DATA. Für Informationen zu Trainings und zum Handbuch für Entwickler wenden Sie sich bitte per E-Mail an sales@copadata.com.

Noch in diesem Kapitel

Upgrade-Informationen

Grundlagen

Installation und Update

Datenaufbereitung

Analyzer Wizards

Rechteverwaltung

Analyzer Manager: Konfiguration und Bedienung

Analyzer Manager: Reports

ZAMS - zenon Analyzer Management Studio

Metadatenbank-Editoren

Mitgelieferte Reportvorlagen

Ereignisgesteuerte Reporterstellung

Fehler-Logging


Upgrade-Informationen

zenon Analyzer -> Upgrade-Informationen

Beachten Sie beim Umstieg von einer Vorgängerversion auf Version 2.20:

Fehler-Logging

Für das Fehler Logging wird der zenon Logging-Dienst Diagnose Viewer für das Sammeln und Anzeigen von Fehlermeldungen genutzt. Dieser steht unter Windows XP nicht zur Verfügung. In diesem Fall werden Fehlermeldungen wie bisher lokal gespeichert.

Import von Bedeutungen, Wasserfallmodellen und Anzeigenamen aus zenon

Bis Version 2.10 wurden aus zenon benötigten Daten in die Variableneigenschaft Betriebsmittelkennung eingetragen. Ab Version 2.20 hängt das von der verwendeten zenon Version ab. Bis zenon 7.11 ändert sich nichts. Ab zenon Version 7.20 stehen neue Eigenschaften in der neuen Eigenschaftengruppe Analyzer zur Verfügung. Damit können Bedeutungen (Meanings) und Wasserfallmodelle in getrennten Eigenschaften definiert werden. Auch für den Anzeigenamen in zenon Analyzer steht jetzt eine eigene Eigenschaft zur Verfügung.

Hinweis: Der Parametrization Wizard wurde in Meaning and Waterfall Chart Wizard umbenannt.

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfalldiagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Alle Eigenschaften sind auf 255 Zeichen begrenzt.

Beim Export zum zenon Analyzer werden sowohl die bisherige Eigenschaft Betriebsmittelkennung als auch die neuen überprüft. Sind beide belegt, werden die Einträge der neuen Eigenschaften übernommen. Einträge, die über den Meaning and Waterfall Chart Wizard erstellt werden, werden immer in die neuen Eigenschaften eingetragen.

Konvertierung von Datenbanken

Beachten Sie bei der Konvertierung von Datenbanken vor allem:

  • Wird eine Datenbank mit einer Versionsnummer kleiner 2 konvertiert, dann muss der SCADA SQL-Connector neu erstellt werden, um:
    • emulierte Archive in Reports verfügbar zu haben
    • Archive für den Import aus Fremddatenbanken verfügbar zu haben
  • Wird eine Datenbank mit einer Versionsnummer kleiner 3 konvertiert, dann muss der SCADA SQL-Connector neu erstellt werden, um:
    • Archive für den Import aus Fremddatenbanken verfügbar zu haben

Report-Konvertierung

zenon Analyzer 2.20 kann keine Datenbanken und Reportvorlagen aus älteren Versionen öffnen. Reportvorlagen aus Version 2.10 oder früher müssen in die Version 2.20 konvertiert werden. Bei der Verbindung zu einer Datenbank mit älteren Versionen erhalten Sie eine entsprechende Information. Datenbanken konvertieren Sie über das Menü SQL-Server -> Datenbanken konvertieren.

Report-Lizenzierung

Um Reportvorlagen und Reports verwenden zu können, müssen diese lizenziert sein. Welche Reportvorlagen und Reports Ihnen zur Verfügung stehen, erfahren Sie aus Ihrem Lizenzschein. Details zur Lizenzierung finden Sie in den Kapiteln Lizenzierung und Mitgelieferte Reportvorlagen.

Uhrzeiten

Bei der Konfiguration von Uhrzeiten für feste Zeiträume wird jetzt im Unterschied zu früheren Versionen verwendet:

Zeitpunkt | Bisher | Neu
Jahresende | 31. Dezember 23:59:59 | 1. Januar des Folgejahres, 00:00:00
Monatsende | Letzter Tag des Monats, 23:59:59 | erster Tag des Folgemonats, 00:00:00
Wochenende | Sonntag mit Tagesende (23:59:59) | Montag der folgenden Kalenderwoche mit Tagesbeginn (00:00:00)
Tagesende | 23:59:59 | d 00:00:00 des folgenden Tages

Wizards

Für zenon Analyzer stehen drei Wizards zur Verwendung mit dem SCADA-System zenon ab Version 7.10 zur Verfügung:

  • Analyzer Export Wizard
  • Meaning and Waterfall Chart Wizard
  • Sankey Wizard

Wizards werden seit zenon Analyzer 2.20 nicht mehr mit dem zenon Analyzer installiert. Die Installation erfolgt ab zenon 7.20 mit der Installation von zenon. Für die zenonVersionen 7.10 und 7.11 können die Wizards über Build-Setups manuell installiert bzw. upgedatet werden.

Um Wizards manuell zu installieren:

  1. Öffnen Sie am zenon Analyzer Installationsmedium den Ordner \zenon_Build_Setups.
  2. Wählen Sie das gewünschte Build.
  3. Starten Sie die Installation.

Achtung: Mit einem Build-Update wird die gesamte am Rechner vorhandene zenon Version auf den gewählten Build aktualisiert. Es können nur Builds für bereits installierte Versionen ausgeführt werden.

Zeitfilter

Die Kontrollelemente für die Konfiguration von Zeitpunkten und Zeitintervallen wurden erweitert.

Screenshots - Expanding

  • Die Zeitfilterkonfiguration erlaubt jetzt die Konfiguration unterschiedlicher Vorfilterbereiche.
  • Granularität des Zeitfilters ist ein eigenes Kontrollelement.
  • Die Standarsdzeitbereichskonfiguration ermöglicht die Konfiguration zweier Zeitbereiche, wenn unterschiedliche Vorfilterbereiche definiert wurden.

Die entsprechenden Kontrollelemente im Analyzer Manager wurden erweitert.


Grundlagen

zenon Analyzer -> Grundlagen

Der zenon Analyzer nutzt Daten aus unterschiedlichen, unabhängigen und nicht vernetzten Systemen. Daten aus heterogenen Umgebungen werden zusammengeführt und ausgewertet.

Der zenon Analyzer :

  1. akquiriert Daten
  2. verdichtet Daten
  3. verwaltet Metadaten wie Anlagenstrukturen
  4. verwaltet Vorlagen
  5. verwaltet Zugriffsrechte und Berechtigungen
  6. berechnet Auswertungen
  7. verteilt Auswertungen an Clients

attention Achtung

Variablenname dürfen nicht zwei oder mehr Leerzeichen in Folge enthalten. Sind mehrere Leerzeichen in Folge enthalten, kann das beim Aufruf im Analyzer Manager zu einem Javascript-Fehler (Error 500) führen.

Voraussetzungen allgemein

zenon Analyzer benötigt für:

  • die Erstellung und Verwaltung von Reports:
    • eine SQL Server 2012 Datenbank und
    • die SQL Server 2012 Reporting-Services
  • die Anzeige von Reports: Standard-Browser

Für die Erstellung eigener Reports sind fundierte Kenntnisse in SQL und MS Report Builder 3.0 Voraussetzung.

Details zu den technischen Voraussetzungen siehe Abschnitt Technologie.

Voraussetzungen Hardware und Software

Hardware

Analyzer Server:

Parameter | Empfohlen | Minimum
CPU | Quad-Core Server CPU (maximal 16 Cores/4 Sockets) | Quad-Core
RAM | 12 GB oder mehr | 8 GB
Freier Speicherplatz | 200 GB | 10 GB

Engineering-Rechner:

Parameter | Empfohlen | Minimum
CPU | Dual Core | Pentium IV
RAM | 4 GB | 1 GB
Freier Speicherplatz | 200GB | 2 GB
Bildschirm (Pixel) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

Für den Datenbank-Server wird ein 64-Bit Betriebssystem vorausgesetzt. Unterstützt werden:

  • Windows Server 2012 R2
  • Windows Server 2012 SP0 64-Bit
  • Windows Server 2008 R2 SP1 64-Bit
  • Windows Server 2008 SP2 64-Bit
  • Windows 8 Professional 64-bit
  • Windows 8 64-bit
  • Windows 7 SP1 64-Bit Ultimate
  • Windows 7 SP1 64-Bit Enterprise
  • Windows 7 SP1 64-Bit Professional

Engineering-Rechner:

  • Windows Server 2012 R2
  • Windows Server 2012 SP0
  • Windows Server 2008 R2 SP1 family
  • Windows Server 2008 SP2 family
  • Windows 8 family
  • Windows 7 SP1 family
  • Windows Vista SP2 family

Webbrowser:

  • Internet Explorer 11 (nur Kompatibilitätsansicht)
  • Internet Explorer 10 (nur Kompatibilitätsansicht)
  • Internet Explorer 9 (nur Normalansicht)
  • Internet Explorer 8 (nur Normalansicht)

Empfohlenes HMI/SCADA System:

  • zenon 7.10 oder höher

Datenaufbereitung

Die Datenaufbereitung erfolgt mehrschichtig. Damit können Daten aus verschiedenen Quellen und Formaten universell ausgewertet und einfach gewartet werden.

Datenstrukturen

Daten stammen entweder aus statischen Projektdaten oder dynamischen Nutzdaten. Details siehe Abschnitt Datenstrukturen.

Datenerhebung

Der zenon Analyzer greift über Connectoren nicht-invasiv auf Daten zu. Quellsysteme müssen nicht umkonfiguriert werden. Bestehende Infrastruktur wird unabhängig von Herstellern in das Reporting durch zenon Analyzer eingebunden. Für andere Systeme als zenon 6.x/7.x wird lediglich ein Connector-Container installiert. Diese Installation greift nicht in das Runtime-System ein und unterbricht nicht den Prozess.

Noch in diesem Kapitel

Technologie

Architektur

Zeitformate

Rahmenbedingungen


Technologie

zenon Analyzer -> Grundlagen -> Technologie

In diesem Abschnitt erfahren Sie die technisch nötigen Voraussetzungen für

  • Server
  • Client
  • Datenquellen
  • Projektierungsplatz

sowie die unterstützten Standards für

  • Schnittstellen

Server

SQL Server 2012 Datenbank

In der Datenbank befinden sich die Metadaten und gegebenenfalls auch in SQL gespeicherte Nutzdaten. Zur Abfrage werden Stored Procedures (Ebene 2) ausgeführt. Diese greifen wiederum auf User Defined Functions zur Datenaquisition und –abstraktion zurück. Bei Bedarf laden diese den Connector Stub, der die Nutzdaten online vom Quellsystem anfordert. Zusätzlich gibt es noch User Defined Functions, die Hilfsfunktionalitäten für die Auswertung zur Verfügung stellen.

SQL Server 2012 Reporting Services

Die Reporting Services laufen als Web-Anwendung und stellen als Web Server den Clients alle Reports zur Anzeige im Webbrowser zur Verfügung. Zusätzlich erfolgt auch die Parametrierung der Datenquellen, Reports usw. über das Web-Frontend Analyzer Manager.

Der Pfad zum Analyzer Manager lautet: http://[Computername]/Reports_za2.

Reporting Lizenz-Dienst (zrsLicSrv)

Der Reporting Lizenz-Dienst prüft den CodeMeter Dongle und die am Server vorhandene Lizenz und gibt die Lizenzinformationen an alle beteiligten Komponenten weiter. Er führt auch die Liste aller Client-Leases.

Client

Webbrowser

Um Reports vom Server anzuzeigen, ist am Client nur ein Webbrowser erforderlich.

info Info

Designed und getestet wurde der zenon Analyzer für und mit dem Microsoft Internet Explorer ab Version 8.

Achtung: Für die korrekte Darstellung von Reports darf die Kompatibilitätsansicht im Internet Explorer 8 und 9 nicht aktiviert sein. Für höhere Versionen des Internet Explorers muss die Kompatibilitätsansicht aktiviert sein.

Datenquelle

Connector-Container

Auf allen Rechnern, die als Datenquelle dienen können, muss der Connector-Container mitsamt seinen verschiedenen Connectoren installiert und gestartet werden. Der TCP-Port des Connector-Containers muss von außen erreichbar sein.

Projektierungsplatz

Analyzer Export Wizard

Der Analyzer Export Wizard ist in den zenon Editor integriert und dient dem Import der Metadaten in die SQL Server 2012 Datenbank. Der Wizard unterstützt zenon 7.xx voll. Ältere Versionen des zenon Editors werden nicht unterstützt.

Schnittstellen

zenon Analyzer unterstützt folgende Standardschnittstellen:

  • zenon Runtime 5.50, 6.x, 7.x
  • SQL


Architektur

zenon Analyzer -> Grundlagen -> Architektur

Der zenon Analyzer verknüpft Daten aus unterschiedlichen, heterogenen Quellen zu validen Reports in Echtzeit. Die Reports reagieren dynamisch auf Änderungen der Datenbasis.

Kommunikation aus Prozess-Sicht

Kommunikation aus Datensicht

Aufbau zenon Analyzer

Der zenon Analyzer besteht aus:

  • Datenquellen
  • Connectoren zu den Datenquellen
  • Container für Connectoren und Datenharmonisierung
  • Datenablage
  • Report Builder mit Filter und Berechnungen
  • zenon Analyzer Management Studio zur Reporterstellung und Verwaltung
  • Web Server
  • Oberfläche am Client für Abruf und Verwaltung von Reports am Client

Abläufe

Reports werden von Administratoren oder Benutzern konfiguriert und publiziert.

Reports können auch von Administratoren mit dem Microsoft Report Builder 3.0 erstellt werden. Voraussetzung sind umfassende Kenntnisse in SQL. Für Informationen zum MS Report Builder siehe entsprechende Hilfe des Microsoft Report Builders. Endbenutzer rufen Reports über die Oberfläche ihres Clients auf.

Die für den Report nötigen Daten werden über Connectoren gesammelt und vor der Verwendung harmonisiert. Damit bleiben Reports auch bei unterschiedlichen Quellen, Zeitzonen usw. aussagekräftig.


Zeitformate

zenon Analyzer -> Grundlagen -> Zeitformate

Es werden drei Zeitformate verwendet:

  • Local Time: wird in Reports verwendet
  • UTC: wird in abstrahierten historischen und aktuellen Werten sowie in Datenbank-Tabellen verwendet
  • Unix Time: wird in SQL-Tabellen verwendet

Local Time

Abfragen im Report und die Anzeige der Ergebnisse erfolgt in Local Time.

UTC

Abstrahierte historische und aktuelle Werte werden in UTC angegeben. Zur Anzeige in Reports werden sie in Local Time umgerechnet.

UTC steht für Coordinated Universal Time. Die Zeiteinheit ist die SI-Sekunde. UTC ist die einheitliche Grundlage für die internationale Zeitbestimmung und wird über Zeitsender und andere Zeitdienste öffentlich zur Verfügung gestellt. Abhängig von der Zeitzone muss zur UTC eine bestimmte Zeitspanne addiert oder subtrahiert werden. Diese Zeitspanne kann bei einem Wechsel zur Sommerzeit um eine Stunde variieren.
Beispiele:

Land | Lokalzeit
Alaska | UTC -9
Australien, Queensland | UTC +10
Bulgarien | UTC +2
Großbritannien | UTC
Korea | UTC +9
Mitteleuropa (MEZ) | UTC +1
Mitteleuropa (MEZ) Sommerzeit | UTC +2
Saudi Arabien | UTC +3
USA Ostküste | UTC -5
Vereinigte Arabische Emirate | UTC +4

Auswirkungen auf Konfigurationen

Projektierte Zeitangaben haben je nach Ausführungsort der Runtime unterschiedliche tatsächliche Uhrzeiten zur Folge.

Zum Beispiel: Am Editor wird für den PFS lokal in der Zeitzone UTC +1 der Wert 14.00 Uhr für die Ausführung einer Funktion projektiert. Nach dem Transfer der Dateien auf eine Runtime in der Zeitzone UTC +10 wird diese Funktion um 23 Uhr ausgeführt. Unix Time

In der SQL-Datenbanken wird Unix Time verwendet, das betrifft z. B.:

  • ausgelagerte Archive
  • exportierte Archive
  • exportierte Alarme
  • exportierte CEL

Ablauf

  • Abfragen in Reports werden in LocaL Time angegeben.
  • Die Übergabe vom Report an die Table Valued User Defined Functions erfolgt in UTC
  • Abfragen an SQL werden in Unix Time umgerechnet.
  • Ergebnisse werden in UTC umgerechnt und im Report als Local Time angezeigt.


Rahmenbedingungen

zenon Analyzer -> Grundlagen -> Rahmenbedingungen

Für die Arbeit mit dem zenon Analyzer gelten folgende Voraussetzungen:

Analyzer Server Hardware und Software

Hardware

Analyzer Server:

Parameter | Empfohlen | Minimum
CPU | Quad-Core Server CPU (maximal 16 Cores/4 Sockets) | Quad-Core
RAM | 12 GB oder mehr | 8 GB
Freier Speicherplatz | 200 GB | 10 GB

Engineering-Rechner:

Parameter | Empfohlen | Minimum
CPU | Dual Core | Pentium IV
RAM | 4 GB | 1 GB
Freier Speicherplatz | 200GB | 2 GB
Bildschirm (Pixel) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

Für den Datenbank-Server wird ein 64-Bit Betriebssystem vorausgesetzt. Unterstützt werden:

  • Windows Server 2012 R2
  • Windows Server 2012 SP0 64-Bit
  • Windows Server 2008 R2 SP1 64-Bit
  • Windows Server 2008 SP2 64-Bit
  • Windows 8 Professional 64-bit
  • Windows 8 64-bit
  • Windows 7 SP1 64-Bit Ultimate
  • Windows 7 SP1 64-Bit Enterprise
  • Windows 7 SP1 64-Bit Professional

Engineering-Rechner:

  • Windows Server 2012 R2
  • Windows Server 2012 SP0
  • Windows Server 2008 R2 SP1 family
  • Windows Server 2008 SP2 family
  • Windows 8 family
  • Windows 7 SP1 family
  • Windows Vista SP2 family

Webbrowser:

  • Internet Explorer 11 (nur Kompatibilitätsansicht)
  • Internet Explorer 10 (nur Kompatibilitätsansicht)
  • Internet Explorer 9 (nur Normalansicht)
  • Internet Explorer 8 (nur Normalansicht)

Empfohlenes HMI/SCADA System:

  • zenon 7.10 oder höher

Connectoren

Für Connectoren gilt:

  • Timeout: 5 Minuten (unabhängig vom Report-Timeout)
  • Variablen: Nur Variablen, die in den Metadaten angeführt werden, werden abgefragt
  • String-Variable: maximal 4000 Zeichen

Die Performance eines Connectors hängt ab von der:

  • Performance des Analyzer Servers
  • Performance des Runtime Servers
  • Last des Runtime Servers (Connector läuft mit niedriger Priorität)
  • Netzwerkleistung und Netzwerkauslastung

Projekte und Filter

Es können Reports über mehrere Projekte erstellt werden, ausgenommen bei der Verwendung von Filter für Schichten oder Chargen. In diesem Fall sind Reports auf ein Projekt beschränkt.

attention Achtung

Es können nur Archivdaten ausgewertet werden, deren Variablen aus dem eigenen Projekt stammen.

Das heißt: Wird, zum Beispiel in einem Integrationsprojekt, in einem Archiv eine Variable aus einem Unterprojekt archiviert, dann kann der zenon Analyzer auf diese Variable nicht zugreifen.

Zeitpläne

  • Tage pro Monat sind auf 1 - 28 beschränkt (entspricht dem Februar in Nicht-Schaltjahren)
  • das Ereignis "Monatsende" ist nicht verfügbar

Analyzer Export Wizard

Der Analyzer Export Wizard funktioniert mit zenon ab Version 7.10 SP0. Für jede unterstütze zenon Version steht ein eigener Wizard zur Verfügung.


Installation und Update

zenon Analyzer -> Installation und Update

Die Installation des zenon Analyzer umfasst mehrere Komponenten:

  • Analyzer Server:
    Zentraler SQL Server
  • zenon Analyzer Management Studio:
    Tool zur Verwaltung des zenon Analyzer und zur Erstellung von Reports. Dieses muss am Projektierungsrechner installiert werden.
  • Connector:
    Connector für Runtime. Dieser wird am Runtime-rechner installiert.
    Der TCP-Port des Connector-Containers muss von außen erreichbar sein. Diese Installation greift nicht in das Runtime-System ein und unterbricht nicht den Prozess.

Voraussetzungen für Hardware und Software finden Sie im Kapitel Rahmenbedingungen.

Hinweise:

  • .NET Framework 3.5
    Um die Installation erfolgreich ausführen zu können, muss .NET Framework 3.5 bereits lauffähig auf dem Zielcomputer installiert sein. Anderenfalls liefert das <CD-ZRS> Setup eine Fehlermeldung und bricht den Installationsvorgang ab.
  • Remote-Installation
    Das Installationsmedium muss sich am lokalen Rechner befinden. Netzlaufwerke stehen bei einem Reboot während der Installation eventuell nicht zeitgerecht zur Verfügung. Kopieren Sie bei Remote-Installationen und virtuellen Installationen den Inhalt des Installationsmediums in einen temporären Ordner am Rechner und starten Sie das Setup.

attention Achtung

Achten Sie auf ausreichende Lizenzierung.

Hinweis Wizards

Für zenon Analyzer stehen drei Wizards zur Verwendung mit dem SCADA-System zenon ab Version 7.10 zur Verfügung:

  • Analyzer Export Wizard
  • Meaning and Waterfall Chart Wizard
  • Sankey Wizard

Wizards werden seit zenon Analyzer 2.20 nicht mehr mit dem zenon Analyzer installiert. Die Installation erfolgt ab zenon 7.20 mit der Installation von zenon. Für die zenonVersionen 7.10 und 7.11 können die Wizards über Build-Setups manuell installiert bzw. upgedatet werden.

Um Wizards manuell zu installieren:

  1. Öffnen Sie am zenon Analyzer Installationsmedium den Ordner \zenon_Build_Setups.
  2. Wählen Sie das gewünschte Build.
  3. Starten Sie die Installation.

Achtung: Mit einem Build-Update wird die gesamte am Rechner vorhandene zenon Version auf den gewählten Build aktualisiert. Es können nur Builds für bereits installierte Versionen ausgeführt werden.

Installation oder Update durchführen

Um Komponenten des zenon Analyzer zu installieren:

  1. Verbinden Sie das Installationsmedium mit dem Rechner oder kopieren Sie dessen Inhalt in einen lokalen Ordner.
    Sollte das Setup nicht automatisch starten, benutzen Sie die die Datei start.exe.
  2. Wählen Sie die gewünschte Sprache aus der Dropdownliste.
  3. Akzeptieren Sie die Lizenzvereinbarungen.
  4. Klicken Sie auf die Schaltfläche Weiter.
  5. Führen Sie bei Bedarf das Update von Komponenten aus oder wählen Sie die gewünschten Komponenten aus.
  6. Klicken Sie auf die Schaltfläche Weiter.
  7. Die Installation bzw. das Update startet.
  8. Folgen Sie den Anweisungen des Installationsassistenten.

attention Achtung

Beim Update einer vorhandenen Installation erfolgt das Hinzufügen neuer Komponenten in zwei Schritte:

  • Bereits vorhandene Komponenten werden upgedatet.
  • Das Setup muss neu gestartet werden. Neue Komponenten können hinzugefügt werden.

Startfenster

Screenshots - Expanding

Parameter

Beschreibung

Dropdownliste Sprache

Auswahl der Sprache für die Installation. Zur Verfügung stehen:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch
  • Spanisch

Lizenzvereinbarungen

Lizenzvertrag mit Bedingungen für die Nutzung des zenon Analyzer. Für die Installation müssen die Bedingungen durch Klick auf die Checkbox Ich akzeptiere die Bedingungen der Lizenzvereinbarung angenommen werden.

Weiter

Schaltet zum nächsten Schritt der Installation. Nur aktiv, wenn die Lizenzvereinbarungen akzeptiert wurden.

Update von Vorversionen

Werden bei der Installation Komponenten von Vorversionen entdeckt, wird deren Update angeboten. Updates können durchgeführt werden für die zenon Analyzer Versionen 2.00 und 2.10. Erst nach Durchführung des Updates können zusätzliche Komponenten installiert werden. Dazu muss die Start.exe erneut aufgerufen werden.

Screenshots - Expanding

Parameter | Beschreibung
Liste Update | Zeigt die Komponenten an, die bei der Installation upgedatet werden. Es können keinen einzelnen Komponenten ausgewählt werden. Soll kein Update stattfinden, kann der aktuelle zenon Analyzer nicht installiert werden. Die Installation kann durch schließen des Fensters abgebrochen werden.
Start | Startet das Update der vorhandenen Komponenten. Sollen zusätzliche Komponenten installiert werden, starten Sie das Setup erneut.

Modulauswahl

Screenshots - Expanding

Parameter

Beschreibung

Modulauswahl

Auswahl der zu installierenden Komponenten durch Aktivierung der jeweiligen Checkboxen:

  • Analyzer Server:
    Zentraler SQL Server.
    Voraussetzung: 64-Bit Betriebssystem
  • Demoprojekt und Demoreports:
    Beispieldatenbank.
    Voraussetzung: 64-Bit Betriebssystem.
  • zenon Analyzer Management Studio:
    Tool zur Erstellung und Verwaltung von Serververbindungen sowie Reports.
    Voraussetzung: 32-Bit oder 64-Bit Betriebssystem.
  • Metadatenbankeditoren:
  • SCADA Runtime Connector:
    Connectoren für Runtime und SQL.
    Voraussetzung: 32-Bit oder 64-Bit Betriebssystem.

Seriennummer

Eingabe der Seriennnummer zur Lizenzierung.

Nur vorhanden, wenn der Analyzer Server installiert werden soll. Ist bereits eine Seriennummer am System vorhanden, wird diese automatisch eingetragen.

Aktivierungsnummer

Eingabe der Aktivierungsnummer.

Nur vorhanden, wenn der Analyzer Server installiert werden soll. Ist bereits eine Aktivierungsnummer am System vorhanden, wird diese automatisch eingetragen.

Weiter

Startet die Installation. Nur aktiv, wenn Module zur Installation ausgewählt wurden.

Symbole bei Modulauswahl

Symbol | Bedeutung
General Analyzer Schema Graphics Template | Installation kann durchgeführt werden.
General Analyzer Schema Graphics Template | Installation nicht möglich.

Installationsfortschritt

Screenshots - Expanding

Der Installationsablauf wird in einem eigenen Fenster mit Symbolen angezeigt:

Symbol | Bedeutung
General Analyzer Schema Graphics Template | Noch nicht installiert
General Analyzer Schema Graphics Template | Wird gerade installiert
General Analyzer Schema Graphics Template | Installation OK
General Analyzer Schema Graphics Template | Installation fehlgeschlagen

Nach erfolgreicher Installation aller gewünschten Komponenten beenden Sie den Installationswizard mit Klick auf die Schaltfläche Beenden.

Screenshots - Expanding

Installation am Client

Am Client wird lediglich ein aktueller Microsoft Internet Explorer benötigt. Die Sprache, die im Internet Explorer eingestellt wird, bestimmt die Sprache für den Analyzer Manager. Die Sprache für das zenon Analyzer Management Studio wird in den Optionen des ZAMS festgelegt.

Noch in diesem Kapitel

Lizenzierung

Deinstallation von zenon Analyzer Version 1.6 und 2.0


Lizenzierung

zenon Analyzer -> Installation und Update -> Lizenzierung

Zur Lizenzierung des zenon Analyzer ist ein CodeMeter Dongle Voraussetzung.

Ohne gültige Lizenz:

  • ist kein Zugriff von außen über die Standard-Zugriffsseite möglich
  • keine Connector-Funktionalität gegeben
  • kann das ZAMS nicht gestartet werden
  • können Reportvorlagen und Reports nicht verwendet werden

Die Eingabe der Lizenzdaten erfolgt für den Analyzer Server bei der Installation, für alle anderen Komponenten bei Bedarf über das zenon Analyzer Management Studio bzw. die zenon Lizenzierung.

Hinweis: Eine neue zenon Analyzer Lizenz wird nur akzeptiert, wenn sie über genügend Client-Lizenzen für alle Benutzer mit fixer Lizenz verfügt.

Lizenzierung über ZAMS - zenon Analyzer Management Studio

Um neue Lizenzdaten einzugeben:

  1. wählen Sie im Menü Analyzer Server oder im Dialog Lizenz anzeigen den Befehl Neue Lizenz eingeben
  2. der Dialog mit den Lizenzinformationen wird geöffnet
  3. geben Sie Seriennummer und Aktivierungsschlüssel ein
  4. klicken Sie auf Neue Lizenz prüfen
  5. ist das Ergebnis positiv, klicken Sie auf OK, um die Lizenz zu aktivieren

Dialog Lizenz eingeben

Screenshots - Expanding

Parameter

Beschreibung

Seriennummer

Eingabe der Seriennummer.

Aktivierungsschlüssel

Eingabe des Aktivierungsschlüssels.

Neue Lizenz prüfen

Klick auf diese Schaltfläche prüft Eingaben, bevor diese auf den Lizenz Server geschrieben werden, ob:

  • eingegebenen Lizenzdaten über eine korrekte Syntax verfügen
  • mit den eingegebenen Daten eine Lizenz auf einem CodeMeter Dongle belegt werden kann
  • der Aktivierungsschlüssel zur Seriennummer passt

Damit der Test gestartet wird, müssen sowohl Seriennummer als auch Aktivierungsschlüssel eingegeben worden sein.

Testergebnis

Zeigt das Testergenis von Neue Lizenz prüfen an.

OK

Schreibt die eingegebene Lizenz in den Lizenz-Service am Analyzer Server und schließt den Dialog. Das Ergebnis des Schreibens der Lizenz wird im Ausgabefenster dargestellt.

Damit die Lizenzdaten geschrieben werden, müssen sowohl Seriennummer als auch Aktivierungsschlüssel eingegeben worden sein.

Abbrechen

Schließt den Dialog, ohne Daten in den Lizenz-Service zu schreiben.

attention Achtung

Werden falsche Lizenzdaten eingegeben, wird der Zugriff auf den Analyzer Server für alle Clients gesperrt. Überprüfen Sie neue Lizenzdaten immer mit einem Klick auf die Schaltfläche Neue Lizenz prüfen, bevor Sie die Lizenz mit Klick auf OK setzen.

Eintrag in zenAnalyzer.ini

Die Lizenzinformationen werden in der zenAnalyzer.ini im zenon Systemordner hinterlegt.

  • Sektion [DEFAULT])
    • Eintrag SERIAL7=
    • Eintrag ACTIVATIONKEY7=

Die CodeMeter-Prüfung und Verwaltung der gleichzeitigen Zugriffe erfolgt über den Dienst zrsLicSrv.

Details zur Lizenzierung und zum CodeMeter Dongel siehe Handbuch Lizenzierung, Kapitel CodeMeter.


Deinstallation von zenon Analyzer Version 1.6 und 2.0

zenon Analyzer -> Installation und Update -> Deinstallation von zenon Analyzer Version 1.6 und 2.0

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allgemeine Empfehlungen

  • Testinstallationen: Installieren Sie diese am besten in einer virtuellen Umgebung.
  • Prerequisites: Können auch von anderen Programmen benötigt werden. Nur deinstallieren, wenn Sie sicher sind, dass sie nicht mehr benötigt werden.
  • LOG-Dateien: Können prinzipiell gelöscht werden.
  • Registry: Änderungen an Einträgen sollten nur von einer fachkundigen Person durchgeführt werden.

Deinstallation

Je nach installierten Komponenten unterscheiden sich die Deinstallationsvorgänge für:

  • zenon Analyzer 1.6
  • zenon Analyzer 2.0

Noch in diesem Kapitel

Deinstallation zenon Analyzer 1.6

Deinstallation zenon Analyzer 2.0 und 2.10


Deinstallation zenon Analyzer 1.6

zenon Analyzer -> Installation und Update -> Deinstallation von zenon Analyzer Version 1.6 und 2.0 -> Deinstallation zenon Analyzer 1.6

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installierte Komponenten

Die Installation des zenon Analyzer 1.6 besteht aus den Prerequisites und vier Hauptkategorien.

Prerequisites

  • Microsoft Visual C++ 2010 Redistributable Package (x86)

Kategorien

  • Analyzer (Server)
  • Analyzer Connector
  • Analyzer Wizard (Kann nur installiert werden, wenn der zenon 6.51 Editor bereits vorhanden ist.)
  • Analyzer Assistant

Deinstallation

Analyzer (Server)

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer
  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: License
  • Löschen Sie den Ordner: C:\ProgramData\COPA-DATA\zenonAnalyzer

Analyzer Connector

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Connectors
  • Löschen Sie den Ordner: C:\Program Files (x86)\Common Files\COPA-DATA\Connectors
  • Löschen Sie den Registry-Eintrag:
    [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run]
    COPA-DATA Connector=C:\Program Files (x86)\COPA-DATA\zenon Analyzer\zrsConnector.exe

Analyzer Export Wizard

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Export Wizard
  • Löschen Sie den Ordner: C:\ProgramData\COPA-DATA\zenon651\WizardsVSTA\ZRS_MetadataExport
  • Konfigurieren Sie die Datei C:\ProgramData\COPA-DATA\zenon651\WizardsVSTA\wizards.ini:

    [DEFAULT]
    COUNT=x -> dekrementieren auf x-1
    [WIZARD_X] -> kompletten Eintrag mit allen Unterzeilen löschen

Analyzer Assistant

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Report_Assistant
  • Löschen Sie den Ordner: C:\Program Files (x86)\COPA-DATA\zenon Analyzer


Deinstallation zenon Analyzer 2.0 und 2.10

zenon Analyzer -> Installation und Update -> Deinstallation von zenon Analyzer Version 1.6 und 2.0 -> Deinstallation zenon Analyzer 2.0 und 2.10

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installierte Komponenten

Die Installation des zenon Analyzer 2.0 bzw. 2.10 besteht aus vier Hauptkategorien:

  • Analyzer (Server)
    • Demoprojekte
  • ZAMS (zenon Analyzer Management Studio)
  • Analyzer Connector
  • Analyzer Wizard

Deinstallation

Analyzer (Server)/Demoprojekte

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Server
  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: License
  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Demo
  • Löschen Sie den Ordner: C:\ProgramData\COPA-DATA\zenonAnalyzer
  • Löschen Sie den Registry-Eintrag:
    HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\zenonAnalyzer

zenon Analyzer Management Studio (ZAMS)

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Management Studio
  • Löschen Sie den Ordner: C:\ProgramData\COPA-DATA\zenonAnalyzer
  • Löschen Sie den Registry-Eintrag:
    HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\zenonAnalyzer

Analyzer Connector

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Connectors
  • Löschen Sie den Ordner: C:\Program Files (x86)\Common Files\COPA-DATA\Connectors
  • Löschen Sie den Registry-Eintrag:
    [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run]
    COPA-DATA Connector=C:\Program Files (x86)\COPA-DATA\zenon Analyzer\zrsConnector.exe

Analyzer Export Wizard

  • Deinstallieren Sie: Systemsteuerung -> Programme und Features -> zenon Analyzer: Export_Wizard
  • Löschen Sie den Ordner: C:\ProgramData\COPA-DATA\zenon700\WizardsVSTA\Wizard_Analyzer_Export
  • Konfigurieren Sie die Datei C:\ProgramData\COPA-DATA\zenon700\WizardsVSTA\wizards.ini:

    [DEFAULT]

    COUNT=x -> dekrementieren auf x-1

    [WIZARD_X] -> kompletten Eintrag mit allen Unterzeilen löschen


Datenaufbereitung

zenon Analyzer -> Datenaufbereitung

Die Datenaufbereitung erfolgt mehrschichtig. Damit können Daten aus verschieden Quellen und Formaten universell ausgewertet und einfach gewartet werden.

  • Ebene 1: Datenabstraktion
    Auf unterster Ebene erfolgt die Datenabstraktion bzw. –vereinheitlichung. Sie stellt sicher, dass die Quelldaten für den eigentlichen Auswertealgorithmus immer im selben Format und in gleicher Weise zur Verfügung stehen.
  • Ebene 2: Verdichtung und Verrechnung
    Eine Ebene darüber erfolgt die eigentliche Verdichtung und Verrechnung zu jenen Daten, die letztendlich im Report dargestellt werden sollen. Diese Stufe ist bereits unabhängig von der Datenherkunft und somit universell.
  • Ebene 3: Report
    Die Ausgabedaten der zweiten Ebene werden dann im Report als dritte Ebene in grafische Form gebracht. Die Darstellung im Report ist wiederum unabhängig der zur Verrechnung notwendigen Algorithmen in der zweiten Ebene. Das bedeutet, dass im Report keine Berechnungen und Verdichtungen erfolgen sollen, die über reine Anzeige hinaus gehen (z. B. Formatierung von Lokalzeit o.ä.).

Noch in diesem Kapitel

Ebene 1: Datenabstraktion

Ebene 2: Verdichtung und Verrechnung

Ebene 3: Report


Ebene 1: Datenabstraktion

zenon Analyzer -> Datenaufbereitung -> Ebene 1: Datenabstraktion

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei der Datenabstraktion werden zwei Kategorien von Daten unterschieden:

  1. Projektierungsdaten

    Diese bleiben über die Laufzeit grundsätzlich fest und werden hier als Metadaten bezeichnet.
    Die Metadaten werden beim Import in die Datenbank vom Import-Wizard abstrahiert bzw. vereinheitlicht. Sie liegen damit unabhängig von ihrer ursprünglicher Herkunft im de Format vor, wie im Kapitel Datenstrukturen definiert.

  2. Laufzeitdaten
    Die eigentlichen Laufzeitdaten sind jene Daten, die üblicherweise die Grundlage für alle Auswertungen bilden. Sie werden hier als Nutzdaten bezeichnet.

    Laufzeitdaten werden über Connectoren abgegriffen. COPA-DATA liefert einen Runtime-Connector und SQL-Connector mit dem zenon Analyzer aus. Individuelle Erweiterungen können in Absprache mit COPA-DATA in die Connectoren integriert werden.

Connector-Container

Der Connector-Container ist eine Anwendung (EXE), die am Quellsystem läuft und die Connector-Plugins (DLLs) lädt und ausführt. Der Connector-Container ist ein normaler Anwenderprozess (kein Dienst o.ä.), der üblicherweise mit der Applikation gestartet wird, welche die Daten liefern soll. Der Connector-Container öffnet einen TCP-Port und wartet auf Query-Anfragen vom Connector-Stub, worauf er das angefragten Connector-Plugin lädt und die zur Anfrage passende Zugriffsfunktion aufruft. Die Rückgabedaten werden dann an den Connector-Stub zurück gesendet. Es können mehrere Queries von verschiedenen TCP-Verbindungen parallel durchgeführt werden, wenn das Quellsystem das unterstützt.

Im Normalbetrieb ist der Connector-Container als Icon im Task-Tray eingetragen und hat kein Hauptfenster. Zusätzliche Statusinformationen können dort über einen Statusdialog angezeigt werden.

Mehr im Handbuch für Report-Entwickler im Kapitel Connectoren.

Dialog

Screenshots - Expanding

Parameter | Beschreibung
Number of connectes Clients | Zeigt die Zahl der verbundenen Clients an.
Minimize | Minimiert den Dialog in den Infobereich der Taskleiste.
Exit | Beendet den Connector-Container.

Neustart

Wurde der Connector-Container beendet, kann er erneut gestartet werden durch:

  • Neustart des Rechners.
  • Manuellen Start.
    • Unter Windows 8: Task-Manager -> Registerkarte -> Autostart -> Connector-Container -> Dateipfad öffnen -> Doppelklick auf zrsConnector.exe.
    • Andere Betriebssysteme: Dateipfad öffnen -> Doppelklick auf zrsConnector.exe.
      Pfad 32-Bit: C:\Program Files (x86)\Common Files\COPA-DATA\Connectors
      Pfad 64-Bit: C:\Program Files\Common Files\COPA-DATA\Connectors


Ebene 2: Verdichtung und Verrechnung

zenon Analyzer -> Datenaufbereitung -> Ebene 2: Verdichtung und Verrechnung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Jegliche Art der Verdichtung und Verrechnung der in Ebene 1 aufbereiteten Nutzdaten erfolgt in Stored Procedures. Diesen werden, wenn nötig, Filterkriterien über Parameter übergeben.

Die Stored Procedures sind unabhängig vom Format der Nutzdaten und von der visuellen Ausprägung des Ergebnisses. Sie beinhalten nur die Berechnungsalgorithmik und die Filtermethodiken bezogen auf die Metadaten.

So weit technisch möglich, sind sie auch unabhängig von konkreten Annahmen über die Metadaten, also unabhängig von konkreten Variablennamen. Ist dies nicht möglich, wird die Zuordnung zu diesen festen Metadatenbestandteilen am Anfang der Stored Procedure als eigener klar ersichtlicher Block realisiert, um projektspezifischen von universellem Auswerteteil zu trennen.


Ebene 3: Report

zenon Analyzer -> Datenaufbereitung -> Ebene 3: Report

Die in Ebene 2 generierten Ergebnisdaten werden in einem Report der SQL Server 2012 Reporting-Services grafisch formatiert. Im Report selbst erfolgen keine Berechnungen. Auch wird nie direkt auf Datenbanktabellen zugegriffen, sondern nur auf die Stored Procedures aus Ebene 2. Die Reports sind damit:

  • völlig unabhängig von der Datenbankstruktur
  • universell und
  • austauschbar


Analyzer Wizards

zenon Analyzer -> Analyzer Wizards

Der zenon Analyzer verfügt über Wizards, die bei der korrekten Parametrisierung des SCADA-Systems und beim Export der Daten aus dem SCADA-System unterstützen. Aktuell wird das SCADA-System zenon unterstützt.

Wizards:

  • Export Wizard for Analyzer 2.10: unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 2.10.
  • Export Wizard for Analyzer 2.20: unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 2.20.
  • Meaning and Waterfall Chart Wizard: unterstützt Sie bei der Vorbereitung eines zenon Projekts auf die Verarbeitung von Variablen-Informationen im zenon Analyzer.
  • Analyzer Export Wizard: unterstützt den Export von Metadaten aus zenon ab Version 7.10 SP0 für den zenon Analyzer.
  • Sankey Wizard: unterstützt Sie bei der Erstellung von Sankey-Diagrammen, die Sie in der Runtime oder im zenon Analyzer verwenden können.

Die Wizards für zenon Analyzer werden bei der Installation von zenon 7.20 automatisch installiert. Der Anaylzer Export Wizard verfügt über eine eigene DLL. Meaning and Waterfall Chart Wizard und Sankey Wizard teilen sich eine DLL. Installation und Wartung unterscheiden sich damit von anderen zenon Wizards. Analyzer Wizards werden mit den Updates von zenon ab Version 7.20 automatisch am aktuellen Stand gehalten. Das Update kann bei Bedarf über die am zenon Analyzer Installationsmedium enthaltene Build-Datei für zenon ab Version 7.10 auch manuell erfolgen. Details siehe Kapitel Installation und Update im Handbuch zenon Analyzer.

Syntax für Eingaben in zenon

Die Eingabe in zenon hängt von der verwendeten zenon Version ab.

Bis zenon 7.11

Bis inklusive zenon Version 7.11 werden Meaning und Wasserfallmodell in die zenon Eigenschaft Betriebsmittelkennung eingetragen. Diese kann Bedeutungen für mehrere Kategorien enthalten.

Für Einträge in die Eigenschaft Betriebsmittelkennung gilt:

  • Kategorien werden durch Strichpunkt (;) getrennt.
  • Bereiche innerhalb einer Kategorien werden durch Komma (,) getrennt.
  • Kategorien werden durch einen Index gekennzeichnet:
    • ME=: Identifiziert eine Bedeutung (Meaning).
      Syntax: ME=[Hauptbedeutung als Text],[Zusatzbedeutung als Text],[Zusatzbedeutung als Text],…;
      Beispiel: ME=Station_1,Station_2;
    • WF=: Identifiziert eine Variable für die Wasserfalldarstellung.
      Syntax: WF=[Modellname Text],[Zeilenindex INT],[Spaltenindex INT],[Farbcode als Text #XXXXXX];;
    • Jeder andere Eintrag wird ebenfalls als Meaning verstanden

Gesamtsyntax für die Eigenschaft Betriebsmittelkennung: ME=[Meaning1],[Meaning2],…,[MeaningN];WF=[Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Die Eigenschaft Betriebsmittelkennung ist im zenon Editor auf 255 Zeichen begrenzt.

Ab zenon 7.20

Ab zenon 7.20 stehen in zenon eigene Eigenschaften zur Definition von Meaning und Wasserfall sowie zur Eingabe eines Anzeigenamens zur Verfügung. Diese Einträge benötigen keine vorangestellte Kennzeichnung.

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfalldiagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Alle diese Eingabefelder im zenon Editor sind auf 255 Zeichen begrenzt.

Beim Export zum zenon Analyzer werden sowohl die bisherige Eigenschaft als auch die neuen überprüft. Sind beide belegt, werden die Einträge der neuen Eigenschaften übernommen. Einträge, die über den Meaning and Waterfall Chart Wizard erstellt werden, werden immer in die neuen Eigenschaften eingetragen.

Noch in diesem Kapitel

Export Wizard for Analyzer 2.10

Export Wizard for Analyzer 2.20

Meaning and Waterfall Chart Wizard

Sankey Wizard


Export Wizard for Analyzer 2.10

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der zenon Export Wizard for Analyzer 2.10 unterstützt den Export von Metadaten aus zenon ab Version 7.10 SP0 für den zenon Analyzer 2.10.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert mit zenon ab Version 7.10 SP0. Für jede unterstütze zenon Version steht ein eigener Wizard zur Verfügung.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Wizard installieren und aufrufen

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Wizard installieren und aufrufen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard aufzurufen:

  1. öffnen Sie in zenon das Menü Datei
    oder drücken Sie die Tastenkombination Alt+F12
  2. wählen Sie den Eintrag Wizards...
  3. der Auswahldialog wird geöffnet
  4. navigieren Sie zum Knoten Analyzer
  5. wählen Sie den Analyzer Export Wizard

    Screenshots - Expanding

  6. mit Klick auf OK starten Sie den Wizard


Startfenster

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Startfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Export mit dem Analyzer Export Wizard werden alle in der Registerkarte Settings gewählten Module der Reihe nach zur Detailkonfiguration angeboten. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten auch direkt anwählen durch Klick auf den Titel der Registerkarte.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Sammeln der Metadaten
  • Equipment model: Export der Modellgruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Historian: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Achtung: Es kann nur ein Globalprojekt in die Datenbank exportiert werden! Arbeitsbereiche, deren Projekte in die Datenbank exportiert werden sollen, müssen dieses Globalprojekt beinhalten.

Noch in diesem Kapitel

Navigation

Settings

Equipment model

Alarm/Ereignis-Klassen

Event groups

Users

Projects

Historian

Variables

Finish


Navigation

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Navigation

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
  • Nein: beendet den Wizard ohne die Konfiguration zu speichern

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Settings

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Parameter

Beschreibung

Settings

Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB instance

Instanz der Datenbank.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication inaktiv.

Options

Allgemeine Optionen für den Export.

Load every project of this workspace into the memory

Aktiv: Lädt alle im Arbeitsbereich vorhandenen Projekte, auch wenn sie nicht aktiv sind und nicht auf Projekt im Speicher halten gesetzt sind.

Keep the exisiting data in the Analyzer database

Aktiv: Es werden nur neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.

Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht.
Ausnahme: Projekte werden nicht gelöscht

Preselect existing Analyzer database content

Aktiv: Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Parameter

Beschreibung

Liste der geänderten Objekte

Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Folgende umbenannten Objekte werden in der Liste angezeigt:

  • Namen der Anlagenmodellgruppen
  • Namen der Alarm/Ereignis-Klassen
  • Namen der Alarm/Ereignis-Gruppen
  • Projektnamen
  • Variablenamen

Ausnahmen:

  • Benutzer werden immer neu angelegt
  • Archivnamen werden in der Datenbank nur einmal als Visualname angelegt und können im zenon Analyzer überschrieben werden

Rename

Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.

Cancel

Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment model

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Equipment model

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Parameter

Beschreibung

Equipment modeling

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl, was in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird:

  • Plant: zeigt Anlagenmodelle an
  • Media: zeigt Medien an

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Alarm/Ereignis-Klassen

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Alarm/Ereignis-Klassen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Parameter

Beschreibung

Alarm/event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Event groups

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Parameter

Beschreibung

Alarm/event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Users

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Parameter

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Projects

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server und Standby Server können hier geändert werden. Dazu:

  1. markieren Sie das Projekt in der Liste der Projekte
  2. tragen Sie die gewünschten Namen für Server und Standby Server ein

Wird im zenon Projekt der Name des Servers oder des Standby Servers geändert, dann wird dieser in der Analyzer Datenbank nur dann aktualisiert, wenn in den Projekteigenschaft die Einstellung Netzwerk aktiv aktiviert wurde.

Parameter

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server

Adresse des Servers für das im Listenfenster gewählte Projekt.

Standby

Adresse des Standby Servers für das im Listenfenster gewählte Projekt.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Historian

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Historian

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Haupt-Archive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Hauptarchiven mit ausgewählt und in die Datenbank geschrieben.

Parameter

Beschreibung

Historian

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Variables

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Variablen aus den lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Parameter

Beschreibung

Variables

Informationen und Hinweise zum Export.

Variable Filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • Show all: Alle Variablen werden angezeigt.
  • Historians only: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups only: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.
  • Show not selected only: Nur Variablen, die nicht ausgewählt wurden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.


Finish

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Konfiguration -> Finish

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. öffnen Sie die Registerkarte Settings
  2. klicken Sie auf die Schaltfläche Load data
  3. konfigurieren Sie die Registerkarten


Wizard beenden

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.10 -> Wizard beenden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um den Wizard zu beenden:

  • klicken Sie die Schaltfläche Cancel
  • ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll
    • Klick auf Ja schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
    • Klick auf Nein beendet Wizard ohne Konfiguration zu speichern


Export Wizard for Analyzer 2.20

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der zenon Export Wizard for Analyzer 2.20 unterstützt den Export von Metadaten aus zenon ab Version 7.0 SP0 für den zenon Analyzer 2.20.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfalldiagramm (siehe Abschnitt Parameter Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert mit zenon ab Version 7.10 SP0. Für jede unterstütze zenon Version steht ein eigener Wizard zur Verfügung.

Noch in diesem Kapitel

Sankey-Diagramme

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Sankey-Diagramme

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • Diagramme werden je nach Einstellung für die Option Keep the existing data in the Analyzer database hinzugefügt:
    • Aktiv: Nur neue Diagramme werden in der Analyzer-Datenbank hinzugefügt.
    • Inaktiv: Neue Diagramme werden hinzugefügt und bestehende Diagramme aktualisiert.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wizard installieren und aufrufen

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Wizard installieren und aufrufen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard aufzurufen:

  1. Öffnen Sie in zenon das Menü Datei
    oder drücken Sie die Tastenkombination Alt+F12.
  2. Wählen Sie den Eintrag Wizards.
  3. Der Auswahldialog wird geöffnet.
  4. Navigieren Sie zum Knoten Analyzer.
  5. Wählen Sie den Analyzer Export Wizard in der gewünschten Version.

    Screenshots - Expanding

  6. mit Klick auf OK starten Sie den Wizard


Startfenster

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Startfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models: Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Alarm/Ereignis-Klassen

Event groups

Users

Projects

Archives

Variables

Finish


Navigation

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Navigation

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Settings

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Settings

Parameter | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Parameter

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB instance

Instanz der Datenbank.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Parameter

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die AUswahl der Checkbox hinzugefügt werden.

Options

Parameter

Beschreibung

Options

Allgemeine Optionen für den Export.

Keep the existing data in the Analyzer database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Preselect existing Analyzer database content
  • Aktiv: Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Parameter

Beschreibung

Liste der geänderten Objekte

Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Folgende umbenannten Objekte werden in der Liste angezeigt:

  • Namen der Anlagenmodellgruppen
  • Namen der Alarm/Ereignis-Klassen
  • Namen der Alarm/Ereignis-Gruppen
  • Projektnamen
  • Variablenamen

Ausnahmen:

  • Benutzer werden immer neu angelegt
  • Archivnamen werden in der Datenbank nur einmal als Visualname angelegt und können im zenon Analyzer überschrieben werden

Rename

Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.

Cancel

Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Equipment models

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Parameter

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Alarm/Ereignis-Klassen

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Alarm/Ereignis-Klassen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Parameter

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Event groups

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Parameter

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Users

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Parameter

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Projects

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Wird im zenon Projekt der Name des Server 1 oder des Server 2 geändert, dann wird dieser in der Analyzer Datenbank nur dann aktualisiert, wenn in den Projekteigenschaft die Einstellung Netzwerk aktiv aktiviert wurde.

Parameter

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Archives

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Archives

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Haupt-Archive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Hauptarchiven mit ausgewählt und in die Datenbank geschrieben.

Parameter

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Variables

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Parameter

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meaning: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Ressource label:Entspricht in zenon der Eigenschaft Betriebsmittelkennung. Wird bis inklusive zenon 7.11 für Bedeutung und Parameter Wasserfall-Diagramm verwendet. Ab Version 7.20 stehen dafür eigene Eigenschaften in zenon zur Verfügung.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the existing data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfalldiagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung

Parameter Wasserfall-Diagramm


Anzeigenamen

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Variables -> Anzeigenamen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Variables -> Bedeutung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Parameter Wasserfall-Diagramm

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Variables -> Parameter Wasserfall-Diagramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Parameter für Wasserfalldiagramm aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Wasserfall gilt:

  • Sind Einträge für Parameter für Wasserfalldiagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung WF= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehreren Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Finish

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Konfiguration -> Finish

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

zenon Analyzer -> Analyzer Wizards -> Export Wizard for Analyzer 2.20 -> Wizard beenden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Meaning and Waterfall Chart Wizard

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Meaning and Waterfall Chart Wizard unterstützt Sie bei der Vorbereitung eines zenon Projekts auf die Verarbeitung von Variablen-Informationen im zenon Analyzer.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

attention Achtung

Wird der Meaning and Waterfall Chart Wizard mit einem Projekt mit Verteiltem Engineering (Multi-User) verwendet, dann muss im zenon Editor Änderungen ermöglichen aktiviert werden für:

  • das Projekt (Kontextmenü des Projekts)
  • die Variablen (Kontextmenü der Variablen oder des Moduls Variablen)

Anderenfalls können die vom Meaning and Waterfall Chart Wizard durchgeführten Änderungen nicht übernommen werden. Diese werden dann verworfen.

Der Meaning and Waterfall Chart Wizard unterstützt bei der zenon Projektierung die Konfiguration von:

  • Bedeutungen (Meaning)
  • Wasserfall-Diagrammen (Waterfall)

Der Wizard schreibt die Konfiguration in die entsprechenden Eigenschaften der im Wizard ausgewählten Variablen. Die Ziel-Eigenschaften hängen ab von der eingesetzten zenon Version.

AB zenon 7.20

  • Bedeutungen:

    Die Bedeutungen (Meanings) werden in die Eigenschaft Analyzer/Bedeutung geschrieben. Mehrere Einträge werden durch Komma (,) getrennt.

  • Wasserfall:

    Die Parameter für Wasserfall-Diagramme werden in die Eigenschaft Analyzer/Parameter für Wasserfalldiagramm geschrieben. Die Parameter für ein Diagramm werden durch Komma (,) getrennt. Mehrere Diagramme werden durch Semikolon (;) getrennt.

Für beide Eigenschaften gilt: Sind aus vorangegangenen zenon Versionen noch Einträge in der Eigenschaft Allgemein/Betriebsmittelkennung vorhanden, dann werden diese gelöscht und in die entsprechenden Eigenschaften für zenon 7.20 eingetragen.

Bis inklusive zenon 7.11

Bedeutungen (Meanings) und Parameter für Wasserfall-Diagramme werden in die Variablen-Eigenschaft Betriebsmittelkennung geschrieben. Dabei wird für Bedeutungen das Präfix ME= vorangestellt, für Wasserfall-Parameter das Präfix WF=.

Weitere Informationen siehe Kapitel Analyzer Wizards.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration


Wizard installieren und aufrufen

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Wizard installieren und aufrufen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard wird mit zenon automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard aufzurufen:

  1. Öffnen Sie in zenon das Menü Datei
    oder drücken Sie die Tastenkombination Alt+F12.
  2. Wählen Sie den Eintrag Wizards.
  3. Der Auswahldialog wird geöffnet.
  4. Navigieren Sie zum Knoten Analyzer.
  5. Wählen Sie den Meaning and Waterfall Chart Wizard.

    Screenshots - Expanding

  6. Mit Klick auf OK starten Sie den Wizard.


Startfenster

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Startfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle konfigurierbaren Objekte auflistet und erklärt. Die Konfiguration beginnt mit der Registerkarte Settings.

Meaning

zenon Variablen erhalten in der Projektierung oft sehr technisch orientierte Namen. Diese Benennung ist für die Darstellung in einem zenon Analyzer Report oft nicht aussagekräftig genug. Mit dem Wizard kann den Variablen ein eindeutigen Namen für die Darstellung im zenon Analyzer Report gegeben werden. Dieser Name wird abhängig von der zenon Version in der entsprechenden Variablen-Eigenschaft gespeichert. Ziel-Eigenschaft und Eintrag werden vom Wizard automatisch gewählt.

Nach dem Import in den zenon Analyzer wird dieser Name für Reports verwendet, ohne dass der bestehende Variablenname geändert werden muss. Detail siehe Kapitel Analyzer Wizards.

Waterfall

Manche zenon Analyzer Reports können anhand von zenon Variablen ein Wasserfall-Diagramm darstellen. Dafür müssen schon zuvor Informationen über das Aussehen des Diagramms in der Betriebsmittelkennung der ausgewählten Variablen vorhanden sein. Mit dem Wizard können der Aufbau und das Aussehen eines Wasserfall-Diagramms definiert werden. Die Wasserfall-Informationen werden abhängig von der zenon Version in der entsprechenden Variablen-Eigenschaft gespeichert. Ziel-Eigenschaft und Eintrag werden vom Wizard automatisch gewählt. Detail siehe Kapitel Analyzer Wizards.

Navigation

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Wizards.


Konfiguration

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Meaning and Waterfall Chart Wizard wird mit folgenden Registerkarten konfiguriert:

  • Settings: Laden der Daten aus den Projekten.
    Erst wenn die zu ladenden Daten ausgewählt und erfolgreich geladen wurden, stehen weitere Registerkarten für Bedeutungen und/oder Wasserfall-Diagramme zur Verfügung.
  • Meaning filter: Filtereinstellungen für Bedeutungen.
  • Meaning: Auswahl und Zuweisung der Bedeutungen.
  • Waterfall filter: Filtereinstellungen für Wasserfall.
  • Waterfall: Auswahl Variablen für Wasserfall-Diagramm.
  • Finish: Übernahme der Konfiguration und Projektierung durch Wizard.

Noch in diesem Kapitel

Navigation

Settings

Meaning filter

Meaning

Waterfall filter

Waterfall

Finish


Navigation

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Navigation

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

General Analyzer Schema Graphics Template

Schaltfläche | Beschreibung
Pfeil nach links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Finish | Schreibt alle Änderungen auf die zenon Variable im Editor und beendet den Wizard.
Cancel | Beendet den Wizard, ohne Änderungen vorzunehmen.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Settings

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl und Laden der zu konfigurierenden Registerkarten.

Parameter | Beschreibung
Settings | Einstellung, welche Registerkarten geladen werden sollen.
Load every project of this workspace into the memory | Aktiv: Projekt aus dem Arbeitsbereich, die nicht im Speicher sind, werden geladen. Nach dem Beenden des Wizard oder nach Ausführen der Aktion Finish werden diese wieder entladen.
Define Meanings | Aktiv: Die Registerkarten Meaning filter und Meaning werden geladen.
Define Waterfall | Aktiv: Die Registerkarten Waterfall filter und Waterfall werden geladen.
Load data | Klick auf die Schaltfläche durchsucht die Variablen aller geladenen Projekten im Arbeitsbereich und lädt die benötigten Information für die Filter und Bearbeitung der Variablen. Die entsprechenden Registerkarten werden im Wizard angezeigt. Während des Ladens der Daten wird ein Fortschrittsbalken angezeigt.

Nach dem Laden stehen alle Registerkarten zur Konfiguration zur Verfügung.


Meaning filter

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Meaning filter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dieser Registerkarte werden die zu bearbeitenden Variablen vorgefiltert. Wird in keiner Gruppe ein Objekt ausgewählt, stehen in der Registerkarte Meaning alle Variablen zu Verfügung.

Parameter | Beschreibung
Liste Anlagengruppen | Filterung auf einzelne Modelle durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Anlagenmodelle werden gewählt.
Liste Projekte | Filterung auf einzelne Projekte durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Projekte werden gewählt.
Liste Archive | Filterung auf einzelne Archive durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Archive werden gewählt.


Meaning

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Meaning

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Bedeutungen für die Variablen bearbeitet. Es können Variablen ausgewählt und mit neuen Bedeutungen versehen werden und vorhandene Bedeutungen können entfernt werden.

Variablenauswahl

Parameter

Beschreibung

Search meaning

Eingabe eines Suchbegriffs listet alle Variablen mit entsprechenden Bedeutungen auf.

Die Liste wird sofort mit der Eingabe eines Zeichens aktualisiert. Platzhalter können nicht verwendet werden.

Liste Variablen

Liste der nach der Filterung zur Verfügung stehenden Variablen.

Auswahl von Variablen zur Bearbeitung: Aktivierung der Checkbox vor der Variablen.

In der Spalte Meanings werden bereits vorhandene Bedeutungen der Variablen angezeigt. Dabei werden ausschließlich Bedeutungen angezeigt. Andere Einträge oder Einträge für das Wasserfall-Diagramm werden ausgeblendet und bei der Bearbeitung ignoriert.

Die Variablen können durch Klick auf eine Spaltenbeschriftung entsprechend sortiert werden.

Select all

Klick wählt alle Variablen zur Bearbeitung aus.

Deselect all

Klick wählt alle Variablen ab.

Anzeige Statistik

Zeigt wie viele Variablen:

  • in der Liste vorhanden sind
  • ausgewählt wurden
  • geändert wurden

Reset

Macht alle Änderungen, die durch einen Klick auf Update meaning vorgenommen wurden, rückgängig.

Hinweis: Änderungen werden erst mit Klick auf Finish endgültig übernommen.

Bedeutungen hinzufügen

Add new meanings | Ermöglicht das Hinzufügen von Bedeutungen zu Variablen. Neue Bedeutungen werden im Eingabefeld eingegeben, zur Liste hinzugefügt und über die Schaltfläche Update meaning den ausgewählten Variablen zugewiesen.
Eingabefeld | Eingabe einer neuen Bedeutung. Maximale Länge: 50 Zeichen
Liste Meanings | Listet alle angelegten Bedeutungen auf.
Add to list | Fügt Eintrag aus Textfeld zur Liste der Bedeutungen hinzu.
Remove from list | Löscht ausgewählten Eintrag aus der Liste Meanings.
Remove all | Löscht alle Einträge aus der Liste Meanings.
Update meaning | Klick weist die Einträge in der Liste Meanings den ausgewählten Variablen als neue Bedeutung zu. Die hinzugefügten Bedeutungen werden in der Spalte Meanings (preview)angezeigt, die Zeile mit der Variablen wird grün hinterlegt.

Bedeutungen entfernen

Remove existing meanings | Ermöglicht das Entfernen von Bedeutungen von Variablen. Wird eine Variable ausgewählt, werden in der Liste Meanings alle zugewiesenen Bedeutungen angezeigt. Bedeutungen, die erhalten bleiben sollen, werden durch Klick auf die Schaltfläche Remove from list aus der Liste gelöscht. Klick auf die Schaltflächen Update meaning entfernt die Bedeutungen von den ausgewählten Variablen.
Liste Meanings | Listet alle der ausgewählten Variablen zugewiesenen Bedeutungen auf.
Remove from list | Löscht ausgewählten Eintrag aus der Liste Meanings.
Remove all | Löscht alle Einträge aus der Liste Meanings.
Update meaning | Klick entfernt alle Einträge in der Liste Meanings von der ausgewählten Variablen. Die Zeile mit der Variablen wird rot hinterlegt.

Achtung: Änderungen und neue Einträge werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Beispiel Farbkennzeichnung

  • Rot: Alle Meanings der Variable wurden gelöscht.
  • Grün: Variable hat neue Meaning erhalten.


Waterfall filter

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Waterfall filter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte definieren Sie das Wasserfall-Diagramm. Dazu müssen alle zu verwendenden Variablen der gleichen Anlagengruppe zugeordnet sein. Sollen Variablen aus einem Archiv verwendet werden, müssen das Archiv und die Variablen der gleichen Anlagengruppe zugeordnet sein.

Parameter | Beschreibung
Liste Anlagengruppen | Auswahl einer Anlagengruppe.
Liste Projekte | Auswahl eines Projekts.
Liste Archive | Auswahl eines Archivs.

Es müssen eine Anlagengruppe und ein Projekt ausgewählt werden. Optional kann auch ein Archiv der passenden Anlagengruppe gewählt werden.

In der Registerkarte Waterfall werden keine Variablen angezeigt, wenn:

  • kein Projekt gewählt wurde
  • keine Anlagengruppe gewählt wurde
  • Objekte gewählt wurden, die nicht der gleichen Anlagengruppe zugeordnet sind


Waterfall

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Waterfall

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte können Wasserfall-Definition erstellt und bearbeitet werden.

Parameter

Beschreibung

New

Aktiv: Eine neue Wasserfall-Definition wird erstellt.

Update

Aktiv: Eine bestehende Wasserfall-Definition wird bearbeitet. Auswahl aus Dropdownliste.

Chart

Eingabe eines Namens für eine neue Wasserfall-Definition.

Save

Klick auf Schaltfläche speichert Eingaben.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Variablenliste

Listet alle Variablen auf, die der Konfiguration in der Registerkarte Waterfall filter entsprechen. Variablen vom Typ Bool und String werden nicht angezeigt.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden. In der Spalte Waterfalls werden bestehende Wasserfall-Definitionen angezeigt. In der Spalte Waterfalls (preview) werden neue bzw. geänderte Wasserfall-Definitionen angezeigt.

Chart

Hier werden Wasserfall-Definitionen per Drag&Drop erstellt oder bearbeitet.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition erstellen

Um eine neue Wasserfall-Definition zu erstellen:

  1. Wählen Sie New.
  2. Ziehen Sie die gewünschten Variablen per Drag&Drop der Reihe nach in die Fläche Chart.
  3. Ordnen Sie die Balken entsprechend den Regeln an.
  4. Vergeben Sie einen Namen im Eingabefeld Chart.
  5. Klicken Sie auf Save.
  6. Die Konfiguration wird in der Spalte Waterfalls (preview) angezeigt.
  7. Wechseln Sie zur Registerkarte Finish.
  8. Klicken Sie auf Finish.

Regeln

Beim Erstellen und Bearbeiten von Wasserfall-Definitionen gelten folgende Regeln:

  1. Für den ersten Balken muss die Variable in die linke obere Ecke der Zeichenfläche gezogen werden.
  2. Der zweite Balken kann nur unterhalb des ersten Balkens eingefügt werden.
  3. Alle weiteren Balken können entweder unter einen bestehenden Balken oder rechts von einem Bestehenden Balken eingefügt werden.
    • Die erste Zeile kann nur einen Balken enthalten.
    • Wird ein Balken rechts eines bestehenden Balkens eingefügt, werden die darüber liegenden Balken verlängert.
  4. Die ausgewählte Variable wird grün dargestellt.
  5. Jede Variable kann nur einmal verwendet werden.
  6. Der Balken erhält einen Index:
    • erste Zahl: Zeilen-Index
    • zweite Zahl: Spalten-Index
  7. Im Tooltip des Balkens wird der Name der ausgewählten Variable angezeigt.

Farbe eines Balkens ändern

Um die Farbe eines Balkens zu ändern:

  1. Führen Sie einen Rechtsklick auf den Balken aus.
  2. Der Dialog zur Farbauswahl wird aufgeschaltet.
  3. Wählen Sie die gewünschte Farbe.
  4. Klicken Sie auf OK.

Balken verschieben

Balken können verschoben werden, wenn:

  • es sich um kurze Balken handelt
  • die Verschiebeaktion innerhalb einer Zeile stattfindet

Um einen Balken zu verschieben, ziehen Sie ihn per Drag&Drop an die neue Position. Alle anderen Balken zwischen der alten und der neuen Position werden um eine Stelle verschoben.

Balken löschen

Balken können gelöscht werden, wenn:

  • es sich um kurze Balken handelt
  • rechts davon oder darunter kein weiterer Balken vorhanden ist

Um einen Balken zu löschen, ziehen Sie ihn per Drag&Drop auf eine freie Stelle außerhalb des Feldes Chart (aber nicht in die Variablenliste).

Der Balken wird gelöscht. Alle anderen Balken werden entsprechend verschoben.

Wasserfall-Definition speichern

Um eine Wasserfall-Definition zu speichern:

  1. Vergeben Sie im Eingabefeld Chart einen Namen.
  2. Klicken Sie auf die Schaltfläche Save.
  3. Die Definition wird in der Variablenliste gespeichert und der neue Eintrag in der Spalte Waterfalls (preview) angezeigt
  4. Die neue Wasserfall-Definition wird erst nach Klick auf die Schaltfläche Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition bearbeiten

Um eine neue Wasserfall-Definition zu bearbeiten:

  1. Wählen Sie Update.
  2. Wählen Sie aus der Dropdownliste die gewünschte Wasserfall-Definition.

    Achtung: Es werden nur Definitionen angeboten, die der Konfiguration in der Registerkarte Waterfall filter entsprechen.

  3. Die Wasserfall-Definition wird in der Fläche Chart angezeigt.
  4. Ändern Sie die Definition entsprechend den Regeln:
    • Balken hinzufügen:
    • Balken löschen: Wird ein Balken gelöscht, wird die Variable in der Liste rot markiert.
    • Balken verschieben:
    • Farbe ändern:
  5. Klicken Sie auf Save.
  6. Alle Änderungen werden in der Spalte Waterfalls (preview) angezeigt.
  7. Wechseln Sie zur Registerkarte Finish.
  8. Klicken Sie auf Finish.


Finish

zenon Analyzer -> Analyzer Wizards -> Meaning and Waterfall Chart Wizard -> Konfiguration -> Finish

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Änderungen auf die Variablen in zenon geschrieben und das Ergebnis im Ausgabefeld angezeigt.

Klick auf die Schaltfläche Finish schreibt alle Änderungen auf die zenon Variable im Editor.

Die vorgenommenen Änderungen werden im Ausgabefeld angezeigt:

  • Update variable MEANINGS definition: Änderungen, die an Variablen durchgeführt wurden und die Bedeutungen betreffen.
  • Update variable WATERFALL definition: Änderungen, die an Variablen durchgeführt wurden und die Wasserfall-Definition betreffen.
  • Hinweise zu neuen, bearbeiteten und gelöschten Einträgen, Warnungen und Fehlermeldungen.

    Beim Import in zenon wird die Länge des Eintrags für die entsprechenden Eigenschaften überprüft. Dieser darf maximal 250 Zeichen lang sein. Ist der Eintrag länger, wird die Zeichenfolge nach dem 250. Zeichen abgeschnitten und ein Fehlereintrag in das Ausgabefeld der Registerkarte Finish geschrieben.


Sankey Wizard

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard

Ein Sankey-Diagramm ist eine grafische Darstellung von Mengenflüssen. Die Mengen werden durch mengenproportional dicke Pfeile dargestellt. Sankey-Diagramme sind wichtige Hilfsmittel zur Visualisierung von Energie- und Materialflüssen sowie von Ineffizienzen und Einsparpotenzialen im Umgang mit Ressourcen.

Der Sankey Wizard unterstützt Sie bei der Erstellung von Sankey-Diagrammen, die Sie in der zenon Runtime und im zenon Analyzer sehen können.

Drei Szenarien sind möglich:

  • Ein neues Sankey-Diagramm erstellen.
  • Ein bereits existierendes Sankey-Diagramm als Vorlage verwenden.
  • Ein existierendes Sankey-Diagramm bearbeiten.

Das Sankey-Diagramm wird in einer XML-Datei gespeichert.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

tutorial Lizenzinformation

In Standardlizenz für Editor und Runtime enthalten.

Noch in diesem Kapitel

Sankey Wizard installieren

Sankey Wizard starten

Startfenster

Navigation

Action - Aktion auswählen

Variables - Variablen auswählen

Diagram - Diagramm erstellen

Finish - Fertig stellen


Sankey Wizard installieren

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Sankey Wizard installieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Wizard wird mit zenon automatisch mitinstalliert.


Sankey Wizard starten

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Sankey Wizard starten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Sankey Wizard zu starten, gehen Sie wie folgt vor:

Screenshots - Expanding

  1. Starten Sie den zenon Editor.
  2. Klicken Sie in der Symbolleiste links auf Datei.
  3. Klicken Sie auf Wizards.

Hinweis: Sie können das Auswahlfenster mit den verfügbaren Wizards auch mit der Tastenkombination Alt+F12 öffnen.

Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

Screenshots - Expanding

  1. Expandieren Sie den Knoten Analyzer
  2. Klicken Sie dort auf Sankey Wizard.
  3. Mit Klick auf OK starten Sie den Wizard.


Startfenster

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Startfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle konfigurierbaren Objekte auflistet und erklärt. Die Konfiguration beginnt mit der Registerkarte Action.

Durch Klick auf die Schaltfläche mit dem Pfeil oder auf den Titel der Registerkarte, navigieren Sie durch die Konfiguration des Wizards.


Navigation

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Navigation

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

General Analyzer Schema Graphics Template

Schaltfläche | Beschreibung
Pfeil nach links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Finish | Schreibt alle Änderungen auf die zenon Variable im Editor und beendet den Wizard.
Cancel | Beendet den Wizard, ohne Änderungen vorzunehmen.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Action - Aktion auswählen

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Action - Aktion auswählen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wählen Sie in der Registerkarte Action die gewünschte Aktion aus, indem Sie diese aktivieren.

Es gibt folgende drei Möglichkeiten:

Parameter | Beschreibung
Create diagram | Erstellt ein neues Diagramm.
Use existing diagram as template | Verwendet ein bestehendes Diagramm als Vorlage. Hinweis: Variablen müssen in diesem Fall erneut an Knotenverbindungen verknüpft werden. Die Variablenverknüpfungen vom bestehenden Diagramm werden in der Vorlage nicht angezeigt.
Edit diagram | Ermöglicht das Bearbeiten eines bestehenden Diagramms.

Liste der erstellten Diagramme

Das Fenster in der Mitte zeigt eine Liste mit den bereits erstellten Diagrammen. Die Einträge sind ausgegraut, wenn Create_Diagram gewählt ist. Folgende Informationen sind dazu sichtbar:

Parameter | Beschreibung
Project | Name des Projekts, in dem das Diagramm gespeichert ist.
Diagram | Zeigt den Namen des Diagramms.
Description | Zeigt die Beschreibung des Diagramms.
Analyzer | Aktiv: Das Diagramm kann im Analyzer und in der Runtime verwendet werden. Nicht aktiv: Das Diagramm kann nur in der Runtime verwendet werden.
Valid | Aktiv: Das Diagramm ist gültig. Nicht aktiv: Das Diagramm ist nicht gültig. Sie können das Diagramm weder im Analyzer noch in der Runtime verwenden. Hinweis: Editieren Sie in diesem Fall das Diagramm und passen Sie es an bis es gültig ist.

Project Settings

Im diesem Bereich können Sie folgende Einstellungen für das Projekt machen:

Parameter | Beschreibung
Name | Geben Sie hier einen Namen für das Projekt ein. Hinweis: Der Name muss eindeutig sein. Ein Warndialog macht Sie andernfalls darauf aufmerksam. Ein neu erstelltes Diagramm mit einem bereits existierenden Namen würde beim Bestätigen des Warndialogs das bestehende ersetzen. Wenn Sie jedoch im Warndialog auf No klicken, wird der Name automatisch um _1 ergänzt.
Save into project | Wählen Sie hier das Projekt aus, in dem Ihr Diagramm gespeichert werden soll.
Description | Geben Sie hier eine Beschreibung ein. Hinweis: Dies ist optional.
Create diagram for Analyzer | Aktiv: Es werden nur Variablen angezeigt, die in Archiven sind. Hinweis: Die Variablen, die Sie verwenden möchten, müssen zuerst mit dem Analyzer Export Wizard exportiert werden. Nicht aktiv: Die Auswahl der Variablen ist uneingeschränkt möglich, jedoch kann das Diagramm nicht im zenon Analyzer verwendet werden, sondern nur in der zenon Runtime.

Hinweis: Nach dem Verlassen dieser Registerkarte ist keine Bearbeitung der hier gemachten Einstellungen mehr möglich.


Variables - Variablen auswählen

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Variables - Variablen auswählen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte können Sie Variablen für Ihr Projekt auswählen.

Select project

Parameter | Beschreibung
Select project | Liste aller aktiven zenon Projekte. Wählen Sie hier jene(s) Projekt(e), aus dem/denen Sie die Variablen für Ihr Diagramm auswählen möchten. Hinweis: Mehrfachauswahl ist möglich.

Select data source

Parameter

Beschreibung

Select data source

Wählen Sie hier die Datenquelle (Archive) aus.
Hinweis: Die Option Online Data steht für alle anderen Variablen, die nicht aus Archiven kommen. Diese Option kann man nur auswählen, wenn Sie in der Registerkarte Action nicht die Option create for Analyzer aktiviert haben. Für die Runtime werden Live-Werte, also Online-Werte verwendet. Für den zenon Analyzer werden historische Werte verwendet.

  • Short name
    Kurzbezeichnung des Archivs
  • Long name
    vollständiger Name des Archivs
  • Project
    Projektname des Archivs
  • Parent archive
    Version des verwendeten Archivs

Variables

Parameter

Beschreibung

Project variables

Wählen Sie hier die Variablen aus, die Sie mit Ihrem Diagramm verknüpfen wollen. Mehrfachauswahl ist möglich.

Möglichkeiten dafür:

  • Doppelklicken Sie die gewünschte Variable.
  • Markieren Sie die gewünschte Variable und klicken anschließend auf Add->.
  • Halten Sie die Strg-Taste gedrückt, markieren mehrere Variablen, klicken auf Add->.
  • Klicken Sie auf Add all->, um alle Variablen auszuwählen.

Variablenliste:

  • Name
    Name der Variable
  • Project
    Name des Projekts der Variable
  • Archive:
    Kurzbezeichnung des Archivs
  • Aggregation:
    Verdichtungsart des Archivs
    • AVG (Mittelwert)
    • Max (Maximalwert)
    • Min (Minimumwert)
    • Sum (Summe)
    • RAW (Rohdatenformat - ohne Verdichtung)

Schaltfläche Add ->

Fügt ausgewählte Variable(n) zur Liste der Diagram variables hinzu.

Schaltfläche Add all ->

Fügt alle Variablen zur Liste der Diagram variables hinzu.

Schaltfläche <- Delete

Entfernt ausgewählte Variable(n) aus der Liste der Diagram variables.

Schaltfläche <- Delete all

Entfernt alle Variablen aus der Liste der Diagram variables.

Diagram variables

Parameter

Beschreibung

Diagram variables

Hier sehen Sie die ausgewählten Variablen. Diese sind für die nächste Registerkarte beim Erstellen des Diagramms relevant.

Um Variablen wieder zu löschen:

  • Markieren Sie die Variable, die Sie löschen möchten und klicken auf <-Delete.
  • Halten Sie die Strg-Taste gedrückt, markieren mehrere Variablen, die Sie gleichzeitig löschen möchten und klicken auf <-Delete.
  • Klicken Sie auf <-Delete all, um alle ausgewählten Variablen wieder zu löschen.

Variablenliste:

  • Name
    Name der Variable
  • Project
    Name des Projekts der Variable
  • Archive:
    Kurzbezeichnung des Archivs
  • Aggregation:
    Verdichtungsart des Archivs
    • AVG (Mittelwert)
    • Max (Maximalwert)
    • Min (Minimumwert)
    • Sum (Summe)
    • RAW (Rohdatenformat - ohne Verdichtung)

Hinweis: Nach Verlassen dieser Registerkarte sind Änderungen an den hier gemachten Einstellungen möglich.


Diagram - Diagramm erstellen

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Diagram - Diagramm erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte haben Sie die Möglichkeit ein Diagramm zu zeichnen.

Zeichenfläche

In der Zeichenfläche positionieren Sie Ihre projektierten Knoten und Verbindungen.

Node

Parameter | Beschreibung
Name | Knotenname
Color | Farbe des Knoten. Zeigt zuletzt gewählte Farbe an. Klick auf Fläche öffnet den Farbauswahldialog.
Create | Erstellt Knoten und positioniert diesen auf der Zeichenfläche.
Delete | Löscht gewählten Knoten von der Zeichenfläche. Nur aktiv, wenn mindestens ein Knoten in der Zeichenfläche ausgewählt wurde.

Diagram

Parameter

Beschreibung

Validate

Überprüft ob alle Knoten verknüpft sind bzw. ob die Verknüpfungen mit einer Variable belegt sind.

Das Ergebnis der Validierung wird in einem Dialog angezeigt:

  • Node xx is not connected!
    Der Knoten hat keine Verbindung zu einem anderen Knoten.
  • A connection of node xx has no variable linked!
    Die Verknüpfung des Knotens hat keine zugeordnete Variable.

Save

Sichert die aktuelle Projektierung. Vor der Sicherung findet ebenfalls eine Überprüfung statt.

Reset

Löscht alle Knoten und bereits projektierte Verbindungen.

Diagram settings

Parameter | Beschreibung
Loss detection | Automatische Verlusterkennung mit einer zusätzlichen Verbindung, welche den Differenzfluss visualisiert. aktiviert: die automatische Verlusterkennung wird berechnet. deaktiviert: es findet keine Berechnung des Differenzflusses statt. Default: deaktiviert
Positive | Übersteigt bei einem Knoten die Menge der Abflüsse die Menge der Zuflüsse, wird ein Differenzfluss in der ausgewählten Farbe angezeigt. Nur aktiv, wenn Loss detection aktiviert ist. Hinweis: Dieser Differenzfluss wird erst in der zenon Runtime oder im zenon Analyzer ersichtlich.
Negative | Übersteigt bei einem Knoten die Menge der Zuflüsse die Menge der Abflüsse, wird ein Differenzfluss in der ausgewählten Farbe angezeigt. Nur aktiv, wenn Loss detection aktiviert ist. Hinweis: Dieser Differenzfluss wird erst in der zenon Runtime oder im zenon Analyzer ersichtlich.

Connections (Variables)

Parameter | Beschreibung
Connections (Variables) | Liste aller für die Verknüpfung verfügbaren Variablen. Ist eine Variable bereits mit einer Verbindung verknüpft, wird diese Variable in der Auswahlliste grün dargestellt. Hinweis: Diese Variablen werden im Register Variables zur Verfügung gestellt.
Link variable | Verlinkt ausgewählte Variable mit ausgewählter Verbindung. Nicht aktiv, wenn keine Verbindung ausgewählt ist. Hinweis: Bei Auswahl zweiter Knoten und einer Variable wird zusätzlich zur Verknüpfung auch die Verbindung gezeichnet.
Delete | Löscht ausgewählte Verbindung. Mehrfachauswahl von Verbindungen ist möglich. Nicht aktiv, wenn keine Verbindung ausgewählt ist.

Noch in diesem Kapitel

Diagramm erstellen

Darstellung Sankey-Diagramm in zenon Analyzer

Ansichtsbeispiele: Wizard - zenon Analyzer


Diagramm erstellen

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Diagram - Diagramm erstellen -> Diagramm erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

So erstellen Sie ein Sankey-Diagramm mit dem Sankey Wizard:

Knoten und Verbindungen erstellen:

General Analyzer Schema Graphics Template

  1. Geben Sie im Fenster Node unter dem Feld Name einen Namen für den zu erstellenden Knoten ein.
  2. Wählen Sie eine Farbe für den Knoten aus, indem Sie in dem Feld Color klicken.
  3. Klicken Sie anschließend auf Create.
  4. Erstellen Sie so viele Knoten, wie Sie möchten und sortieren Sie sie beliebig.
  5. Verbinden Sie die Knoten, indem Sie einen Knotenausgang (rechts vom Knoten) zu einem Knoteneingang (links vom Knoten) ziehen.

Hinweis: Ein Knoten kann zu mehreren Knoten Verbindungen haben bzw. mehrere Knoten können zu einem Knoten Verbindungen haben. Je nachdem wie viele Verbindungen bestehen, ändert sich die Größe des Ausgangsknotens. Knoten, die nur auf einer Seite verbunden sind, werden rund oder oval dargestellt. Knoten, die auf beiden Seiten eine Verbindung haben, werden eckig dargestellt.

Bezüglich der Knotenverbindungen gibt es zusätzlich folgende Möglichkeiten:

Rückkopplung: Verbindung vom Ausgang eines Knotens zu seinem Eingang herstellen

Dazu:

  • Doppelklicken Sie auf den Knoten, auf dem Sie eine Rückkopplung erstellen möchten.

oder

  • Ziehen Sie die Verbindung vom Ausgang des Knotens auf seinen Eingang.

Verbindung zwischen 2 Knoten herstellen und gleichzeitig eine Variable darauf verknüpfen:

Dazu:

  1. Markieren Sie beide Knoten, die Sie verbinden möchten und die Variable, die Sie darauf verknüpfen möchten.
  2. Klicken Sie auf Link Variable.

Variablen an Verbindungen verknüpfen:

Um Variablen an Verbindungen zu verknüpfen, gibt es mehrere Möglichkeiten:

General Analyzer Schema Graphics Template

Drag&Drop

  • Ziehen Sie die gewünschte Variable von dem Connections (Variables)-Fenster auf die gewünschte Knotenverbindung.

Hinweis: Vorausgesetzt, dass Sie die Verbindung zwischen den Knoten schon hergestellt haben.

Schaltfläche Link Variable

  1. Markieren Sie die gewünschte Knotenverbindung
  2. Markieren Sie die Variable, die Sie an die Verbindung verknüpfen möchten.
  3. Klicken Sie auf die Schalftläche Link Variable.

Hinweis: Sie können auf jede Verbindung nur eine Variable verknüpfen.

Eine Variable an mehreren Knotenverbindungen verknüpfen:

  1. Halten Sie die Strg-Taste gedrückt und markieren Sie mehrere Knoten-Verbindungen.
  2. Markieren Sie die gewünschte Variable.
  3. Klicken Sie auf Link Variable

    oder

  4. Ziehen Sie die Variable auf die markierten Knotenverbindungen.

Hinweis: Fahren Sie mit der Maus auf eine Verbindung, um den Namen der Variable zu sehen, die an der Verbindung verknüpft ist.

Diagrammeinstellungen (Diagram settings):

General Analyzer Schema Graphics Template

Wenn Sie die Option Loss Detection aktivieren, wird automatisch eine Verlusterkennung berechnet.

In den Feldern Positive und Negative können Sie die Farben auswählen, die für das Anzeigen der Differenzflüsse verwendet werden sollen.

Das Zeichnen des Diagramms abschließen:

General Analyzer Schema Graphics Template

Nachdem Sie Ihr Diagramm fertig gezeichnet haben,

  • klicken Sie auf die Schaltfläche Validate.

Stimmen all ihre Verbindungen, erscheint ein Dialog mit der Information, dass das Diagramm gültig ist. Andernfalls, erscheint ein Dialog mit der Information, dass es noch Knoten gibt, die nicht verbunden sind oder dass Variablen nicht auf die Verbindungen verknüpft sind.

Um Ihr Diagramm zu speichern,

  • klicken Sie auf die Schaltfläche Save.

Ihr erstelltes Diagramm wird validiert. Das Diagramm wird gespeichert und als gültig oder ungültig gekennzeichnet. Es wird Ihnen das Projekt angezeigt, in dem es gespeichert wird.

Zum Neuzeichnen des Diagramms,

  • klicken Sie auf die Schaltfläche Reset.

Somit werden all Ihre gezeichneten Knoten und Ihre Verbindungen gelöscht.

info Info

Klick auf die Schaltflächen Validate oder Save richtet die Knoten an der rechten und linken Seite des Zeichenbereichs aus.

Knoten bearbeiten:

Nachdem Sie bereits ein paar Knoten erstellt haben, können Sie

mehreren Knoten den gleichen Namen vergeben:

  1. Halten Sie die Strg-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie benennen möchten.
  3. Geben Sie einen Namen ein.

für mehrere Knoten die gleiche Farbe auswählen:

  1. Halten Sie die Strg-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie einfärben möchten.
  3. Wählen Sie anschließend eine Farbe aus.

mehrere Knoten gleichzeitig verschieben:

  1. Halten Sie die Strg-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie verschieben möchten.
  3. Verschieben Sie die Knoten. Ihre Verbindungen werden mitverschoben.

Hinweis: Sie können auch einen Knoten einzeln bearbeiten, indem Sie diesen markieren und die gewünschte Änderung vornehmen.

Knoten löschen:

  1. Markieren Sie den Knoten, den Sie löschen möchten.
  2. Klicken Sie im Fenster Node auf Delete oder auf die Entf-Taste.

Mehrere Knoten gleichzeitig löschen:

  1. Halten Sie die Strg-Taste gedrückt und markieren Sie die Knoten, die Sie löschen möchten.
  2. Klicken Sie im Fenster Node auf Delete oder auf die Entf-Taste.

Hinweis: Beim Löschen eines Knotens werden auch seine Verbindungen mitgelöscht.

Verbindungen löschen:

  1. Markieren Sie die Verbindung, die Sie löschen möchten.
  2. Klicken Sie im Fenster Connections (Variables) auf Delete oder auf die Entf-Taste.

Mehrere Verbindungen gleichzeitig löschen:

  1. Halten Sie die Strg-Taste gedrückt und markieren Sie die Verbindungen, die Sie löschen möchten.
  2. Klicken Sie im Fenster Connections (Variables) auf Delete oder auf die Entf-Taste.


Darstellung Sankey-Diagramm in zenon Analyzer

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Diagram - Diagramm erstellen -> Darstellung Sankey-Diagramm in zenon Analyzer

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Knoten werden im zenon Analyzer immer neu angeordnet und folgen dabei nicht der exakten Positionierung im Wizard. Die Darstellung des Sankey-Diagrammes wird im zenon Analyzer automatisch auf Lesbarkeit und Übersichtlichkeit optimiert.

Für diese Ausrichtung wird speziell die Breite der Verbindung berücksichtigt. Diese Breite ist jeweils abhängig von den dargestellten Werten (je mehr, umso dicker).

Horizontale Ausrichtung

Knoten werden horizontal automatisch proportional zu Ihrer Anzahl auf die gesamte Breite aufgeteilt.

Beispiel: Bei drei Knoten wird die Darstellung der erste Verbindung in der Mitte der Anzeige enden.

Vertikale Ausrichtung

Die vertikale Ausrichtung der Knoten erfolgt in zenon Analyzer automatisch immer in einer vertikalen Linie. Dies bedeutet, dass die erste Ebene immer in einer vertikalen Linie angeordnet ist, unabhängig von der Projektierung im Wizard.

Die Endknoten werden automatisch, in gleichbleibenden Abständen, von oben nach unten angeordnet.

info Info

Bitte beachten sie die folgenden Ansichtsbeispiele.


Ansichtsbeispiele: Wizard - zenon Analyzer

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Diagram - Diagramm erstellen -> Ansichtsbeispiele: Wizard - zenon Analyzer

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beispiel für horizontale Ausrichtung

Projektierung Sankey Wizard

General Analyzer Schema Graphics Template

Ansicht zenon Analyzer

General Analyzer Schema Graphics Template

Beispiel für vertikale Ausrichtung

Projektierung Sankey Wizard

General Analyzer Schema Graphics Template

Ansicht zenon Analyzer

General Analyzer Schema Graphics Template

Beispiel für gemischte Ausrichtung

Projektierung Sankey Wizard

General Analyzer Schema Graphics Template

Ansicht zenon Analyzer

General Analyzer Schema Graphics Template


Finish - Fertig stellen

zenon Analyzer -> Analyzer Wizards -> Sankey Wizard -> Finish - Fertig stellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In der Registerkarte Finish sehen Sie, ob Ihr erstelltes Diagramm gültig ist und an welchem Ort Ihr erstelltes Diagramm gespeichert wurde.

  • Klicken Sie dafür auf die Schaltfläche Finish.

Um den Sankey Wizard zu beenden,

  • klicken Sie auf die Schaltfläche Close.

info Info

Die Projektierung Ihres Sankey-Diagramms wird in einer XML-Datei gespeichert.

Diese befindet sich im Projektmanager des gewählten Projektes, im Knoten Dateien im Ordner Sonstige.

Mit dem Analyzer Export Wizard können Sie das modellierte Sankey-Diagramm für die Verwendung in zenon Analyzer übernehmen.

Details zu diesem Export lesen Sie im Handbuch Analyzer Export Wizard.


Rechteverwaltung

zenon Analyzer -> Rechteverwaltung

Der zenon Analyzer benutzt eine rollenbasierende Rechteverwaltung. Diese regelt den Zugriff auf Datenquellen, Ordner, Reports und alle anderen Elemente. Dabei werden einem Benutzer oder einer Gruppe bestimmte Rechte zugeordnet. Benutzer und Gruppen müssen bereits in der Windows Benutzerverwaltung angelegt sein. Die Authentifizierung wird nicht von zenon Analyzer übernommen, sondern obliegt dem Betriebssystem.

Benutzerrechte werden im ZAMS gesetzt und verwaltet.


Analyzer Manager: Konfiguration und Bedienung

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der zenon Analyzer wird über den Webbrowser aufgerufen oder über das ZAMS gestartet:

  • Aufruf über Browser: Eingabe der Verbindung in Adresszeile oder Klick auf Link im Startmenü des Installationsrechners (Abschnitt COPA-DATA)
  • Start über ZAMS:
    Folgende Aktionen starten den Webbrowser mit dem Analyzer Manager für die im ZAMS eingestellte Verbindung
    • Auswahl des entsprechende Befehls aus dem Menü Report
    • Klick auf das entsprechende Symbol in der Symbolleiste
    • Klick auf Schaltfläche Report im Analyzer Manager öffnen in einem Report in ZAMS

Hinweis: Als Webbrowser können der Internetexplorer 8 oder 9 (in der Normalansicht) oder Internet Explorer 10 und höher im Kompatibilitätsmodus verwendet werden. Für den Start aus dem ZAMS muss der korrekte Webbrowser im Betriebssystem als Standardbrowser eingestellt sein.

Analyzer Manager

Die Oberfläche des Analyzer Managers gibt Ihnen die Möglichkeit:

  • den zenon Analyzer zu konfigurieren
  • Reports zu erstellen und aufzurufen

Screenshots - Expanding

Parameter

Beschreibung

Konfigurationsmenü (orange Kopfleiste)

Stamm

Hauptansicht.

Siteeinstellungen

Verwaltung von Site und Zeitplänen.

Hilfe

Öffnet Microsoft Hilfe für Reporting Services.

Hauptmenü (blaue Leiste)

Löschen

Löscht ausgewählte Reports oder Ordner. Auswahl erfolgt über Aktivierung der Checkbox vor dem Report/Ordner.

Nur verfügbar bei Detailansicht.

Verschieben

Verschiebt ausgewählte Reports oder Ordner. Auswahl erfolgt über Aktivierung der Checkbox vor dem Report/Ordner.

Nur verfügbar bei Detailansicht.

Neuer Ordner

Erstellt einen neuen Ordner.

Neue Datenquelle

Erstellt eine neue Datenquelle.

Report-Generator

Öffnet den Report-Generator.

Datei hochladen

Öffnet den Dialog zum Hochladen von Ressourcen wie Reports, Modelle, Datasets usw.

Detailansicht - Symbolansicht

Schaltet zwischen Detailansicht und Neben-/Untereinanderansicht um.

Detailansicht: Zeigt Details zu Reports und Ordnern an und ermöglicht Sortierung nach den Kriterien

  • Typ
  • Name
  • Letzte Ausführung
  • Geändert am
  • Geändert von

Symbolansicht: Zeigt alle Ordner und Reports kompakt an. Ordner lassen sich in dieser Ansicht ausblenden.

Beide Ansichten stellen für Ordner und Reports eine Dropdownliste mit häufig benötigten Befehlen bereit.

Listenfeld Reports

Feld zur Auslistung der Reports und Ordner. Die Darstellung erfolgt entweder kompakt oder mit Details. Ordner und Reports können über eine Dropdownliste konfiguriert werden.

attention Achtung

Fehlermeldungen für Parameter

Für manche Parameter müssen die zur Verfügung stehenden Werte über eine Stored Procedure des Microsoft SQL-Servers geladen werden. Schlägt der Aufruf dieser Stored Procedure fehl oder liefert die Stored Procedure einen Fehler zurück, so wird im Analyzer Manager eine Fehlermeldung aufgeschaltet. Zum Beispiel wenn die Runtime nicht erreichbar ist, der SQL-Connector nicht erstellt wurde, usw.

Für manche Parameter kann unter Umständen kein Standardwert vergeben werden, da ein vorher zu behandelnder Parameter keinen Wert enthält. Zum Beispiel: Zeitfilter basieren auf Schichten, aber es sind noch keine Schichtdaten vorhanden. In diesem Fall ist die Vergabe von Standardwerten erst möglich, wenn zumindest 1 Schicht geschrieben wurde.

info Info

Designed und getestet wurde der zenon Analyzer für und mit dem Microsoft Internet Explorer ab Version 8.

Achtung: Für die korrekte Darstellung von Reports darf die Kompatibilitätsansicht im Internet Explorer 8 und 9 nicht aktiviert sein. Für höhere Versionen des Internet Explorers muss die Kompatibilitätsansicht aktiviert sein.

Noch in diesem Kapitel

Dropdownliste Ordner und Reports

Einstellungen

Sprachen und Zeitformate

Parameter - Eingabe und Auswahl

Site

Datenquelle

Ordner

Dateien hochladen


Dropdownliste Ordner und Reports

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Dropdownliste Ordner und Reports

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ordner und Reports im Reportfenster verfügen über eine Dropdownliste zur Konfiguration. Das Menü wird eingeblendet, sobald sich die Maus über dem Report oder Ordner befindet.

Dropdownliste Ordner

Screenshots - Expanding

Parameter | Beschreibung
Verschieben | Öffnet Menü zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Ordner.
Verwalten | Öffnet Dialog zur Verwaltung des Ordners.

Dropdownliste Report

Screenshots - Expanding

Parameter | Beschreibung
Verschieben | Öffnet Menü zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Report.
Verknüpften Report erstellen... | Öffnet Dialog zum Erstellen eines verknüpften Reports, der auf dem ausgewählten Report beruht.
Reportverlauf anzeigen | Öffnet Anzeige des Reportverlaufs.
Verwalten | Öffnet Dialog zur Verwaltung des Reports.
Herunterladen | Ermöglicht es, Reports lokal zu speichern. Öffnet Windows Dialog zum Speichern einer Datei.
Im Report-Generator bearbeiten | Öffnet Report im Report-Generator.


Einstellungen

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Datenquellen und Reports werden über Menüleisten und Dropdownlisten verwaltet und konfiguriert.

Siehe auch:

  • Konfiguration und Bedienung
  • Site
  • Ordner
  • Reports
  • Rechteverwaltung


Sprachen und Zeitformate

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Sprachen und Zeitformate

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oberflächensprache

Der zenon Analyzer kann am Web Client in mehreren Sprachen dargestellt werden. Sofern im Browser ausgewählt, wird die Oberfläche dargestellt in:

  • Chinesisch (vereinfachtes Chinesisch)
  • Deutsch
  • Englisch
  • Französisch
  • Italienisch
  • Russisch
  • Spanisch
  • Tschechisch

Für alle anderen Sprachen wird die Standardsprache Englisch verwendet. Die Sprache konfigurieren Sie im MS Internet Explorer über Extras -> Internetoptionen -> Allgemein -> Sprachen.

Zeitformate

Zeitformate entspechen den Konventionen der im Browser eingestellten Sprache.

Hinweis: Wenn sich eines der folgenden Symptome zeigt, überprüfen Sie die Einstellungen für Sprache und Zeitstempelformate:

  • Dropdownliste für Datums- und Uhrzeitauswahl funktioniert nicht
  • Analyzer Manager meldet nicht korrekt formatierten Zeitstempel

Texte

Texte werden so, wie im RDL eingegeben oder vom Server ausgegeben, dargestellt.


Parameter - Eingabe und Auswahl

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Benutzer definiert über Dialoge und Eingabefelder (Controls) jene Werte, die in einem Report angezeigt werden sollen. Die Dialoge zur Parametereingabe werden angezeigt, wenn ein Report geöffnet wird, der Parameter benötigt. Dabei können bereits Standardwerte gesetzt sein.

Mit Klick auf die Schaltfläche View Report werden die Parameter an den zenon Analyzer Server gesendet. Dieser führt eine Parametervalidierung durch und überprüft die vom Benutzer eingegebenen Werte auf ihre Gültigkeit. Bei gültigen Parametern wird der entsprechende Report angezeigt, sonst wird eine Fehlermeldung ausgegeben.

Dropdownliste anpassen

Für Eingabe, Auswahl und Filterung steht eine Dropdownliste zur Verfügung.

Die Größe der meisten Dropdownlisten kann angepasst werden. Ausgenommen sind Parameter für die Eingabe eines Zeitbereichs und die Auswahl von Datum und Uhrzeit.

Um die Größe der Dropdownliste anzupassen:

  1. führen Sie die Maus über den Anfassbereich in der rechten unteren Ecke bis der Mauszeiger zu einem Doppelpfeil wird
  2. ziehen Sie das Fenster mit gedrückter linker Maustaste auf die gewünschte Größe
    Hinweis: die ursprüngliche Größe entspricht der Minimalgröße

Der Anfassbereich wird nur angeboten, wenn der Inhalt der Dropdownliste mehr Platz benötigt als das Minimum bietet.

Validierung

Bei der Datenübertragung zwischen Browser und Analyzer werden die Werte eines Parameters immer als Text übertragen. Folgende Parameter müssen immer gültige Werte aufweisen:

  • Bool
  • Datum und Uhrzeit

Folgende Bedingungen werden bei der Parametervalidierung geprüft. Fehler werden im Ansichtsfenster des zenon Analyzer ausgegeben:

Eintrag

Beschränkung

Wert vorhanden

Es muss ein Wert eingegeben oder ausgewählt worden sein. Diese Prüfung erfolgt immer vor dem Senden der Parameter an den zenon Analyzer Server.

Stringvalidierung

Bei Parametern vom Datentyp Text werden keine weiteren Prüfungen durchgeführt.

Boolvalidierung

Bei Parametern vom Datentyp Bool muss der Wert true oder false sein. Groß-/Kleinschreibung wird nicht überprüft..

Anmerkung: Der Bool-Auswahldialog sendet zwar nur gültige Werte, aber bei der direkten Ansteuerung des zenon Analyzer über URLs wird diese Validierung eventuell benötigt.

Integervalidierung

Bei Parametern vom Datentyp Ganze Zahl darf der Wert keine Zeichen außer den folgenden enthalten:

  • Ein Plus- oder Minuszeichen als erstes Zeichen.
  • Alle in der Kultur des Anwenders erlaubten Ziffern.
  • Das Tausender-Trennzeichen in der Kultur des Anwenders.
    Alle enthaltenen Tausender-Trennzeichen werden am Beginn der Integervalidierung entfernt.

Floatvalidierung

Bei Parametern vom Datentyp Gleitkommazahl darf der Wert keine Zeichen außer den folgenden enthalten:

  • Ein Plus- oder Minuszeichen als erstes Zeichen.
  • Alle in der Kultur des Anwenders erlaubten Ziffern.
  • Das Tausender-Trennzeichen in der Kultur des Anwenders.
    Alle enthaltenen Tausender-Trennzeichen werden am Beginn der Integervalidierung entfernt.
  • Genau ein Dezimalzeichen in der Kultur des Anwenders.
    Wenn entweder vor oder nach dem Dezimalzeichen keine Ziffern stehen, wird 0 angenommen.
    Hinweis: Keine Ziffern sowohl vor als auch nach dem Dezimalzeichen ist nicht erlaubt.

Datums- und Uhrzeitvalidierung

Bei Parametern vom Datentyp Datum und Uhrzeit müssen folgende Kriterien eingehalten werden:

  • Der Wert des Parameters muss einem in der Kultur des Anwenders gültigen Datums- und Uhrzeitstring entsprechen.
  • Die Ziffern im Datum und in der Uhrzeit müssen einem gültigen Wert zugeordnet werden können.
    Ungültig ist zum Beispiel die Zeichenfolge 45.18.2011 35:68:99, da es weder ein solches Datum noch eine solche Uhrzeit gibt.
  • Ist keine Uhrzeit in der Zeichenfolge enthalten, wird 00:00:00 angenommen.
  • Die Uhrzeitangaben werden auf Minuten genau gerundet. Enthält eine Uhrzeit Sekunden, so wird bei Werten kleiner als 30 Sekunden auf die vorhergehende Minute abgerundet und bei Werten größer oder gleich 30 Sekunden auf die nächste Minute aufgerundet. Die Rundung berücksichtigt Sprünge bei Minute, Stunde, Tag, Monat und Jahr.
  • Das gerundete Ergebnis muss innerhalb der folgenden Grenzen liegen: Minimum = 1.1.1900 00:00:00
    Maximum = 1.1.[aktuelles Jahr + 3] 00:00:00
    Das Maximum entspricht dem Jahresende des übernächsten Jahres vom aktuellen Datum aus gesehen.

Bedingungen für Werte der Parameter

Bei der Definition eines Reports (z. B. im Report Builder) müssen für Parameter mit vordefinierten Werten folgende Einschränkungen beachtet werden:

  • Der Wert darf nicht NULL sein.
  • Das Label darf bei allen Dialogen außer jenen für Anlagengruppe und Schicht NULL sein. In diesem Fall wird der Wert als Label verwendet.
  • Jeder Wert muss eindeutig sein.
    Verschiedene vordefinierte Werte mit demselben Wert-Feld sind nicht erlaubt.
  • Label müssen eindeutig sein.
    Verschiedene vordefinierte Werte mit demselben Label-Feld sind allgemein nicht erlaubt.
    Ausnahme: Werte aus Anlagengruppen mit gleichen Labels sind zugelassen, wenn diese sich nicht im gleichen Bereich des Baums befinden. Gleiche Labels bei Wurzelelementen und gleiche Labels bei Elementen mit dem gleichen übergeordneten Knoten führen damit zu Fehlern.
    Achtung: Auch ein Wert ohne Label kann zu einem Duplikat führen, wenn sein Wert dem Label eines anderen vordefinierten Wertes entspricht.

attention Achtung

Die Parametervalidierung durch den zenon Analyzer Server ist keine Vorbeugungsmaßnahme gegen Angriffe per SQL-Injection, sondern nur eine Überprüfung auf gültige Report-Werte. Gegenmaßnahmen gegen Angriffe müssen vom Designer der SQL-Stored-Procedures ergriffen werden!

Noch in diesem Kapitel

Standard-Eingabefeld

Bool-Auswahldialog

Eingabe oder Auswahl mehrerer Werte

Datum und Uhrzeit

Zeitspanne

Anlagengruppe

Charge und Schicht

Filter

Sortierung Filterelemente


Standard-Eingabefeld

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Standard-Eingabefeld

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das Standard-Eingabefeld erlaubt die Eingabe von genau einem Wert für einen Parameter. Dieses Eingabefeld wird für alle Parameter, die keinen spezialisierten Dialog verlangen, angezeigt.

General Analyzer Schema Graphics Template

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Datentyp des Parameters ist nicht Bool und nicht Datum und Uhrzeit.
  • Der Parameter erlaubt nur die Eingabe eines einzigen Werts.
  • Der Parameter verfügt nicht über vordefinierte Werte.


Bool-Auswahldialog

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Bool-Auswahldialog

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Bool-Auswahldialog ermöglicht das Wählen eines der Werte für Bool-Parameter, die mit einem Label versehen werden können:

  • True
  • False

General Analyzer Schema Graphics Template

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Datentyp des Parameters ist Bool.
  • Es wird immer nur die Auswahl eines Wertes zugelassen.
    Lässt der Dialog die Auswahl mehrerer Werte zu, so wird dies ignoriert.
  • Sind vordefinierte Werte vorhanden, dann wird der Text für den entsprechenden Radiobutton mit dem Label des vordefinierten Werts überschrieben. Kommt beim Laden des Controls ein zweites Label für diesen Wert an, wird der Text für den Radiobutton erneut überschrieben. Vordefinierte Werte kommen immer in der im Report Builder eingestellten Reihenfolge an.


Eingabe oder Auswahl mehrerer Werte

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Eingabe oder Auswahl mehrerer Werte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabe mehrerer Werte

Dieser Dialog erlaubt die Eingabe mehrerer Werte für einen Parameter. Jede Zeile entspricht hierbei einem Wert. Leere Zeilen werden ignoriert.

Um Werte einzugeben:

  1. klicken Sie in das Eingabefeld
  2. das Eingabefeld wird geöffnet
  3. tragen Sie die Werte zeilenweise ein
  4. klicken Sie auf den Pfeil neben dem Eingabefeld
  5. das Eingabefeld wird geschlossen
  6. die Werte werden, durch Strichpunkt getrennt, angezeigt

General Analyzer Schema Graphics Template

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Parameter hat nicht den Datentyp Bool.
  • Der Parameter erlaubt die Eingabe mehrerer Werte.
  • Der Parameter verfügt nicht über vorgegebene Werte.

Auswahl eines Werts aus mehreren vorgegebenen Werten

Dieser Dialog erlaubt die Auswahl eines Wertes aus mehreren vorgegebenen Werten. Die Werte werden immer alphabetisch aufsteigend sortiert dargestellt.

Um einen Werte auszuwählen:

  1. klicken Sie in das Eingabefeld
  2. das Eingabefeld wird geöffnet
  3. filtern Sie die Einträge oder wählen Sie einen Wert aus
  4. klicken Sie auf den Pfeil neben dem Eingabefeld
  5. das Eingabefeld wird geschlossen
  6. der Wert wird im Eingabefeld angezeigt

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Parameter hat nicht den Datentyp Bool.
  • Der Parameter erlaubt nicht die Auswahl mehrerer Werte.
  • Der Parameter verfügt über vordefinierte Werte.
  • Für Parameter mit dem Datentyp Text gilt darüber hinaus noch:
    • Ein zusätzlicher versteckter Parameter mit dem Namen [Parametername]_Type existiert entweder nicht oder sein Standardwert ist nicht auf 1 oder 2 gesetzt.

Der Dialog kann gefiltert dargestellt werden.

Auswählen mehrerer Werte aus mehreren vorgegebenen Werten

Dieser Dialog erlaubt die Auswahl mehrerer Werte aus vordefinierten Werten. Die Werte werden immer alphabetisch aufsteigend sortiert. Die Auswahl erfolgt über Aktivierung der Checkbox vor dem Eintrag. Sobald mehr als ein Eintrag dargestellt wird, verfügt die Liste über eine Checkbox zum Auswählen/(Abwählen aller Werte.

Um mehrere Werte auszuwählen:

  1. klicken Sie in das Eingabefeld
  2. das Eingabefeld wird geöffnet
  3. filtern Sie die Einträge oder wählen Sie die gewünschten Werte aus
  4. um alle Werte zu wählen klicken Sie auf Select all values
    Dabei gilt:
    • Der erste Klick in die Checkbox Select all values wählt alle Einträge aus.
    • Der zweite Klick hebt die Auswahl auf.
    • Diese Auswahl betrifft immer nur die angezeigten Werte, ausgefilterte Werte sind nicht betroffen.
  5. klicken Sie auf den Pfeil neben dem Eingabefeld
  6. das Eingabefeld wird geschlossen
  7. die Werte werden, durch Strichpunkt getrennt, angezeigt

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Parameter hat nicht den Datentyp Bool.
  • Der Parameter erlaubt die Auswahl mehrerer Werte.
  • Der Parameter verfügt über vordefinierte Werte.
  • Für Parameter mit dem Datentyp Text gilt darüber hinaus noch:
    • Ein zusätzlicher versteckter Parameter mit dem Namen [Parametername]_Type existiert entweder nicht oder sein Standardwert ist nicht auf 1 gesetzt.

Der Dialog kann gefiltert dargestellt werden.


Datum und Uhrzeit

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Datum und Uhrzeit

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Dialog für Datum und Uhrzeit verfügt über unterschiedliche Auswahlmöglichkeiten, je nach Konfiguration des Reports:

  • Jahr: Auswahl des Jahres
  • Monat: Auswahl des Monats
  • Tag: Auswahl eines Tages
  • Stunden: Auswahl der Stunden
  • Uhrzeit: Auswahl der Stunden und Minuten

Grundlagen

  • Die Kalenderwoche und der Wochenbeginn im Auswahldialog entsprechen der Norm ISO 8601. Damit:
    • ist der erste Wochentag immer ein Montag
    • liegt der 4. Januar immer in der ersten Kalenderwoche eines Jahres
  • Die Darstellung der Uhrzeit im Format 24 Stunden oder 12 Stunden hängt von den Einstellungen der Sprachkultur im Browser ab.

Noch in diesem Kapitel

Jahr

Monat

Tag

Stunden

Uhrzeit


Jahr

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Datum und Uhrzeit -> Jahr

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl eines Jahres für die Darstellung im Report. Der Zeitbereich reicht vom Jahr 1900 bis zum übernächsten Jahr vom aktuellen Datum aus gesehen.

Auswahl Jahr

Screenshots - Expanding

Parameter

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zur Dekadenansicht der vorhergehenden oder der nächsten Dekade gesprungen werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf die vorhergehende Dekade.
  • Pfeil rechts: Schaltet auf die folgende Dekade.

In der Ansicht 1900 – 1910 kann nicht zur vorhergehenden Dekade navigiert werden. In der Ansicht der Dekade, die das übernächste Jahre vom aktuellen Datum aus gesehen beinhaltet, kann nicht zur nächsten Dekade navigiert werden

Jahresauswahl

Das ausgewählte Jahr wird hervorgehoben. Ist kein Wert eingestellt, wird das aktuelle Jahr hervorgehoben.

Klick auf ein Jahr übernimmt das Jahr als Zeitpunkt und schließt den Dialog. Tag und Uhrzeit werden über die beiden Kontrollelemente Jahresanfang und Jahresende definiert.

Jahresanfang
  • Aktiv: Als Tag und Uhrzeit wird der 1. Januar, 00:00:00, konfiguriert.

Jahresende
  • Aktiv: Als Tag und Uhrzeit wird der 1. Januar des Folgejahres, 00:00:00,, konfiguriert.


Monat

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Datum und Uhrzeit -> Monat

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl eines Monats für die Darstellung im Report.

Auswahl Monat

Screenshots - Expanding

Parameter

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zu anderen Jahren gewechselt werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf das vorhergehende Jahr.
  • Pfeil rechts: Schaltet auf das folgende Jahr.
  • Jahr: Öffnet den Dialog zur Jahresauswahl.

Monatsauswahl

Der ausgewählte Monat wird hervorgehoben. Ist kein Wert eingestellt, wird der aktuelle Monat hervorgehoben.

Klick auf einen Monat übernimmt den Monat als Zeitpunkt und schließt den Dialog. Tag und Uhrzeit werden über die beiden Kontrollelemente Monatsanfang und Monatsende definiert.

Monatsanfang
  • Aktiv: Als Tag und Uhrzeit wird der erste Tag des Monats, 00:00:00, konfiguriert.

Monatsende
  • Aktiv: Als Tag und Uhrzeit wird der erste Tag des folgenden Monats, 00:00:00, konfiguriert.


Tag

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Datum und Uhrzeit -> Tag

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl eines Tages in einem Monat für die Darstellung im Report.

Auswahl Tag

Screenshots - Expanding

Parameter

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zu anderen Monaten gewechselt werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf den vorhergehende Monat.
  • Pfeil rechts: Schaltet auf den folgende Monat.
  • Jahr: Öffnet den Dialog zur Monatsauswahl.

Tagesauswahl

Der ausgewählte Tag wird hervorgehoben. Ist kein Wert eingestellt, wird der aktuelle Tag hervorgehoben.

Klick auf einen Tag übernimmt den Tag als Zeitpunkt und schließt den Dialog. Die Uhrzeit wird über die beiden Kontrollelemente Tagesanfang und Tagesende definiert.

Tagesanfang
  • Aktiv: Als Uhrzeit wird 00:00:00 konfiguriert.

Tagesende
  • Aktiv: Als Uhrzeit wird 00:00:00 des folgenden Tages konfiguriert.


Stunden

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Datum und Uhrzeit -> Stunden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl eines Tages und einer Stunde in einem Monat für die Darstellung im Report.

Auswahl Tag

Screenshots - Expanding

Parameter

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zu anderen Monaten gewechselt werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf den vorhergehende Monat.
  • Pfeil rechts: Schaltet auf den folgende Monat.
  • Jahr: Öffnet den Dialog zur Monatsauswahl. Die Kopfzeile kann zur Datumsnavigation genutzt werden:

Tagesauswahl

Der ausgewählte Tag wird hervorgehoben. Ist kein Wert eingestellt, wird der aktuelle Tag hervorgehoben.

Klick auf einen Tag übernimmt den Tag als Zeitpunkt und öffnet den Dialog zur Auswahl einer Stunde.

Heute

Übernimmt den aktuellen Tag als Datum und öffnet Dialog zur Auswahl der Stunde.

Anfang dieser Woche

Setzt Montag der aktuellen Kalenderwoche mit Tagesbeginn (00:00:00) als Uhrzeit.

Ende dieser Woche

Setzt Montag der folgenden Kalenderwoche mit Tagesbeginn (00:00:00) als Uhrzeit.

Anfang dieses Monats

Setzt den ersten Tag des aktuellen Monats mit Tagesanfang (00:00:00) als Uhrzeit.

Ende dieses Monats

Setzt den ersten Tag des folgenden Monats mit Tagesanfang (00:00:00) als Uhrzeit.

Auswahl Stunde

Screenshots - Expanding

Parameter | Beschreibung
Kopfzeile | Klick auf Kopfzeile öffnet Monatsansicht zur Datumsnavigation.
Eingabe Uhrzeit | Die Uhrzeit wird über die Dropdownliste ausgewählt. Die Auswahl erfolgt per Klick auf die Pfeile des Spincontrols oder Eingabe in die geöffnete Dropdownliste per Klick auf die gewünschte Zeit oder direkte Eingabe über die Tastatur (Pfeil- und Nummerntasten). Minuten werden als 00 angezeigt und können nicht verändert werden.
00:00 bedeutet Ende des Tages | Aktiv: 00:00 wird als Ende des Tages interpretiert.
Zurück | Öffnet Monatsansicht zur Datumsnavigation.
Annehmen | Übernimmt eingestellte Werte und schließt den Dialog. Um die Eingabe abzubrechen, klicken Sie auf das Kalendersymbol neben dem Eingabefeld.


Uhrzeit

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Datum und Uhrzeit -> Uhrzeit

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Zeitauswahl erfolgt je nach Einstellung der Sprachkultur des Browsers im 24 h oder im 12 h Zeitformat.

24 h Zeitformat

Screenshots - Expanding

Parameter

Beschreibung

Kopfzeile

Klick auf Kopfzeile öffnet Monatsansicht zur Datumsnavigation.

Eingabe Uhrzeit

Die Uhrzeit wird über zwei Dropdownlisten ausgewählt. Klick in die Liste öffnet diese. Die Auswahl erfolgt per Klick auf die Pfeile des Spincontrols oder Eingabe in die geöffnete Dropdownliste per Klick auf die gewünschte Zeit oder direkte EIngabe über die Tastatur (Pfeil- und Nummerntasten) :

  • Die erste (linke) Dropdownliste dient der Auswahl der Stunde.
    Die Pfeile rechts neben der ersten Dropdownliste erhöhen und verringern die eingestellte Stunde um den Wert 1. Am Ende der Liste wird beim Erhöhen zum Anfang gesprungen. Am Anfang der Liste wird beim Verringern zum Ende gesprungen.
  • Die zweite (rechte) DropDownliste dient der Auswahl der Minute. Die Liste enthält die Werte 0 bis 59. Ist die Dropdownliste geöffnet, kann ein Wert auch über die Tastatur ausgewählt werden (Pfeil- und Nummerntasten).

00:00 bedeutet Ende des Tages
  • Aktiv: 00:00 wird als Ende des Tages interpretiert.

Zurück

Öffnet Monatsansicht zur Datumsnavigation.

Annehmen

Übernimmt eingestellte Werte und schließt den Dialog.

Um die Eingabe abzubrechen, klicken Sie auf das Kalendersymbol neben dem Eingabefeld.

12 h Zeitformat

Screenshots - Expanding

Parameter

Beschreibung

Kopfzeile

Klick auf Kopfzeile öffnet Monatsansicht zur Datumsnavigation.

Eingabe Uhrzeit

Die Uhrzeit wird über zwei Dropdownlisten ausgewählt. Klick in die Liste öffnet diese. Die Auswahl erfolgt per Klick auf die Pfeile des Spincontrols oder Eingabe in die geöffnete Dropdownliste per Klick auf die gewünschte Zeit oder direkte Eingabe über die Tastatur (Pfeil- und Nummerntasten) :

  • Die erste (linke) Dropdownliste dient der Auswahl der Stunde.
    Die Pfeile rechts neben der ersten Dropdownliste erhöhen und verringern die eingestellte Stunde um den Wert 1. Am Ende der Liste wird beim Erhöhen zum Anfang gesprungen. Am Anfang der Liste wird beim Verringern zum Ende gesprungen.
  • Die zweite (rechte) DropDownliste dient der Auswahl der Minute. Die Liste enthält die Werte 0 bis 59. Ist die Dropdownliste geöffnet, kann ein Wert auch über die Tastatur ausgewählt werden (Pfeil- und Nummerntasten).
  • AM: Vormittag (ante meridiem)
  • PM: Nachmittag (post meridiem)

12:00 AM means end of the day

Aktiv: 12:00 AM wird als Ende des Tages interpretiert.

Back

Öffnet Monatsansicht zur Datumsnavigation.

Accept

Übernimmt eingestellte Werte und schließt den Dialog.

Um die Eingabe abzubrechen, klicken Sie auf das Kalendersymbol neben dem Eingabefeld.


Zeitspanne

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Zeitspanne

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dieser Dialog ermöglicht die Eingabe einer Zeitspanne, je nach Konfiguration des Reports.

Screenshots - Expanding

Um eine Zeitspanne zu projektieren:

  1. Wählen Sie den Endzeitpunkt.
    Welche Auswahlmöglichkeiten zur Verfügung stehen, hängt vom Report ab:
    • Jahr
    • Monat
    • Tag
    • Stunde
    • Minute
  2. Wählen Sie die Intervalldauer.
    Die Intervall dauer definiert die Zeitspanne bis zum Endzeitpunkt. Die Auswahlmöglichkeiten hängen vom Report ab.
  3. Die gewählte Konfiguration wird im Bereich Vorschau angezeigt. Bei Fehlkonfigurationen werden hier entsprechende Fehlermeldungen angezeigt.

Noch in diesem Kapitel

Jahr

Monat

Tag

Stunde

Minute


Jahr

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Zeitspanne -> Jahr

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabe des Zeitbereichs in Jahren

Screenshots - Expanding

Parameter

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten und Stunden werden immer auf 0 gesetzt, Tage immer auf 1. Januar. Diese Elemente sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Jahresanfang
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des 1. Januar des gewählten Jahres.

Jahresende
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des 1. Januar des Folgejahres.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest.
    Feste Einstellung: Jahre

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Monat

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Zeitspanne -> Monat

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabe des Zeitbereichs in Monaten

Screenshots - Expanding

Parameter

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten und Stunden werden immer auf 0 gesetzt, Tage immer auf 1. Diese Elemente sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Monatsanfang
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des ersten Tages des gewählten Monats.

Monatsende
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des ersten Tages des Folgemonats.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl von Jahren oder Monaten.

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Tag

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Zeitspanne -> Tag

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabe des Zeitbereichs in Tagen

Screenshots - Expanding

Parameter

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten und Stunden werden immer auf 0 gesetzt und sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Tag

Eingabe Tag. Auswahl aus Dropdownliste.

Tagesanfang
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des gewählten Tages.

Tagesende
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des auf den gewählten Tag folgenden Tages.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl zwischen Jahren, Monaten und Tagen.

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Stunde

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Zeitspanne -> Stunde

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabe des Zeitbereichs in Stunden

Screenshots - Expanding

Parameter

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten werden immer auf 0 gesetzt und sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Tag

Eingabe Tag. Auswahl aus Dropdownliste.

Stunde

Eingabe Stunde. Auswahl aus Dropdownliste.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl zwischen Jahren, Monaten, Tagen und Stunden

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Minute

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Zeitspanne -> Minute

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabe des Zeitbereichs in Minuten

Screenshots - Expanding

Parameter

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Tag

Eingabe Tag. Auswahl aus Dropdownliste.

Stunde

Eingabe Stunde. Auswahl aus Dropdownliste.

Minute

Eingabe Minute. Auswahl aus Dropdownliste.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl zwischen Jahren, Monaten, Tagen, Stunden und Minuten.

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Anlagengruppe

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Anlagengruppe

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Label für eine Anlagengruppe müssen nicht eindeutig sein. Werte aus Anlagengruppen mit gleichen Labels sind zugelassen, wenn diese sich nicht im gleichen Bereich des Baums befinden. Gleiche Labels bei Wurzelelementen und gleiche Labels bei Elementen mit dem gleichen übergeordneten Knoten führen zu Fehlern.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Auswahl eines Eintrags aus dem Anlagenmodell

Dieser Auswahldialog ermöglicht die Auswahl eines Eintrags aus dem Anlagenmodell. Die Einträge werden in einer Baumstruktur dargestellt und je Ebene alphabetisch aufsteigend sortiert .

Untergeordnete Elemente einer Ebene können ausgeblendet werden. Ein Plus vor dem Eintrag bedeutet: Element enthält weitere untergeordnete Elemente. Diese werden in der aktuellen Ansicht nicht angezeigt. Klick auf das Pluszeichen öffnet die Anzeige der Unterelemente. Das Vorzeichen wandelt sich in ein Minus. Klick auf das Minus schließt die Ebene wieder.

Um ein Element auszuwählen:

  1. Öffnen Sie die entsprechende Gruppe, falls das Element ein Unterelement ist und nicht angezeigt wird.
  2. Wählen Sie das gewünschte Element per Mausklick aus.
    Hinweis: Ein Doppelklick auf eine Checkbox wählt alle zum diesem Zeitpunkt sichtbaren hierarchisch untergeordneten Checkboxen aus oder ab.

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Parameter ist vom Datentyp Text.
  • Der Parameter erlaubt nicht die Auswahl mehrerer Werte.
  • Der Parameter verfügt über vordefinierte Werte
  • Ein zusätzlicher versteckter Parameter mit dem Namen [Parametername]_Type existiert. Als Standardwert für den versteckten Parameter ist 1 eingetragen.

Der Dialog kann gefiltert dargestellt werden. Das Filterkriterium wird dabei nur angewandt auf Einträge, die keine untergeordneten Punkte mehr haben.

Auswahl mehrerer Einträge aus dem Anlagenmodell

Dieser Auswahldialog ermöglicht die Auswahl mehrerer Einträge aus dem Anlagenmodell. Die Einträge werden in einer Baumstruktur dargestellt und je Ebene alphabetisch aufsteigend sortiert .

Untergeordnete Elemente einer Ebene können ausgeblendet werden. Ein Plus vor dem Eintrag bedeutet: Element enthält weitere untergeordnete Elemente. Diese werden in der aktuellen Ansicht nicht angezeigt. Klick auf Pluszeichen öffnet Anzeige der Unterelemente. Das Vorzeichen wandelt sich in ein Minus. Klick auf Minus schließt Ebene wieder.

Beim Aus- und Einblenden werden ausgewählte Einträge (Haken in Checkbox) auch aus- bzw. eingeblendet. Der Status (ausgewählt oder abgewählt) bleibt dabei erhalten. Ein Doppelklick auf eine Checkbox markiert alle zum diesem Zeitpunkt sichtbaren hierarchisch untergeordneten Checkboxen bzw. entfernt die Markierung wieder.

Wird mehr als 1 Wert dargestellt (zB andere Werte zugeklappt oder ausgefiltert), verfügt das Control über eine CheckBox zum selektieren aller angezeigten Elemente. Diese verhält sich analog zur CheckBox für alle Elemente beim Control zur Auswahl mehrerer vordefinierter Werte.

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Parameter ist vom Datentyp Text.
  • Der Parameter erlaubt die Auswahl mehrerer Werte.
  • Der Parameter verfügt über vordefinierte Werte
  • Ein zusätzlicher versteckter Parameter mit dem Namen [Parametername]_Type existiert. Als Standardwert für den versteckten Parameter ist 1 eingetragen.

Der Dialog kann gefiltert dargestellt werden. Das Filterkriterium wird dabei nur angewandt auf Einträge, die keine untergeordneten Punkte mehr haben. Ist ein Eintrag ausgewählt, kann er nicht ausgefiltert werden.

Struktur für vordefinierte Werte

Vordefinierten Werte verlangen bei beiden Dialogen eine bestimmte Struktur:

  • Der anzuzeigende Name steht immer im Label des Werts.
  • Bei Wurzeleinträgen (keine übergeordneten Knoten mehr vorhanden) steht nur die ID im Wert.
  • Bei untergeordneten Einträgen besteht der Wert aus der ID des Eintrags und der ID des übergeordneten Eintrags, getrennt durch das Verkettungszeichen (Pipe-Zeichen, |).
    Also: [ID des Eintrags] | [ID des übergeordneten Eintrags]


Charge und Schicht

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Charge und Schicht

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dieser Auswahldialog konfiguriert die Darstellung von Chargen- und Schichtdaten. Jeder vordefinierte Wert entspricht einer Zeile. Der Benutzer kann eine Charge durch Klicken auf die entsprechende Zeile auswählen.

Der Auswahldialog enthält folgende Spalten:

  • Name (für Charge bzw. Schicht)
  • Startdatum
  • Startzeit
  • Enddatum
  • Endzeit
  • Dauer

Der Dialog kann sortiert und gefiltert werden. Details siehe Kapitel Filter Chargen.

Für diese Parameter gelten die folgenden Anforderungen:

  • Der Parameter hat den Datentyp Text.
  • Der Parameter erlaubt nicht die Auswahl mehrerer Werte.
  • Der Parameter verfügt über vordefinierte Werte.
  • Ein zusätzlicher versteckter Parameter mit dem Namen [Parametername]_Type existiert und dessen Standardwert ist auf 2 gesetzt.

Struktur vordefinierte Werte

Vordefinierten Werte für diesen Auswahldialog verlangen eine bestimmte Struktur:

  • Der Chargen-Name steht immer im Label des Werts.
  • Das Wert-Feld des Labels besteht aus dem:
    • [Anfangszeitpunkt]
    • Verkettungszeichen „|"
    • [Endzeitpunkt]

      Das Format eines Zeitpunkts ist YYYY-MM-DD hh:mm:ss in UTC.
      Zur Darstellung wird die Zeit auf die Lokalzeit des Servers umgerechnet.

Daraus werden die folgenden Werte zum Anzeigen in Spalten generiert:

  • Name der Charge
  • Datum, an dem die Charge begonnen hat: Eingabe im Datumsformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Uhrzeit, um die die Charge begonnen hat: Eingabe im Uhrzeitformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Datum, an dem die Charge geendet hat: Eingabe im Datumsformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Uhrzeit, um die die Charge geendet hat: Eingabe im Uhrzeitformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Dauer der Charge:
    Format: [#Tage][Tagesabkürzung in der Kultur des Anwenders] [#Stunden]:[#Minuten]:[#Sekunden]

Auswertung von Chargengruppen

Ein Mechanismus zur Auswertung von Chargengruppen steht zur Verfügung. Dieser basiert auf dem Anlagenmodell:

  1. Über das Anlagenmodell werden die notwendigen Variablen und die Chargenarchive, in denen sie aufgenommen sind, gefunden.
  2. Aus den Chargenarchiven werden alle Chargen für den gewählten Zeitpunkt geholt. Dabei werden Chargen mit dem gleichen Chargennamen aber mit unterschiedlichen Zeitpunkten aus mehreren Archiven zu einem Eintrag zusammengefasst.
  3. Die Chargen werden über Report-Parameter in einem Chargen-Auswahl-Dialog dargestellt.
  4. Bei der Reporterstellung werden erneut die Chargen für alle beteiligten Archive gelesen und für jedes Archiv werden die Daten für den Zeitraum der Charge in dem Archiv geholt.


Filter

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Filter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Manche Dialoge können gefiltert dargestellt werden. Zum Beispiel Dialoge für:

  • Eingabe oder Auswahl mehrerer Werte: Filtermethode siehe unten
  • Auswahl Anlagengruppe: Filtermethode siehe unten
  • Auswahl Chargen: Filtermethode siehe Filter Chargen

Um die vorgegebenen Werte zu filtern:

  1. tragen Sie in das Eingabefeld das Filterkriterium ein
  2. drücken Sie die Taste Eingabe
  3. die Liste wird neu aufgebaut und enthält nur noch Werte, die dem Filterkriterium entsprechen

Um alle Werte anzuzeigen:

  1. löschen Sie das Filterkriterium aus dem Eingabefeld
  2. drücken Sie die Taste Eingabe
  3. die Liste wird neu aufgebaut und enthält alle vorgegebenen Werte

Filterkriterien für filterbare Dialoge

  • Die Filterung erfolgt ohne Rücksicht auf Groß- und Kleinschreibung.
  • Ein Fragezeichen (?) ist eine Wildcard für genau ein Zeichen.
  • Ein Stern (*) ist eine Wildcard für beliebig viele Zeichen.
  • Ist in einem Filterkriterium weder * noch ? enthalten, wird intern ein * an das Filterkriterium angehängt.
  • Sind Werte ausgewählt, werden diese beim Filtern weiter angezeigt, auch wenn sie nicht dem Kriterium entsprechen.
  • Anlagengruppe: Das Filterkriterium wird nur angewandt auf Einträge, die keine untergeordneten Punkte mehr haben (weil diese z. B. nie vorhanden waren oder schon ausgefiltert worden sind).

Beispiele

Filter | findet
e oder E oder e* oder E* | Alle Einträge, die mit „e" oder „E" beginnen.
*3 | Alle Einträge, die mit „3" enden.
?r* oder ?R* | Alle Einträge mit „r" oder „R" als zweitem Buchstaben.
*9* | Alle Einträge, die „9" enthalten.

Noch in diesem Kapitel

Filter Chargen


Filter Chargen

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Filter -> Filter Chargen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Einträge im Chargen-Auswahldialog können gefiltert und sortiert werden.

Werte filtern

Um die vorgegebenen Werte zu filtern:

  1. tragen Sie in jeder gewünschten Spalte in das Eingabefeld das Filterkriterium ein
  2. drücken Sie die Taste Eingabe
  3. die Liste wird neu aufgebaut und enthält nur noch Werte, die dem Filterkriterium entsprechen

Um alle Werte anzuzeigen:

  1. löschen Sie das Filterkriterium aus dem Eingabefeld
  2. drücken Sie die Taste Eingabe
  3. die Liste wird neu aufgebaut und enthält alle vorgegebenen Werte

Für die Filterung gilt:

  • Jede Spalte verfügt über eine eigene Filterbox.
  • Ist eine Filterbox leer, wird nach dieser Spalte nicht gefiltert.
  • Damit ein Eintrag angezeigt wird, muss er die Filterbedingungen aller Spalten erfüllen.
  • Die Filterung wird durch Drücken der Taste Eingabe in einer beliebigen Filterbox angestoßen.
  • Folgende Filter werden für die einzelnen Spalten verwendet:
    • Chargenname verwendet den Textfilter wie beim Dialog zum Auswählen eines aus mehreren vorgegebenen Werten.
    • Startdatum verwendet den Datumsfilter.
    • Startzeit verwendet den Uhrzeitfilter.
    • Enddatum verwendet den Datumsfilter.
    • Endzeit verwendet den Uhrzeitfilter.
    • Dauer verwendet den Dauerfilter.

Chargenname

Für diesen Filter gilt:

  • Die Filterung erfolgt ohne Rücksicht auf Groß- und Kleinschreibung.
  • Ein Fragezeichen (?) ist eine Wildcard für genau ein Zeichen.
  • Ein Stern (*) ist eine Wildcard für beliebig viele Zeichen.
  • Ist in einem Filterkriterium weder * noch ? enthalten, wird intern ein * an das Filterkriterium angehängt.
  • Sind Werte ausgewählt, werden diese beim Filtern weiter angezeigt, auch wenn sie nicht dem Kriterium entsprechen.

Datumsfilter:

Für diesen Filter gilt:

  • Das Datum muss im Datumsformat der Sprachkultur des Anwenders eingegeben werden.
  • Führende Nullen dürfen weggelassen werden.
  • Für einzelne Elemente (Tag, Monat, Jahr) darf * als Wildcard verwendet werden.

    Zum Beispiel:
    Mai 2011: *.5.2011
    Jahr 2011: *.*.2011

  • Um ab/bis zu einem bestimmten Tag zu filtern, darf am Beginn verwendet werden:
    • <
    • >
    • <=
    • >=

    Die Eingabe eines * ist dabei nicht zulässig.
    Zum Beispiel:

    ab 1. Mai 2011: > 30.4.2011 oder >= 1.5.2011
    bis 31. Mai 2011: < 1.6.2011 oder <= 31.5.2011

  • Entspricht ein Filterkriterium nicht diesen Bedingungen (z. B. < und * kombiniert, Elemente fehlen oder im falschen Datumsformat eingegeben) wird die gesamte Filterung abgebrochen.

Uhrzeitfilter:

Für diesen Filter gilt:

  • Die Uhrzeit muss im Uhrzeitformat der Sprachkultur des Anwenders eingegeben werden.
  • Führende Nullen dürfen weggelassen werden.
  • Für einzelne Elemente (Stunde, Minute, Sekunde) darf * als Wildcard verwendet werden.
    Zum Beispiel:
    12 Uhr: 12:*:* (24-Std) bzw. 12:*:* PM (12-Std)
    13:45: 13:45:* (24-Std) bzw. 1:45:* PM (12-Std)
  • Um ab/bis zu einer bestimmten Uhrzeit zu filtern, darf am Beginn verwendet werden:
    • <
    • >
    • <=
    • >=

    Die Eingabe eines * ist dabei nicht zulässig.
    Zum Beispiel:
    Vormittag inklusive Mittag: < 12:00:01 oder <= 12:00:00 (24-Std) bzw. < 12:00:01 PM oder <= 12:00:00 PM (12-Std)
    Alles ab 8 Uhr: > 7:59:59 oder >= 8:0:0 (24-Std) bzw. > 7:59:59 AM oder >= 8:0:0 AM (12-Std)

  • Entspricht ein Filterkriterium nicht diesen Bedingungen (z. B. < und * kombiniert, Elemente fehlen oder im falschen Uhrzeitformat eingegeben) wird die gesamte Filterung abgebrochen.

Dauerfilter:

Für diesen Filter gilt:

  • Die Dauer muss im oben definierten Format eingegeben werden.
  • Führende Nullen dürfen weggelassen werden.
  • Für einzelne Elemente (Tag, Stunde, Minute, Sekunde) darf * als Wildcard verwendet werden.
    Zum Beispiel:
    Einen Tag Dauer: 1d *:*:*
  • Um ab/bis zu einer bestimmten Dauer zu filtern, darf am Beginn verwendet werden:
    • <
    • >
    • <=
    • >=

    Die Eingabe eines * ist dabei nicht zulässig.
    Zum Beispiel:

    Länger als 1 Tag: > 1d 0:0:0 oder >= 1d 0:0:1
    Kleiner als 12 Stunden: < 0d 12:0:0 oder <= 0d 11:59:59

  • Entspricht ein Filterkriterium nicht diesen Bedingungen (z. B. < und * kombiniert, Elemente fehlen) wird die gesamte Filterung abgebrochen.

Werte sortieren

Die Report kann nach jeder Spalte auf- oder absteigend sortiert werden. Die aktuelle Sortierung wird in der Spalte, nach der sortiert wird, angezeigt.

Um eine Spalte zu sortieren:

  1. klicken Sie in den gewünschte Spaltentitel
  2. die Sortierung wird gestartet
  3. der Pfeil neben der Spaltenüberschrift zeigt an, ob aufsteigend oder absteigend sortiert wird
  4. ein erneuter Klick in den Spaltentitel ändert die Sortierreihenfolge

Filterung und Sortierung können parallel eingesetzt werden und beeinträchtigen sich gegenseitig nicht.


Sortierung Filterelemente

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Parameter - Eingabe und Auswahl -> Sortierung Filterelemente

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Element vom Typ Auswahl eines Wertes aus vordefinierten Werten oder Auswahl mehrerer Werte aus vordefinierten Werten verfügen standardmäßig über eine vordefinierte Sortierung für die Anzeige der Filterelemente.

Das gilt wenn, der Parameter:

  • von einem der folgenden Datentypen ist:
    • Ganze Zahl
    • Gleitkommazahl
    • Datum & Uhrzeit
    • Text
  • über eine Liste von vordefinierten Werten verfügt
  • nicht versteckt und nicht schreibgeschützt ist

Die standardmäßig vorgegebene Sortierung wird bei der Erstellung der Reportvorlage definiert und kann von Report-Entwicklern im Report Builder verändert werden.

Folgende Sortierungen stehen zur Verfügung:

  • A-Z:

    Es wird nach den Anzeigetexten der vordefinierten Werte alphabetisch aufsteigend sortiert. Das ist das Standardverhalten. Dieses gilt auch dann, wenn keine spezielle Sortierung hinterlegt wurde.

  • Z-A:

    Es wird nach den Anzeigetexten der vordefinierten Werte alphabetisch absteigend sortiert.

  • Werte aufsteigend:

    Es wird nach den vordefinierten Werten aufsteigend sortiert. Der Datentyp des Parameters wird dabei berücksichtigt.

  • Werte absteigend:

    Es wird nach den vordefinierten Werten absteigend sortiert. Der Datentyp des Parameters wird dabei berücksichtigt.

  • Gereiht:

    Die Werte werden in der Reihenfolge, in der sie vom SQL-Server Reporting Services Web Service geliefert werden, in die Liste geschrieben.

  • Umgekehrt gereiht:

    Die Werte werden in der umgekehrten Reihenfolge, in der sie vom SQL-Server Reporting Services Web Service geliefert werden, in die Liste geschrieben.


Site

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Site

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Über die Site-Einstellungen konfigurieren Sie

  • Allgemeine Eigenschaften des zenon Analyzer

Benutzerrechte werden im ZAMS gesetzt und verwaltet.

Noch in diesem Kapitel

Allgemein


Allgemein

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Site -> Allgemein

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allgemeine Einstellungen zu Benennung der zenon Analyzer und Verarbeitung der Reports.

Screenshots - Expanding

Parameter

Beschreibung

Name

Name, der in der Kopfzeile des Reportgenerators angezeigt werden soll.

Reportverlauf

Definiert Anzahl der für den Verlauf gespeicherten Reports. Mögliche Einstellungen:

  • unbegrenzte Anzahl
  • maximale Anzahl definieren

Reportimeout

Definiert Timeout für Verarbeitung der Reports. Mögliche Einstellungen:

  • kein Timeout
  • Beschränkung auf einen Sekundenwert

Start-URL für benutzerdefinierten Report-Generator

Adresse für benutzerdefinierten Report-Generator.

Anwenden

Übernimmt geänderte Einstellungen

Achtung: Seitenwechsel ohne Bestätigung durch Anwenden führt zu Verlust aller Änderungen.


Datenquelle

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Datenquelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um eine Datenquelle zu konfigurieren:

  1. bewegen Sie die Maus in der Detailansicht des zenon Analyzer über die Datenquelle
  2. die Dropdownliste wird angezeigt
  3. wählen Sie den gewünschten Befehl

Screenshots - Expanding

Parameter | Beschreibung
Verschieben | Öffnet Dialog zum Verschieben des Elements.
Löschen | Löscht Element.
Reportmodell generieren | Öffnet Dialog zum Erstellen eines neuen Reportmodells.
Abhängige Elemente anzeigen | Zeigt alle auf dieser Datenquelle basierenden Reports an und ermöglicht, diese zu löschen oder zu verschieben.
Verwalten | Öffnet Dialog für Einstellung der Eigenschaften inklusive des Dialogs für abhängige Elemente.

Detaillierte Anleitungen für die Microsoft Reporting Services finden Sie auf der Microsoft Homepage:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch

Noch in diesem Kapitel

Eigenschaften


Eigenschaften

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Datenquelle -> Eigenschaften

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Fenster Eigenschaften legen Sie die grundlegenden Eigenschaften der Datenquelle und die Verbindungsparameter fest.

Screenshots - Expanding

Parameter | Beschreibung
Löschen | Löscht Datenquelle.
Verschieben | Verschiebt Datenquelle.
Modell generieren | Öffnet Dialog zum Erstellen eines neuen Modells.
Name | Name der Datenquelle.
Beschreibung | Optionale, nähere Beschreibung
In Neben-/Untereinanderansicht ausblenden | Aktiv: wird in Neben-/Untereinanderansicht ausgeblendet.
Diese Datenquelle aktivieren | Aktiv: Datenquelle wird benutzt.
Datenquelltyp | Auswahl des Typs über Dropdownliste.
Verbindungszeichenfolge | String zur Herstellung der Verbindung.
Verbindung herstellen über | Auswahl der Verbindungsmethode.
Bereitgestellte Anmeldeinformation vom Benutzer, der den Report ausführt | Anwender muss informationen angeben. Vorgabe eines Hinweistextes möglich. Information kann als Windows-Anmeldeinformation gekennzeichnet werden.
Anmeldeinforamtionen, die sicher auf dem Reportserver gespeichert sind | Anmeldeinformation ist auf dem Server hinterlegt. Benutzername und Passwort müssen eingegeben werden. Information kann als Windows-Anmeldeinformation gekennzeichnet werden. Nach Herstellung einer Verbindung kann die Identität des Benutzers angenommen werden.
Integrierte Sicherheit von Windows | Windows Sicherheit.
Anmeldeinformationen sind nicht erforderlich | Keine Anmeldeinformationen nötig.
Verbindung testen | Überprüft Verbindung und gibt unterhalb der Schaltfläche eine Textmeldung zum Erfolg aus.
Anwenden | Übernimmt alle Einstellungen.

Noch in diesem Kapitel

Modell generieren


Modell generieren

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Datenquelle -> Eigenschaften -> Modell generieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dieser Dialog ermöglicht es, neue Modelle für die Datenquelle zu erstellen.

Screenshots - Expanding

Parameter | Beschreibung
Name | Name der neuen Datenquelle.
Beschreibung | Optionale, nähere Beschreibung.
Speicherort / Speicherort ändern | Öffnet Dialog zum Festlegen des Speicherorts.
OK | Bestätigt Änderungen und öffnet Eigenschaften.
Abbrechen | Verwirft Änderungen und schließt Dialog.


Ordner

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Ordner

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In Ordner werden Reports gesammelt und gruppiert.

Ordner werden konfiguriert und verwaltet über:

  • den Menüpunkt Neuer Ordner in der Menüleiste
  • den Menüpunkt Ordnereinstellungen in der Menüleiste
  • die Dropdownliste des Ordners (erscheint bei Mouseover)

Dropdownliste Ordner

Screenshots - Expanding

Parameter | Beschreibung
Verschieben | Öffnet Menü zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Ordner.
Verwalten | Öffnet Dialog zur Verwaltung des Ordners.

Neuen Ordner erstellen

Um einen neuen Ordner zu erstellen:

  1. klicken Sie auf den Menüpunkt Neuer Ordner in der Menüleiste
  2. die Dialogseite zur Erstellung des neuen Ordners wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Name

Name des Ordners.

Name:

  • darf nicht leer sein
  • darf nicht ausschließlich aus Punkten oder Leerzeichen bestehen
  • darf kein verbotenes Zeichen beinhalten;
    verboten sind: ;?:@&=+$,\*<>|"/

Vollständiger Pfad darf nicht länger als 260 Zeichen sein.

Beschreibung

Optionale Beschreibung des Ordnerinhalts.

In Neben-/Untereinanderansicht ausblenden

Aktiv: Ordner wird in Neben-/Untereinanderansicht nicht angezeigt. Diese Einstellung kann später über den Menüpunkt Verwaltung in der Dropdownliste des Ordners geändert werden.

OK

Übernimmt alle Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Einstellungen und schließt den Dialog.

Noch in diesem Kapitel

Eigenschaften


Eigenschaften

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Ordner -> Eigenschaften

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Ordner-Eigenschaften zeigen Informationen zum Ordner an und bieten die Möglichkeit, den Ordner:

  • zu verschieben
  • zu löschen
  • umzubenennen
  • in der Symbolansicht ein- oder auszublenden

Screenshots - Expanding


Dateien hochladen

zenon Analyzer -> Analyzer Manager: Konfiguration und Bedienung -> Dateien hochladen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, Modelle und andere Ressourcen, die offline bearbeitet werden, können zum Report Server hochgeladen werden.

Um Ressourcen hochzuladen:

  1. klicken Sie in der Menüleiste auf die Schaltfläche Datei hochladen
  2. der Dialog zum Hochladen wird geöffnet
  3. wählen Sie die gewünschte Datei aus
  4. wählen Sie die gewünschten Optionen
  5. bestätigen Sie mit Klick auf OK

Screenshots - Expanding

Parameter | Beschreibung
Hochzuladende Datei | Auswahl der Datei, die hochgeladen werden soll. Klick auf die Schaltfläche Durchsuchen öffnet den Dateimanager. Multiselect ist nicht möglich.
Name | Freie Namensvergabe. Der Dateiname der ausgewählten Datei wird als Defaultwert übernommen.
Vorhandenes Element überschreiben | Aktiv: Befindet sich ein Element mit gleichem Namen bereits am Report Server, wird es überschrieben.
OK | Angaben werden übernommen, die Datei wird hochgeladen und der Dialog geschlossen.
Abbrechen | Alle Angaben werden verworfen und der Dialog wird geschlossen.


Analyzer Manager: Reports

zenon Analyzer -> Analyzer Manager: Reports

Report stellen Daten aus Online-Quellen oder Archiven nach definierten Regeln dar. zenon Analyzer wird mit fertigen Reports ausgeliefert, die individuell angepasst werden können. Es können auch eigene Reports erstellt werden. Die dazu nötigen Tabellenstrukturen werden im Kapitel Grundlagen beschrieben.

Für den Aufruf und die Darstellung von Reports ist am Client-Rechner lediglich der MS Internet Explorer nötig. Alle Reports werden im Browser dargestellt und angepasst. Welche Einstellungen möglich sind, hängt von den Rechten des Benutzers ab. Reports können in andere Formate exportiert und so in anderen Anwendungen genutzt werden.

Im Auslieferungszustand werden beim Start des zenon Analyzer vorkonfigurierte Ordner mit Reports zum jeweiligen Themenbereich für das Demo-Projekt angezeigt:

Screenshots - Expanding

info Info

Es werden nur Reports angezeigt, die im Lizenzumfang des zenon Analyzer enthalten sind.

Konfiguration von Reports

Reports können, wie in diesem Kapitel beschrieben, im Browser konfiguriert werden.

Empfohlen wird die Konfiguration und Verwaltung über das ZAMS - zenon Analyzer Management Studio.

info Info

Umgang mit Zeitintervall bei Archivverdichtung und Anzeige im Report:

  • Intervall kleiner/gleich 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in UTC geachtet.
  • Intervall größer als 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in Server-Lokalzeit geachtet.
  • Bei der Darstellung wird immer Lokalzeit verwendet. Befinden sich Anwender und Server in unterschiedlichen Zeitzonen, können sich Abweichungen ergeben.

Projekte und Filter

Es können Reports über mehrere Projekte erstellt werden, ausgenommen bei der Verwendung von Filter für Schichten oder Chargen. In diesem Fall sind Reports auf ein Projekt beschränkt.

attention Achtung

Es können nur Archivdaten ausgewertet werden, deren Variablen aus dem eigenen Projekt stammen.

Das heißt: Wird, zum Beispiel in einem Integrationsprojekt, in einem Archiv eine Variable aus einem Unterprojekt archiviert, dann kann der zenon Analyzer auf diese Variable nicht zugreifen.

Noch in diesem Kapitel

Report erstellen

Report aufrufen

Report konfigurieren und exportieren

Report herunterladen

Reports verwalten


Report erstellen

zenon Analyzer -> Analyzer Manager: Reports -> Report erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports können erstellt werden mit:

  • ZAMS - zenon Analyzer Management Studio
  • Microsoft Report Builder 3.0

Für zenon steht ein eigener Wizard zum Export der Metadaten aus dem Gloalprojekt und der Variablen aus lokalen Projekten zur Verfügung. Mehr über diesen Wizard lesen Sie im Kapitel Analyzer Export Wizard im Abschnitt Datenabstraktion und Dateneinbindung.

Noch in diesem Kapitel

Report Builder

Report hochladen


Report Builder

zenon Analyzer -> Analyzer Manager: Reports -> Report erstellen -> Report Builder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports können mit dem Microsoft Report Builder manuell erstellt werden.

info Info

Der Report Builder eignet sich nicht als Editor für Reports mit CRI (Gantt Chart), da er nicht in der Lage ist, CRIs zu verarbeiten.

Um den Microsoft Report Builder zu starten:

  1. klicken Sie in der Menüleiste auf die Schaltfläche Report-Generator
  2. der Dialog mit Getting Started oder der Report Builder direkt werden geöffnet (abhängig von Einstellungen):

    Screenshots - Expanding

Screenshots - Expanding

Unterstützung zum Erstellen von Reports mit dem Report Builder erhalten Sie über die integrierte Hilfe zum Report Builder.

Für die automatisierte Erstellung von Reports steht ab Version 2 das zenon Analyzer Management Studio zur Verfügung.

Detaillierte Anleitungen für die Microsoft Reporting Services finden Sie auf der Microsoft Homepage:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch


Report hochladen

zenon Analyzer -> Analyzer Manager: Reports -> Report erstellen -> Report hochladen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die offline erstellt wurden, können mit dem zenon Analyzer zum Server hochgeladen werden.

Um Ressourcen hochzuladen:

  1. klicken Sie in der Menüleiste auf die Schaltfläche Datei hochladen
  2. der Dialog zum Hochladen wird geöffnet
  3. wählen Sie die gewünschte Datei aus
  4. wählen Sie die gewünschten Optionen
  5. bestätigen Sie mit Klick auf OK

Screenshots - Expanding

Parameter | Beschreibung
Hochzuladende Datei | Auswahl der Datei, die hochgeladen werden soll. Klick auf die Schaltfläche Durchsuchen öffnet den Dateimanager. Multiselect ist nicht möglich.
Name | Freie Namensvergabe. Der Dateiname der ausgewählten Datei wird als Defaultwert übernommen.
Vorhandenes Element überschreiben | Aktiv: Befindet sich ein Element mit gleichem Namen bereits am Report Server, wird es überschrieben.
OK | Angaben werden übernommen, die Datei wird hochgeladen und der Dialog geschlossen.
Abbrechen | Alle Angaben werden verworfen und der Dialog wird geschlossen.


Report aufrufen

zenon Analyzer -> Analyzer Manager: Reports -> Report aufrufen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports können am Client-Rechner im Browser aufgerufen und konfiguriert werden.

Um einen Report aufzurufen:

  1. führen Sie einen Doppelklick auf den Ordner, der den Report enthält, aus
    oder wählen Sie im Kontextmenü öffnen
  2. führen Sie einen Doppelklick auf den gewünschten Report aus
  3. der Report wird im Browser geöffnet

Screenshots - Expanding


Report konfigurieren und exportieren

zenon Analyzer -> Analyzer Manager: Reports -> Report konfigurieren und exportieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Je nach Reportart können unterschiedliche Parameter konfiguriert werden. Zum Beispiel:

  • Zeitraum für den Report: bei vergleichenden Reports werden zwei Zeiträume zur Konfiguration angeboten
  • Projekte, deren Daten verarbeitet werden
  • Archive
  • Verdichtung
  • Variablen
  • Alarmgruppen
  • Alarmklassen
  • Anlagengruppen und Medien

Um einen Report zu konfigurieren:

  1. öffnen Sie den Report
  2. wählen Sie die gewünschten Parameter
  3. klicken Sie auf Report anzeigen

Report exportieren

Reports können in unterschiedliche Formate exportiert werden.

Um einen Report zu exportieren:

  1. klicken Sie auf das Symbol für den Export (Diskette)
  2. die Dropdownliste mit den Exportformaten wird geöffnet

    Screenshots - Expanding

  3. wählen Sie das gewünschte Format
  4. speichern oder öffnen Sie das Dokument im gewählten Format

Exportformate

Für den Export stehen Ihnen zur Verfügung:

Parameter | Beschreibung
XML | Report wird als XML-Datei gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der XML-Datei.
CSV | Report wird als kommaseparierte Textdatei (CSV) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der CSV-Datei.
PDF | Report wird als PDF-Datei gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der PDF-Datei.
MHTML | Report wird als Webarchiv (.mhtml) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der PDF-Datei.
Excel | Report wird als Excel-Datei (.xls, für Excel 97 - 2003) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der XLS-Datei. Diagramm wird als Grafik eingebettet, Werte können manuell verändert werden. Wertänderungen haben keinen Einfluss auf eingebettete Grafik.
TIFF | Report wird als Bild im Format TIFF gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der TIFF-Datei.
Word | Report wird als Word Dokument (.doc, für Word 97 - 2003) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der DOC-Datei. Diagramm wird als Grafik eingebettet, Werte können manuell verändert werden. Wertänderungen haben keinen Einfluss auf eingebettete Grafik.

info Info

Reports werden immer für ein bestimmtes Ausgabemedium (siehe Exportformate) definiert. Werden Sie auf anderen Medien ausgegeben, kann das zu Verfälschungen beim Aussehen führen.

Zum Beispiel: Ein für HTML konfigurierter Report kann als PDF unpassende Seitenumbrüche erzeugen. Um einen Report auf mehrere Medien auszugeben, erstellen Sie für jedes Medium einen eigenen Report.

Noch in diesem Kapitel

Symbolleiste Report


Symbolleiste Report

zenon Analyzer -> Analyzer Manager: Reports -> Report konfigurieren und exportieren -> Symbolleiste Report

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots Analyzer - fixed

Parameter

Beschreibung

Steuerpfeile und <1 von 1>

Navigation in mehrseitigen Reports.

100%

Zoom. Klick öffnet Dropdownliste mit fest eingestellten Stufen.

Suchfeld

Eingabe eines Suchbegriffs.

Suchen

Sucht definierten Begriff und zeigt erste Fundstelle an.

Weiter

Sucht nächstes Vorkommen des Suchbegriffs.

Symbol Diskette

Export des Reports. Klick öffnet Dropdownliste mit Exportformaten. Mögliche Formate:

  • XML
  • CSV
  • PDF
  • Webarchiv
  • Excel
  • TIFF
  • Word

Symbol drehende Pfeile

Aktualisiert Daten für Report-Anzeige.

Symbol Drucker

Öffnet Dialog zum Drucken des Reports.

Symbol Buch

Export in RSS Feed.


Report herunterladen

zenon Analyzer -> Analyzer Manager: Reports -> Report herunterladen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports können vom Server auf den lokalen Rechner heruntergeladen werden, um sie offline zu bearbeiten oder zu präsentieren.

Um einen Report herunterzuladen:

  1. bewegen Sie die Maus über den Report
  2. klicken Sie auf die eingeblendete Dropdownliste
  3. wählen Sie den Befehl Herunterladen
  4. wählen Sie den Speicherort am lokalen Rechner


Reports verwalten

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports werden über die Dropdownliste beim Report verwaltet.

Screenshots - Expanding

Klick auf Verwalten öffnet den Dialog für die Verwaltung der Reports:

Screenshots - Expanding

Parameter | Beschreibung
Eigenschaften | Eigenschaften des Reports.
Parameter | Konfiguration der Parameter des Reports.
Datenquellen | Auswahl der Dataenquellen.
Verarbeitungsoptionen | Konfiguration der Verarbeitung des Reports.
Optionen zur Cacheaktualisierung | Erstellung und Bearbeitung der Pläne für die Cacheaktualisierung.
Reportverlauf | Ermöglicht es, Momentaufnahmen von Reports zu einem Verlauf zusammenzustellen.
Optionen für Momentaufnahme | Konfiguration von Momentaufnahmen.

Noch in diesem Kapitel

Eigenschaften

Parameter

Datenquellen

Verarbeitungsoptionen

Optionen zur Cache-Aktualisierung

Reportverlauf

Optionen für Momentaufnahme


Eigenschaften

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Eigenschaften

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Fenster Eigenschaften werden Basiseigenschaften angezeigt und konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Löschen

Löscht Report.

Verschieben

Öffnet Dialog zum Verschieben eines Reports in einen anderen Ordner.

Verknüpften Report erstellen

Öffnet den Dialog zum Erstellen eines verknüpften Reports.

Verknüpfte Reports ermöglichen es, unterschiedliche Sicherheitseinstellungen auf einen Report anzuwenden.

Herunterladen

Öffnet den Dialog zum Herunterladen eines Reports.

Ersetzen

Öffnet den Dialog, um eine Reportdefinition hochzuladen und die vorhandene zu ersetzen.

Eigenschaften

Name

Name des Reports.

Name:

  • darf nicht leer sein
  • darf nicht ausschließlich aus Punkten oder Leerzeichen bestehen
  • darf kein verbotenes Zeichen beinhalten;
    verboten sind: ;?:@&=+$,\*<>|"/

Vollständiger Pfad darf nicht länger als 260 Zeichen sein.

Beschreibung

Beschreibung.

in Neben-/Untereinanderansicht ausblenden

Aktiv: Report wird in Neben-/Untereinanderansicht nicht angezeigt.

Anwenden

Übernimmt Änderungen.


Parameter

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Parameter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zeigt die Parameter des Reports an und ermöglicht es:

  • Standardwerte zuzuweisen
  • Parameter für Benutzer auszublenden
  • den Text, mit dem der Parameter im Report angezeigt wird, zu konfigurieren

Screenshots - Expanding

Parameter

Beschreibung

Parametername

Name des Parameters.

Nur Anzeige.

Typ des Parameters

Art des Parameters. Nur Anzeige.

Zeigt an, ob:

  • ein Parameter einen oder mehrere Werte zulässt
  • es sich um ein spezialisiertes Filter-Control handelt (Bool Shift/Lot, TimeSpan, Tree)
  • der Parameter der Eingabe von Werten oder der Auswahl eines Wertes aus einer Dropdownliste vorgegebener Werte dient

Bei nicht spezialisierten Controls wird zusätzlich noch der Datentyp angezeigt.

Besitzt Standardwert
  • Aktiv: Standardwert wird im Report für Eingabe vorgegeben.
  • Aktiv und ausgegraut: Standardwerte eines Parameters stammen aus einer Formel oder einem DataSet. Standardwerte können nicht verändert werden.
  • Inaktiv: Kein Wert wird vorgegeben.

Jede Änderung des Check-Status dieser Checkbox durch den Benutzer wird sofort an den Server weitergegeben.

Standardwert

Hier wird das passende Filterelement für den Parameter dargestellt. Jeder Parameter mit aktivierter Option muss in dieser Spalte mit einem Standardwert versehen werden, damit die Konfiguration gültig ist. Jede Wertänderung durch den Benutzer wird sofort an den Server weitergegeben. Mögliche Elemente:

  • Textelement: Wird angezeigt, wenn Option Besitzt Standardwert Aktiv und ausgegraut ist und enthält die Begründung, warum das so ist.
  • Dropdownliste: Enthält bei konfigurierbaren Parametern Auswahl von Parametern. Dropdownliste kann gefiltert werden. Sie ist bedienbar, wenn der Standardwert des Parameters verändert werden kann und die Option Besitzt Standardwert ausgewählt wurde.
    Wertänderungen werden erst übernommen, wenn die Dropdownliste geschlossen wurde.
  • Eingabefeld: Ermöglicht bei konfigurierbaren Parametern die Eingabe von Parametern. Eingabe ist möglich, wenn der Standardwert des Parameters verändert werden kann und die Option Besitzt Standardwert ausgewählt wurde.
    Wertänderungen werden erst übernommen, wenn das Eingabefeld den Fokus verliert.

Ausblenden
  • Inaktiv: Parameter wird eingeblendet.
    Die Option Text anzeigen muss einen Wert erhalten, damit die Konfiguration gültig ist.
  • Aktiv: Parameter wird ausgeblendet.
    Die Option Text anzeigen wird geleert.

Ein Parameter kann nur dann ausgeblendet werden, wenn er mit einem gültigen Standardwert ausgestattet ist ( Option Besitzt Standardwert ausgewählt Standardwert und ausgewählt).

Kann ein Parameter nicht ausgeblendet werden, ist die Checkbox nicht ausgewählt und deaktiviert.

Jede Änderung des Check-Status wird sofort an den Server weitergegeben.

Text anzeigen

Eingabe des Textes mit dem der Parameter im Report angezeigt wird.

Nur aktiv, wenn die Option Ausblenden nicht ausgewählt ist.

Das Eingabefeld erkennt Wertänderungen erst dann, wenn es den Fokus verliert.

Anwenden

Klick auf Schaltfläche übernimmt Einstellungen, wenn alle Optionen korrekt konfiguriert wurden.

Liegen Konfigurationsfehler vor, werden diese nebend er entsprechenden Option angezeigt.

Wurde die Konfiguration gespeichert, wird dies unter der Schaltfläche angezeigt.

Hinweis: Interne Parameter, die für andere Parameter verwendete Filter-Controls oder Grenzen für Diagramme bzw. Marker für Archivverteilung steuern, haben Standardwerte und werden ausgeblendet. Diese Parameter (Name beginnt mit ChartStart, ChartEnd oder Hidden oder Name endet mit _Type) sind im Report Builder zwar sichtbar, es wird jedoch dringend empfohlen diese nicht zu verändern.

attention Achtung

Fehlermeldungen für Parameter

Für manche Parameter müssen die zur Verfügung stehenden Werte über eine Stored Procedure des Microsoft SQL-Servers geladen werden. Schlägt der Aufruf dieser Stored Procedure fehl oder liefert die Stored Procedure einen Fehler zurück, so wird im Analyzer Manager eine Fehlermeldung aufgeschaltet. Zum Beispiel wenn die Runtime nicht erreichbar ist, der SQL-Connector nicht erstellt wurde, usw.

Für manche Parameter kann unter Umständen kein Standardwert vergeben werden, da ein vorher zu behandelnder Parameter keinen Wert enthält. Zum Beispiel: Zeitfilter basieren auf Schichten, aber es sind noch keine Schichtdaten vorhanden. In diesem Fall ist die Vergabe von Standardwerten erst möglich, wenn zumindest 1 Schicht geschrieben wurde.


Datenquellen

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Datenquellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Weist dem Report eine Datenquelle zu.

Details zu Datenquellen siehe Kapitel Datenquelle im Abschnitt Konfiguration und Bedienung.


Verarbeitungsoptionen

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Verarbeitungsoptionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Fenster definieren Sie, wie der Report ausgeführt werden soll:

  • Neueste Daten

    Konfiguration der Zwischenspeicherung und des Ablaufs von temporären Kopien.

  • Momentaufnahme

    Erstellung des Reports auf Basis einer Momentaufnahme.

  • Report-Timeout

    Definition des Timeouts bei der Erstellung von Reports


Optionen zur Cache-Aktualisierung

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Optionen zur Cache-Aktualisierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ermöglicht es, Pläne für die Cache-Aktualisierung zu erstellen und zu bearbeiten.

Klick auf Bearbeiten öffnet Dialog für Erstellung und Bearbeitung eines Plans.

Screenshots - Expanding

Parameter | Beschreibung
Beschreibung | Name für Plan.
Cache gemäß dem folgenden Zeitplan aktualisieren | Auswahl des Zeitplans. Klick auf Schaltfläche Konfigurieren öffnet Dialog zur Erstellung eines Zeitplans.
Parameterwerte für diesen Cacheeintrag angeben | Eingabe der Parameter für den Report.
OK | Übernimmt Eingaben und schließt Dialog.
Abbrechen | Verwirft Eingaben und schließt Dialog.

info Info

Diese Funktion Cacheaktualisierung bezieht sich nur auf den Analyzer Manager und ist nicht ident mit der Aktion Cache aktualisieren im ZAMS.


Reportverlauf

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Reportverlauf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stellt Momentaufnahmen von Reports zu einem Verlauf zusammen.


Optionen für Momentaufnahme

zenon Analyzer -> Analyzer Manager: Reports -> Reports verwalten -> Optionen für Momentaufnahme

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Optionen für Momentaufnahmen.

Screenshots - Expanding

Parameter

Beschreibung

Reportverlauf kann manuell erstellt werden:

Aktiv: Manuelle Snapshots sind möglich.

Alle Reportmomentaufnahmen im Verlauf speichern

Aktiv: jeder Snapshot wird auch im Reportverlauf angezeigt.

Zeitplan

Auswahl des Zeitplans oder Erstellung eines neuen Zeitplans.

Anzahl der Momentaufnahmen

Festlegung, wie viele Snapshots gespeichert werden. Optionen:

  • Standardeinstellungen verwenden
  • alle
  • Zahl festlegen


ZAMS - zenon Analyzer Management Studio

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio

Das zenon Analyzer Management Studio (ZAMS) ist die zentrale Anwendung für:

  • die Konfiguration des Analyzers
  • das Erstellen von Reports aus den von COPA-DATA gelieferten Vorlagen
  • das Erstellen, Bearbeiten und Löschen von Report-Abonnements und den dazugehörigen Zeitplänen am Analyzer Server
  • das Anzeigen und Bearbeiten der Lizenz am Analyzer Server
  • das Erstellen und Löschen von Linked Servern in der SQL Server Instanz des Analyzer Servers

Screenshots - Expanding

info Info

ZAMS wird in der Sprache des Betriebssystems gestartet. Ist diese Sprache nicht in ZAMS implementiert oder fehlt die entsprechende Sprachdatei, wird ZAMS in Englisch gestartet. Details zu den Sprachen lesen Sie im Kapitel Spracheinstellungen.

Kommunikation

Das ZAMS kommuniziert über die Microsoft SQL Server 2012 Management Objects mit der Analyzer-Datenbank. Es verbindet sich:

  • zum SQL Server 2012 Reporting Service Web Service Endpunkt ReportService2010 des Analyzer Servers
  • zur gewählten Datenbank am Analyzer Server
  • zum zrsLicSrv am Analyzer Server

Voraussetzungen Software

Für den Einsatz von ZAMS wird folgende Software vorausgesetzt:

  • Microsoft .NET Framework 4.0
  • Microsoft SQL Server 2012 Management Objects

Fehlerbehandlung

Fehlermeldungen, Warnungen und Nachrichten werden im Ausgabefenster entsprechend den gesetzten Optionen angezeigt und in LOG-Dateien gespeichert.

Noch in diesem Kapitel

ZAMS starten

Beispiel für die Konfiguration

Checkliste bei Lizenzfehlern

Hauptfenster

Aktionen

SQL Server managen

Auswahl Ordner im Netzwerk

Archivemulation

Benutzerverwaltung und Zugriffsrechte

Einstellungen

Bindung der Reportdefinitionsdateien an Datenbank


ZAMS starten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> ZAMS starten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das zenon Analyzer Management Studio (ZAMS) wird mit dem zenon Analyzer mit installiert.

Bei der Installation wird der Benutzer, der das Setup ausführt als Benutzer mit fixer Lizenz mit Berechtigungsebene 3 eingetragen.

Um ZAMS zu starten:

  1. Wählen Sie im Windows Startmenü den Eintrag COPA-DATA -> ZAMS
    oder
    führen Sie einen Doppelklick auf eine ZAMS Reportdatei ( .zams_rep) aus.
  2. ZAMS startet und zeigt am Startbildschirm die gestartete Version und Buildnummer an, sofern noch keine ZAMS Version läuft:

    Screenshots - Expanding

  3. Der Verbindungsdialog wird, je nach Einstellung in den Optionen, geöffnet:

    Screenshots - Expanding

  4. Wählen Sie über Klick auf Verbindunsgprofil die gewünschte Verbindung aus oder erstellen Sie eine neue Verbindung.
  5. Klicken Sie auf OK:
    • Der Verbindungstest wird durchgeführt. Dabei wird eine Fortschrittsanzeige eingeblendet.
    • Die Datenbankstruktur wird geprüft und die Lizenzvalidierung durchgeführt. Dabei wird eine Fortschrittsanzeige eingeblendet.
    • Die Verbindung wird aufgebaut. Dabei wird eine Fortschrittsanzeige eingeblendet.
  6. ZAMS wird geöffnet.

Hinweis: Falls die Verbindung aufgrund fehlender Lizenzen scheitert, können Sie den Lizenzstatus im ZAMS abfragen und neue Lizenzdaten eingeben. Voreinstellungen für Verbindungsprofile, Bereitstellung von Reports und Nachrichten im Ausgabefenster treffen Sie in den Einstellungen im Menü Optionen.

Fortschrittsanzeige beim Start

Nach dem Klick auf OK geschieht folgendes:

Übernahme der Konfiguration aus einer Vorversion

Beim Start einer neuen Version des ZAMS wird, sofern noch keine aktuellen Konfigurationsdateien zur Verfügung stehen, die Konfiguration der Vorversion übernommen. Dazu müssen deren Konfigurationsdateien noch auf dem Rechner vorhanden sein. Die Übernahme geschieht für jeden Benutzer extra.

Ablauf

  1. Es wird geprüft, ob die ZAMS-Konfigurationsdatei der aktuellen Version vorhanden ist. In diesem Fall wird direkt zu Punkt 4 gesprungen.
  2. Es wird im Ordner [Userpfad]\AppData\Local\COPA-DATA\zenon\Analyzer\ nach Ordnern gesucht, deren Name aus Bezeichnungen für Major-Release, Minor-Release und Service Pack von Vorgängerversionen der aktuellen ZAMS Version bestehen. Von den gefundenen Ordnern wird der mit der höchsten Versionsnummer, die dennoch kleiner als die aktuelle Versionsnummer ist und der eine ZAMS-Konfigurationsdatei beinhaltet, gewählt. Entspricht kein Ordner diesen Bedingungen, wird mit Punkt 4 weitergemacht.
  3. Alle Konfigurationsdateien im gewählten Ordner werden in den Ordner für Konfigurationsdateien der aktuellen ZAMS-Version kopiert. Eventuell vorhandene Dateien werden überschrieben.
  4. Die Konfiguration wird von den Dateien im Konfigurationsordner der aktuellen ZAMS-Version ausgelesen.

Beachten Sie dabei auch die Meldungen im Ausgabefenster.

Beispiel

Hinweis: Versionsnummern in diesem Beispiel dienen nur der Illustration und geben nicht den tatsächlichen Versionsverlauf des ZAMS wieder.

Auf einem Rechner waren die ZAMS-Versionen 2.00 SP0 und 2.10 SP0 installiert. ZAMS wird auf die Version 3.00 SP0 aktualisiert. installiert. Die beiden zuvor installierten Versionen wurden vom Benutzer TestUser verwendet. Derselbe Benutzer startet nach der Installation zum ersten Mal das ZAMS 3.00 SP0. Dabei geschieht folgendes:

  1. Bei der Suche nach der Konfigurationsdatei wird der Ordner C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\3.0.0\ automatisch angelegt.
  2. Die Konfigurationsdatei der ZAMS-Version 3.00 wird nicht gefunden.
  3. Beim Durchsuchen des Ordners C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\ werden die Unterordner 2.0.0, 2.10.0 und 3.0.0 gefunden. Daraus wird der am besten geeignete Ordner für die zu übernehmende Konfiguration nach folgendem Ablauf gewählt:
    1. Der Ordner 2.0.0 wird gewählt, da darin eine Konfigurationsdatei liegt, deren Versionskennung ( 2.00 SP0) kleiner als 3.00 SP0 ist und zuvor noch kein Ordner gewählt wurde.
    2. Der Ordner 2.10.0 wird gewählt, da darin eine Konfigurationsdatei liegt, deren Versionskennung ( 2.10 SP0) kleiner als 3.00 SP0 und größer als 2.00 SP0 ist.
    3. Der Ordner 3.0.0 wird nicht gewählt, da darin keine Konfigurationsdatei liegt.
  4. Aus dem gewählten Ordner C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\2.10.0\ werden alle Dateien nach C:\Users\TestUser\AppData\Local\COPA-DATA\zenon\Analyzer\3.0.0\ kopiert.
  5. Die Konfiguration des ZAMS 3.00 SP0 wird aus dem aktuellen Konfigurationsordner geladen. Sollten dabei Objekte aus den Dateien hochkonvertiert werden müssen, geschieht das automatisch im Hintergrund. Neu in ZAMS hinzugekommene Einstellungen werden mit deren Standardwerten initialisiert.


Beispiel für die Konfiguration

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Beispiel für die Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ein Unternehmen möchte den zenon Analyzer einsetzen. Im Unternehmensnetzwerk stehen als Rechner zur Verfügung:

  • der Analyzer Server mit Namen SRV
  • eine Engineering Station mit Namen ENG

Beide liegen in der Domäne TEST. In der Domäne existieren folgende Benutzer:

  • TEST\Admin: Netzwerkadministrator.
    Nur dieser Benutzer darf Programme auf den Rechnern installieren. Dieser Benutzer soll als Administrator Zugriff auf den Analyzer haben, jedoch nicht permanent eine Lizenz belegen.
  • TEST\ZamsAdmin: Dieser Benutzer ist der zukünftige Analyzer Administrator.
    Er soll alle Analyzer Anwendungen einsetzen dürfen und sämtliche administrativen Aufgaben am Analyzer mit dem ZAMS erledigen können. Für diesen Benutzer soll eine Lizenz reserviert werden.
  • TEST\ReportViewer1, TEST\ReportViewer2 und TEST\ReportViewer3: Diese 3 Benutzer sollen Reports am Analyzer betrachten und ausführen dürfen, jedoch soll für keinen dieser Benutzer permanent eine Lizenz belegt werden.

Konfiguration

  1. TEST\Admin führt das Analyzer Server Setup auf dem Rechner SRV aus. Dieser Benutzer ist nach Abschluss des Setup als Benutzer mit fixer Lizenz mit Berechtigungseben 3 am Lizenzserver eingetragen. Er hat Administratorrechte sowohl in der SQL Server Instanz als auch am Analyzer Manager. Sonst hat kein Benutzer Zugriffsrechte auf den Analyzer.
  2. TEST\Admin führt das ZAMS Setup auf dem Rechner ENG aus.
  3. TEST\Admin startet das ZAMS auf dem Rechner ENG. Die Verbindung wird zum Server SRV\ZA2 und auf diesem Server zur Datenbank ZA_DATA hergestellt. Beim Verbindungsaufbau erkennt das ZAMS, das der Benutzer TEST\Admin zwar Berechtigungsebene 3 hat, jedoch noch keine Lizenz in den Lizenzserver geschrieben wurde.
  4. Der Benutzer TEST\Admin stellt sicher, dass der Dongle am Rechner SRV angesteckt ist und gibt im ZAMS am Rechner ENG die Donglelizenz ein. Die Lizenz wird über die Verbindung des ZAMS zum Analyzer Server SRV gesendet und dort vom Lizenzserver gespeichert.
  5. Das ZAMS erkennt, dass die Lizenz am Server jetzt gültig ist und schaltet zusätzliche Funktionen frei.
  6. Der Benutzer TEST\Admin
    1. startet im ZAMS die Verwaltung der Zugriffsrechte auf die Analyzer Anwendungen
    2. fügt den Benutzer TEST\ZamsAdmin hinzu
    3. setzt für diesen das höchstmögliche Zugriffsrecht
    4. bestätigt den Dialog mit OK.
  7. Der Benutzer TEST\Admin
    1. startet im ZAMS die Verwaltung der Analyzer Manager Zugriffsrechte
    2. fügt den Benutzer TEST\ZamsAdmin als Administrator zur Konfiguration der Systemzugriffsrechte hinzu
    3. fügt den selben Benutzer bei den Objektzugriffsrechten des Stammordners hinzu
    4. setzt seine Zugriffsrechte dort auf Content Manager
    5. bestätigt den Dialog mit OK.
  8. Der Benutzer TEST\Admin beendet das ZAMS und meldet sich vom Rechner ENG ab.
  9. Der Benutzer TEST\ZamsAdmin meldet sich am Rechner ENG an und startet das ZAMS. Die Verbindung wird zum Server SRV\ZA2 und auf diesem Server zur Datenbank ZA_DATA hergestellt. Beim Verbindungsaufbau erkennt das ZAMS, das der Benutzer TEST\ZamsAdmin die Berechtigungsebene 3 hat und eine Lizenz für ihn belegt werden konnte.
  10. Der Benutzer TEST\ZamsAdmin
    1. startet im ZAMS die Verwaltung der Benutzer mit fixer Lizenz
    2. fügt sich selbst hinzu
    3. entfernt den Benutzer TEST\Admin aus der Liste
    4. beendet den Dialog.
  11. Der Benutzer TEST\ZamsAdmin
    1. startet im ZAMS die Verwaltung der Zugriffsrechte für den Analyzer Manager
    2. fügt die 3 Benutzer TEST\ReportViewer1, TEST\ReportViewer2 und TEST\ReportViewer3 als Benutzer zur Konfiguration der Systemzugriffsrechte hinzu
    3. fügt dieselben 3 Benutzer bei den Objektzugriffsrechten des Stammordners hinzu
    4. belässt deren Zugriffsrechte dort auf Browser
    5. bestätigt den Dialog mit OK

Die Konfiguration wurde erfolgreich durchgeführt.


Checkliste bei Lizenzfehlern

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Checkliste bei Lizenzfehlern

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Kann das ZAMS aufgrund von Lizenzfehlern keine Verbindung aufbauen oder wird die Verbindung abgebrochen, überprüfen Sie:

  • Ist der Dongle vom Analyzer Server aus erreichbar?
  • Stimmen Seriennummer und Aktivierungsschlüssel?
  • Ist der TCP Port 50779 am Analyzer Server offen?
  • Kann der Lizenz-Client mit dem Lizenz-Server kommunizieren?
    Hinweis: Z. B. Firewalls oder Netzwerkausfälle können das verhindern.
  • Hat der Benutzer die Benötigte Berechtigungsebene?
  • Ist für den Benutzer eine Lizenz verfügbar?
    Hinweis: Benutzer mit fixer Lizenz belegen Lizenzen, auch wenn sie nicht verbunden sind.
  • Ist die Reportvorlage bzw. der Report im Lizenzumfang enthalten.


Hauptfenster

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Oberfläche des ZAMS besteht aus:

  • Menüs
  • Symbolleiste
  • Reportbereich
  • Ausgabefenster

Screenshots - Expanding

Parameter | Beschreibung
Menüzeile | Enthält Menüs mit Befehlen zur Konfiguration des ZAMS und Erstellung und Verwaltung von Reports.
Symbolleiste | Enthält Symbole mit Befehlen zur Konfiguration des ZAMS und Erstellung und Verwaltung von Reports.
Reportbereich | Hier werden Reports angezeigt.
Trennleiste | Schiebelinie, mit der das Größenverhältnis zwischen Reportbereich und Ausgabefenster festgelegt wird. Um das Verhältnis zu ändern, bewegen Sie Maus über die Linie, halten Sie die linke Maustaste gedrückt und verschieben Sie den Splitter in die gewünschte Richtung.
Ausgabefenster | Ausgabe von Fehlermeldungen, Warnungen und Informationen.
Statuszeile | Ausgabe von Statusmeldungen.

Menüs und Symbole stehen nur dann aktiv zur Verfügung, wenn die entsprechende Funktion zur Verfügung steht. Das ist davon abhängig, ob eine Verbindung besteht, ob die Verbindung zu einem Analyzer Server mit gültiger Lizenz besteht und ob gerade eine Aktion läuft, welche eine Funktion sperrt.

Ob ein Menüeintrag und das korrespondierende Symbol aktiv sind oder nicht, hängt von 3 Faktoren ab:

  1. Ist eine Verbindung hergestellt und verfügt diese über eine gültige Lizenz?
  2. Sind Reports geöffnet und ist der momentan aktiv geschaltene Report schreibgeschützt?
  3. Läuft gerade eine Aktion in einem Hintergrund-Thread (z.B. Bereitstellen, Im Report Builder öffnen)?

Dabei gilt: Ein Faktor wird nur beachtet, wenn alle übergeordneten Faktoren den Eintrag als aktiv ansehen.

Soll eine Funktion ausgeführt werden, die den Verbindungs- oder Lizenzstatus verändern kann, werden zuvor alle Reports geschlossen. Der Benutzer wird darauf hingewiesen und kann das Schließen unterbrechen. Konnten nicht alle Reports geschlossen werden, wird die Funktion nicht ausgeführt.

Beim Beenden des ZAMS werden Position und Größe des Fensters sowie die Position der Schiebelinie gespeichert.

Noch in diesem Kapitel

Menüs

Symbolleiste

Reportbereich

Ausgabefenster

Statuszeile


Menüs

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im ZAMS Hauptfenster stehen folgende Menüs zur Verfügung:

Screenshots Analyzer - fixed

  • Report
  • Analyzer Server
  • Automatisierung
  • SQL-Server
  • Optionen
  • Hilfe

Für viele Menüeinträge stehen Tastenkombinationen zur Verfügung. Diese werden in den Menüs jeweils neben dem entsprechenden Befehl angezeigt.

Noch in diesem Kapitel

Report

Analyzer Server

Automatisierung

SQL-Server

Optionen

Hilfe


Report

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs -> Report

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Befehle im Menü Report:

Befehl | Beschreibung
Neu | Öffnet den Dialog zur Erstellung eines neuen Reports.
Öffnen | Öffnet den Dialog zum Auswählen und Öffnen eines existierenden Reports.
Zuletzt bearbeitete Reports | Liste der zuletzt bearbeiteten Reports. Hier werden die zuletzt geöffneten Reports angeboten, sortiert nach letzter Nutzung mit dem aktuellsten Report an oberster Stelle. Die Zahl der Reports in der Liste wird im Menü Optionen in den Einstellungen für Verbindungsprofile festgelegt.
Speichern | Speichert den aktiven Report.
Speichern unter | Öffnet den Dialog zum Speichern eines Reports unter neuem Namen.
Alle speichern | Speichert alle geöffneten Repots.
Bereitstellen | Ermöglicht Bereitstellung des aktiven Reports.
Alle Bereitstellen | Ermöglicht Bereitstellung aller geöffneten Reports.
Microsoft Report Builder starten | Öffnet den Microsoft Report Builder.
In Microsoft Report Builder öffnen | Öffnet den aktiven Report im Microsoft Report Builder. Hinweis: Der Report Builder wird nur dann gestartet, wenn der Report am Server auffindbar ist.
Alle in Microsoft Report Builder öffnen | Öffnet alle geöffneten Reports im Microsoft Report Builder. Hinweis: Der Report Builder wird nur für am Server auffindbare Reports gestartet. Achtung: Für jeden zu öffnenden Report wird für jede Sprachvariante eine eigene Report Builder Instanz geöffnet. Sollen mehr als 10 Instanzen geöffnet werden, wird eine Warnung angezeigt und ein Dialog geöffnet, in dem das Öffnen abgebrochen werden kann.
Analyzer Manager starten | Startet den Analyzer Manager.
In Analyzer Manager öffnen | Öffnet den aktuell im ZAMS angezeigten Report im Analyzer Manager.
Alle im Analyzer Manager öffnen | Öffnet alle aktuell im ZAMS geöffneten Reports im Analyzer Manager.
Schließen | Schließt den aktiven Report.
Alle schließen | Schließt alle geöffneten Reports.
Beenden | Beendet das ZAMS.


Analyzer Server

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs -> Analyzer Server

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Befehle im Menü Analyzer Server:

Befehl

Beschreibung

Mit Server verbinden

Öffnet Dialog mit Verbindungsprofilen.

Server: Versionsinformation

Öffnet Fenster mit Informationen zu:

  • Version des Betriebssystems
  • Version des zenon Analyzer

Aktuelle Lizenz anzeigen

Öffnet Dialog mit:

  • Seriennummer
  • Aktivierungsschlüssel
  • Lizenzstatus
  • Lizenzeigenschaften
  • Schaltfläche zur Eingabe einer neuen Lizenz

Produkt lizenzieren

Öffnet Dialog zur Eingabe der Lizenzdaten.

Benutzern eine fixe Lizenz zuordnen

Öffnet Dialog zur Verwaltung der Benutzer mit fixer Lizenz.

Zugriffsrechte für Analyzer Anwendungen verwalten

Öffnet Dialog zur Verwaltung der Zugriffsrechte auf die Analyzer Anwednungen.

Analyzer Manager Zugriffsrechte verwalten

Öffnet Dialog zur Verwaltung der Zugriffsrechte auf die Objekte im den Analyzer Manager.


Automatisierung

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs -> Automatisierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Befehle im Menü Automatisierung:

Parameter | Beschreibung
Archivemulation konfigurieren | Öffnet den Dialog zur Konfiguration emulierter Archive.
Zeitpläne verwalten | Öffnet Dialog zur Verwaltung der Zeitpläne für die Verteilung von Reports.
Abonnements verwalten | Öffnet Dialog zur Verwaltung der Report-Abonnements.


SQL-Server

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs -> SQL-Server

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Befehle im Menü SQL-Server:

Parameter | Beschreibung
Connector-Funktionen aktualisieren | Erneuert die Connectoren-Funktionen. Ergebnis wird im Ausgabefenster angezeigt.
SCADA SQL-Connector erstellen | Öffnet den Dialog zum Erstellen eines SQL Connectors.
Connector für Fremddatenbanken erstellen | Startet die Konfiguration des Connectors für Fremddatenbanken.
Neue Analyzer-Datenbank | Öffnet den Dialog zum Erstellen einer neuen Analyzer Datenbank.
Datenbanken konvertieren | Startet die Konvertierung von Datenbanken, deren Versionsnummer kleiner als die aktuelle Versionsnummer ist.
Datenbanksicherungen erstellen | Öffnet den Dialog zum Erstellen einer Datenbanksicherung.
Datenbanksicherung rücklesen | Öffnet den Dialog zum Rücklesen einer Datenbanksicherung.
Datenbanksicherungsdatei als neue Datenbank rücklesen | Öffnet den Dialog zum Rücklesen einer Datenbanksicherung als neue Datenbank.
Sicherung der Reporting Services Datenbank rücklesen | Öffnet den Dialog zum Rücklesen der Reporting Services Datenbank.
Automatisierte Datenbanksicherungen verwalten | Öffnet den Dialog zum Verwalten der automatisch erstellten Datenbanksicherungen.
Datenbanksicherungsdateien verwalten | Öffnet den Dialog zum Verwalten der Sicherungsdateien der Datenbanken.
Linked Server verwalten | Öffnet den Dialog zur Verwaltung der Linked Server.
Metadaten-Indizes verwalten | Öffnet den Dialog zur Verwaltung der Metadaten-Indizes.


Optionen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs -> Optionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Befehle im Menü Optionen:

Parameter

Beschreibung

Metadata Editor

Ermöglicht es, Anzeigenamen und Beschreibungen anzupassen und Anlageninformationen einzutragen.

Manual Data Editor

Ermöglicht die Bearbeitung von Tabellen für Preis- und Normwerte in einer zenon Analyzer Metadaten Datenbank.

Farbschemata verwalten

Öffnet den Dialog zur Erstellung, Bearbeitung und Verwaltung von Farbschemata.

Farbschemata exportieren

Öffnet den Dialog zum Export von Farbschemata.

Farbschemata importieren

Öffnet den Dialog zum Import von Farbschemata.

RDL-Vorlagen verwalten

Öffnet den Dialog zum Verwalten von RDL-Vorlagen.

Cache löschen

Aktualisiert den ZAMS Cache.

Einstellungen

Öffnet den Dialog zur Konfiguration der Einstellungen für:

  • Verbindungsprofile
  • Bereitstellung
  • Ausgabemeldungen
  • Spracheinstellungen
  • Datenbanksicherungen


Hilfe

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Menüs -> Hilfe

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Befehle im Menü Hilfe:

Parameter | Beschreibung
Versionshinweis | Öffnet Fenster mit Versionsinformationen zum ZAMS.
Hilfe | Öffnet die Online-Hilfe.


Symbolleiste

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Symbolleiste

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

General Analyzer Schema Graphics Template

Parameter | Beschreibung
Mit Analyzer Server verbinden | Öffnet Dialog mit Verbindungsprofilen.
Neuer Report | Öffnet Dialog zur Erstellung eines neuen Reports.
Report öffnen | Öffnet Dialog zum Auswählen und Öffnen eines existierenden Reports.
Report speichern | Speichert aktiven Report.
Alle Reports speichern | Speichert alle geöffneten Reports.
Report bereitstellen | Ermöglicht Bereitstellung des aktiven Reports.
Alle Reports bereitstellen | Ermöglicht Bereitstellung aller geöffneten Reports.
Microsoft Report Builder starten | Öffnet den Microsoft Report Builder.
Aktuellen Report in Microsoft Report Builder öffnen | Öffnet den aktiven Report im Microsoft Report Builder. Hinweis: Der Report Builder wird nur dann gestartet, wenn der Report am Server auffindbar ist.
Alle Reports in Microsoft Report Builder öffnen | Öffnet alle geöffneten Reports im Microsoft Report Builder. Hinweis: Der Report Builder wird nur für am Server auffindbare Reports gestartet. Achtung: Für jeden zu öffnenden Report wird für jede Sprachvariante eine eigene Report Builder Instanz geöffnet. Sollen mehr als 10 Instanzen geöffnet werden, wird eine Warnung angezeigt und ein Dialog geöffnet, in dem das Öffnen abgebrochen werden kann.
Analyzer Manager starten | Startet den Analyzer Manager.
Aktuellen Report in Analyzer Manager öffnen | Öffnet den aktuell im ZAMS angezeigten Report im Analyzer Manager.
Alle Reports in Analyzer Manager öffnen | Öffnet alle aktuell im ZAMS geöffneten Reports im Analyzer Manager.
Abonnements verwalten | Öffnet Dialog zur Verwaltung der Report-Abonnements.


Reportbereich

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Reportbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Reportbereich zwischen Symbolleiste und Ausgabefenster werden Reports angezeigt.

Screenshots - Expanding

Hinweise:

  • Sind mehrere Reports geöffnet, wird jeder Report in einer eigenen Registerkarte dargestellt. Der Name wird im Indikator der Registerkarte angezeigt.
  • Wird der Mauszeiger über den Indikator der Registerkarte bewegt, wird der komplette Pfad zum Speicherort eingeblendet.
  • Reports, die noch ungespeicherte Änderungen enthalten, werden mit einem Asterisk neben dem Namen markiert.
  • Reports, die schreibgeschützt sind, werden mit einem entsprechenden Hinweis in Klammern im Registertitel angezeigt.

Designrichtlinien

Die Gestaltung der Reports folgt folgenden Regeln:

  • Der Parameterbereich ist in zwei Ausprägungen vorhanden:
    • breit: Für alle vergleichenden Reportvorlagen sowie für Alarmanalysen und bei OEE-Kennzahl Chargenarchiv.
    • schmal: Alle anderen Reportvorlagen.
  • Wenn möglich, werden Zahlen mit Einheiten (Einheit, Währung, Prozent) versehen.
  • Nachkommastellen:
    • Geldmengen und Prozentwerte haben immer fix 2 Nachkommastellen.

      Ausnahme: Achsen. Hier können Prozentwerte 0 bis 2 Nachkommastellen haben.

      Die Anzahl der Nachkommastellen aller anderen Zahlenwerte wird über ein Eingabefeld individuell definiert. Ausgenommen sind die vertikale und die horizontale Achse und die Werttabelle der Archivverteilung.

  • Datenbeschriftungen bei Tortendiagrammen befinden sich immer außerhalb der Tortensegmente.
  • Alle Reports, die vom ZAMS ausgeliefert werden, werden mit einer Fußzeile versehen.

    Achtung: Diese Fußzeile wird automatisch vom ZAMS beim Ausliefern eingefügt. Ist im RDL-Template eine Fußzeile vorhanden, so wird diese überschrieben!
    Hinweis: Da der Report-Body mit 10x10 mm initialisiert wird und dieser vom Report Server beim Rendering automatisch auf die notwendige Größe angepasst wird, erscheinen die Objekte aus der Fußzeile an der gleichen Position wie der Parameterbereich (Z-Ebene dahinter), wenn der Report nach dem Ausliefern im Report Builder geöffnet wird. Wird der Report im Report Builder dann ohne Veränderung gespeichert und erneut geladen, sind die Objekte korrekt in der Fußzeile angesiedelt. Bei der Reportausführung werden sie immer korrekt in der Fußzeile gezeichnet.

Eingabeelemente

Details zu den Eingabeelemente im Reportbereich lesen Sie im Kapitel Elemente im Reportbereich und in der Dokumentation der mitgelieferten Reportvorlagen.


Ausgabefenster

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Ausgabefenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das Ausgabefenster listet in einer Tabelle Fehlermeldungen, Warnungen, Informationen und Statusmeldungen auf. Diese Hinweise können gefiltert und gelöscht werden. Welche Arten von Meldungen angezeigt werden, wird in den Optionen festgelegt. Alle Meldungen im Ausgabefenster werden in LOG-Dateien protokolliert und gespeichert.

Anzeige im Ausgabefenster

Screenshots - Expanding

Parameter

Beschreibung

Schaltflächen

Steuern Anzeige der Nachrichten. Einstellung der Schaltflächen wird beim Schließen von ZAMS gespeichert.

Alles Löschen

Entleert die gesamte Tabelle.

Fehler

Zeigt die Anzahl der in der Tabelle anzeigbaren Fehler. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Warnungen

Zeigt die Anzahl der in der Tabelle anzeigbaren Warnungen. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Meldungen

Zeigt die Anzahl der in der Tabelle anzeigbaren Nachrtichten. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Statusmeldungen

zeigt die Anzahl der in der Tabelle angezeigten Statusnachrichten. Diese können nicht ausgeblendet werden.

Tabelle

Enthält Fehlermeldungen, Warnungen, Informationen und Statusmeldungen.

  • Nachrichten können mit den Spaltentiteln gefiltert und nach Spalten sortiert werden. Klick auf den jeweiligen Spaltenkopf sortiert die Tabelle nach dieser Spalte. Ein zweiter Klick invertiert die Sortierung. Die Standardsortierung erfolgt nach Spalte 1 (Nummerierung) aufsteigend.
  • Ein Doppelklick auf eine Nachricht in der Tabelle zeigt den Report, in dessen Kontext die Nachricht erstellt wurde, im Report-Bereich des Hauptfensters an. Dazu muss der Report bereits geöffnet sein.
  • Nachrichten werden beim Schließen von ZAMS gelöscht.

Nummerierung

Enthält fortlaufende Nummerierung. Die Nummern werden den Nachrichten chronologisch nach ihrem Eintreffen zugeordnet.

Symbol

Symbol, das die Art der Nachricht anzeigt. Die Symbole entsprechen den Symbolen auf den Schaltflächen.

Sortierreihenfolge aufsteigend:

  • Error
  • Warning
  • Message
  • Status message

Sortierung aufsteigend erfolgt in umgekehrter Reihenfolge.

Zeitstempel

Zeigt den Zeitstempel des Zeitpunkts, zu dem die Nachricht erstellt wurde.

Meldungsnr.

Eindeutige ID der Nachrichtenquelle.

Beschreibung

Erklärung der Meldung.

Quelle

Name des betroffenen Reports zum Zeitpunkt der Nachrichtenerstellung. Wurde die Nachricht nicht im Kontext eines Reports erstellt, bleibt diese Spalte leer.

Noch in diesem Kapitel

LOG-Dateien


LOG-Dateien

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Ausgabefenster -> LOG-Dateien

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Meldungen des Ausgabefensters werden in LOG-Dateien protokolliert, unabhängig davon, ob sie in der Oberfläche angezeigt werden oder nicht. Pro ZAMS-Start wird eine LOG-Datei geschrieben. Werden mehrere ZAMS_REP-Dateien über den Windows Explorer gleichzeitig geöffnet, dann startet das Betriebssystem mehrere ZAMS-Instanzen simultan. Dabei wird sichergestellt, dass die jeweils aktive ZAMS-Instanz über eine geöffnete LOG-Datei verfügt.

Benennung

Der Dateiname enthält

  • den Namen ZamsLog_
  • den Zeitstempel des ZAMS-Starts im Format [yyyy]_[MM]_[dd]_[HH]_[mm]_[ss]
  • die Dateiendung .txt

Zum Beispiel: ZamsLog_2013_06_30_19_47_56.txt

Speicherort

Die Speicherung der LOG-Dateien erfolgt versionsabhängig:

  • Schema: %ProgramData%\COPA-DATA\zenonAnalyzer\ZAMSLOG_[Major Version][2stellige Minor Version]
  • Beispiel: C:\ProgramData\COPA-DATA\zenonAnalyzer\ZAMSLOG_210

Aufbau

  • Die erste Nachricht in einer LOG-Datei zeigt immer den Zeitstempel der Erstellung der LOG-Datei.
  • Nach der ersten Nachricht folgt eine Leerzeile.
  • Es folgen alle während der ZAMS-Ausführung aufgetretenen Meldungen, unabhängig davon, ob diese in der Oberfläche gezeigt werden oder nicht, im Format:
    • Nachrichten-ID
    • Zeitstempel
    • Nachrichtentext (kann mehrzeilig sein)
    • Leerzeile
  • Die letzte Nachricht in einer LOG-Datei zeigt immer den Zeitstempel des Abschlusses der LOG-Datei.

Verwaltung

Beim ZAMS-Start wird der Ordner mit den LOG-Dateien nach alten Dateien durchsucht. Ist eine LOG-Datei 14 Tage alt oder älter, wird sie gelöscht. Dazu wird der Zeitstempel der Erstellung geprüft.


Statuszeile

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Hauptfenster -> Statuszeile

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Statusanzeige des ZAMS besteht aus mehreren Abschnitten:

Screenshots - Expanding

  • Symbol, das den Status der Verbindung anzeigt,
    mögliche Status sind:
    • keine Verbindung hergestellt
    • Verbindung hergestellt aber der Analyzer Server hat keine gültige Lizenz
    • Verbindung hergestellt und der Analyzer Server hat eine gültige Lizenz
  • Verbindungsnachricht: Anzeige des Servers und der Datenbank
  • Anzeige des aktuell verwendeten Farbschemas.
  • Anzeige der aktuell verwendeten RDL-Vorlage.
  • Nachricht, die die aktuelle Aufgabe beschreibt
  • Fortschrittsanszeige, die bei Bedarf eingeblendet wird und bei länger dauernden Arbeitsschritten den Fortschritt anzeigt für:
    • Report öffnen
    • alle Reports speichern
    • alle Reports bereitstellen
    • alle Reports in Microsoft Report Builder öffnen


Aktionen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im ZAMS können Sie:

  • Reports erstellt und verwalten
  • Reports bereitstellen
  • RDL-Vorlagen verwalten
  • das Reporthandling automatisieren
  • Lizenzen anzeigen und eingeben
  • Analyzer Server managen
  • Abläufe automatisieren
  • Cache löschen

Noch in diesem Kapitel

Report erstellen, öffnen, speichern und schließen

Reports bereitstellen

RDL-Vorlagen verwalten

Farbdefinitionen für Reports erstellen

Reports in Microsoft Report Builder öffnen

Analyzer Server-Aktionen

Automatisierung

Cache löschen


Report erstellen, öffnen, speichern und schließen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Report erstellen, öffnen, speichern und schließen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für alle Report-Aktionen wie öffnen, speichern usw. ist Voraussetzung, dass eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz besteht und die gewünschte Reportvorlage lizenziert wurde.

info Info

Validierung: Beim Laden von der Festplatte führen Reportvorlagen (RTP), SQL Templates (STP), SQL Script Templates (SST) und Code Templates (CTP) einen Selbsttest durch. Dabei wird geprüft, ob alle notwendigen Datendateien und alle referenzierten Templates zur Verfügung stehen und die Reportvorlage im Lizenzumfang enthalten ist. Inhalte der Datendateien werden nicht geprüft. Strukturfehler in der Template-Definition dominieren immer über Validierungsfehler. Fehler werden gesammelt am Ende des Ladevorganges gemeldet. Tritt ein Fehler auf, kann das betroffene Template nicht verwendet werden. Damit werden Benutzer bereits beim Laden einer Vorlage auf fehlende oder korrupte Dateien aufmerksam und nicht erst beim Bereitstellen eines Reports.

Neuen Report erstellen

Um einen neuen Report zu erstellen:

  1. wählen Sie im Menü Report den Befehl New
    oder drücken Sie die Tastenkombination Strg+N
  2. der Dialog zur Konfiguration eines neuen Reports wird geöffnet

    Dabei werden die im Datenordner abgelegten RTC-Dateien eingelesen und die verfügbaren Themen für Reportvorlagen und die Reportvorlagen identifiziert. Standardmäßig liegen diese Daten als Unterordner in: %ProgramData%\COPA-DATA\zenonAnalyzer\ZAMS_210.

Screenshots - Expanding

Parameter | Beschreibung
Thema | Auswahl eines Themas aus Dropdownliste. Nach der Auswahl wird eine Beschreibung der Klasse unterhalb der Dropdownliste angezeigt.
Reportvorlage | Auswahl einers Reportvorlage aus Dropdownliste. Nur verfügbar, wenn ein Thema gewählt wurde. Nach der Auswahl wird eine Beschreibung der Vorlage unterhalb der Dropdownliste angezeigt.
Vorschau | Zeigt ein Vorschaubild der gewählten Reportvorlage.
OK | Erstellt einen neuen Report, der auf der gewählten Vorlage basiert. Der Dialog zum Speichern des Reports wird geöffnet. Nach dem Speichern wird der Report im Report-Bereich des ZAMS als aktiver Report angezeigt.
Abbrechen | Beendet den Dialog ohne einen Report zu erstellen.

Report öffnen

Um einen Report zu öffnen:

  1. wählen Sie im Menü Report den Befehl Open oder drücken Sie die Tastenkombination Strg+O
  2. der Browser zur Auswahl eines gespeicherten Reports wird geöffnet, wobei der in den Optionen definierte Ordner vorausgewählt ist
  3. wählen Sie die gewünschten Reports (Mehrfachauswahl möglich)
  4. bestätigen Sie die Auswahl mit Klick auf OK
  5. alle gewählten Reports werden geladen und im Report-Bereich des ZAMS angezeigt, der zuletzt gewählte Report wird aktiviert

Beim Öffnen mehrere Reports wird während des Öffnens eine Fortschrittsanzeige angezeigt. Soll ein bereits geöffneter Report erneut geöffnet werden, wird dieser Report nicht erneut geöffnet, sondern als aktiv angezeigt und eine entsprechende Meldung im Ausgabefenster angezeigt. Bei der Überprüfung des Reports wird Groß-/Kleinschreibung nicht berücksichtigt.

Liste der zuletzt geöffneten Reports

Je nach den Einstellungen in den Optionen werden die zuletzt geöffneten Reports in einer Liste angeboten. Um einen Report dieser Liste zu öffnen, wählen Sie im Menü Report den Eintrag Zuletzt bearbeitete Reports und wählen den gewünschten Report aus. In der Liste wird der als letztes bearbeitete Report an oberster Stelle angezeigt. Die Zahl der angebotenen Reports wird in den Einstellungen festgelegt.

  • Minimum: 1
  • Maximum: 255
    Wird durch einen hinzukommenden Report das erlaubte Maximum überschritten, dann wird der älteste Eintrag gelöscht.

In der Liste werden auch die aktuell geöffneten Reports angezeigt. Der Versuch, einen bereits geöffneten Report auszuwählen wird mit einer Fehlermeldung abgebrochen. Der entsprechende Report wird dann im Hauptfenster aktiviert.

Die Einträge werden aktualisiert, wenn:

  • eine Verbindung zu einer Analyzer Datenbank hergestellt wird
  • ein Report von der Festplatte geöffnet wird
  • ein geänderter Report auf der Festplatte gespeichert wird
  • die maximale Anzahl anzuzeigender Reports in den Einstellungen geändert wird

Schreibgeschützten Report öffnen

Reportdateien, die mit einem Schreibschutz versehen sind, können geöffnet werden. Für diese Reports wird in der Registerkarte neben dem Namen der Hinweis (schreibgeschützt) und eine entsprechende Meldung im Ausgabefenster angezeigt. Änderungen an den Reporteinstellungen können nur in einer neuen Reportdatei gespeichert werden. Das Symbol und der Befehl Speichern stehen nicht zur Verfügung.

Report speichern

Um einen Report zu speichern:

  1. wählen Sie im Menü Report den Befehl Save
    oder drücken Sie die Tastenkombination Strg+S
  2. wurde der Report noch nie gespeichert, wird der Dialog zur Auswahl eines Speicherorts geöffnet
  3. wurde der Report unter diesem Namen bereits gespeichert, wird beim Speichern, abhängig von den Einstellungen in den Optionen:
    • der vorhandene Report überschrieben
    • die Änderung nicht gespeichert
    • ein Dialog zum Bestätigen des Überschreibens geöffnet

    Achtung: Die Statusmeldung "Storing succeeded" im Ausgabefenster besagt nur, dass der Vorgang fehlerlos abgelaufen ist, aber nicht, dass Änderungen gespeichert wurden. Wurden Änderungen nicht gespeichert wird eine Warnung ausgegeben und der Asterisk neben dem Reportnamen in der Registerkarte bleibt bestehen. Wurden Änderungen gespeichert, wird eine Nachricht ausgegeben.

Speichern unter neuem Namen

Um geänderte Reports unter neuem Namen zu speichern, wählen Sie den Befehl save as bzw. die Tastenkombination Strg+Umschalt+S. Existiert bereits ein Report mit gleichem Namen, wird dieser abhängig von der Konfiguration der Optionen nicht gespeichert, überschrieben oder nach Bestätigung überschrieben. Wird versucht, die Speicherdatei eines anderen im ZAMS geöffneten Reports zu überschreiben, so wird der Vorgang mit einem Fehler abgebrochen.

Alle offenen Reports speichern

Um alle offenen Reports zu speichern, wählen Sie den Befehl save all bzw. die Tastenkombination Strg+Alt+S. Existiert bereits ein Report mit gleichem Namen, wird dieser abhängig von der Konfiguration der Optionen nicht gespeichert, überschrieben oder nach Bestätigung überschrieben. Es werden nur Dateien neu gespeichert, wenn tatsächlich Änderungen vorhanden sind.

Beim Speichern aller Reports:

  • wird überprüft, ob jeder Report einen gültigen Speicherpfad hat:
    wird bei fehlenden Pfaden die Auswahl eines gültigen Pfades abgebrochen, dann wird auch das Speichern abgebrochen
  • werden mögliche Kollisionen erkannt:
    Kollisionen führen zum Abbruch des Speicherns
  • werden alle nötigen Bestätigungen zum Überschreiben vorhandener Dateien oder Einträge in einem einzigen Dialog eingeholt:
    bei erteilter Bestätigung wird gespeichert, sonst wird der Vorgang abgebrochen

Report beim Speichern überschreiben

Soll ein bestehender Report überschrieben werden, wird bei Standard-Konfiguration der Optionen, ein Dialog zum Bestätigten geöffnet.

Screenshots - Expanding

Parameter

Beschreibung

Liste der Reports

Zeigt alle Reports, die beim Speichern überschrieben werden, an.

  • Haken in Checkbox gibt Report zum Überschreiben frei.
  • Leere Checkbox verhindert Überschreiben.

Select all

Wählt alle angezeigten Reports zum Überschreiben aus.

Deselect all

Verhindert für alle angezeigten Reports das Überschreiben.

OK

Übernimmt Einstellungen, führt definierte Aktionen (überschreiben/nicht überschreiben) aus und schließt Dialog.

Cancel

Verwirft Einstellungen und schließt Dialog.

Report schließen

Um einen Report zu schließen:

  1. wählen Sie im Menü Report den Befehl Close
  2. wurde der Report verändert und noch nicht gespeichert, wird der Dialog zum Speichern von Reports geöffnet
    • wird dieser Dialog abgebrochen, wird der Report nicht geschlossen
    • wird der Dialog mit OK bestätigt, wird der Report entsprechend den Vorgaben geschlossen und aus der Reportbereich entfernt

Alle Reports schließen

Um alle Reports zu schließen:

  1. wählen Sie im Menü Report den Befehl Close all
  2. nicht veränderte Reports werden geschlossen
  3. für Reports, die verändert und noch nicht gespeichert wurden, wird der Dialog zum Speichern von Reports geöffnet
    • wird dieser Dialog abgebrochen, werden die Reports nicht geschlossen
    • wird der Dialog mit OK bestätigt, werden die Reports entsprechend den Vorgaben geschlossen und aus der Reportbereich entfernt


Reports bereitstellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Reports bereitstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit ein Report bereitgestellt werden kann, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

HInweis: Bei der Überprüfung der Pfade wird Groß-/Kleinschreibung nicht berücksichtigt.

Mehrsprachige Reports bereitstellen

Um mehrsprachige Reports bereitzustellen:

  1. navigieren Sie im ZAMS Menü Optionen
  2. klicken Sie auf Einstellungen
  3. navigieren Sie zur Registerkarte Spracheinstellungen
  4. konfigurieren Sie die mehrsprachige Bereitstellung
  5. bestätigen Sie die KOnfiguration mit Klick auf die Schaltfläche OK
  6. navigieren Sie zum Menü Report
  7. wählen Sie den Befehl Bereitstellen oder Alle bereitstellen

Ablauf "Einen Report bereitstellen"

Um einen Report bereitzustellen:

  1. Wählen Sie im Menü Report den Befehl Bereitstellen.
  2. Der Report und alle dazugehörigen SPs und UDFs werden validiert. Datendateien werden in der Standardsprache Englisch gelesen, Pfade werden in allen notwendigen Sprachen validiert.
    Treten Validierungsfehler auf, wird die Bereitstellung abgebrochen. Bei der Validierung wird sichergestellt, dass sowohl der Speicherpfad auf der Festplatte als auch der Speicherpfad am Analyzer Server gültig sind.
  3. Es wird festgestellt, welche Dateien überschrieben werden sollen. Dabei werden alle Sprachversionen der Reports am Server immer unter einem Eintrag mit dem sprachneutralen Pfad zusammengefasst.
  4. Es wird geprüft, ob der Report gespeichert werden muss.
  5. Es wird geprüft, ob eine Datei auf der Festplatte, eine zu erzeugende SP oder UDF in der Datenbank oder der Report am Server überschrieben werden muss. Sind Überschreibungen nötig, werden diese entsprechend den Einstellungen in den Optionen behandelt. Bei Bedarf wird ein Dialog zum Bestätigen der Überschreibungen aufgeschaltet.
  6. Der Report wird bei Bedarf mit den Überschreibungseinstellungen auf der Festplatte gespeichert.
  7. Alle SPs und UDFs, die erzeugt werden müssen, werden mit den Überschreibungseinstellungen erzeugt. Tritt bei einem dieser Elemente ein Fehler auf, wird die Bereitstellung abgebrochen.
  8. Das RDL des Reports wird erstellt und am Server abgelegt.
  9. Reports werden in allen Konfigurierten Sprachen bereitgestellt. Jede Sprachversion eines Reports wird hinsichtlich Erfolg oder Misserfolg der Auslieferung gesondert betrachtet.
  10. Wenn das RDL erfolgreich am Server abgelegt wurde, werden die Einträge für den Report in die internen Management-Tabellen REPORT_HISTORY und REPORT_DEPENDENCIES geschrieben.
    Hinweis: Die Spalte TEMPLATE_PARAMETERS in der Tabelle REPORT_HISTORY ist für 4.000 Zeichen konzipiert. Werden längere Einträge eingegeben, werden diese nicht gespeichert.
  11. Es wird festgestellt, welche der erfolgreich ausgelieferten Reports im Report Builder geöffnet werden sollen. Dabei werden alle Sprachversionen der Reports am Server immer unter einem Eintrag mit dem sprachneutralen Pfad zusammengefasst.
  12. Der Report Builder wird, wenn nötig, geöffnet.
  13. Eine Statusnachricht zeigt den Erfolg, Teilerfolg oder Misserfolg der Bereitstellung an.

Ablauf "Alle Reports bereitstellen"

Diese Funktion liefert alle im Report-Bereich des ZAMS geöffneten Reports aus.

Um alle Reports bereitzustellen:

  1. Wählen Sie im Menü Report den Befehl Alle Bereitstellen.
  2. Es wird geprüft, welche Reports gespeichert werden sollen. Wenn die Konfiguration eine Benutzerinteraktion verlangt, wird diese analog zum Überschreiben-Dialog abgefragt.
  3. Alle Reports und alle dazugehörigen SPs und UDFs werden validiert. Datendateien werden in der Standardsprache Englisch gelesen, Pfade werden in allen notwendigen Sprachen validiert.
    Ist die Validierung eines einzelnen Reports nicht erfolgreich, wird die Bereitstellung aller Reports abgebrochen. Bei der Validierung jedes Reports wird sichergestellt, dass sowohl der Speicherpfad auf der Festplatte als auch der Speicherpfad am Analyzer Server gültig sind.
  4. Es wird festgestellt, welche Dateien überschrieben werden sollen. Dabei werden alle Sprachversionen der Reports am Server immer unter einem Eintrag mit dem sprachneutralen Pfad zusammengefasst.
  5. Wenn bei den Speicherpfaden auf der Festplatte oder am Analyzer Server Kollisionen der bereitzustellenden Reports auftreten, werden diese per Fehlermeldung im Ausgabefenster gemeldet und die Bereitstellung aller Reports wird abgebrochen.
  6. Im nächster Schritt wird geprüft, ob eine oder mehrere SPs oder UDFs erstellt werden sollen und ob diese ident von mehreren Reports verwendet werden können. Das kommt zu Beispiel bei SPs zum Auslesen der Metadatentabellen für die Report Parameter oft vor. Ist dies der Fall, werden alle solche Mehrdeutigkeiten in einem Dialog dargestellt und der Benutzer muss entscheiden, welches Element von welchem Report erzeugt werden soll:

    Screenshots - Expanding

    • Element name: SQL Element
    • Report: Auswahl des Reports, der erzeugt werden soll, aus Dropdownliste
  7. Wird der Dialog abgebrochen oder tritt ein Fehler auf, wird die Bereitstellung aller Reports abgebrochen.
    Wird der Dialog bestätigt, werden alle Mehrdeutigkeiten entsprechend den im Dialog vorgenommenen Einstellungen aufgelöst.
  8. Es wird geprüft, ob Reports auf der Festplatte, SQL Elemente in der Datenbank oder Reports am Analyzer Server überschrieben werden müssen. Ist dies der Fall, werden die Konfigurationen für Überschreibung ausgewertet und alle Objekte, für die eine Entscheidung des Benutzers nötig ist, werden in einem Dialog aufgelistet:

    Screenshots - Expanding

    • Checkbox: Markierung ob Element überschrieben werden soll oder nicht
    • Element name: Name des Objekts
    • Element type: Objekttyp, kann eine Datei auf der Festplatte, ein SQL Element in der Datenbank oder ein Report am Analyzer Server sein
    • Select all: wählt alle Elemente zum Überschreiben aus
    • Deselect all: entfernt Markierung zum Überschreiben aus allen Elementen
    • OK: Übernimmt Einstellungen und schließt Dialog
    • Cancel: Verwirft Eingaben, setzt Checkboxen auf leer (nein) und schließt Dialog
  9. Wird der Dialog abgebrochen oder tritt ein Fehler auf, wird im Ausgabefenster eine Warnung ausgegeben und als Default wird „nein" angenommen.
    Wird der Dialog bestätigt, werden die Vorgaben zum Überschreiben umgesetzt.
  10. Die zum Speichern vorgesehenen Reports werden gespeichert.
  11. Die SQL Elemente werden mit den festgelegten Überschreibungseinstellungen über die festgelegten Reports erzeugt. Kann ein SQL Element nicht erzeugt werden, wird dieses zwischengespeichert, da der nächste Schritt davon betroffen ist.
  12. Für alle Reports, bei denen alle notwendigen SQL Elemente erzeugt werden konnten, werden die RDL Dateien erzeugt und am Server abgelegt. Bei jedem Report, der erfolgreich am Server abgelegt wurde, werden die notwendigen Einträge in die internen Management-Tabellen REPORT_HISTROY und REPORT_DEPENDENCIES geschrieben.
  13. Reports werden in allen Konfigurierten Sprachen bereitgestellt. Jede Sprachversion eines Reports wird hinsichtlich Erfolg oder Misserfolg der Auslieferung gesondert betrachtet.
  14. Es wird festgestellt, welche der erfolgreich ausgelieferten Reports im Report Builder geöffnet werden sollen. Dabei werden alle Sprachversionen der Reports am Server immer unter einem Eintrag mit dem sprachneutralen Pfad zusammengefasst.
  15. Der Report Builder wird, wenn nötig, geöffnet.
  16. Nach der Festlegung, welche Reports im Report Builder geöffnet werden sollen, werden die gewählten Reports im Report Builder geöffnet.
  17. Eine Statusnachricht zeigt den Erfolg, Teilerfolg oder Misserfolg der Bereitstellung an.

Fortschrittsanzeige in der Statuszeile

Beim Bereitstellen aller Reports wird der Ablauf über die Fortschrittsanzeige in der Statuszeile angezeigt. Dabei initialisiert jeder der folgenden Schritte die Fortschrittsanzeige und füllt sie im Verlauf vollständig auf:

  • Schritt 1 von 5: Analyse (Validierung) der Reports
  • Schritt 2 von 5: Speichern der Reports (wenn keine Reports gespeichert werden sollen, wird das übersprungen)
  • Schritt 3 von 5: Erzeugen der SPs und UDFs
  • Schritt 4 von 5: Erzeugen der RDL Dateien am Server
  • Schritt 5 von 5: Öffnen der Reports im Report Builder (wenn keine Reports im Report Builder geöffnet werden sollen, wird das übersprungen)

Reports nutzen und Aktionen in ZAMS ausführen

Empfehlung: Führen Sie keine Reports aus, während mit dem ZAMS Aktionen ausgeführt werden, die Reports betreffen. Vor allem, wenn das ZAMS:

  • Reports bereitstellt
  • die Connector-Funktionen in der Datenbank aktualisiert
  • den SQL-Connector erstellt


RDL-Vorlagen verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RDL Vorlagen werden bei der Bereitstellung von Reports verwendet. Sie beinhalten immer die Report-Kopfzeile mit allen darin enthaltenen Elementen wie Texte, Grafiken usw.

RDL-Vorlagen können in ZAMS rückgelesen und verwaltet werden. Möglich ist:

  • Rücklesen einer RDL-Vorlage von einer RDL-Datei auf dem Rechner.
  • Rücklesen einer RDL-Vorlage von einem Report am Server.
  • Importieren von RDL-Vorlagen aus anderen ZAMS-Versionen.
  • Auswählen der für die Bereitstellung zu verwendenden RDL Vorlage.
  • Löschen von RDL Vorlagen.

Ablauf

Beim ZAMS-Start wird geprüft, ob die verwendete RDL-Vorlage existiert:

  1. ZAMS wird gestartet.
  2. Die Konfiguration wird geladen.
  3. Beim Anzeigen des Hauptfensters wird geprüft, ob die in der Konfiguration vermerkte RDL-Vorlage im RDL-Vorlagenordner gefunden werden kann.
  4. Ist das der Fall, so ist der Ablauf hier beendet. Andernfalls erfolgt eine Benutzerabfrage, ob der Import von RDL Vorlagen von anderen Versionen gestartet werden soll.
  5. Bejaht der Benutzer diese Abfrage, wird der Import gestartet.
  6. Nach Abschluss des Imports oder wenn der Benutzer die Abfrage verneint, wird erneut geprüft, ob die in der Konfiguration vermerkte RDL-Vorlage im RDL-Vorlagenordner gefunden werden kann.
  7. Ist das der Fall, so ist der Ablauf hier beendet. Andernfalls wird eine Warnung ausgegeben und die Konfiguration wird auf die Standardvorlage zurückgesetzt.

Noch in diesem Kapitel

Vorlagen verwalten

Von RDL-Datei lesen

Von Report am Server lesen

Von anderen Anwendungsversionen importieren


Vorlagen verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten -> Vorlagen verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vorlagen verwalten

Um RDL-Vorlagen zu verwalten:

  1. Öffnen Sie das Menü Optionen.
  2. Wählen Sie den Eintrag RDL-Vorlagen verwalten.
  3. Der Dialog zur Verwaltung der RDL-Dateien wird geöffnet.
  4. Wählen Sie die gewünschten Aktionen wie:
    • Auswahl der Vorlage
    • Anlegen und verwalten benutzerdefinierter Vorlagen

    Jede Änderung für benutzerdefinierte Vorlagen wird sofort umgesetzt. Die Auswahl einer Vorlage für das Bereitstellen von Reports wird mit Klick auf Schließen ausgeführt.

  5. Schließen Sie den Dialog mit Klick auf die Schaltfläche Schließen.

Dialog RDL-Vorlagen verwalten

Screenshots - Expanding

Parameter

Beschreibung

Verwendete RDL-Vorlage

Auswahl der zu verwendenden Vorlage aus Dropdownliste. Diese enthält Standard-Vorlagen und benutzerdefinierte Vorlagen.

Jede Änderung löst eine Aktualisierung der ZAMS-Konfiguration und das Speichern der Konfiguration aus.

Benutzerdefinierte RDL-Vorlagen

Liste und Verwaltung der benutzerdefinierten Vorlagen.

Filterbedingungen

Eingabe von Filterbedingungen. Die eingegebene Zeichenfolge wird auf alle Vorlagen in der Liste angewandt. Die Auswertung erfolgt ohne Berücksichtigung von Groß-/Kleinschreibung.

Verfügbare RDL-Vorlagen

Liste der verfügbaren benutzerdefinierten RDL-Vorlagen. Mehrfachauswahl ist möglich.

Löschen

Löscht die ausgewählten Vorlagen nach einer Sicherheitsabfrage aus der Liste.

Von RDL-Datei lesen

Öffnet den Dialog zum Auslesen einer Vorlage aus einer RDL-Datei.

Von Report am Server lesen

Öffnet den Dialog zum Auslesen einer Vorlage vom Analyzer Server. Dazu muss eine gültige Verbindung bestehen.

Von anderen Anwendungen importieren

Öffnet den Dialog zum Importieren einer Vorlage aus einer anderen Version.

Schließen

Schließt den Dialog und setzt die in der Option Verwendete RDL-Vorlage gewählte Vorlage als Vorlage für die Bereitstellung von Reports.

Statuszeile

Die verwendete RDL-Vorlage wird auch in der ZAMS-Statuszeile angezeigt.

Screenshots - Expanding

Ablauf

Das Erstellen einer RDL -Vorlage erfolgt grundsätzlich so:

  1. Der Ausgangsreport wird im Report Builder mit der gewünschten Kopfzeile versehen.
  2. Der Dialog zur Verwaltung von RDL Vorlagen wird im ZAMS gestartet.
  3. Je nachdem, ob der Report am Server oder als RDL-Datei auf der Festplatte liegt, wird die entsprechende Funktion zum Erstellen einer Vorlage gestartet.
  4. Der Report wird im sich öffnenden Dialog ausgewählt und der Dialog wird bestätigt.
  5. Die RDL-Vorlage wird aus dem gewählten Report erstellt und gespeichert.
  6. Falls gewünscht, wird die neue RDL-Vorlage im Dialog zur Verwaltung der RDL-Vorlagen als aktive RDL-Vorlage ausgewählt.

Noch in diesem Kapitel

Vorlagen benennen

Vorlagen filtern


Vorlagen benennen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten -> Vorlagen verwalten -> Vorlagen benennen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Lesen einer Vorlage aus einer RDL-Datei und beim Lesen vom Server muss ein Name für die Datei vergeben werden.

Screenshots - Expanding

  1. Vergeben Sie einen eindeutigen Namen.
    Bedingungen:
    • Der Name darf nicht leer sein.
    • Der Name darf von keiner anderen Vorlage verwendet werden.
  2. Klicken Sie auf OK.


Vorlagen filtern

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten -> Vorlagen verwalten -> Vorlagen filtern

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Liste der benutzerdefinierten Vorlagen kann gefiltert angezeigt werden:

Screenshots - Expanding

Um die Liste der Vorlagen zu filtern:

  • Geben Sie in das Feld Filterbedingungen die gewünschte Zeichenfolge ein.
  • Der Filter wird mit Eingabe des ersten Zeichens sofort angewendet.
  • Es werden keine Wildcards verwendet.
  • Die eingegeben Zeichenfolge wird auf alle Vorlagen in der Liste angewandt. Die Auswertung erfolgt ohne Berücksichtigung von Groß-/Kleinschreibung.

    Zum Beispiel:

    • al zeigt nur Vorlagen an, deren Namen die Zeichenfolge al enthält wie Alarm und Alarm_imported
    • t zeigt nur Vorlagen an, deren Namen die Zeichenfolge t enthält wie Alarm_imported und Historian

    Screenshots - Expanding


Von RDL-Datei lesen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten -> Von RDL-Datei lesen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RDL-Vorlagen können aus RDL-Dateien am Rechner gelesen werden. Dazu:

  1. Klicken Sie im Dialog RDL-Vorlagen verwalten auf die Schaltfläche Von RDL-Datei lesen.
  2. Der Datei-Browser wird geöffnet.
  3. Navigieren Sie zur gewünschten RDL-Datei.
    Die Datei muss eine Kopfzeile enthalten.
  4. Der Dialog zur Benennung der neuen Vorlage wird geöffnet.
  5. Vergeben Sie einen eindeutigen Namen.
  6. Klicken Sie auf OK.
  7. Die neue Vorlage wird in die Liste eingetragen.

Ablauf

Ablauf beim Erstellen einer RDL-Vorlage von einer RDL-Datei am Rechner:

  1. Der Dialog zum Öffnen einer RDL-Datei am Rechner wird gestartet.
  2. Der Benutzer wählt die RDL-Datei aus und bestätigt den Dialog.
  3. Die RDL-Datei wird geladen.
  4. Die Kopfzeile inklusive aller enthaltenen Elemente wird extrahiert. Wird keine Kopfzeile gefunden, so wird der Vorgang mit einer Fehlermeldung abgebrochen.
  5. Die verwendeten eingebetteten Grafiken werden extrahiert. Wird eine notwendige eingebettete Grafik nicht gefunden, so wird der Vorgang mit einer Fehlermeldung abgebrochen.
  6. Der Dialog zur Eingabe des Namens einer neuen RDL-Vorlage wird gestartet.
  7. Der Benutzer gibt den Namen der neuen RDL-Vorlage ein und bestätigt den Dialog.
  8. Die extrahierten Elemente werden mit den notwendigen Platzhaltern in der korrekten RDL-Struktur als neue RDL-Vorlage mit dem vom Benutzer angegebenen Namen im RDL-Vorlagenordner gespeichert.


Von Report am Server lesen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten -> Von Report am Server lesen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RDL-Vorlagen können aus Reports am Analyzer Server gelesen werden. Dazu:

  1. Klicken Sie im Dialog RDL-Vorlagen verwalten auf die Schaltfläche Von Report am Server lesen.
  2. Der Dialog zur Auswahl eines Reports wird geöffnet.
    Es werden alle gefundenen Reports entsprechend ihrer Speicherpfade in einer Baumstruktur dargestellt.

    Screenshots - Expanding

  3. Navigieren Sie zum gewünschten Report.
    Der Report muss eine Kopfzeile enthalten.
  4. Der Dialog zur Benennung der neuen Vorlage wird geöffnet.
  5. Vergeben Sie einen eindeutigen Namen.
  6. Klicken Sie auf OK.
  7. Die neue Vorlage wird in die Liste eingetragen.

Ablauf

Ablauf beim Erstellen einer RDL Vorlage von einem Report am Server:

  1. Sämtliche Reports am Server werden aufgelistet.
  2. Die Reports werden entsprechend ihrer Pfade als Baum dargestellt.
  3. Der Benutzer wählt einen Report und bestätigt den Dialog.
  4. Der Report wird vom Server geladen.
  5. Die Kopfzeile inklusive aller enthaltenen Elemente wird extrahiert. Wird keine Kopfzeile gefunden, so wird der Vorgang mit einer Fehlermeldung abgebrochen.
  6. Die verwendeten eingebetteten Grafiken werden extrahiert. Wird eine notwendige eingebettete Grafik nicht gefunden, so wird der Vorgang mit einer Fehlermeldung abgebrochen.
  7. Der Dialog zur Eingabe des Namens einer neuen RDL-Vorlage wird gestartet.
  8. Der Benutzer gibt den Namen der neuen RDL-Vorlage ein und bestätigt den Dialog.
  9. Die extrahierten Elemente werden mit den notwendigen Platzhaltern in der korrekten RDL-Struktur als neue RDL-Vorlage mit dem vom Benutzer angegebenen Namen im RDL-Vorlagenordner gespeichert.


Von anderen Anwendungsversionen importieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> RDL-Vorlagen verwalten -> Von anderen Anwendungsversionen importieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RDL-Vorlagen können aus RDL-Dateien am Rechner gelesen werden. Die zu importierenden Dateien müssen sich im Unterordner RDL-Templates der ZAMS Version befinden. Zum Beispiel: %ProgramData%\COPA-DATA\zenonAnalyzer\ZAMS_[Version]\RDL_Templates.

Dazu:

  1. Klicken Sie im Dialog RDL-Vorlagen verwalten auf die Schaltfläche Von anderen Anwendungsversionen importieren.
  2. Der Dialog mit der Liste aller RDL-Dateien anderer Versionen mit Kopfzeile wird geöffnet.

    Screenshots - Expanding

  3. Wählen Sie gewünschten Vorlagen aus.
  4. Wählen Sie bei Bedarf die gewünschte Version aus.
  5. Bei Namenskonflikten: Entscheiden Sie ob die zu importierende Vorlage umbenannt oder die vorhandene Vorlage überschrieben wird.
  6. Vergeben Sie bei Bedarf einen eindeutigen neuen Namen.
  7. Klicken Sie auf OK.
  8. Die neuen Vorlagen werden in die Liste eingetragen.

Dialog Import RDL-Vorlagen

Screenshots - Expanding

Parameter

Beschreibung

Symbol Status

Anzeige, ob eine Vorlage mit diesem Namen bereits existiert.

Checkbox

Auswahl einer Vorlage zum Import durch Aktivierung der Checkbox.

Name der RDL-Vorlage

Name der gewählten RDL-Vorlage.
Nur Anzeige.

Import von Version

Auswahl der Version der gewählten RDL-Vorlage aus Dropdownliste.

Nur aktiv, wenn Vorlagen aus unterschiedlichen ZAMS Versionen mit gleichem Namen vorhanden sind.

Problembehandlung bei Kollision

Auswahl der Aktion bei Vorlagen, deren Name bereits verwendet wird:

  • Importiertes Schema umbenennen: Das Schema wird beim Import umbenannt. Im Feld Importname wird der aktuelle Name mit einer Ziffer in Klammern ergänzt. Der Name kann in diesem Feld individuell angepasst werden.
  • Existierendes Schema überschreiben: Die vorhandene RDL-Datei wird durch die zu importierende ersetzt.

Default: Importiertes Schema umbenennen

Nur aktiv, wenn beim Import ein Namenskonflikt besteht.

Importname

Eingabe eines eindeutigen Namens für die zu importierende Vorlage:

  • Der Name darf nicht leer sein.
  • Der Name darf von keiner anderen Vorlage verwendet werden.

Nur aktiv, wenn beim Import ein Namenskonflikt besteht und der Konflikt durch umbenennen gelöst wird.

Alle auswählen

Klick wählt alle angezeigten Vorlagen aus.

Auswahl aufheben

Klick hebt die aktuelle Auswahl auf.

OK

Übernimmt Einstellungen und schließt den Dialog.

Soll eine bereits vorhandene Vorlage überschrieben werden, erfolgt eine Sicherheitsabfrage.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Ablauf

Ablauf beim Import von RDL-Vorlagen aus anderen ZAMS-Versionen:

  1. Im Ordner %ProgramData%\COPA-DATA\zenonAnalyzer wird nach RDL-Vorlagenordnern anderer ZAMS-Versionen gesucht.
  2. In den gefundenen Ordnern werden alle verfügbaren RDL-Vorlagen mit Ausnahme der Standardvorlage (DefaultTemplate.rdl) aufgelistet.
  3. Die Ergebnisse werden dem Benutzer im Dialog zum Import von RDL-Vorlagen dargestellt.
  4. Der Benutzer wählt aus, welche RDL-Vorlagen von welchen Versionen importiert werden sollen und wie dabei entstehende Kollisionen aufgelöst werden sollen.
  5. Die extrahierten Elemente werden mit den notwendigen Platzhaltern in der korrekten RDL-Struktur als neue RDL-Vorlage mit dem vom Benutzer angegebenen Namen im RDL-Vorlagenordner gespeichert.


Farbdefinitionen für Reports erstellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Farbgebung von Reports kann über Farbschemata festgelegt werden. Alle Farbschemata für Reports werden im ZAMS verwaltet.

Farbschemata

Standardmäßig wird der zenon Analyzer mit dem Farbschema Analyzer Initial ausgeliefert. Dieses Farbschema kann durch eigene, individuelle Farbschemata ergänzt werden.

COPA-DATA Standard

Das Farbschema Analyzer Initial

  • ist fix definiert
  • kann nicht verändert werden
  • kann nicht exportiert werden
  • kann nicht durch importierte Dateien überschrieben werden

Individuelle Farbschemata

Individuelle Farbschemata können Benutzer im ZAMS:

  • erstellen und bearbeiten
  • exportieren
  • importieren

Farbschema wählen

Um ein Farbschema auszuwählen:

  1. öffnen Sie das Menü Optionen
  2. klicken Sie auf den Eintrag Farbschemata verwalten
  3. der Dialog zur Verwaltung der Farbschemata wird geöffnet

    Screenshots - Expanding

  4. wählen Sie für die Option Verfügbare Farbschemata das gewünschte Schema aus der Dropdownliste
  5. bestätigen Sie Ihre Auswahl mit Klick auf die Schaltfläche OK

Noch in diesem Kapitel

Farbschema erstellen und bearbeiten

Farbschema exportieren

Farbschema importieren


Farbschema erstellen und bearbeiten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein Farbschema zu verwalten:

  1. öffnen Sie das Menü Optionen
  2. klicken Sie auf den Eintrag Farbschemata verwalten
  3. der Dialog zur Verwaltung der Farbschemata wird geöffnet

Screenshots - Expanding

Parameter | Beschreibung
Aktives Farbschema | Auswahl eines Farbschemas aus Dropdownliste. Das Standard-Farbschema wird immer an oberster Stelle der Liste angezeigt. Die individuellen Farbschemata werden alphabetisch sortiert.
Benutzerdefinierte Farbschemata | Eigenschaften zur Erstellung und Bearbeitung eigener Farbschemata.
Filterbedingungen | Eingabe eines Filtertexts, der die in der Liste Verfügbare Farbschemata angezeigten Elemente filtert. Das Filterkriterium ist erfüllt, wenn der Filtertext an beliebiger Stelle im Namen eines Farbschemas vorkommt. Groß- und Kleinschreibung werden ignoriert.
Verfügbare Farbschemata | Liste aller verfügbaren, individuellen Farbschemata zur Auswahl eines Farbschemas zum Bearbeiten oder Löschen.
Neu | Klick auf Schaltfläche öffnet Dialog zur Erstellung eines Farbschemas. Das neue Farbschema wird gleichzeitig mit einem Standardnamen in die Liste Verfügbare Farbschemata eingetragen. Ein eventuell vorhandener Filtertext wird entfernt, damit das Schema sicher in der Liste angezeigt wird. Ist der Standardname in der Liste bereits vorhanden, wird er um einen Zähler in Klammern erweitert.
Bearbeiten | Klick auf Schaltfläche öffnet Dialog zur Bearbeitung des ausgewählten Farbschemas. In diesem Dialog kann ein Farbschema auch umbenannt werden.
Löschen | Löscht ausgewähltes Farbschema ohne Rückfrage. Wird ein Farbschema gelöscht, das auch als aktives Farbschema eingetragen wird, dann wird als aktives Farbschema das Standardschema übernommen.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Farbschema erstellen

Um ein Farbschema neu anzulegen:

  1. öffnen Sie den Dialog Farbschemata verwalten
  2. klicken Sie auf die Schaltfläche Neu
  3. der Dialog zum Definieren eines Farbschemas wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Name des Farbschemas

Eingabe eines frei definierbaren Namens für das zu konfigurierende Farbschema.

Ein Name ist dann gültig, wenn er:

  • nicht leer ist
  • kein anderes Farbschema den gleichen Namen hat
    (Wird der Standardname belassen und ist dieser bereits vorhanden, wird er mit einem Zähler versehen und übernommen.)

Registerkarten zur Konfiguration

Ein Farbschema für Reports wird über folgende Registerkarten konfiguriert:

  • Textfelder
  • Parameterbereich
  • Fußzeile
  • Grafikhintergrund
  • Grafikachsen
  • Grafikserien
  • Flächendiagramm
  • Grafiklegende
  • Datenbeschriftungen in Grafiken
  • Datenmarkierungen in Grafiken
  • Zellen in Tabellen
  • Gantt Diagramm

Details siehe entsprechende Unterkapitel.

OK

Übernimmt alle Änderungen aller Registerkarten und schließt den Dialog.

Nur aktiv, wenn ein gültiger Name eingetragen wurde.

Abbrechen

Verwirft alle Änderungen aller Registerkarten und schließt den Dialog.

Farbschema bearbeiten

Um ein Farbschema zu bearbeiten:

  1. öffnen Sie den Dialog Farbschemata verwalten
  2. wählen Sie das gewünschte Schema in der Liste Verfügbare Farbschemata
  3. klicken Sie auf die Schaltfläche Bearbeiten
  4. der Dialog zum Definieren eines Farbschemas wird geöffnet

Farbschema umbenennen

Um ein Farbschema umzubenennen:

  1. öffnen Sie den Dialog Farbschemata verwalten
  2. wählen Sie das gewünschte Schema in der Liste Verfügbare Farbschemata
  3. klicken Sie auf die Schaltfläche Bearbeiten
  4. der Dialog zum Definieren eines Farbschemas wird geöffnet
  5. ändern Sie in der Option Name des Farbschemas den Namen
  6. bestätigen Sie die Änderung mit Klick auf die Schaltfläche OK

Farbschemata filtern

Die Liste der individuell erstellten Farbschemata kann auch gefiltert angezeigt werden:

Um die Liste zu filtern:

  1. tragen Sie das Filterkriterium in die Option Filterbedingung ein
    Hinweis: Filter berücksichtigen Groß-/KLeinschreibung

    Screenshots - Expanding

  2. die Liste wird gefiltert angezeigt

    Screenshots - Expanding

Um die Liste wieder komplett anzuzeigen, löschen Sie das Filterkriterium.

Noch in diesem Kapitel

Textfelder

Parameterbereich

Fußzeile

Grafikhintergrund

Grafikachsen

Grafikserien

Flächendiagramm

Grafiklegende

Datenbeschriftungen in Grafiken

Datenmarkierungen in Grafiken

Zellen in Tabellen

Benutzerdefinierte Reportelemente


Textfelder

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Textfelder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften von Textfeldern:

Screenshots - Expanding

Eigenschaften für Textfelder stehen zur Verfügung für folgende Textelemente:

  • Schrift für Reportnamen
  • Schrift für Bezeichnungsfelder
  • Schrift für Wertefelder

Für jedes dieser Elemente stehen folgende Optionen zur Verfügung:

Parameter

Beschreibung

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Parameterbereich

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Parameterbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften des Parameterbereichs:

Screenshots - Expanding

Parameter

Beschreibung

Parameterfeld

Definition der Eigenschaften für Randlinien und Hintergrund des Parameterausgabebereichs.

Randlinienstil

Auswahl des Randlinienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Randlinienstärke

Einstellung der Randlinienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Randlinienfarbe

Anzeige der ausgewählten Randlinienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe

Anzeige der ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Schrift für Parameternamen

Definition der Schrifteigenschaften der Textbox für Parameternamen.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Schrift für Parameterwerte

Definition der Schrifteigenschaften der Textbox für Parameterwerte.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Fußzeile

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Fußzeile

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Fußzeile:

Screenshots - Expanding

Parameter

Beschreibung

Fußzeilenschrift

Konfiguration der Schrifteigenschaften der Textboxen in der Fußzeile.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Fußzeilenlinie

Konfiguration der Eigenschaften der Linie der Fußzeile.

Linienstärke

Einstellung der Linienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Linienfarbe

Anzeige der ausgewählten Linienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Grafikhintergrund

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Grafikhintergrund

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften des Grafikhintergrunds:

Screenshots - Expanding

Parameter

Beschreibung

Netzlinien

Konfiguration der Eigenschaften für Netzlinien im Hintergrund des Grafikbereichs.

Linienstil

Auswahl des Linienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Dashed
  • Dotted
  • DashDot
  • DashDotDot

Linienstärke

Einstellung der Linienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Linienfarbe

Anzeige der ausgewählten Linienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe des Grafikbereichs

Konfiguration der Einstellungen des Hintergrunds für den Grafikbereich. Der Hintergrund des Grafikbereichs ist jener Bereich, in dem sich die eigentliche Grafik befindet. Der Bereich wird von den Achsen begrenzt.

Der Hintergrund des Grafikbereichs wird zeilenweise abwechselnd mit der Basisfarbe und der Alternativfarbe eingefärbt.

Tortendiagramme haben in diesem Bereich immer einen transparenten Hintergrund.

Hintergrundfarbe

Anzeige der ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Abwechselnde Hintergrundfarbe

Auswahl der Alternativ-Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe des Grafikobjekts

Konfiguration der Einstellungen des Objekthintergrunds für Grafiken. Der Objekthintergrund ist jener Bereich, den das Grafikobjekt im Report inklusive Legende und Achsen einnimmt.

Hintergrundfarbe

Anzeige der ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Endfarbe des Farbverlaufs

Anzeige der Endfarbe des Farbverlaufs.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Farbverlaufstyp

Auswahl eines Farbverlaufstyps aus Dropdowiste. Der Hintergrund wird mit dem gewählten Verlaufstyp, ausgehend von der Basisfarbe hin zur Verlaufsendfarbe, eingefärbt. Folgende Werte stehen zur Verfügung:

  • None
  • LeftRight
  • TopBottom
  • Center
  • DiagonalLeft
  • VerticalCenter

Hinweis: Die Werte DiagonalRight und HorizontalCenter stehen nicht zur Verfügung. Sollen diese Werte dennoch verwendet werden, so können diese im Microsoft Report Builder in den Eigenschaften des Grafikobjekts gewählt werden. Werden diese Werte über dynamische Ausdrücke, wie einen VB.NET Codeaufruf, gesetzt, dann werden sie wie TopBottom dargestellt.

Hintergrundfarbe des Kreisgrafikobjekts

Konfiguration der Einstellungen des Objekthintergrunds für Tortendiagramme.

Die Einstellungen für Tortendiagramme unterscheiden sich für diesen Bereich, von anderen Diagrammen, da die Hintergrundfarbe ihres Grafikbereichs transparent ist.

Hintergrundfarbe

Anzeige der ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Endfarbe des Farbverlaufs

Anzeige der Endfarbe des Farbverlaufs.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Farbverlaufstyp

Auswahl eines Farbverlaufstyps aus Dropdowiste. Der Hintergrund wird mit dem gewählten Verlaufstyp, ausgehend von der Basisfarbe hin zur Verlaufsendfarbe, eingefärbt. Folgende Werte stehen zur Verfügung:

  • None
  • LeftRight
  • TopBottom
  • Center
  • DiagonalLeft
  • VerticalCenter

Hinweis: Die Werte DiagonalRight und HorizontalCenter stehen nicht zur Verfügung. Sollen diese Werte dennoch verwendet werden, so können diese im Microsoft Report Builder in den Eigenschaften des Grafikobjekts gewählt werden. Werden diese Werte über dynamische Ausdrücke, wie einen VB.NET Codeaufruf, gesetzt, dann werden sie wie TopBottom dargestellt.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Grafikachsen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Grafikachsen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Grafikachsen:

Screenshots - Expanding

Parameter

Beschreibung

Grafikachsenschrift

Konfiguration der Schrifteigenschaften der Werte auf der Achse.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Grafikachsenlinie

Konfiguration der Einstellungen der Achsenlinien

Linienstil

Auswahl des Linienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Dashed
  • Dotted
  • DashDot
  • DashDotDot

Linienstärke

Einstellung der Linienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Linienfarbe

Anzeige der ausgewählten Linienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Skalierungsunterbrechung der Grafikachsen

Konfiguration der Einstellungen der Achsenunterbrechungen.

Randlinienstil

Auswahl des Linienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Dashed
  • Dotted
  • DashDot
  • DashDotDot

Randlinienstärke

Einstellung der Randlinienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Randlinienfarbe

Anzeige der ausgewählten Randlinienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Abstand

Einstellung des Abstands zwischen den beiden Linien, die eine Unterbrechung kennzeichnen.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Darstellung der Werte der Achsenunterbrechungen im PDF

Für die PDF-Rendering-Engine der SQL Server 2012 Reporting Services wurden bei bestimmten Werten für die Achsenunterbrechungen Probleme mit der Validierung der eingegebenen Werte berichtet. Sollen hier vom Standardschema abweichende Werte eingestellt werden, wird folgende Vorgangsweise empfohlen:

  1. Ändern Sie immer nur einen Wert zur Zeit.
  2. Bestätigen Sie dann den Dialog mit OK.
  3. Stellen Sie einen Report mit Grafik (z.B. Archivtrend mit Liniendiagramm) als Test bereit.
  4. Führen Sie den Report aus und exportieren Sie ihn als PDF.
  5. Wird die Grafik in der PDF-Datei mit dem Report nicht angezeigt, so wird der gerade geänderte Wert nicht korrekt erkannt. Korrigieren Sie den Wert und testen Sie ihn erneut.


Grafikserien

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Grafikserien

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Grafikserien:

Screenshots - Expanding

Parameter | Beschreibung
Farbe von Grafikserie x | Anzeige der ausgewählten Farbe der Grafikserie. x steht für die Nummer der Grafikserie 1 bis 10. Die Einstellungen für die Grafikserie 1 werden auch für die Serien 11, 21, 31, 41 usw. angewandt. Das gilt analog auch für die weiteren Serien 2 (12, 22, ..) bis 10 (20, 30, ...). Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.
Farbe auswählen | Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Flächendiagramm

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Flächendiagramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften von Flächendiagrammen:

Screenshots - Expanding

Parameter

Beschreibung

Linienfarbe

Anzeige der ausgewählten Farbe für die Linie eines Flächendiagramms.

Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe wählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Flächenfarbe

Einstellungen für Farbe der Fläche eines Flächendiagramms.

Alphawert für Flächenfarbe (Transparenz)

Auswahl der Transparenz der Flächenfarbe durch Direkteingabe oder über die Pfeiltasten des Kontrollelements.

  • Minimum: 0 (volle Transparenz)
  • Maximum: 100 (keine Transparenz)

Flächenfarbe

Anzeige der ausgewählten Flächenfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe wählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Grafiklegende

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Grafiklegende

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Grafiklegende:

Screenshots - Expanding

Legendenschrift

Parameter

Beschreibung

Legendenschrift

Konfiguration der Schrifteigenschaften der Legendeneinträge.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Datenbeschriftungen in Grafiken

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Datenbeschriftungen in Grafiken

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Datenbeschriftungen in Grafiken:

Screenshots - Expanding

Datenbeschriftungsfeld

Parameter

Beschreibung

Datenbeschriftungsfeld

Konfiguration der Eigenschaften für Randlinien und Hintergrund der Datenbeschriftungsbereiche

Randlinienstil

Auswahl des Randlinienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Randlinienstärke

Einstellung der Randlinienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Randlinienfarbe

Anzeige der ausgewählten Randlinienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe

Anzeige der ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Datenbeschriftungsschrift

Parameter

Beschreibung

Datenbeschriftungsschrift

Konfiguration der Schrifteigenschaften der Datenbeschriftungen.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Datenmarkierungen in Grafiken

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Datenmarkierungen in Grafiken

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Datenmarkierungen in Grafiken:

Screenshots - Expanding

Datenmarkierung

Parameter

Beschreibung

Datenmarkierung

Konfiguration der Eigenschaften des Datenmarkierungssymbols.

Markierungstyp

Auswahl des Datenmarkierungssymbols. Folgende Werte stehen zur Verfügung:

  • Square
  • Circle
  • Diamond
  • Triangle
  • Cross
  • Star4
  • Star5
  • Star6
  • Star10

Achtung: Der Wert None steht hier nicht zur Verfügung, da Reports, bei denen diese Eigenschaft verwendet wird, ein Markierungssymbol zwingend benötigen.

Markierungsgröße

Einstellung der Größe des Markierungssymbols.

Die Eingabe ist in Stufen mit der Genauigkeit 0,25 möglich.

  • Minimum: 1
  • Maximum: 100

Markierungsfarbe

Anzeige der ausgewählten Markierungsfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Datenmarkierungsrandlinie

Parameter

Beschreibung

Datenmarkierungsrandlinie

Konfiguration der Eigenschaften der Randlinie der Datenmarkierung.

Randlinienstärke

Einstellung der Randlinienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Randlinienfarbe

Anzeige der ausgewählten Randlinienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Zellen in Tabellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Zellen in Tabellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften der Zellen in Tabellen:

Screenshots - Expanding

Zellenhintergrund

Parameter | Beschreibung
Zellenhintergrund | Konfiguration der Einstellungen des Hintergrunds für Datenzellen in Tabellen.
Hintergrundfarbe für gerade Zellen | Anzeige der Hintergrundfarbe für Zeilen mit gerader Zeilennummer (2, 4, 6, …). Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.
Farbe auswählen | Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe für ungerade Zellen

Parameter

Beschreibung

Hintergrundfarbe für ungerade Zellen

Anzeige der Hintergrundfarbe für Zeilen mit ungerader Zeilennummer (1, 3, 5, …).

Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Überschriftenzellenschrift

Konfiguration der Schrifteigenschaften der Überschriftenzellen.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Datenzellenschrift

Parameter

Beschreibung

Datenzellenschrift

Konfiguration der Schrifteigenschaften der Datenzellen.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste. Zur Verfügung stehen:

  • Thin
  • ExtraLight
  • Light
  • Normal
  • Medium
  • SemiBold
  • Bold
  • ExtraBold
  • Heavy

Schriftfarbe

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Überschriftenzellenrand

Parameter

Beschreibung

Überschriftenzellenrand

Konfiguration der Eigenschaften der Randlinien für Überschriftenzellen.

Randlinienstil

Auswahl des Randlinienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Randlinienstärke

Einstellung der Randlinienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Randlinienfarbe

Anzeige der ausgewählten Randlinienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Datenzellenrand

Parameter

Beschreibung

Datenzellenrand

Konfiguration der Eigenschaften der Randlinien für Datenzellen.

Randlinienstil

Auswahl des Randlinienstils aus Dropdownliste. Folgende Werte stehen zur Verfügung:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Randlinienstärke

Einstellung der Randlinienstärke.

Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1
  • Maximum: 100

Randlinienfarbe

Anzeige der ausgewählten Randlinienfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Benutzerdefinierte Reportelemente

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema erstellen und bearbeiten -> Benutzerdefinierte Reportelemente

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Eigenschaften von benutzerdefinierten Reportelementen wie zum Beispiel Gantt Diagrammen:

Screenshots - Expanding

Parameter

Beschreibung

Titelschrift

Konfiguration der Schrifteigenschaften des Diagrammtitels.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Fettschrift verwenden

Aktiv: Text wird fett formatiert.

Schriftart für Achsen und Beschriftungen

Konfiguration der Schrifteigenschaften für Achsenbeschriftungen.

Schriftart

Auswahl der Schriftart aus Dropdownliste. Aktuell werden 256 Schriftarten angeboten.

Schriftgröße

Einstellung der Schriftgröße über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100

Fettschrift verwenden

Aktiv: Text wird fett formatiert.

Farbe für Texte und Achsen

Anzeige der ausgewählten Schriftfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe des Grafikbereichs

Anzeige der für den Grafikbereich ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Hintergrundfarbe des Grafikobjekts

Anzeige der für das Grafikobjekt ausgewählten Hintergrundfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Nur Gantt-Diagramm

Einstellungen ausschließlich für Gantt-Diagramme:

Farbe für Zeiten ohne Ereignis

Anzeige der für Zeiten ohne Ereignis ausgewählten Farbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Standardfarbe für Ereignisse

Anzeige der für Ereignisse ausgewählten Standardfarbe. Einstellung erfolgt über die darunter liegende Schaltfläche Farbe auswählen.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Farbschema exportieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema exportieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Farbschemata können exportiert werden. Um ein Farbschema zu exportieren:

  1. öffnen Sie das Menü Optionen
  2. klicken Sie auf Farbschemata exportieren
  3. der Dialog zur Auswahl der Farbschemata wird geöffnet
  4. wählen Sie die gewünschten Farbschemata durch Klick in die Checkbox aus
  5. klicken Sie auf OK
  6. der Dialog zur Auswahl eines Speicherorts wird geöffnet
    (dieser Dialog wird immer in der Sprache des Betriebssystems angezeigt)
  7. wählen Sie den Speicherort aus und vergeben Sie einen Dateinamen
  8. klicken Sie auf OK
  9. die gewählten Farbschemata werden als XML-Datei gespeichert

Dialog zur Auswahl der Farbschemata

Screenshots - Expanding

Parameter | Beschreibung
Liste der Farbschemata | Listet alle vorhandenen individuell erstellten Farbschemata auf. Diese können per Klick in die Checkbox für den Export ausgewählt werden.
Alle auswählen | Wählt alle angezeigten Farbschemata für den Export aus.
Auswahl aufheben | Deaktiviert Markierung für alle ausgewählten Farbschemata. Kein Schema ist mehr für den Export ausgewählt.
OK | Übernimmt Auswahl, schließt diesen Dialog und öffnet den Dialog zur Auswahl eines Speicherorts für die Export-Datei.
Abbrechen | Bricht Export ab und schließt Dialog.

Der Dialog kann in seiner Größe und Position angepasst werden. Diese Modifikationen werden gespeichert.


Farbschema importieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Farbdefinitionen für Reports erstellen -> Farbschema importieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Farbschemata können importiert werden. Um ein Farbschema zu importieren:

  1. öffnen Sie das Menü Optionen
  2. klicken Sie auf Farbschemata importieren
  3. der Dialog zur Auswahl einer Exportdatei wird geöffnet
    (dieser Dialog wird immer in der Sprache des Betriebssystems angezeigt)
  4. wählen Sie den Speicherort und die gewünschte XML-Datei aus
  5. klicken Sie auf OK
  6. der Dialog den Import wird geöffnet
  7. wählen Sie die zu importierenden Farbschemata aus
  8. wählen Sie, ob die zu importierenden Farbschemata bei Konflikten mit vorhandenen Farbschemata diese überschreiben oder unter einem neuen Namen gespeichert werden
  9. klicken Sie auf OK
  10. die gewählten Farbschemata werden importiert und zur Liste der individuell erstellten Farbschemata hinzugefügt

Dialog Farbschemata importieren

Beim Import einer XML-Datei mit Farbschemata werden alle darin enthaltenen Farbschemata in einem Dialog angezeigt. Im Dialog können Farbschemata für den Import ausgewählt werden und entschieden werden, wie mit Konflikten umgegangen wird.

Screenshots - Expanding

Parameter

Beschreibung

Liste der Farbschemata

Listet alle vorhandenen individuell erstellten Farbschemata auf. Diese können per Klick in die Checkbox für den Export ausgewählt werden.

Symbol

Zeigt an, ob bereits ein Farbschema mit diesem Namen existiert.

Name des Farbschemas

Name des zu importierenden Farbschemas. Klick in Checkbox markiert Frabschema für den Import.

Die Breite dieser Spalte ist anpassbar.

Auflösung der Kollision

Ist bereits ein Farbschema gleichen Namens vorhanden, werden zwei Optionen zur Lösung des Konfilts angeboten. Auswahl aus Dropdownliste:

  • Importiertes Schema umbenennen: Das Farbschema wird unter einem anderen Namen importiert. Auswahl in der Option Importname.
    Default: [existierender Name] (fortlaufende Nummer].
  • Existierendes Schema überschreiben: Importiert Schema und überschreibt dabei das bereits vorhandene.

Die Breite dieser Spalte ist anpassbar.

Importname

Name für das zu importierende Farbschema, wenn dieses beim Import umbenannt werden soll. Klick in Feld ermöglicht Bearbeitung des vorgeschlagenen Default-Namens.

Alle auswählen

Wählt alle angezeigten Farbschemata für den Import aus.

Auswahl aufheben

Deaktiviert Markierung für alle ausgewählten Farbschemata. Kein Schema ist mehr für den Import ausgewählt.

OK

Übernimmt Auswahl, schließt diesen Dialog und importiert die gewählten Farbschemata.

Abbrechen

Bricht Import ab und schließt Dialog.

Der Dialog kann in seiner Größe und Position angepasst werden. Diese Modifikationen werden gespeichert.


Reports in Microsoft Report Builder öffnen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Reports in Microsoft Report Builder öffnen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports können im Microsoft Report Builder geöffnet und bearbeitet werden. Damit der Report Builder gestartet und Reports damit bearbeitet werden können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Report Builder starten

Um den Report Builder zu starten:

  1. wählen Sie im Menü Report den Befehl Start Microsoft Report Builder
  2. ein Internet Explorer Prozess mit der mit der URL der Report Builder Applikation wird gestartet
  3. falls nötig, wird die Anwendung heruntergeladen
  4. der Report Builder wird gestartet
  5. der Internet Explorer Prozess wird beendet

Report im Report Builder öffnen

Um den im Reportfenster aktiven Report im Report Builder zu öffnen:

  1. wählen Sie im Menü Report den Befehl Open in Microsoft Report Builder
  2. der Report Builder wird gestartet
  3. der Report wird im Report Builder geöffnet

Hinweis: Ist der Report Builder nicht in der Lage, den Report vom übergebenen Pfad zu öffnen, so führt das im ZAMS zu keiner Fehlermeldung. Der Fehler wird im Report Builder gemeldet.

Alle Reports im Report Builder öffnen

Um alle im Reportfenster aktiven Reports im Report Builder zu öffnen:

  1. wählen Sie im Menü Report den Befehl Open all in Microsoft Report Builder
  2. der Report Builder wird gestartet
  3. die Reports werden im Report Builder geöffnet
  4. die Fortschrittsanzeige in der Statusleiste informiert über den Fortschritt des Öffnens

Hinweis: Ist der Report Builder nicht in der Lage, einen Report vom übergebenen Pfad zu öffnen, so führt das im ZAMS zu keiner Fehlermeldung. Der Fehler wird im Report Builder gemeldet.


Analyzer Server-Aktionen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Analyzer Server-Aktionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie können über das Menü Analyzer Server:

  • ZAMS zum Analyzer Server verbinden
  • Informationen zum Analyzer Server abfragen
  • den Lizenzstatus des Analyzer Servers abfragen
  • neue Lizenzdaten eingeben

Server-Informationen

Um Informationen zur Version des Analyzer Servers zu erhalten:

  1. wählen Sie im Menü Analyzer server den Befehl Server version information
  2. das Informationsfenster wird aufgeschaltet
  3. Sie erhalten Informationen zu:
    • Betriebssystem des Rechners mit dem Analyzer Server
    • die Version des laufenden Analyzer Servers

Screenshots - Expanding

Noch in diesem Kapitel

Verbindung konfigurieren

Lizenz anzeigen

Lizenz eingeben


Verbindung konfigurieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Analyzer Server-Aktionen -> Verbindung konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein neues Verbindungsprofil anzulegen, wählen Sie:

  • beim Start des ZAMS als Profil neues Profil anlegen
    oder
  • bei laufendem ZAMS im Menü Analyzer server den Befehl CMit Server verbinden

Der Dialog zur Konfiguration wird aufgeschaltet:

Screenshots - Expanding

Parameter

Beschreibung

Verbindungsprofil

Auswahl des Verbindungsprofils aus Dropdownliste.
Das Profil besteht aus Pfad für Server\Datenbank.

  • Neues Profil erstellen: erstellt ein neues Profil.

Zugangsdaten

Eingabe der Zugangsdaten.

Windows-Authentifizierung verwenden

Aktiv: Windows Authentifizierung wird verwendet.

Benutzername

Eingabe des Benutzernamens.

Wenn Windows-Authentifizierung verwenden aktiv ist, nur Anzeige.

Passwort

Eingabe des Passworts. Wird nicht gespeichert und muss bei jedem Verbindungsaufbau neu eingegeben werden.

Wenn Windows-Authentifizierung verwenden aktiv ist, ist keine Eingabe erforderlich und auch nicht möglich.

Serverliste aktualisieren

Klick startet Suche nach vorhandenen Servern, zu denen sich ZAMS verbinden kann.

Dazu wird eine Liste aller im Netzwerk verfügbaren SQL Server Instanzen überprüft, ob auf den dazugehörigen Rechnern der ReportingService2010 Web Service Endpunkt und der Lizenz Server erreichbar sind.

Hinweis: Sind sehr viele SQL-Server im System vorhanden, kann die Überprüfung längere Zeit in Anspruch nehmen. Der Verlauf wird über eine Fortschrittsanzeige visualisiert.

Datenbankserver angeben

Klick öffnet Dialog zur Eingabe eines bestimmen Servers.

Empfohlene Vorgangsweise, wenn die Namen von Rechner und SQL-Server-Instanz des Analyzer Servers bekannt sind.

Server

Auswahl des Servers, zu dem sich ZAMS verbinden soll, aus Dropdownliste.

Wird der gewünschte Server nicht angezeigt, kann er über Mit Serveradresse verbinden hinzugefügt oder über Serverliste aktualisieren gesucht werden.

Datenbank

Auswahl der Datenbank, die ZAMS benutzen soll, aus Dropdownliste.

OK

Übernimmt alle Eingaben, validiert sie, erstellt das Verbindungsprofil, schließt den Dialog und stellt die Verbindung her.

Abbrechen

Verwirft alle Eingaben und schließt Dialog ohne eine Verbindung herzustellen.

Neues Profil erstellen

Beim Erstellen eines neuen Profils wird das zuletzt verwendete Profil als Vorlage benutzt. Authentifizierung und Server werden übernommen, die Datenbankliste wird neu befüllt, wobei die Datenbankauswahl auch übernommen wird. Um ein neues Profil zu erstellen:

  1. wählen Sie die Authentifizierung
  2. wählen Sie in der Eigenschaft Verbindungsprofil die Option Neues Profil erstellen
  3. wählen Sie Server und Datenbank
  4. bestätigen Sie mit Klick auf die Schaltfläche OK

attention Achtung

Wenn beim Erstellen eines neuen Profils das zugrunde liegende Profil Authentifizierung mit Benutzername und Passwort verwendet, müssen diese korrekt eingegeben werden, bevor Profil neu erstellen ausgewählt wird. Sonst kann die Datenbankliste nicht befüllt werden kann.

Ist die Datenbankliste leer, so kann sie neu gefüllt indem Sie:

  1. die Zugangsdaten korrekt eingeben
  2. auf die Schaltfläche Datenbankserver angeben klicken
  3. den sich öffnenden Dialog mit Klick auf OK bestätigen

Ablauf beim Verbinden

Das Verbinden zu einem Analyzer Server erfolgt in folgenden Schritten:

  1. Die Eingaben im Verbindungsdialog werden validiert und, falls noch nicht vorhanden, wird ein Verbindungsprofil für die Konfiguration angelegt.
  2. Ist ZAMS geöffnet, wird geprüft, ob Reports im ZAMS offen sind. Diese müssen geschlossen werden.
    Ein Nachrichtenfenster fragt ab, ob die geöffneten Reports geschlossen werden dürfen.

    Screenshots - Expanding

    • Ja: Reports werden geschlossen und zuvor wenn nötig, je nach Einstellungen in den Optionen, gespeichert
    • Nein: Vorgang wird abgebrochen
  3. Eine bestehende Verbindung wird geschlossen.
  4. Die Version der Datenbank, zu der die Verbindung aufgebaut werden soll, wird festgestellt.

    Ist die Datenbankversion im Vergleich zu der von ZAMS unterstützten Version:

    1. höher oder ist die Datenbank keine Analyzer 2.0 oder höhere Metadaten-Datenbank, wird der Ablauf mit einer Fehlermeldung abgebrochen
    2. gleich der in der ZAMS Installation unterstützten Version, wird mit der Strukturprüfung fortgesetzt
    3. niedriger, wird mit der Konvertierung fortgesetzt
  5. Konvertierung:

    Benutzerabfrage, ob die Datenbankkonvertierung gestartet werden soll.

    1. Nein: der Verbindungsaufbau wird abgebrochen
    2. Ja: die Datenbankkonvertierung wird für den SQL Server, zu dem verbunden werden soll, durchgeführt
  6. Nach Abschluss der Datenbankkonvertierung wird die Version der Datenbank, zu der verbunden werden soll, erneut geprüft. Ist diese jetzt immer noch kleiner als die in der ZAMS-Installation unterstützte Datenbankversion, so wird mit einem Fehler abgebrochen.
  7. Strukturprüfung:

    Die Datenbankstruktur wird gegen die Strukturdefinition, die in der ZAMS-Installation unterstützt wird, geprüft. Werden dabei Strukturfehler festgestellt, so wird der Ablauf mit einer Fehlermeldung abgebrochen.

  8. Die neuen Verbindungen werden aufgebaut zu:
    • SQL Server 2012 Reporting Service Web Service Endpunkt ReportService2010 des Analyzer Servers
    • gewählten Datenbank am Analyzer Server
    • zrsLicSrv am Analyzer Server

    Kann eine der notwendigen Verbindungen nicht aufgebaut werden, so werden die bereits aufgebauten Verbindungen geschlossen und das ZAMS wechselt in den Status nicht verbunden.

  9. Es wird versucht, eine ZAMS-Lizenz für den Verbindungsbenutzer am Computer, zu dem die Verbindung hergestellt wird, zu belegen. Wird das abgelehnt, wird der Vorgang abgebrochen.
  10. Die Datenbankstruktur wird überprüft.
  11. Eine eventuell gerade laufende Lizenz-Abfrage wird gestoppt.
  12. Können alle Verbindungen aufgebaut werden, wird die Lizenz des Analyzer Servers geprüft.
    Ist die Lizenz ungültig, wird der Dialog zur Eingabe einer Lizenz geöffnet.
  13. Je nach Lizenzstatus werden die möglichen Aktionen aktiviert oder deaktiviert.

Serverliste aktualisieren

Um die Liste der angezeigten Server zu aktualisieren, klicken Sie im Dialog für das Verbindungsprofil auf die Schaltfläche Serverliste aktualisieren. Die Suche nach Servern, zu denen sich ZAMS verbinden kann, wird gestartet. Eine Fortschrittsanzeige zeigt Ihnen dabei:

  • den jeweils aktuell untersuchten Rechner im Netzwerk
  • mit einem grünen Balken den Fortschritt der Suche

General Analyzer Schema Graphics Template

Nach Abschluss der Suche wird die Fortschrittsanzeige geschlossen. Die gefundenen Server werden in der Dropdownliste Server angezeigt.

Hinweis: Sind sehr viele SQL-Server im System vorhanden, kann die Überprüfung längere Zeit in Anspruch nehmen.

Zu einem bestimmten Server verbinden

Um sich zu einem bestimmten Server zu verbinden, klicken Sie im Dialog für das Verbindungsprofil auf die Schaltfläche Datenbankserver angeben. Der Dialog zur Verbindung mit einem bestimmten Server wird geöffnet.

Screenshots - Expanding

Parameter | Beschreibung
Server | Eingabe des Rechnernamens und Ordners, in dem sich der Server befindet. Syantax: [Computername oder IP-Adresse]\[Instanzname] Zum Beispiel: Server999\Reports_ZA2\
Fortschrittsanzeige | Zeigt Verlauf des Verbindungsversuchs an. Gelingt der Versuch nicht, wird eine Fenster mit einer Fehlermeldung angezeigt und im ZAMS Ausgabefenster ein Fehlerreport ausgegeben.
OK | Übernimmt Änderungen, validiert sie und schließt Dialog.
Cancel | Verwirft Änderungen und schließt Dialog.


Lizenz anzeigen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Analyzer Server-Aktionen -> Lizenz anzeigen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die vom Analyzer Server verwendete Lizenz anzuzeigen:

  1. wählen Sie im Menü Analyzer server den Befehl Show current license
  2. der Dialog mit den Lizenzinformationen wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Seriennummer

Anzeige der Seriennummer.

Aktivierungs Schlüssel

Anzeige des Aktivierungsschlüssels.

Lizenzstatus

Status der Lizenz:

  • Gültige Lizenz
  • Ungültige Lizenz

Lizenzeigenschaften

Anzeige von:

  • Anzahl der lizenzierten Clients
  • Ablaufdatum der Lizenz

Produkt lizenzieren

Öffnet Dialog zur Eingabe der Lizenzdaten.

OK

Schließt das Fenster.


Lizenz eingeben

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Analyzer Server-Aktionen -> Lizenz eingeben

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um neue Lizenzdaten einzugeben:

  1. wählen Sie im Menü Analyzer Server oder im Dialog Lizenz anzeigen den Befehl Neue Lizenz eingeben
  2. der Dialog mit den Lizenzinformationen wird geöffnet
  3. geben Sie Seriennummer und Aktivierungsschlüssel ein
  4. klicken Sie auf Neue Lizenz prüfen
  5. ist das Ergebnis positiv, klicken Sie auf OK, um die Lizenz zu aktivieren

Dialog Lizenz eingeben

Screenshots - Expanding

Parameter

Beschreibung

Seriennummer

Eingabe der Seriennummer.

Aktivierungsschlüssel

Eingabe des Aktivierungsschlüssels.

Neue Lizenz prüfen

Klick auf diese Schaltfläche prüft Eingaben, bevor diese auf den Lizenz Server geschrieben werden, ob:

  • eingegebenen Lizenzdaten über eine korrekte Syntax verfügen
  • mit den eingegebenen Daten eine Lizenz auf einem CodeMeter Dongle belegt werden kann
  • der Aktivierungsschlüssel zur Seriennummer passt

Damit der Test gestartet wird, müssen sowohl Seriennummer als auch Aktivierungsschlüssel eingegeben worden sein.

Testergebnis

Zeigt das Testergenis von Neue Lizenz prüfen an.

OK

Schreibt die eingegebene Lizenz in den Lizenz-Service am Analyzer Server und schließt den Dialog. Das Ergebnis des Schreibens der Lizenz wird im Ausgabefenster dargestellt.

Damit die Lizenzdaten geschrieben werden, müssen sowohl Seriennummer als auch Aktivierungsschlüssel eingegeben worden sein.

Abbrechen

Schließt den Dialog, ohne Daten in den Lizenz-Service zu schreiben.

attention Achtung

Werden falsche Lizenzdaten eingegeben, wird der Zugriff auf den Analyzer Server für alle Clients gesperrt. Überprüfen Sie neue Lizenzdaten immer mit einem Klick auf die Schaltfläche Neue Lizenz prüfen, bevor Sie die Lizenz mit Klick auf OK setzen.


Automatisierung

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Folgende Aktionen konfigurieren und starten Sie im Menü Automatisierung:

  • Emulation von Archiven
  • Server-Konfiguration für den Versand von E-Mails
  • Bereitstellen von Reports über Zeitpläne
  • Report-Abonnements

Noch in diesem Kapitel

Archivemulation konfigurieren

E-Mail Server konfigurieren

Zeitpläne verwalten

Report-Abonnements verwalten


Archivemulation konfigurieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> Archivemulation konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im ZAMS können Sie Archive emulieren, die aus Ableitung von Zählern aus Einträgen in AML, CEL und Archive in zenon bestehen.

Um die Archivemulation zu konfigurieren:

  1. wählen Sie im Menü Automatisierung den Eintrag Archivemulation konfigurieren
  2. klicken Sie auf die Schaltfläche Neu, um ein neues Archiv zu erstellen
    oder Bearbeiten, um ein bestehendes Archiv zu verändern

Details zur Archivemulation und zur Konfiguration emulierter Archive lesen Sie im Abschnitt Archivemulation.


E-Mail Server konfigurieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> E-Mail Server konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Reports per E-Mail verschicken zu können, muss der SMTP-Server konfiguriert sein. Dies erfolgt im ZAMS über den Menüpunkt E-Mail Server konfigurieren.

attention Achtung

Diese Funktionalität steht nur zur Verfügung, wenn das ZAMS zu einer Analyzer Datenbank mit gültiger Lizenz am selben Rechner verbunden ist und keine andere Aufgabe im Hintergrund läuft.

Die E-Mail selbst konfigurieren Sie mit Report-Abonnements verwalten in der Registerkarte Auslieferungsmethode.

Konfiguration

Um den E-Mail Versand zu konfigurieren:

  1. Klicken Sie im Menü Automatisierung auf den Eintrag E-Mail Server konfigurieren.
  2. Der Dialog zur Konfiguration wird geöffnet. Bereits bestehende Einträge werden eingelesen und angezeigt. Die bestehende Konfiguration wird in einer eigenen Datei gesichert.
    Wurde beim Einlesen ein Fehler entdeckt, wird eine Meldung ins Ausgabefenster geschrieben und der Dialog beendet.
  3. Konfigurieren Sie die benötigten Eigenschaften im Dialog.
    Details siehe Abschnitt Konfigurationsdialog.
  4. Bestätigen Sie die Änderungen mit Klick auf OK.
    Die Änderungen werden in die aktuelle Konfiguration geschrieben. Tritt dabei ein Fehler auf, wird die zuvor gesicherte Konfiguration verwendet.

Hinweis: Bei Aktionen, die länger dauern, wird ein Fortschrittsbalken angezeigt.

Empfehlung: Verbinden Sie nach Abschluss der Konfiguration ZAMS neu zum Analyzer Server.

Konfigurationsdialog

Screenshots - Expanding

Parameter

Beschreibung

SMTP-Server

Angabe des SMTP Servers.

IP-Adresse, UNC-Name oder vollqualifizierter Domänenname.

Ping

Klick auf Schaltfläche führt einen Ping zum eingegebenen Server aus.

Nur verfügbar, wenn ein Server angegeben wurde. Das Ergebnis des Pings wird in einer Nachrichtenbox ausgegeben.

Port

Eingabe des TCP-Ports für SMTP am eingegebenen Server.

Mögliche Werte: 0 bis 65535.

Fehleingaben werden in einem Tooltip angezeigt und nicht übernommen.

Kontoname

Eingabe des Kontonamens.

Wurde für den SMTP-Server kein Kontoname konfiguriert, kann das Feld leer bleiben.

Verwenden Sie die Eigenschaft Absenderadresse, um ein E-Mail-Konto zum Senden von Reports anzugeben.

Timeout (Sekunden)

Gibt an, wie viele Sekunden auf eine gültige Socket-Verbindung mit dem SMTP-Dienst gewartet wird. Danach wird der Vorgang abgebrochen.

Mögliche Werte: Ganzzahl größer als 0.

Default: 30 Sekunden.

Achtung: Wert wird ignoriert, wenn als Sendemethode SMTP Server im Netzwerk gewählt wird.

Fehleingaben werden in einem Tooltip angezeigt und nicht übernommen.

SMTP-Dienst Pickup-Ordner

Eingabe eines lokalen Speicherpfades, aus dem der SMTP-Dienst ausgehende E-Mails abruft.

Es muss sich um einen vollqualifizierten lokalen Ordnerpfad (z. B. D:\rs-emails) handeln.

Durchsuchen...

Öffnet den Dialog zur Auswahl eines Ordners.

Validieren

Klick auf Schaltfläche prüft, ob der eingegebene Pfad existiert.

Nur verfügbar, wenn ein Pfad eingegeben wurde.

Das Ergebnis der Validierung wird in einer Nachrichtenbox ausgegeben.

Verwendung von SSL

Festlegung, ob SSL verwendet werden kann. Auswahl aus Dropdownliste:

  • Verwendung von SSL nicht definiert
  • SSL nicht verwenden
  • SSL verwenden

Sendemethode

Auswahl der Sendemethode für E-Mails aus Dropdownliste:

  • Sendemethode nicht angegeben
  • Lokaler SMTP-Dienst Pickup Ordner
  • SMTP-Server im Netzwerk

Authentifizierung für den SMTP-Server im Netzwerk

Auswahl der Authentifizierungsmethode. Auswahl aus Dropdownliste:

  • Authentifizierung nicht definiert
  • Keine Authentifizierung
  • NTLM-Authentifizierung

Absenderadresse

Eingabe einer Absenderadresse für E-Mails. Erforderlich, wenn Sie einen SMTP-Remoteserver verwenden.

Format: abc@host.xyz

Bei der Adresse sollte es sich um ein gültiges E-Mail-Konto mit der Berechtigung zum Senden von E-Mails handeln.

Bei Fehleingaben wird die Hintergrundfarbe des Eingabefeldes auf rot geändert und ein Tooltip angezeigt.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Zeitpläne verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> Zeitpläne verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit die Bereitstellung von Reports über Zeitpläne automatisiert werden kann, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um Zeitpläne für die Bereitstellung von Reports zu erstellen und zu verwalten:

  1. wählen Sie im Menü Automatisierung den Eintrag Zeitpläne verwalten
  2. der Dialog zur Verwaltung der Zeitpläne wird geöffnet
  3. bereits konfigurierte Zeitpläne werden angezeigt
  4. erstellen Sie einen neuen Zeitplan oder bearbeiten Sie einen existierenden

Screenshots - Expanding

Parameter

Beschreibung

Verfügbare Zeitpläne

Anzeige und Filterung der bereits verfügbaren Zeitpläne.

Filterfeld

Eingabe eines Filters für die Liste Zeitpläne.

Es werden nur jene Zeitpläne in der Liste angezeigt, die dem Filterkriterium entsprechen.

Wildcards:

  • ?: Wildcard für genau 1 Zeichen
  • *: Wildcard für 0 oder mehr Zeichen

Ist im Filterausdruck keine Wildcard enthalten, wird beim Filtern automatisch * am Ende angefügt.
Zum Beispiel:

  • „" (leeres Feld) wird zu *
  • test wird zu test*
  • t?st bleibt t?st

Liste Zeitpläne

Liste aller bereits konfigurierten und verfügbaren Zeitpläne.

Zeitplaneigenschaften

Zeigt die bereits konfigurierten Eigenschaften des in der Liste markierten Zeitplans an.

  • Name des Zeitplans
  • Details zum Zeitplan
  • Startzeitpunkt des Zeitplans
  • Endzeitpunkt des Zeitplans
  • Status des Zeitplans
  • Zeitpunkt der letzten Ausführung des Zeitplans
  • Zeitpunkt der nächsten Ausführung des Zeitplans

Achtung: Die Texte können in unterschiedlichen Sprachen dargestellt werden. Sie stammen teilweise vom ZAMS und teilweise vom Web Service. Diese können in unterschiedlichen Sprachen konfiguriert sein.

Neu

Öffnet den Dialog zum Erstellen eines neuen Zeitplans.

Bearbeiten

Öffnet den Dialog zum Bearbeiten eines Zeitplans.

Löschen

Löscht den ausgewählten Zeitplan aus der Liste und von Analyzer Server.

Wird ein zu löschender Zeitplan bei einem oder mehreren Abonnements verwendet, dann wird für jedes Abonnement eine Warnung ausgegeben. Der Benutzer muss entscheiden, ob mit dem Zeitplan alle betroffenen Abonnements gelöscht werden sollen.

  • Ja: Es werden erst die betroffenen Abonnements und dann der Zeitplan gelöscht.
  • Nein: Weder Abonnements noch Zeitplan werden gelöscht.

Aktualisieren

Aktualisiert Liste Zeitpläne.

Schließen

Schließt den Dialog.

Zeitpläne anlegen und bearbeiten

Um einen neuen Zeitplan anzulegen:

  1. klicken Sie auf die Schaltfläche Neu
  2. der Dialog wird wird mit den Standardwerten für alle Eingabemöglichkeiten geöffnet

Um einen bestehenden Zeitplan zu verändern:

  1. markieren Sie den gewünschten Zeitplan in der Liste
  2. klicken Sie auf Bearbeiten
  3. der Dialog wird mit den Werten für den gewählten Zeitplan geöffnet

Um einen Zeitplan zu löschen:

  1. markieren Sie den gewünschten Zeitplan in der Liste
  2. klicken Sie auf Löschen
  3. der Zeitplan wird gelöscht

Dialog zum Anlegen und Bearbeiten eines Zeitplans

Screenshots - Expanding

Parameter

Beschreibung

Allgemein

Allgemeine Einstellungen für den Zeitplan:

  • Name
  • Wiederholungsmuster

Name

Name des Zeitplans.

Wiederholungsmuster

Wiederholungsmuster für den Zeitplan. Es gibt folgende Muster:

  • Einmalig
  • Minuten und Stunden
  • Tage
  • Wochentage
  • Kalendertage in Monaten
  • Wochentage pro Monat

Die Muster werden im Bereich Wiederholungsmuster konfiguriert.

Start- und Ablaufdatum

Start- und Ende-Zeitpunkte für den Plan.

Startzeit

Startdatum.

Startzeit

Startzeit.

Zeitplan hat Ablaufdatum

Aktiv: Zeitplan hat ein definiertes Ablaufdatum.

Kann nur aktiviert werden, wenn das Muster nicht Einmalig ist.

Ablaufdatum

Ablaufdatum.

Wiederholungsmuster

Konfiguration der Wiederholungen. Details siehe Abschnitt "Wiederholungen konfigurieren".

OK

Übernimmt die gewählte Konfiguration und schließt den Dialog.

Cancel

Schließt den Dialog ohne eine Aktion auszuführen.

Fehler während der Aktion verhindern das Bestätigen des Dialogs mit OK und werden über Nachrichten im Ausgabefenster und Nachrichtenfenster angezeigt.

Wiederholungen konfigurieren

Wiederholungen werden im rechten Abschnitt des Dialogs konfiguriert. Für die Beschreibung der einzelnen Muster wird im Handbuch nur noch der Bereich Wiederholungsmuster des Dialogs abgebildet.

Screenshots - Expanding

attention Achtung

Wird ein bereits konfigurierter Zeitplan erneut zum Bearbeiten aufgeschaltet, kann es vorkommen, dass die Konfiguration nicht mehr dem zuvor eingegeben Muster entspricht. Die Ausführungszeiten des Zeitplans bleiben gleich, nur die Anzeige der Konfiguration ist betroffen.

Hintergrund: Der Web Service untersucht die Konfiguration eines Zeitplans und wandelt sie abhängig von seiner Konfiguration, wenn möglich, in ein einfacheres Muster um.

Zum Beispiel: In Wochentage wurde jeder Tag aktiviert und das Wochen-Intervall auf 1 eingestellt. Der Web Service macht daraus das einfachere Muster Tage mit einem Intervall von 1.

Einmalig

Wird nur einmal ausgeführt. Die Einstellungen für Wiederholungsmuster stehen damit nicht zur Verfügung.

Minuten und Stunden

Screenshots - Expanding

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans in Stunden und Minuten.

Parameter | Beschreibung
Stunden | Angabe der Stunde.
Minuten | Angabe der Minute.

Hinweis: Wird in beiden Eigenschaften 0 eingestellt, führt dies zu einem Fehler.

Tage

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans in Tagen.

Screenshots - Expanding

Parameter | Beschreibung
Tage | Anzahl der Tage zwischen zwei Ausführungen.

Hinweis: Wird 0 eingestellt, führt dies zu einem Fehler.

Wochentage

Definiert den Abstand zwischen zwei Ausführungen in Wochentagen und Ausführungswochen.

Screenshots - Expanding

Parameter | Beschreibung
Zeitraum in Wochen | Abstand zwischen den Ausführungen in Wochen.
Wochentage | Wochentage, an denen der Zeitplan ausgeführt werden soll.

Beispiel: Ein Zeitplan für „jeden zweiten Mittwoch" würde zum Beispiel den Mittwoch als Ausführungstag markiert haben und ein Wochenintervall von 2 aufweisen.

Hinweis: Werden keine Tage markiert oder für Wochen 0 eingestellt, führt dies zu einem Fehler.

Kalendertage pro Monat

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans über Tage und Ausführungsmonate.

Screenshots - Expanding

Parameter | Beschreibung
Tage pro Monat | Aktivierung der aktiven Tage über die Checkboxen. Hinweis: Die möglichen Ausführungsdaten orientieren sich am kürzesten Monat Februar. Daher sind sie auf 28 begrenzt.
Monat | Aktivierung der aktiven Monate.

Hinweis: Ist in einer der Eigenschaften kein Eintrag aktiviert, führt dies zu einem Fehler.

Wochentage pro Monat

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans in aktiven Wochentagen nach Ausführungswoche und Ausführungsmonat

Screenshots - Expanding

Parameter | Beschreibung
Wochentage | Auswahl der aktiven Wochentage.
Monat | Auswahl der Monate, in denen die ausgewählten Tage aktiv sind..
Woche in Monat | Auswahl, in welcher Woche der aktiven Monate, der Zeitplan ausgeführt wird.

Hinweis: Ist in einer der Eigenschaften kein Eintrag aktiviert, führt dies zu einem Fehler.

Einschränkungen

  • Tage pro Monat sind auf 1 - 28 beschränkt (entspricht dem Februar in Nicht-Schaltjahren)
  • das Ereignis "Monatsende" ist nicht verfügbar


Report-Abonnements verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> Report-Abonnements verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voraussetzung: Damit Reports abonniert werden können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um Reports zu abonnieren:

  1. wählen Sie im Menü Automatisierung den Eintrag Abonnements verwalten
  2. der Dialog zur Verwaltung der Abonnements wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Liste Report-Abonnements

Liste der bereits konfigurierten Abonnements mit Detailinformationen:

  • Beschreibung: Beschreibung des Abonnements.
  • Report: Im Abonnement verwendeter Report.
  • Besitzer: Besitzer des Abonnements.
  • Abonnentenzustand: Status des Abonnements.
  • Letzte Ausführung: Zeitpunkt der letzten Ausführung des Abonnements.

Neu

Öffnet den Dialog zum Anlegen eines neuen Abonnements mit den Standardwerten für alle Eingabemöglichkeiten.

Die Tabelle mit den Abonnements wird aktualisiert, nachdem der geöffnete Dialog bestätigt wurde.

Bearbeiten

Öffnet den Dialog zum Bearbeiten des ausgewählten Abonnements mit den für das gewählte Abonnement konfigurierten Werten.
Die Tabelle mit den Abonnements wird aktualisiert, nachdem der geöffnete Dialog wieder geschlossen wurde.

Löschen

Löscht das markierte Abonnement ohne Rückfrage.
Die Tabelle mit den Abonnements wird nach dem Ausführen der Aktion aktualisiert.

Aktualisieren

Aktualisiert die Liste Report-Abonnements.

Schließen

Schließt den Dialog.

attention Achtung

In allen Dialogen dieser Funktion kann es zu Vermischungen verschiedener Sprachen kommen.

Hintergrund: Die Texte werden vom ZAMS, vom Web Service und auch von Microsoft Extension DLLs (für die Zustell-Methoden der Abonnements) erstellt. Diese Quellen unterstützen je nach Installation und Konfiguration unterschiedliche Sprachen.

Abonnements anlegen und bearbeiten

Um eine neues Abonnement anzulegen:

  1. klicken Sie auf die Schaltfläche Neu
  2. der Dialog wird wird mit den Standardwerten für alle Eingabemöglichkeiten geöffnet

Um eine bestehendes Abonnement zu verändern:

  1. markieren Sie das gewünschte Abonnement in der Liste
  2. klicken Sie auf Bearbeiten
  3. der Dialog wird mit den Werten für den gewählten Zeitplan geöffnet

Um eine Abonnement zu löschen:

  1. markieren Sie das gewünschte Abonnement in der Liste
  2. klicken Sie auf Löschen
  3. das Abonnement wird gelöscht

Dialog Abonnement anlegen oder bearbeiten

Screenshots - Expanding

Parameter | Beschreibung
Allgemeine Einstellungen | Konfiguration der allgemeinen Einstellungen für das Abonnement.
Reportparameter | Konfiguration der Parameter für den ausgewählten Report.
Auslieferungsmethode | Konfiguration der Auslieferungsmethode für den Report.
Vorheriges | Wechselt zur vorherigen Registerkarte. In dieser Registerkarte nicht aktiv.
Nächstes | Wechselt zur nächsten Registerkarte.
OK | Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog. Nur verfügbar, wenn kein ungültigen Angaben vorhanden sind. Eingabefelder mit ungültigen Inhalten werden rot hinterlegt.
Abbrechen | Verwirft Änderungen und schließt den Dialog.

Hinweis: Fehler während der Konfiguration verhindern das Bestätigen des Dialogs mit OK und werden im Ausgabefenster angezeigt.

Noch in diesem Kapitel

Allgemeine Einstellungen

Reportparameter

Auslieferungsmethode


Allgemeine Einstellungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> Report-Abonnements verwalten -> Allgemeine Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wählen Sie Report, Auslieferungsmethode und Zeitplan aus. Reportparameter und Auslieferungsmethode konfigurieren Sie in den folgenden Registerkarten.

Screenshots - Expanding

Parameter

Beschreibung

Allgemeine Einstellungen

Allgemeine Einstellungen für das Abonnement.

Report

Auswahl eines Reports für das Abonnement aus Dropdownliste.
Diese Auswahl bestimmt, welche Eigenschaften in der Gruppe Reportparameter angeboten werden.

Auslieferungsmethode

Auswahl einer Methode, mit der der Report zugestellt wird aus Dropdownliste:

  • Report als freigegebene Datei speichern:
    Der Report wird in einem freigegebenen Ordner auf einem Netzlaufwerk gespeichert.
    Diese Option steht immer zur Verfügung. Weitere Optionen hängen von der Konfiguration der Reporting Services ab.
  • Report mit E-Mail versenden:
    Der Report wird mit E-Mail versendet.
    Steht nur bei entsprechender Konfiguration der Reporting Services zur Verfügung.

Diese Auswahl bestimmt, welche Eigenschaften in der Gruppe Auslieferungsmethode angeboten werden.

Zeitplan

Auswahl eines Zeitplans für das Abonnement.

Hinweis: Am Analyzer Server kann der Zeitplan für das Abonnement direkt beim Abonnement erstellt und mit diesem gespeichert werden. Das wird vom ZAMS nicht unterstützt.

Zeitpläne verwalten

Öffnet den Dialog zur Erstellung und Bearbeitung von Zeitplänen.

Wird dieser ausgeführt, wird die Tabelle mit den Zeitplänen in der Liste der Zeitplan aktualisiert.

Vorheriges

Wechselt zur vorherigen Registerkarte.
In dieser Registerkarte nicht aktiv.

Nächstes

Wechselt zur nächsten Registerkarte.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Bei ungültigen Angaben bleibt der Dialog ohne Speicherung geöffnet und die Fehlkonfigurationen werden angezeigt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.


Reportparameter

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> Report-Abonnements verwalten -> Reportparameter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Reportparameter konfiguriert. Die Steuerelemente werden in Gruppen angezeigt, die Gruppierungen werden automatisch von oben nach unten in einer oder mehreren Spalten dargestellt.

Screenshots - Expanding

Parameter

Beschreibung

Anzeige der Steuerelemente

Abhängig von dem in der Registerkarte Allgemeine Einstellungen ausgewählten Report werden die jeweiligen Steuerelemente zur Konfiguration angeboten. Die Labels über den Steuerelementen für die Parameter stammen immer aus dem Report.

Empfehlung: Aktivieren Sie beim Steuerelement Zeitspanne die Checkbox Standardwert verwenden, um die beim Report konfigurierten Werte zu verwenden.

Vorherige

Wechselt zur vorherigen Registerkarte.

Nächste

Wechselt zur nächsten Registerkarte.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Bei ungültigen Angaben bleibt der Dialog ohne Speicherung geöffnet und die Fehlkonfigurationen werden angezeigt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

info Info

Beachten Sie bei Parametern mit Mehrfachauswahl:

  • Wird die Checkbox für Verwendung der Standardwerte des Parameters abgewählt
  • und werden anschließend alle in der Auswahlliste des Parameters aktivierten Werte abgewählt,
  • dann werden für diese Parameter automatisch wieder die Standardwerte gesetzt.

Technischer Hintergrund: Der Report-Server setzt alle Parameter, die über Standardwerte verfügen und ohne Werte übergeben werden, auf die Standardwerte zurück.


Auslieferungsmethode

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Automatisierung -> Report-Abonnements verwalten -> Auslieferungsmethode

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte definieren Sie die Zustellmethode für den Report. Als Standardmethode steht Report als freigegebene Datei speichern immer zur Verfügung. Weitere Methoden hängen von der Konfiguration der Reporting Services ab. In dieser Dokumentation wird neben der Standardmethode auch die Methode Report mit E-Mail versenden vorgestellt. Die Methode wird in der Registerkarte Allgemeine Einstellungen ausgewählt.

Eingaben in dieser Registerkarte werden bei jeder Änderung eines Parameterwertes validiert.

attention Achtung

Die Sprache der Parameter für die Auslieferungsmethode entspricht der Sprache, in der der SQL-Server läuft.

Report als freigegebene Datei speichern

Screenshots - Expanding

Parameter

Beschreibung

Dateiname

Name der Datei, in der der Report gespeichert wird.

Darf nicht leer sein und muss einen gültigen Namen enthalten.
Verboten sind folgende Zeichen: /\?|<>:*"

Pfad

UNC-Pfad des freigegebenen Ordners, in dem die Datei gespeichert wird. Darf nicht leer sein und muss einen gültigen UNC-Dateipfad enthalten. Klick auf Schaltfläche Durchsuchen öffnet Dialog zur Auswahl eines freigegebenen Ordners auf einem Netzlaufwerk.

Achtung: Aus technischen Gründen kann es in dem UNC-Browser-Dialog notwendig sein, Benutzername und Passwort einzugeben. Diese Eingabe bezieht sich auf den Zugriff für freigegebene Laufwerke und ist nicht ident mit den Parameterfeldern für Benutzername und Kennwort.

Renderformat

Auswahl des Datenformats aus Dropdownliste für das Speichern des Reports.

Schreibmodus

Auswahl aus Dropdownliste was bei einer bereits existierenden Datei passieren soll:

  • Keine: Die Datei wird zwar erstellt, aber wieder verworfen. Es wird nichts geschrieben.
  • Automatisch inkrementieren: Informationen werden dazu geschrieben.
  • Überschreiben: Die Datei wird überschrieben.

Dateierweiterung

Konfiguration, ob zur Report-Datei eine Dateiendung angefügt wird:

  • Ja: Die Datei wird mit einer zur Eigenschaft Renderformat passenden Dateiendung ergänzt.
  • Nein: Datei wird ohne Dateiendung gespeichert.

Benutzername

Benutzername für den Zugriff auf den freigegebenen Ordner.

Muss eingegeben werden, damit die Validierung erfolgreich ist. Es wird nur das Vorhandensein der Eingabe geprüft.

Kennwort

Passwort für den Zugriff auf den freigegebenen Ordner. Dieses wird nicht im Klartext dargestellt und wird vom Web Service beim erneuten Aufschalten des Abonnements nicht geliefert.

Muss eingegeben werden, damit die Validierung erfolgreich ist. Es wird nur das Vorhandensein der Eingabe geprüft.

Vorheriges

Wechselt zur vorherigen Registerkarte.

Nächstes

Wechselt zur nächsten Registerkarte.

In dieser Registerkarte nicht aktiv.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Bei ungültigen Angaben bleibt der Dialog ohne Speicherung geöffnet und die Fehlkonfigurationen werden angezeigt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Report mit E-Mail versenden

Damit Reports per E-Mail verschickt werden können, muss der SQL-Server entsprechend konfiguriert sein. Die Konfiguration erfolgt im ZAMS über den Menüpunkt Automatisierung/E-Mail Versand konfiguriere n.

Konfiguration der Versandmethode

Screenshots - Expanding

Parameter

Beschreibung

An

Adresse des Empfängers.

Darf nicht leer sein und muss eine gültige Liste von E-Mail-Adressen enthalten. Vorgaben für Adressen:

  • Erlaubte Zeichen sind: a-z, A-Z, 0-9, !#$%&'*+-/=?^_`{|}~.
  • Syntax: [lokaler Teil]@Domäne Teil]
  • mehrere Adressen werden durch Semikolon (;) getrennt
  • genau ein @ Zeichen in der gesamten Adresse
  • keine zwei Punkte (..) hintereinander
  • Regeln für lokalen Teil und Domäne:
    - darf nicht mit Punkt (.) beginnen
    - darf nicht mit Punkt (.) enden
    - muss mindestens 1 gültiges Zeichen beinhalten
    - darf kein ungültiges Zeichen beinhalten

Cc

Adressen von Kopie-Empfängern.

Darf leer sein. Muss bei Inhalt eine Liste gültiger E-Mail-Adressen enthalten.

Bcc

Adressen von versteckten Kopie-Empfängern.

Darf leer sein. Muss bei Inhalt eine Liste gültiger E-Mail-Adressen enthalten.

Antwort an

Adresse, an die eine Antwort zugestellt wird.

Darf leer sein. Muss bei Inhalt eine Liste gültiger E-Mail-Adressen enthalten.

Bericht einschließen

Auswahl, ob Report mitgesendet wird.

  • Ja: Report wird als Datei an die E-Mail angehängt.
  • Nein: Es wird nur eine E-Mail mit der Nachricht, dass ein Report zur Verfügung steht, verschickt. Der Report selbst wird nicht verschickt.
    Tipp: Es kann auch über die Option Link einschließen ein Link zum Report eingefügt werden.

Renderformat

Auswahl des Datenformats aus Dropdownliste für das Speichern des Reports.

Priorität

Auswahl der Priorität der E-Mail aus Dropdownliste:

  • Hoch
  • Normal
  • Niedrig

Betreff

Betreff der E-Mail. Folgende Textbausteine können automatisiert ersetzt werden:

  • @ReportName: Namen des Reports
  • @ExecutionTime: Datum und die Uhrzeit der Report-Erstellung.

Kommentar

Zusatztext für die E-Mail.

Link einschließen

Auswahl, ob ein Link zum Report in die Nachricht eingeschlossen wird:

Ja: Ein Hyperlink zum Report wird in die E-Mail eingefügt.

Nein: Es wird kein Hyperlink eingefügt.

Vorheriges

Wechselt zur vorherigen Registerkarte.

Nächstes

Wechselt zur nächsten Registerkarte.

In dieser Registerkarte nicht aktiv.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Nur verfügbar, wenn kein ungültigen Angaben vorhanden sind. Eingabefelder mit ungültigen Inhalten werden rot hinterlegt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.


Cache löschen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Aktionen -> Cache löschen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Werden Metadaten geändert oder die Daten der Reportvorlagen aktualisiert, muss der Cache gelöscht werden.

Standardmäßig wird der Cache gelöscht:

  • wenn das ZAMS mit einer anderen Datenbank verbunden ist als die, deren Daten benötigt werden, und die Daten abgerufen werden
  • das ZAMS neu gestartet wird

Zusätzlich kann das Löschen des Caches manuell ausgelöst werden über: Menü Optionen -> Cache löschen.
Diese Aktion emuliert für die Cache-Manager Objekte einen ZAMS-Neustart.

Ablauf

Ablauf beim Aufruf der Aktion Cache löschen:

  1. Es wird sichergestellt, dass nichts auf den Cache zugreift während die Aktion läuft.

    Anweisungen zum Öffnen von Reports werden bis zur Beendigung der Aktion in einer Warteschlange gepuffert.

  2. Offene Reports müssen gespeichert, geschlossen und nach dem Ablauf der Aktion neu gestartet werden. Ungespeicherte Änderungen werden gespeichert.
    Werden noch nicht gespeicherte Reports gefunden, dann werden Benutzer in einem Dialog darauf hingewiesen und abgefragt, ob die Reports gespeichert und geschlossen werden sollen.
    • Wird das Schließen abgelehnt, dann wird die Aktion abgebrochen und der Cache wird nicht gelöscht.
    • Wird das Schließen bestätigt, dann wird der Dialog zum Speichern der Reports geöffnet, um die Reports zu speichern und zu schließen.

    Hinweis: Sollen noch nicht gespeicherte Änderungen an einem Report verworfen werden, dann schließen Sie den Report und verneinen Sie die Abfrage zum Speichern.

  3. Die Caches für Daten der Reportvorlagen und der Metadaten werden entleert.
  4. Die Liste aller gefundenen Benutzer wird geleert und die Konfiguration der Benutzersuche wird zurückgesetzt.
  5. Entsprechende Meldungen werden ins Ausgabefenster geschrieben.
  6. Die zuvor verbotenen Zugriffe werden wieder erlaubt.
  7. Die geschlossenen Reports werden wieder geöffnet.

Hinweis: Diese Aktion steht unabhängig von der Verbindung zum Analyzer Server und unabhängig von einer gültigen Lizenz zur Verfügung.
Diese Aktion ist nicht verfügbar, wenn eine der Aktionen Öffnen, Bereitstellen, Alle bereitstellen, Im Reportbuilder öffnen oder Alle im Reportbuilder öffnen ausgeführt wird.

info Info

Diese Aktion Cache löschen bezieht sich nur auf das ZAMS und ist nicht ident mit der Funktion Cacheaktualisierung im Analyzer Manager.


SQL Server managen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Über den Menüpunkt SQL-Server erreichen Sie die Werkzeuge zum Managen der SQL-Verbindungen und der Datenbanken:

Parameter | Beschreibung
Connector-Funktionen aktualisieren | Erneuert die Connectoren-Funktionen. Ergebnis wird im Ausgabefenster angezeigt.
SCADA SQL-Connector erstellen | Öffnet den Dialog zum Erstellen eines SQL Connectors.
Connector für Fremddatenbanken erstellen | Startet die Konfiguration des Connectors für Fremddatenbanken.
Neue Analyzer-Datenbank | Öffnet den Dialog zum Erstellen einer neuen Analyzer Datenbank.
Datenbanken konvertieren | Startet die Konvertierung von Datenbanken, deren Versionsnummer kleiner als die aktuelle Versionsnummer ist.
Datenbanksicherungen erstellen | Öffnet den Dialog zum Erstellen einer Datenbanksicherung.
Datenbanksicherung rücklesen | Öffnet den Dialog zum Rücklesen einer Datenbanksicherung.
Datenbanksicherungsdatei als neue Datenbank rücklesen | Öffnet den Dialog zum Rücklesen einer Datenbanksicherung als neue Datenbank.
Sicherung der Reporting Services Datenbank rücklesen | Öffnet den Dialog zum Rücklesen der Reporting Services Datenbank.
Automatisierte Datenbanksicherungen verwalten | Öffnet den Dialog zum Verwalten der automatisch erstellten Datenbanksicherungen.
Datenbanksicherungsdateien verwalten | Öffnet den Dialog zum Verwalten der Sicherungsdateien der Datenbanken.
Linked Server verwalten | Öffnet den Dialog zur Verwaltung der Linked Server.
Metadaten-Indizes verwalten | Öffnet den Dialog zur Verwaltung der Metadaten-Indizes.

Noch in diesem Kapitel

Connector-Funktionen aktualisieren

SCADA SQL-Connector erstellen

Connector für Fremddatenbanken erstellen

Neue Analyzer Datenbank

Datenbanken konvertieren

Manuelle Datenbanksicherungen

Datenbanksicherungsdatei als neue Datenbank rücklesen

Sicherung der Reporting Services Datenbank rücklesen

Automatisierte Datenbanksicherungen verwalten

Datenbanksicherungsdateien verwalten

Linked Server verwalten

Metadaten-Indizes verwalten


Connector-Funktionen aktualisieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector-Funktionen aktualisieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Funktion ist verfügbar, wenn eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz besteht.

Mit Auswahl der Aktion Update connector functions aktualisieren Sie die Datenbank-Assembly zrsUserFunctions oder erstellen diese, wenn sie noch nicht vorhanden ist, und aktualisieren die dazugehörigen SQL UDFs in der Datenbank. Die Assembly stellt die Verbindung zwischen der Datenbank und dem Connector Stub her. Dabei werden folgende Tasks ausgeführt:

  1. Alle existierenden UDFs für die Assembly werden verworfen.
  2. Die Assembly wird verworfen, wenn sie bereits existiert.
  3. Die Assembly wird angelegt.
  4. Alle UDFs werden angelegt.
  5. Die Datenbank wird so eingestellt, dass die Funktionen aus der Assembly ausgeführt werden kann.

Fehler und Bestätigungen werden im Ausgabefenster ausgegeben.

Bestehende SCADA SQL-Connectoren bleiben erhalten und werden nicht verworfen.


SCADA SQL-Connector erstellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> SCADA SQL-Connector erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um einen SQL Connector erstellen zu können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um einen SQL Connector zu erstellen:

  1. wählen Sie im Menü SQL-server den Befehl SCADA SQL-Connector erstellen
  2. der Dialog zum Erstellen eines SQL Connectors mit den beiden Registerkarten Databases und Projects wird geöffnet

info Info

Um einen SQL Connector erstellen zu können, muss in der aktuell verbundenen Datenbank mindestens ein Projekt vorhanden sein.

Datenbanken

Auswahl der Datenbanken und Linked Server, in denen nach Tabellen gesucht werden soll.

Screenshots - Expanding

Parameter

Beschreibung

Aktuell verbundene SQL-Server-Instanz

Eigenschaften der SQL Serverinstanz, zu der ZAMS gerade verbunden ist.

Aktuell verbundene Datenbank "REPORTING2"

Aktiv: In der gerade verbundenen Datenbank soll nach Tabellen gesucht werden.

Andere Datenbanken auf der aktuell verbundenen SQL-Server-Instanz

Auswahl von Datenbanken auf der momentan verbundenen SQL Server Instanz, in denen nach Tabellen gesucht werden soll. Auswahl erfolgt über Aktivierung von Checkboxen.

Linked Server

Linked Server auf der SQL Server Instanz, zu der das ZAMS gerade verbunden ist.

SQL

Enthält ausschließlich Linked SQL Server (Provider „SQLNCLI"). Auswahl erfolgt über Aktivierung von Checkboxen.

Oracle

Enthält ausschließlich Linked Oracle Server (Provider „OraOLEDB.Oracle"). Auswahl erfolgt über Aktivierung von Checkboxen.

ODBC

Enthält ausschließlich Linked ODBC Server (Provider „MSDASQL"). Auswahl erfolgt über Aktivierung von Checkboxen.

OK

Schließt den Dialog, speichert die Konfiguration beider Registerkarten und öffnet den Dialog zur Konfiguration des SQL Connectors.

Dieser wird über drei Registerkarten parametriert:

  • AML and CEL
  • Archive tables
  • Shift tables

Details siehe entsprechende Abschnitte.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Hinweis: Standardmäßig sind alle Datenquellen aktiviert.

Projekte

In dieser Registerkarte legen Sie fest, für welche Daten welcher Projekte in den im vorigen Tab festgelegten Datenquellen nach Tabellen gesucht werden soll.

Screenshots - Expanding

Parameter

Beschreibung

Projektauswahl

Auswahl eines Projekts.

Wurde ein Projekt gewählt, wird die Gruppe Project configuration mit der Projektkonfiguration befüllt.

Projektkonfiguration

Konfiguration des gewählten Projekts.

Suche neue Daten für dieses Projekt

Aktiv: In diesem Projekt wird nach Tabellen gesucht. Weitere Optionen werden eingeblendet.

Inaktiv: In diesemProjekt wird nicht nach Tabellen gesucht.

Suche nach AML-Datentabellen

Aktiv: AML-Tabellen (Tabellenname endet mit _ALARM) werden gesucht.

Suche nach CEL-Datentabellen

Aktiv: CEL-Tabellen (Tabellenname endet mit _CEL) werden gesucht.

Suche nach Schichttabellen

Aktiv: Schichttabellen werden gesucht. Die zu suchenden Schichttabellen werden aus der Metadatentabelle EQUIPMENTSHIFT entnommen.

Suche Datentabellen für diese Archive

Auswahl, für welche Projekte nach Tabellen gesucht wird. Dabei werden 3 Tabellen verwendet:

  • [Projektname]_[Archivkurzbezeichnung] -> Archivdaten
  • [Projektname]_VARIABLES -> Variablen im Archiv
  • [Projektname]_[Archivkurzbezeichnung]_LOT -> Chargendaten. Nach dieser Tabelle wird nur gesucht, wenn das Archiv in den Metadaten als Chargenarchiv definiert ist (Spalte LOTARCHIV in der Metadatentabelle ARCHIVE).

OK

Schließt den Dialog, speichert die Konfiguration beider Registerkarten und öffnet den Dialog zur Konfiguration des SQL Connectors.

Dieser wird über drei Registerkarten parametriert:

  • AML and CEL
  • Archive tables
  • Shift tables

Details siehe entsprechende Abschnitte.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Noch in diesem Kapitel

Konfiguration des SQL Connectors

Konfiguration der Archiv-Tabellen

Konfiguration der Schichttabellen

Ablauf

Konfiguration der Provider


Konfiguration des SQL Connectors

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> SCADA SQL-Connector erstellen -> Konfiguration des SQL Connectors

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Klick auf die Schaltfläche OK im Dialog zum Erstellen eines SQL Connectors öffnet den Dialog zur Konfiguration des SQL Connectors. Vor dem Öffnen des Dialogs wird für jedes Projekt eine Standardkonfiguration erstellt. Details dazu siehe Abschnitt Standardkonfiguration Projekt im Kapitel Ablauf.

Der Dialog besteht aus drei Registerkarten:

  • AML and CEL
  • Archive tables
  • Shift tables

Dialog AML-Tabelle und CEL-Tabelle

Screenshots - Expanding

Parameter

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste setzt Vorgaben für zu konfigurierende Eigenschaften. Auswahl gilt für alle drei Registerkarten.

AML-Tabellen auswahl

Konfiguration der zu verwendenden AML-Tabelle.

Auswahl der gewünschten AML-Tabelle aus Dropdownliste. Diese enthält alle gefundenen AML-Tabellen und einen Eintrag für nicht erzeugen.

Unterhalb der Dropdownliste wird die Beschreibung der gewählten Tabelle angezeigt.

CEL-Tabellenauswahl

Konfiguration der zu verwendenden CEL-Tabelle.

Auswahl der gewünschten CEL-Tabelle aus Dropdownliste. Diese enthält alle gefundenen CEL-Tabellen und einen Eintrag für nicht erzeugen.

Wurden keine Tabellen gefunden, enthält die Dropdownliste einen entsprechenden Eintrag und wird deaktiviert.

Standardkonfiguration wiederherstellen

Setzt die AML- und CEL-Tabelle für das gerade angezeigte Projekt auf die Standardkonfiguration zurück.

OK

Speichert Einstellungen aller drei Registerkarten, schließt den Dialog und erstellt den SQL Connector.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Dialog Archiv-Tabellen

Screenshots - Expanding

Parameter

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste setzt Vorgaben für zu konfigurierende Eigenschaften. Auswahl gilt für alle drei Registerkarten.

Liste Tabellen

Zeigt alle bei der Konfiguration der Tabellensuche aktiv geschalteten Archive für das gewählte Projekt und die dazu gefundenen Tabellen an. Angezeigt werden:

  • Archivname
  • Archivdatentabelle
  • Archivvariablentabelle
  • Chargentabelle

Wurden für ein Archiv keine Archivdatentabellen gefunden oder soll dieses nicht in den SQL Connector eingebunden werden, bleiben die Spalten für Archivvariablentabelle und Chargentabelle leer.

Tabellenkonfiguration

Öffnet den Dialog zur Konfiguration der Archivtabellen für das gewählte Projekt. Nachdem Schließen dieses Dialogs, wird die Tabelle aktualisiert.

Standardkonfiguration wiederherstellen

Setzt die Archiv-Tabellen für alle Archive des gerade angezeigte Projekts auf die Standardkonfiguration zurück.

OK

Speichert Einstellungen aller drei Registerkarten, schließt den Dialog und erstellt sen SQL Connector.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Dialog Schicht-Tabellen

Screenshots - Expanding

Parameter

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste setzt Vorgaben für zu konfigurierende Eigenschaften. Auswahl gilt für alle drei Registerkarten.

Liste Schichten

Zeigt die in der Konfiguration gewählten Schichttabellen für alle Anlagengruppen. Angezeigt werden:

  • Anlagengruppennamen
  • Schichttabelle

Wurden für eine Anlagengruppe keine Schichttabellen gefunden oder wurde diese so konfiguriert, dass sie nicht in den SQL Connector aufgenommen wird, dann wird das in der Tabelle entsprechend angezeigt.

Tabellenkonfiguration

Öffnet den Dialog zur Konfiguration der Schichttabellen für das gewählte Projekt. Nach dem Schließen dieses Dialogs, wird die Tabelle aktualisiert.

Standardkonfiguration wiederherstellen

Setzt die Schicht-Tabellen für alle Anlagenmodelle des gerade angezeigte Projekts auf die Standardkonfiguration zurück.

OK

Speichert Einstellungen aller drei Registerkarten, schließt den Dialog und erstellt den SQL Connector.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.


Konfiguration der Archiv-Tabellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> SCADA SQL-Connector erstellen -> Konfiguration der Archiv-Tabellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Parameter

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste. Das in Konfiguration des SQL Connectors gewählte Projekt ist bereits ausgewählt.

Übersicht

Zeigt Konfiguration aller Archive im Projekt. Angezeigt werden:

  • Archivname
  • Datentabelle
  • Variablentabelle
  • Chargentabelle

Sind für ein Archiv keine Datentabellen vorhanden, bleiben die Spalten für die Variablentabelle und die Chargentabelle für dieses Archiv leer.

Konfiguration

Konfiguration der Tabellen.

  • Liste auf der linken Seite:
    Auswahl eines zu konfigurierenden Archivs.
  • Registerkarten auf der rechten Seite:
    Drei Registerkarten zur Konfiguration der Datentabelle, der Variablentabelle und der Chargentabelle für das in der Liste gewählte Archiv.

Konfiguration der Registerkarten:

Jede Registerkarte besteht aus einer Dropdownliste und einem Textfeld.

Sind keine Tabellen vorhanden, wird das in der Dropdownliste vermerkt und diese ist inaktiv.

Sind Tabellen vorhanden, enthält die Dropdownliste alle verfügbaren Tabellen und einem Eintrag für das Ausschließen vom SQL Connector (do not build).

Wird in der Dropdownliste eine Tabelle gewählt, dann zeigt das Textfeld die Beschreibung der Tabelle an.

Wird die Auswahl in der Dropdownliste geändert, hat das je nach Registerkarte folgende Auswirkung:

  • Archive data table:
    Wird der Eintrag für Ausschließen vom SQL Connector gewählt, dann wird das auch in den Dropdownlisten für die Variablentabelle und die Chargentabelle geändert.
    Wird eine Tabelle gewählt, dann werden für die Variablentabelle und die Chargentabelle Tabellen in der gleichen Datenbank gesetzt, sofern diese vorhanden sind.
    Danach werden die Übersichtstabelle und die Warnungsliste aktualisiert.
  • Archive variable table:
    Die Übersichtstabelle und die Warnungsliste werden aktualisiert.
  • Lot table (Chargentabelle):
    Die Übersichtstabelle und die Warnungsliste werden aktualisiert.

Warnungen

Liste mit Warnungen, die die Konfiguration betreffen. Mögliche Ursachen:

  • Eine Datentabelle ist gesetzt und es ist keine Variablentabelle gesetzt.
  • Die Variablentabelle liegt in einer anderen Datenbank als die Datentabelle.
  • Eine Datentabelle ist gesetzt und es handelt sich um ein Chargenarchiv, eine Chargentabelle ist gesetzt und die Chargentabelle befindet sich in einer anderen Datenbank als die Datentabelle.
  • Eine Variablentabelle ist gesetzt, obwohl keine Datentabelle gesetzt ist.
  • Eine Chargentabelle ist gesetzt, obwohl keine Datentabelle gesetzt ist.

OK

Prüft, ob die Warnungsliste leer ist.

  • Leer: Der Dialog wird geschlossen und die Änderungen werden gespeichert.
  • Nicht leer: Benutzerabfrage, ob die Konfiguration trotz bestehender Warnungen gespeichert werden soll:
    Nein: Der Dialog bleibt offen und die Änderungen an der Konfiguration werden noch nicht gespeichert.
    Ja: Der Dialog wird geschlossen und die Änderungen an der Konfiguration werden gespeichert.

Abbrechen

Schließt den Dialog und verwirft die Änderungen an der Konfiguration.


Konfiguration der Schichttabellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> SCADA SQL-Connector erstellen -> Konfiguration der Schichttabellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Parameter

Beschreibung

Project selection

Auswahl des Projekts aus Dropdownliste. Das in Konfiguration des SQL Connectors gewählte Projekt ist bereits ausgewählt.

Overview

Zeigt die Konfiguration aller Anlagenmodelle und aller Anlagengruppen an, für die in den Metadaten für dieses Projekt eine Schichttabelle definiert ist. Angezeigt werden:

  • Anlagenmodellname
  • Schichttabelle
  • Konfiguration Vererbung:
    Enthält bei Anlagenmodellen und Anlagengruppen mit aktiver Vererbung der Schichttabelle den Namen des übergeordneten Elements..
    Der Aufbau der Vererbungshierarchie wird in der Achtung-Box unter dieser Tabelle erklärt.

Werden für ein Anlagenmodell keine Tabellen gefunden oder ist dieses vom SQL Connector ausgeschlossen, wird das in der entsprechenden Zeile in der Spalte Shift table vermerkt.

Configuration

Besteht aus:

  • Liste mit Anlagenmodellen:
    Komplette Vererbungshierarchie der Anlagenmodelle für das eingestellte Projekt
  • Checkbox Inherit configuration from parent equipment model
  • Dropdownliste
  • Textfeld

Liste Anlagenmodelle

Auswahl eines Anlagenmodells durch Klick auf gewünschtes Modell.

Inherit configuration from parent equipment model

Aktiv: Konfiguration wird vom übergeordneten Element übernommen.

Nur dann aktivierbar, wenn es sich nicht um ein Wurzelelement in der Vererbungshierarchie der Anlagenmodelle für das gewählte Projekt handelt.

Dropdownliste Schichttabelle

Konfiguration der Schichttabelle für das selektierte Anlagenmodell.

  • Sind für das Anlagenmodell keine Schichttabellen vorhanden, so wird das in der Dropdownliste angezeigt und die Liste wird inaktiv gesetzt.
  • Wird die Schichttabelle von einem übergeordneten Eintrag geerbt, dann wird in die Dropdownliste die geerbte Schichttabelle eingetragen und die Liste wird inaktiv gesetzt.
  • In allen anderen Fällen ist die Schichttabelle konfigurierbar und die Dropdownliste zeigt alle für das gewählte Anlagenmodell verfügbaren Schichttabellen sowie einem Eintrag zum Ausschließen des Anlagenmodells aus dem SQL Connector an.
    Wird in der Dropdownliste eine Änderung vorgenommen, so wird diese an alle von dem gewählten Anlagenmodell erbenden Anlagenmodelle weitergegeben.

Textfeld

Enthält die Beschreibung der in der Dropdownliste gewählten Schichttabelle.

OK

Speichert alle Änderungen an der Konfiguration und schließt den Dialog.

Cancel

Verwirft alle Änderungen an der Konfiguration und schließt den Dialog.

Beim Öffnen des Dialogs wird die Vererbungshierarchie der Anlagenmodelle für jedes Projekt aufgebaut und es wird entschieden, welche Vererbungen aktiv sind.

attention Achtung

Diese Hierarchie muss nicht mit der Hierarchie im Anlagenmodell im zenon Editor übereinstimmen, da hier auch die in den Metadaten eingetragenen Schichttabellen berücksichtigt werden. Folgende Entscheidungsrichtlinien werden dabei angewandt:

  • Ein Anlagenmodell X kann die Schichttabellenkonfiguration nur dann von einem anderen Anlagenmodell Y erben, wenn das Anlagenmodell X in der zenon Anlagenmodellierung ein direktes Child vom Anlagenmodell Y ist und die Sammlung der verfügbaren Schichttabellen für beide Anlagenmodelle identisch ist.
  • Kann ein Element von keinem anderen erben, wird es zu einem Wurzelelement für die Liste Anlagenmodelle.
  • Eine mögliche Vererbung ist dann aktiv, wenn ein Element und sein übergeordnetes Element für die Verwendung der gleichen Schichttabelle konfiguriert sind.


Ablauf

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> SCADA SQL-Connector erstellen -> Ablauf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Konfiguration eines SQL Connectors folgt folgendem Ablauf:

  1. Die Datenbank, zu der das ZAMS gerade verbunden ist, wird untersucht, ob alle UDFs der Assembly zrsUSerFunctions und alle UDFs der offenen Datenschnittstelle vorhanden sind. Ist das nicht der Fall, wird der Benutzer gefragt, ob diese erzeugt werden sollen.
    • Nein: Bricht Erstellung ab.
    • Ja: Assembly und die UDFs werden erzeugt.
  2. Die Metadaten der Datenbank werden ausgewertet. Dadurch wird festgestellt, welche Projekte, welche Archive und welche Anlagenmodelle zur Verfügung stehen.
  3. In der SQL Server Instanz wird nach Datenquellen gesucht. Das können folgende Objekte sein:
    • Analyzer-Datenbank
    • andere Datenbanken auf der Analyzer Instanz
    • Linked SQL Server
    • Linked Oracle Server
    • Linked ODBC Server.
  4. Die gefundenen Datenquellen und Projekte werden dem Benutzer in einem Dialog präsentiert.

    In diesem Dialog hat der Benutzer die Möglichkeit, festzulegen für welche Projekte Tabellen für welche Daten aus welchen Datenquellen gesucht werden sollen. Standardmäßig sind alle verfügbaren Objekte aktiviert, um so viele Daten wie möglich über den SQL Connector erreichbar zu machen.

  5. Die Datenquellen werden auf Tabellen für die gewählten Daten für die gewählten Projekte untersucht. Die gefundenen Datentabellen werden dabei gleich den passenden Projekten zugeordnet.
  6. Die gefundenen Datentabellen für jedes Projekt werden in einem Dialog angezeigt. Hier kann der Benutzer die zu verwendenden Datentabellen für jedes Projekt konfigurieren.
  7. Der SQL Connector wird anhand der Konfiguration erstellt.

Standardkonfiguration Projekt

Beim Erstellen der Standardkonfiguration werden für jedes Projekt in vier Schritten ermittelt:

  1. beste AML-Tabelle
  2. beste CEL-Tabelle
  3. beste Tabellen für jedes Archiv
  4. beste Schichttabellen für jedes Anlagenmodell

1. Beste AML-Tabelle

Die Sammlung der gefundenen Tabellen für ein Projekt enthält eine Liste von AML-Tabellen. Basierend auf dieser Liste passiert folgendes:

  1. Wenn keine Tabellen in der Liste sind, wird für dieses Projekt keine AML-Tabelle in die Standarkonfiguration gesetzt.
  2. Wenn Tabellen da sind, wird eine Rangordnung nach dem Grundsatz des kürzesten Wegs erstellt:
    1. Tabelle liegt in der gerade verbundenen Datenbank.
      Tabellenname: [Schema].[Tabelle]
    2. Tabelle liegt in einer Datenbank auf der gerade verbundenen SQL Server Instanz.
      Tabellenname: [Datenbank].[Schema].[Tabelle]
    3. Tabelle liegt in einer Datenbank auf einem Linked SQL Server: anderer Datenbankserver, aber gleiches Produkt.
      Tabellenname: [Linked Server].[Datenbank].[Schema].[Tabelle]
    4. Tabelle liegt in einer Datenbank auf einem Linked Oracle Server: anderer Datenbankserver, anderes Produkt, 1 Provider dazwischen.
      Tabellenname: [Linked Server]..[Schema].[Tabelle]
    5. Tabelle liegt in einer Datenbank auf einem Linked ODBC Server: anderer Datenbankserver, anderes Produkt, 1 oder mehr Provider dazwischen.
      Tabellenname: [Linked Server]...[Tabelle]
  3. Sollte es in einer Hierarchieebene mehrere Tabellen geben, so wird die zuerst gefundene gesetzt.

Achtung: Da das von zenon gesetzte Tabellennamensuffix _ALARM keine Rückschlüsse auf das Projekt erlaubt, werden alle Projekte mit der gleichen AML-Tabelle als Standardkonfiguration versehen. Gibt es mehrere unterschiedliche AML-Tabellen, muss Benutzer eingreifen.

2. Beste CEL-Tabelle

Ablauf entspricht der Suche nach der besten AML Tabelle.

3. Beste Tabellen für jedes Archiv

Die Sammlung der gefundenen Tabellen für ein Projekt enthält für jedes Archiv eine Liste mit gefundenen:

  • Datentabellen
  • Variablentabellen
  • Chargentabellen

Für jedes Archiv wird von den Datentabellen ausgegangen. Es wird die in der Hierarchie beste Datentabelle (analog zur Vorgangsweise bei AML) gesucht und validiert:

  • Gibt es in der gleichen Datenbank eine Variablentabelle und - wenn es ein Chargenarchiv ist - eine Chargentabelle zu der Datentabelle, dann wurde eine passende Standardkonfiguration für alle notwendigen Tabellen dieses Archivs gefunden.
  • Ist eine der beiden oberen Bedingungen verletzt, wird die Datentabelle nicht als Standardkonfiguration gesetzt und die Prüfung mit der nächstbesten Datentabelle durchgeführt.

Hat ein Archiv keine Datentabellen oder erfüllt keine Datentabelle die Bedingungen, werden keine Tabellen für dieses Archiv in die Standardkonfiguration eingetragen.

4. Beste Schichttabellen für jedes Anlagenmodell

Die Sammlung der gefundenen Tabellen für ein Projekt enthält für jedes Anlagenmodell, das in den Metadaten einen Schichttabellennamen für dieses Projekt eingetragen hat, eine Liste mit gefundenen Schichttabellen. Für jedes Anlagenmodell, das eine Schichtaufzeichnung hat, wird die beste gefundene Schichttabelle nach der Hierarchie (analog L-Tabellen) ausgewählt und in die Standardkonfiguration eingetragen. Wurden für ein Anlagenmodell keine Schichttabellen gefunden, so wird keine Schichttabelle für dieses Anlagenmodell in die Standardkonfiguration eingetragen.


Konfiguration der Provider

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> SCADA SQL-Connector erstellen -> Konfiguration der Provider

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ein Provider ist ein Treiber für den SQL Server, der ihm den Zugriff auf andere Datenbanksysteme erlaubt. Analog zu den Treibern in einem HMI/SCADA-System wie zenon müssen die Treiber konfiguriert werden, damit die Kommunikation funktioniert. Die Linked Server folgender Treiber können vom SQL Connector angesprochen werden:

  • SQLNCLI für Linked SQL Server
  • OraOLEDB.Oracle für Linked Oracle Server
  • MSDASQL für Linked ODBC Server

Die Provider finden Sie im SQL Server Management Studio im Object Explorer im Pfad:
[Verbundene Instanz] -> Server Objects -> Linked Servers -> Providers

Einstellungen, die in den Eigenschaften der Provider gemacht werden, gelten nur für die Instanz, unter der der Provider im Object Explorer eingetragen ist.

„SQLNCLI" für Linked SQL Server

Dieser Provider kann auf den Standardeinstellungen belassen werden.

Ansprache der Tabellen: [Linked Server Name].[Datenbankname].[Schemaname].[Tabellenname]

„OraOLEDB.Oracle" für Linked Oracle Server

In den Eigenschaften dieses Providers müssen die CheckBoxen wie im folgenden Screenshot dargestellt gesetzt sein:

Screenshots - Expanding

Ansprache der Tabellen: [Linked Server Name]..[Schemaname].[Tabellenname]

Hinweis: Um einen Oracle Provider konfigurieren zu können, muss die Oracle Database Client Software bereits installiert sein.
Neben dem Provider muss auch ein Eintrag für den Datenbankserver in der Konfiguration des Oracle Client existieren. Wie dieser konfiguriert wird, hängt von der verwendeten Version des Oracle Client ab. Informationen dazu finden Sie in der Dokumentation der verwendeten Oracle Client Version.

„MSDASQL" für Linked ODBC Server

In den Eigenschaften dieses Providers müssen die CheckBoxen wie im folgenden Screenshot dargestellt gesetzt sein:

Screenshots - Expanding

Ansprache der Tabellen: [Linked Server Name]...[Tabellenname]

Wird eine dieser Einstellungen geändert, müssen sämtliche Linked Server, die diesen Provider verwenden, neu erstellt werden, damit die Änderungen übernommen werden.

Hinweis: Die Datenquelle (DSN oder ODBC Connection String) muss so konfiguriert sein, dass auf dem Zieldatenbanksystem nur eine Datenbank verwendet wird. Wie ein Datenbankclient für ODBC als System-DSN konfiguriert werden kann, lesen Sie in der Dokumentation des verwendeten Datenbankclients.


Connector für Fremddatenbanken erstellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im ZAMS können Connectoren für Fremddatenbanken konfiguriert werden. Dazu werden Tabellen aus Fremddatenbanken als Archive importiert und in Reports als Archive, analog zu zenon Archiven und emulierten Archiven, eingebunden.

Das ZAMS passt bei der Konfiguration die Metadaten und Userdefined Functions (UDFs) in der Datenbank an. In der Datenbank werden nur die für die UDF-Erstellung notwendigen Metadaten gespeichert. Es werden keinerlei Nutzdaten in der Analyzer Datenbank abgelegt. Die Nutzdaten werden bei jeder Lese-Anforderung für ein Importarchiv direkt von der Quelltabelle gelesen.

Um einen Connector für Fremddatenbanken erstellen zu können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Connector erstellen

Um einen Connector für Fremddatenbanken zu erstellen:

  1. Wählen Sie im Menü SQL-server den Befehl Connector für Fremddatenbanken.
  2. Bestätigen Sie die Wahl mit Klick auf OK. Der Dialog zur Auswahl verfügbarer Datenbanken wird geöffnet.
  3. Wählen Sie die gewünschten Datenbanken.
  4. Der Dialog zur Konfiguration der Archive für den Connector für Fremddatenbanken wird geöffnet.
  5. Konfigurieren Sie die Archive mit dem Wizard oder manuell.
  6. Die Archive werden im Dialog Archive für den Connector für Fremddatenbanken angezeigt und können noch bearbeitet werden.
  7. Bestätigen Sie den Dialog mit Klick auf OK. Die Archive werden erstellt und können in Reports verwendet werden.

info Info

Das ZAMS kann nach importierbaren Tabellen suchen in:

  • Datenbanken auf der aktuell verbundenen SQL Server Instanz.
  • Datenbanken auf Linked SQL Server Instanzen.
  • Per ODBC verlinkten Datenbanken. Diese unterliegen Einschränkungen.
    Hinweis: Die Konfiguration des ODBC Treibers für SQL Server wird im Kapitel Konfiguration der Provider beschrieben.

Die Metadaten für Importarchive werden in neuen Metadatentabellen abgelegt. Achtung: Bei Linked SQL Servern wird lesender Zugriff auf die Datenbank „master" benötigt, um die Datenbanken auf dem Linked SQL Server aufzulisten. Bei allen Datenbanken auf SQL Server Instanzen wird lesender Zugriff auf die System-Views benötigt, um die Spalten und deren Datentypen erkennen zu können.

Einschränkungen für Daten aus ODBC-Quellen

Bei Daten, die via ODBC eingebunden werden, gelten folgende Einschränkungen:

  • Der Datentyp der Variablen wird immer durch den Datentyp der Wertspalte festgelegt. Das betrifft Wertspalte der Tabelle bei Variablenidentifikationsspalte und Wertspalte und Wertspalte der Variablen bei Eine Wertspalte für jede Variable. Diese Sind im Dialog nicht auswählbar.
  • Ein Fehler wird gemeldet, wenn folgende Bedingungen zutreffen:
    • Daten für ein Archiv, dessen Quelltabelle via ODBC angebunden ist werden abgefragt.
    • Die Tabelle ist vom Typ Variablenidentifikationsspalte und Wertspalte.
    • Die Variablen im Archiv haben unterschiedliche Datentypen.
  • Bei numerischen Werten ist der Wertebereich eingeschränkt:
    • Alle Werte, die größer als 1010 sind, werden als 1010 verarbeitet.
    • Alle Werte, die im Bereich -(10-10) bis 10-10 sind, werden als 0 verarbeitet.
    • Alle Werte, die kleiner als -(1010) sind, werden als -(1010) verarbeitet.

Noch in diesem Kapitel

Auswahl verfügbarer Datenbanken

Neues Archiv mit Wizard

Archiv manuell erstellen oder bearbeiten

Ablauf


Auswahl verfügbarer Datenbanken

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Auswahl verfügbarer Datenbanken

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Dialog zur Auswahl verfügbarer Datenbanken werden die Datenbanken ausgewählt, die nach importierbaren Tabellen durchsucht werden sollen. Diese können dann im Dialog Archive für den Connector für Fremddatenbanken konfiguriert werden.

Auswahl verfügbarer Datenbanken

Screenshots - Expanding

Parameter

Beschreibung

Datenbanken auf der derzeit verbundenen SQL Server-Instanz

Anzeige der Datenbanken der aktuell verbundenen SQL Server-Instanz. Mehrfachauswahl ist möglich. Ausgewählte Datenbanken werden über Klick auf die Schaltfläche Hinzufügen zur Liste Inkludierte Datenbanken hinzugefügt.

Hinzufügen

Fügt alle in der Liste ausgewählten Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Alle hinzufügen

Fügt alle in der Listevorhandenen Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Datenbanken auf Linked Servern

Auswahl eines Linked Server aus Dropdownliste und Anzeige seiner Datenbanken in der Liste. Mehrfachauswahl ist möglich.

Ausgewählte Datenbanken werden über Klick auf die Schaltfläche Hinzufügen zur Liste Inkludierte Datenbanken hinzugefügt

Ist der Linked Server vom Typ ODBC, kann keine Datenbank gewählt werden. Stattdessen wird ein Datenbank-Erkennungstext in die Liste eingefügt. Dieser stellt die Datenbank für diesen Linked Server dar.

Falls es bei der Verbindung zu Linked ODBC Servern zu Problemen kommt:

  • Prüfen Sie, ob der Linked Server auf die korrekte System-DSN verweist und ob die richtigen Anmeldedaten eingegeben wurden. Prüfen Sie auch den Inhalt der System-DSN prüfen.
  • Prüfen Sie, ob der ODBC Treiber für SQL Server (Name: MSDASQL) korrekt eingestellt ist. Einstellungen siehe Kapitel Konfiguration der Provider.

Hinzufügen

Fügt alle in der Liste ausgewählten Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Alle hinzufügen

Fügt alle in der Listevorhandenen Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Inkludierte Datenbanken

Anzeige aller hinzugefügten Datenbanken. Diese werden bei Klick auf OK nach importierbaren Tabellen durchsucht. Mehrfachauswahl ist möglich.

Über die Schaltfläche Entfernen können Datenbanken aus der Liste entfernt werden.

Datenbanken, die von Linked Servern kommen, werden in der Syntax [Linked Server Name] [Datenbankname] angezeigt.

Entfernen

Entfernt alle ausgewählten Datenbanken aus der Liste.

Alle entfernen

Entfernt alle vorhandenen Datenbanken aus der Liste.

Obligatorisch zu inkludierende Datenbanken

Anzeige aller Datenbanken, die nach importierbaren Tabellen durchsucht werden müssen, weil ein existierendes Importarchiv auf sie verweist. Die Liste wird nur angezeigt und kann nicht bearbeitet werden.

Datenbanken, die von Linked Servern kommen, werden in der Syntax [Linked Server Name] [Datenbankname] angezeigt.

OK

Übernimmt alle Einstellungen, schließt den Dialog, durchsucht alle ausgewählten Datenbanken nach importierbaren Tabellen und öffnet den Dialog Archive für den Connector für Fremddatenbanken.

Sind die Listen Inkludierte Datenbanken und Obligatorisch zu inkludierende Datenbanken leer, wird eine Fehlermeldung angezeigt.

Abbrechen

Verwirft alle Konfigurationen und schließt den Dialog.

Dialog Archive für den Connector für Fremddatenbanken

Konfiguration der Archive für die importierten Datenbanken. Erstellen Sie neue Archive mit dem Wizard oder manuell und bearbeiten Sie existierende Archive.

Im Dialog werden folgende Symbole verwendet:

  • Wizard: General Analyzer Schema Graphics Template
  • Neu: General Analyzer Schema Graphics Template
  • Bearbeiten: General Analyzer Schema Graphics Template
  • Löschen: General Analyzer Schema Graphics Template

Screenshots - Expanding

Parameter

Beschreibung

Liste Archive

Anzeige der konfigurierten Archive mit folgenden Detailinformationen:

  • Archivname
  • Projektname
  • Zykluszeit
  • Quelldatenbank
  • Tabelle in der Quelldatenbank
  • Anzahl der Variablen

Die Archive werden in der Reihenfolge ihrer Erstellung angezeigt.

Schaltflächen zum Bearbeiten der Liste und der Archive

Zum Bearbeiten stehen folgende Symbole zur Verfügung:

Leiste:

  • Wizard: Öffnet den Wizard zum Erstellen eines Archivs. Nach dem Erstellen eines Archivs wird automatisch der Dialog zum Bearbeiten eines Archivs geöffnet. Passen Sie hier das erstellte Archiv an
  • Neu: Öffnet den Dialog zum Erstellen eines Archivs.

Archive:

  • Bearbeiten: Öffnet den Dialog zum Bearbeiten eines Archivs. Dieser entspricht dem Dialog zum Erstellen eines Archivs. Es können allerdings keine neuen Variablen erstellt werden.
  • Löschen: Löscht das Archiv ohne Sicherheitsabfrage aus der Liste.

OK

Übernimmt alle Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Einstellungen und schließt den Dialog.


Neues Archiv mit Wizard

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Neues Archiv mit Wizard

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Wizard werden Archiv, Datenquelle und Regeln festgelegt und die Variablen dann automatisch erzeugt. Im Anschluss daran können diese individuell angepasst werden.

Screenshots - Expanding

Um ein neues Archiv mit dem Wizard zu erstellen:

  1. Klicken Sie im Dialog Archive für den Connector für Fremddatenbanken auf das Symbol für den Wizard.
  2. Konfigurieren Sie die Registerkarten:
    • Datenquelle
    • Archivmetadaten
    • Variablenerzeugungsregeln
  3. Überprüfen Sie die Konfiguration in der Registerkarte Zusammenfassung und Ausführung.
  4. Klicken Sie auf Variablen erzeugen.
  5. Die konfigurierten Variablen werden erzeugt.
  6. Der Dialog zum Erstellen/Bearbeiten eines Archivs wird geöffnet.
  7. Passen Sie die automatisch erstellte Konfiguration bei Bedarf an.
  8. Schließen Sie den Dialog.
  9. Das Archiv wird in der Liste angezeigt und kann über das Symbol Bearbeiten jederzeit zur weiteren Anpassung geöffnet werden.

Noch in diesem Kapitel

Datenquelle

Archivmetadaten

Variablenerzeugungsregeln

Zusammenfassung und Ausführung


Datenquelle

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Neues Archiv mit Wizard -> Datenquelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Datenquelle:

Screenshots - Expanding

Parameter

Beschreibung

Server

Auswahl des Datenbankservers aus Dropdownliste. Die aktuell verbundene Server-Instanz wird durch den nachgestellten Hinweis (derzeit verbunden) gekennzeichnet.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Datenbank

Auswahl der Datenbank am gewählten Server aus Dropdownliste. Alle Datenbanken des gewählten Servers stehen zur Verfügung.

Nur verfügbar, wenn ein Server gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Tabelle

Auswahl der Quelltabelle aus Dropdownliste. Alle in der gewählten Datenbank vorhandenen Tabellen stehen zur Verfügung.

Nur verfügbar, wenn eine Datenbank gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Tabellentyp

Auswahl des Tabellentyps aus Dropdownliste. Verfügbar sind:

  • Variablenidentifikationsspalte und Wertspalte: flache Liste
  • Eine Wertspalte für jede Variable: pivotiert

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Zeitstempeltyp

Auswahl des Zeitstempeltyps aus Dropdownliste. Verfügbar sind:

  • UTC Zeitstempel-Objekt
  • Zeitstempelobjekt in Lokalzeit des Servers
  • Unixzeit
  • Unixzeit und Millisekunden in zwei Spalten
  • Unixzeit und Millisekunden in einer Spalte

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Zeitstempel

Auswahl des Zeitstempelspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für die aktuelle Zeitstempeltypeinstellung zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Millisekunden

Auswahl der Millisekundenspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Millisekundenspalte zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als Zeitstempeltyp Unixzeit mit Millisekunden gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Variablenerkennungsspalte

Auswahl der Variablenerkennungsspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Variablenidentifikationsspalte zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Wertspalte

Auswahl der Wertspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Wertspalte zulässig ist, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Navigation

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorhergehenden Registerkarte.
In der ersten Registerkarte inaktiv.

Nächste

Wechselt zur nächsten Registerkarte.
In der letzten Registerkarte inaktiv.

Variablen erzeugen

Die Variablenerstellung wird gestartet.

Nur in der letzten Registerkarte aktiv und nur, wenn keine Validierungsfehler festgestellt wurden. Werden Validierungsfehler gefunden, werden diese angezeigt, die Schaltfläche bleibt inaktiv.

Nach der Variablenerstellung wechselt die Schaltfläche zu OK. Damit kann die Erzeugung des Archivs gestartet werden.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog.


Archivmetadaten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Neues Archiv mit Wizard -> Archivmetadaten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Archivmetadaten:

Screenshots - Expanding

Parameter | Beschreibung
Projekt | Projekt, dem das Archiv zugeordnet ist. Auswahl aus Dropdownliste.
Kennung | Kennung des Archivs. Diese muss für alle Archive innerhalb des Projekts eindeutig sein. Bei der Validierung darf das Feld nicht leer sein.
Anzeigename | Anzeigename für das Archiv. Dieser muss für alle Archive innerhalb des Projekts eindeutig sein. Bei der Validierung darf das Feld nicht leer sein.

Navigation

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorhergehenden Registerkarte.
In der ersten Registerkarte inaktiv.

Nächste

Wechselt zur nächsten Registerkarte.
In der letzten Registerkarte inaktiv.

Variablen erzeugen

Die Variablenerstellung wird gestartet.

Nur in der letzten Registerkarte aktiv und nur, wenn keine Validierungsfehler festgestellt wurden. Werden Validierungsfehler gefunden, werden diese angezeigt, die Schaltfläche bleibt inaktiv.

Nach der Variablenerstellung wechselt die Schaltfläche zu OK. Damit kann die Erzeugung des Archivs gestartet werden.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog.


Variablenerzeugungsregeln

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Neues Archiv mit Wizard -> Variablenerzeugungsregeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Regeln für das Erstellen von Variablen:

Screenshots - Expanding

Parameter

Beschreibung

Regeln für das Erzeugen der Identifikation

Konfiguration, wie die Variablenreferenz erzeugt wird. Diese muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen. Auswahl aus Dropdownliste:

  • Variablenerkennungstext
  • Variablenerkennungstext mit Präfix
  • Variablenerkennungstext mit Suffix
  • Variablenerkennungstext mit Präfix und Suffix

Bei der Validierung darf das Feld nicht leer sein.

Identifikationspräfix

Eingabe eines Präfix für die Variablenreferenz.

Nur verfügbar, wenn eine der Referenz-Erzeugungsvarianten mit Präfix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Identifikationssuffix

Eingabe eines Suffix für die Variablenreferenz.

Nur verfügbar, wenn eine der Referenz-Erzeugungsvarianten mit suffix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Regeln für das Erzeugen der Anzeigenamen

Konfiguration, wie der Anzeigename der Variablen generiert wird. Dieser muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen.

Auswahl aus Dropdownliste:

  • Variablenerkennungstext
  • Variablenerkennungstext mit Präfix
  • Variablenerkennungstext mit Suffix
  • Variablenerkennungstext mit Präfix und Suffix

Bei der Validierung darf das Feld nicht leer sein.

Anzeigenamenpräfix

Eingabe eines Präfix für den Anzeigenamen.

Nur verfügbar, wenn eine derANzeigenamen-Erzeugungsvarianten mit Präfix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Anzeigenamensuffix

Eingabe eines Präfix für den Anzeigenamen.

Nur verfügbar, wenn eine der Anzeigenamen-Erzeugungsvarianten mit Präfix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Regel zum Definieren des Datentyps

Konfiguration der Regel zum Setzen des Datentyps. Auswahl aus Dropdownliste:

  • Datentyp immer auf numerisch setzen
  • Datentyp immer auf Text setzen
  • Datentyp basierend auf dem Spaltendatentyp erkennen

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Empfehlung: Wählen Sie für diese Option im Zweifel Datentyp basierend auf dem Spaltendatentyp erkennen. Damit stellen Sie sicher, dass es beim Anlegen oder Ausführen der UDF zu keinem Konvertierungsfehler kommt.

Navigation

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorhergehenden Registerkarte.
In der ersten Registerkarte inaktiv.

Nächste

Wechselt zur nächsten Registerkarte.
In der letzten Registerkarte inaktiv.

Variablen erzeugen

Die Variablenerstellung wird gestartet.

Nur in der letzten Registerkarte aktiv und nur, wenn keine Validierungsfehler festgestellt wurden. Werden Validierungsfehler gefunden, werden diese angezeigt, die Schaltfläche bleibt inaktiv.

Nach der Variablenerstellung wechselt die Schaltfläche zu OK. Damit kann die Erzeugung des Archivs gestartet werden.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog.


Zusammenfassung und Ausführung

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Neues Archiv mit Wizard -> Zusammenfassung und Ausführung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige der Konfiguration und Erstellen des Archivs. Beim Wechsel zu dieser Registerkarte werden die Eingaben in den anderen Registerkarten validiert.

Ist die Konfiguration fehlerfrei, dann:

  • ist die Schaltfläche Variablen erzeugen aktiv
  • können Variablen erzeugt und ein Archiv erstellt werden

Wurden Fehler gefunden, dann:

  • ist die Schaltfläche Variablen erzeugen inaktiv
  • werden Konfigurationsfehler im Fenster angezeigt

Screenshots - Expanding

Konfigurationsfehler gefunden

Screenshots - Expanding

Parameter | Beschreibung
Anzeige Konfiguration | Zeigt das Ergebnis der Validierung an. Gefundene Fehler werden aufgelistet.
Vorherige | Wechselt zur vorhergehenden Registerkarte.
Nächste | Inaktiv.
Variablen erzeugen | Inaktiv solange Konfigurationsfehler vorhanden sind.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Variablen und Archiv erzeugen

Wurde die Konfiguration fehlerfrei durchgeführt, dann können erst die Variablen und dann das Archiv erzeugt werden.

Variablen erzeugen

Screenshots - Expanding

Parameter | Beschreibung
Anzeige Konfiguration | Zeigt das Ergebnis der Validierung an.
Vorherige | Wechselt zur vorhergehenden Registerkarte.
Nächste | Inaktiv.
Variablen erzeugen | Die Variablenerstellung wird gestartet. Nur aktiv, wenn keine Validierungsfehler festgestellt wurden. Nach der Variablenerstellung wechselt die Schaltfläche zu OK.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Ablauf beim Erstellen der Variablen:

  1. Wurde als Tabellentyp Variablenidentifikationsspalte und Wertspalte (flache Liste) gewählt, ist ein Scan der kompletten Tabelle nötig, um alle Erkennungstexte zu erhalten. Dies kann längere Zeit in ANspruch nehmen. Daher erfolgt vor dem Scan eine Abfrage, ob der Scan durchgeführt werden soll. Verneint der Benutzer, wird das Erzeugen der Variablen abgebrochen.
  2. Es werden alle verfügbaren Variablenerkennungstexte geholt. Bei einer flachen Liste (Variablenidentifikationsspalte und Wertspalte) sind das alle unterschiedlichen Inhalte der Variablenerkennungsspalte. Bei einer pivotierten Tabelle (Eine Wertspalte für jede Variable) sind das alle Spaltennamen außer den Zeitstempelspalten. Dabei wird je Variablenerkennungstext der Datentyp basierend auf dem Spaltendatentyp festgelegt. Ist die Regel mit Datentyp immer auf numerisch setzen definiert und ein Spaltendatentyp erlaubt keine Konvertierung auf numerisch, dann wird der Erkennungstext übersprungen.
  3. Wurde kein verwendbarer Erkennungstext gefunden, wird abgebrochen.
  4. Je gefundenem Erkennungstext wird eine Variable gemäß den in der Registerkarte Variablenerzeugungsregeln festgelegten Regeln erzeugt. Dabei wird darauf geachtet, dass die Identifikation und der Anzeigename eindeutig sind.
  5. Ist der Ablauf erfolgreich beendet, ändert sich die Schaltfläche Variablen erzeugen zu OK. Alle Optionen in allen Registerkarten werden deaktiviert und können nicht mehr modifiziert werden.
  6. Jeder Fehler führt zu einem Abbruch des Ablaufs.

Archiv erzeugen

Nach dem Erzeugen der Variablen kann das Archiv erstellt werden.

Screenshots - Expanding

Parameter | Beschreibung
Anzeige Variablenerstellung | Listet alle erstellten Variablen auf.
Vorherige | Wechselt zur vorhergehenden Registerkarte.
Nächste | Inaktiv.
OK | Erstellt das konfigurierte Archiv und schließt den Dialog.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Archiv manuell erstellen oder bearbeiten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit diesem Dialog werden Metadaten, Datenquelle und Variablen manuell konfiguriert.

Screenshots - Expanding

Dieser Dialog wird angeboten beim:

  • Erstellen eines neuen Archivs
  • Bearbeiten eines existierenden Archivs
  • Anpassen eines mit dem Wizard erstellten Archivs

Um ein Archiv manuell zu erstellen oder zu bearbeiten:

  1. Klicken Sie im Dialog Archive für den Connector für Fremddatenbanken auf das Symbol für Neues Archiv.
  2. Konfigurieren Sie die Registerkarten:
    • Metadaten
    • Datenquelle
    • Variablen
  3. Schließen Sie den Dialog.
  4. Das Archiv wird in der Liste angezeigt und kann über das Symbol Bearbeiten jederzeit zur weiteren Anpassung geöffnet werden.

Noch in diesem Kapitel

Metadaten

Datenquelle

Variablen

Metadaten

Zugewiesene Anlagengruppen

Zugewiesene Bedeutungen

Statustexte

Regeln Namensvergabe


Metadaten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Metadaten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Metadaten:

Screenshots - Expanding

Parameter | Beschreibung
Projekt | Projekt, dem das Archiv zugeordnet ist. Auswahl aus Dropdownliste. Nur verfügbar, wenn ein Archiv neu erstellt wird. Wird die Auswahl geändert, werden alle bereits erstellten Variablen im Archiv gelöscht.
Kennung | Kennung des Archivs. Diese muss für alle Archive innerhalb des Projekts eindeutig sein. Nur verfügbar, wenn ein Archiv neu erstellt wird. Bei der Validierung darf das Feld nicht leer sein.
Anzeigename | Anzeigename für das Archiv. Dieser muss für alle Archive innerhalb des Projekts eindeutig sein. Bei der Validierung darf das Feld nicht leer sein.
Beschreibung | Beschreibungstext für das Archiv.
Zykluszeit | Konfiguration der Zykluszeit des Archivs.
Zugewiesene Anlagengruppe | Anzeige aller verfügbaren Anlagenmodelle als Baum mit Checkboxen. Auswahl durch Aktivierung der Checkboxen vor den gewünschten Anlagengruppen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt das Archiv. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Datenquelle

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Datenquelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Datenquelle:

Screenshots - Expanding

Parameter

Beschreibung

Server

Auswahl des Datenbankservers aus Dropdownliste. Die aktuell verbundene Server-Instanz wird durch den nachgestellten Hinweis (derzeit verbunden) gekennzeichnet.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Datenbank

Auswahl der Datenbank am gewählten Server aus Dropdownliste. Alle Datenbanken des gewählten Servers stehen zur Verfügung.

Nur verfügbar, wenn ein Server gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Tabelle

Auswahl der Quelltabelle aus Dropdownliste. Alle in der gewählten Datenbank vorhandenen Tabellen stehen zur Verfügung.

Nur verfügbar, wenn eine Datenbank gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Tabellentyp

Auswahl des Tabellentyps aus Dropdownliste. Verfügbar sind:

  • Variablenidentifikationsspalte und Wertspalte: flache Liste
  • Eine Wertspalte für jede Variable: pivotiert

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Zeitstempeltyp

Auswahl des Zeitstempeltyps aus Dropdownliste. Verfügbar sind:

  • UTC Zeitstempel-Objekt
  • Zeitstempelobjekt in Lokalzeit des Servers
  • Unixzeit
  • Unixzeit und Millisekunden in zwei Spalten
  • Unixzeit und Millisekunden in einer Spalte

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Zeitstempel

Auswahl des Zeitstempelspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für die aktuelle Zeitstempeltypeinstellung zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Millisekunden

Auswahl der Millisekundenspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Millisekundenspalte zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als Zeitstempeltyp Unixzeit mit Millisekunden gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Variablenerkennungsspalte

Auswahl der Variablenerkennungsspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Variablenidentifikationsspalte zulässig sind, stehen zur Verfügung

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Wertspalte

Auswahl der Wertspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Wertspalte zulässig ist, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt das Archiv. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Variablen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Variablen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Variablen.

Im Dialog werden folgende Symbole verwendet:

  • Neu: General Analyzer Schema Graphics Template
  • Bearbeiten: General Analyzer Schema Graphics Template
  • Löschen: General Analyzer Schema Graphics Template

Screenshots - Expanding

Parameter

Beschreibung

Liste Variablen

Anzeige der konfigurierten Variablen mit folgenden Detailinformationen:

  • Variablenname
  • Variablenerkennungstext
  • Datentyp
  • Maßeinheit

Die Variablen werden in der Reihenfolge ihrer Erstellung angezeigt.

Schaltflächen zum Bearbeiten der Liste und der Variablen

Zum Bearbeiten stehen folgende Symbole zur Verfügung:

Leiste:

  • Neu: Öffnet den Dialog zum Erstellen einer Variablen.
    Nur aktiv, wenn aufgrund der Konfiguration Variablen erzeugt werden können.
    Dazu muss:
    - ein Projekt gewählt worden sein
    - die Datenquellendefinition vollständig sein
    - bei Tabellentyp pivotiert mindestens ein Variablenerkennungstext zur Verfügung stehen

Variablen:

  • Bearbeiten: Öffnet den Dialog zum Bearbeiten einer Variablen. Dieser entspricht dem Dialog zum Erstellen einer Variablen. Es können allerdings keine neuen Variablen erstellt werden.
  • Löschen: Löscht die Variable ohne Sicherheitsabfrage aus der Liste.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt das Archiv. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Variablen erzeugen

Screenshots - Expanding

Um eine neue Variable zu erzeugen:

  1. Klicken Sie auf die Schaltfläche Neu (Stern).
  2. Der Dialog zum Erstellen/Bearbeiten von Variablen wird geöffnet.
  3. Konfigurieren Sie die Registerkarten für:
    • Metadaten
    • Zugewiesene Anlagengruppen
    • Zugewiesene Bedeutungen
    • Statustexte
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Die Variable wird in der Liste angezeigt und kann jederzeit über die Schaltflächen bearbeitet oder gelöscht werden.


Metadaten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Metadaten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Metadaten der Variablen konfiguriert. Abhängig von der Einstellung für Tabellentyp in der Konfiguration der Datenquelle in der Archivkonfiguration steht diese Registerkarte in zwei Ausprägungen zur Verfügung:

Tabellentyp flache Liste: Variablenerkennungstext wird in Feld eingetragen

Tabellentyp pivotiert: Variablenerkennungstext wird aus Dropdownliste gewählt

Tabellentyp "Flache Liste"

Screenshots - Expanding

Parameter

Beschreibung

Variablenname

Name der Variablen. Dieser muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen.

Bei der Validierung darf das Feld nicht leer sein.

Anzeigename

Anzeigename der Variablen angegeben. Dieser muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen.

Bei der Validierung darf das Feld nicht leer sein.

Beschreibung

Beschreibungstext zur Variablen .

Datentyp

Datentyp der Variablen. Auswahl aus Dropdownliste:

  • Numerischer Wert
  • Text

Hinweis: Erlaubt der Spaltendatentyp keine Konvertierung auf Numerischer Wert, dann ist hier Text vorausgewählt und die Dropdownliste ist deaktiviert.

Bei der Validierung darf das Feld nicht leer sein.

Maßeinheit

Eingabe der Maßeinheit der Variablen.

Variablenerkennungstext

Eingabe des Variablenerkennungstexts. Möglichkeit hängt ab von Tabellentyp in der Konfiguration der Datenquelle in der Archivkonfiguration:

  • Flache Liste: Eingabefeld zur Eingabe des Erkennungstextes der Variablen.
  • Pivotiert: Dropdownliste zur Auswahl des Erkennungstextes. Zur Verfügung stehen alle Spaltennamen der Tabelle.
    Ausnahmen: Spaltennamen, die bereits für Zeitstempelspalte, Millisekundenspalte oder eine andere Variable im Archiv verwendet wurden.

Bei der Validierung darf das Feld nicht leer sein.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Tabellentyp "Pivotiert"

Screenshots - Expanding

Konfiguration analog zu Tabellentyp Flache Liste.


Zugewiesene Anlagengruppen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Zugewiesene Anlagengruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Anlagengruppen:

Screenshots - Expanding

Parameter | Beschreibung
Zugewiesene Anlagengruppe | Anzeige aller verfügbaren Anlagenmodelle als Baum mit Checkboxen. Auswahl durch Aktivierung der Checkboxen vor den gewünschten Anlagengruppen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Zugewiesene Bedeutungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Zugewiesene Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Bedeutungen:

Screenshots - Expanding

Parameter | Beschreibung
Zugewiesene Bedeutung | Eingabe einer Bedeutung in das Feld
Hinzufügen | Klick fügt Eintrag im Feld Zugewiesene Bedeutung zur Liste zugewiesener Bedeutungen hinzu.
Liste zugewiesener Bedeutungen | Zeigt alle aktuell konfigurierten Bedeutungen an. Mehrfachauswahl ist möglich.
Entfernen | Klick entfernt alle ausgewählten Bedeutungen aus der Liste zugewiesener Bedeutungen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Statustexte

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Statustexte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration des Statustexts:

Screenshots - Expanding

Parameter | Beschreibung
Numerischer Eintrag | Eingabe für Wert für des Status .
Textfeld | Eingabe Statustext.
Hinzufügen | Klick fügt Eintrag zur Liste der Statustexte hinzu.
Liste der Statustexte | Zeigt alle aktuell konfigurierten Statustexte an. Anzeigeformat: [Wert]: [Text] Mehrfachauswahl ist möglich.
Entfernen | Klick entfernt alle ausgewählten Statustexte.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Regeln Namensvergabe

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Archiv manuell erstellen oder bearbeiten -> Regeln Namensvergabe

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für Variablenname und Anzeigename sind verboten:

  • Komma
  • Zeilenschaltungen
  • Absatzschaltungen
  • Tabulatoren
  • Leerzeichen

Bei der Übernahme werden diese Eigenschaften überprüft und an die Regeln angepasst.
Das bedeutet:

  1. Kommata, Zeilenschaltungen, Absatzschaltungen und Tabulatoren werden entfernt.
  2. Leerzeichen am Anfang und Ende werden entfernt.
  3. Mehrere aufeinanderfolgende Leerzeichen im Text werden zu einem Leerzeichen zusammengefasst.
  4. Leerzeichen im Text werden durch Unterstriche ersetzt.


Ablauf

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Connector für Fremddatenbanken erstellen -> Ablauf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ablauf bei der Konfiguration des Connectors für Fremddatenbanken:

  1. Es wird geprüft, ob derzeit Reports offen sind.
    • Offene Reports vorhanden: Es wird eine Sicherheitsabfrage gestellt, ob die Reports geschlossen werden sollen. Verneint der Benutzer, wird abgebrochen. Bestätigt der Benutzer, werden alle aktuell geöffneten Reports gespeichert und geschlossen. Bleibt ein Report ungespeichert bzw. geöffnet, wird der Ablauf abgebrochen.
  2. Die notwendigen Metadaten werden gelesen. Bei einem Fehler wird direkt zu Punkt 10 gesprungen.
  3. Die zur Verfügung stehenden Datenquellen werden aufgelistet. Bei einem Fehler wird direkt zu Punkt 10 gesprungen.
  4. Der Datenquellenauswahldialog wird gezeigt. Bei einem Fehler im Dialog oder Abbruch durch den Benutzer wird direkt zu Punkt 10 gesprungen.
  5. Die vom Benutzer gewählten Datenquellen werden auf importierbare Tabellen untersucht. Metadatentabellen werden dabei ausgeschlossen. Der Vergleich passiert per Tabellenname, Spaltenanzahl und Spaltennamen. Bei einem Fehler wird direkt zu Punkt 10 gesprungen.
  6. Der Dialog zum Konfigurieren der Importarchive wird angezeigt. Bei einem Fehler im Dialog oder Abbruch durch den Benutzer wird direkt zu Punkt 10 gesprungen.
  7. Eine Transaktion wird gestartet.
  8. Die Metadaten und die UDF werden aktualisiert. Bei einem Fehler wird die Transaktion rückgängig gemacht und direkt zu Punkt 10 gesprungen.
  9. Die Transaktion wird commited.
  10. Die Caches des ZAMS werden entleert.
  11. Alle geöffneten Reports werden von den gepufferten Pfaden wieder geöffnet.
  12. Der Ablauf ist beendet.

Hinweis für Entwickler

Es werden folgende Metadaten und UDF benutzt:

  • Metadaten
    • Imported_Archiv: Diese Tabelle enthält die Konfiguration für als Archive zu verbindende Fremddatenbanken.
    • Imported_Variable: Diese Tabelle enthält die Konfiguration für Variablen der zu verbindende Fremddatenbanken.
  • UDF
    • zrsQueryArchiveImported: Diese UDF führt den eigentlichen Import durch und wird bei Bedarf von der Archiv-Connector-Wrapperfunktion zrsQueryArchiveFunction aufgerufen.

Das ZAMS passt bei der Konfiguration die Metadaten und Userdefined Functions (UDFs) in der Datenbank an. In der Datenbank werden nur die für die UDF-Erstellung notwendigen Metadaten gespeichert. Es werden keinerlei Nutzdaten in der Analyzer Datenbank abgelegt. Die Nutzdaten werden bei jeder Lese-Anforderung für ein Importarchiv direkt von der Quelltabelle gelesen.


Neue Analyzer Datenbank

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Neue Analyzer Datenbank

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit eine neue Analyzer Datenbank erstellt werden kann, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um eine neue Analyzer Datenbank zu erstellen:

  1. klicken Sie im Menü SQL server auf den Eintrag New Analyzer database
  2. der Dialog zum Erstellen einer neuen Datenbank wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Datenbankname

Name der neu zu erstellenden Datenbank.

Bleibt dieses Feld leer oder wird der Name einer bereits auf der SQL Server Instanz existierenden Datenbank eingegeben, wird eine Fehlermeldung ausgegeben.

Nach Erstellung mit neuer Datenbank verbinden
  • Aktiv: Nach erfolgreicher Datenbankerstellung wird die aktuelle Verbindung geschlossen und eine Verbindung zur gerade neu erstellten Datenbank wird aufgebaut.
    Die Authentifizierung wird über die Eigenschaften im Bereich Credentials festgelegt.
  • Inaktiv: Nach erfolgreicher Datenbankerstellung bleibt die Verbindung zur aktuellen Datenbank bestehen

Zugangsdaten

Verbindungseinstellungen.

Nur verfügbar, wenn die Option Connect to the new database after creation aktiviert wurde.

Windows-Authentifizierung verwenden

Aktiv: Windows Authentifizierung wird verwendet.

Benutzername

Eingabe des Benutzernamens.

Wenn Use windows authentication aktiv ist, nur Anzeige.

Passwort

Eingabe des Passworts. Wird nicht gespeichert und muss bei jedem Verbindungsaufbau neu eingegeben werden.

Wenn Use windows authentication aktiv ist, ist keine Eingabe erforderlich und auch nicht möglich.

OK

Übernimmt alle Eingaben, erstellt die Datenbank, führt den eventuell nötigen Verbindungsaufbau durch und schließt den Dialog.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog ohne eine Datenbank zu erstellen.

Ablauf der Datenbankerstellung

Mit Klick auf OK im Dialog New Analyzer database wird folgender Ablauf gestartet:

  1. Die Eingaben werden validiert.
    Führt ein Fehler dazu, dass die Datenbank nicht erstellt werden kann, oder fehlt eine Eingabe, wird der Prozess abgebrochen und der Dialog bleibt offen.
  2. Wenn nötig, wird das Verbindungsprofil für die neue Datenbank erzeugt.
  3. Die Datenbank wird erzeugt.
    Schlägt das Erstellen der Datenbank fehl wird der Prozess abgebrochen und der Dialog bleibt offen.
  4. Die neue Datenbank wird für den Analyzer-Betrieb vorbereitet.
    Schlägt dies fehl, erfolgt eine Benutzerabfrage, ob die Datenbank behalten werden soll. Soll die Datenbank nicht behalten werden, wird sie gelöscht, der Prozess wird abgebrochen und der Dialog bleibt offen.
  5. Für die neue Datenbank wird ein DataSource-Objekt am Analyzer Server erzeugt.
  6. Wenn nötig, wird das Verbindungsprofil für die neue Datenbank validiert.
  7. Der Dialog wird geschlossen
  8. Bei aktiver Option Connect to the new database after creation wird die Verbindung zur neuen Datenbank hergestellt.


Datenbanken konvertieren

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Datenbanken konvertieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Datenbanken, die mit dem zenon Analyzer ab Version 2.0 erstellt wurden können in die jeweils verwendete höhere Version konvertiert werden. Wird in ZAMS eine Datenbank mit einer niedrigeren Versionsnummer als das ausgeführte ZAMS geöffnet, wird diese in die neuere Version konvertiert. Datenbanken mit einer Version kleiner als zenon Analyzer 2.0 werden vom ZAMS nicht konvertiert. Bei der Konvertierung werden die Datenbankstruktur und die Lizenz überprüft.

Ab Version 2.10 erkennt ZAMS die Version der Metadatenstrukturdefinition einer Datenbank und kann deren Struktur überprüfen. Alle ab Version 2.10 erstellten Datenbanken verfügen über eine Versionierung der Datenbankstruktur.

Die Überprüfung der Version einer Datenbank wird gestartet, wenn:

  • eine Verbindung zu einer Datenbank aufgebaut wird
  • die manuelle Konvertierung der Datenbanken gestartet wird

Datenbank manuell konvertieren

Um Datenbanken zu konvertieren:

  1. Öffnen Sie das Menü SQL-Server.
  2. Wählen Sie den Eintrag Datenbanken konvertieren.
  3. ZAMS überprüft alle vorhandenen Datenbanken auf deren Version und Struktur.
    Die Suche und deren Ergebnisse werden im Ausgabefenster dokumentiert.
  4. Werden konvertierbare Datenbanken gefunden, dann werden diese zur Konvertierung angeboten:
    1. Der Dialog zur Konfiguration der Datenbankkonvertierung mit zwei Registerkarten wird geöffnet.
    2. Wählen Sie die Datenbanken, die konvertiert werden sollen, und den Sicherungspfad aus.

      Hinweis: Achten Sie auf die Informationen im Kommentar. Eventuell sind nach der Konvertierung weitere Aktionen nötig, z.B. die Neuerstellung des SCADA SQL-Connectors.

    3. Starten Sie die Konvertierung mit Klick auf OK.
  5. Werden keine Datenbanken gefunden, die konvertiert werden können, wird die Suche beendet und im Ausgabefenster werden entsprechende Meldungen angezeigt.

Dialog Konfiguration der Datenbankkonvertierung

Dieser Dialog ermöglicht die Auswahl der zu konvertierenden Datenbanken und die Konfiguration des Speicherpfades.

Datenbanken

Auswahl der zu konvertierenden Datenbanken.

Screenshots - Expanding

Parameter

Beschreibung

Liste Datenbanken

Listet alle vorhandenen Datenbanken auf. Ist ein Zeile grau hinterlegt, kann die darin genannte Datenbank nicht konvertiert werden. Details enthält die Spalte Kommentar.

Angezeigt werden:

  • Checkbox: Auswahl der Datenbank.
    Aktiv: Datenbank zur Konvertierung ausgewählt.
    Ausgewählt können nur Datenbanken werden, die technisch konvertiert werden können.
    Default für konvertierbare Datenbanken: aktiv
  • Datenbankname: Name der Datenbank.
  • Version: Version der Datenbank.
  • Kommentar: Begründung, warum eine Datenbank nicht konvertiert werden kann oder von welcher zu welcher Version eine Datenbank konvertiert werden kann. Achten Sie auf Hinweise auf Aktionen, die nach der Konvertierung durchgeführt werden müssen.

Den Ordner mit den LOG-Dateien nach Abschluss der Konvertierung öffnen.

Aktiv: Nach der Konvertierung wird der Ordner mit den LOG-Dateien zur Konvertierung geöffnet.

OK

Übernimmt Einstellungen aller Registerkarten und startet Konvertierung.

Abbrechen

Verwirft Einstellungen aller Registerkarten und bricht Konvertierung ab.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Sicherungspfad

Konfiguration der Pfades für die Sicherungsdateien und Auswahl, ob diese nach erfolgreicher Konvertierung gelöscht werden.

Screenshots - Expanding

Parameter

Beschreibung

Datenbanksicherungsdateien im gleichen Pfad wie die Datenbankdateien speichern

Aktiv: Die Datenbank-Sicherungsdateien werden lokal im gleichen Ordner wie die Datenbankdateien am Analyzer Server abgelegt.

Da das ein anderer Rechner als der ZAMS-Rechner sein kann, kann der Zugriff auf dessen Dateisystem nicht garantiert werden. Daher könen die dort abgelegten Sicherungsdateien nach erfolgreicher Konvertierung nicht automatisch vom ZAMS gelöscht werden.

Datenbanksicherungen in einer Netzwerkfreigabe speichern

Aktiv: Die Datenbank-Sicherungsdateien werden

in einer Netzwerkfreigabe abgelegt.

Eingabe des Ordners in Textfeld oder Auswahl aus Dialog nach Klick auf die Schaltfläche Durchsuchen.

Achtung: Es muss sichergestellt werden, dass der Benutzer, in dessen Kontext die SQL-Server Instanz läuft, Zugriff auf diese Freigabe mit folgenden Rechten hat:

  • lesen
  • schreiben
  • überschreiben

Durchsuchen

Öffnet Dialog zur Auswahl einer Netzwerkfreigabe.

Datenbanksicherungen nach erfolgreicher Konvertierung löschen

Aktiv: Die Datenbank-Sicherungsdateien werden nach erfolgreicher Konvertierung der Datenbank gelöscht.

Voraussetzung: Die Sicherungsdateien befinden sich in einer Netzwerkfreigabe.

Die Option wird für jede Datenbank extra ausgeführt. Werden z. B. 5 Datenbanken konvertiert und eine Konvertierung schlägt fehl, dann:

  • werden 4 Sicherungsdateien gelöscht
  • wird die Sicherungsdatei der fehlgeschlagenen Konvertierung erhalten

Den Ordner mit den LOG-Dateien nach Abschluss der Konvertierung öffnen.

Aktiv: Nach der Konvertierung wird der Ordner mit den LOG-Dateien zur Konvertierung geöffnet.

OK

Übernimmt Einstellungen aller Registerkarten und startet Konvertierung.

Abbrechen

Verwirft Einstellungen aller Registerkarten und bricht Konvertierung ab.

Konvertierungshinweise

Beachten Sie bei der Konvertierung von Datenbanken vor allem:

  • Wird eine Datenbank mit einer Versionsnummer kleiner 2 konvertiert, dann gilt bei Konvertierung zu:
    • Version 2 oder höher: Der SCADA SQL-Connector muss neu erstellt werden, um emulierte Archive in Reports verfügbar zu haben.
    • Version 3: Der SCADA SQL-Connector muss neu erstellt werden, um Archive für den Import aus Fremddatenbanken verfügbar zu haben.
  • Wird eine Datenbank mit einer Versionsnummer kleiner 3 konvertiert, dann gilt bei Konvertierung zu:
    • Version 3: Der SCADA SQL-Connector muss neu erstellt werden, um Archive für den Import aus Fremddatenbanken verfügbar zu haben.


Manuelle Datenbanksicherungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Manuelle Datenbanksicherungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Datenbanken können manuell gesichert werden. Sicherungsdateien können rückgelesen und verwaltet werden. Ob eine Datenbank gesichert bzw. rückgelesen werden kann, hängt von ihrem Typ ab.

Automatisierte Sicherungen werden im Kapitel Automatisierte Datenbanksicherungen beschrieben.

Noch in diesem Kapitel

Datenbanktypen

Datenbanksicherungen erstellen

Datenbanksicherungen rücklesen


Datenbanktypen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Manuelle Datenbanksicherungen -> Datenbanktypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Folgende Typen von Datenbanken werden unterschieden:

Typ

Beschreibung

Sichern

Rücklesen

Systemdatenbanken

Name ist

  • master
  • model
  • msdb
  • tempdb

-

-

Report Server Datenbanken

Name beginnt mit

  • ReportServer$

+

- *

Analyzer Metadaten Datenbanken
  • Keine System-Datenbank
  • Keine Report Server Datenbank.
  • Analyzer Metadatendefinition-Version ist feststellbar.

+

+

Andere Datenbanken

Keine der Bedingungen für die anderen Typen wurde erfüllt.

+

+

* Hintergrund: Um Report Server Datenbanken rückzulesen, müsste der Dienst ReportServer gestoppt und nach dem Rücklesen neu gestartet werden, wofür Administrator-Rechte am Analyzer Server benötigt werden.


Datenbanksicherungen erstellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Manuelle Datenbanksicherungen -> Datenbanksicherungen erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Von Datenbanken können Sicherungen erstellt werden, sofern ihr Typ das zulässt. Details zu den rücklesbaren Typen finden Sie im Kapitel Datenbanktypen.

Datenbanken sichern

Um Datenbanken zu sichern:

  1. öffnen Sie das Menü SQL-Server
  2. wählen Sie den Eintrag Datenbanksicherung erstellen
  3. der Dialog zur Auswahl der Datenbanken wird geöffnet
  4. aktivieren Sie die Checkboxen vor allen zu sichernden Datenbanken
  5. klicken Sie auf OK

Screenshots - Expanding

Parameter

Beschreibung

Liste der Datenbanken

Zeigt alle verfügbaren Datenbanken an

  • Checkbox: Um eine Datenbank zu sichern, muss die Checkbox aktiviert sein.
  • Datenbankname: Zeigt Datenbankname an.
  • Datum und Uhrzeit der aktuellsten Sicherung: Zeigt Datum und Uhrzeit der aktuell vorhandenen Sicherung an.

Pfad und Anzahl der Sicherungen werden im Menü Optionen, in der Registerkarte Datenbanksicherungen der Einstellungen festgelegt.

Alle auswählen

Wählt alle angezeigten Datenbanken zur Sicherung aus.

Auswahl aufheben

Hebt Datenbankauswahl auf.

OK

Übernimmt Auswahl, schließt Dialog und erstellt Sicherungen.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Screenshots - Expanding

Parameter

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA2: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA2: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Datenbanksicherungen rücklesen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Manuelle Datenbanksicherungen -> Datenbanksicherungen rücklesen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gesicherte Datenbankdateien können zurückgelesen werden. Details zu den rücklesbaren Typen finden Sie im Kapitel Datenbanktypen.

Datenbankesicherungen rücklesen

Um Datenbanksicherungen rückzulesen:

  1. öffnen Sie das Menü SQL-Server
  2. wählen Sie den Eintrag Datenbanksicherung rücklesen
  3. der Dialog zur Auswahl der Datenbanken wird geöffnet
  4. aktivieren Sie die Checkboxen vor allen rückzulesenden Datenbanken
  5. wählen Sie jeweils in der Spalte Zeitstempel der aktuellsten Sicherung die gewünschte Version aus der Dropdownliste aus
  6. klicken Sie auf OK

Screenshots - Expanding

Parameter

Beschreibung

Liste der Datenbanken

Zeigt alle verfügbaren Datenbanken an

  • Checkbox: Um eine Datenbanksicherung rückzulesen, muss die Checkbox aktiviert sein.
  • Datenbankname: Zeigt den Datenbanknamen an.
  • Zeitstempel der aktuellsten Sicherung: Zeigt Dropdownliste mit Datum und Uhrzeit aller vorhandenen Sicherung.

Alle auswählen

Wählt alle angezeigten Datenbanken zur Sicherung aus.

Auswahl aufheben

Hebt Datenbankauswahl auf.

OK

Übernimmt Auswahl, schließt Dialog und liest gesicherte ausgewählte Datenbanksicherungen zurück. Beachten Sie dabei:

  • Wenn die derzeit verbundene Metadaten-Datenbank von einer Sicherung rückgelesen werden soll, muss die Verbindung nach dem Rücklesen neu aufgebaut werden. Der Benutzer muss dies vor dem Beginn des Rücklesens bestätigen.
  • Bei jeder Analyzer Metadaten-Datenbank wird nach erfolgreichem Rücklesen die Version der Metadatenstruktur in der Datenbank festgestellt und eine Strukturprüfung durchgeführt. Wird bei mindestens einer Datenbank eine veraltete Struktur festgestellt, hat der Benutzer die Möglichkeit, die Datenbankkonvertierung direkt zu starten. Diese Option ist inaktiv, wenn die Verbindung nach dem Rücklesen neu aufgebaut werden muss.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Screenshots - Expanding

Parameter

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA2: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA2: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Datenbanksicherungsdatei als neue Datenbank rücklesen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Datenbanksicherungsdatei als neue Datenbank rücklesen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eine Datenbanksicherungsdatei kann als neue Datenbank rückgelesen werden. Dabei kann die Sicherungsdatei auch von einer Datenbank stammen, die es auf der SQL Server Instanz noch nicht gibt.

Die Datenbanksicherungsdatei muss folgenden Ansprüchen genügen:

  • Der Name der Datenbanksicherungsdatei muss folgender Syntax entsprechen: [Datenbankname]_[yyyy]_[MM]_[dd]_[HH]_[mm]_[ss].bak.
  • Es gibt nur eine Datenbanksicherung in der Datenbanksicherungsdatei.
  • Die in der Sicherungsdatei gesicherte Datenbank hat exakt den Namen, der im Dateinamen der Sicherungsdatei vorkommt.
  • Die Datenbanksicherungsdatei ist durch eine Checksumme auf Beschädigung/Manipulation überprüfbar.

Alle mit dem ZAMS erstellten Datenbanksicherungsdateien erfüllen alle dieser Ansprüche.

Der Zieldatenbankname kann mit dem Quelldatenbanknamen identisch sein, sofern noch keine Datenbank mit diesem Namen existiert. Damit kann eine bestehende Datenbank von einem Analyzer Server auf den anderen übertragen werden durch:

  • sichern auf dem ursprünglichen Server
  • kopieren der Sicherungsdatei
  • rücklesen auf den Zielserver mit neuem Namen, der dem alten Namen entspricht

Datenbanksicherung als neue Datenbank rücklesen

Um eine Sicherung als neue Datenbank rückzulesen:

  1. Öffnen Sie das Menü SQL Server.
  2. Wählen Sie den Befehl Datenbanksicherungsdatei als neue Datenbank rücklesen.
  3. Der Dialog zur Auswahl einer Sicherungsdatei wird geöffnet.
  4. Wählen Sie die gewünschte Datenbank aus.
  5. Vergeben Sie einen Namen für die neue Datenbank.
  6. Schließen Sie den Dialog mit Klick auf OK.

Dialog Rücklesen einer Datenbanksicherungsdatei als neue Datenbank

Screenshots - Expanding

Parameter

Beschreibung

Quelldatenbank

Auswahl der Quelldatenbank aus Dropdownliste.

Die Quelldatenbank ist jene Datenbank, welche in der Sicherungsdatei enthalten ist. Es werden alle gefundenen Quelldatenbanken aufgelistet.

Zeitstempel der Sicherung

Auswahl des Zeitstempels, der rückgelesen werden soll. Alle zur Verfügung stehenden Sicherungsdateien der gewählten Quelldatenbank werden nach dem Zeitstempel ihrer Sicherung gelistet.

Name der neuen Datenbank

Eingabe des Namens der neuen Datenbank.

Der Name muss folgende Kriterien erfüllen:

  • Darf nicht leer bleiben.
  • Darf nicht von einer bereits auf dem Zielserver bestehenden Datenbank verwendet werden.
    Diese Prüfung unterscheidet nicht zwischen Groß-/Kleinschreibung. Zum Beispiel: Der Name DATA kann nicht verwendet werden, wenn bereits eine Datenbank namens data besteht.

Die Schaltfläche OK ist nur dann bedienbar, wenn die Validierung des Namens erfolgreich ist.

Nach dem Rücklesen zur neuen Datenbank verbinden

Aktiv: Beim Rücklesen wird auch eine Verbindung zur neuen Datenbank hergestellt.

Aktiviert und nicht bedienbar, wenn die Option Nach dem Verbinden den SQL Connector in der neuen Datenbank erstellen aktiv ist.

Nach dem Verbinden den SQL Connector in der neuen Datenbank erstellen
  • Aktiv: Beim Rücklesen wird nach dem Verbindungsaufbau zur neuen Datenbank die SQL Connector Erzeugung gestartet.

Nur aktivierbar, wenn die Option Nach dem Rücklesen zur neuen Datenbank verbinden aktiv ist.

Konfiguriere den Connector für Fremddatenbanken nach Verbindungsherstellung
  • Aktiv: Beim Rücklesen wird nach dem Verbindungsaufbau zur neuen Datenbank die Konfiguration des Imports von Fremddatenbanken gestartet.

Hinweis: Sind Nach dem Verbinden den SQL Connector in der neuen Datenbank erstellen und Konfiguriere den Connector für Fremddatenbanken nach Verbindungsherstellung aktiviert, dann erfolgt die Konfiguration in dieser Reihenfolge:

  • SQL-Connector
  • Import von Fremddatenbanken

Nur aktivierbar, wenn die Option Nach dem Rücklesen zur neuen Datenbank verbinden aktiv ist.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Ablauf zum Rücklesen einer Datenbanksicherungsdatei als neue Datenbank:

  1. Der Benutzer öffnet mit Klick auf Datenbanksicherungsdatei als neue Datenbank rücklesen den Dialog zum Rücklesen.
  2. Es wird sichergestellt, dass für die momentan verbundene SQL Server Instanz ein gültiger UNC-Pfad für Datenbanksicherungsdateien vorhanden ist.
  3. Die Namen aller auf der momentanen SQL Server Instanz vorhandenen Datenbanken werden gelesen. Für jeden Datenbanknamen wird vermerkt, ob es sich um eine Analyzer-Datenbank handelt.
  4. Alle Datenbanksicherungsdateien (*.bak) im UNC-Pfad werden untersucht. Dabei geschieht folgendes:
    1. Der Dateiname wird auf Übereinstimmung mit der definierten Syntax geprüft. Passt der Dateiname nicht zur Syntax, wird die Sicherungsdatei ausgefiltert.
    2. Der Datenbankname wird aus dem Dateinamen extrahiert.
    3. Es wird geprüft, ob eine Datenbank mit diesem Namen verfügbar ist. Ist das der Fall, muss die existierende Datenbank eine Analyzer Datenbank sein, ansonsten wird diese Sicherungsdatei ausgefiltert.
    4. Wenn die Sicherungsdatei nicht ausgefiltert wurde, wird sie in der Liste verfügbarer Datenbanksicherungsdateien gespeichert. Die Liste ist pro Datenbankname gruppiert.
  5. Ist die Liste verfügbarer Datenbanksicherungsdateien leer, wird der Ablauf abgebrochen.
  6. Der Dialog für das Rücklesen einer Datenbanksicherungsdatei als neue Datenbank wird aufgeschalten und mit der Liste verfügbarer Datenbanksicherungsdateien befüllt.
  7. Der Benutzer macht in dem Dialog seine Eingaben und schließt diesen:
    1. Wurde der Dialog mit Abbrechen geschlossen, wird der Ablauf abgebrochen.
    2. Wurde der Dialog mit OK geschlossen, wird der Ablauf fortgesetzt.
  8. Der Name der Quelldatenbank, die zu verwendende Sicherungsdatei und der Name der neuen Datenbank werden aus dem Dialogobjekt gelesen.
  9. Das Skript zum Rücklesen einer Datenbanksicherungsdatei als neue Datenbank wird ausgeführt:
    1. Trat bei der Ausführung ein Fehler auf, wird geprüft, ob eine Datenbank mit dem Namen der neuen Datenbank existiert. Wenn ja, wird diese gelöscht. Nach dieser Prüfung/Löschung der Datenbank wird der Ablauf abgebrochen, unabhängig davon, ob das Löschen nicht notwendig war, funktionierte oder nicht funktionierte.
    2. Wurde das Skript fehlerfrei ausgeführt, wird der Ablauf fortgesetzt.
  10. Das Post-Restore-Skript wird auf der neuen Datenbank ausgeführt.
    1. Trat bei der Ausführung ein Fehler auf, wird die neue Datenbank gelöscht. Nach der Löschung der Datenbank wird der Ablauf abgebrochen, unabhängig davon, ob das Löschen funktionierte oder nicht funktionierte.
    2. Wurde das Skript fehlerfrei ausgeführt, wird der Ablauf fortgesetzt.
  11. Die neue Datenbank wird einer Strukturprüfung für die aktuell verwendete Datenbankstrukturversion unterzogen.
    1. War die Strukturprüfung nicht erfolgreich, wird die neue Datenbank gelöscht. Nach der Löschung der Datenbank wird der Ablauf abgebrochen, unabhängig davon, ob das Löschen funktionierte oder nicht funktionierte.
    2. War die Strukturprüfung erfolgreich, wird der Ablauf fortgesetzt.
  12. Das Datenquellenobjekt für die neue Datenbank wird am Report Server angelegt. Ein eventuell existierendes Objekt mit dem gleichen Pfad wird dabei überschrieben.
    1. War die Erzeugung nicht erfolgreich, so wird geprüft, ob ein Datenquellenobjekt angelegt wurde. Wenn ja, wird es gelöscht. Danach wird die neue Datenbank gelöscht, unabhängig davon, ob die Löschung des Datenquellenobjekts nicht notwendig war, funktionierte oder nicht funktionierte. Nach der Löschung der Datenbank wird der Ablauf abgebrochen, unabhängig davon, ob das Löschen funktionierte oder nicht funktionierte.
    2. War die Erzeugung erfolgreich, wird der Ablauf fortgesetzt.
  13. Danach wird für jedes emulierte Archiv in der neuen Datenbank ein deaktivierter SQL Server Agent Job für die Berechnung der emulierten Daten angelegt. Das ist notwendig, damit die emulierten Archive im Verwaltungsdialog für emulierte Archive angezeigt werden können. In diesem Verwaltungsdialog kann jedes der emulierten Archive in der neuen Datenbank geöffnet, mit dem passenden Zeitplan für die Datenberechnung versehen und die Datenberechnung aktiviert werden.
    1. Tritt bei der Erzeugung eines solchen Jobs ein Fehler auf, werden alle bereits angelegten Jobs für die neue Datenbank wieder gelöscht. Danach wird das Datenquellenobjekt für das neue Archiv gelöscht. Danach wird die neue Datenbank gelöscht, unabhängig davon, ob die Löschung des Datenquellenobjekts funktionierte oder nicht funktionierte. Nach der Löschung der Datenbank wird der Ablauf abgebrochen, unabhängig davon, ob das Löschen funktionierte oder nicht funktionierte.
    2. Wurden alle Jobs erfolgreich erzeugt, wird die Abschlussnachricht ausgegeben.
  14. Wurde vom Benutzer die Verbindung zur neuen Datenbank aktiviert, wird jetzt der Verbindungsdialog aufgeschaltet. Ein neues Verbindungsprofil mit der momentan verbundenen SQL Server Instanz, der neuen Datenbank und den Anmeldedaten der bestehenden Datenbank wird angezeigt. Bestätigt der Benutzer den Dialog mit OK, so wird die Verbindung gemäß den Dialogeinstellungen aufgebaut.
  15. Wurde vom Benutzer die SQL Connector Erstellung aktiviert, wird jetzt geprüft, ob das ZAMS derzeit zur neuen Datenbank verbunden ist und eine gültige Lizenz besitzt. Sind diese Prüfungen positiv, wird die SQL Connector Erstellung angestoßen.
  16. Wurde vom Benutzer die Konfiguration des Connectors für Fremddatenbanken aktiviert, wird jetzt geprüft, ob das ZAMS derzeit zur neuen Datenbank verbunden ist und eine gültige Lizenz besitzt. Sind diese Prüfungen positiv, wird Konfiguration des Connectors angestoßen.
  17. Der Ablauf wird beendet.


Sicherung der Reporting Services Datenbank rücklesen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Sicherung der Reporting Services Datenbank rücklesen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sicherungen der Reporting Services Datenbank können in ZAMS rückgelesen werden, wenn sich der Analyzer Server am selben Rechner wie ZAMS befindet.

Um eine Sicherung rückzulesen:

  1. Wählen Sie im Menü SQL-Server den Befehl Sicherung der Reporting Services Datenbank rücklesen.
    Dieser steht nur zur Verfügung, wenn das ZAMS zu einem Analyzer Server verbunden ist, der sich am selben Rechner wie das ZAMS befindet. Der Vergleich erfolgt über den vom .NET Framework gelieferten NetBIOS Namen des lokalen Computers und dem vom SQL Server Verbindungsobjekt gelieferten NetBIOS Namen des SQL-Server Computers.
  2. Der Dialog zur Auswahl einer Sicherung wird geöffnet.
  3. Wählen Sie die gewünschte Sicherung.
  4. Bestätigen Sie das Rücklesen mit Klick auf OK.

Dialog Sicherungsdatei rücklesen

Screenshots - Expanding

Parameter | Beschreibung
Dropdownliste | Auswahl der rückzulesenden Datei. Die Identifikation erfolgt anhand des Zeitstempels der Sicherung.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Ablauf beim Rücklesen

Ablauf beim Rücklesen einer Reporting Services Datenbank:

  1. Der Anwender wählt im Menü SQL-Server den Eintrag Sicherung der Reporting Services Datenbank rücklesen.
  2. Es wird geprüft, ob Reports im ZAMS offen sind. Diese müssen geschlossen werden.
    Ein Nachrichtenfenster fragt ab, ob die geöffneten Reports geschlossen werden dürfen.
    • Ja: Reports werden geschlossen und zuvor wenn nötig, je nach Einstellungen in den Optionen, gespeichert.
      Sind danach noch nicht gespeicherte oder noch geöffnete Reports vorhanden, wird der Ablauf mit einer Fehlermeldung beendet.
    • Nein: Vorgang wird abgebrochen.
  3. Der in der Konfiguration gespeicherte UNC-Pfad für Datenbanksicherungsdateien für den derzeit verbundenen SQL Server wird geholt. Ist noch keiner gespeichert, kann der Benutzer einen eingeben. Bricht der Benutzer die Eingabe ab, so werden die zuvor geschlossenen Reports wieder geöffnet und der Ablauf wird beendet.
  4. Im UNC-Pfad wird nach Sicherungsdateien für die Reporting Services Datenbank „ReportServer$ZA2" gesucht. Damit eine Datei als Sicherungsdatei erkannt wird, muss sie folgendem Muster entsprechen: ReportServer$ZA2_[yyyy]_[MM]_[dd]_[HH]_[mm]_[ss].bak.
    Werden keine Sicherungsdatien gefunden, so werden die zuvor geschlossenen Reports wieder geöffnet und der Ablauf wird beendet.
  5. Der Dialog zur Auswahl der wiederherzustellenden Sicherung wird angezeigt. Bricht der Benutzer diesen Dialog ab, so werden die zuvor geschlossenen Reports wieder geöffnet und der Ablauf wird beendet.
  6. Das ZAMS sendet dem zenAdminSrv eine Anforderung zum Beenden des Dienstes ReportServer$ZA2. Fehler bei dieser Anforderung führen zum Abbruch des Ablaufs. Dabei bleiben die Reports geschlossen und die Verbindung wird geschlossen.
  7. Das ZAMS wartet, bis der Dienst in den Status Stopped wechselt. Ein Fehler führt zum Abbruch des Ablaufs. Dabei bleiben die Reports geschlossen und die Verbindung wird geschlossen.
  8. Das ZAMS führt das SQL-Skript zum Rücklesen der Datenbanksicherung durch. Dieses Skript entleert auch alle Tabellen der Datenbank ReportServer$ZA2TempDB. Ein Fehler hierbei führt zum Abbruch des Ablaufs. Dabei bleiben die Reports geschlossen und die Verbindung wird geschlossen.
  9. Das ZAMS sendet dem zenAdminSrv eine Aufforderung zum Starten des Dienstes ReportServer$ZA2. Ein Fehler hierbei führt zum Abbruch des Ablaufs. Dabei bleiben die Reports geschlossen und die Verbindung wird geschlossen.
  10. Das ZAMS wartet, bis der Dienst in den Status Running wechselt. Ein Fehler hierbei führt zum Abbruch des Ablaufs. Dabei bleiben die Reports geschlossen und die Verbindung wird geschlossen.
  11. Die ZAMS-Funktion Analyzer Manager starten wird ausgeführt. Diese ist aus ZAMS-Sicht beendet, sobald der Internet Explorer gestartet wurde.
  12. Sobald der Internet Explorer läuft, baut das ZAMS die Verbindung zum Reporting Services Web Service neu auf. Es werden maximal 10 Versuche unternommen, um die Verbindung herzustellen.
  13. Konnte die Verbindung zum Web Service nicht wiederhergestellt werden, wird der Ablauf mit einer Fehlermeldung abgebrochen. Dabei bleiben die Reports geschlossen und die Verbindung wird geschlossen.
  14. Die zuvor geschlossenen Reports werden wieder geöffnet.


Automatisierte Datenbanksicherungen verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Datenbanksicherungen können automatisiert ausgeführt werden. Diese Sicherungsdateien können in einem eigenen Dialog verwaltet werden.

Hinweis: Automatisierte Datenbanksicherungen sollten so konfiguriert werden, dass sie dann laufen, wenn der Analyzer Server nichts zu tun hat. Dabei müssen auch Report-Abonnements beachtet werden. Werden z.B. auf einem Analyzer Server jeden Sonntag um 02:00:00 Abonnements abgearbeitet, dann ist das kein geeigneter Zeitpunkt für das Durchführen einer Datenbanksicherung.

Um eine automatisierte Sicherung einzurichten oder zu bearbeiten:

  1. öffnen Sie das Menü SQL-Server
  2. wählen Sie den Eintrag Automatisierte Datenbanksicherungen verwalten
  3. der Dialog zur Verwaltung automatisierter Sicherungen wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Symbol

Zeigt an, ob der Sicherungsauftrag aktiv oder inaktiv ist.

Liste der Sicherungsaufträge

Tabelle aller erkannten Sicherungsaufträge. Angezeigt werden:

  • Name: Eindeutiger Name des Sicherungsauftrags. Groß-/Kleinschreibung wird nicht überprüft.
  • Beschreibung: Individuelle Beschreibung des Auftrags.
  • Statusinformation: Hinweis, ob der Sicherungsauftrag aktiv ist, wann er das letzte Mal ausgeführt wurde und was das Ergebnis der letzten Ausführung war.
  • Zeitplan: Beschreibung des zugeordneten Zeitplans.
  • Speicherpfad: Pfad für Datenbanksicherungsdateien.
  • Inkludierte Datenbanken: Auflistung der zu sichernden Datenbanken plus Hinweis, ob und auf wie viele Dateien die Anzahl der Datenbanksicherungsdateien begrenzt ist.

Es kann immer nur ein Auftrag ausgewählt werden.

Aktualisieren

Aktualisiert den Inhalt der Liste.

Neu

Legt einen neuen Sicherungsauftrag an.

Dazu wird ein Dialog geöffnet mit der Konfiguration für:

  • Allgemeine Einstellungen
  • Datenbanken
  • Zeitpläne der Aufträge

Bearbeiten

Öffnet den ausgewählten Sicherungsauftrag zur Bearbeitung mit dem Dialog für:

  • Allgemeine Einstellungen
  • Datenbanken
  • Zeitpläne der Aufgaben

Löschen

Löscht den ausgewählten Sicherungsauftrag nach einer Sicherheitsabfrage.

Aufgabe aktivieren

Aktiviert den ausgewählten Sicherungsauftrag.

Aufgabe deaktivieren

Deaktiviert den ausgewählten Sicherungsauftrag.

Schließen

Schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Sicherungsaufträge anlegen und bearbeiten

Sicherungsaufträge werden in einem Dialog mit drei Registerkarten konfiguriert. Der Dialog wird bei Klick auf die Schaltfläche Neu oder Bearbeiten geöffnet.

Screenshots - Expanding

Parameter

Beschreibung

Allgemeine Einstellungen

Konfiguration der allgemeinen Einstellungen für eine Datenbanksicherung.

Datenbanken

Auswahl der zu sichernden Datenbanken.

Zeitpläne der Aufträge

Zeitpläne für die Sicherung mit Details für:

  • Allgemeine Einstellungen
  • Wiederholung
  • Wiederholung im Tag
  • Dauer

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Screenshots - Expanding

Parameter

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA2: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA2: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35

Noch in diesem Kapitel

Allgemeine Einstellungen

Datenbanken

Zeitpläne der Aufträge

Beispiel automatisierte Datenbanksicherung


Allgemeine Einstellungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Allgemeine Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarten werden allgemeine Einstellungen für automatisierte Sicherungsaufträge konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Name des Datenbanksicherungsauftrag | Eingabe eines eindeutigen Namens für den Datenbanksicherungsauftrag.
Beschreibung des Datenbanksicherungsauftrag | Eingabe einer Beschreibung für des Datenbanksicherungsauftrags.
Datenbanksicherungsauftrag ist aktiviert | Aktiv: Der Auftrag wird entsprechend ihrer Konfiguration und ihres Zeitplans ausgeführt.
Ordner für Datenbanksicherungsdateien | Ordner, in dem die Sicherungsdateien gespeichert werden. Nur Anzeige. Pfad und Anzahl der Sicherungen werden im Menü Optionen, in der Registerkarte Datenbanksicherungen der Einstellungen festgelegt.
Maximale Anzahl an Datenbanksicherungsdateien | Maximale Anzahl der Sicherungsdateien, die gespeichert werden. Nur Anzeige. Pfad und Anzahl der Sicherungen werden im Menü Optionen, in der Registerkarte Datenbanksicherungen der Einstellungen festgelegt.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Datenbanken

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Datenbanken

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die zu sichernden Datenbanken ausgewählt.

Screenshots - Expanding

Parameter

Beschreibung

Verfügbare Datenbanken

Liste der Datenbanken, die für den Sicherungsauftrag ausgewählt werden können. Bereits ausgewählte Datenbanken werden in dieser Liste nicht mehr angezeigt.

Schaltflächen für Zuweisung

Schaltflächen, um Datenbanken zwischen Listen zu verschieben:

  • >: Verschiebt markierte Datenbanken zur Liste Inkludierte Datenbanken.
  • >>: Verschiebt alle Datenbanken zur Liste Inkludierte Datenbanken.
  • <: Verschiebt markierte Datenbanken zur Liste Verfügbare Datenbanken.
  • <<: Verschiebt alle Datenbanken zur Liste Verfügbare Datenbanken.

Inkludierte Datenbanken

Liste der Datenbanken, die mit dieser Aufgabe gesichert werden.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Zeitpläne der Aufträge

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Zeitpläne der Aufträge

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zeitpläne für die Sicherungsaufträge konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Existierende Auftragszeitpläne | Listet alle für diesen Auftrag angelegten Zeitpläne auf.
Beschreibung des gewählten Zeitplans | Zeigt Details des in der Liste Existierende Auftragszeitpläne ausgewählten Zeitplans an.
Neu | Öffnet Dialog zum Anlegen eines neuen Zeitplans.
Bearbeiten | Öffnet Dialog zum Bearbeiten des ausgewählten Zeitplans.
Löschen | Löscht den ausgewählten Zeitplan.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Zeitplan neu anlegen oder bearbeiten

Klick auf die Schaltfläche neu oder Bearbeiten öffnet den Dialog zum Konfigurieren eines Zeitplans:

Screenshots - Expanding

Registerkarten | Beschreibung
Allgemeine Einstellungen | Allgemeine Einstellungen für den Zeitplan.
Wiederholung | Konfiguration des Wiederkehrverhaltens für Tage. Die zur Verfügung stehenden Kontrollelemente hängen ab von der Auswahl des Wiederholungsmusters in der Registerkarte Allgemeine Einstellungen.
Wiederholung im Tag | Konfiguration des Wiederkehrverhaltens innerhalb eines Tags. Die zur Verfügung stehenden Kontrollelemente hängen ab von der Auswahl des Wiederkehrschemas in der Registerkarte Allgemeine Einstellungen.
Dauer | Konfiguration des Zeitbereichs, in dem der Zeitplan aktiv ist
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: In ZAMS sind nur wiederkehrende Zeitpläne konfigurierbar, da Zeitplantypen wie Einmal ausführen, Immer wenn sich die CPU im Leerlauf befindet oder Immer bei Start des SQL Server Agent Dienstes sich nicht für die Durchführung einer regelmäßigen automatisierten Datenbanksicherung eignen.

Noch in diesem Kapitel

Allgemeine Einstellungen

Wiederkehr

Wiederholung im Tag

Dauer


Allgemeine Einstellungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Zeitpläne der Aufträge -> Allgemeine Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird das Muster für die Wiederholung des Sicherungsauftrags konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Name des Zeitplans

Eingabe des Namens für den Zeitplan.

Wiederholungsmuster

Auswahl des Wiederholungsmusters aus Dropdownliste:

  • Täglich: Der Auftrag wird in bestimmten Tagesabständen ausgeführt.
  • Wöchentlich: Der Auftrag wird an bestimmten Wochentagen in bestimmten Wochenabständen ausgeführt.
  • Monatlich, Tag im Monat: Der Auftrag wird an einem bestimmten Tag in bestimmten Monatsabständen ausgeführt.
  • Monatlich, Tag in einer Woche im Monat: Der Auftrag wird einmal im Monat mit einem bestimmten Monatsabstand aktiv, und zwar an einem Wochentag in einer bestimmten Woche, z. B. jedes 3. Monat und dann am Montag in der dritten Woche dieses Monats.

Hinweis: Details werden jeweils in der Registerkarte Wiederholung konfiguriert.

Wiederholungsschema im Tag

Auswahl eines Wiederkehrschemas für den Tag. Dieses Schema bestimmt, wie oft und wann der Zeitplan an aktiven Tagen ein Ereignis auslöst. Auswahl aus Dropdownliste:

  • Einmalig: Der Zeitplan löst an aktiven Tagen genau einmal zu einem bestimmten Zeitpunkt ein Ereignis aus, z. B. um 02:00:00. Details werden in der Registerkarte Wiederholung im Tag konfiguriert.
  • Wiederkehrend: Der Zeitplan löst an aktiven Tagen in einem bestimmten Zeitbereich ein Ereignis periodisch mit einem bestimmten Abstand aus, z.B. alle 10 Minuten von 02:00:00 bis 05:00:00. Details werden in der Registerkarte Wiederholung im Tag konfiguriert.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Wiederkehr

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Zeitpläne der Aufträge -> Wiederkehr

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird das Wiederholungsmuster konfiguriert. Die zur Verfügung stehenden Optionen hängen ab von der Konfiguration in der Registerkarte Allgemeine Einstellungen. Zur Verfügung stehen:

  • Täglich: Die Aufgabe wird in bestimmten Tagesabständen ausgeführt.
  • Wöchentlich: Die Aufgabe wird an bestimmten Wochentagen in bestimmten Wochenabständen ausgeführt.
  • Monatlich, Tag im Monat: Die Aufgabe wird an einem bestimmten Tag in bestimmten Monatsabständen ausgeführt.
  • Monatlich, Tag in einer Woche im Monat: Die Aufgabe wird einmal im Monat mit einem bestimmten Monatsabstand aktiv, und zwar an einem Wochentag in einer bestimmten Woche.

Konfiguration "Täglich"

Screenshots - Expanding

Parameter

Beschreibung

Tage

Konfiguration, der wievielte Tag jeweils ein Tag mit aktivem Zeitplan ist. Manuelle Eingabe oder Konfiguration über Pfeiltasten.

  • Minimum: 1
  • Maximum: 99

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Wöchentlich"

Screenshots - Expanding

Parameter

Beschreibung

Wochen

Konfiguration, in der wievielten Woche, die in der Option Tage in der Woche gewählten Wochentage aktiv sind. Manuelle Eingabe oder Konfiguration über Pfeiltasten:

  • Minimum: 1
  • Maximum: 99

Tage in der Woche

Auswahl der Wochentage, an denen der Auftrag ausgeführt wird. Auswahl durch Aktivierung der Checkbox.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Monatlich, Tag im Monat"

Screenshots - Expanding

Parameter

Beschreibung

Tag im Monat

Auswahl des aktiven Tags im Monat. Manuelle Eingabe oder Auswahl über Pfeiltasten:

  • Minimum: 1
  • Maximum: 31

Monate

Auswahl des Monatsabstands zwischen aktiven Tagen. Manuelle Eingabe oder Auswahl über Pfeiltasten:

  • Minimum: 1
  • Maximum: 99

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Monatlich, Tag in einer Woche im Monat"

Screenshots - Expanding

Parameter

Beschreibung

Tag in der Woche

Auswahl des Wochentages, an dem der Zeitplan aktiv ist, aus Dropdownliste:

  • Montag
  • Dienstag
  • Mittwoch
  • Donnerstag
  • Freitag
  • Samstag
  • Sonntag
  • Täglich
  • Wochentag
  • Wochenendtag

Woche im Monat

Auswahl einer Woche im Monat, in welcher der zuvor gewählte Tag aktiv ist, aus Dropdownliste:

  • Erste Woche
  • Zweite Woche
  • Dritte Woche
  • Vierte Woche
  • Letzte Woche

Monate

Auswahl des Monatsabstands zwischen aktiven Tagen. Manuelle Eingabe oder Auswahl über Pfeiltasten:

  • Minimum: 1
  • Maximum: 99

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Wiederholung im Tag

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Zeitpläne der Aufträge -> Wiederholung im Tag

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird das Wiederkehrschema für den Tag konfiguriert. Dieses Schema bestimmt, wie oft und wann der Zeitplan an aktiven Tagen ein Ereignis auslöst. Die zur Verfügung stehenden Optionen hängen ab von der Konfiguration in der Registerkarte Allgemeine Einstellungen. Zur Verfügung stehen:

  • Einmalig: Der Zeitplan löst an aktiven Tagen genau einmal zu einem bestimmten Zeitpunkt ein Ereignis aus.
  • Wiederkehrend: Der Zeitplan löst an aktiven Tagen in einem bestimmten Zeitbereich ein Ereignis periodisch mit einem bestimmten Abstand aus.

Konfiguration "Einmalig"

Screenshots - Expanding

Parameter | Beschreibung
Zeitplan kommt um | Auswahl des Zeitpunkts in Stunden, Minuten und Sekunden, wann der Zeitplan an aktiven Tagen ein Ereignis auslöst. Manuelle Eingabe oder Auswahl über Pfeiltasten.
Anzeige der Konfiguration | Zeigt die aktuelle Konfiguration des Zeitplans an.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Wiederkehrend"

Screenshots - Expanding

Parameter

Beschreibung

Quantität der Wiederholung

Anzahl der Wiederholungen. Manuelle Eingabe oder Konfiguration über Pfeilelemente:

  • Minimum: 1
  • Maximum: 99

Granularität der Wiederholung

Granularität der Wiederholungsperiode. Auswahl aus Dropdownliste:

  • Sekunde(n)
  • Minute(n)
  • Stunde(n)

Wiederholung startet um

Definiert Startzeitpunkt der Aktivitätsperiode des Zeitplans an aktiven Tagen. Manuelle Eingabe oder Konfiguration über Pfeilelemente.

Wiederholung endet um

Definiert Endzeitpunkt der Aktivitätsperiode des Zeitplans an aktiven Tagen. Manuelle Eingabe oder Konfiguration über Pfeilelemente.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Dauer

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Zeitpläne der Aufträge -> Dauer

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird die Gültigkeitsdauer des Zeitplans konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Zeitplan beginnt am

Konfiguration des Beginns der Gültigkeit für diesen Zeitplan. Manuelle Eingabe oder Auswahl aus Dropdown-Kalender.

Nur Tage, ab diesem Datum können aktive Tage werden.
Zum Beispiel: Startdatum 1. April 2014. Der erste Sicherungsauftrag kann am 1. April um 00:00:00 gestartet werden.

Zeitplan endet am

Aktiv: Für diesen Zeitplan wird ein Ablaufdatum festgelegt. Manuelle Eingabe oder Auswahl aus Dropdown-Kalender.

Nur Tage, die vor diesem Datum liegen, können aktive Tage werden. Zum Beispiel: Enddatum 1. Mai 2014. Der letzte Sicherungsauftrag kann am 30. April um 23:59:59 gestartet werden.

Das Enddatum muss größer als das Startdatum sein.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Beispiel automatisierte Datenbanksicherung

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Automatisierte Datenbanksicherungen verwalten -> Beispiel automatisierte Datenbanksicherung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für ein Beispiel zur automatisierten Datenbanksicherung wird angenommen:

  • Am 1. 1. 2013 wird ein Analyzer Server in Betrieb genommen.
    • Die Datenbanken am Server sollen jeden Sonntag um 20:00:00 gesichert werden.
    • Dabei entstehen keine Konflikte mit Abonnements, da diese erst am Montag um 02:00:00 beginnen.
    • Es sollen pro Datenbank jeweils die letzten 10 Sicherungsdateien behalten werden.
  • Am 11.3.2013 wird festgestellt, dass der Server am 10.3.2013, noch vor der Durchführung der Backups, einen Hardwareschaden an den Festplatten hatte.
    • Nach Austausch der Platten sollen die letzten Backups vor dem Hardwareschaden rückgelesen werden.
    • Die von den fehlerhaften Festplatten erstellten Backups sollen gelöscht werden.

Das Beispiel besteht aus 3 Schritten:

  1. Automatisiertes Backup Konfigurieren
  2. Unbrauchbare Sicherungsdateien löschen
  3. Korrekte Sicherungen zurücklesen

Automatisches Backup Konfigurieren

  1. Im ZAMS wird die Verwaltung automatisierter Datenbanksicherungen gestartet.
  2. Darin wird der Ablauf zum Erzeugen eines neuen automatisierten Datenbanksicherungsauftrags gestartet.
  3. Es werden alle Datenbanken in den neuen Auftrag inkludiert.
  4. Der Zeitplan des neuen Auftrags wird so eingestellt, dass der Auftrag immer am Sonntag um 02:00:00 durchgeführt wird, also:
    • wöchentlich, mit einer Woche Abstand
    • nur Sonntag aktiver Tag
    • einmal pro aktivem Tag ausführen, und zwar um 02:00:00
  5. Der neue Datenbanksicherungsauftrag wird ausgeführt.

Unbrauchbare Dateien löschen

  1. Im ZAMS wird die Verwaltung der Datenbanksicherungsdateien gestartet.
  2. Die Dateiliste wird nach Zeitstempeln sortiert.
  3. Dadurch werden die am 10.3.2013 erstellten Sicherungen gruppiert.
  4. Die Sicherungsdateien vom 10.3.2013 werden gelöscht.

Sicherungen wiederherstellen

  1. Im ZAMS wird der Ablauf zum Rücklesen von Datenbanksicherungen gestartet.
  2. Alle Datenbanken werden markiert.
  3. Da automatisch die aktuellste Sicherungsdatei vorgewählt wird (vom 3.3.2013, da die Dateien vom 10.3.2013 gelöscht wurden), kann das Rücklesen jetzt mit Klick auf OK angestoßen werden.


Datenbanksicherungsdateien verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Datenbanksicherungsdateien verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Automatisiert und manuell angelegte Sicherungen können in einem eigenen Dialog verwaltet werden.

Um Datenbanksicherungen zu verwalten:

  1. öffnen Sie das Menü SQL-Server
  2. wählen Sie den Eintrag Datenbanksicherungsdateien verwalten
  3. der Dialog zur Verwaltung der Sicherungsdateien wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Tabelle der Sicherungsdateien

Zeigt alle erstellen Sicherungsdateien mit folgenden Informationen an:

  • Name der Sicherungsdatei: Dateinamen im vollständigen UNC Format
  • Datenbankname: Namen der Datenbank, zu der die Datei gehört
  • Datum und Uhrzeit der Sicherung: Zeitstempel der Datenbanksicherung, die in der Datei liegt
  • Status der Sicherung: Statustext, ob die Prüfsumme der Sicherung gültig ist. Ungültig bedeutet beschädigte Sicherungsdatei.

Es kann jeweils eine Datei ausgewählt werden.

Trennleiste

Trennt beide Tabellen und kann mit der Maus verschoben werden, um den Anzeigebereich einer Tabelle zu vergrößern.

Tabelle der Eigenschaften

Zeigt Details zur Datei, die in der oberen Tabelle gewählt wurde. Die Tabelle enthält Namen und Werte der Eigenschaften.

Details zu diesen Eigenschaften lesen Sie in:

http://msdn.microsoft.com/en-us/library/ms178536.aspx.

Aktualisieren

Aktualisiert die Ansicht.

Löschen

Löscht die ausgewählte Datei und aktualisiert die Ansicht.

Ordner öffnen

Öffnet den Ordner mit den Sicherungsdateien im Windows Explorer.

Schließen

Schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Screenshots - Expanding

Parameter

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA2: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA2: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Linked Server verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Linked Server verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Funktion ist verfügbar, wenn eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz besteht.

Beim Start dieser Funktion wird von der SQL Server Instanz eine Liste der Linked Server geholt. Diese List stammt von der Datenbank, mit der das ZAMS verbunden ist,

Screenshots - Expanding

Parameter | Beschreibung
Liste der Linked Server | Enthält alle Linked Server. Der Ausdruck in der Klammer enthält den Provider für die Verbindung.
New Microsoft SQL Server | Holt alle im Netzwerk verfügbaren SQL Server Instanzen und öffnet den Dialog zur Konfiguration eines Linked SQL Servers.
New Oracle Server | Öffnet den Dialog zur Konfiguration eines Linked Oracle Servers. Hinweis: Diese Schaltfläche ist nur aktiv, wenn auf der SQL Server Instanz der Oracle-OLEDB-Provider (OraOLEDB.Oracle) gefunden wird.
New ODBC Server | Öffnet den Dialog zur Konfiguration eines Linked ODBC Servers .
Delete | Löscht den in der Liste markierten Linked Server.
Close | Schließt den Dialog

Am SQL Server 2012 sind noch weitere Provider für Linked Server verfügbar. Ebenso sind Provider von Drittherstellern verfügbar, für die der Oracle OLE DB Provider ein Beispiel ist. Soll ein anderer Provider als einer der drei hier vorkonfigurierten, verwendet werden, kann der Linked Server manuell über das SQL Server Management Studio erstellt werden.

Ablauf bei der Erstellung eines Linked Servers

  1. Entsprechend der vom Dialog erhaltenen Daten wird das passende Skript zur Erstellung eines Linked Server ausgeführt.
  2. War dieses erfolgreich, wird die Verbindung zum Linked Server getestet.
  3. War auch dies erfolgreich, ist der Ablauf beendet.
  4. War der Verbindungstest nicht erfolgreich, wird der Benutzer per Nachrichtenfenster darauf hingewiesen und gefragt, ob er den Linked Server dennoch auf der Instanz belassen möchte.
  5. Entsprechend der Benutzerreaktion wird der Linked Server auf der Instanz belassen oder wieder gelöscht.

Alle Fehler- und Erfolgsnachrichten in diesem Prozess werden als Nachricht im Ausgabefenster angezeigt. Nach Ende des Ablaufs wird die Liste der Linked Server aktualisiert.

Konfiguration eines Linked SQL Servers

Screenshots - Expanding

Parameter | Beschreibung
Server | Eintrag für SQL Server Instanz. Entweder Auswahl aus Dropdownliste oder Angabe einer eigenen Instanz. Eintrag ist gleichzeitig der Name für den Linked Server, wie vom Provider vorgeschrieben.
Benutzername | Benutzername.
Passwort | Passwort. Wird nicht im Klartext dargestellt.
Abbrechen | Verwirft Eingaben und schließt Dialog.
OK | Übernimmt Einstellungen und schließt Dialog.

Konfiguration eines Linked Oracle Servers

Screenshots - Expanding

Parameter | Beschreibung
Linked server name | Namen des neuen Linked Oracle Servers. Der Name darf nicht bereits für einen existierenden Linked Server vergeben sein.
Product name | Beliebiger Produktname.
Data source | Verbindungsname für den Oracle OLEDB Provider. Details zu Installation und Parametrierung des Oracle Providers entnehmen Sie bitte der Oracle Dokumentation.
Username | Benutzername
Password | Passwort. Wird nicht im Klartext dargestellt.
Cancel | Verwirft Eingaben und schließt Dialog.
OK | Übernimmt Einstellungen und schließt Dialog.

Konfiguration eines Linked ODBC Servers

Screenshots - Expanding

Parameter | Beschreibung
Name Verbindungsserver | Namen des neuen Linked ODBC Servers. Der Name darf nicht bereits für einen existierenden Linked Server vergeben sein.
Produktname | Beliebiger Produktname.
Datenquelle (DSN) | Angabe des zu verwendenden DSN-Eintrags. Wird hier nichts eingegeben, muss im Feld Provider string der Provider String spezifiziert werden.
Provider-String | Angabe des zu verwendenden Provider Strings an. Wird hier nichts eingegeben, muss im Feld Data source (DSN) der DSN Eintrag spezifiziert werden.
Benutzername | Benutzername.
Passwort | Passwort. Wird nicht im Klartext dargestellt.
Abbrechen | Verwirft Eingaben und schließt Dialog.
OK | Übernimmt Einstellungen und schließt Dialog. Eines der beiden Felder Data source (DSN) und Provider string darf leer sein.


Metadaten-Indizes verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> SQL Server managen -> Metadaten-Indizes verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit die Metadaten-Indizes gewartet werden können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um die Metadaten-Indizes zu warten:

  1. wählen Sie im Menü SQL server den Befehl Metadata indices
  2. der Dialog mit der Anzeige der Fragmentierung der Metadaten-Indizes wird geöffnet

Die Größe des Fensters kann durch Ziehen mit der Maus angepasst werden. Position und Größe werden beim Speichern abhängig vom Benutzer und der ZAMS Version gespeichert.

Screenshots - Expanding

Parameter

Beschreibung

Tabelle

Tabellenname.

Index

Indexname.

Aufzeichnungen

Anzahl der Einträge im Index.

Seiten

Anzahl der Seiten, auf denen der Index gespeichert ist.

Interne Fragmentierung

Wert zeigt an, wie viele Prozent der Pages, auf denen der Index gespeichert ist, ungenutzt sind. Eine hohe interne Fragmentierung erhöht den Speicherplatz, den der Index belegt. Das kann die Indexperformance senken, da mehr Pages gelesen werden müssen. Kritische Werte werden farblich hervorgehoben:

  • gelb: Wert größer als 5 %
  • rot: Wert höher als 30 %

Indizes ohne Einträge haben immer eine interne Fragmentierung von 100 %. Indizes, die 1 oder 0 Pages belegen, sind von der Hervorhebung ausgeschlossen.

Externe Fragmentierung

Wert gibt an, wie viele der Pages des Index nicht durchgängig gespeichert sind.

Eine Page ist dann nicht durchgängig gespeichert, wenn ihre logische Position zwischen anderen Index-Pages im Index ungleich ihrer physischen Position zwischen anderen Index-Pages auf dem Speichermedium ist.

Eine hohe externe Fragmentierung verringert die Index-Performance, da beim Lesen des Index oft zwischen Speicherbereichen auf dem Speichermedium hin- und hergesprungen werden muss.

Kritische Werte werden farblich hervorgehoben:

  • gelb: Wert größer als 5 %
  • rot: Wert höher als 30 %

Indizes, die 1 oder 0 Pages belegen, haben immer eine externe Fragmentierung von 0 %.

Standardmäßig ist die Tabelle nach dieser Spalte absteigend geordnet.

Indexstatistik

Öffnet den Dialog zur Anzeige der Indexstatistiken.

Indexwartung

Öffnet den Dialog zur Indexwartung.

Schließen

Schließt den Dialog.

Indexstatistik

Screenshots - Expanding

Parameter | Beschreibung
Index | Auswahl des Index aus Dropdownliste. Abhängig von dieser Auswahl werden die folgenden Tabellen mit Daten befüllt.
Statistik-Kopfzeile | Header mit Metadaten.
Dichtevektor | Dichtevektor zum Messen der Korrelationen zwischen Spalten.
Histogram | Histogramm für Verteilung der Werte.
Schließen | Schließt Dialog.

Weiterführende Informationen zur Interpretation der Werte finden Sie zum Beispiel online auf:

  • MSDN: http://msdn.microsoft.com/en-us/library/ms174384(v=sql.90).aspx
  • SQL ServerCentral: http://www.sqlservercentral.com/articles/Stairway+Series/72446/ (Anmeldung erforderlich)

Indexwartung

Screenshots - Expanding

Parameter

Beschreibung

Index name

Name des Index.

Wartungsmaßnahme

Mögliche Wartungsaktionen. Beim Aufschalten wird für jeden Index die passende Wartungsaktion vorausgewählt. Im Regelfall kann der Dialog ohne Änderungen mit OK bestätigt werden.

Auswahl aus Dropdownliste:

  • No maintenance:
    Keine Aktion durchführen.
    Immer verfügbar.
  • Recompute index statistics:
    Erneuert die Statistiken.
    Nur verfügbar, wenn der Index mehr als 0 Pages belegt.
    Aktion muss kaum durchgeführt werden, da der SQL Server dafür gute Automatismen besitzt.
  • Reorganize index:
    Index reorganisieren. (Schließt Recompute index statistics ein.)
    Nur verfügbar, wenn der Index mehr als 0 Pages belegt.
  • Rebuild index:
    Baut den Index neu auf. (Schließt Recompute index statistics und Reorganize index ein.)
    Nur verfügbar, wenn der Index mehr als 0 Pages belegt.

OK

Führt die gewählten Aktionen durch und beendet den Dialog.

Abbrechen

Beendet den Dialog ohne eine Aktion durchzuführen.

Sollten eine Aktion fehlschlagen, wird vor dem Beenden ein Nachrichtenfenster mit den Indizes, deren Wartung fehlschlug, angezeigt.


Auswahl Ordner im Netzwerk

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Auswahl Ordner im Netzwerk

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Dialog zur Auswahl einer Netzwerkfreigabe wird angezeigt, wenn aus ZAMS ein Ordner im Netzwerk als Speicherort für Dateien ausgewählt wird. Die Anzeige des Dialogs und seine Inhalte werden vom Betriebssystem gesteuert.

Screenshots - Expanding

Parameter | Beschreibung
Anzeige Netzwerk | Zeigt Netzwerk an. Klick auf Ordner startet Suche nach Rechnern im Netzwerk und zeigt diese an. Da es etwas dauert, alle verfügbaren Rechner im Windows Netzwerk aufzulisten, kann der Knoten Netzwerk erst nach einigen Sekunden aufgeklappt werden.
OK | Übernimmt Auswahl und schließt Dialog.
Abbrechen | Verwirft Auswahl und schließt Dialog.

Screenshots - Expanding

Parameter | Beschreibung
Anzeige Netzwerk | Zeigt im Netzwerk vorhandene Rechner an. Klick auf Rechner zeigt freigegebene Ordner an. Klick auf Ordner markiert diesen zur Übernahme als Speicherort.
OK | Übernimmt Auswahl und schließt Dialog.
Abbrechen | Verwirft Auswahl und schließt Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Archivemulation

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im ZAMS können Sie Archive emulieren, die von Zählern aus Einträgen in AML, CEL und Archive in zenon abgeleitet werden. Ein emuliertes Archiv besteht aus Metadaten für Archive und Variablen. Diese werden entsprechend der Konfiguration periodisch berechnet.

Daten der emulierten Archive können unabhängig vom gewählten Connector direkt aus der Analyzer Datenbank gelesen werden. Für Reports ist die Datenherkunft - zenon Archiv oder emuliertes Archiv - transparent. Emulierte Archive werden im ZAMS konfiguriert.

attention Achtung

Emulierte Archive können nur mit Variablen aus zenon erstellt werden. Variablen aus Fremddatenbanken führen zu einer Fehlermeldung.

Archivemulation konfigurieren

Um die Archivemulation zu konfigurieren:

  1. Wählen Sie im Menü Automatisierung den Eintrag Archivemulation konfigurieren.
  2. Die aktuelle Konfiguration der emulierten Archive wird geladen.
  3. Der Dialog zur Verwaltung der emulierten Archive wird angezeigt.
  4. Klick auf die Schaltfläche OK übernimmt alle durchgeführten Änderungen.

info Info

Für die Konfiguration eines emulierten Archivs müssen die Metadaten mindestens enthalten:

  • ein Projekt
  • eine Variable

Für die Konfiguration einer emulierten Archivvariablen steht die Datenquelle Archiv nur dann zur Verfügung, wenn mindestens ein Archiv in den Metadaten vorhanden ist.

Konfigurationsdialog

Der Dialog zur Konfiguration zeigt beim Start alle vorhandenen emulierten Archive an.

Screenshots - Expanding

Parameter

Beschreibung

Liste Archive

Zeigt alle konfigurierten Archive an. Die Liste enthält:

  • Archivname: Name des Archivs
  • Projektname: Name des Projekts, dem das Archiv zugeordnet ist
  • Zykluszeit: konfigurierte Zykluszeit des Archive
  • Anzahl der Variablen: Zahl der Variablen im Archiv
  • Emulationsaufgabenausführung: Informationen über die letzte Ausführung des SQL Server Agent Jobs, der dem Archiv zugeordnet ist
  • Schaltflächen zum Erstellen, Bearbeiten und Löschen von emulierten Archiven

Neu

Öffnet den Dialog zur Erstellung eines neues Archivs.

Bearbeiten

Öffnet den Dialog zur Bearbeitung des ausgewählten Archivs.

X

Löscht das Archiv nach einer Sicherheitsabfrage.

Achtung: Mit der Archivkonfiguration werden auch alle Daten des Archivs gelöscht.

OK

Übernimmt Einstellungen und schließt den Dialog.

Damit schreibt das ZAMS die Änderungen in die Datenbank und zum SQL Server Agent. Treten Beim Schreiben der Konfiguration Fehler auf, werden diese im Ausgabefenster des ZAMS angezeigt.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Verwendung von Zeitstempel

Die Archivemulation verwendet Zeitstempel nur dann, wenn eine Variable einen Wert gewechselt hat. Es muss sichergestellt sein, dass alle Wertänderungen zur Verfügung stehen.

Für die AML gilt: Hier steht auch ein Zeitstempel für Alarm geht zur Verfügung. Dieser wird nicht verwendet, sondern durch den Zeitstempel für Alarm kommt des nächsten Alarms ersetzt.

Hintergrund: Für die Emulation wird ein konstanter Datenstrom der Basisvariablen benötigt. Es darf keinen Zeitpunkt geben, an dem die Variable keinen Wert hat. Bei Alarmen ist die Zeit für Alarm geht kleiner als die Zeit für Alarm kommt des nächsten Alarms. Fehlt ein Eintrag für eine Wertänderung der Basisvariablen, so ist für die Emulation immer noch der alte Wert gesetzt, da diese Wertänderung in den Basisdaten für die Emulation nicht auftaucht. Dadurch kann es zu einem Rechenfehler (Negativwerte) kommen.

Noch in diesem Kapitel

Bearbeitungsmodi

Emuliertes Archiv erstellen

Emuliertes Archiv bearbeiten

Hinweise für Report-Entwickler


Bearbeitungsmodi

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Bearbeitungsmodi

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Schaltflächen Neu und Bearbeiten öffnen den jeweiligen Konfigurationsdialog, abhängig vom Status des Archivs:

  • Neues Archiv erstellen: Ein komplett neues Archiv wird erstellt. Alle Einstellungen für Archiv-Variablen können modifiziert werden.
  • Neu erstelltes Archiv bearbeiten: Ein neu erstelltes Archiv, das noch nicht in die Datenbank geschrieben wurde, wird bearbeitet. Beziehungsweise ein Archiv, das bereits gespeichert und wieder bearbeitbar gemacht wurde.
    • Archiv: Alle Einstellungen können bearbeitet werden, ausgenommen zugeordnetes Projekt und Referenz.
    • Variablen: Alle Einstellungen können bearbeitet werden.
  • Bestehendes Archiv bearbeiten: Ein Archiv, das in einer vorangegangenen Konfiguration angelegt und gespeichert wurde, wird bearbeitet. Dieses wurde bereits in die Datenbank geschrieben und hat damit Einträge in den Metadatentabellen.
    • Standard:

      Archiv: Es kann ausschließlich die Datenberechnung geändert werden.

      Variablen: Werden nur lesend angezeigt.

    • Bearbeiten ermöglichen: Die Bearbeitung des Archivs kann ermöglicht werden, ausgenommen zugeordnetes Projekt und Referenz. Dabei werden vorhandene Daten gelöscht.


Emuliertes Archiv erstellen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein neues emuliertes Archiv zu erstellen:

  1. wählen Sie im Menü Automatisierung den Eintrag Archivemulation konfigurieren
  2. der Dialog zur Konfiguration emulierter Archive wird geöffnet

    Screenshots - Expanding

  3. klicken Sie auf das Symbol Neu, um ein neues Archiv zu erstellen
  4. der Dialog zur Konfiguration eines emulierten Archivs wird geöffnet

Screenshots - Expanding

Parameter | Beschreibung
Metadaten | Konfiguration der Metadaten.
Variablen | Konfiguration der Variablen.
Datenberechnung | Konfiguration der Datenberechnung.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Ablauf emuliertes Archiv erstellen

  1. Es wird sichergestellt, dass keine Reports mehr geöffnet werden können.
  2. Offene Reports werden nach einer Benutzerabfrage geschlossen. Wird das Schließen vom Benutzer abgelehnt, wird der Ablauf abgebrochen.
  3. Nicht gespeicherte Reports werden gespeichert.
  4. Ist danach noch mindestens ein Report mit nicht gepeicherten Änderungen vorhanden oder geöffnet, wird der Ablauf abgebrochen.
  5. Die notwendigen Metadaten werden aus der Datenbank gelesen. Tritt ein Fehler auf, wird der Ablauf abgebrochen.
  6. Die notwendige SQL Server Agent wird geladen. Tritt ein Fehler auf, wird der Ablauf abgebrochen.
  7. Das SQL Skript Template für den Kommandotext einer SQL Server Agent Archivemulationsaufgabe wird geladen. Tritt ein Fehler auf, wird der Ablauf abgebrochen.
  8. Die SQL Server Agent Aufgaben werden analysiert. Archivemulationsaufgaben werden je Archiv zwischengespeichert: genau eine Aufgabe pro Archiv. Kommt eine zweite Aufgabe für dasselbe Archiv, wird diese ignoriert. Eine SQL Server Agent Aufgabe ist eine Archivemulationsaufgabe, wenn die folgende Bedingungen erfüllt:
    • Sie ist der Kategorie „Data Collector" zugeordnet.
    • Sie beinhaltet genau einen Schritt.
    • Ihr Name folgt dem Muster „Calculate [ArchivID]".
    • Der Schritt verwendet das Subsystem „Transact SQL".
    • Die Archiv-ID kann aus dem Namen abgeleitet werden.
    • Der Kommandotext des Schrittes entspricht dem mit der Archiv-ID parametrierten SQL Skript Template.
    • Sie hat genau einen Zeitplan.
  9. Die Konfiguration aller emulierten Archive wird aus den Metadatentabellen gelesen. Jedem emulierten Archiv wird anschließend basierend auf der Archiv-ID die SQL Server Agent Archivemulationsaufgabe zugewiesen. Kann für ein Archiv keine solche Aufgabe gefunden werden, wird dieses mit einer Fehlermeldung übersprungen. Jeder andere Fehler führt zum Abbruch des Ablaufs.
  10. Der Dialog zur Verwaltung emulierter Archive wird mit den geladenen Daten angezeigt.Der Dialog wird vom Anwender konfiguriert. Tritt ein Fehler auf, wird der Ablauf abgebrochen.
  11. Der Anwender beendet den Dialog mit:
    • Abbrechen: Ablauf wird beendet.
    • OK: Ablauf wird fortgesetzt.
  12. Die Liste der zu löschenden Archive wird vom Dialog ausgelesen. Vorgang für jedes zu löschende Archiv:
    • Die SQL Server Agent Aufgabe des zu löschenden Archivs wird gelöscht. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
    • Sämtliche Tabelleneinträge aller Variablen im zu löschenden emulierten Archiv werden gelöscht. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
    • Sämtliche Tabelleneinträge des zu löschenden emulierten Archivs werden gelöscht. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
  13. Die Liste der bestehenden Archive wird vom Dialogobjekt ausgelesen. Vorgang für jedes emulierte Archiv:
    • Es wird geprüft, ob sich die Daten für das Holen der Basisvariablendaten geändert haben. Ist dies der Fall, so werden die Änderungen in die Datenbank geschrieben. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
    • Es wird geprüft, ob sich der Kalkulationszeitplan des Archivs geändert hat. Ist dies der Fall, so wird der bisherige Zeitplan der SQL Server Agent Aufgabe verworfen und ein neuer Zeitplan, der dem im Dialog eingestellten Zeitplan entspricht, wird für die SQL Server Agent Aufgabe erzeugt. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
    • Es wird geprüft, ob sich das Aktiv-Flag der SQL Server Agent Aufgabe geändert hat. Ist dies der Fall, so wird die Änderung in der SQL Server Agent Aufgabe nachgezogen. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
  14. Die Liste der neu anzulegenden Archive wird vom Dialog ausgelesen. Vorgang für jedes emulierte Archiv:
    • Die Metadaten und Emulationsdaten des Archivs werden in die Datenbank geschrieben. Tritt ein Fehler auf, wird dieser gemeldet und es wird zum nächsten Archiv in der Liste gesprungen.
    • Die Anlagengruppenzuweisungen des emulierten Archivs werden in die Datenbank geschrieben. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für dieses Archiv weiter.
    • Die Variablen des emulierten Archivs werden durchlaufen. Für jede Variable geschieht folgendes:

      Die Metadaten, die Emulationsdaten und die Archivzuweisung für die Variable werden geschrieben. Tritt ein Fehler auf, wird dieser gemeldet und es wird zur nächsten Variable im Archiv gesprungen.

      Die Basisvariablenregeln der emulierten Variablen und die Regeln für zusätzliche Reset-Events werden in die Datenbank geschrieben. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für diese Variable weiter.

      Die Anlagengruppenzuweisungen der emulierten Variablen werden in die Datenbank geschrieben. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für diese Variable weiter.

      Die zugewiesenen Meanings der emulierten Variablen werden in die Datenbank geschrieben. Tritt ein Fehler auf, wird dieser gemeldet, der Ablauf geht jedoch für diese Variable weiter.

    • Die notwendigen SQL Elemente werden in der Datenbank erzeugt. Sollte dieser Schritt im derzeitigen Ablauf bereits für ein vorhergehendes Archiv ausgeführt worden sein (egal ob erfolgreich oder nicht), wird er übersprungen.
    • Die SQL Server Agent Aufgabe für die Berechnung der Daten des emulierten Archivs wird mit dem eingestellten Zeitplan angelegt.
  15. Caches werden entleeren.
  16. Reports von allen gemerkten Pfaden werden geöffnet.
  17. Abschlussnachricht wird ausgegeben.

Noch in diesem Kapitel

Metadaten

Variablen

Datenberechnung


Metadaten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Metadaten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Metadaten konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Projektname

Auswahl aus der Dropdownliste mit allen vorhandenen Projektnamen.

Für neue Projekte wird standardmäßig das erste eingetragene Projekt gewählt.

Achtung: Wird diese Auswahl geändert und befinden sich bereits Variablen in der Variablenliste, so wird diese entleert!

Kennung

Eingabe der Kennung für das Archiv.

  • Maximale Länge: 128 Zeichen
  • Darf nicht leer sein.
  • Darf nicht von einem anderen Archiv, das demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Anzeigename

Eingabe des Anzeigenames des Archivs.

  • Maximale Länge: 128 Zeichen
  • Darf nicht leer sein.
  • Darf nicht von einem anderen Archiv, das demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Detailinfomation

Eingabe der Beschreibung des Archivs.

  • Maximale Länge: 256 Zeichen

Archiv beginnt am

Festlegung von Datum und Uhrzeit für den Archivstart.

  • Datum: Eingabe des Datums oder Auswahl aus Kalender.
  • Uhrzeit: Eingabe der Uhrzeit oder Einstellung mit Pfeiltasten.

Eingabe in UTC.

Frühester Zeitpunkt: 1.1.2013 00:00:00

Zykluszeit

Festlegung der Zykluszeit für das Archiv. Eingabe des Intervalls oder Einstellung mit Pfeiltasten.

Wert muss größer als 0 sein

Default: 1 Minute

Zugewiesene Anlagengruppen

Zuordnung von Anlagengruppen zum Archiv. Auswahl durch Aktivierung der Checkbox vor der gewünschten Anlagengruppe.

Klick auf das Zeichen + expandiert Gruppe.

Default: Keine Zuordnung.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Hinweis: Leere Pflichtfelder und Felder, deren Validierung negativ ist, werden rot hinterlegt angezeigt.

Unterschiede bei Bearbeitung neuer Archive

Werden bereits erstellte, aber noch nicht gespeicherte, Archive bearbeitet, weist der Dialog folgende Unterschiede auf:

  • Alle Felder: Die bereits gesetzten Werte werden statt der Standardwerte angezeigt.
  • Projektname: Die Dropdownliste zur Projektauswahl ist deaktiviert.
  • Kennung: Die Eingabe für die Referenz ist deaktiviert.
  • Zugewiesene Anlagengruppen: Verfügt das Anlagenmodell oder eines seiner Elemente über eine eine aktive Zuordnung, dann wird der komplette Zweig der Gruppe angezeigt.

Unterschiede bei Bearbeitung gespeicherter Archive

Werden bereits gespeicherte Archive bearbeitet, weist der Dialog standardmäßig folgende Unterschiede auf:

  • Alle Felder: Die bereits gesetzten Werte werden statt der Standardwerte angezeigt.
  • Alle Eingabemöglichkeiten sind deaktiviert.

Die Bearbeitung bereits gespeicherter Archive kann wieder aktiviert werden.


Variablen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden emulierte Variablen angelegt und bearbeitet.

Bei der Validierung des Dialogs zum Erstellen eines emulierten Archivs muss mindestens eine emulierte Variable vorhanden sein. Emulierte Variablen, welche die gleiche Basisvariable haben, müssen auch die gleiche Datenherkunft haben. Das schließt auch Variablen ein, die zusätzliche Zurücksetzereignisse für Absolutzähler liefern. Variablen könne auch dupliziert werden.

Screenshots - Expanding

Parameter

Beschreibung

Variablenliste

Zeigt alle konfigurierten Variablen an. Die Liste enthält:

  • Anzeigename: Name, mit dem die Variable angzeigt wird
  • Anzeigename der Basisvariablen: Name der Variablen für die Werteberechnung
  • Typ der emulierten Variablen:
  • Datenquelle: Herkunft der Basisvariablen

Beim Erstellen eines neuen Archivs ist diese Liste standardmäßig leer.

Symbol: Neu

Öffnet den Dialog zum Anlegen neuer Variablen.

Symbol: Duplizieren

Erstellt auf Basis der ausgewählten Variablen eine neue Variable und öffnet den Dialog zur Konfiguration der Variablen. Dieser Dialog ist mit den Werten des Basisvariablen befüllt. Name und Anzeigename der Variablen müssen eindeutig sein. In der duplizierten Variablen werden diese mit Zahlen in Klammern eindeutig gemacht.

Symbol: Bearbeiten

Öffnet den Dialog zum Bearbeiten der ausgewählten Variablen.

Symbol: Löschen

Löscht die ausgewählte Variable.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Unterschiede bei Bearbeitung gespeicherter Archive

Werden bereits gespeicherte Archive bearbeitet, weist der Dialog folgende Unterschiede auf:

Screenshots - Expanding

  • Es können keinen neuen Variablen angelegt werden.
  • Es können keine Variablen gelöscht werden.
  • Es können keine Variablen bearbeitet werden.
  • Das Symbol Anzeigen ermöglicht es, die Konfiguration der Variablen anzuzeigen.

Noch in diesem Kapitel

Emulationskonfiguration

Metadaten

Zugewiesene Anlagengruppen

Zugewiesene Bedeutungen

Basisvariablenregeln

Zusätzliche Zurücksetzereignisse


Emulationskonfiguration

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen -> Emulationskonfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die emulierten Variablen angelegt.

Screenshots - Expanding

Parameter

Beschreibung

Typ der emulierten Variablen

Auswahl des Typs der emulierten Variable aus Dropdownliste. Je nach gewähltem Typ werden alle oder nur ausgewählte Registerkarten angezeigt und Optionen eventuell deaktiviert.

Emulationstypen:

  • Absoluter Zeitzähler
    Alle Registerkarten werden angezeigt.
    Default bei Erstkonfiguration.
  • Relativer Zeitzähler
    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Absoluter Ereigniszähler
    Alle Registerkarten werden angezeigt.
  • Relativer Ereigniszähler
    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Summe
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Zeitkorrigierter Mittelwert
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Minimum
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Maximum
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Differenzzähler
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

Weitere Informationen zu den Emulationstypen siehe Abschnitt Details Emulationstypen.

Initialwert

Eingabe des Initialwerts der Variable zum Zeitpunkt des Archivstarts.

Nur verfügbar, wenn der Typ der emulierten Variablen ein Absolutzähler ist (Absoluter Zeitzähler, Absoluter Ereigniszähler).

  • Minimum: 0
  • Maximum: 1000000

Zeitzählerauflösung (Sekunden)

Auflösung des Zeitzählers in Sekunden.

Nur verfügbar, wenn der Typ der emulierten Variablen ein Zeitzähler ist (Absoluter Zeitzähler, Relativer Zeitzähler).

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Beispiele:

  • 60: Minutenzähler
  • 3600: Stundenzähler
  • 86400: Tageszähler

Datenquelle

Auswahl einer Datenquelle für die Basisvariable aus Dropdownliste:

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archiv

Quellarchiv

Auswahl eines Quellarchivs aus Dropdownliste. Die Liste enthält alle Archive des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Nur verfügbar, wenn als Datenquelle Archiv gewählt wurde.

Basisvariable

Auswahl einer Basisvariablen aus Dropdownliste, deren Werte die Werte der emulierten Variablen abgeleitet werden.

Abhängig von der Datenquelle stehen zur Verfügung für:

  • Datenquelle Alarmmeldeliste oder Chronologische Ereignisliste: Alle verfügbaren Variablen des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Variablen ein, die bereits in den Metadaten gespeichert wurden.
  • Datenquelle Archiv: Alle Variablen, die in den Metadaten dem Archiv mit einer Verdichtung von Rohwert (0) zugeordnet sind. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Initialwert der Basisvariablen

Eingabe des Initialwerts der Basisariablen zum Zeitpunkt des Archivstarts.

  • Minimum: 0
  • Maximum: 1000000

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Details Emulationstypen

In der Registerkarte Emulationskonfiguration stehen in der Dropdownliste Typ der emulierten Variablen 8 Emulationstypen zur Auswahl.

Für alle Emulationstypen gilt: Liegt am Beginn der Archivkapsel kein Wert vor (Wertänderung erfolgte exakt mit dem Startzeitpunkt der Archivkapsel), dann wird maximal bis zum Startzeitpunkt des emulierten Archivs versucht, einen gültigen Wert vor dem Start der Archivkapsel für die Basisvariable zu finden. Wird ein entsprechender Wert gefunden, so wird dieser zum Startzeitpunkt der Archivkapsel verwendet. Anderenfalls wird der konfigurierte Initialwert verwendet.

Mögliche Werte für Emulationstypen:

  • Absoluter Zeitzähler

    In jeder Archivkapsel des emulierten Archivs wird mit der eingestellten Zeitzählerauflösung gezählt, wie lange die Basisvariable in einem der durch die Basisvariablenregeln festgelegten Zustände war. Der Zähler kann durch die definierten Zurücksetzregeln (Registerkarten Basisvariablenregeln und Zusätzliche Zurücksetzereignisse) auf 0 gesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: Endwert der letzten Archivkapsel.

    Alle Registerkarten werden angezeigt.

  • Relativer Zeitzähler

    In jeder Archivkapsel des emulierten Archivs wird mit der eingestellten Zeitzählerauflösung gezählt, wie lange die Basisvariable in einem der durch die Basisvariablenregeln festgelegten Zustände war. Ein Relativzähler kann nicht auf 0 zurückgesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: immer 0.

    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Absoluter Ereigniszähler

    In jeder Archivkapsel des emulierten Archivs wird gezählt, wie oft die Basisvariable in einen der durch die Basisvariablenregeln festgelegten Zustände gewechselt hat. Der Zähler kann durch die definierten Zurücksetzregeln (Registerkarten Basisvariablenregeln und Zusätzliche Zurücksetzereignisse) auf 0 gesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: Endwert der letzten Archivkapsel.

    Alle Registerkarten werden angezeigt.

  • Relativer Ereigniszähler

    In jeder Archivkapsel des emulierten Archivs wird gezählt, wie oft die Basisvariable in einen der durch die Basisvariablenregeln festgelegten Zustände gewechselt hat. Ein Relativzähler kann nicht auf 0 zurückgesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: immer 0.

    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Summe

    In jeder Archivkapsel werden alle Werte der Basisvariablen aufsummiert. Die Summe wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Zeitkorrigierter Mittelwert

    In jeder Archivkapsel wird der zeitkorrigierte Mittelwert aller Werte der Basisvariablen in der Archivkapsel berechnet. Der zeitkorrigierte Mittelwert wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Minimum

    In jeder Archivkapsel wird das Minimum aller Werte der Basisvariablen in der Archivkapsel berechnet. Das Minimum wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Maximum

    In jeder Archivkapsel wird das Maximum aller Werte der Basisvariablen in der Archivkapsel berechnet. Das Maximum wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Differenzzähler

    Rechnet einen in zenon oder in der Archivemulation aufgezeichneten Absoluten Zeitzähler in einen Relativen Zeitzähler um.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
    Details zur Berechnung für Entwickler finden Sie im Kapitel Ablauf Differenzzähler im Handbuch zenon Analyzer für Entwickler.

info Info

Bei zyklischen Archiven in zenon werden Millisekunden nicht verwendet. Sie werden zwar berechnet, aber auf >0 gesetzt. Ausnahme: Ersatzwerte.

Das muss beim Holen der Daten berücksichtigt werden. Da die minimale Lesezykluszeit eines zyklischen Archivs 1 Sekunde ist, kann maximal 1 Wert pro Sekunde kommen.


Metadaten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen -> Metadaten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Metadaten konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Variablenname

Eingabe des Variablennamens:

  • Maximale Länge: 128 Zeichen.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.
  • Darf nicht von einer anderen Variablen, die demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Anzeigename

Eingabe des Anzeigenamens der Variablen.

  • Maximale Länge: 128 Zeichen
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.
  • Darf nicht von einer anderen Variablen, die demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Beschreibung

Beschreibung der Variablen.

Maximale Länge: 256 Zeichen

Maßeinheit

Maßeinheit der Variablen.

Maximale Länge: 50 Zeichen

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Hinweis: Leere Pflichtfelder und Felder, deren Validierung negativ ist, werden rot hinterlegt angezeigt.


Zugewiesene Anlagengruppen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen -> Zugewiesene Anlagengruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Anlagengruppen konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Baum mit Anlagengruppen

Auswahl der gewünschten Anlagengruppen aus Baumstruktur. Auswahl erfolgt durch Aktivierung der Checkboxen vor den gewünschten Gruppen.

  • Anzeige bei Neuerstellung: geschlossener Baum
  • Anzeige bei Bearbeitung: alle aktivierten Gruppen werden angezeigt und deren Zweige ausgeklappt

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Zugewiesene Bedeutungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen -> Zugewiesene Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Eingabefeld | Eingabe einer Bedeutung. Maximale Länge: 50 Zeichen
Hinzufügen | Klick auf Schaltfläche fügt Bedeutung aus dem Eingabefeld zur Liste der Bedeutungen hinzu.
Liste der Bedeutungen | Enthält alle zugewiesenen Bedeutungen. Mehrfachauswahl mit den Tasten Ctrl+linker Mausklick bzw. Umschalt+linker Mausklick ist möglich.
Entfernen | Entfernt alle markierten Einträge aus der Liste der Bedeutungen.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Basisvariablenregeln

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen -> Basisvariablenregeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Regeln für die Basisvariablen konfiguriert.

Nur verfügbar für folgende Typen emulierter Variablen:

  • Absoluter Zeitzähler
  • Relativer Zeitzähler
  • Absoluter Ereigniszähler
  • Relativer Ereigniszähler

Screenshots - Expanding

Parameter

Beschreibung

Liste der Regeln

Anzeige der konfigurierten Regeln.

Bei neu angelegten Variablen ist die Liste leer. Bei bereits existierenden Variablen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert
  • Setzt Zähler zurück

Zusätzlich zu konfigurierten Regeln wird immer eine leere Regel angeboten, wenn der Dialog wurde in einem editierbaren Modus geöffnet wird und die Regeln (Reset) das zulassen.

In einer leeren Regel sind alle Kontrollelemente, ausgenommen der Vergleichstyp, deaktiviert.

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Gleich (=)
  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Ungleich (!=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts.

Zähler zurücksetzen
  • Aktiv: Zähler wird zurückgesetzt, wenn die Regel erfüllt wird.

Nur verfügbar, wenn der Typ der emulierten Variablen ein Absolutzähler ist (Absoluter Zeitzähler, Absoluter Ereigniszähler).

Symbol: Löschen

Klick auf Schaltfläche löscht Regel.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]

Hinweis zur Validierung

Bei der Validierung der Eingaben vor Erstellung der Variablen dürfen sich die gesetzten Regeln nicht überschneiden.

Beispiele für Überschneidungen:

  • 2 oder mehr Regeln sind auf Gleich (=) gesetzt und haben den selben Wert.
  • 1 oder mehr Regeln ist auf Gleich (=) gesetzt und hat einen Wert, der Größer (>)/Kleiner oder gleich (<=) dem Vergleichswert einer existierenden Größer (>)/Kleiner oder gleich (<=) Regel ist.
  • 2 Regeln verwenden beide einen größer Vergleich (egal ob Größer (>) oder Größer oder gleich (>=)).
  • 2 Regeln verwenden beide einen kleiner Vergleich (egal ob Kleiner (<) oder Kleiner oder gleich (<=)).
  • Die Wertebereiche einer Größer oder gleich (>=) und einer Kleiner oder gleich (<=) Regel überlappen sich. Mindestens eine Zahl ist in beiden Bereichen vorhanden.


Zusätzliche Zurücksetzereignisse

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Variablen -> Zusätzliche Zurücksetzereignisse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden Ereignisse für Absolutzähler konfiguriert, die zusätzlich zu den bereits in der Registerkarte Basisvariablenregeln definierten Ereignissen zum Zurücksetzen der Baisvariablen führen.

Nur verfügbar für folgende Typen emulierter Variablen:

  • Absoluter Zeitzähler
  • Absoluter Ereigniszähler

Screenshots - Expanding

Parameter

Beschreibung

Zusätzliche Zurücksetzereignisse für den Zähler von Basisvariablen verwenden

  • Aktiv: Ereignisse zum Zurücksetzen des Absolutzählers werden zusätzlich zur Konfiguration in der Registerkarte Basisvariablenregeln von einer weiteren Basisvariablen gesetzt. Diese setzt die in der Registerkarte Emulationskonfiguration gewählte Basisvariable für den Zähler zurück.

Datenquelle

Auswahl einer Datenquelle aus Dropdownliste für die Variable, von der das Zurücksetzereignis kommt:

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archiv

Quellarchiv

Auswahl eines Quellarchivs aus Dropdownliste für die Variable, von der Zurücksetzereignisse kommen. Die Liste enthält alle Archive des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Nur verfügbar, wenn als Datenquelle Archiv gewählt wurde.

Basisvariable

Auswahl einer Basisvariablen aus Dropdownliste, von der die zusätzlichen Zurücksetzereignisse kommen.

Abhängig von der Datenquelle stehen zur Verfügung für:

  • Datenquelle Alarmmeldeliste oder Chronologische Ereignisliste: Alle verfügbaren Variablen des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Variablen ein, die bereits in den Metadaten gespeichert wurden.
  • Datenquelle Archiv: Alle Variablen, die in den Metadaten dem Archiv mit einer Verdichtung von Rohwert (0) zugeordnet sind. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Liste der Regeln

Anzeige der konfigurierten Regeln.

Bei neu angelegten Variablen ist die Liste leer. Bei bereits existierenden Variablen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert

Zusätzlich zu konfigurierten Regeln wird immer eine leere Regel angeboten, wenn der Dialog wurde in einem editierbaren Modus geöffnet wird und die Regeln (Reset) das zulassen.

In einer leeren Regel sind alle Kontrollelemente, ausgenommen der Vergleichstyp, deaktiviert

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Gleich (=)
  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Ungleich (!=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts.

Symbol: Löschen

Klick auf Schaltfläche löscht Regel.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

attention Achtung

Die Liste der Regeln für gültige zusätzliche Zurücksetzereignisse muss bei der Validierung mindestens eine Regel beinhalten, wenn die Option Zusätzliche Zurücksetzereignisse für den Zähler von Basisvariablen verwenden aktiviert wurde.

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]

Hinweis zur Validierung

Bei der Validierung der Eingaben vor Erstellung der Variablen dürfen sich die gesetzten Regeln nicht überschneiden.

Beispiele für Überschneidungen:

  • 2 oder mehr Regeln sind auf Gleich (=) gesetzt und haben den selben Wert.
  • 1 oder mehr Regeln ist auf Gleich (=) gesetzt und hat einen Wert, der Größer (>)/Kleiner oder gleich (<=) dem Vergleichswert einer existierenden Größer (>)/Kleiner oder gleich (<=) Regel ist.
  • 2 Regeln verwenden beide einen größer Vergleich (egal ob Größer (>) oder Größer oder gleich (>=)).
  • 2 Regeln verwenden beide einen kleiner Vergleich (egal ob Kleiner (<) oder Kleiner oder gleich (<=)).
  • Die Wertebereiche einer Größer oder gleich (>=) und einer Kleiner oder gleich (<=) Regel überlappen sich. Mindestens eine Zahl ist in beiden Bereichen vorhanden.


Datenberechnung

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv erstellen -> Datenberechnung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird die Datenberechnung konfiguriert. Die Optionen sind in allen drei Bearbeitungsmodi uneingeschränkt konfigurierbar.

Screenshots - Expanding

Parameter

Beschreibung

Werte werden berechnet

Aktiv: Werte werden im SQL Server Agent für das emulierte Archiv berechnet.

Maximaler Connector-
Datenblockzeitraum (Stunden)

Festlegung, für welchen Zeitbereich in Stunden maximal Connectordaten in einem Aufruf geholt werden dürfen. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

  • Minimum: 1
  • Maximum 10000
  • Default: 1

Wird insgesamt ein größerer Zeitbereich benötigt, so werden mehrere Connectoraufrufe hintereinander durchgeführt.

Beispiel:

  • Es sollen Connectordaten für drei Tage abgeholt werden.
  • Der Abruf soll in drei Teilen erfolgen.
  • Eintrag in das Feld: 24

Hintergundinformation: Werden sehr große Datenmengen in einem Aufruf geholt, dann kann eventuell für den Runtime Server der Arbeitsspeicher zu klein werden. Bei Archivdaten zum Beispiel führt das zu einem "Out-Of-Memory" Fehler. Das entsprechende Benachrichtigungsfenster blockiert dann den Runtime Server bis die Meldung am Server selbst bestätigt wird. Diese Situation kann mit entsprechender Konfiguration vermieden werden.

Minimale Deltazeit (Stunden)

Festlegung, wie alt in Stunden eine Archivkapsel des emulierten Archivs sein muss, bevor Werte für sie berechnet werden. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Minimum: 0

Maximum: 10000

Default: 0

Beispiel:

  • Eintrag: 10
  • Aktuelle Zeitpunkt: 2013-06-06; 16:00:00
  • Ziel: Ab 00:00:00 am 6. Juni 2013 soll pro Stunde eine Archivkapsel geschrieben werden.
  • Es werden nur Werte für die Archivkapseln von 00:00:00 bis 05:00:00 am 2013-06-06 berechnet und geschrieben.
  • Grund: Die Archivkapseln von 06:00:00 bis 16:00:00 am 2013-06-06 sind noch nicht älter als 10 Stunden.

Hintergrund: Dürfen Daten nur bis zu einem bestimmten Zeitpunkt weiterverarbeitet werden, zum Beispiel nur bis zum letzten SQL Export, kann dies hier konfiguriert werden.

Connector

Auswahl des Connectors aus Dropdownliste, der zum Holen der Daten für Basisvariablen verwendet werden soll.

Berechnungszeitplan

Konfiguration des Zeitplans für die Berechnung von Werten.

Zeitplan beginnt am

Festlegung, ab welchem Zeitpunkt der Zeitplan laufen soll. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Einmal pro Tag alle N Tage

Aktiv: Die Berechnung wird alle N Tage zu einer bestimmten Urzeit durchgeführt.

  • N Tage: Konfiguration mit Option Anzahl der Tage
  • Uhrzeit: Konfiguration mit Option Ausführen um

Anzahl der Tage

Festlegung des Abstand zwischen zwei Berechnungen in Tagen. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Minimum: 1

Maximum: 100

Ausführen um

Festlegung, zu welcher Uhrzeit am Tag N die Berechnung ausgeführt wird. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Alle N Stunden täglich

Aktiv: Die Berechnung wird täglich alle N Stunden in einem bestimmten Abstand durchgeführt.

  • Abstand: Konfiguration mit Option Anzahl der Stunden
  • Startzeit: Konfiguration mit Option Beginnen um

Anzahl der Stunden

Festlegung des Abstand zwischen zwei Berechnungen in Stunden. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

  • Minimum: 1
  • Maximum: 23

Beginnen um

Festlegung, zu welcher Uhrzeit täglich die erste Berechnung ausgeführt wird. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Beispiele

Einmal wöchentlich

Die Berechnung soll ab sofort jeden Sonntag um 00:05:00 durchgeführt werden.

Konfiguration:

  1. aktivieren Sie die Option Einmal pro Tag alle N Tage
  2. Anzahl der Tage: 7
  3. Ausführen um: 00:00:05
  4. Zeitplan beginnt am: beliebiger Sonntag in der Vergangenheit

12 mal täglich

Die Berechnung soll ab 1.1.2014 alle 2 Stunden 15 Minuten nach der vollen Stunde durchgeführt werden.

Konfiguration:

  1. aktivieren Sie die Option Alle N Stunden täglich
  2. Alle N Stunden täglich: 2
  3. Beginnen um: 00:15:00
  4. Zeitplan beginnt am: 01.01.2014


Emuliertes Archiv bearbeiten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Emuliertes Archiv bearbeiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein emuliertes Archiv zu bearbeiten:

  1. falls der Dialog noch nicht geöffnet ist, wählen Sie im Menü Automatisierung den Eintrag Archivemulation konfigurieren
  2. der Dialog zur Konfiguration emulierter Archive wird geöffnet

    Screenshots - Expanding

  3. markieren Sie das gewünschte Archiv
  4. klicken Sie auf die Schaltfläche Bearbeiten, um die Konfiguration zu ändern
  5. der Dialog zur Konfiguration eines emulierten Archivs wird geöffnet

    Hinweis: Welche Einstellungen geändert werden können, hängt davon ab, in welchem Status sich das Archiv befindet.

Neues Archiv bearbeiten

Ein neues Archiv ist bereits angelegt und enthält Daten, wurde aber noch nicht zum SQL Server Agent geschrieben Das heißt: Dieser Dialog wurde seit der ersten Konfiguration noch nicht beendet.

Screenshots - Expanding

  • Archiv: Alle Einstellungen können bearbeitet werden, ausgenommen Projekt und Kennung.
  • Variablen: Alle Einstellungen können bearbeitet werden.

Gespeichertes Archiv bearbeiten

Ein gespeichertes Archiv ist bereits angelegt, enthält Daten und wurde bereits zum SQL Server Agent geschrieben. Das heißt: Dieser Dialog wurde nach der ersten Konfiguration mit Klick auf OK beendet und wird jetzt erneut geöffnet.

  • Archiv: In der Grundeinstellung kann ausschließlich die Datenberechnung geändert werden.
    Über die Schaltfläche Bearbeiten ermöglichen kann das Archiv mit Ausnahme von Projektzuweisung und Name wieder bearbeitet werden. Diese Schaltfläche steht nur zur Verfügung, wenn das emulierte Archiv bereits gespeichert wurde und nicht zur erneuten Bearbeitung frei geschaltet wurde.
    Details sieh Abschnitt Bearbeiten ermöglichen.

    Screenshots - Expanding

  • Variablen: Werden nur lesend angezeigt.

    Screenshots - Expanding

Bearbeiten ermöglichen

Um ein bereits gespeichertes emuliertes Archiv erneut zu bearbeiten:

  1. Klicken Sie auf die Schaltfläche Bearbeiten ermöglichen.
  2. Bestätigen Sie die Sicherheitsabfrage.
  3. Die Daten in der Tabelle EMULATED_DATA werden gelöscht.
  4. Bearbeiten Sie das Archiv und speichern Sie es erneut.

Ablauf

Ablauf, wenn ein bereits gespeichertes emuliertes Archiv zur erneuten Bearbeitung frei geschaltet wird:

  1. Alle Daten des emulierten Archivs werden aus der Tabelle EMULATED_DATA gelöscht.
  2. Die Metadaten des emulierten Archivs werden angepasst.
  3. Die Zuordnung zu Anlagengruppen des emulierten Archivs werden angepasst.
  4. Variablen, die aus dem emulierten Archiv gelöscht wurden, werden in den Metadatentabellen gelöscht.
  5. Variablen, die im emulierten Archiv verändert wurden, werden in den Metadatentabellen verändert.
  6. Variabeln, die im emulierten Archiv hinzugefügt wurden, werden in den Metadatentabellen hinzugefügt.
  7. Falls notwendig werden die SQL Elemente für emulierte Archive erzeugt.
  8. Der Emulationsjob im SQL Server Agent für das emulierte Archiv wird angepasst.


Hinweise für Report-Entwickler

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Archivemulation -> Hinweise für Report-Entwickler

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ein emuliertes Archiv besteht aus Metadaten für Archive und Variablen. Diese werden entsprechend der Konfiguration über einen SQL Server Agent Job periodisch berechnet.

Für emulierte Archive werden folgende Metadaten, SPs und UDFs verwendet:

Metadaten

  • Emulated_Archive
  • Emulated_Variable
  • Emulated_Variable_Configuration
  • Emulated_Data
  • Stored Procedures

Stored Procedures

  • CalculateEmulatedArchiveValues

User Defindes Functionblocks

  • GetTotalSeconds


Benutzerverwaltung und Zugriffsrechte

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Benutzerverwaltung für den zenon Analyzer wird im ZAMS organisiert. Sie besteht vor allem aus der Verwaltung der:

  • Benutzer mit fixer Lizenz
  • Zugriffsrechte im Analyzer Manager
  • Zugriffsrechte auf Analyzer Anwendungen

Gesetzte Rechte für Benutzer und Objekte im ZAMS und Analyzer Manager werden jeweils nach deren Bestätigung im Dialog durch Klick auf OK gesetzt und angewandt.

Benutzer können domänenübergreifend und in Benutzergruppen verwaltet werden. Für Benutzer mit fixer Lizenz und die Verwaltung von Zugriffsrechten für Analyzer Anwendungen muss im Auswahldialog jeder Benutzer einzeln verwaltet werden. Die Verwaltung nach Gruppen ist über die Konfiguration des Filters für Benutzergruppen möglich. Dazu wird der Gruppenname als Filterbedingung eingegeben und anschließend alle Benutzer ausgewählt.

Für die Verwaltung von Zugriffsrechten im Analyzer Manager können Benutzergruppen im Auswahldialog direkt gewählt werden.

Überprüfung der Benutzerlizenzen

ZAMS

Das ZAMS prüft alle 10 Sekunden, ob für den verbundenen Benutzer am verbundenen Analyzer Server eine ZAMS-Lizenz am Lizenzserver belegt werden kann. Läuft zum Zeitpunkt der Prüfung ein Hintergrundthread wie z.B. Bereitstellung eines Reports, dann wird die Prüfung bis zur Fertigstellung dieses Hintergrundthreads verschoben.

Analyzer Manager

Der Analyzer Manager belegt am Lizenz Server alle 10 Sekunden eine Lizenz für jeden Benutzer, dessen letzter Zugriff vor weniger als 15 Minuten stattgefunden hat, eine Analyzer Manager Lizenz. Am Lizenzserver beträgt die Client-Lebenszeit 30 Sekunden seit der letzten Aktivität.

Fehlerbehandlung

Treten Fehler bei der Lizenzierung oder Verbindung auf, beachten Sie die Checkliste bei Lizenzfehlern.

Noch in diesem Kapitel

Grundlagen der Benutzer-Zugriffsrechte

Konfiguration Benutzersuche

Auswahl von Benutzern und Benutzergruppen

Benutzer mit fixer Lizenz

Zugriffsrechte Analyzer Anwendungen

Zugriffsrechte Analyzer Manager


Grundlagen der Benutzer-Zugriffsrechte

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Grundlagen der Benutzer-Zugriffsrechte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Intern gibt es 4 Benutzer-Berechtigungsebenen. Jede Ebene schließt den Zugriff auf alle erlaubten Anwendungen aller darunterliegenden Ebenen ein, definiert jedoch eigene Datenbankzugriffsrechte. In den Dialogen werden an Stelle der Berechtigungsebenen die Anwendungen genannt, die mit den Berechtigungsebenen verbunden sind. Dadurch, dass die Zugriffsrechte am Analyzer Manager gesondert von den Zugriffsrechten auf die Analyzer Anwendungen - und damit auf die Datenbank - geregelt werden, ist es möglich, dass z. B. ein Benutzer Preise und Normwerte eingeben darf, jedoch keinen Zugriff auf Objekte am Analyzer Server hat.

Die 4 Berechtigungsebenen:

  • 0: Benutzer dürfen nur für den Analyzer Manager eine Lizenz belegen.

    Sie haben keinen Datenbankzugriff.

  • 1: Benutzer dürfen zusätzlich zu den Anwendungen der Berechtigungseben 0 auch das Editor-Tool für Preis- und Norm-Werte verwenden.

    Auf der SQL Server Instanz erhalten diese Benutzer je einen Login auf User-Niveau. In jeder Analyzer Metadaten Datenbank auf der SQL Server Instanz erhalten diese Benutzer je einen User mit Leserechten für alle Tabellen und Schreibrechten für die Tabellen PRICE und NORM.

  • 2: Benutzer dürfen zusätzlich zu den Anwendungen der Berechtigungseben 1 auch den Metadaten Editor und den Analyzer Export Wizard verwenden.

    Der Wizard belegt zwar keine Lizenz für den ausführenden Benutzer, der Benutzer muss jedoch die entsprechenden Datenbankzugriffsrechte haben, die mit dieser Berechtigungsebene gewährt werden. Auf der SQL Server Instanz erhalten diese Benutzer je einen Login auf User-Niveau. In jeder Analyzer Metadaten Datenbank auf der SQL Server Instanz erhalten diese Benutzer je einen User mit Leserechten und Schreibrechten für alle Tabellen.

  • 3: Benutzer dürfen zusätzlich zu Anwendungen der Berechtigungseben 2 auch das ZAMS verwenden.

    Auf der SQL Server Instanz erhalten diese Benutzer je einen Login auf Administrator-Niveau. Mit dem Administrator-Login erhalten diese Benutzer vom SQL Server automatisch Administrator-Zugriffsrechte auf alle Datenbanken in der SQL Server Instanz, auch auf nicht Analyzer Metadaten Datenbanken. Diese Benutzer sind deshalb Administratoren auf der SQL Server Instanz, weil sie neue Datenbanken erzeugen, Stored Procedures und Userdefined Functions erstellen, verändern und löschen, Indizes warten, Datenbanken sichern und wiederherstellen, externen Code in Datenbanken eingeben und Benutzerrechte verwalten müssen.


Konfiguration Benutzersuche

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Konfiguration Benutzersuche

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Aufschalten von Dialogen zur Zuordnung eines Benutzerprofils wird, sofern noch keine Benutzer im ZAMS hinterlegt sind, die Benutzersuche geöffnet. Hier legen Sie fest, wie und an welchen Orten nach Benutzern für das Füllen der Benutzerliste gesucht werden soll:

  • Direktabfrage:
    Gezielte Abfrage der Domäne und der Caches erst beim Hinzufügen von Benutzern. Dabei gilt:
    • Gruppen sind in den Filtern erst verfügbar, wenn sie im Cache vorhanden sind. Sie müssen also bereits einmal gefunden worden sein - unabhängig davon, ob sie hinzugefügt wurden.
    • Gefundene Benutzer und Gruppen werden gecached.
    • Lokal am Analyzer Server definierte Benutzer können nicht hinzugefügt werden.
    • Lokal am Analyzer Server definierte Gruppen können nicht hinzugefügt oder gefiltert werden.
  • Benutzer und Gruppen cachen:
    Bei der ersten Abfrage nach Benutzern werden alle Benutzer und Gruppen der definierten Domänen und lokal gesucht und gecacht. Bei Domänen mit vielen Benutzern und Gruppen kann dies längere Zeit in Anspruch nehmen.

Dialog Suche nach Benutzern und Gruppen

Screenshots - Expanding

Parameter

Beschreibung

Direktabfrage von Benutzern und Gruppen (nur in Domänen)

Aktiv: Benutzer und Gruppen werden erst bei Bedarf gesucht.

Bestätigung vor dem Suchen nach Gruppen und Benutzern

Aktiv: Wird beim Suchen eines Objekts in der Domäne kein Benutzer gefunden, erfolgt eine Sicherheitsabfrage zur weiteren Suche.

Hintergrund: Wird in der Domäne kein Benutzer gefunden, wird nach einer Gruppe gesucht. Wird eine Gruppe gefunden, werden alle in der Gruppe enthaltenen Benutzer gesucht. Das kann lange Zeit in Anspruch nehmen.

Nur verfügbar, wenn Direktabfrage von Benutzern und Gruppen aktiviert wurde.

Benutzer und Gruppen von diesen Orten laden:

Aktiv: Benutzern und Gruppen werden sofort gesucht und gecacht. Das kann bei großen Domänen längere Zeit in Anspruch nehmen.

Lokal am Analyzer Server "[Rechnername]" definierte Benutzer

Aktiv: Es wird nach lokal am Analyzer Server definierten Benutzern und Benutzergruppen gesucht.

Nur verfügbar, wenn Benutzer und Gruppen von diesen Orten laden aktiviert wurde.

In der Domäne "[Domänenname]"

Aktiv: Es wird in der Domäne des momentan verbundenen Benutzers nach Domänenbenutzern und Benutzergruppen gesucht.

Das Erkennen erfolgt in drei Schritten:

  • Zuerst wird versucht, den Namen der Domäne, in welcher der Benutzer definiert ist, zurückzugeben.
  • Schlägt dies fehl, wird versucht den Namen der Domäne, in welche der Computer integriert ist, zurückzugeben.
  • Schlägt dies fehl, wird der Computername zurückgegeben.

Nur verfügbar, wenn Benutzer und Gruppen von diesen Orten laden aktiviert wurde.

In den Domänen

Eingabe einer Domäne, in der nach Benutzern und Benutzergruppen gesucht werden soll. Übernahme durch Klick auf die Schaltfläche Hinzufügen.

Nur verfügbar, wenn Benutzer und Gruppen von diesen Orten laden aktiviert wurde.

Hinzufügen

Fügt die im Eingabefeld In den Domänen benannte Domäne zur Domänenliste hinzu.

Die Eingabe wird nur dann übernommen, wenn sie:

  • noch nicht in der Liste steht
  • nicht identisch mit der Domain des aktuell verbundenen Benutzers ist
  • nicht identisch mit dem Analyzer Server Computernamen ist

Bei der Überprüfung wird Groß-/Kleinschreibung nicht beachtet.

Domänenliste

Enthält alle individuell hinzugefügten Domänen. Mehrfachauswahl ist möglich.

Löschen

Löscht alle markierten Domänen aus der Domänenliste.

OK

Übernimmt und validiert die Konfiguration, schließt den Dialog und startet die Suche.

Abbrechen

Verwirft die Konfiguration und schließt den Dialog.

Hinweis: Die gewählte Einstellung wird in der ZAMS-Konfiguration gespeichert und beim nächsten Anzeigen des Dialogs als Voreinstellung selektiert. Die gewählte Einstellung gilt für die gesamte ZAMS-Sitzung.

Cache der Benutzersuche löschen

Um die Art der Suche zu ändern, muss entweder ZAMS neu gestartet oder der Cache gelöscht werden.

Um den Cache der Benutzersuche zu löschen:

  1. Öffnen Sie das Menü Optionen.
  2. Wählen Sie den Befehl Cache löschen.
  3. Gecachte Benutzer und Gruppen werden aus dem Cache entfernt.
  4. Beim nächsten Aufschalten eines Dialogs zur Benutzerverwaltung wird wieder der Dialog zur Konfiguration der Benutzersuche aufgeschaltet.


Auswahl von Benutzern und Benutzergruppen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Auswahl von Benutzern und Benutzergruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Benutzer und Benutzergruppen werden je nach Konfiguration der Suche unterschiedlich hinzugefügt:

  • Direktabfrage: Der Dialog Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, werden alle Mitglieder dieser Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached: Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Bei der Konfiguration der Zugriffsrechte für den Analyzer Manager können Benutzergruppen und Benutzer aus Gruppen ausgewählt werden. Bei allen anderen Dialogen für Benutzerrechte können Benutzer aus Gruppen, aber keine Benutzergruppen, ausgewählt werden.

Abläufe

Beim Holen von Benutzerdaten gilt:

  • Haben zwei Benutzer den gleichen Anzeigenamen, wird das Auslesen der aktuell gelesenen Benutzerdatenquelle abgebrochen.
  • Haben zwei Benutzergruppen den gleichen Anzeigenamen, wird das Auslesen der aktuell gelesenen Benutzerdatenquelle abgebrochen.
  • Hat eine Gruppe den gleichen Anzeigenamen wie ein Benutzer, wird die betroffene Benutzergruppe ignoriert. Das Auslesen wird aber fortgesetzt.

Noch in diesem Kapitel

Dialog Benutzer und Benutzergruppen suchen

Dialog Benutzer auswählen

Dialog Benutzer und Benutzergruppen auswählen


Dialog Benutzer und Benutzergruppen suchen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Auswahl von Benutzern und Benutzergruppen -> Dialog Benutzer und Benutzergruppen suchen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wird bei der Konfiguration der Benutzerrechte mit Direktabfrage nach einem Benutzer oder einer Benutzergruppe gesucht, wird der Dialog zur Suche geöffnet:

Screenshots - Expanding

Parameter

Beschreibung

Vollständiger Name des zu suchenden Eintrags

Eingabe des vollständigen Namen des zu suchenden Objekts. Dieser besteht aus:

  • Domäne
  • Backslash
  • Benutzername

Beispiel: MAIN\J.Doe

Suchen

Klick startet Suche nach dem eingegebenen Suchbegriff.

Nur aktiv, wenn:

  • das Eingabefeld nicht leer ist
  • der Inhalt seit der letzten Sucher verändert wurde

Wird der Benutzer nicht in der Domäbe gefunden, erfolgt eine Abfrage, ob in allen Benutzergruppen der Domäne gesucht werden soll.

Suchergebnis

Zeigt das Suchergebnis an.

OK

Übernimmt gefundenen Benutzer oder alle gefundenen den Dialog-.

Nur verfügbar, wenn seit der letzten erfolgreichen Suche das Eingabefeld für den vollständigen Namen nicht verändert wurde.

Abbrechen

Schließt den Dialog, ohne Benutzer zu übernehmen.

Ablauf zum Suchen eines Benutzers oder einer Gruppe:

  1. Die Eingabe wird validiert:
    • Sie muss aus zwei Teilen, getrennt durch Backslash bestehen.
    • Keiner der beiden Teile darf leer sein.
    • Keiner der beiden Teile darf eines der verbotenen Zeichen enthalten.

    Bei einem Validierungsfehler wird dieser im Suchergebnis angezeigt und der Ablauf als fehlgeschlagen beendet.
    Verbotene Zeichen:

    • Backslash \
    • Schrägstrich /
    • Doppelpunkt :
    • Stern *
    • Fragezeichen ?
    • Anführungszeichen "
    • Spitze Klammern < >
    • Pipe |
  2. Es wird im Cache nach einem Benutzer mit dem übergebenen Namen gesucht. Wird einer gefunden, so wird dessen vollständiger Name im Suchergebnis angezeigt und anschließend der Ablauf als erfolgreich beendet.
  3. Es wird im Cache nach einer Gruppe mit dem übergebenen Namen gesucht. Wird eine gefunden, so wird deren vollständiger Name im Suchergebnis angezeigt und anschließend der Ablauf als erfolgreich beendet.
  4. Es wird in der Domain des übergebenen Namens nach einem Benutzer mit dem übergebenen Namen gesucht. Wird einer gefunden, so wird er in den Cache aufgenommen, dessen vollständiger Name im Suchergebnis angezeigt und anschließend der Ablauf als erfolgreich beendet.
  5. Wenn konfiguriert, erfolgt eine Sicherheitsabfrage, bevor nach einer Gruppe und aller darin enthaltenen Benutzer gesucht wird.
    • Verneint der Benutzer, wird der Ablauf als fehlgeschlagen beendet.
  6. Es wird in der Domain des übergebenen Namens nach einer Gruppe mit dem übergebenen Namen gesucht. Wird eine gefunden, so wird sie in den Cache aufgenommen und deren vollständiger Name in die Eingabetextbox geschrieben. Danach wird der folgende Unterablauf für jeden Benutzer in der Gruppe durchgeführt. Während des Unterablaufs wird ein Foprtschrittsbalken angezeigt. Abschließend wird der Ablauf als erfolgreich beendet.

    Unterablauf:

    1. Es wird im Cache nach einem Benutzer mit dem Namen des Gruppenmitglieds gesucht. Wird einer gefunden, so wird der Unterablauf als erfolgreich beendet.
    2. Es wird in der Domain des übergebenen Namens nach einem Benutzer mit dem Namen des Gruppenmitglieds gesucht. Wird einer gefunden, so wird er in den Cache aufgenommen und anschließend der Unterablauf als erfolgreich beendet.
  7. Wurde der Ablauf bislang nicht erfolgreich beendet, wird er jetzt als fehlgeschlagen beendet.


Dialog Benutzer auswählen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Auswahl von Benutzern und Benutzergruppen -> Dialog Benutzer auswählen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Werden in einem Konfigurationsdialog für Benutzerrechte neue Benutzer hinzugefügt, wird folgender Dialog aufgeschaltet. (Ausnahme: Bei der Konfiguration der Zugriffsrechte für den Analyzer Manager wird der Dialog Benutzer und Benutzergruppen auswählen aufgeschaltet.)

Screenshots - Expanding

Parameter

Beschreibung

Filterbedingung für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingung für die Benutzergruppe

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Checkboxen

Aktiv: Benutzer ist zum Hinzufügen ausgewählt.

Benutzerliste

Anzeige der zur Auswahl zur Verfügung stehenden Benutzer. Diese Liste wird entsprechend den Einstellungen in der Konfiguration Benutzersuche zusammengestellt.

Sie enthält:

  • Benutzername: Anzeige des Benutzernamens.
  • Mitglied der Gruppen: Anzeige der Benutzergruppen, der ein Bneutzer angehört.
  • Beschreibung: Zeigt Informationen zum Benutzernamen und dessen Herkunft an.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzer aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

OK

Übernimmt Auswahl, schließt den Dialog und fügt ausgewählte Benutzer hinzu.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Dialog Benutzer und Benutzergruppen auswählen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Auswahl von Benutzern und Benutzergruppen -> Dialog Benutzer und Benutzergruppen auswählen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Werden im Konfigurationsdialog für die Zugriffsrechte für den Analyzer Manager neue Benutzer oder Benutzergruppen hinzugefügt, wird ein Auswahldialog aufgeschaltet. Es können über zwei Registerkarten hinzugefügt werden:

  • Benutzer
  • Gruppen

Benutzer

Auswahl von Benutzern, die hinzugefügt werden sollen.

Screenshots - Expanding

Parameter

Beschreibung

Filterbedingung für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingung für die Benutzergruppe

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Checkboxen

Aktiv: Benutzer ist zum Hinzufügen ausgewählt.

Benutzerliste

Anzeige der zur Auswahl zur Verfügung stehenden Benutzer. Diese Liste wird entsprechend den Einstellungen in der Konfiguration Benutzersuche zusammengestellt.

Sie enthält:

  • Benutzername: Anzeige des Benutzernamens.
  • Mitglied der Gruppen: Anzeige der Benutzergruppen, der ein Bneutzer angehört.
  • Beschreibung: Zeigt Informationen zum Benutzernamen und dessen Herkunft an.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzer aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

OK

Übernimmt Auswahl, schließt den Dialog und fügt ausgewählte Benutzer hinzu.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Gruppen

Auswahl von Benutzergruppen, die hinzugefügt werden sollen.

Screenshots - Expanding

Parameter

Beschreibung

Filterbedingung

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzergruppen wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzergruppen angezeigt, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzergruppen werden nicht ausgeblendet.

Checkboxen

Aktiv: Benutzergruppe ist zum Hinzufügen ausgewählt.

Liste Benutzergruppen

Anzeige der zur Auswahl zur Verfügung stehenden Benutzergruppen. Diese Liste wird entsprechend den Einstellungen in der Konfiguration Benutzersuche zusammengestellt.

Sie enthält:

  • Gruppenname: Anzeige der Benutzergruppen, der ein Bneutzer angehört.
  • Beschreibung: Zeigt Informationen zum Benutzernamen und dessen Herkunft an.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzergruppen aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

OK

Übernimmt Auswahl, schließt den Dialog und fügt ausgewählte Benutzergruppen hinzu.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Benutzer mit fixer Lizenz

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Benutzer mit fixer Lizenz

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ZAMS können Benutzer fixe Lizenzen erhalten. Für diese wird immer eine Lizenz freigehalten. Ein Benutzer mit fixer Lizenz belegt damit auch dann eine Client-Lizenz am Lizenzserver, wenn er nicht verbunden ist. Es können maximal so viele Benutzer mit fixer Lizenz angelegt werden, wie Client-Lizenzen vorhanden sind. Beim Eingeben einer neuen zenon Analyzer Lizenz wird diese nur akzeptiert, wenn sie über genügend Client-Lizenzen für alle Benutzer mit fixer Lizenz verfügt.

Benutzern eine fixe Lizenz zuordnen

Um einem Benutzer eine fixe Lizenz zuzuordnen oder zu entziehen:

  1. öffnen Sie den Menüpunkt Analyzer Server
  2. wählen Sie Benutzern eine fixe Lizenz zuordnen
  3. der Dialog zur Verwaltung der Benutzer mit fixer Lizenz wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Filterbedingungen für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingungen für die Benutzergruppe

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Liste der Benutzer

Zeigt alle konfigurierten Benutzer mit fixer Lizenz an. Die Zugehörigkeit zu einer Benutzergruppe wird ebenfalls angezeigt.

Mehrfachauswahl ist möglich:

  • Taste Strg+Mausklick: wählt mit jedem Klick einen zusätzlichen Benutzer aus
  • Taste Umschalt+Mausklick: wählt alle Benutzer, die sich zwischen zwei Klicks befinden, aus
  • Klick auf Schaltfläche Alle auswählen wählt alle Benutzer in der Liste aus

Alle auswählen

Wählt alle Benutzer, die in der Liste der Benutzer angezeigt werden, aus.

Auswahl aufheben

Hebt Auswahl von Benutzern, die in der Liste der Benutzer angezeigt werden, auf.

Hinzufügen

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direktabfrage:
    Der Dialog Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, werden alle Mitglieder dieser Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Benutzer können nur hinzugefügt werden, wenn genügend Lizenzen zur Verfügung stehen. Im Dialog zum Hinzufügen von Benutzern werden alle Benutzer, die bereits über eine entsprechende Lizenz verfügen, ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein weiterer Benutzer hinzugefügt werden kann. Beachten Sie die entsprechende Meldung im Ausgabefenster.

Entfernen

Löscht ausgewählte Benutzer ohne Rückfrage aus der Liste.

Das erfolgreiche Entfernen eines Benutzers wird ebenso wie ein Fehlschlag im Ausgabefenster dokumentiert.

Schließen

Schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Zugriffsrechte Analyzer Anwendungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Anwendungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Analyzer Anwendungen umfassen:

  • Analyzer Manager
  • Manual Data Editor
  • Metadata Editor
  • ZAMS

Die Zugriffsrechte auf diese Anwendungen werden für alle Benutzer in einem Dialog verwaltet. Dabei werden auch die passenden Zugriffsrechte auf allen Analyzer Metadaten Datenbanken auf der momentan verbundenen SQL Server Instanz geregelt.

info Info

Zugriffsrecht bedeutet im Kontext der Analyzer Anwendungen, dass sich ein Benutzer mit dem Tool zu dem Analyzer Server verbinden darf.

Das heißt: Ein Benutzer kann auf dem Analyzer Server A ein Benutzer mit Berechtigungsebene 3 und gleichzeitig auf dem Analyzer Server B nur ein Benutzer mit Berechtigungsebene 1 sein.

Noch in diesem Kapitel

Konfiguration der Zugriffsrechte

Warnungsdetails für unterschiedliche Benutzer-Zugriffsrechte


Konfiguration der Zugriffsrechte

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Anwendungen -> Konfiguration der Zugriffsrechte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um für Benutzer die Zugriffsrechte auf die Analyzer Anwendungen zu konfigurieren:

  1. öffnen Sie den Menüpunkt Analyzer Server
  2. wählen Sie den Befehl Zugriffsrechte für Analyzer Anwendungen verwalten
  3. der Dialog zur Konfiguration der Zugriffsrechte wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Filterbedingung für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingung

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Liste der Benutzer

Anzeige aller konfigurierten Benutzer.

Für jeden Benutzer wird angezeigt:

  • Zugehörigkeit zu Benutzergruppen.
  • Berechtigungen für Analyzer Anwendungen. Details siehe auch Abschnitt Grundlagen der Benutzer-Zugriffsrechte. Berechtigungen können durch Auswahl eines der Optionsfelder im Bereich Anwendungen, die von den aktuell markierten Benutzern verwendet werden dürfen verändert werden.

Benutzer mit der Berechtigungseben 0 (Analyzer Manager) werden nicht angezeigt, da der Lizenzserver ohnehin allen Benutzern Ebene 0 gewährt.

Hinweis: Der momentan verbundene Benutzer wird grau hinterlegt angezeigt. Seine Rechte können nicht verändert werden. Damit wird verhindert, dass durch eine Fehlkonfiguration alle Benutzer vom SQL-Server ausgesperrt werden.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzer aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

Hinzufügen

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direktabfrage:
    Der Dialog Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, werden alle Mitglieder dieser Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht die ausgewählten Benutzer ohne Rückfrage aus der Liste.

Das Entfernen eines Benutzers kommt dem Setzen des Benutzers auf Berechtigungsebene 0 (Analyzer Manager) gleich, da der Lizenzserver allen Benutzern Ebene 0 gewährt und in beiden Fällen die Datenbankzugriffsrechte des Benutzers gelöscht werden.

Anwendungen, die von den aktuell markierten Benutzern verwendet werden dürfen

Auswahl der Berechtigungsebene für die in der Liste ausgewählten Benutzer. Die Ebenen sind hierarchisch geordnet. Elemente der Ebene 0 sind z.B. auch in Ebene 1 enthalten:

  • Analyzer Manager: Ebene 0. Benutzer dürfen nur für den Analyzer Manager eine Lizenz belegen. Wird eine Benutzer auf diese Berechtigungsebene gesetzt, wird er aus der Liste der angezeigten Benutzer entfernt, da der Lizenzserver ohnehin allen Benutzern Ebene 0 gewährt.
  • Manual Data Editor: Ebene 1. Benutzer dürfen zusätzlich auch das Editor-Tool für Preis- und Norm-Werte verwenden.
  • Metadata Editor: Ebene 2. Benutzer dürfen zusätzlich auch den Metadaten Editor und den Analyzer Export Wizard verwenden.
  • zenon Analyzer Management Studio. Ebene 3. Benutzer dürfen zusätzlich auch das ZAMS verwenden.

Sind in der Tabelle mehrere Benutzer markiert, so wird die Berechtigungseben des zuletzt gewählten Benutzers angezeigt. Ist kein Benutzer gewählt oder wurde auch der momentan verbundene Benutzer ausgewählt, kann die Berechtigungsebene nicht gesetzt werden.

Details zu den Berechtigungsebenen siehe auch Abschnitt Grundlagen der Benutzer-Zugriffsrechte.

Achtung: Wenn mehrere Benutzer markiert sind, wird bei einer Konfigurationsänderung die geänderte Konfiguration für alle markierten Benutzer gesetzt, unabhängig davon, ob diese derzeit unterschiedliche Konfigurationen aufweisen.

Warnungen

Nur sichtbar, wenn Fehler vorhanden sind. Besteht aus: Warnungssymbol, Text mit Warnhinweis und Schaltfläche zur Anzeige der Details.

Bedingung für Anzeige von Warnungen:

  • Der momentan verbundene Benutzer wurde für eine Konfigurationsänderung ausgewählt.
    Es wird ein Warnhinweis angezeigt. Die Schaltfläche ist nicht sichtbar.
  • Zwei oder mehr der ausgewählten Benutzer haben unterschiedliche Konfigurationen. Der Warnhinweis wird angezeigt. Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung.

Achtung: Die Anzeige einer Warnung bedeutet, dass Änderungen der Konfiguration un deren Bestätigung auch Änderungen für Objekte vornimmt, deren ursprüngliche Konfiguration von der hier angezeigten Konfiguration abweicht. Die ursprüngliche Konfiguration geht für diese Objekte dann verloren.

OK

Übernimmt Konfiguration und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Warnungsdetails für unterschiedliche Benutzer-Zugriffsrechte

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Anwendungen -> Warnungsdetails für unterschiedliche Benutzer-Zugriffsrechte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wurden Benutzer mit unterschiedlichen Einstellungen für die gemeinsame Konfiguration ausgewählt, dann wird im Dialog zur Konfiguration der Zugriffsrechte ein Warnhinweis eingeblendet. Die Details zur Warnung werden in einem eigenen Fenster angezeigt. In diesem Dialog können keine Eingaben vorgenommen werden:

Screenshots - Expanding

Parameter

Beschreibung

Liste der Benutzer

Anzeige aller konfigurierten Benutzer.

Die erste Spalte zeigt ein Symbol mit der Art der Warnung:

  • Graue Tabelle: Vergleichsbasis. Als Basis wird die Konfiguration des zuletzt ausgewählten Benutzers gewählt.
  • Gelbes Dreieck: Unterscheidet sich von der Vergleichsbasis.
  • Farbige Tabelle: Stimmt mit Vergleichsbasis überein.
  • Die weiteren Spalten enthalten den Benutzernamen und die Anzeige der jeweiligen Berechtigungsebene.

Schließen

Schließt das Fenster.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Zugriffsrechte Analyzer Manager

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Manager

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei den Zugriffsrechten für die Benutzer am Analyzer Manager wird zwischen 2 Arten von Rechten unterschieden:

  1. Benutzerprofile

    Diese definieren, ob ein Benutzer auf Objekte am Analyzer Manager und auf die dahinter liegenden SQL Server Reporting Services zugreifen darf und ob er die Konfiguration des Analyzer Manager und der dahinter liegenden SQL Server Reporting Services verändern darf. Es wird zwischen Benutzern (nur Objektzugriff) und Administratoren (Objektzugriff und Konfigurationsänderungen) unterschieden.

  2. Zugriffsrechte auf Objekte

    Diese definieren, welcher Benutzer mit welchen Rechten auf welche Objekte zugreifen darf.

    Achtung: Die Objektzugriffsrechte kommen erst dann zur Geltung, wenn der zugreifende Benutzer als Benutzer oder Administrator Systemzugriffsrechte hat!

Um die Zugriffsrechte zu konfigurieren:

  1. öffnen Sie den Menüpunkt Analyzer Server
  2. wählen Sie den Befehl Analyzer Manager Zugriffsrechte verwalten
  3. der Dialog zur Konfiguration der Zugriffsrechte wird geöffnet; dieser verfügt über zwei zu konfigurierende Registerkarten
    • Benutzerprofil zuordnen
    • Zugriffsrechte definieren

Noch in diesem Kapitel

Benutzerprofil zuordnen

Zugriffsrechte zuordnen

Warnungsdetails für unterschiedliche Berechtigungsebenen


Benutzerprofil zuordnen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Manager -> Benutzerprofil zuordnen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Parameter

Beschreibung

Liste Analyzer Manager Benutzer

Enthält die aktuell definierten Benutzer der SQL Server Reporting Services am Analyzer Server.

Benutzer können über die Schaltflächen Hinzufügen bzw. Entfernen hinzugefügt oder entfernt werden. Über die Schaltflächen >> bzw. << werden Benutzer zur Liste Analyzer Manager Administrator verschoben oder von dort hinzugefügt.

Mehrfachauswahl möglich.

Die Rechte des aktuell angemeldeten Benutzers können nicht verändert werden.

Hinzufügen

Hinzufügen eines Benutzers als Analyzer Manager Benutzers.

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direktabfrage:
    Der Dialog Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, wird die Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Benutzer, die bereits als Analyzer Manager Administratoren eingetragen sind, können über diesen Dialog nicht hinzugefügt werden. Diese können über die Schaltfläche << verschoben werden.

Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht die ausgewählten Benutzer ohne Rückfrage aus der Liste.

Liste Analyzer Manager Administratoren

Enthält die aktuell definierten Administratoren der SQL Server Reporting Services am Analyzer Server.

Benutzer können über die Schaltflächen Hinzufügen bzw. Entfernen hinzugefügt oder entfernt werden. Über die Schaltflächen >> bzw. << werden Benutzer zur Liste Analyzer Manager Benutzer verschoben oder von dort hinzugefügt.

Mehrfachauswahl möglich.

Hinzufügen

Hinzufügen eines Benutzers als Analyzer Manager Administrator.

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direktabfrage:
    Der Dialog Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, wird die Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Benutzer, die bereits als Analyzer Manager Benutzer eingetragen sind, können über diesen Dialog nicht hinzugefügt werden. Diese können über die Schaltfläche >> verschoben werden.

Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht die ausgewählten Benutzer ohne Rückfrage aus der Liste.

Schaltfläche >>

Verschiebt alle markierten Benutzer zur Gruppe der Administratoren.

Schalfläche <<

Verschiebt alle markierten Administratoren zur Gruppe der Benutzer.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Zugriffsrechte zuordnen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Manager -> Zugriffsrechte zuordnen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Parameter

Beschreibung

Objektliste

Darstellung aller Objekte im Analyzer Manager in einer aufklappbaren Baumstruktur. In der Baumstruktur wird jedem Objekt ein Icon zugeordnet, das seinen Datentyp wiedergibt. Folgende Datentypen werden dargestellt:

  • Ordner
  • Datenquelle
  • Report bzw. verknüpfter Report
  • Anderer Typ

Für jedes Objekt existiert auch ein Symbol, das anzeigt, dass das Objekt seine Konfiguration erbt.

Bearbeitung:

Ist ein Objekt markiert, wird es zur Bearbeitung im rechten Teil des Dialogs freigegeben.

Es können auch mehrere Objekte gleichzeitig bearbeitet werden. Dazu werden Sie durch Aktivierung der vorangestellten Checkbox ausgewählt. Sind mehrere Objekte zum Bearbeiten ausgewählt, wird die Konfiguration des Objekts mit dem alphabetisch niedrigsten Pfad (am weitesten oben in der Baumansicht) dargestellt.

Werden Objekte mit unterschiedlichen Konfigurationen gemeinsam ausgewählt, wird eine Warnung angezeigt.

Alle aufklappen

Klick klappt alle Knoten auf.

Alle reduzieren

Klick klappt alle Knoten ein. Es wird nur noch der Stammordner angezeigt.

Alle auswählen

Aktiviert die Checkboxen aller sichtbaren Elemente.

Auswahl aufheben

Deaktiviert die Checkboxen aller Elemente.

Trennleiste

Linker Bereich (Baum mit Objekten) und rechter Bereich (Konfiguration) sind durch eine Trennleiste getrennt. Um das Verhältnis zwischen beiden Bereichen zu verändern, ziehen Sie die Trennleiste mit der Maus in die gewünschte Richtung.

Zugriffsrechte für dieses Objekt definieren

Aktiv: Die Rechte der Benutzer werden für die ausgewählten Objekte mit den folgenden Konfigurationselementen definiert.

Die Eigenschaften für das Objekt Stamm als oberstes Objekt müssen immer definiert werden.

Zugriffsrechte von übergeordnetem Objekt erben

Aktiv: Die ausgewählten Elemente erben ihre Eigenschaften vom übergeordneten Objekt.

Wird die Konfiguration vererbt, können die Benutzerrechte angezeigt, aber nicht verändert werden.

Achtung: Wird ein Objekt Zugriffsrechte von übergeordnetem Objekt erben eingestellt, so geht dessen zuvor gesetzte eigene Konfiguration verloren. Der Verlust der Konfiguration kann verhindert werden, indem der Dialog abgebrochen wird. Damit gehen aber auch alle anderen bisher vorgenommenen Änderungen verloren.

Konfigurierte Benutzer und deren Zugriffsrechte

Liste aller den ausgewählten Objekten zugeordneten Benutzer und deren Zugriffsrechte. Jeder Benutzer wird in einer eigenen Zeile dargestellt. Es können mehrere Benutzer gleichzeitige ausgewählt werden.

Angezeigt werden:

  • Benutzernamen
  • dem Benutzer zugeordnete Rollen; mehrere Rollen werden durch Beistriche getrennt angezeigt

Rollen

Die Rollen der Benutzer werden mit den Checkboxen unterhalb der Liste festgelegt. Jeder Benutzer kann mehrere Rollen gleichzeitig innehaben.

Sind in der Tabelle mehrere Benutzer markiert, so wird die Konfiguration des zuletzt gewählten Benutzers angezeigt. Jede Änderung wirkt sich dann auf alle markierten Benutzer aus.

Hat ein Benutzer keine Rollen auf einem Objekt inne, wird er beim Setzen der Konfiguration für dieses Objekt als gelöscht betrachtet. Es gibt folgende Rollen:

  • Browser
  • Content Manager
  • My Reports
  • Publisher
  • Report Builder

Nur verfügbar, wenn Zugriffsrechte für dieses Objekt definieren aktiviert wurde.

Hinzufügen

Öffnet den Dialog zum Hinzufügen von Benutzern.

Nur verfügbar, wenn Zugriffsrechte für dieses Objekt definieren aktiviert wurde. Es können nur Benutzer oder Benutzergruppen gewählt werden, die in der Registerkarte Benutzerprofil zuordnen konfiguriert wurden. Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht alle ausgewählten Benutzer aus der Liste.

Nur verfügbar, wenn Zugriffsrechte für dieses Objekt definieren aktiviert wurde.

Browser

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Ordner und Reports sehen und Reports abonnieren.

Content Manager

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Content am Report Server verwalten. Das umfasst Ordner, Reports und Quellen.

My Reports

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf:

  • Reports und verknüpfte Reports publizieren
  • Ordner, Reports und Quellen im Ordner Meine Reports eines Benutzers verwalten

Publisher

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Reports und verknüpfte Reports am Report Server publizieren.

Report Builder

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Reportdefinitionen sehen und den Report Builder starten.

Warnungen

Nur sichtbar, wenn Fehler vorhanden sind. Besteht aus: Warnungssymbol, Text mit Warnhinweis und Schaltfläche zur Anzeige der Details.

Bedingung für Anzeige von Warnungen:

  • Es sind 2 oder mehrere Objekte in der Baumstruktur markiert, deren Konfigurationen unterschiedlich sind. Der Warnhinweis wird angezeigt. Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung.
  • Alle markierten Objekte in der Baumstruktur haben die selbe Konfiguration, aber zwei oder mehr markierte Benutzer haben unterschiedliche Konfigurationen. Der Warnhinweis wird angezeigt. Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung.

Achtung: Die Anzeige einer Warnung bedeutet, dass Änderungen der Konfiguration un deren Bestätigung auch Änderungen für Objekte vornimmt, deren ursprüngliche Konfiguration von der hier angezeigten Konfiguration abweicht. Die ursprüngliche Konfiguration geht für diese Objekte dann verloren.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

attention Achtung

In dieser Registerkarte sind die Rechte des momentan verbundenen Benutzers nicht gegen Veränderung geschützt. Fehlkonfigurationen bei der Rollenzuweisung können somit dazu führen, dass kein Benutzer mehr über ausreichende Adminmistrationsrechte am Report Server verfügt.


Warnungsdetails für unterschiedliche Berechtigungsebenen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Benutzerverwaltung und Zugriffsrechte -> Zugriffsrechte Analyzer Manager -> Warnungsdetails für unterschiedliche Berechtigungsebenen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Werden Konfigurationen gewählt, die in Konflikt stehen und zum Verlust von bereits festgelegten Konfigurationen führen können, wird im Konfigurationsdialog eine Warnung eingeblendet. Warnungen werden eingeblendet, wenn:

  • 2 oder mehrere Objekte in der Baumstruktur markiert wurden, deren Konfigurationen unterschiedlich sind
  • zwei oder mehr markierte Benutzer unterschiedliche Konfigurationen aufweisen

Unterschiedliche Zugriffsrechte auf Objekte am Report-Server

Wurden mehrere Objekte gleichzeitig zur Konfiguration ausgewählt, die über unterschiedliche Einstellungen verfügen, wird im Konfigurationsdialog eine Warnung angezeigt:

Screenshots - Expanding

Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung. In diesem Dialog können keine Eingaben vorgenommen werden:

Screenshots - Expanding

Parameter

Beschreibung

Liste der Objekte

Anzeige aller ausgewählten Objekte.

Die erste Spalte zeigt ein Symbol mit der Art der Warnung:

  • Raute: Vergleichsbasis. Als Basis wird die Konfiguration des Objekts mit dem alphabetisch niedrigsten Pfad (am weitesten oben in der Baumansicht) gewählt.
  • Blauer Kreis: Stimmt mit Vergleichsbasis überein.
  • Gelbes Dreieck: Unterscheidet sich von der Vergleichsbasis.

Die zweite Spalte zeigt den Objektpfad an.

In dieser Liste kann jeweils eine Zeile ausgewählt werden. Die Konfigurationsdetails für das ausgewählte Objekt werden im unteren Bereich angezeigt.

Trennleiste

Oberer Bereich (Objekte) und unterer Bereich (Benutzer) sind durch eine Trennleiste getrennt. Um das Verhältnis zwischen beiden Bereichen zu verändern, ziehen Sie die Trennleiste mit der Maus in die gewünschte Richtung.

Zugriffsrechte von übergeordnetem Objekt erben

Symbol zeigt an, ob die Zuordnung des Konfigurationsmodus:

  • Vergleichsbasis ist (Raute) : Vergleichsbasis. Als Basis wird die Konfiguration des Objekts mit dem alphabetisch niedrigsten Pfad (am weitesten oben in der Baumansicht) gewählt.
  • mit Vergleichsbasis übereinstimmt (blauer Kreis)
  • sich von der Vergleichsbasis unterscheidet (gelbes Dreieck)

Die Checkbox zeigt den Konfigurationsmodus an:

  • aktiv: Objekt erbt Konfiguration von übergeordnetem Objekt
  • inaktiv: Objekt wird individuell konfiguriert

Liste der Benutzer und ihrer Rollen

Jede Zeile dieser Tabelle stellt einen Benutzer dar und hat eine der 3 folgenden Hintergrundfarben:

  • Weiß: Der Benutzer ist sowohl in der Vergleichsbasis als auch im gerade betrachten Objekt definiert.
  • Grau: Der Benutzer ist im gerade betrachteten Objekt definiert, in der Vergleichsbasis scheint er jedoch nicht auf.
  • Rot: Der Benutzer ist in der Vergleichsbasis definiert, im gerade betrachteten Objekt scheint er jedoch nicht auf.

Die Tabelle besteht aus den folgenden Spalten:

  • Symbol für den Typ der Zeile auf. Die Symbole entsprechen denenim Bereich Liste der Objekte.
  • Benutzernamen
  • Spalten mit den möglichen Rollen.
    Aktivierte Checkbox: Benutzer hat diese Rolle inne.

Schließen

Schließt das Fenster.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Rollen für Benutzer

Wurden Benutzer mit unterschiedlichen Einstellungen für die gemeinsame Konfiguration ausgewählt, dann wird im Dialog zur Konfiguration der Zugriffsrechte ein Warnhinweis eingeblendet:

Screenshots - Expanding

Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung. In diesem Dialog können keine Eingaben vorgenommen werden:

Screenshots - Expanding

Parameter

Beschreibung

Liste der Benutzer

Anzeige aller konfigurierten Benutzer.

Die erste Spalte zeigt ein Symbol mit der Art der Warnung:

  • Raute: Vergleichsbasis. Als Basis wird die Konfiguration des zuletzt ausgewählten Benutzers gewählt.
  • Blauer Kreis: Stimmt mit Vergleichsbasis überein.
  • Gelbes Dreieck: Unterscheidet sich von der Vergleichsbasis.

Die weiteren Spalten enthalten den Benutzernamen und die Anzeige der jeweiligen Rollen.
Aktivierte Checkbox: Benutzer hat diese Rolle inne.

Schließen

Schließt das Fenster.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Einstellungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Einstellungen für das ZAMS erreichen Sie über den Menüpunkt Optionen. Sie stehen unabhängig von einer Verbindung zum Analyzer Server und unabhängig von einer gültigen Lizenzen zur Verfügung. Die Optionen sind deaktiviert, wenn einer der folgenden Aktionen ausgeführt wird: Öffnen, Bereitstellen, Alle bereitstellen, Im Microsoft Report Builder öffnen oder Alle im Microsoft Report Builder öffnen.

In den Optionen werden konfiguriert:

  • Verbindungsprofile
  • Bereitstellung von Reports
  • Meldungen im Ausgabefenster
  • Spracheinstellungen
  • Datenbanksicherungen

Noch in diesem Kapitel

Verbindungsprofile

Bereitstellung

Ausgabemeldungen

Spracheinstellungen

Datenbanksicherungen


Verbindungsprofile

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen -> Verbindungsprofile

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte definieren Sie das Startverhalten des ZAMS.

Screenshots - Expanding

Parameter

Beschreibung

Verbindungsprofile

Einstellungen für Verbindungsprofile.

Maximale Verbindungsprofile

Anzahl der Verbindungsprofile, die gespeichert werden. Wird die eingestellte Anzahl durch Anlegen eines neuen Verbindungsprofils überschritten, dann wird das Profil, das am längsten nicht mehr verwendet wurde, gelöscht.

  • Minimum: 1
  • Maximum: 255

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Maximale Anzahl an Dateien in der Historie eines Verbindungsprofils

Anzahl der Reports, die im Menü Report in der Liste Zuletzt bearbeitete Reports angezeigt werden.

  • Minimum: 1
  • Maximum: 255
    Wird durch einen hinzukommenden Report das erlaubte Maximum überschritten, dann wird der älteste Eintrag gelöscht.

Dieser Wert gilt für alle Verbindungsprofile. Mit Klick auf OK wird das neue Maximum in die Konfiguration geschrieben. Alle Verbindungsprofile werden sofort auf Einhaltung des Maximums geprüft. Wenn nötig, werden die ältesten Einträge gelöscht.

Aktion bei Programmstart

Definition der Aktion beim Start des ZAMS.

Verbindungsdialog ausblenden

Aktiv: Es wird nur das Hauptfenster angezeigt.

Verbindungsdialog mit Standardeinstellungen anzeigen

Aktiv: Der Dialog für den Verbindungsaufbau wird mit den Werten für ein neues Verbindungsprofil geöffnet.

Verbindungsdialog mit zuletzt benutztem Profil anzeigen

Aktiv: Der Dialog für den Verbindungsaufbau wird mit den Werten für das zuletzt genutzte Verbindungsprofil geöffnet.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Verbindungsprofile verwalten


Verbindungsprofile verwalten

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen -> Verbindungsprofile -> Verbindungsprofile verwalten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dieser Dialog verwaltet die Verbindungsprofile für:

  • ZAMS
  • Metadata Editor
  • Manual Data Editor

Es können Profile gelöscht und die Authentifizierungsmethode geändert werden.

attention Achtung

Änderungen in diesem Dialog werden nur ausgeführt, wenn auch der übergeordnete Dialog, aus dem die Verwaltung der Profile geöffnet wurde, mit Klick auf OK bestätigt wird.

Screenshots - Expanding

Parameter

Beschreibung

Liste Verbindungsprofile

Die Tabelle zeigt alle editierbaren Verbindungsprofile an.

Hinweis: Metadata Editor und Manual Data Editor können die ZAMS-Verbindungsprofile nicht bearbeiten.

Es werden folgende Spalten angezeigt:

  • Verbindungsprofil: Profilname
  • Server: SQL Server Instanz
  • Datenbank: verknüpfte Datenbank
  • Authentifizierung: Art der Authentifizierung

Mehrfachauswahl ist möglich.

Alle auswählen

Markiert alle Einträge.

Auswahl aufheben

Hebt die Markierung von Einträgen auf.

Löschen

Löscht die markierten Verbindungsprofile ohne Nachfrage. Nur verfügbar, wenn mindestens ein Profil ausgewählt wurde.

Windows-Authentifizierung verwenden
  • Aktiv: Windows-Authentifizierung wird verwendet.

Wurden mehrere Profile gewählt dann:

  • wird die Einstellung des ersten gewählten Profils angezeigt
  • werden Änderungen auf alle ausgewählten Profile angewendet

Benutzername

Eingabe des Benutzernamens bei Authentifizierung mit Benutzername und Passwort.

Nur aktiv, wenn mindestens ein Profil markiert wurde und das erste markierte Profil Authentifizierung mit Benutzername und Passwort verwendet. Bei Auswahl mehrerer Profile wird der Benutzername des ersten gewählten Profils automatisch gesetzt.

Anwenden

Setzen den eingegebenen Benutzername.

Nur aktiv, wenn mindestens ein Profil markiert wurde und das erste markierte Profil Authentifizierung mit Benutzername und Passwort verwendet. Änderungen werden auf alle ausgewählten Profile angewendet.

Schließen

Schließt den Dialogs. Das Speichern oder Verwerfen der Änderungen wird vom übergeordneten Optionen-Dialog vorgenommen (siehe die 3 Optionen-Dialoge oben).


Bereitstellung

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen -> Bereitstellung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte legen Sie fest, welche Aktionen beim Bereitstellen von Reports und beim Speichern automatisch passieren sollen.

Für alle Aktionen stehen drei Vorgehensweisen zur Verfügung:

  • Ja: führt Aktion automatisch durch
  • Nein: führt Aktion nicht durch
  • Abfrage: öffnet Dialog mit Abfrage der Benutzer-Entscheidung

Screenshots - Expanding

Parameter | Beschreibung
Reportdefinition vor Bereitstellung speichern | Entscheidung ob Reports vor der Bereitstellung auf die Festplatte gespeichert werden. Default: Abfrage
Reportdefinitionen überschreiben | Entscheidung, ob Reports auf der Festplatte beim Speichern überschrieben werden. Default: Abfrage
Reports auf Analyzer Server überschreiben | Entscheidung, ob Reports am Analyzer Server überschrieben werden. Default: Abfrage
Stored Procedures und User Defined Functions überschreiben | Entscheidung, ob SPs und UDFs in der Datenbank überschrieben werden. Default: Abfrage
Nach Bereitstellung Reports in Microsoft Report Builder öffnen | Entscheidung, ob Reports nach erfolgreicher Bereitstellung im Microsoft Report Builder geöffnet werden. Default: Abfrage
Speicherpfad der Reportdefinitions-Dateien | Ordner, in dem die Reports gespeichert werden. Klick auf Schaltfläche ... öffnet Browser zur Auswahl eines Ordners. Report-Dateien haben die Dateinamenerweiterung .zams_rep. Der Pfad wird pro Benutzer gespeichert. Default: C:\Users\Public\Documents\Analyzer_Reports
Neue Objekte erben die Zugriffsrechte des übergeordneten Objekts | Aktiv: Neu erstellte Objekte erhalten die gleichen Zugriffsrechte wie das ihnen übergeordnete Objekt.
Nur dem derzeit verbundenen Benutzer Zugriff auf neue Objekte geben | Aktiv: Nur der beim Erstellen der neuen Objekte verbundene Benutzer erhält Zugriff auf diese neuen Objekte. Dafür wird ihm die Rolle Content Manager zugewiesen.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Ausgabemeldungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen -> Ausgabemeldungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte definieren Sie die Anzeige von Meldungen im Ausgabefenster.

Screenshots - Expanding

Parameter | Beschreibung
Fehler im Ausgabenfenster anzeigen | Aktiv: Fehler werden im Ausgabefenster angezeigt.
Warnungen im Ausgabenfenster anzeigen | Aktiv: Warnungen werden im Ausgabefenster angezeigt.
Meldungen im Ausgabenfenster anzeigen | Aktiv: Benachrichtigungen werden im Ausgabefenster angezeigt.
Ausgabenfenster löschen, wenn eine Bereitstellung gestartet wird | Aktiv: Das Ausgabefenster wird geleert, sobald eine Funktion zur Report-Bereitstellung ausgeführt wird.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Alle Meldungen und Warnungen des Ausgabefensters werden unabhängig davon, ob Sie angezeigt werden oder nicht, in LOG-Dateien gespeichert.


Spracheinstellungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen -> Spracheinstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im ZAMS können die Sprache für die ZAMS-Oberfläche und die Sprache für die Reports unabhängig von der Sprache des Betriebssystems vordefiniert werden.

ZAMS-Sprache beim ZAMS-Start

Beim Start des ZAMS wird Betriebssystemsprache erkannt und gesetzt. Wurde in den Optionen eine andere Sprache für die ZAMS-Oberfläche festgelegt, dann wird diese verwendet. Kann nicht in die vordefinierte Sprache umgeschaltet werden, bleibt die Sprache des Betriebssystems aktiv.

Die Umschaltung der ZAMS-Oberflächensprache betrifft alle Bereiche des ZAMS, also auch Reportvorlagen und Datendateien.

Sprache konfigurieren

Um die Spracheinstellungen zu konfigurieren:

  1. navigieren Sie zum Menü Optionen
  2. wählen Sie den Befehl Einstellungen
  3. öffnen Sie die Registerkarte Spracheinstellungen

Screenshots - Expanding

Parameter

Beschreibung

Sprache für das zenon Analyzer Management Studio

Auswahl der Sprache für die ZAMS-Oberfläche aus Dropdownliste. Die zur Verfügung stehenden Sprachen werden in der Schreibweise der jeweiligen Sprache dargestellt.

Die Sprache wird sofort nach Umstellung und Klick auf OK umgestellt.

Spracheinstellungen für Reports

Konfiguration der Sprachen für die Bereitstellung von Reports.

Bereitstellung in der Sprache des zenon Analyzer Management Studios

Aktiv: Reports werden immer in der Sprache erstellt, die in der Option Sprache für das zenon Analyzer Management Studio gewählt wurde.

Inaktiv: Reports werden in den Sprachen bereitgestellt, deren Checkboxen in der Option Reports in folgenden Sprachen bereitstellen aktiviert wurden.

Default: aktiv

Reports in folgenden Sprachen bereitstellen

Die Sprachen für Reports können individuell definiert werden. Um eine Sprache auszuwählen, muss die Checkbox vor der Sprache aktiviert werden.

Position der Sprachkennzeichnung

Einstellung für die Vorgangsweise, wie Reports entsprechend ihrer Sprachzuordnung abgelegt und in der Option Alle Report Bereitstellungspfade der Reportkonfiguration angezeigt werden.
Zur Verfügung stehen folgende Optionen:

  • Erster Ordner im Reportpfad am Analyzer Server
  • Letzter Ordner im Reportpfad am Analyzer Server
  • Präfix im Reportnamen am Analyzer Server
  • Suffix im Reportnamen am Analyzer Server

(Nähere Informationen siehe folgende Optionen.)
  • Erster Ordner im Reportpfad am Analyzer Server

Aktiv: Für jede Sprache wird ein eigenes Ordner-System erstellt. Dazu wird im Pfad für den Report an erster Stelle ein Ordner mit der jeweiligen Sprachbezeichnung erstellt, darunter befinden sich die Ordner für die Themen. Die Reports werden in den ihnen zugeordneten Ordnern abgelegt.

Zum Beispiel: /DE/Alarmanalyse/Alarmliste

/EN/Alarmanalyse/Alarmliste

  • Letzter Ordner im Reportpfad am Analyzer Server

Aktiv: Alle Sprachen haben eine gemeinsame Ordner-Struktur für das Thema. Dazu wird im Pfad für den Report unter dem Ordner des Themas ein Ordner mit der jeweiligen Sprachbezeichnung erstellt. Die Reports werden in den ihnen zugeordneten Ordnern abgelegt.

Zum Beispiel: /Alarmanalyse/DE/Alarmliste

/Alarmanalyse/EN/Alarmliste

  • Präfix im Reportnamen am Analyzer Server

Aktiv: Dem Reportnamen werden Sprachbezeichner vorangestellt. Dazu werden Reports werden im jeweiligen Ordner für das Thema abgelegt. Jeder Report erhält ein Präfix mit der Sprachbezeichnung und einem Unterstrich..

Zum Beispiel: /Alarmanalyse/DE_Alarmliste

/Alarmanalyse/EN_Alarmliste

  • Suffix im Reportnamen am Analyzer Server

Aktiv: An den Reportnamen werden Sprachbezeichner angehängt. Dazu werden Reports im Ordner für das jeweilige Thema abgelegt. Jeder Report erhält ein Suffix mit einem Unterstrich und der Sprachbezeichnung.

Zum Beispiel: /Alarmanalyse/Alarmliste_DE

/Alarmanalyse/Alarmliste_DE

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Datenbanksicherungen

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Einstellungen -> Datenbanksicherungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden der Pfad für die Datenbanksicherung und die Zahl der zu erstellenden Sicherungsdateien konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Liste der existierenden Datenbanksicherungspfade

Listet alle konfigurierten Datenbanksicherungspfade auf:

  • Name der SQL-Server Instanz: Instanz, die gesichert werden soll.
  • Ordner für Datenbanksicherungsdateien: Ordner, in dem die Sicherung angelegt wird

In der Tabelle kann genau eine Zeile markiert werden. Die markierte Zeile kann dann bearbeitet oder gelöscht werden.

Hinweis: Hinzufügen ist an dieser Stelle nicht möglich, da die Datenbanksicherung immer nur für die aktuell verbundene SQL Server Instanz arbeitet. Der Dialog muss aber auch ohne bestehende Verbindung funktionieren.

Bearbeiten

Öffnet Dialog zur Bearbeitung des Sicherungspfades.

Löschen

Löscht den ausgewählten Eintrag.

Sicherungsdateien

Konfiguration der Optionen für die Sicherungsdateien.

Anzahl der Sicherungsdateien für jede Datenbank begrenzen

  • Aktiv: Die Anzahl der erstellten Sicherungsdateien wird begrenzt. Die Begrenzung wird in der Option Anzahl der Sicherungsdateien pro Datenbank definiert.
    Sobald das Maximum erreicht wurde, wird beim Anlegen einer neuen Sicherungsdatei die jeweils älteste gelöscht.
  • Inaktiv: Es werden unlimitiert Sicherungsdateien erstellt.
    Achtung: Beachten Sie die den zur Verfügung stehenden Speicherplatz. Wird das Limit des Speichermediums erreicht, werden keine weiteren Sicherungsdateien mehr angelegt.

Anzahl der Sicherungsdateien pro Datenbank

Einstellung für die Anzahl der maximal anzulegenden Sicherungsdateien.

  • Minimum: 1
  • Maximum: 100
  • Default: 1

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Screenshots - Expanding

Parameter

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA2: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA2: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Bindung der Reportdefinitionsdateien an Datenbank

zenon Analyzer -> ZAMS - zenon Analyzer Management Studio -> Bindung der Reportdefinitionsdateien an Datenbank

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Reportdefinitionsdateien (zams_rep) werden an ihre Datenbank gebunden. Die Bindung wird beim Speichern hergestellt und beim Öffnen überprüft.

Beim Laden eines Reports aus einer zams_rep-Datei werden die notwendigen Bindungsinformationen gelesen und interpretiert:

  • Ist der SQL-Server Instanzname nicht verfügbar, wird die Fehlermeldung W00128 (siehe Abschnitt Meldungen im Ausgabefenster) ausgegeben. Dann wird der SQL-Server Instanzname der aktuellen SQL-Server Verbindung eingetragen, damit die Bindungsinformationen beim nächsten Speichern auf die aktuelle Verbindung zeigen.
  • Weicht der SQL-Server Instanzname in den Bindungsinformationen vom SQL Server Instanznamen der aktuellen SQL Server Verbindung ab, wird die Fehlermeldung W00129 ausgegeben. Dann wird der SQL-Server Instanzname der aktuellen SQL-Server Verbindung eingetragen,, damit die Bindungsinformationen beim nächsten Speichern auf die aktuelle Verbindung zeigen.
  • Ist der Datenbankname nicht verfügbar, wird die Fehlermeldung W00130 ausgegeben. Dann wird der Datenbankname der aktuellen SQL-Server Verbindung eingetragen, damit die Bindungsinformationen beim nächsten Speichern auf die aktuelle Verbindung zeigen.
  • Weicht der Datenbankname in den Bindungsinformationen vom Datenbanknamen der aktuellen SQL-Server Verbindung ab, wird die Fehlermeldung W00131 ausgegeben. Dann wird der Datenbankname der aktuellen SQL-Server Verbindung eingetragen, damit die Bindungsinformationen beim nächsten Speichern auf die aktuelle Verbindung zeigen.

Beispiele

Beispiel 1

Eine mit ZAMS 2.00 gespeicherte zams_rep-Datei File wird mit ZAMS 2.10 geladen. Da die Datei keine SQL-Server Informationen besitzt, wird die Fehlermeldung W00128 (siehe Liste Fehlermeldungen) ausgegeben. Die Datenbankinformationen werden aus einem RTP-Parameter extrahiert und interpretiert. Weicht die Datenbank ab, wird die Meldung W00131 ausgegeben.

Beispiel 2

Eine Datenbank wird mit gleichem Namen in eine andere SQL-Serverinstanz eingespielt. Beim Öffnen der zams_rep-Datei wird W00129 ausgegeben, da der neu Analyzer Server des einen anderen Namen hat. Die Datenbank ist jedoch identisch.

Meldungen im Ausgabefenster

Fehler bei der Bindung der zams_rep-Datei an seine Datenbank werden durch Meldungen im Ausgabefenster angezeigt.

SQL-Server Instanzinformationen setzen sich aus der Adresse des Servers und der Instanz zusammen, zum Beispiel CDSBG036\ZA2.

Meldung im Ausgabefenster | ID | Beschreibung
The storage file does not contain any information about the Analyzer SQL Server instance it was created for. The report might have been created for a different Analyzer SQL Server instance which can cause a corrupted report. | W00128 | In der zams_rep-Datei sind keine SQL-Server Instanzinformationen vorhanden. Möglicherweise wurde sie für eine andere SQL-Server Instanz erstellt.
The report in the storage file was created for the Analyzer SQL Server instance ‚[Original SQL Server Instanz Name]‘ but now it is loaded for the Analyzer SQL Server instance ‚[Neuer SQL Server Instanz Name]‘. This can cause a corrupted report. | W00129 | Die zams_rep-Datei wurde für andere SQL Server Instanz erstellt.
The storage file does not contain any information about the Analyzer metadata database it was created for. The report might have been created for a different Analyzer metadata database which can cause a corrupted report. | W00130 | Keine Datenbankinformationen in der zams_rep-Datei vorhanden. Möglicherweise wurde sie für eine andere SQL-Server Instanz erstellt.
The report in the storage file was created for the Analyzer metadata database ‚[Original Datenbank Name]‘ but now it is loaded for the Analyzer metadata database ‚[Neuer Datenbank Name]‘. This can cause a corrupted report. | W00131 | Die zams_rep-Datei wurde für eine andere SQL-Server Instanz erstellt.

Hinweise zum Umgang mit Warnungen

  • Warnungen W00128 und W00129: Weniger kritisch. Es hat jeweils der Namen der SQL-Serverinstanz geändert.

    Empfehlung: Reportkonfiguration prüfen, wenn eine dieser Warnungen auftritt. Denn es besteht die Möglichkeit, dass auf zwei unterschiedlichen SQL-Serverinstanzen Datenbanken mit unterschiedlichen Inhalten existieren, diese jedoch den gleichen Namen haben, z. B. Standarddatenbank ZA_DATA.

  • Warnungen W00130 und W00131: Müssen überprüft werden.
    Sie dürfen nur dann ignoriert werden, wenn sicher ist, dass die neue Datenbank ein hundertprozentiger Klon der alten Datenbank ist.

    Das Klonen von Analyzer Metadaten Datenbanken (gleicher Inhalt, neuer Name) ist nur dann gefahrlos, wenn in der Ausgangsdatenbank weder der SQL Connector erzeugt wurde noch Stored Procedures existieren.
    Hintergrundinformation: In den SPs wird der Datenbankname an den Connector Stub übergeben, damit dieser weiß, wo die Metadaten zu finden sind. Der SQL Connector prüft diesen Datenbanknamen, da er nur die Metadaten der aktuellen Datenbank kennt.


Metadatenbank-Editoren

zenon Analyzer -> Metadatenbank-Editoren

im zenon Analyzer stehen Editoren zur Bearbeitung von Metadaten zur Verfügung:

  • Manual Data Editor: Ermöglicht es, in einer zenon Analyzer Metadaten Datenbank die Tabellen für Preis- und Normwerte zu bearbeiten.
  • Metadata Editor: Ermöglicht die Bearbeitung von Benennungen und Beschreibungen diverser Objekte.

Die Anwendungen können aus dem ZAMS, aus dem Startmenü und aus dem Windows Explorer als eigenständige Programme gestartet werden.

Als Control in zenon einbinden

Die Anwendungen können auch als ActiveX Controls in zenon eingebunden werden. Bei der Verwendung mit ActiveX gelten folgende Einschränkungen:

  • Maximal 1 Instanz je Anwendung gleichzeitig
  • Minimalgröße: 1000 x 700 Pixel

Details zur Projektierung eines ActiveX Controls lesen Sie im Abschnitt Control in zenon projektieren.

In zenon Runtime starten

Um einen der Editoren in der zenon Runtime zu öffnen:

  1. binden Sie das .NET Control in das betreffende zenon Projekt ein
  2. öffnen Sie bei laufender Runtime das Control
  3. der Editor wird geöffnet

    Hinweis: Im Control in der zenon Runtime steht keine Menüzeile zur Verfügung.

Noch in diesem Kapitel

Metadata Editor

Manual Data Editor


Metadata Editor

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor

Der Metadateneditor ermöglicht es, Anzeigenamen und Beschreibungen anzupassen und Anlageninformationen einzutragen.

Er wird typischerweise zwischen dem Exportieren der Metadaten mit dem Analyzer Export Wizard und dem Beginn der Reporterstellung mit dem ZAMS eingesetzt.

Der MetadataEditor steht zur Verfügung als:

  • .NET Control in der zenon Runtime: Verfügbar ab zenon Version 7.11. Das Control kann lesend auf die Verbindungsprofilliste des ZAMS zugreifen.
  • EXE-Datei: Ermöglicht die Datenbankbearbeitung auch ohne zenon Runtime. Diese Datei bindet das .NET Control ein und kann aus ZAMS gestartet werden.
    Die Oberflächeneinstellungen sind nur aus der EXE-Datei erreichbar und dort speicherbar

info Info

Werden Anzeigenamen von Objekten geändert, kann es nötig sein, manche Reports aus dem ZAMS heraus neu bereitzustellen oder neu zu konfigurieren. In der Regel genügt es, den Bearbeitungsdialog einmal zu öffnen und wieder zu schließen.

Voraussetzungen

Um den Metadata Editor auf einer Datenbank verwenden zu können, müssen folgende Voraussetzungen erfüllt sein:

  • Die Datenbank muss eine Analyzer Datenbank in Version 2 mit gültiger Struktur sein.
  • Der Benutzer muss über die Rechte zum Bearbeiten der Metadaten verfügen.
    Diese Rechte können im ZAMS konfiguriert werden.

ZAMS

Um den Metadata Editor in ZAMS zu öffnen:

  1. navigieren Sie in ZAMS zum Menüpunkt Optionen
  2. wählen Sie den Eintrag Metadata Editor
  3. der Dialog zum Verbinden des Metadata Editors wird geöffnet

Tastenkombinationen

Zur Bedienung des Editors stehen Ihnen folgende Tastenkombinationen zur Verfügung:

Tastenkombination | Beschreibung
F1 | Öffnet die Hilfe.
Strg+Umschalt+C | Öffnet den Dialog zur Herstellung einer Datenbankverbindung.
Strg+S | Sichert Änderungen.
Alt+F4 | Beendet den Editor.
Strg+Z | Eingabe rückgängig machen.
Strg+Y | Eingabe wiederholen.

Noch in diesem Kapitel

Verbindung herstellen

Hauptfenster

Aktionen

Einstellungen


Verbindung herstellen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Verbindung herstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Metadata Editor verwaltet seine eigenen Verbindungsprofile. Beim Start werden auch die Verbindungsprofile des ZAMS gelesen. Existieren im Metadata Editor und in ZAMS Profile mit gleichen Namen, so dominiert das Verbindungsprofil des Metadata Editors.

Um den Manual Data Editor mit einer Datenbank zu verbinden:

  1. navigieren Sie in ZAMS zum Menüpunkt Optionen
  2. wählen Sie den Eintrag Metadata Editor
  3. der Dialog zur Verbindung mit einem Server wird geöffnet
  4. wählen Sie über Klick auf Verbindungsprofil die gewünschte Verbindung aus oder erstellen Sie analog zur Verbindungskonfiguration des ZAMS eine neue Verbindung

    Screenshots - Expanding

  5. klicken Sie auf OK
  6. die Verbindung wird hergestellt
  7. die Benutzerberechtigung wird vom Lizenzserver abgefragt
  8. die Datenbank wird auf Korrektheit geprüft
    Hinweis: Bei falschen Strukturen oder Versionen wird keine Verbindung hergestellt. Konvertierung ist nur mit ZAMS möglich.
  9. Daten werden geladen
  10. Lizenz wird geholt
  11. der Editor wird geöffnet

Hinweis: Beim Verbindungsaufbau gehen nicht gespeicherte Änderungen ohne Warnung verloren.


Hauptfenster

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Hauptfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Bereich

Beschreibung

Menüleiste

Menüs zur Bearbeitung und Speicherung der Objekte.

Symbolleiste

Symbole zur Bearbeitung und Speicherung der Objekte.

Fenster Objekttyp

Auswahl des zu bearbeitenden Objekttyps. Zur Verfügung stehen:

  • Anlagenmodellierung: Klick zeigt im Fenster Objekt-Auswahl die konfigurierten Anlagenmodelle aus Baum an.
  • Ereignisklassen: Klick zeigt im Fenster Objekt-Auswahl Ereignisklassen in einer gefilterten Liste ohne Projektbezug an.
  • Ereignisgruppen: Klick zeigt im Fenster Objekt-Auswahl Ereignisgruppen in einer gefilterten Liste ohne Projektbezug an.
  • Benutzer: Klick zeigt im Fenster Objekt-Auswahl Benutzer in einer gefilterten Liste ohne Projektbezug an.
  • Projekte: Klick zeigt im Fenster Objekt-Auswahl Projekte in einer gefilterten Liste ohne Projektbezug an.
  • Variablen: Klick zeigt im Fenster Objekt-Auswahl Variablen in einer gefilterten Liste mit Projektbezug an.
  • Archive: Klick zeigt im Fenster Objekt-Auswahl Archive in einer gefilterten Liste mit Projektbezug an.

Fenster Objekt-Auswahl

Auswahl der Objekte nach Listenart durch Markierung von Checkboxen oder Markierung der jeweiligen Zeile.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Statusleiste

Anzeige von Statusinformationen zu Verbindung und Aktionen.

Noch in diesem Kapitel

Menü, Symbolleiste und Statuszeile


Menü, Symbolleiste und Statuszeile

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Hauptfenster -> Menü, Symbolleiste und Statuszeile

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menü und Symbolleiste bieten eine Reihe von Befehlen zur Verwaltung des Metadata Editors.

Hinweis: Das Menü steht nur zur Verfügung, wenn der Metadata Editor als EXE-Datei aus ZAMS gestartet wird, aber nicht für das Control in der zenon Runtime.

Menü

Eintrag | Beschreibung
Datei | Befehle für allgemeine Operationen.
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen speichern | Speichert alle vorgenommenen Änderungen in der Datenbank.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle seit der letzten Speicherung vorgenommenen Änderungen.
Einstellungen | Öffnet den Dialog für die Konfiguration der Einstellungen.
Beenden | Beendet den Manual Data Editor.
Bearbeiten | Befehle für Wiederholen und Rückgängigmachen von Aktionen.
Rückgängig | Macht letzte Aktion rückgängig.
Wiederholen | Stellt letztes Rückgängig wieder her
Hilfe | Link zu Hilfe und Versionsinformation.
Versionshinweis | Öffnet ein Fenster mit Informationen zur aktuellen Version.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste

General Analyzer Schema Graphics Template

Symbol | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen speichern | Speichert alle vorgenommenen Änderungen.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle seit der letzten Speicherung vorgenommenen Änderungen.
Rückgängig | Klick auf Symbol macht letzte Aktion rückgängig. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von Aktionen, die rückgängig gemacht werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block rückgängig gemacht werden.
Wiederholen | Klick auf Symbol stellt letztes Rückgängig wieder her. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von rückgängig gemachten Aktionen, die wiederhergestellt werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block wiederhergestellt werden.

Statuszeile

Screenshots Analyzer - fixed

Element | Beschreibung
Symbol | Zeigt den Verbindungsstatus an.
Verbindungsinformation | Information zur Aktiven Verbindung.
Information [Objekte] gesamt | Information zur Anzahl der vorhandenen Objekte des aktuell ausgewählten Objekttyps.
Information [Objekte] selektiert | Information zur Anzahl der ausgewählten Objekte des aktuell ausgewählten Objekttyps.
Information [Objekte] verändert | Information zur Anzahl derveränderten Objekte des aktuell ausgewählten Objekttyps. Hinweis: Werden Änderungen rückgängig gemacht, dann wird der Zähler für die Anzahl der veränderten Objekte nicht dekremiert sondern behält seinen Wert.
Aktion | Information zur momentanen Aktion


Aktionen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Metadata Editor können Anzeigenamen und Beschreibungen angepasst und Anlageninformationen eingetragen werden. Es stehen folgende Objekttypen für Änderungen zur Verfügung:

  • Anlagenmodellierung
  • Ereignisklassen
  • Ereignisgruppen
  • Benutzer
  • Projekte
  • Variablen
  • Archive

Änderungen speichern

Änderungen werden über den Befehl oder das Symbol Änderungen speichern zur Datenbank übertragen und dort gespeichert. Das Übertragen der Änderungen wird überprüft und bei Gelingen bestätigt (Commit). Schlägt eine Änderung für eine Variable fehl, wird die Transaktion rückabgewickelt (Rollback).

attention Achtung

Tritt bei einer der Transaktions-Abschlussoperationen (Rollback oder Commit) ein Fehler auf, kann die Datenbank beschädigt und damit unbrauchbar werden.

Rückgängig machen - Wiederherstellen

Aktionen im Manual Data Editor können rückgängig gemacht bzw. wiederhergestellt werden.

Rückgängig machen

Um Aktionen rückgängig zu machen:

  1. Wählen Sie in der Symbolleiste den Befehl Rückgängig.
  2. Klick direkt auf das Symbol macht die letzte Aktion rückgängig.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen:

    Screenshots - Expanding

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt ausgeführt) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen rückgängig gemacht werden.
  6. Klick auf die ausgewählten Aktionen, macht diese rückgängig.

Wiederherstellen

Um Aktionen wiederherzustellen:

  1. Wählen Sie in der Symbolleiste den Befehl Wiederherstellen.
  2. Klick direkt auf das Symbol stellt die letzte rückgängig gemachte Aktion wieder her.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen, die rückgängig gemacht wurden:

    Screenshots - Expanding

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt rückgängig gemacht) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen wiederhergestellt werden.
  6. Klick auf die ausgewählten Aktionen, stellt diese wieder her.

Noch in diesem Kapitel

Anlagenmodellierung

Ereignisklassen

Ereignisgruppen

Benutzer

Projekte

Variablen

Archive


Anlagenmodellierung

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Anlagenmodellierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für Anlagenmodelle können Metadaten und Anlageninformationen geändert werden. Für die Konfiguration stehen zwei Registerkarten zur Verfügung:

  • Metadaten
  • Anlageninformationen

Symbolleiste und Kontextmenü Anlagenmodellierung

Über die Symbolleiste und ein Kontextmenü, können Knoten erweitert oder reduziert und Checkboxen aktiviert bzw. deaktiviert werden. Die Funktionalität von Symbolleiste und Kontextmenü wirkt sich dabei unterschiedlich aus:

  • Symbole: Wirken auf alle alle Einträge im gesamten Baum. Beim Auswähen/Abwählen werden nur die sichtbaren Elemente berücksichtigt.
  • Befehle im Kontextmenü: Wirkt auf den ausgewählten Knoten und alle seine Unterknoten, unabhängig von ihrer Sichtbarkeit.

Symbolleiste

General Analyzer Schema Graphics Template

Die Symbole bedeuten von links nach recht:

Parameter | Beschreibung
Alle Einträge erweitern | Klick erweitert alle Knoten aller Anlagenmodelle.
Alle Einträge schließen | Klick klappt alle Knoten aller Anlagenmodelle ein. Es werden nur noch die Wurzelordner angezeigt.
Alle sichtbaren Einträge wählen | Klick aktiviert alle Checkboxen aller angezeigten Anlagenmodelle und Anlagengruppen. Eingeklappte Zweige werden nicht aktiviert.
Alle Einträge abwählen | Klick deaktiviert alle Checkboxen aller Anlagenmodelle und Anlagengruppen.

Kontextmenü

Rechtsklick auf ein Anlagenmodell oder eine Anlagengruppe öffnet ein Kontextmenü:

Parameter | Beschreibung
Eintrag und alle untergeordneten Einträge erweitern | Erweitert diesen Knoten und alle untergeordneten Elemente.
Eintrag und alle untergeordneten Einträge reduzieren | Klick schließt diesen Knoten und alle untergeordneten Elemente.
Eintrag und alle untergeordneten Einträge wählen | Aktiviert die Checkboxen für den gewählten Eintrag und alle untergeordneten Einträge.
Eintrag und alle untergeordneten Einträge abwählen | Deaktiviert die Checkboxen für den gewählten Eintrag und alle untergeordneten Einträge.

Noch in diesem Kapitel

Metadaten

Anlageninformationen


Metadaten

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Anlagenmodellierung -> Metadaten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die Metadaten zu ändern:

  1. Wählen Sie im Fenster Objekttyp den Bereich Anlagenmodellierung aus.
  2. Wählen Sie im Fenster Objekt-Auswahl aus dem Baum der Anlagengruppen das gewünschte Objekt aus.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Anlagengruppen.

Die Objekte:

  • werden über Checkboxen ausgewählt
  • können nicht gefiltert werden
  • werden nach folgendem Schema angezeigt:
    Anzeigename: "Beschreibungstext"
  • erhalten einen Asterisk (*) als Suffix, wenn ein Text geändert wurde

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Anlagengruppe.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für Anlagengruppen mit der gleichen übergeordneten Anlagengruppe eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Anlagengruppen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des in der Liste ersten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Anlageninformationen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Anlagenmodellierung -> Anlageninformationen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die Anlageninformationen zu ändern:

  1. Wählen Sie im Fenster Objekttyp den Bereich Anlagenmodellierung aus.
  2. Wählen Sie im Fenster Objekt-Auswahl aus dem Baum der Anlagengruppen das gewünschte Objekt aus.

    Hinweis: Sieg können Anlageninformationen auch für mehrere Objekte gleichzeitig ändern.

  3. Sind bereits Anlageninformationen vorhanden, werden diese im Bearbeitungsbereich angezeigt.
  4. Möchten Sie Anlageninformationen neu erstellen, klicken Sie auf die Schaltfläche Neu.
  5. Tragen Sie im Bearbeitungsbereich die gewünschten Informationen ein.

    Beachten Sie dabei:

    • Die Kennung darf nicht leer sein.
    • Jeder Eintrag innerhalb einer Anlagengruppe muss eine eindeutige Kennung haben.
  6. Fügen Sie bei Bedarf weitere Zeilen hinzu.
  7. Löschen Sie nicht benötigte Zeilen mit Klick auf die Schaltfläche X.
  8. Klicken Sie auf die Schaltfläche Anwenden.
  9. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Anlagengruppen.

Die Objekte:

  • werden über Checkboxen ausgewählt
  • können nicht gefiltert werden
  • werden nach folgendem Schema angezeigt:
    Anzeigename: "Beschreibungstext"
  • erhalten einen Asterisk (*) als Suffix, wenn ein Text geändert wurde

Bearbeitungsbereich

Jede Zeile im Bearbeitungsbereich entspricht einem Eintrag in der Tabelle EQUIPMENTINFO, der der gerade gewählten Anlagengruppe zugeordnet ist. Es können auch mehrere Anlagengruppen ausgewählt werden.

Werden mehrere Anlagengruppen mit unterschiedlichen Einträgen ausgewählt, dann wird am unteren Rand des Bearbeitungsbereichs eine Warnung angezeigt. Es werden dann die Einträge der Anlagengruppe mit der niedrigsten ID, die mehr als 0 Einträge hat, angezeigt.

Symbol: Neu

Klick auf Schaltfläche fügt eine neue Zeile hinzu.

Eine Zeile besteht aus folgenden Elementen:

  • Kennung (verpflichtend)
  • Textwert (optional)
  • Numerischer Wert (optional)
  • Maßeinheit (optional)

Kennung

Eingabe der Kennung für den Eintrag. Dabei gelten folgende Regeln:

  • Kennung darf nicht leer sein.
  • Jeder Eintrag innerhalb einer Anlagengruppe muss eine eindeutige Kennung haben.

Textwert

Eingabe eines Textwerts für den Eintrag.

Kann über Checkbox aktiviert/deaktiviert werden.

Numerischer Wert

Eingabe eines numerischen Werts für den Eintrag. Dabei gelten folgende Regeln:

  • Ist diese Option Wert aktiviert, muss hier eine gültige Gleitkommazahl stehen.

Kann über Checkbox aktiviert/deaktiviert werden.

Maßeinheit

Eingabe einer Einheit für den Eintrag.

Kann über Checkbox aktiviert/deaktiviert werden.

X

Klick auf Symbol löscht Zeile aus der Liste.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde. Eine Regelverletzung wird durch das Ändern der Hintergrundfarbe des Eingabefeldes und einen Tooltip angezeigt.


Ereignisklassen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Ereignisklassen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Änderungen für Ereignisklassen vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Ereignisklassen aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Ereignisklassen.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Ereignisklassen.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Ereignisklasse.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Ereignisklassen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Ereignisgruppen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Ereignisgruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Änderungen für Ereignisgruppen vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Ereignisgruppen aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Ereignisgruppen.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Ereignisklassen.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Ereignisgruppe.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Ereignisgruppen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Benutzer

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Benutzer

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Änderungen für Benutzer vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Benutzer aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Benutzer.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Benutzer.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens eines Benutzers.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Benutzern.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Projekte

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Projekte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Änderungen für Projekte vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Projekte aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Projekte.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Projekte.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens eines Projekts.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Projekten.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Variablen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Variablen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Änderungen für Variablen vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Variablen aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Variablen.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)
  • Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Variablen.

Gefiltert werden kann nach:

  • Projekt
  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Variablen.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss innerhalb eines Projekts eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Variablen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Archive

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Aktionen -> Archive

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Änderungen für Archive vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Archive aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Screenshots - Expanding

Parameter

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Archive.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)
  • Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Ereignisklassen.

Gefiltert werden kann nach:

  • Projekt
  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens eines Archivs.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss innerhalb eines Projekts eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Archiven.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Einstellungen

zenon Analyzer -> Metadatenbank-Editoren -> Metadata Editor -> Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Dialog konfigurieren Sie:

  • Anzahl er erlaubten Verbindungsprofile
  • Verwaltung der Verbindungsprofile
  • Sprache der Oberfläche des Editors

Um die Einstellungen zu konfigurieren:

  1. öffnen Sie das Menü Datei
  2. wählen Sie den Eintrag Einstellungen
  3. der Dialog zur Konfiguration der Einstellungen wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Maximale Anzahl an Verbindungsprofilen

Legt fest, wie viele Verbindungsprofile für den Editor maximal angelegt werden dürfen:

  • Minimum: 1
  • Maximum: 255
  • Default: 1

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Hinweis: Da im Dialog für die Verbindungsherstellung auch die ZAMS-Verbindungsprofile dargestellt werden, können in der Dropdownliste zur Auswahl eines Profils mehr als die zugelassenen Verbindungsprofile angezeigt werden.

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Sprache

Auswahl der gewünschten Sprache für die Oberfläche des Editors aus Dropdownliste.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Manual Data Editor

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Manual Data Editor ermöglicht es, in einer zenon Analyzer Metadaten Datenbank die Tabellen für Preis- und Normwerte zu bearbeiten.

Der Manual Data Editor steht zur Verfügung als:

  • .NET Control in der zenon Runtime: Verfügbar ab zenon Version 7.11. Das Control kann lesend auf die Verbindungsprofilliste des ZAMS zugreifen.
  • EXE-Datei: Ermöglicht die Datenbankbearbeitung auch ohne zenon Runtime. Diese Datei bindet das .NET Control ein und kann aus ZAMS gestartet werden.
    Die Oberflächeneinstellungen sind nur aus der EXE-Datei erreichbar und dort speicherbar.

ZAMS

Um den Manual Data Editor in ZAMS zu öffnen:

  1. navigieren Sie in ZAMS zum Menüpunkt Optionen
  2. wählen Sie den Eintrag Manual Data Editor
  3. der Dialog zum Verbinden des Manual Data Editors wird geöffnet

Tastenkombinationen

Zur Bedienung des Editors stehen Ihnen folgende Tastenkombinationen zur Verfügung:

Tastenkombination | Beschreibung
F1 | Öffnet die Hilfe.
Strg+Umschalt+C | Öffnet den Dialog zur Herstellung einer Datenbankverbindung.
Strg+S | Sichert Änderungen.
Alt+F4 | Beendet den Editor.
Strg+Z | Eingabe rückgängig machen.
Strg+Y | Eingabe wiederholen.

Noch in diesem Kapitel

Verbindung herstellen

Control in zenon projektieren

Hauptfenster

Aktionen

Einstellungen

Beispiel


Verbindung herstellen

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Verbindung herstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Manual Data Editor verwaltet seine eigenen Verbindungsprofile. Beim Start werden auch die Verbindungsprofile des ZAMS gelesen. Existieren im Manual Data Editor und in ZAMS Profile mit gleichen Namen, so dominiert das Verbindungsprofil des Manual Data Editors.

Um den Manual Data Editor mit einer Datenbank zu verbinden:

  1. navigieren Sie in ZAMS zum Menüpunkt Optionen
  2. wählen Sie den Eintrag Manual Data Editor
  3. der Dialog zur Verbindung mit einem Server wird geöffnet
  4. wählen Sie über Klick auf Verbindungsprofil die gewünschte Verbindung aus oder erstellen Sie analog zur Verbindungskonfiguration des ZAMS eine neue Verbindung

    Screenshots - Expanding

  5. klicken Sie auf OK
  6. die Verbindung wird hergestellt
  7. die Benutzerberechtigung wird vom Lizenzserver abgefragt
  8. die Datenbank wird auf Korrektheit geprüft
    Hinweis: Bei falschen Strukturen oder Versionen wird keine Verbindung hergestellt. Konvertierung ist nur mit ZAMS möglich.
  9. Daten werden geladen
  10. Lizenz wird geholt
  11. der Manual Data Editor wird geöffnet

Hinweis: Beim Verbindungsaufbau gehen nicht gespeicherte Änderungen ohne Warnung verloren.


Control in zenon projektieren

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Control in zenon projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das ActiveX Control CD_DotNetControlContainer.Container ermöglicht es, beliebige .NET Windows Forms Controls als Dynamisches Element in zenon zu verwenden. Dabei werden alle im .NET Control implementierten Funktionen unterstützt. Es kann mit allen zenon Versionen ab 5.50 verwendet werden, die ActiveX unterstützen.

Hinweis: .NET Framework 4.5 muss vorhanden sein.

Um das ActiveX Control CD_DotNetControlContainer.Container zu verwenden:

  1. legen Sie ein Dynamisches Element vom Typ ActiveX an
  2. wählen Sie in der Liste der vorhandenen Control CD_DotNetControlContainer.Container
  3. klicken Sie auf die Schaltfläche Eigenschaften
  4. der Dialog zur Konfiguration des Controls öffnet sich

Parameter | Beschreibung
Load | Öffnet den Dateimanager zur Auswahl einer .NET Control Assembly. Hinweis: Die .NET Control Assembly muss sich im selben Ordner wie die Runtime befinden. Es wird immer der absolute Pfad zur .NET Control Assembly gespeichert, z. b: C:\Controls\Assembly.dll.
SelectUserControl | Auswahl des .NET Controls aus den im selektierten .NET Control Assembly verfügbaren Controls.
Preview | Zeigt absoluten Pfad zur .NET Control Assembly an. Feld links darunter: Vorschau auf das Control. Feld rechts darunter: Eigenschaftenliste für das ausgewählte .NET Control.
Symbol: Nach Kategorien | Zeigt Eigenschaften nach Kategorien sortiert an.
Symbol: Alphabetisch | Zeigt Eigenschaften alphabetisch sortiert an.
Symbol: Eigenschaftenseiten | Zeigt Eigenschaftenseiten an.
OK | Bestätigt Konfiguration. Diese wird dann im zenon ActiveX Element als XML Stream gespeichert.
Abbrechen | Verwirft Konfiguration.

Details zur Projektierung von .NET Control in zenon finden Sie im zenon Handbuch in den Kapiteln:

  • Bilder/Bildelemente/.NET Controls
  • Controls


Hauptfenster

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Hauptfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das Hauptfenster zeigt die in der aktuell verbundenen Datenbank vorhandenen Variablen und deren Preishistorie sowie Normhistorie an. Beim Start werden alle vorhandenen Daten ungefiltert dargestellt.

Screenshots - Expanding

Bereich

Beschreibung

Menüzeile

Menüpunkte für:

  • Datei: Einträge für Verbindung herstellen, Änderungen verwalten, Einstellungen und Manual Data Editor beenden.
  • Bearbeiten: Einträge für Eingaben rückgängig machen und Eingaben wiederholen.
  • Filter: Einträge für die Verwaltung der Filter.
  • Hilfe: Versionshinweis und Link zur Online-Hilfe.

Menüs sind nur in der EXE-Datei verfügbar, nicht im .NET Control.

Symbolleiste

Ermöglicht die Aktionen:

  • Verbindung herstellen: Öffnet Dialog zum Herstellen einer Verbindung
  • Änderungen speichern: Speichert vorgenommene Änderungen.
  • Änderungen verwerfen: Verwirft vorgenommene Änderungen.
  • Rückgängig: Macht die letzte Aktion rückgängig.
  • Wiederholen: Wiederholt die letzte Aktion.

Filterbereich

Elemente für die Filterung der Variablentabelle. Dieser Bereich kann über das Symbol rechts außen minimiert bzw. erweitert werden.

Bei minimiertem Filter wird eine Zusammenfassung des angewandten Filters angezeigt.

Variablentabelle

Filterbare Tabelle mit den Variablen der momentan verbundenen Datenbank.

Trennleiste horizontal

Ermöglicht das Verschieben der Größenverhältnisse per Maus zwischen Variablentabelle und Historien-Bereich.

Preishistorie

Übersicht der Preishistorie der selektierten Variablen und Konfiguration der Modifikation der selektierten Variablen.

Trennleiste vertikal

Ermöglicht das Verschieben der Größenverhältnisse per Maus zwischen Preishistorie und Normhistorie.

Normhistorie

Übersicht der Normhistorie der selektierten Variablen und Konfiguration der Modifikation der selektierten Variablen.

Statuszeile.

Hinweis auf Verbindung und aktuelle Aktion.

  • Symbol: Zeigt den Verbindungsstatus an.
  • Text: Gibt Verbindungsstatus inklusive verbundenem Server und verbundener Datenbank an.
  • Text: Aktueller Vorgang.
  • Fortschrittsanzeige: Wird beim beim Füllen der Tabelle, beim Speichern und beim Verwerfen der Änderungen eingeblendet solange die Aktion andauert.

Noch in diesem Kapitel

Menü und Symbolleiste


Menü und Symbolleiste

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Hauptfenster -> Menü und Symbolleiste

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menü und Symbolleiste bieten eine Reihe von Befehlen zur Verwaltung des Manual Data Editors und der Filterregeln.

Hinweis: Das Menü steht nur zur Verfügung, wenn der Manual Data Editor als EXE-Datei aus ZAMS gestartet wird, aber nicht für das Control in der zenon Runtime.

Menü

Eintrag | Beschreibung
Datei | Befehle für allgemeine Operationen.
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen speichern | Speichert alle an Variablen vorgenommenen Änderungen in der Datenbank.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle an Variablen seit der letzten Speicherung vorgenommenen Änderungen.
Einstellungen | Öffnet den Dialog für die Konfiguration der Einstellungen.
Beenden | Beendet den Manual Data Editor.
Bearbeiten | Befehle für Wiederholen und Rückgängigmachen von Aktionen.
Rückgängig | Macht letzte Aktion rückgängig.
Wiederholen | Stellt letztes Rückgängig wieder her
Filter | Befehle für Handhabung der Filter.
Filter anwenden | Wendet den aktuell konfigurierten Filter auf die Variablentabelle an.
Filter verwerfen | Löscht alle Filterbedingungen und zeigt die Variablentabelle ungefiltert an.
Filterprofil speichern | Speichert die aktuelle Filterkonfiguration als eigenes Profil.
Filterprofil löschen | Löscht das angezeigte Filterprofil.
Hilfe | Link zu Hilfe und Versionsinformation.
Versionshinweis | Öffnet ein Fenster mit Informationen zur aktuellen Version.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste

General Analyzer Schema Graphics Template

Symbol | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen speichern | Speichert alle an Preishistorie und Normhistorie vorgenommenen Änderungen.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle an Preishistorie und Normhistorie seit der letzten Speicherung vorgenommenen Änderungen.
Rückgängig | Klick auf Symbol macht letzte Aktion rückgängig. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von Aktionen, die rückgängig gemacht werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block rückgängig gemacht werden.
Wiederholen | Klick auf Symbol stellt letztes Rückgängig wieder her. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von rückgängig gemachten Aktionen, die wiederhergestellt werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block wiederhergestellt werden.


Aktionen

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Aktionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Manual Data Editor können für jede Variable Preis- und Norm-Daten manuell eingegeben und mehrere Variablen in einem gemeinsamen historischen Diagramm dargestellt werden. Die Variablen können gefiltert dargestellt werden.

Aktionen

Mögliche Aktionen:

  • Filtern der Variablentabelle
  • Dateneingabe für Preishistorie und Trenddiagramm anzeigen
  • Dateneingabe für Normhistorie und Trenddiagramm anzeigen

Änderungen speichern

Änderungen werden über den Befehl oder das Symbol Änderungen speichern zur Datenbank übertragen und dort gespeichert. Das Übertragen der Änderungen wird überprüft und bei Gelingen bestätigt (Commit). Schlägt eine Änderung für eine Variable fehl, wird die Transaktion rückabgewickelt (Rollback).

attention Achtung

Tritt bei einer der Transaktions-Abschlussoperationen (Rollback oder Commit) ein Fehler auf, kann die Datenbank beschädigt und damit unbrauchbar werden.

Rückgängig machen - Wiederherstellen

Aktionen im Manual Data Editor können rückgängig gemacht bzw. wiederhergestellt werden.

Rückgängig machen

Um Aktionen rückgängig zu machen:

  1. Wählen Sie in der Symbolleiste den Befehl Rückgängig.
  2. Klick direkt auf das Symbol macht die letzte Aktion rückgängig.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen:

    Screenshots - Expanding

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt ausgeführt) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen rückgängig gemacht werden.
  6. Klick auf die ausgewählten Aktionen, macht diese rückgängig.

Wiederherstellen

Um Aktionen wiederherzustellen:

  1. Wählen Sie in der Symbolleiste den Befehl Wiederherstellen.
  2. Klick direkt auf das Symbol stellt die letzte rückgängig gemachte Aktion wieder her.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen, die rückgängig gemacht wurden:

    Screenshots - Expanding

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt rückgängig gemacht) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen wiederhergestellt werden.
  6. Klick auf die ausgewählten Aktionen, stellt diese wieder her.

info Info

Werden Änderungen über den Befehl Änderungen verwerfen rückgängig gemacht, dann werden die Listen für Rückgängig und Wiederherstellen nicht zurückgesetzt. Das sofortige Verwenden der Funktionalitäten Rückgängig und Wiederherstellen kann damit zu Fehlermeldungen führen.

Noch in diesem Kapitel

Filter

Variablentabelle

Preishistorie

Normhistorie


Filter

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Aktionen -> Filter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im oberen Bereich vom Hauptfensters des Manual Data Editors befindet sich der ausblendbare Filterbereich. Um den Filterbereich ein- oder auszublenden klicken Sie auf das Symbol am rechten oberen Rand.

Der Filter ermöglicht es, die in der Variablentabelle angezeigten Variablen zu filtern nach:

  • Projektnamen
  • Variablennamen
  • Maßeinheiten
  • Bedeutung (Meaning)
  • Preis
  • Norm

Filter konfigurieren

Screenshots - Expanding

Parameter

Beschreibung

Metadaten

Filterkriterien für Metadaten.

Projektname

Filtert nach Projekt, aus dem die Variable kommt.

Variablenname

Filtert nach Name der Variablen.

Maßeinheit

Filtert nach Maßeinheit der Variablen.

Bedeutung

Filtert nach Bedeutung der Variablen.

Wurden für eine Variable mehrere Bedeutungen definiert, dann genügt es, wenn eine davon der hier eingegebenen entspricht.

Preis

Filterkriterien für Preise.

Nach Preis filtern

Aktiv: Variablen können nach Preisen gefiltert werden.

  • Eingabe des Bereichs in die beiden Zahlenfelder. Dieser umfasst das Minimum und das Maximum der aktuellsten Preise aller in der Datenbank vorhandenen Variablen.
  • Eingabe der Währung in das Textfeld.

Zeitstempel der letzten Preisänderung

Eingabe eines Zeitbereichs, in dem Preise geändert wurden.

Die beiden Datumselemente definieren den Zeitraum, ab dem der aktuellste Preis gilt.

Eingabe des Bereichs in die beiden Datumsfelder.

  • Anfang: Mitternacht-Tagesbeginn
  • Ende: Mitternacht-Tagesende
  • Default: Minimum und Maximum der Zeitstempel der aktuellsten Preise aller in der Datenbank vorhandenen Variablen.

Norm

Filterkriterien für Normen.

Diese werden immer auf den aktuellsten Normwert angewendet. Das ist der größte Zeitstempel, selbst wenn dieser in der Zukunft liegt.

Nach Norm filtern

Aktiv: Variablen können nach Normwerten gefiltert werden.

Normen werden in der Normtabelle festgelegt und über Variablen definiert. Zum Beispiel Normkurven für die Leistung von Windkraftwerken.

Die beiden Zahlenelemente dienen der Eingabe des Minimums und des Maximums für den .

  • Eingabe des Bereichs in die beiden Zahlenfelder. Dieser umfasst das Minimum und das Maximum der Normwerte für den Filter.
  • Default: Minimum und Maximum der aktuellsten Normwerte aller in der Datenbank vorhandenen Variablen.

Zeitstempel der letzten Normänderung

Eingabe eines Zeitbereichs, in dem Normen geändert wurden.

Eingabe des Bereichs in die beiden Datumsfelder.

  • Anfang: Mitternacht-Tagesbeginn
  • Ende: Mitternacht-Tagesende
  • Default: Minimum und Maximum der Zeitstempel des aktuellsten Normwerts aller in der Datenbank vorhandenen Variablen.

Filterprofil

Verwaltung von Filterprofilen.

Filterprofil

Combobox zur:

  • Eingabe eines Namens in Textfeld für ein neues Filterprofil
  • Auswahl eines bereits angelegten Filterprofils aus Dropdownliste

Speichern

Speichert den konfigurierten Filter und dem in Textfeld angezeigten Namen.

Löschen

Löscht das in Textfeld angezeigte Filterprofil.

Filter

Verwaltung der Filtereinstellungen.

Anwenden

Verwerfen

Löscht alle konfigurierten Filtereinstellungen.

Symbol

Blendet den Filterbereich im Hauptfenster ein bzw. aus.

Filterregeln

Für die Filtereinstellungen gilt:

  • Alle aktiven Filter werden immer mit einem logischen UND verknüpft.
  • Für Textfilter können Wildcards verwendet werden:
    • *: eine beliebige Anzahl beliebiger Zeichen
    • ?: genau ein beliebiges Zeichen
  • lst ein Textfeld für einen Textfilter leer, dannist der dazugehörige Textfilter inaktiv.
  • Numerische Filter bestehen immer aus Minimum und Maximum, wobei beide Grenzen im Bereich liegen: Minimum <= [Wert] <= Maximum
  • Die Zeitstempelfilter bestehen immer aus Minimum und Maximum, wobei beide Grenzen im Bereich liegen.


Variablentabelle

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Aktionen -> Variablentabelle

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

in der Variablentabelle werden die zu bearbeitenden Variablen aufgelistet. Diese können gefiltert werden.

Es können mehrere Variablen gleichzeitig ausgewählt werden. Dabei gelten die in Windows üblichen Tastenkürzel. Wird die Tabelle durch Änderung der Filterkriterien neu befüllt, dann wird versucht, die zuvor bestehende Variablenauswahl wieder herzustellen.

Screenshots - Expanding

Die Tabelle enthält folgende Spalten:

  • Projektname: Name des Projekts, aus dem die Variable kommt.
  • Variablenname: Name der Variablen.
  • Maßeinheit: Maßeinheit für Variablenwerte.
  • Bedeutung: Mehrere Bedeutungen einer Variablen werden durch Zeilenumschaltungen getrennt
  • Kennung: Name der Variablen in zenon Editor und Runtime
  • Beschreibung: Beschreibung der Variablen
  • Datentyp: Datentyp der Variablen

    Achtung: Es können technisch auch Preise und Normwerte für Binär- und String-Variablen eingegeben werden. Das ist in der Regel aber nicht sinnvoll, da bei diesen Variablen in der Regel weder Kosten noch Zielverbräuche existieren.

  • Preis: Aktuellster Preis.
  • Zeitstempel der letzten Preisänderung: Datum, seit dem der der aktuellste Preis gilt.
  • Währung: Währung des aktuellen Preises.
  • Norm: Aktuellster Normwert.
  • Zeitstempel der letzten Normänderung: Datum, seit dem der aktuellste Normwert gilt.

Die Tabelle kann nach einzelnen Spalten sortiert werden. Klick in den Spaltenkopf sortiert die Tabelle nach der entsprechenden Spalte von A - Z bzw. von Z -A bei erneutem Klick.


Preishistorie

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Aktionen -> Preishistorie

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Preishistorie wird in mehreren Registerkarten angezeigt. Die erste Registerkarte stellt die Werte aller ausgewählten Variablen gruppiert als Trend dar. Für jede Gruppe steht eine eigene Registerkarte zur Konfiguration zur Verfügung.

Screenshots - Expanding

Für die Erzeugung des Trends werden alle selektierten Variablen in Gruppen mit gleicher Preishistorie eingeteilt. Für jede Gruppe wird ein eigener Trend gezeichnet und ein Legendeneintrag erstellt. Der Legendeneintrag unterhalb des Trendfensters zeigt den Namen der ersten Variablen in einer Gruppe sowie die Anzahl weiterer Variablen in der Gruppe. Die Rückblickzeit des Trends kann in den Einstellungen definiert werden.

Preise bearbeiten

Für jede Gruppe wird eine eigene Registerkarte zur Bearbeitung der Preishistorie erstellt.

Screenshots - Expanding

Parameter

Beschreibung

Liste Variablen

Enthält die Namen aller Variablen dieser Preisgruppe.

Neu

Öffnet den Dialog zum Hinzufügen eines neuen Preises.

Tabelle Preishistorie

Zeigt gesamte Preishistorie an, inklusive der Einträge die im Trend aufgrund der Einstellungen für Trend Rückblickzeit nicht angezeigt werden.

Die Werte können direkt bearbeitet werden:

  • Zeitstempel: Eingabe des Datums und der Uhrzeit der Gültigkeit dieses Preises. Führt eine Modifikation des Werts zu einer Zeitstempelkollision innerhalb der Gruppe, wird die Änderung nicht zugelassen.
  • Wert: Eingabe des Preises. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt.
  • Währung: Eingabe der Währung für diesen Preis. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt.
  • Schaltfläche Löschen: Ein Klick auf dies Schaltfläche löscht den Eintrag aus der Liste.

Die Zeilen sind nach Zeitstempel sortiert. Änderungen in den Eingabefeldern werden nach Fokusverlust gespeichert. Die Ansicht und Sortierung wird mit dem Speichern aktualisiert.

Dialog zum Hinzufügen eines Preises

Klick auf die Schaltfläche Neu in der Registerkarte einer Preisgruppe öffnet den Dialog zum Hinzufügen eines neuen Preises:

Screenshots - Expanding

Parameter

Beschreibung

Zeitstempel

Eingabe des Zeitpunktes, ab wann der neue Preiseintrag gültig ist. Dieser Zeitpunkt kann auch in der Vergangenheit liegen.

Die Eingabe erfolgt in:

  • Datumsfeld: Direkte Eingabe oder Auswahl aus Kalender. Klick auf Schaltfläche öffnet Kalender.
  • Uhrzeitfeld: Direkte Eingabe oder Konfiguration über Pfeiltasten.

Ein Zeitpunkt ist nur dann gültig, wenn er keine Zeitstempelkollision innerhalb der Gruppe auslöst.

Preis

Eingabe des Preises. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt. Das Dezimaltrennzeichen - Punkt (.) oder Komma (,) - entspricht den Einstellungen der Sprache.

Währung

Eingabe der Währung für diesen Preis. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt.

OK

Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt den neuen Preiseintrag hinzu.

Abbrechen

Schließt den Dialog ohne einen neuen Preiseintrag zu generieren.


Normhistorie

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Aktionen -> Normhistorie

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Normhistorie wird in mehreren Registerkarten angezeigt. Die erste Registerkarte stellt die Werte aller ausgewählten Variablen gruppiert als Trend dar. Für jede Gruppe steht eine eigene Registerkarte zur Konfiguration zur Verfügung.

Screenshots - Expanding

Für die Erzeugung des Trends werden alle selektierten Variablen in Gruppen mit gleicher Normhistorie eingeteilt. Für jede Gruppe wird ein eigener Trend gezeichnet und ein Legendeneintrag erstellt. Der Legendeneintrag unterhalb des Trendfensters zeigt den Namen der ersten Variablen in einer Gruppe sowie die Anzahl weiterer Variablen in der Gruppe. Die Rückblickzeit des Trends kann in den Einstellungen definiert werden.

Normwerte bearbeiten

Für jede Gruppe wird eine eigene Registerkarte zur Bearbeitung der Normhistorie erstellt.

Screenshots - Expanding

Parameter

Beschreibung

Liste Variablen

Enthält die Namen aller Variablen dieser Normgruppe.

Neu

Öffnet den Dialog zum Hinzufügen eines neuen Normwerts.

Tabelle Preishistorie

Zeigt gesamte Normhistorie an, inklusive der Einträge die im Trend aufgrund der Einstellungen für Trend Rückblickzeit nicht angezeigt werden.

Die Werte können direkt bearbeitet werden:

  • Zeitstempel: Eingabe des Datums und der Uhrzeit der Gültigkeit dieses Normwerts. Führt eine Modifikation des Werts zu einer Zeitstempelkollision innerhalb der Gruppe, wird die Änderung nicht zugelassen.
  • Wert: Eingabe des Normwerts. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt.
  • Schaltfläche Löschen: Ein Klick auf dies Schaltfläche löscht den Eintrag aus der Liste.

Die Zeilen sind nach Zeitstempel sortiert. Änderungen in den Eingabefeldern werden nach Fokusverlust gespeichert. Die Ansicht und Sortierung wird mit dem Speichern aktualisiert.

Dialog zum Hinzufügen eines Normwerts

Klick auf die Schaltfläche Neu in der Registerkarte einer Preisgruppe öffnet den Dialog zum Hinzufügen eines neuen Normwerts:

Screenshots - Expanding

Parameter

Beschreibung

Zeitstempel

Eingabe des Zeitpunktes, ab wann der neue Preiseintrag gültig ist. Dieser Zeitpunkt kann auch in der Vergangenheit liegen.

Die Eingabe erfolgt in:

  • Datumsfeld: Direkte Eingabe oder Auswahl aus Kalender. Klick auf Schaltfläche öffnet Kalender.
  • Uhrzeitfeld: Direkte Eingabe oder Konfiguration über Pfeiltasten.

Ein Zeitpunkt ist nur dann gültig, wenn er keine Zeitstempelkollision innerhalb der Gruppe auslöst.

Norm

Eingabe des Normwerts. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt. Das Dezimaltrennzeichen - Punkt (.) oder Komma (,) - entspricht den Einstellungen der Sprache.

OK

Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt den neuen Normeintrag hinzu.

Abbrechen

Schließt den Dialog ohne einen neuen Normeintrag zu generieren.


Einstellungen

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In den Einstellungen konfigurieren Sie:

  • Anzahl der erlaubten Verbindungen
  • Verbindungsprofile
  • Oberflächensprache,
  • Rückblickzeit für die Trendkurven

Um die Einstellungen zu konfigurieren:

  1. öffnen Sie das Menü Datei
  2. wählen Sie den Eintrag Einstellungen
  3. der Dialog zur Konfiguration der Einstellungen wird geöffnet

Screenshots - Expanding

Parameter

Beschreibung

Maximale Anzahl an Verbindungsprofilen

Legt fest, wie viele Verbindungsprofile für den Editor maximal angelegt werden dürfen:

  • Minimum: 1
  • Maximum: 255
  • Default: 1

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Hinweis: Da im Dialog für die Verbindungsherstellung auch die ZAMS-Verbindungsprofile dargestellt werden, können in der Dropdownliste zur Auswahl eines Profils mehr als die zugelassenen Verbindungsprofile angezeigt werden.

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Sprache

Auswahl der gewünschten Sprache für die Oberfläche des Editors aus Dropdownliste.

Trend Rückblickzeit

Legt fest, wie weit bei der Trenddarstellung von Preishistorie und Normhistorie maximal zurückgegangen wird. Die Eingabe erfolgt über ein Eingabefeld und eine Dropdownliste, die den Zeitraum definieren.

Eingabe des Zahlenwerts:

  • Minimum: 1
  • Maximum: 100
  • Default: 1

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Auswahl der Einheit aus Dropdownliste:

  • Stunden
  • Tage
  • Monate
  • Jahre

Default: 1 Jahr

Werden nicht erlaubte Werte manuell eingegeben, wird beim Schließen des Dialogs der Standardwert 1 Jahr konfiguriert.

Standardwährung

Eingabe einer Zeichenfolge für die Standardwährung.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Beispiel

zenon Analyzer -> Metadatenbank-Editoren -> Manual Data Editor -> Beispiel

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In einer Analyzer Metadaten Datenbank existieren Variablen, die Kilowattstundenzähler für den Stromverbrauch sind. Diese, und nur diese, Variablen haben kWh als Maßeinheit. Diesen Variablen soll ab 1.1.2013 ein Preis von 1,50 EUR pro kWh und ein Normwert von 0,6 kWh zugeteilt werden.

Um diese Vorgabe umzusetzen:

  1. Starten Sie den Manual Data Editor und verbidnen Sie sich zur Datenbank.
  2. Im Manual Data Editor werden alle vorhandenen Variablen ungefiltert angezeigt.

    Screenshots - Expanding

  3. Setzen Sie den Filter für Maßeinheit auf kWh.
  4. Klicken Sie auf Anwenden.
  5. Die Variablen werden gefiltert angezeigt.
  6. Markieren Sie alle Variablen.
  7. Screenshots - Expanding
  8. Öffnen Sie für jede Registerkarte den Dialog zur Eingabe eines neuen Preises.

    Setzen Sie folgende Werte:

    • Datum: 01.01.2013
    • Uhrzeit: 00:00:00
    • Preis: 1,50 bzw. 1.50, abhängig von der Oberflächensprache
    • Währung: EUR

    Screenshots - Expanding

  9. Klicken Sie auf OK.
  10. Öffnen Sie für jede Registerkarte den Dialog zur Eingabe eines neuen Normwerts.

    Setzen Sie folgende Werte:

    • Datum: 01.01.2013
    • Uhrzeit: 00:00:00
    • Norm: 0,6 bzw. 0.6, abhängig von der Oberflächensprache

    Screenshots - Expanding

  11. Klicken Sie auf OK.
  12. Die Änderungen werden in die Datenbank gespeichert.

    Screenshots - Expanding

  13. Beenden Sie den Manual Data Editor.


Mitgelieferte Reportvorlagen

zenon Analyzer -> Mitgelieferte Reportvorlagen

Mit dem zenon Analyzer werden - je nach Lizenzierung - vorkonfigurierte Reportvorlagen zur Erzeugung von Reports mit dem ZAMS mitgeliefert. Reportvorlagen werden im ZAMS konfiguriert. Details zu den Eingabeelementen finden Sie bei der jeweiligen Reportvorlage und im Kapitel Elemente im Reportbereich.

Hinweis für Entwickler von Reports: Diese Reports nutzen Stored Procedures und User Defined Funcion Blocks, die in der Dokumentation für Entwickler beschrieben werden.

info Info

Umgang mit Zeitintervall bei Archivverdichtung und Anzeige im Report:

  • Intervall kleiner/gleich 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in UTC geachtet.
  • Intervall größer als 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in Server-Lokalzeit geachtet.
  • Bei der Darstellung wird immer Lokalzeit verwendet. Befinden sich Anwender und Server in unterschiedlichen Zeitzonen, können sich Abweichungen ergeben.

Reportvorlagen und Reports lizenzieren

Um Reportvorlagen und Reports nutzen zu können, müssen diese lizenziert sein. Es stehen verschiedene Lizenzpakete zur Verfügung:

Thema | Enthaltene Report-Vorlagen
zenon Analyzer | Keine.
Alarmanalyse | Alle Report-Vorlagen für Alarmanalyse.
Analyse mit benutzerdefinierten Formeln | Alle Report-Vorlagen für Analyse mit benutzerdefinierten Formeln.
Archivanalyse | Alle Report-Vorlagen für Archivanalyse.
Erweiterte Archivanalyse | Alle Report-Vorlagen für Archivanalyse und Erweiterte Archivanalyse.
ISO 50001 | Alle Report-Vorlagen für ISO 50001 plus Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln.
Linienbasierte Produktionsanalyse | Alle Report-Vorlagen für Linienbasierte Produktionsanalyse.
Maschinenbasierte Produktionsanalyse | Alle Report-Vorlagen für Maschinenbasierte Produktionsanalyse.
OEE-Analyse | Alle Report-Vorlagen für OEE-Analyse.
Soll-Ist-Analyse | Alle Report-Vorlagen für Soll-Ist-Analyse.
Wasserkraftwerk Analyse | Alle Report-Vorlagen für Wasserkraftwerk Analyse.

Mitgelieferte Reportvorlagen

Folgende Reportvorlagen stehen zur Verfügung:

Alarmanalyse

Reportvorlagen für die Auswertung von Alarmen.

  • Alarmmeldeliste: Erzeugt eine tabellarische Alarmliste für einen Zeitbereich.
  • TOP N Alarme: Holt eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen bzw. am längsten angestandenen sind.
  • Alarmverdichtung: Holt die Summe aller in einem Zeitbereich vorhandenen Alarme und summiert die Dauer der verschiedenen Alarme.

Analyse mit benutzerdefinierten Formeln

Reportvorlagen für benutzerdefinierte Formeln.

  • Trend mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich.
  • Trendvergleich mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für zwei Zeitbereiche.
  • Trend Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich.
  • Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für zwei Zeitbereiche.
  • Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich.
  • Archivverdichtungsvergleich mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für zwei Zeitbereiche.

Archivanalyse

Reportvorlagen für die Auswertung und direkte oder verdichtete Darstellung von Archivdaten.

  • Archivtrend: Holt Archivdaten für einen Zeitbereich und stellt diese unverdichtet in einem Trend dar.
  • Archivtrendvergleich: Holt Archivdaten für zwei Zeitbereiche und stellt diese unverdichtet in je einem Trend vergleichend gegenüber.
  • Trend Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese in Intervallen im Zeitbereich und stellt sie als Trend dar.
  • Trendvergleich Archivverdichtung: Holt Archivdaten für zwei Zeitbereiche, verdichtet diese in Intervallen im Zeitbereich und stellt sie als Trend vergleichend gegenüber.
  • Trend Archivverdichtung mit online Variablenauswahl: Holt Archivdaten für einen Zeitbereich, verdichtet diese in Intervallen im Zeitbereich und stellt diese Verdichtungen in einem Trend dar.
  • Trendvergleich Archivverdichtung mit online Variablenauswahl: Holt Archivdaten für zwei Zeitbereiche, verdichtet diese in Intervallen im Zeitbereich und stellt diese Verdichtungen in je einem separaten Trend pro Zeitbereich dar.
  • Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese und und stellt jedes der Verdichtungsergebnisse separat dar.
  • Archivverdichtungsvergleich: Holt Archivdaten für zwei Zeitbereiche, verdichtet diese und stellt jedes der Verdichtungsergebnisse für beide Zeitbereiche separat dar.
  • Archivverteilung: Holt Archivdaten für eine Variable, rundet diese auf einen einstellbaren Rundungsfaktor und stellt die Verteilung der Werte dar. Zusätzlich werden die Verdichtungsarten errechnet und mit Markern angezeigt.
  • Archivverteilungsvergleich: Holt Archivdaten für eine Variable aus zwei Zeitbereichen, rundet diese auf einen einstellbaren Rundungsfaktor und stellt die Verteilung der Werte vergleichend dar. Zusätzlich werden die Verdichtungsarten errechnet und mit Markern angezeigt.

Erweiterte Archivanalyse

Reportvorlagen für Archivverdichtung oder Archivverteilung unter Berücksichtigung von Preisen, Normwerten und Produktionszählern.

  • Trend pro Variable: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Trendvergleich pro Variable: Erstellt eine verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jede Variable.
  • Trend pro Anlagenmodell: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jedes Anlagenmodell.
  • Trendvergleich pro Anlagenmodell: Erstellt eine verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jedes Anlagenmodell.
  • Relativtrend pro Variable: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Relativtrendvergleich pro Variable: Erstellt eine relative verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jede Variable.
  • Relativtrend zum Standard: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum für eine Variable mit einem Vergleich mit Standardwerten.
  • Relativtrendvergleich zum Standard: Erstellt eine relative verdichtete Trendanalyse für zwei Zeiträume für eine Variable mit einem Vergleich mit Standardwerten.
  • Verteilung pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Verteilungsvergleich pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Variablen basieren.
  • Kostenverteilung pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Kostenverteilungsvergleich pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Variablen basieren.
  • Kostenverteilung pro Anlagenmodell: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Anlagenmodellen basiert.
  • Kostenverteilungsvergleich pro Anlagenmodell: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Anlagenmodellen basieren.

ISO 50001

Reportvorlagen für ISO 50001:

  • Dauerlinie mit Variablenauswahl: Erstellt eine Dauerlinie, die auf Variablenauswahl basiert.
  • Dauerlinienvergleich mit Variablenauswahl: Erstellt einen Vergleich zwischen zwei Dauerlinien, die auf Variablenauswahl basieren.
  • Dauerlinie für Anlagengruppen: Erstellt eine Dauerlinie, die auf Variablenauswahl per Anlagengruppe basiert.
  • Dauerlinienvergleich für Anlagengruppen: Erstellt einen Vergleich zwischen zwei Dauerlinien, die auf Variablenauswahl per Anlagengruppe basieren.
  • Rasterdiagramm: Holt und verdichtet Daten für ein Rasterdiagramm.
  • Sankey-Diagramm: Liest die Sankey-Definitionen aus, holt und verdichtet Daten, integriert bei Bedarf dynamische Verlusterkennung und stellt das Ergebnis als Diagramm oder Tabelle dar.
  • Sankey-Diagramm (doppelte Breite): Stellt das Sankey-Diagramm in doppelter Breite dar bzw. platziert Tabellen nebeneinander.

Plus alle Reportvorlagen aus den Themen Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln.

Linienbasierte Produktionsanalyse

Reportvorlagen für Linienbasierte Produktionsanalyse:

  • Gantt-Diagramm: Analysiert Chargen, Schichten und Variablen - durch Meanings spezifiziert, aus AML, CEL oder Archiv - und stellt das Ergebnis als Gantt-Diagramm und tabellarisch dar.

Maschinenbasierte Produktionsanalyse

Reportvorlagen für die Analyse von Verlustzeiten und Produktivität, basierend auf Standards.

  • Verlustzeiten Analyse: Analysieren Archivdaten und berechnen verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell.
  • Produktivitätsindikatoren Analyse: Analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitätsanalyse: Kombiniert die Reportvorlagen Verlustzeiten Analyse und Produktivitätsindikatoren Analyse.
  • Verlustzeiten Chargenhistorie: Analysieren Archivdaten und berechnen verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Produktivitätsindikatoren Chargenhistorie: Analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitäts-Chargenhistorie: Kombiniert die Vorlagen Verlustzeiten Chargenhistorie und Produktivitätsindikatoren Chargenhistorie.

OEE-Analyse

Reportvorlagen zur Verfügung, die OEE Kennzahlen berechnen und darstellen.

  • OEE-Kennzahl: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell in einem Zeitraum und stellt die Kennzahlen grafisch dar.
  • OEE-Kennzahl Chargenarchiv: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell für jede Charge in einem Zeitraum und stellt die Kennzahlen grafisch und tabellarisch dar.

Soll-Ist-Analyse

Reports für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.

  • Soll-Ist-Verdichtungstrend (absolut): Holt die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe und berechnet daraus Absolutzähler.
  • Soll-Ist-Verdichtungstrend (relativ): Holt die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe und berechnet daraus Relativzähler.

Wasserkraftwerk Analyse

Reportvorlagen, die diverse Zähler für Wasserkraftwerke ermitteln und darstellen.

  • Betriebszeit pro Betriebsmodus und Maschinenkomponente: Berechnet Betriebszeiten für die einzelnen Betriebsmodi einer Maschine und Maschinenkomponenten.
  • Betriebszeit pro Lastbereich: Berechnet Betriebszeiten für eine Maschine pro Lastbereich.
  • Schaltspiele Leistungsschalter: Berechnet Schaltspiele für Leistungsschalter.
  • Wirk- und Blindleistungszähler: Berechnet Zählerwerte für Wirk- und Blindleistung.
  • Netzfrequenz: Berechnet Zeitzähler für unterschiedliche Frequenzbänder der Netzfrequenz einer Maschine.
  • Ereigniszähler für Maschinen: Berechnet Zähler für verschiedene Ereignisse, die auf einer Maschine vorkommen können.

Hinweis zu Reports und Aktionen mit SP/UDF

Während eine SP oder UDF vom ZAMS in der Datenbank überschrieben wird, ist sie für die Dauer dieses Vorgangs nicht vorhanden. Das kann zu Fehlern beim Ausführen bestehender Reports führen, wenn diese genau in diesem Moment zwischen Löschen und neu Erstellen versuchen, auf die SP bzw. UDF zuzugreifen.

Empfehlung: Führen Sie keine Reports aus, während mit dem ZAMS Aktionen ausgeführt werden, die Reports betreffen. Vor allem, wenn das ZAMS:

  • Reports bereitstellt
  • die Connector-Funktionen in der Datenbank aktualisiert
  • den SQL-Connector erstellt

Noch in diesem Kapitel

Elemente im Reportbereich

Reportvorlagen

Beispiel zenon


Elemente im Reportbereich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports werden über verschiedene Eingaben konfiguriert. Die Eingabemöglichkeiten hängen von der RDL-Datei ab und werden automatisch angeordnet. Wird die Größe des Fensters dabei überschritten, werden automatisch Bildlaufleisten angezeigt.

Screenshots - Expanding

Hinweis: Im Screenshot werden nicht alle dokumentierten Eingabemöglichkeiten dargestellt.

Je nach geladener Reportvorlage werden unterschiedliche Elemente zur Konfiguration des Reports angezeigt. Zusammengehörige Elemente sind in Eingabegruppen angeordnet.

Eingaben in Dialogen können in der Regel auch durch Druck auf die Taste Eingabe bestätigt und abgeschlossen werden.

Eingabegruppen

Eingabegruppen, die aus mehr als einem Element bestehen, können minimiert werden.

  • Um eine Gruppe zu minimieren, klicken Sie in der rechten oberen Ecke der Gruppe auf die Schaltfläche -.
  • Um eine Gruppe zu öffnen, klicken Sie in der rechten oberen Ecke der Gruppe auf die Schaltfläche +.

Elemente

Folgende Eingaben sind im ZAMS für einen Report möglich:

Archive

Archive

Verdichtung und Konfiguration der Archive. Details siehe Abschnitt Archive konfigurieren.

Chargenarchivauswahl

Auswahl eines Chargenarchivs.

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)

Maximum-Daten (Verdichtungsarchiv)

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.

Informationen zu Reportvorlagen

Informationen zu Reportvorlagen

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Diverse

Aktion

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Auswahl Anlagenmodell

Auswahl eines Anlagenmodells.

Eingabefelder und Dropdownlisten

Diverse Eingabefelder und Dropdownlisten zur Eingabe von Daten und Auswahl von Parametern:

  • Single selection: Auswahl eines Wertes aus Dropdownliste
  • Text input: Eingabe eines freien Textes
  • Numerical input: Eingabe von numerischen Werten

Details siehe Eingaben und Auswahl aus Dropdownlisten.

Wertanzeige im Diagramm

Auswahl aus Dropdownliste, welcher Wert-Typ im Diagramm angezeigt wird:

  • Absolutwerte
  • Relativwerte

Ablauf für die Anzeige von Kontrollelementen

Ablauf für die Anzeige der Kontrollelemente beim Abonnieren von Reports, bei der Reportkonfiguration im Analyzer Manager und bei der Vergabe von Standardwerten:

  1. Wenn der Parameter vom Datentyp Bool ist, wird das Kontrollelement für die Auswahl eines Bool-Werts angezeigt. Vordefinierte Werte überschreiben die Standardbeschriftungen für die Radiobuttons für True und False. Es wird immer nur die Auswahl eines Wertes zugelassen.
  2. Wenn mehrere Werte aus vorgegebenen Werten ausgewählt werden können, wird auf Basis des Datentyps und eines zusätzlichen versteckten Parameters entschieden, welches Kontrollelement angezeigt wird:
    1. Der Parameter ist vom Datentyp Text und ein versteckter Parameter mit dem Namen [Parametername]_Type ist vorhanden und auf den Standardwert 1 gesetzt: Das Kontrollelement zur Auswahl mehrerer Werte aus dem Anlagenmodell wird angezeigt.
    2. In allen anderen Fällen wird das Kontrollelement zur Auswahl mehrerer Werte aus vorgegebenen Werten angezeigt.
  3. Wenn mehrere Werte eingegeben werden können, wird das Kontrollelement zur Eingabe mehrerer Werte angezeigt.
  4. Wenn ein Wert aus mehreren vorgegebenen Werten ausgewählt werden kann, wird auf Basis des Datentyps und eines zusätzlichen versteckten Parameters entschieden, welches Kontrollelement angezeigt wird:
    1. Der Parameter ist vom Datentyp Text und ein versteckter Parameter mit dem Namen [Parametername]_Type ist vorhanden und auf den Standardwert 1 gesetzt: Das Kontrollelement zur Auswahl eines Wertes aus dem Anlagenmodell wird angezeigt.
    2. Der Parameter ist vom Datentyp Text und ein versteckter Parameter mit dem Namen [Parametername]_Type ist vorhanden und auf den Standardwert 2 gesetzt. Das Kontrollelement zur Auswahl einer Charge wird angezeigt.
    3. In allen anderen Fällen wird das Kontrollelement zur Auswahl eines Wertes aus vorgegebenen Werten angezeigt.
  5. Ist der Parameter vom Datentyp Text und ein versteckter Parameter mit dem Namen [Parametername]_Type ist vorhanden und auf den Standardwert 3 gesetzt, wird ein Kontrollelement zur Eingabe eines Zeitbereichs angezeigt.
    Zur Granularitätsauswahl wird der Standardwert eines versteckten Parameters mit dem Namen [Parametername]_Granularity verwendet. Ist dieser nicht vorhanden oder hat er einen ungültigen Wert, so wird 0 angenommen. Folgende Werte führen zu folgenden Granularitäten:
    • 0: Minuten
    • 1: Stunden
    • 2: Tage
    • 3: Monate
    • 4: Jahre
  6. Ist der Parameter vom Datentyp Datum und Uhrzeit, so wird das Kontrollelement zur Eingabe eines Datums und einer Uhrzeit angezeigt. Zur Granularitätsauswahl wird der Standardwert eines versteckten Parameters mit dem Namen [Parametername]_Granularity verwendet. Ist dieser nicht vorhanden oder hat er einen ungültigen Wert, so wird 0 angenommen. Folgende Werte führen zu folgenden Granularitäten:
    • 0: Minuten
    • 1: Stunden
    • 2: Tage
    • 3: Monate
    • 4: Jahre
  7. In allen anderen Fällen, wird das Kontrollelement für die Standard-Eingabe angezeigt.

Noch in diesem Kapitel

Alarm Rückblickzeit

Alarm-Vorfilterung

Anlagenmodell Auswahl

Archive

Archiv-Variablen Eingabe

Archiv-Variablen und Produktionszähler

Benutzerdefinierte Formeln

Benutzerdefinierte Formeln konfigurieren

Beschriftung Betriebsmodi

Chargenarchivauswahl

Connector Auswahl

Dropdownlisten, Eingaben und Auswahl

Gantt-Diagramm

Iteratives Datensammeln

Lastabwurf

Messinstrumentsbereich für Verfügbarkeit

Nachkommastellen

OEE Berechnung

Produktionsdatenfilter

Produktionsindikatoren

RDL-Datei - Pfad

Rasterdiagramm-Farben

Reportvorlagen

Schichtdatenherkunft

Soll- und Istwerte

Sortierung der Elemente

Toleranz für Verlusterkennung

Verlustzeiten visualisieren

XY Achsen Konfiguration

Zeitfilter

Zuordnungen für Betriebszeiten

Zuordnungen für Betriebszeiten pro Lastbereich

Zuordnungen für Schaltspiele

Zuordnungen für Wirk- und Blindleistungszähler

Zuordnungen für Netzfrequenz

Zuordnungen für Ereigniszähler


Alarm Rückblickzeit

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Alarm Rückblickzeit

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl einer Rückblickzeit für Alarme.

Damit können Alarme berücksichtigt werden, die bereits vor dem Start des Zeitfilters aufgetreten sind, aber noch in den Bereich des Zeitfilters hinein wirken.

Screenshots - Expanding

Parameter

Beschreibung

Alarm Rückblickzeit

Zeitbereich, der vom Start des Zeitfilters rückwärts gerichtet berücksichtigt werden soll.

Details siehe Kapitel Alarm Rückblickzeit.

Zeiteingabe

Numerischen Eingabe für die Quantität. Veränderung auch über Spincontrol möglich.

Auswahl der Granularität

Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre


Alarm-Vorfilterung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Alarm-Vorfilterung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alarme können vorgefiltert werden. Die Filterung umfasst:

  • Alarmgruppen
  • Alarmklassen

Beide Filter sind miteinander verbunden.

Vorfilterung Alarmgruppen

Aktivierung über Option: Alarmgruppen Vorfilter

Screenshots - Expanding

Parameter

Beschreibung

Alarmgruppen Vorfilter

Filterung der Alarmgruppen über Aktivierung/Deaktivierung von Checkboxen.

Liste Alarmgruppen

Diese Liste dient der Vorfilterung für Alarmgruppen. Sie enthält für jeden Eintrag der EVENTGROUP-Metadatentabelle eine CheckBox, wobei die Einträge der Spalte VISUALNAME angezeigt werden.

Wird nichts gewählt, so ist die Alarmgruppen-Vorfilterung inaktiv. Wird etwas gewählt, so werden nur Alarme der aktiven Alarmgruppen durchgelassen.

Alles auswählen

Aktiviert alle Checkboxen, Auswahl aller Alarmgruppen.

Auswahl aufheben

Deaktiviert alle Checkboxen, Abwahl aller Alarmgruppen.

Vorfilterung Alarmklassen

Aktivierung über Option: Alarmklassen Vorfilter

Screenshots - Expanding

Parameter

Beschreibung

Alarmklassen Vorfilter

Filterung der Alarmklassen über Aktivierung/Deaktivierung von Checkboxen.

Liste Alarmklassen

Die Liste dient der Vorfilterung für Alarmklassen. Sie enthält für jeden Eintrag der EVENTCLASS-Metadatentabelle eine CheckBox, wobei die Einträge der Spalte VISUALNAME angezeigt werden.

Wird nichts gewählt, so ist die Alarmklassen-Vorfilterung inaktiv. Wird etwas gewählt, so werden nur Alarme der aktiven Alarmklassen durchgelassen.

Alles auswählen

Aktiviert alle Checkboxen, Auswahl aller Alarmklassen.

Auswahl aufheben

Deaktiviert alle Checkboxen, Abwahl aller Alarmklassen.


Anlagenmodell Auswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Anlagenmodell Auswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Auswahl eines Wurzelelements des Anlagenmodells aus Dropdownliste. Das Anlagenmodell wird dabei aus den Metadaten gelesen. Ein eigener Eintrag in der Dropdownliste ermöglicht die Verwendung aller in der Liste vorhandenen Modelle.


Archive

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Archive

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Konfiguration der zu verdichtenden und zu pivotierenden Archive erfolgt über die Elemente:

  • Verdichtungsfunktion
  • Archivkonfiguration

Screenshots - Expanding

Parameter

Beschreibung

Konfiguration der Archivverdichtung

Konfiguration der Archivverdichtung.

Verdichtungsfunktion

Für die Verdichtung stehen zur Verfügung:

  • Summenbildung
  • Durchschnittswerte berechnen
  • Minimalwerte ermitteln
  • Maximalwerte ermitteln

Auswahl aus Dropdownliste.

Konfiguration des Archivs

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname
  • Verdichtungsart der Variablen im Archiv

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archive konfigurieren

Klick auf Schaltfläche öffnet Dialog zur Auswahl der Archive und Variablen. Details siehe Abschnitt Archive konfigurieren.

Archive konfigurieren

Klick auf Schaltfläche Archive konfigurieren öffnet den Dialog zur Konfiguration der Archive. Der Dialog kann in seiner Größe durch Ziehen mit der Maus verändert werden. Die Raumaufteilung zwischen linkem und rechtem (Variablen) Bereich kann durch Ziehen der Trennleiste verändert werden.

Screenshots - Expanding

Parameter

Beschreibung

Projekte

Auswahl aus der Liste der verfügbaren Projekte. Diese werden den Metadaten entnommen.

Ist der Report an ein Projekt gebunden so (siehe Abschnitt Zeitfilter konfigurieren) ist hier nur das gebundene Projekt zu sehen.

Aktivierung oder Deaktivierung von Checkboxen beeinflusst die Anzeige von Objekten in anderen Listen.

Archive

Anzeige aller Archive, die in den in Projects ausgewählten Projekten verfügbar sind.

Syntax: [Projektname]#[Archivname] ([Zykluszeit])

Wird ein Eintrag über die Checkbox aktiviert oder deaktiviert, werden die in den Listen Auf 1 Sekunde Zykluszeit normieren und Variables verfügbaren Objekte aktualisiert.

Auf 1 Sekunde Zykluszeit normieren

Listet alle in der vorherigen Liste aktivierten Archive mit der gleichen Anzeigesyntax auf.

Checkbox aktiviert: Das Archiv wird in die Liste der Archive aufgenommen, die auf einen 1-Sekunden-Zyklus konvertiert werden sollen.

Hinweis: Aktivierung ist nur sinnvoll, wenn im Report zeitkorrigierte Durchschnittswerte für Variablen aus einem spontanen Archiv dargestellt werden sollen!

Variablen

Listet alle Variablen auf, die in Variablen vorhanden sind, die in der Liste Archives aktiviert wurden.

Syntax: [Projektname]#[Archivname] – [Variablenname] ([Verdichtung der Variablen im Archiv])

Checkbox aktiviert: Die Archiv-Variable wird im Reportbereich in Liste Archive configuration aufgenommen.

OK

Übernimmt Änderungen und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.


Archiv-Variablen Eingabe

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Archiv-Variablen Eingabe

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Eingabe von Archivvariablen für Reports vom Typ Erweiterte Archivanalyse erfolgt über eine Anzeige und einen Konfigurationsdialog:

Screenshots - Expanding

Parameter

Beschreibung

Archivvariablenkonfiguration.
  • Anzeige und Konfiguration der Archivvariablen.

Listenfeld

Zeigt aktuelle Konfiguration an.

Anzeigeschema:

  • Projekt
  • Archiv
  • Variable und Verdichtung

Archiv- und Variablenselektion

Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration der Archivvariablen für Extended-Historian-Reports.

Wird der Report über die Zeitfiltereinstellungen an ein Projekt gebunden, dann werden die Einträge gefiltert. Es können nur noch Archive und Variablen des verbundenen Projekts angezeigt und konfiguriert werden.


Archiv-Variablen und Produktionszähler

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Archiv-Variablen und Produktionszähler

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die kombinierte Eingabe von Archivvariablen für Reports vom Typ Erweiteret Archivanalyse erfolgt über eine Anzeige und einen Konfigurationsdialog. Manche Reports dieses Typs verwenden den Produktionszähler zum Berechnen von Relativ-Verbräuchen.

Screenshots - Expanding

Parameter

Beschreibung

Produktionszählerkonfiguration

Einstellungen für Produktionszähler.

Listenfeld

Übersichtstabelle mit Angaben zu:

  • gewähltem Projekt
  • gewähltem Anlagenmodell
  • Zuordnung für den Gesamtproduktionszähler
  • Archiv für Zählervariablen
  • Verdichtungsfunktion der Zählervariablen im Archiv

Konfiguration Produktionszähler

Klick auf Schaltfläche öffnet Dialog zur Konfiguration des Produktionszählers für Extended-Historian-Reports.

Wird der Report über die Zeitfiltereinstellungen an ein Projekt gebunden, so wird das gebundene Projekt hier übernommen.

Archivvariablenkonfiguration

Einstellungen für Archivvariablen.

Listenfeld

Zeigt aktuelle Konfiguration an

Anzeigeschema:

  • Projekt
  • Archiv
  • Variable und Verdichtung

Archiv- und Variablenselektion

Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration der Archivvariablen für Extended-Historian-Reports.

Schaltfläche ist nur aktiv, wenn der Report durch die obere Gruppierung oder die Zeitfiltereinstellungen an ein Projekt gebunden wurde.

Noch in diesem Kapitel

Produktionszähler Konfiguration

Archiv-Variablen Konfiguration


Produktionszähler Konfiguration

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Archiv-Variablen und Produktionszähler -> Produktionszähler Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Konfiguration des Gesamtproduktionszählers für Reportvorlagen vom Typ Erweiterte Archivanalyse erfolgt über einen Dialog. Dieser Dialog wird durch Klick auf die Schaltfläche Konfiguration Produktionszähler im ZAMS-Reportfenster geöffnet.

Screenshots - Expanding

Allgemein

Parameter | Beschreibung
Allgemein | Auswahl von Projekt und Anlagenmodell für den Gesamtproduktionszähler.
Projekt | Auswahl des Projekts aus Dropdownliste. Deaktiviert, wenn der Report an ein Projekt gebunden ist.

Anlagengruppe

Parameter | Beschreibung
Anlagengruppe | Auswahl des Anlagenmodells.

Produktionszählervariable

Parameter

Beschreibung

Produktionszählervariable

Einstellungen für Bedeutung, Archive und Verdichtungsfunktion.

Zuordnung Gesamtmengenzähler

Eingabe der Bedeutung für die Zählervariable für die Gesamtzahl.

Default: TotalUnits

Archiv für Zählervariablen

Auswahl des Archivs für Zählervariable aus Dropdownliste.

Standardkonfiguration setzen

Setzt die Werte automatisch:

  • Bedeutung: TotalUnits
  • Archiv: Kurzbezeichnung C1, sofern im Projekt vorhanden
  • Verdichtungsfunktion: Rohwert

Überprüfung

Parameter | Beschreibung
Überprüfung | Startet Validierung der Konfiguration. Ergebnisse werden im Listenfeld angezeigt.
Listenfeld | Zeigt Ergebnisse der Validierung an.
OK | Übernimmt alle Änderungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Archiv-Variablen Konfiguration

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Archiv-Variablen und Produktionszähler -> Archiv-Variablen Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Archivvariablen für Extended-Historian-Reports werden über einen eigen Dialog konfiguriert. Der Dialog wird durch Klick auf die Schaltfläche Archive konfigurieren im ZAMS-Reportfenster geöffnet.

Screenshots - Expanding

Parameter

Beschreibung

Übersicht und manuelle Konfiguration

Übersichtstabelle der aktuellen Konfiguration mit Anzeige von:

  • Variablenname
  • Archivname
  • Beschreibung

Wird in der Übersichtstabelle eine Variable gewählt, so wird die Dropdownliste mit allen Archiven, in denen die Variable geführt wird, befüllt.

Archivauswahl der selektierten Variable

Auswahl der Archivkopnfiguration für die in der Liste gewählten Variablen.

Das Feld unter der Dropdwonliste zeigt die Beschreibung der Variablen und des gewählten Archivs an.

Automatische Konfiguration

Einstellungen für die automatisierten Konfiguration aller Variablen. Dazu stehen verschiedene Algorithmen zur Verfügung:

  • Basisarchiv mit der kürzesten Zykluszeit bevorzugen
  • Verdichtungsarchiv mit der längsten Zykluszeit bevorzugen
  • Archiv bevorzugen, dessen Zykluszeit der definierten Zykluszeit am nächsten ist

Basisarchiv mit der kürzesten Zykluszeit bevorzugen

Für maximale Auflösung.

Basisarchiv mit der geringsten Zykluszeit

Verdichtungsarchiv mit der längsten Zykluszeit bevorzugen

Für minimale Datenmenge.

Verdichtungsarchiv mit der längsten Zykluszeit.

Achtung: In Verdichtungsarchiven wird hier nur die Verdichtungsart SUM für die Konfiguration verwendet!

Archiv bevorzugen, dessen Zykluszeit der definierten Zykluszeit am nächsten ist

Benutzerdefiniert.

Das Archiv, dessen Zykluszeit die geringste Differenz zur Zielzykluszeit hat, wird verwendet. Dabei wird ein Archiv mit einer geringeren Zykluszeit als die Ziel-Zykluszeit besser bewertet als ein Archiv mit einer zu langen Zykluszeit ist.

Benutzerdefinierte Zykluszeit

Steht nur zur Verfügung, wenn die Option Archiv bevorzugen, dessen Zykluszeit der definierten Zykluszeit am nächsten ist aktiviert wurde.

Zykluszeit-Definition.

Es stehen drei Bestimmungsmethoden zur Verfügung:

  • 1 Jahr
  • 1 Monat
  • Benutzerdefiniert:
    Tage
    Stunden
    Minuten
    Sekunden
    Maximum: 1000 Tage

Automatische Konfiguration ausführen

Klick auf Schaltfläche startet automatisierte Konfiguration.

OK

Klick auf Schaltfläche übernimmt Änderungen und schließt den Dialog.

Abbrechen

Klick auf Schaltfläche verwirft alle Änderungen und schließt den Dialog.


Benutzerdefinierte Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration benutzerdefinierter Formeln. Benutzerdefinierte Formeln können konfiguriert werden für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Screenshots - Expanding

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Liste der benutzerdefinierten Formeln

Zeigt alle konfigurierten benutzerdefinierten Formeln an.

Wurden individuelle Farben konfiguriert, werden diese angezeigt. Standardfarben aus dem ZAMS-Farbschema werden repräsentiert.

Achtung: Wird die Konfiguration einer Formel verändert, geht die individuelle Sortierung verloren.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.


Benutzerdefinierte Formeln konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Benutzerdefinierte Formeln können konfiguriert werden für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Konfiguration benutzerdefinierter Formeln ohne Verdichtung

Screenshots - Expanding

Parameter | Beschreibung
Variablenauswahl | Auswahl, welche Felder mit welchen Variablenwerten aus welchen Archiven gelesen werden sollen.
Kostenberechnung | Auswahl, welche Variablen-Rohdatenfeldern über Kostenfelder verfügen sollen.
Konstantenfelder | Definition von konstanten Werten.
Berechnete Felder | Konfiguration von Formeln mit Feldern aus den anderen Registerkarten.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Konfiguration benutzerdefinierter Formeln mit Verdichtung

Screenshots - Expanding

Parameter | Beschreibung
Variablenauswahl | Auswahl, welche Felder mit welchen Variablenwerten aus welchen Archiven gelesen werden sollen.
Kostenberechnung | Auswahl, welche Variablen-Rohdatenfeldern über Kostenfelder verfügen sollen.
Konstantenfelder | Definition von konstanten Werten.
Berechnete Felder vor durchgeführter Verdichtung | Konfiguration von Formeln mit Feldern aus den anderen Registerkarten.
Verdichtungsfelder | Konfiguration von Verdichtungen aus allen Feldern der vorangegangenen Registerkarten.
Berechnete Felder nach durchgeführter Verdichtung | Konfiguration von Formeln mit den Feldern aus der Registerkarte Verdichtungsfelder.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Noch in diesem Kapitel

Variablenauswahl

Kostenberechnung

Konstantenfelder

Berechnete Felder

Berechnete Felder vor durchgeführter Verdichtung

Verdichtungsfelder

Berechnete Felder nach durchgeführter Verdichtung

Formeleditor

Formelergebnisse anordnen und einfärben


Variablenauswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Variablenauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird konfiguriert, welche Felder mit welchen Variablenwerten aus welchen Archiven gelesen werden sollen.

Im oberen Bereich der Registerkarte werden Metadaten angezeigt, im unteren Bereich Felder.

Screenshots - Expanding

Parameter

Beschreibung

Metadaten-Bereich

Filtern und Auswahl der Metadaten.

Filter

Auswahl der auf die Tabelle Metadaten anzuwendenden Filter. Es stehen zur Verfügung:

  • Projektname
  • Archivname
  • Variablenname
  • Maßeinheit
  • Bedeutungen
  • Anlagengruppen

Die Filterung erfolgt durch Eingabe einer Zeichenfolge in die gewünschten Eingabefelder. Klick auf die Schaltfläche Anwenden aktualisiert die Liste.

Wildcards sind erlaubt:

  • ?: genau ein beliebiges Zeichen
  • *: beliebige Anzahl (auch 0) beliebiger Zeichen
  • Wird keine Wildcard verwendet, wird intern automatisch ein * an den Filtertext angehängt.

Die Filter werden mit einem logischen UND verknüpft. Das bedeutet, eine Zeile muss allen Filterkriterien genügen, damit sie angezeigt wird.

Anwenden

Wendet Filterkriterien auf die Tabelle Metadaten an.

Löschen

Löscht den Inhalt aller Filter-Felder, setzt den Filter zurück und zeigt in der Tabelle Metadaten alle Zeilen an.

Tabelle Metadaten

Listet alle vorhandenen Metadaten auf. Diese können gefiltert anzeigt und zum Feld-Bereich hinzugefügt werden.

Zeilen der Tabelle können zur Auswahl markiert werden. Mehrfachauswahl ist über die Tastenkombinationen Strg+Mausklick bzw. Umschalt+Mausklick möglich.

Hinzufügen

Klick fügt für jede in der Tabelle markierte Zeile ein Feld im Feld-Bereich hinzu. Variablen können auch über Doppelklick hinzugefügt werden.

Dabei darf eine Kombination aus Variablen, Archiv und Verdichtung der Variablen im Archiv immer nur einmal als Feld auftreten. Versuche, eine vorhandene Kombination erneut hinzuzufügen werden ignoriert.

Alle hinzufügen

Klick fügt für jede in der Tabelle sichtbare Zeile ein Feld im Feld-Bereich hinzu.

Dabei darf eine Kombination aus Variablen, Archiv und Verdichtung der Variablen im Archiv immer nur einmal als Feld auftreten. Versuche, eine vorhandene Kombination erneut hinzuzufügen werden ignoriert.

Unsichtbare Zeilen, die vom Filter unterdrückt werden, werden ignoriert.

Variablen ersetzen

Öffnet den Dialog zum Ersetzen von Variablen in berechneten Feldern. Nur verfügbar, wenn mindestens eine Variable im Feld-Bereich existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Feld-Bereich

Enthält für jedes Feld eine Zeile.

Angezeigt werden folgende Parameter:

  • Sichtbarkeit der Variablen: Legt fest, ob dieses Feld im Report sichtbar ist. Steht für Formeln mit Verdichtung nicht zur verfügung.
  • Datenherkunft: Projektname, Archivname, Variablenname und Verdichtung der Variablen im Archiv werden angezeigt.
  • Feldnamen: Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet. Standard: Variablenname aus den Metadaten.
  • Maßeinheit: Einheit des Feldes.

Im Bericht sichtbar

Aktiv: Dieses Feld ist im Report sichtbar.

Default: inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Variablenrohdatenfelder bei Verdichtung im Report nicht sichtbar sein können.

Feldname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Default: Variablenname aus den Metadaten.
Würde dieser allerdings zu einer Kollision führen, wird ein Zähler an den Namen angehängt.

Maßeinheit

Einheit des Feldes.

Maximum: 256 Zeichen

Default: Variableneinheit aus den Metadaten.

X

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese Bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Noch in diesem Kapitel

Variablen in berechneten Feldern ersetzen


Variablen in berechneten Feldern ersetzen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Variablenauswahl -> Variablen in berechneten Feldern ersetzen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Dialog ermöglicht es, Variablen, die Feldern zugeordnet wurden, durch andere Variablen zu ersetzen.

Der Dialog wird geöffnet:

  • Manuell durch Klick auf die Schaltfläche Variablen ersetzen in der Registerkarte Variablenauswahl.
    Diese Schaltfläche ist nur verfügbar, wenn mindestens ein Feld mit zugeordneter Variablen existiert.
  • Automatisch, wenn beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Zuordnungen von Variablen zu Feldern erkannt werden.
    Eine Variablenreferenz ist dann ungültig, wenn die verwendete Kombination aus Archiv, Variable und Verdichtung in der verbundenen Metadaten-Datenbank nicht existiert.
    Mögliche Ursachen können unter anderem sein: Variablen wurden aus der Datenbank gelöscht oder der Report wird für eine andere Metadaten-Datenbank geöffnet. Wird der automatisch geöffnete Dialog abgebrochen, so wird auch die Konfiguration beendet. Ungültige Zuordnungen müssen vor der weiteren Konfiguration behoben werden.
    Achtung: Variablen werden über die ID, nicht über den Namen, identifiziert.

Dialog zum Ersetzen von Variablen in berechneten Feldern

Screenshots - Expanding

Parameter

Beschreibung

Feldname

Zeigt für jedes Element der Liste den Feldnamen an.

Sehr lange Feldnamen werden gekürzt angezeigt (Suffix: ...). Im Tooltip wird der komplette Text angezeigt.

Maßeinheit

Zeigt die Maßeinheit des Feldes an.

Sehr lange Maßeinheiten werden gekürzt angezeigt (Suffix: ...). Im Tooltip wird der komplette Text angezeigt.

Feldverwendungsinformation

Zeigt an, welche Felder von diesem Feld abhängen.

Projekt- und Archivname

Auswahl des Archivs aus Dropdownliste, aus dem die Variable für dieses Feld gelesen werden soll. Es werden alle verfügbaren Archive inklusive Projektbezug zur Auswahl angeboten.

Syntax Archivname: [Projektname]#[Archivname]

Initialwert beim Aufschalten, wenn die Variablenreferenz des Feldes:

  • ungültig: leer
  • gültig: Das in der Variablenreferenz angegebene Archiv.

Variablenname

AUuwahl der Variablen aus Dropdownliste, aus der der Wert für dieses Feld gelesen werden soll.

Nur verfügbar, wenn in der Spalte Projekt- und Archivname ein Archiv gewählt wurde. Es werden alle im gewählten Archiv aufgezeichneten Variablen inklusive Verdichtung angeboten.

Syntax Variablenname: [Variablenname] – [Verdichtungsart im Archiv]

Bei jeder Änderung in der Spalte Projekt- und Archivname wird die Dropdownliste neu befüllt wird und auf "keine Auswahl" zurückgesetzt. Initialwert beim Aufschalten, wenn die Variablenreferenz des Feldes:

  • ungültig: leer
  • gültig: Die in der Variablenreferenz angegebene Variable und Verdichtungsart.

OK

Validiert und schließt den Dialog.

Bei Validierungsfehler bleibt der Dialog geöffnet und eine entsprechende Meldung wird angezeigt.

Abbrechen

Bricht das Ersetzen von Variablen ab.

Wurde der Dialog automatisch geöffnet, wird die Konfiguration der benutzerdefinierten Felder nach einer Sicherheitsabfrage abgebrochen.

Ablauf

Ablauf beim Ersetzen von Variablen in berechneten Feldern:

  1. Alle Variablenfelder werden geholt.
  2. Die Abhängigkeiten der Variablenfelder werden geholt und dem jeweiligen Variablenfeld zugeordnet:
    1. Kostenfelder, die von Variablenfeldern abhängen.
    2. Berechnete Felder vor Verdichtung, die Variablenfelder oder Kostenfelder verwenden. Bei Reports ohne Verdichtung gibt es nur berechnete Felder vor Verdichtung.
    3. Verdichtungssfelder, die Variablenfelder oder Kostenfelder verwenden (nur bei Reports mit Verdichtung).
    4. Berechnete Felder nach Verdichtung, die Verdichtungsfelder verwenden (nur bei Reports mit Verdichtung).
  3. Die Variablenreferenzen aller Variablenfelder werden aufgelöst. Bei ungültiger Variablenreferenz wird keine Auswahl angenommen.
  4. Der Dialog zum Ersetzen von Variablen in berechneten Feldern wird mit den zuvor ermittelten Daten aufgeschalten. Dem Dialog wird übergeben, ob vor dem Aufschalten ungültige Variablenreferenzen bestanden und der Ablauf deshalb automatisch gestartet wurde.
    1. Beendet der Benutzer den Dialog mit OK, geht der Ablauf weiter.
    2. Beendet der Benutzer den Dialog mit Abbruch oder wird der Dialog wegen einem Fehler abgebrochen, wird der Ablauf beendet.
  5. Aus dem Dialog werden die neuen Variablenreferenzen je Variablenfeld gelesen.
  6. Die Variablenfelder werden jeweils mit ihrer neuen Variablenreferenz aktualisiert.
  7. Die Variablenfeldliste wird neu erstellt.


Kostenberechnung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Kostenberechnung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird definiert, zu welchen Variablenrohdatenfeldern es Kostenfelder geben soll.

Screenshots - Expanding

Parameter

Beschreibung

Tabelle Felder

Tabelle mit den Feldern zur Kostenberechnung.

Feldname

Anzeige des Feldnamens aus der Variablenauswahl.

Kostenberechnung

Aktiv: Für dieses Variablenrohdatenfeld exisitiert ein Kostenfeld.

Bezieht sich ein anderes Feld auf dieses Kostenfeld und wird versucht, die Checkbox auf inaktiv zu setzen, wird eine Sicherheitsabfrage durchgeführt. Bestätigt der Benutzer diese, werden dieses Kostenfeld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Default: inaktiv

Die Verfügbarkeit der weiteren Felder hängt vom Status der Checkbox ab.

Sichtbarkeit des Kostenfeldes

Aktiv: Kostenfeld ist im Report sichtbar.

Default. inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Kostenfelder bei Verdichtung im Report nicht sichtbar sein können.

Kostenfeldname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Default: Variablenname aus den Metadaten, dem dieses Kostenfeld zugeordnet ist.
Würde dieser allerdings zu einer Kollision führen, wird ein Zähler an den Namen angehängt.

Währung

Festlegen der Einheit (Währung) des Kostenfeldes.

Maximum: 256 Zeichen

Default: Die im Alphabet erste Währung, die in den Metadaten der Variablen zugeordnet ist, aus der das Variablenrohdatenfeld gespeist wird.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Konstantenfelder

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Konstantenfelder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden konstante Werte festgelegt.

Screenshots - Expanding

Parameter

Beschreibung

Liste Felder

Listet alle konfigurierten Felder mit konstanten Werten auf.

Neu

Klick auf Schaltfläche fügt eine neue Zeile mit einer neuen Konstanten ein.

Sichtbarkeit der Konstante

Aktiv: Dieses Feld ist im Report sichtbar.

Default: inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Konstantenfelder bei Verdichtung im Report nicht sichtbar sein können.

Konstantenname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Default: Variablenname aus den Metadaten.
Würde dieser allerdings zu einer Kollision führen, wird ein Zähler an den Namen angehängt.

Konstanter Wert

Eingabe des konstanten Werts.

  • Darf nicht leer sein.
  • Muss eine gültige Gleitkommazahl enthalten (auch Ganzzahlen sind gültige Gleitkommazahlen).

Default: 1

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Default: leer

X

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese Bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Berechnete Felder

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Berechnete Felder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nur für Reports ohne Verdichtung verfügbar.

In dieser Registerkarte werden Formeln für Reports ohne Verdichtung über den Zeitbereich konfiguriert. Diese können alle in den vorangegangenen Registerkarten definierten Felder verwenden. Jede Formel entspricht einer Zeile in der Liste der Formeln. Dabei kann jede Formel auch alle vor ihr definierten Felder (Zeilen oberhalb der betroffenen Zeile) ansprechen.

Screenshots - Expanding

Parameter

Beschreibung

Liste der Formeln

Listet alle konfigurierten Formeln auf.

Sichtbarkeit der Formel

Zeigt Sichtbarkeit im Report an.

Im Bericht sichtbar

Aktiv: Formel ist im Report sichtbar.

Default. inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Basisdatenformelfelder bei Verdichtung im Report nicht sichtbar sein können.

Formelname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Erst wenn ein gültige Name vergeben wurde, werden alle anderen Elemente zur Bearbeitung frei gegeben. Es wird immer eine leere Zeile zur Eingabe einer neuen Formel angezeigt.

Zusätzlich muss eine gültige Formel eingegeben werden.

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Berechnungsformel

Vorschau-Bild der Formel. Zeigt die im Formeleditor eingestellte Berechnungsformel für dieses Feld an. Wird bei einem in der Formel referenzierten Feld der Name geändert, so wird das Vorschaubild entfernt.

Für jeden vorhandenen Formelname muss eine Formel konfiguriert sein.

Symbol: Bearbeiten

Klick auf Schaltfläche öffnet Formeleditor zum Bearbeiten der Formel.

Symbol: Löschen

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese Bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Sortierung

Beim Beenden des Dialogs mit Klick auf OK wird die Elementsortierung an die ursprüngliche Elementsortierung angepasst. Die Sortierungsnummern werden dabei gemäß folgenden Kriterien neu aufgebaut:

  • Alle bereits vor dem Dialogstart sichtbaren Elemente, die nicht gelöscht wurden, bleiben in ihrer Sortierung erhalten.
  • Neu hinzugekommene sichtbare Elemente werden hinter diesen Elementen, aufsteigend nach ihrer ID, eingefügt.

Beispiel:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Änderungen im Dialog:
    • Indicator2: wird gelöscht.
    • Indicator0: kommt hinzu und bekommt ID 1
    • Indicator4: kommt hinzu und bekommt ID 4
  • Ergebnis:
    • Indicator1: ID = 3, aber vorherige Sortierung = 1
    • Indicator3: ID = 2, aber vorherige Sortierung = 3
    • Indicator0: ID = 1, vorherige Sortierung nicht vorhanden

Indicator4: ID = 4, vorherige Sortierung nicht vorhanden


Berechnete Felder vor durchgeführter Verdichtung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Berechnete Felder vor durchgeführter Verdichtung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nur für Reports mit Verdichtung verfügbar.

In dieser Registerkarte werden Formeln für Reports mit Verdichtung über den Zeitbereich konfiguriert. Diese können alle in den vorangegangenen Registerkarten definierten Felder verwenden. Jede Formel entspricht einer Zeile in der Liste der Formeln. Dabei kann jede Formel auch alle vor ihr definierten Felder (Zeilen oberhalb der betroffenen Zeile) ansprechen.

Screenshots - Expanding

Parameter

Beschreibung

Liste der Formeln

Listet alle konfigurierten Formeln auf.

Formelname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Erst wenn ein gültige Name vergeben wurde, werden alle anderen Elemente zur Bearbeitung frei gegeben. Es wird immer eine leere Zeile zur Eingabe einer neuen Formel angezeigt.

Zusätzlich muss eine gültige Formel eingegeben werden.

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Berechnungsformel

Vorschau-Bild der Formel. Zeigt die im Formeleditor eingestellte Berechnungsformel für dieses Feld an. Wird bei einem in der Formel referenzierten Feld der Name geändert, so wird das Vorschaubild entfernt.

Für jeden vorhandenen Formelname muss eine Formel konfiguriert sein.

Symbol: Bearbeiten

Klick auf Schaltfläche öffnet Formeleditor zum Bearbeiten der Formel.

Symbol: Löschen

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese Bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Sortierung

Beim Beenden des Dialogs mit Klick auf OK wird die Elementsortierung an die ursprüngliche Elementsortierung angepasst. Die Sortierungsnummern werden dabei gemäß folgenden Kriterien neu aufgebaut:

  • Alle bereits vor dem Dialogstart sichtbaren Elemente, die nicht gelöscht wurden, bleiben in ihrer Sortierung erhalten.
  • Neu hinzugekommene sichtbare Elemente werden hinter diesen Elementen, aufsteigend nach ihrer ID, eingefügt.

Beispiel:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Änderungen im Dialog:
    • Indicator2: wird gelöscht.
    • Indicator0: kommt hinzu und bekommt ID 1
    • Indicator4: kommt hinzu und bekommt ID 4
  • Ergebnis:
    • Indicator1: ID = 3, aber vorherige Sortierung = 1
    • Indicator3: ID = 2, aber vorherige Sortierung = 3
    • Indicator0: ID = 1, vorherige Sortierung nicht vorhanden
    • Indicator4: ID = 4, vorherige Sortierung nicht vorhanden


Verdichtungsfelder

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Verdichtungsfelder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nur für Reports mit Verdichtung verfügbar.

In dieser Registerkarte werden Verdichtungen für Felder aus den vorangegangenen Registerkarten konfiguriert. Jedes wird in eine eigene Zeile eingetragen.

Es existieren 2 Zeilentypen:

  • Konstantenfelder: Haben nur eine Unterzeile für die Konstanten-Verdichtung.
  • Alle anderen Felder: Haben je eine Unterzeile für die voneinander unabhängigen Verdichtungsfunktionen:
    • Summe
    • Durchschnitt
    • Minimum
    • Maximum

Screenshots - Expanding

Parameter

Beschreibung

Liste der Verdichtungen

Listet alle konfigurierten Verdichtungen auf.

Feldname

Anzeige des Feldnamens des verdichteten Feldes.

Aktive Verdichtungstypen

Anzeige des Status der Verdichtungstypen.

Checkbox vor Verdichtungstyp aktiv: Für dieses Basisdatenfeld exisitiert ein Verdichtungsfeld mit dieser Verdichtungsart

Bezieht sich ein anderes Feld auf dieses Verdichtungsfeld und wird versucht, die CheckBox zu deaktivieren, wird eine Sicherheitsabfrage gestellt. Bestätigt der Benutzer diese, so werden dieses Verdichtungsfeld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Default: Checkbox inaktiv

Der Status der Checkbox bestimmt, ob die weiteren Eingabefelder aktiv sind oder nicht.

Sichtbarkeit des Verdichtungsfeldes

Zeigt an, ob dieses Verdichtungsfeld im Report sichtbar ist.

Aktiv: Verdichtungsfeld ist im Report sichtbar.

Default: inaktiv

Verdichtungsfeldname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Default: Name des Basisdatenfeldes, dem dieses Verdichtungsfeld zugeordnet ist. Würde dies zu einer Kollision führen, wird ein Zähler angehängt.

Feldeinheit der Verdichtung

Festlegen der Einheit des Verdichtungsfeldes.

Maximum: 256 Zeichen

Default: Einheit des Basidatenfeldes.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Berechnete Felder nach durchgeführter Verdichtung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Berechnete Felder nach durchgeführter Verdichtung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nur für Reports mit Verdichtung verfügbar.

In dieser Registerkarte werden Formeln mit den Feldern aus der Registerkarte Verdichtungsfelder konfiguriert. Dabei kann jede Formel auch alle vor ihr definierten Felder (Zeilen oberhalb der betroffenen Zeile) ansprechen.

Screenshots - Expanding

Parameter

Beschreibung

Liste der Formeln

Listet alle konfigurierten Formeln auf.

Sichtbarkeit der Formel

Zeigt Sichtbarkeit im Report an.

Im Bericht sichtbar

Aktiv: Formel ist im Report sichtbar.

Default. inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Basisdatenformelfelder bei Verdichtung im Report nicht sichtbar sein können.

Formelname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.

Maximum: 256 Zeichen

Erst wenn ein gültige Name vergeben wurde, werden alle anderen Elemente zur Bearbeitung frei gegeben. Es wird immer eine leere Zeile zur Eingabe einer neuen Formel angezeigt.

Zusätzlich muss eine gültige Formel eingegeben werden.

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Berechnungsformel

Vorschau-Bild der Formel. Zeigt die im Formeleditor eingestellte Berechnungsformel für dieses Feld an. Wird bei einem in der Formel referenzierten Feld der Name geändert, so wird das Vorschaubild entfernt.

Für jeden vorhandenen Formelname muss eine Formel konfiguriert sein.

Symbol: Bearbeiten

Klick auf Schaltfläche öffnet Formeleditor zum Bearbeiten der Formel.

Symbol: Löschen

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese Bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Sortierung

Beim Beenden des Dialogs mit Klick auf OK wird die Elementsortierung an die ursprüngliche Elementsortierung angepasst. Die Sortierungsnummern werden dabei gemäß folgenden Kriterien neu aufgebaut:

  • Alle bereits vor dem Dialogstart sichtbaren Elemente, die nicht gelöscht wurden, bleiben in ihrer Sortierung erhalten.
  • Neu hinzugekommene sichtbare Elemente werden hinter diesen Elementen, aufsteigend nach ihrer ID, eingefügt.

Beispiel:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Änderungen im Dialog:
    • Indicator2: wird gelöscht.
    • Indicator0: kommt hinzu und bekommt ID 1
    • Indicator4: kommt hinzu und bekommt ID 4
  • Ergebnis:
    • Indicator1: ID = 3, aber vorherige Sortierung = 1
    • Indicator3: ID = 2, aber vorherige Sortierung = 3
    • Indicator0: ID = 1, vorherige Sortierung nicht vorhanden

Indicator4: ID = 4, vorherige Sortierung nicht vorhanden


Formeleditor

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Formeleditor

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Formeleditor ermöglicht das Erstellen einer Formel.

Screenshots - Expanding

Parameter

Beschreibung

Operationen

Verfügbaren Operationen. Diese können per Drag&Drop in den Formel-Bereich gezogen werden.

Es stehen 5 Gruppen von Operationen zur Verfügung:

  • Basisoperationen
  • Mathematische Operationen
  • Rundungsoperationen
  • Trigonometrische Operationen
  • Verdichtungsoperationen

Details zu den Operationen folgen im Anschluss.

Formelname

Namen der Formel, die aktuell erstellt wird.

  • Darf nicht leer sein.
  • Darf von keiner anderen Formel verwendet werden.

Name wird im Formel-Bereich angezeigt.

Verfügbare Operanden

Felder, die als Operanden zur Verfügung stehen. Diese können per Drag&Drop in den Formel-Bereich auf die jeweiligen Eingabefelder für Operanden gezogen werden.

Die Liste der Operanden kann gefiltert werden. Filterung erfolgt durch Eingabe einer Zeichenfolge in das Eingabefeld. Jede Änderung des Filtertextes löst eine unmittelbare Aktualisierung aus.

Wildcards sind erlaubt:

  • ?: genau ein beliebiges Zeichen
  • *: beliebige Anzahl (auch 0) beliebiger Zeichen
  • Wird keine Wildcard verwendet, wird intern automatisch ein * an den Filtertext angehängt.

Formel-Bereich

Enthält den Formelname und Eingabefelder für Operationen und Operanden. Diese Eingabefelder werden per Drag&Drop befüllt.

Aufbau einer Formel:

  • Wird eine Operation per Drag&Drop auf das Eingabefeld im Formel-Bereich gelegt, dann wird dieses durch die Operationskennzeichner und Eingabefelder der Operation ersetzt.
  • Wird ein Operand auf ein Eingabefeld im Formel-Bereich gelegt, dann ersetzt der Feldname das Eingabefeld.

Eine Formel ist gültig, wenn mindestens eine Operation vorhanden ist und jede Operation eine ausreichende Anzahl an zugewiesenen Feldern hat.

OK

Übernimmt Einstellungen und schließt den Dialog.

Dazu müssen folgende Kriterien erfüllt sein:

  • gültiger Name
  • gültige Formel

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Formeln erstellen

Um Formeln zu erstellen:

  1. Ziehen Sie eine Operation per Drag&Drop auf das Eingabefeld im Formel-Bereich.

    General Analyzer Schema Graphics Template

  2. Das Feld zeigt die entsprechende Operation an. Neue Eingabefelder werden erstellt.
  3. Ziehen Sie per Drag&Drop auf die Eingabefelder:
    • neue Operationen (so erstellen sie komplexere Formeln)

      General Analyzer Schema Graphics Template

    • gewünschte Operanden
  4. Fügen Sie weitere Operationen und/oder Operanden hinzu, bis Ihre Formel fertig ist.

Beispiel:

General Analyzer Schema Graphics Template

Regeln für den Formeleditor

  • Im Formeleditor werden automatisch Klammern gesetzt, um die Rechenwege zu verdeutlichen.
  • Sämtliche Klammern und Bruchstriche skalieren ihre Größe automatisch, basierend auf den Feldern und Operationen, die ihnen untergeordnet sind.
  • Noch leere Felder erhalten automatisch den Fokus.

Zurücksetzen von Eingaben

Um Operationen oder Operanden zu entfernen, kann ein Eingabefeld zurückgesetzt werden.

Dafür stehen zwei Arbeitswege zur Verfügung:

  1. Ersetzen von Operationen oder Operanden per Drag&Drop:
    1. Ziehen Sie eine neue Operation oder einen Operanden auf das bestehende Feld. Sind Felder bereits mit Daten belegt, werden jene Felder umrandet angezeigt, die ersetzt werden.
    2. Mit Ausführung des Drag&Drop-Vorgangs werden die umrandeten Felder geleert und durch die neuen Operationen bzw. Operanden.
  2. Löschen von Operanden per Tastaturbefehl
    1. Markieren Sie ein Feld per linken Mausklick. Das Feld wird mit einem Rahmen markiert.
      Es können auch einzelne Abschnitte einer Formel oder die gesamte Formel markiert werden.
    2. Drücken Sie die Taste Entfg oder die Taste Rückwärts löschen.
    3. Das Feld wird geleert bzw. gelöscht.
      Ist das Feld Teil einer Verdichtungsoperation, wird es aus einer Verdichtungsoperation komplett entfernt. Verdichtungsoperationen bieten am rechten Rand immer ein leeres Feld an.

Beispiele für das Markieren von Formelelementen

  • Markierung eines Operanden:

    General Analyzer Schema Graphics Template

  • Markierung einer Operation:

    General Analyzer Schema Graphics Template

  • Markierung der gesamten Formel:

    General Analyzer Schema Graphics Template

Operationen

Folgende Operationen sind im Formeleditor möglich:

  • Basisoperationen
  • Mathematische Operationen
  • Rundungsoperationen
  • Trigonometrische Operationen
  • Verdichtungsoperationen

Basisoperationen

  • Addition: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch ein Plus-Zeichen (+), ersetzt.
  • Subtraktion: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch ein Minus-Zeichen (-), ersetzt.
  • Multiplikation: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch ein Multiplikations-Zeichen (x), ersetzt.
  • Division/Bruch: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch einen Bruchstrich (-), ersetzt.

Mathematische Operationen

  • Absolutwert: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Potenz: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für den konstanten Exponenten, Klammern und ein neues Eingabefeld ersetzt.
  • Wurzel: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für die konstante Wurzelordnung, Klammern und ein neues Eingabefeld ersetzt.
  • Exponentialfunktion mit der Eulerschen Zahl als Basis: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Exponentialfunktion: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für die konstante Basis, Klammern und ein neues Eingabefeld ersetzt.
  • Logarithmus zur Basis der Eulerschen Zahl: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Logarithmus zur Basis 10: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Logarithmus: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für die Konstante Basis, Klammern und ein neues Eingabefeld ersetzt.

Rundungsoperationen

  • Aufrunden auf die nächste Ganzzahl: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Abrunden auf die nächste Ganzzahl: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Runden: Eingabefeld wird durch einen Funktionsbezeichner, ein DropDown-Auswahlfeld für die Genauigkeit, Klammern und ein neues Eingabefeld ersetzt.

Trigonometrische Operationen

  • Sinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Cosinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Tangens: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Kotangens: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Arkussinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Arkuscosinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Arkustangens: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Radianten zu Grad konvertieren: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Grad zu Radianten konvertieren: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.

Verdichtungsoperationen

  • Summe: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.
  • Durchschnitt: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und einen neuen Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.
  • Minimum: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und einen neuen Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.
  • Maximum: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und einen neuen Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.


Formelergebnisse anordnen und einfärben

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Benutzerdefinierte Formeln konfigurieren -> Formelergebnisse anordnen und einfärben

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Dialog können Sie benutzerdefinierte Formeln einfärben und ihre Reihenfolge sortieren.

Um den Dialog zu öffnen:

  1. klicken Sie in der Gruppe Benutzerdefinierte Formeln auf die Schaltfläche Formelergebnisse anordnen und einfärben
  2. der Dialog wird geöffnet

Jede sichtbare Formel wird durch eine Zeile in der Auflistung repräsentiert. Die Reihenfolge der Formeln in diesem Dialog legt auch deren Reihenfolge für die Anzeige im ZAMS sowie in Grafiken und Tabellen im Report fest.

Screenshots - Expanding

Parameter

Beschreibung

Formelnamen

Name der Formel.

Standardfarbgebung

Der Status der Checkbox definiert, ob die Formel ihre Farbgebung vom jeweiligen Report-Grafikobjekt aus den Farben des ZAMS-Farbschemas zugewiesen bekommt oder eine individuelle Farbgebung erhält.

  • Aktiv: Standardfarben des ZAMS-Farbschemas werden verwendet.
  • Inaktiv: Individuelle Farben werden verwendet.
    Die Schaltfläche Farbe und die Farbvorschau werden zur Konfiguration eingeblendet.

Farbvorschau

Anzeige der für diese Formel individuell definierten Farbe.

Initialwert: weiß

Farbe

Klick auf die Schaltfläche öffnet die Standard-Farbpalette zur Auswahl einer Farbe.

Im Dialog werden die 10 Serienfarben aus dem aktiven ZAMS Farbschema als Benutzerdefinierte Farben angeboten.

Pfeiltasten

Klick auf eine Taste reiht die markierte Formel um. Eine Formel ist markiert, wenn entweder die komplette Zeile markiert oder ein Element in der Zeile ausgewählt ist.

Aktionen:

  • Klick auf die erste Pfeiltaste reiht die Formel um eine Position höher. Ist die Formel bereits in der obersten Zeile, bleibt die Pfeiltaste inaktiv.
  • Klick auf die zweite Pfeiltaste reiht die Formel um eine Position tiefer. Ist die Formel bereits in der untersten Zeile, bleibt die Pfeiltaste inaktiv.

Achtung: Wird die Konfiguration einer Formel verändert, geht die individuelle Sortierung verloren.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Beschriftung Betriebsmodi

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Beschriftung Betriebsmodi

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Gruppierung dient der Auswahl der Kennzeichnung für Betriebsmodi.

Screenshots - Expanding

Parameter

Beschreibung

Herkunft der Betriebsmodi-Beschriftung

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen


Chargenarchivauswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Chargenarchivauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl des Chargenarchivs aus Dropdownliste für den Vergleich der OEE-Indikatoren.

Screenshots - Expanding

Parameter | Beschreibung
Chargenarchivauswahl | Konfiguration des Chargenarchivs.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Chargenarchiv | Auswahl eines Chargenarchivs für das gewählte Projekt aus Dropdownliste.


Connector Auswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Connector Auswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl eines Connectors aus Dropdownliste.

Screenshots - Expanding

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)


Dropdownlisten, Eingaben und Auswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Dropdownlisten, Eingaben und Auswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eingabefelder und Dropdownlisten ermöglichen Eingaben von Texten, Zahlenwerten und vorgegebenen Elementen:

  • Einzelauswahl: Auswahl eines Wertes aus Dropdownliste
  • Texteingabe: Eingabe eines freien Textes
  • Zahleneingabe: Eingabe von numerischen Werten

Auswahl eines einzelnen Eintrags

Screenshots - Expanding

Auswahl eines Eintrags aus einer Liste vorgegebener Werte.

Beispiele:

  • Data representation:
    Auswahl der Darstellung der Daten aus Dropdownliste:
    • Liniendiagramm und Pivottabelle
    • Säulendiagramm und Pivottabelle
    • Liniendiagramm
    • Säulendiagramm
    • Pivottabelle
  • Verdichtungsart des Quellarchivs:
    Auswahl der Verdichtungsart für im Archiv gewählten Variablen:
    • Rohwert
    • Summe
    • Durchschnitt
    • Minimum
    • Maximum

Texteingabe

Screenshots - Expanding

Freie Texteingabe in das Textfeld.

Numerische Eingabe

Eingabe von Zahlenwerten.

Screenshots - Expanding

Die Werte könne auch mit dem Spincontrol erhöht und reduziert werden. Minmale und maximale Werte sowie die Erhöhung oder Reduzierung per Spincontrol und Anzeige von Dezimalstellen werden vom Reportentwickler festgelegt.


Gantt-Diagramm

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Gantt-Diagramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das Kontrollelement besteht aus einer Anzeige der momentanen Einstellungen und einer Schaltfläche zur Konfiguration dieser Einstellungen.

Screenshots - Expanding

Parameter | Beschreibung
Anzeige Einstellungen | Anzeige der momentanen Einstellungen für das Gantt-Diagramm.
Gantt-Diagramm Analyse konfigurieren | Bei einem Klick auf den Button wird der Dialog zur Konfiguration der Gantt-Analyse gestartet. Details siehe Gantt-Diagramm.

Dialog Gant-Diagramm Analyse konfigurieren

Die Gantt-Diagramm Analyse wird mit folgendem Dialog konfiguriert:

Screenshots - Expanding

Um die Analyse zu konfigurieren:

  1. Klicken Sie im Kontrollelement in der Reportvorlage auf die Schaltfläche Gantt-Diagramm Analyse konfigurieren.
  2. Konfigurieren Sie die Registerkarten:
    • Schichten und Chargen
    • Analysegruppen
    • Diagrammeinstellungen
    • Überprüfung
  3. Beenden Sie den Dialog mit Klick auf OK.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Schichten und Chargen

Analysegruppen

Diagrammeinstellungen

Überprüfung


Schichten und Chargen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Gantt-Diagramm -> Schichten und Chargen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird die Einbindung von Schichten und Chargen in die Gantt-Analyse konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Schichten in Analysen inkludieren

Auswahl aus Dropdownliste, wie Schichten in die Gantt-Analyse eingebunden werden:

  • Nicht inkludiert: Es wird nicht nach Schichten gesucht.
  • Inkludiert für die gewählte Anlagengruppe: Es wird nur für die im Report gewählte Anlagengruppe nach Schichten gesucht.
  • Inkludiert für alle Anlagengruppen: Es wird für alle in der Analyse aktiven Anlagengruppen nach Schichten gesucht.

Bezeichnung für Schichtanalysegruppe

Definiert Anzeigename für die Analysegruppe für Schichten einer Anlage. Freie Eingabe in Texteld.

Nur verfügbar, wenn für Schichten in Analysen inkludieren nicht Nicht inkludiert gewählt wurde,

Connector für Schichtdaten

Auswahl des Connectors für das Holen der Schichtdaten aus Dropdownliste.

Chargen in Analyse inkludieren

Auswahl aus Dropdownliste, wie Chargen in die Gantt-Analyse eingebunden werden:

  • Nicht inkludiert: Es wird nicht nach Chargen gesucht.
  • Inkludiert für die gewählte Anlagengruppe: Es wird nur für die im Report gewählte Anlagengruppe nach Chargen gesucht.
  • Inkludiert für alle Anlagengruppen: Es wird für alle in der Analyse aktiven Anlagengruppen nach Chargen gesucht.

Bezeichnung für Chargenanalysegruppe

Definiert Anzeigename für die Analysegruppe für Chargen einer Anlage. Freie Eingabe in Texteld.

Nur verfügbar, wenn für Chargen in Analyse inkludieren nicht Nicht inkludiert gewählt wurde.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Analysegruppen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Gantt-Diagramm -> Analysegruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Analysegruppen konfiguriert. Jede Analysegruppe bedeutet eine Zeile im Gantt-Diagramm bzw. eine Gruppierung auf der unteren Gruppierungsebene einer Tabelle. Der vollständige Name einer Analysegruppe folgt dabei immer der Syntax [Anlagengruppenname]: [Analysegruppenname].

Screenshots - Expanding

Parameter

Beschreibung

Datenquelle für Analysegruppe

Auswahl der Datenquelle für die Analysegruppen aus Dropdownliste:

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archive

Bezeichnung der Analysegruppe

Eingabe des Anzeigename einer Analysegruppe.

Bedeutung

Eingabe der Bedeutung für die Variable, deren Ereignisse in der Analysegruppe analysiert werden sollen.
Entspricht Eigenschaft Betriebsmittelkennung in Gruppe Wertattribute bis zenon 7,11; Eigenschaft Bedeutung in Gruppe Analyzer ab zenon 7.20.

Hinzufügen

Klick fügt die mit den Feldern Bezeichnung der Analysegruppe und Bedeutung definierte Analysegruppe zur Liste Analysegruppen hinzu, wenn folgende Bedingungen zutreffen:

  • beide Felder haben Inhalt
  • es gibt noch keine Analysegruppe mit dem eingegebenen Anzeigenamen
  • es gibt noch keine Analysegruppe für die eingegebene Bedeutung

Liste Analysegruppen

Hier werden alle definierten Analysegruppen aufgelistet. Die Anzeigereihenfolge in dieser Tabelle entspricht der Reihenfolge im Gantt-Diagramm bzw. in den Tabellen im Report.

Mehrfachauswahl ist möglich.

Pfeiltasten

Umreihung der Analysegruppen in der Liste. Klick auf:

  • Pfeil nach oben: alle markierten Analysegruppen werden um eine Stelle nach oben verschoben
  • Pfeil nach unten: alle markierten Analysegruppen werden um eine Stelle nach unten verschoben

Löschen

Klick auf Schaltfläche löscht alle in der Liste markierten Analysegruppen ohne Rückfrage.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Diagrammeinstellungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Gantt-Diagramm -> Diagrammeinstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Diagrammeinstellungen konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Statusname im Gantt-Diagramm anzeigen

Festlegung für Anzeige, ob für Variablen mit numerischen Werten, die über eine REMA auf Stati übersetzt werden, der Grenzwerttext aus der REMA im Gantt-Diagramm angezeigt werden soll.

Erste abwechselnde Farbe für textbasierte Analysegruppen

Anzeige der gewählten ersten alternierenden Farbe für Events von Analysegruppen für Schichten, Chargen und Variablen mit Stringwerten.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Zweite abwechselnde Farbe für textbasierte Analysegruppen

Anzeige der gewählten zweiten alternierenden Farbe für Events von Analysegruppen für Schichten, Chargen und Variablen mit Stringwerten.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Anlagengruppensortierung

Auswahl aus Dropdownliste, wie die Anlagengruppen einer Ebene (gleiche übergeordnete Anlagengruppe) sortiert werden sollen:

  • Gleiche Datenbankreihenfolge: Es wird per Spalte [ID] in der Tabelle [EQUIPMENT] aufsteigend sortiert.
  • Umgekehrte Datenbankreihenfolge: Es wird per Spalte [ID] in der Tabelle [EQUIPMENT] absteigend sortiert.
  • Aufsteigende Sortierung nach Anlagengruppennamen: Es wird nach dem Anzeigenamen der Anlagengruppe aufsteigend sortiert.
  • Absteigende Sortierung nach Anlagengruppennamen: Es wird nach dem Anzeigenamen der Anlagengruppe absteigend sortiert.
  • Aufsteigende Sortierung nach Anlageninformation: Es wird nach dem numerischen Wert eines der Anlagengruppe zugeordneten Feldes in der Tabelle EQUIPMENTINFO aufsteigend sortiert. Anlagengruppen, denen kein solches Feld zugeordnet ist, werden ausgefiltert.
  • Absteigende Sortierung nach Anlageninformation: Es wird nach dem numerischen Wert eines der Anlagengruppe zugeordneten Feldes in der Tabelle EQUIPMENTINFO absteigend sortiert. Anlagengruppen, denen kein solches Feld zugeordnet ist, werden ausgefiltert.

Anlagenidentifikationsfeld für Sortierung

Eingabe der Zeichenfolge für die Anlagen-Identifikation, mit der in der Tabelle EQUIPMENTINFO nach dem Element für den Sortierungswert gesucht werden soll.

Nur verfügbar, wenn in Anlagengruppensortierung entweder Aufsteigende Sortierung nach Anlageninformation oder Absteigende Sortierung nach Anlageninformation gewählt wurde.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Gantt-Diagramm -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Eingaben validiert.

Bei der Validierung gilt:

  1. Es muss in allen aktiven Eingabeelementen in den anderen Registerkarten ein Wert gewählt oder eingegeben werden.
    Ausnahme: Bezeichnung der Analysegruppe und Bedeutung in der Registerkarte Analysegruppen.
  2. Es muss mindestens eine Analysegruppe definiert worden sein.
  3. Ist eine der vorherigen Bedingungen verletzt, wird abgebrochen.
    Werden die Bedingungen 1 und 2 erfüllt, dann werden für jede Anlagengruppe die folgenden Punkte geprüft:
    1. Wenn der Anlagenmodellfilter im Report aktiv ist, muss die Anlagengruppe dem gewählten Modell zugeordnet sein.
    2. Der Anlagengruppe muss mindestens eine Variable mit einer der Bedeutungen der Analysegruppen zugeordnet sein. Dabei werden Datenquelle und eventuell Projekt, an das der Report gebunden ist, berücksichtigt.
    3. Wen eine Sortierung mit Verwendung eines Feldes in der Tabelle EQUPMENTINFO gewählt wurde, muss der Anlagengruppe ein solches Feld mit numerischen Wert und der angegebenen Identifikation zugeordnet sein.

Screenshots - Expanding

Parameter | Beschreibung
Liste | Alle Meldungen zur Validierung und eine Abschlussmeldung mit der Anzahl der analysierbaren Anlagengruppen werden in die Liste geschrieben. Die Listbox erlaubt keine Auswahl von Einträgen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Iteratives Datensammeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Iteratives Datensammeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erlaubt die Konfiguration eines Intervalls und des Abbruchzeitstempels für das iterative Datenholen der Stored Procedures.

Notwendig ist diese Konfiguration für Archive mit Aufzeichnung bei Wertänderung. Bei diesen Archiven kann es vorkommen, dass Variablen im Betrachtungszeitraum des Reports keinen Wert haben. Das würde zu einem undefinierten bzw. falschen Ergebnis führen.

Sind im Betrachtungszeitraum noch nicht alle Variablen mit gültigen Werten besetzt, dann werden beim interativen Datensammeln rückwirkend ältere Daten geladen. Dies geschieht iterativ im Iterationsintervall bis jede Variable einen gültigen Wert besitzt. Konnte bis zum Abbruchzeitstempel kein gültiger Wert gefunden werden, wird ersatzweise 0 angenommen.

Screenshots - Expanding

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit

Default: 01.01.2013 00:00:00


Lastabwurf

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Lastabwurf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für Reportvorlagen für Wasserkraftwerk Analyse stehen Elemente zur Suche nach Wirkleistung und Turbinengeschwindigkeit nach einem Lastabwurf.

Elemente

Lastabwurf: Rückblickzeit für Wirkleistung

Parameter

Beschreibung

Lastabwurf: Rückblickzeit für Wirkleistung

Auswahl der Anzahl der Sekunden, wie weit vor einem Lastabwurf nach der maximalen Wirkleistung zum Lastabwurfzeitpunkt gesucht wird.

Formel: Wirkleistung Lastabwurf = Max(Wirkleistung) aus Zeitbereich (Lastabwurf – konfigurierte Sekunden) bis Lastabwurf.

Lastabwurf: Vorschauzeit für Turbinengeschwindigkeit

Parameter

Beschreibung

Lastabwurf: Vorschauzeit für Turbinengeschwindigkeit

Auswahl der Anzahl der Sekunden, wie weit nach einem Lastabwurf nach der maximalen Turbinengeschwindigkeit zum Lastabwurfzeitpunkt gesucht wird.

Formel: Turbinengeschwindigkeit Lastabwurf = Max(Turbinengeschwindigkeit) aus Zeitbereich Lastabwurf bis (Lastabwurf + konfigurierte Sekunden).


Messinstrumentsbereich für Verfügbarkeit

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Messinstrumentsbereich für Verfügbarkeit

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration und Anzeige für Messgerät-Farbbereiche . Das Element kann in einem Report mehrfach für unterschiedliche Bereiche verwendet werden.

Screenshots - Expanding

Parameter

Beschreibung

Messinstrumentsbereich für Verfügbarkeit

Konfiguration der Farbbereiche:

  • Unterer Bereich
  • Mittlerer Bereich
  • Oberer Bereich

Die Obergrenze von Unterer Bereich ist der untere Wert von Oberer Bereich. Die Untergrenze von Oberer Bereich ist der obere Wert von Unterer Bereich. Beide Grenzen sind Inklusivgrenzen. Es können also beide Elemente auf den gleichen Wert gestellt werden. In diesem Fall gibt keinen mittleren Bereich. Die Untergrenze für Unterer Bereich und die Obergrenze für Oberer Bereich stammen aus der Reportvorlage.

Ende unterer Bereich

Definiert die Grenze zwischen dem niedrigen (rot) und dem mittleren (gelb) Bereich im Messgerät.

Beginn oberer Bereich

Definiert die Grenze zwischen dem mittleren (gelb) und dem hohen (grün) Bereich im Messgerät.

Anzeige der Bereiche

Vorschau auf die konfigurierten Farbbereiche.


Nachkommastellen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Nachkommastellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Festlegung der Nachkommastellen für die Zahlen eines Reports.

Screenshots - Expanding

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.


OEE Berechnung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> OEE Berechnung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Klick auf Schaltfläche Zuordnungen konfigurieren im ZAMS-Dialog zur Variablenzuordnung für OEE-Berechnung öffnet einen Dialog zur Zuordnung der Projekte, Archive und Variablen:

Screenshots - Expanding

Parameter

Beschreibung

Projekt

Auswahl eines Projekts aus Dropdownliste.

Abhängig vom Projekt sind die entsprechenden Archive verfügbar.

Grundlegende Berechnungsvariablen

Konfiguration der Variablen für die OEE-Berechnung.

Archiv für grundlegende Berechnungsvariablen

Auswahl eines nicht zyklischen Archivs.

Zuordnung für geplante Produktionszeit

Zuordnung der Variablen für die geplante Produktionszeit.

Default: EffectiveWorkingTime

Zuordnung für tatsächliche Produktionszeit

Zuordnung der Variablen für die tatsächliche Produktionszeit.

Default: OperatingTime

Zuordnung Konstruktionsgeschwindigkeit

Zuordnung der Variablen für die geplante Anlagengeschwindigkeit.

Default: DesignedSpeed

Zählervariablen

Konfiguration der Zählervariablen.

Archiv für Zählervariablen

Auswahl eines zyklischen Archivs.

Zuordnung Gesamtmengenzähler

Zuordnung der Variablen für die Gesamtproduktionsmenge.

Default: TotalUnits

Zuordnung Gutmengenzähler

Zuordnung der Variablen für die Gutproduktionsmenge.

Default: GoodUnits

Standardzuordnungen und -archive setzen

Klick auf Schaltfläche trägt die Standardkonfiguration für Zuordnungen und Archive ein.

Überprüfung

Validierung der eingegebenen Konfiguration

Konfiguration überprüfen

Klick auf Schaltfläche überprüft:

  • Sind alle Eingabefelder besetzt?
  • Für wie viele und welche Anlagenmodelle kann mit der gegebenen Konfiguration die OEE Kennzahlenberechnung durchgeführt werden?

Das Ergebnis der Überprüfung wird im Ausgabefeld angezeigt.

OK

Übernimmt alle Eingaben und schließt Dialog.

Abbrechen

Verwirft alle Eingaben und schließt Dialog.

Hinweise:

  • Der Begriff Zuordnung korrespondiert mit der Tabellenspalte Meaning.
  • OEE-Berechnungen benötigen entsprechende Konfiguration in zenon.


Produktionsdatenfilter

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Produktionsdatenfilter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration und Anzeige der optionalen Datenfilterung.

Screenshots - Expanding

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Noch in diesem Kapitel

Datenfilter Konfiguration


Datenfilter Konfiguration

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Produktionsdatenfilter -> Datenfilter Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit diesem Dialog werden:

  • Datenfilter, sofern vorhanden, aktiviert oder deaktiviert
  • Bedeutung eingegeben, über welche die Variablen für diese Datenfilterung adressiert werden

Um den Dialog aufschalten zu können, muss in der Konfiguration ein Projekt ausgewählt sein.

Screenshots - Expanding

Parameter

Beschreibung

Datenfiltertyp

Aktivierung und Deaktivierung der Datenfiltertypen.

Bedeutung für Datenfiltervariable

Eingabe der Bedeutung für Datenfiltervariablen.

Das Eingabefeld ist nur aktiv, wenn die CheckBox davor aktiviert wurde. Ist das Eingabefeld bei Aktivierung der Checkbox leer, wird sie mit dem Standardwert für die Bedeutung gefüllt.

Palettentyp

Aktiv: Es wird nach dem Palettentyp gefiltert.

Das Eingabefeld neben Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Kistentyp

Aktiv: Es wird nach dem Kistentyp gefiltert.

Das Eingabefeld neben Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Flaschentyp

Aktiv: Es wird nach dem Flaschentyp gefiltert.

Das Eingabefeld neben Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Abfülltanknummer

Aktiv: Es wird nach der Abfülltanknummer gefiltert.

Das Eingabefeld neben Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Konfiguration überprüfen

Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus.

Bei der Validierung wird geprüft:

  • ob der Report an ein Projekt und/oder ein Anlagenmodell gebunden
  • für welche Anlagengruppen mit den eingegebenen Bedeutungen jeweils genau eine Variable pro aktivem Filter adressiert werden kann

OK

Übernimmt Einstellungen und schließt den Dialog. Ist eines der Eingabefelder aktiviert, aber leer, wird die Schaltfläche ausgeblendet.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Produktionsindikatoren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Produktionsindikatoren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration und Anzeige der Indikatoren und der Ausgangsvariablen für deren Berechnung.

Screenshots - Expanding

Parameter | Beschreibung
Produktionsindikatoren | Konfiguration und Anzeige der Produktionsindikatoren.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Optionale Indikatoren | Tabelle mit den aktuellen Einstellungen für die optionalen Indikatoren.
Zugewiesene Bedeutungen | Tabelle mit der Konfiguration der Feld-Bedeutungen für die Berechnung der Indikatoren.
Indikatoren konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Indikatoren.

Noch in diesem Kapitel

Indikatoren Konfiguration


Indikatoren Konfiguration

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Produktionsindikatoren -> Indikatoren Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Indikatoren werden in vier Registerkarten konfiguriert:

  • Bedeutung für notwendige Indikatoren
  • Optionale Indikatoren
  • Bedeutung für optionale Indikatoren
  • Überprüfung

Um die Indikatoren konfigurieren zu können, muss ein Projekt ausgewählt worden sein.

Bedeutung für notwendige Indikatoren

Screenshots - Expanding

Parameter | Beschreibung
Feld in der Formel | Zeitzähler für die Formel. Für diese müssen Bedeutungen gesetzt werden, da die dazugehörigen Variablen für die Hauptindikatoren benötigt werden.
Bedeutung | Eingabe der Bedeutung für die Adressierung der Variablen für die folgenden Zeitzähler. Ist eines der Eingabefelder beim Aufschalten des Dialogs leer, wird es mit dem Standardwert befüllt.
Geplante Betriebszeit | Geplante Laufzeit. Default: Loading Time
Betriebszeit | Tatsächliche Laufzeit. Summe aus effektiver Laufzeit und Störzeiten. Default: Operating Time
Netto Betriebszeit | Netto Laufzeit. Default: NetOperating Time
Wertschöpfende Betriebszeit | Verwertbare Laufzeit. Default: ValuableOperating Time
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Berechnung der Hauptindikatoren

Die 4 Hauptindikatoren werden nach diesen Formeln berechnet:

General Analyzer Schema Graphics Template

Optionale Indikatoren

In dieser Registerkarte werden optionale Indikatoren aktiviert bzw. deaktiviert.

Screenshots - Expanding

Parameter

Beschreibung

Aktivierung der optionalen Indikatoren

Mit Aktivierung der Checkboxen können folgende Indikatoren nach Bedarf aktiviert oder deaktiviert werden:

  • Mean time between stoppages (MTBS)
  • Mean time between failures (MTBF)
  • Mean time to repair (MTTR)
  • Mean time between touch (MTBT)
  • Gesamtmenge
  • Gutmenge
  • Wirkungsgrad der Maschine
  • Effektivausbringung
  • Liefergrad
  • Auslastungsfaktor

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Bedeutung für optionale Indikatoren

Screenshots - Expanding

Parameter

Beschreibung

Feld in der Formel

Felder für die Formel. Für diese müssen Bedeutungen gesetzt werden, wenn die Indikatoren verwendet werden sollen.

  • MTBS Zeitzähler
  • MTBS Ereigniszähler
  • MTBF Zeitzähler
  • MTBF Ereigniszähler
  • MTTR Zeitzähler
  • MTTR Ereigniszähler
  • MTBT Zeitzähler
  • MTBT Ereigniszähler
  • Gesamtmenge
  • Gutmenge
  • Effektive Laufzeit
  • Allgemeine Laufzeit
  • Abgefüllte und verschlossene Flaschen
  • Nennausbringung der Maschine
  • Einstellausbringung der Maschine

Bedeutung

Eingabe der Bedeutung für die Adressierung der Variablen für die folgenden Indikatoren. Das Eingabefeld ist nur aktiv, wenn mindestens einer der Indikatoren, der das dem Eingabefeld zugeordnete Feld verwendet, aktiv ist.

Ist eines der Eingabefelder beim Aufschalten des Dialogs leer, wird es mit dem Standardwert befüllt.

Feld

Verwendet von

MTBS Zeitzähler

Mean Time Between Stoppage

MTBS Ereigniszähler

Mean Time Between Stoppage

MTBF Zeitzähler

Mean Time Between Failures

MTBF Ereigniszähler

Mean Time Between Failures

MTTR Zeitzähler

Mean Time To Repair

MTTR Ereigniszähler

Mean Time To Repair

MTBT Zeitzähler

Mean Time Between Touches

MTBT Ereigniszähler

Mean Time Between Touches

Gesamtmenge

Total Units

Gutmenge

Good Units

Effektive Laufzeit

Machine Efficiency

Allgemeine Laufzeit

Machine Efficiency, Effective Output und Delivery Efficiency

Abgefüllte und verschlossene Einheiten

Effective Output und Delivery Efficiency

Nennausbringung der Maschine

Delivery Efficiency und Utilisation Factor

Einstellausbringung der Maschine

Utilisation Factor

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Berechnung der optionalen Indikatoren

Die optionalen Indikatoren werden nach diesen Formeln berechnet:

General Analyzer Schema Graphics Template

Überprüfung

Screenshots - Expanding

Parameter

Beschreibung

Konfiguration überprüfen

Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus.

Bei der Validierung wird geprüft:

  • ob der Report an ein Projekt und/oder ein Anlagenmodell gebunden
  • für welche Anlagengruppen mit den eingegebenen Bedeutungen jeweils genau eine Variable pro aktivem Filter adressiert werden kann

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


RDL-Datei - Pfad

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> RDL-Datei - Pfad

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Pfad zur RDL-Datei wird über vier Elemente angezeigt und konfiguriert:

Screenshots - Expanding

Parameter | Beschreibung
Report Dateiname | Textfeld für die Eingabe eines Namens für die RDL-Datei. Der Name darf keines der folgenden Zeichen enthalten: ;?:@&=+$,\*<>|"/
Report Dateipfad | Zeigt den aktuellen Pfad zur RDL-Datei an.
Report Dateipfad auswählen | Öffnet den Dialog zur Konfiguration des Pfades.
Alle Report Bereitstellungspfade | Zeigt alle in den Optionen konfigurierten Pfade zu sprachabhängigen Ordnern an.

Pfad konfigurieren

Um den Pfad zur RDL-Datei zu konfigurieren:

  1. klicken Sie im Reportfenster auf die Schaltfläche Report Dateipfad auswählen
  2. der Dialog zur Auswahl und Erstellung eines Ordners wird geöffnet
  3. geben Sie den Pfad direkt ein oder wählen Sie ihn im Baum aus
  4. klicken Sie auf OK

Dialog Reportpfad auf Server auswählen

Screenshots - Expanding

Parameter

Beschreibung

Report Dateipfad eingeben

Aktiv: Der Dateipfad wird manuell in das Feld eingegeben.

Bei der Eingabe des Namens gilt:

  • die Schrägstriche am Anfang des Namens werden automatisch gesetzt
  • die Länge des gesamten Pfades darf 260 Zeichen nicht überschreiten
  • der Name darf weder leer sein noch ausschließlich aus Punkten und/oder Leerzeichen bestehen
  • der Name darf keinem der Sprachkennzeichner entsprechen (EN, DE, ...)
  • der Name darf keine verbotenen Zeichen enthalten,
    verboten sind: ;?:@&=+$,\*<>|"/

Report Dateipfad auswählen

Aktiv: Der Dateipfad wird aus der Liste ausgewählt.

Die Liste enthält die aktuelle Ordnerstruktur, wobei Sprach-Ordner ausgeblendet werden. Zum Beispiel:
Die Ordner DE/Ordner 1 oder Ordner1/DE werden immer als Ordner1 dargestellt.

Listenfeld

Zeigt Ordnerstruktur am Analyzer Server an. Der aktuell gewählte Ordner wird hervorgehoben.

In der Liste kann ein Ordner ausgewählt werden.

Neuer Ordner

Öffnet Dialog zum Hinzufügen eines neuen Ordners.
Nur aktiv, wenn Report Dateipfad auswählen aktiviert wurde.

Details siehe Abschnitt Neuen Ordner anlegen.

OK

Überprüft die Eingaben auf Gültigkeit, übernimmt den eingegebenen oder ausgewählten Ordner inklusive Sprachvarianten als Pfad zum Ablegen der RDL-Datei und schließt den Dialog.

Abbrechen

Schließt den Dialog, ohne den Pfad zu ändern.

Neuen Ordner anlegen

Klick auf die Schaltfläche Neuer Ordner im Dialog zur Auswahl des Ordners für die RDL-Datei öffnet den Dialog zum Anlegen eines Ordners:

Screenshots - Expanding

Parameter

Beschreibung

Aktueller Pfad

Anzeige des aktuell übergeordneten Ordners, unter dem der neue Ordner angelegt werden soll. Der im Dialog Report Dateipfad auswählen markierte Ordner wird vorgegeben.

Name für neuen Ordner

Eingabe des Namens für den Ordner.

Bei der Eingabe des Namens gilt:

  • die Schrägstriche am Anfang des Namens werden automatisch gesetzt
  • die Länge des gesamten Pfades darf 260 Zeichen nicht überschreiten
  • der Name darf weder leer sein noch ausschließlich aus Punkten und/oder Leerzeichen bestehen
  • der Name darf keinem der Sprachkennzeichner entsprechen (EN, DE, ...)
  • der Name darf keine verbotenen Zeichen enthalten,
    verboten sind: ;?:@&=+$,\*<>|"/

OK

Übernimmt Einstellungen und erstellt neuen Ordner. Dieser wird in der Liste angezeigt.

Abbrechen

Verwirft Eingaben und schließt den Dialog, ohne einen Ordner zu erstellen.


Rasterdiagramm-Farben

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Rasterdiagramm-Farben

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Farben für das Rasterdiagramm.

Zur Auswahl stehen nur Farben am Rand des HSV-Farbkreises. S und V werden bei 1 fixiert und H wird durchlaufen. Der Farbverlauf zwischen Minimum- und Maximum-Farbe wird durch den kürzesten Verbindungsweg am Rand des HSV-Farbkreises definiert.

HSV für Rasterdiagramm-Farben

  • H: Farbwert als Farbwinkel auf dem Farbkreis.
    • 0°: Rot
    • 120°: Grün
    • 240°: Blau
  • S: Sättigung in einem Intervall von Null bis Eins: Fixwert 1
  • V: Hellwert von Null bis Eins, auch Dunkelstufe genannt. Fixwert 1

Kontrollelement Rasterdiagramm-Farben

Screenshots - Expanding

Parameter | Beschreibung
Rasterdiagramm-Farben | Farbauswahl für Beginn- und Endfarbe des Farbverlaufs im Rasterdiagramm.
Farbe Minimalwert | Farbe des Minimalwerts. Konfiguration über den Schieberegler.
Farbe Maximalwert | Farbe des Maximalwerts. Konfiguration über den Schieberegler.
Farbverlaufvorschau | Vorschau auf die konfigurierte Farbe.


Reportvorlagen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Reportvorlagen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informationen zu den Reportvorlagen:

Screenshots - Expanding

Parameter

Beschreibung

Informationen zu Reportvorlagen

Angaben zur Reportvorlage, bestehend aus:

  • Thema
  • Reportvorlage

Beide lokalisierte Namen werden zum Zeitpunkt der Erstellung der zams_rep-Datei aus dem RTC gelesen und dann in der zams_rep-Datei gespeichert. Änderungen in der RTC-Datei werden also nicht hierher nachgezogen!

Thema

Lokalisierter Name der Reporvorlagenklasse, aus der die Reportvorlage für den Report stammt.

Nur Anzeige.

Reportvorlage

Lokalisierter Namen der verwendeten Reportvorlage.

Nur Anzeige.


Schichtdatenherkunft

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Schichtdatenherkunft

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Gruppe Mit Schichtmodell verknüpfte Anlagengruppe im Dialog zur Konfiguration von Alarm-Reports ermöglicht die Zuordnung von Anlagengruppen zu Schichten. Manche Reports verwenden die Schichtdaten zum bestimmen der Netto-Anstehzeit für Alarme.

Screenshots - Expanding

Parameter | Beschreibung
Kalkulation der Nettozeit für Alarme | Eigenschaften zur Kalkulation der Nettozeit.
Schichtunterbrechungen berücksichtigen | Aktiv: Schichtunterbrechungen werden berücksichtigt.
Mit Schichtmodell verknüpfte Anlagengruppe | Auswahl des Anlagenmodells aus Dropdownliste, für das die Schichtdaten geholt werden sollen.
Listenfeld | Zeigt an, in welchen Projekten das gerade gewählte Anlagenmodell einem Schichtmodell zugewiesen ist.
Connector für Schichtdaten | Auswahl des Connectors aus Dropdownliste, über den die Schichtdaten geholt werden sollen.

Wird der Report über die Zeitfiltereinstellungen an ein Projekt gebunden, dann werden die Einträge in der Dropdownliste zur Anlagenmodellauswahl gefiltert. Es stehen nur Einträge zur Verfügung, die in dem gebundenen Projekt einem Schichtmodell zugewiesen sind.

Wird bei den Zeitfiltereinstellungen eine Variante mit Schichtfilterung gewählt, dann wird, nachdem die Zeitfilterung bestätigt wurde, die Schichtdatenkonfiguration hier übernommen.


Soll- und Istwerte

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Soll- und Istwerte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Gruppe zeigt die konfigurierten Bedeutungen für Soll- und Istwerte, die für eine Anlagengruppe gesucht werden, an und ermöglicht deren Konfiguration.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen für Soll- und Istwerte | Anzeige und Konfiguration der Bedeutungen für Soll- und Istwerte.
Liste der Bedeutungen | Tabelle mit den momentanen Einstellungen der Bedeutungen für die Soll- und Istwerte.
Bedeutungen für Soll- und Istwerte konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Bedeutungen.

Noch in diesem Kapitel

Bedeutungen für Soll- und Istwerte konfigurieren


Bedeutungen für Soll- und Istwerte konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Soll- und Istwerte -> Bedeutungen für Soll- und Istwerte konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Bedeutungen für Soll- und Istwerte.

Screenshots - Expanding

Parameter

Beschreibung

Bedeutung für Variablen mit Sollwert

Eingabe der Bedeutung für Sollwerte.

Bedeutung für Variablen mit Istwert

Eingabe der Bedeutung für Istwerte.

Konfiguration überprüfen

Klick auf Schaltfläche überprüft Eingaben in die beiden Eingabefelder.

Es wird überprüft:

  • ob der Report an ein Projekt und/oder an ein Anlagenmodell gebunden ist
  • für welche Anlagengruppen mit den eingegebenen Bedeutungen je genau eine Variable adressiert werden kann

OK

Übernimmt Einstellungen und schließt den Dialog.

Schaltfläche steht nur zur Verfügung, wenn beide Eingabefelder befüllt sind.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Sortierung der Elemente

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Sortierung der Elemente

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Sortierung der Betriebsmodi und der Komponenten.

Screenshots - Expanding

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend


Toleranz für Verlusterkennung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Toleranz für Verlusterkennung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definiert die Präzision für die Verlusterkennung.

Screenshots - Expanding

Parameter

Beschreibung

Toleranz für Verlusterkennung

Angabe, um wie viele Promille der Summe der Eingänge die absolute Differenz der Summe aller Eingänge und der Summe aller Ausgänge eines Knotens abweichen muss, um als Verlust erkannt zu werden.

  • Minimum: 0
  • Maximum: 1000 - Verlusterkennung deaktiviert.

Eingabe in Feld oder Konfiguration über Pfeiltasten.


Verlustzeiten visualisieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Verlustzeiten visualisieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration und Anzeige der Bedeutungen für Verlustzeiten.

Screenshots - Expanding

Parameter | Beschreibung
Produktionsverlustzeiten | Konfiguration und Anzeige der Bedeutungen für Verlustzeiten.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Konfiguration der Verlustzeiten | Tabelle mit den aktuellen Einstellungen für die Bedeutungen für Verlustzeiten.
Visualisierung der Verlustzeiten konfigurieren | Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration der Visualisierung der Verlustzeiten.

Noch in diesem Kapitel

Visualisierung der Verlustzeiten konfigurieren


Visualisierung der Verlustzeiten konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Verlustzeiten visualisieren -> Visualisierung der Verlustzeiten konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Dialog ermöglicht die Eingabe für Bedeutungen für Variablen, die im relativen bzw. im absoluten Verlustzeitdiagramm dargestellt werden sollen.

Der Dialog wird per Klick auf die Schaltfläche Visualisierung der Verlustzeiten konfigurieren geöffne. Dazu muss zuvor ein Projekt ausgewählt worden sein.

Screenshots - Expanding

Parameter

Beschreibung

Bedeutung für relative Verlustzeiten-Variablen

Eingabe der Bedeutung, die dazu führt, dass die Variable im Relativverlustzeitdiagramm eingebunden wird.

Bedeutung für absolute Verlustzeiten-Variablen

Eingabe der Bedeutung, die dazu führt, dass die Variable im Absolutverlustzeitdiagramm eingebunden wird.

Konfiguration überprüfen

Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus.

Bei der Validierung wird geprüft:

  • ob der Report an ein Projekt und/oder ein Anlagenmodell gebunden
  • für welche Anlagengruppen mit den eingegebenen Bedeutungen jeweils genau eine Variable pro aktivem Filter adressiert werden kann

OK

Übernimmt Einstellungen und schließt den Dialog.

Ist eines der Eingabefelder leer, wird die Schaltfläche ausgeblendet.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


XY Achsen Konfiguration

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> XY Achsen Konfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der X/Y-Achsen.

Screenshots - Expanding

Parameter

Beschreibung

X/Y-Konfiguration

Auswahl der Werte für die X- und Y-Achse aus Dropdownliste:

  • Stunden/Minuten
  • Tage/Stunden
  • Monate/Tage


Zeitfilter

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Zeitfilter besteht aus mehreren Komponenten:

Screenshots - Expanding

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Noch in diesem Kapitel

Zeitfiltereinstellungen

Standard-Zeitbereich


Zeitfiltereinstellungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Zeitfiltereinstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Einstellungen für den Zeitfilter erfolgen über einen Dialog:

Screenshots - Expanding

Der Dialog weist je nach Auswahl des Zeitfiltertyps unterschiedliche Konfigurationsmerkmale auf. Details siehe bei den jeweiligen Zeitfiltertypen:

  • Absolut- und Relativzeitfilter
  • Chargen
  • Schicht

Zeitfilter konfigurieren

Um den Zeitfilter zu konfigurieren:

  1. Wählen Sie den gewünschten Zeitfiltertyp.
  2. Wählen Sie die gewünschte Granularität. Sie bestimmt, welche Auswahlmöglichkeiten im Analyzer Manager zur Verfügung stehen.
  3. Parametrieren Sie die Standardwerte. Die Konfigurationsmöglichkeiten hängen ab von Zeitfiltertyp und der Zeitfiltergranularität.

Noch in diesem Kapitel

Absolut- und Relativzeitfilter

Chargen

Schicht


Absolut- und Relativzeitfilter

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Zeitfiltereinstellungen -> Absolut- und Relativzeitfilter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Absolutzeitfilter und Relativzeitfilter.

Screenshots - Expanding

Parameter

Beschreibung

Zeitfiltertyp

Auswahl des Zeitfiltertyps aus Dropdownliste.

  • Absolutzeitfilter: Datum und Zeit pro Zeitbereich.
  • Relativzeitfilter: Zeitspanne pro Zeitbereich.

Unterschiedliche Vorfilterbereiche verwenden

Nur verfügbar für vergleichende Reportvorlagen.

  • Aktiv: Es werden zwei Zeitfilterbereiche verwendet.
  • Inaktiv: Es wird ein Zeitfilterbereich verwendet.

Verwendung:

  • Hat der Report nur einen Zeitbereich, dann ist die Checkbox nicht gecheckt und deaktiviert.
  • Hat der Report 2 Zeitbereiche und wurde als Zeitfiltertyp absoluter oder relativer Zeitfilter ausgewählt, dann ist die Checkbox gecheckt und deaktiviert.
  • Hat der Report 2 Zeitbereiche und wurde als Zeitfiltertyp Chargen- oder Schichtauswahl mit absolutem oder relativem Zeitraum als Vorfilter ausgewählt, dann ist die Checkbox aktiviert.

OK

Speichert Konfiguration im Reportbereich im Listenfeld Zeitfilterkonfiguration und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Weitere Zeitfilterbereiche siehe Kapitel Chargen und Schicht.


Chargen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Zeitfiltereinstellungen -> Chargen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screenshots - Expanding

Parameter

Beschreibung

Zeitfiltertyp

Auswahl des Typs der Zeitfilterung aus Dropdownliste. Für Chargen stehen zur Verfügung:

  • Lot selection with date and time prefilter: Auswahl der Charge mit Datum und Zeit pro Zeitbereich
  • Lot selection with time span prefilter: Auswahl der Charge mit Zeitspanne pro Zeitbereich

Unterschiedliche Vorfilterbereiche verwenden

Nur verfügbar für vergleichende Reportvorlagen.

  • Aktiv: Es werden zwei Zeitfilterbereiche verwendet.
  • Inaktiv: Es wird ein Zeitfilterbereich verwendet.

Verwendung:

  • Hat der Report nur einen Zeitbereich, dann ist die Checkbox nicht gecheckt und deaktiviert.
  • Hat der Report 2 Zeitbereiche und wurde als Zeitfiltertyp absoluter oder relativer Zeitfilter ausgewählt, dann ist die Checkbox gecheckt und deaktiviert.
  • Hat der Report 2 Zeitbereiche und wurde als Zeitfiltertyp Chargen- oder Schichtauswahl mit absolutem oder relativem Zeitraum als Vorfilter ausgewählt, dann ist die Checkbox aktiviert.

Projekt

Auswahl eines Projekts aus der Dropdownliste aus dem die Chargendaten kommen sollen. Sobald der Dialog mit OK bestätigt wird, ist der Report an dieses Projekt gebunden.

Chargenarchiv

Liste der Chargen-Archive des gewählten Projekts. Eines der Archive muss ausgewählt werden.

OK

Speichert Konfiguration im Reportbereich im Listenfeld Zeitfilterkonfiguration und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Mögliches Ergebnis im Reportbereich:

Screenshots - Expanding


Schicht

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Zeitfiltereinstellungen -> Schicht

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ist die ComboBox auf „Shift selection with datetime prefilter" oder „Shift selection with timespan prefilter" gestellt, werden zusätzliche Controls eingeblendet und der Dialog erhält folgendes Aussehen:

Screenshots - Expanding

Parameter

Beschreibung

Zeitfiltertyp

Auswahl des Typs der Zeitfilterung aus Dropdownliste, für Schichtdaten stehen zur Verfügung:

  • Shift selection with date and time prefilter: Auswahl der Schichtdaten mit Datum und Zeit pro Zeitbereich
  • Shift selection with time span prefilter: Auswahl der Schichtdaten mit Zeitspanne pro Zeitbereich

Unterschiedliche Vorfilterbereiche verwenden

Nur verfügbar für vergleichende Reportvorlagen.

  • Aktiv: Es werden zwei Zeitfilterbereiche verwendet.
  • Inaktiv: Es wird ein Zeitfilterbereich verwendet.

Verwendung:

  • Hat der Report nur einen Zeitbereich, dann ist die Checkbox nicht gecheckt und deaktiviert.
  • Hat der Report 2 Zeitbereiche und wurde als Zeitfiltertyp absoluter oder relativer Zeitfilter ausgewählt, dann ist die Checkbox gecheckt und deaktiviert.
  • Hat der Report 2 Zeitbereiche und wurde als Zeitfiltertyp Chargen- oder Schichtauswahl mit absolutem oder relativem Zeitraum als Vorfilter ausgewählt, dann ist die Checkbox aktiviert.

Projekt

Auswahl eines Projekts aus dem Dropdownliste aus dem die Chargendaten kommen sollen. Sobald der Dialog mit OK bestätigt wird, ist der Report an dieses Projekt gebunden.

Anlagenmodell

Listet alle Einträge im Anlagenmodell auf, für die im gewählten Projekt Schichtdaten aufgezeichnet werden. Dabei gilt:

  • Enthalten eine Anlagengruppe und auch alle ihr untergeordneten Anlagengruppen kein Schichtmodell, wird die Anlagengruppe nicht angezeigt.
  • Es werden für alle Modelle mit Schichtdaten die Einträge bis zum Wurzelknoten hin angezeigt, auch wenn die eingezeichneten übergeordneten Knoten keine Schichtdaten enthalten.
  • Wird ein als nicht verwendbar dargestelltes Element im Baum angeklickt, so wird stattdessen das erste dem Element untergeordnete und verwendbare Element markiert.
  • Es muss ein Anlagenmodell mit Schichtdaten ausgewählt werden.

Connector für Schichtdaten

Auswahl des Connectors zum Holen der Schichtdaten aus Dropdownliste.

Ein Connector muss ausgewählt werden.

Achtung: Der SCADA Runtime Connector kann keine Schichtdaten holen.

OK

Speichert Konfiguration im Reportbereich im Listenfeld Zeitfilterkonfiguration und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Mögliches Ergebnis im Reportbereich:

Screenshots - Expanding

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.


Standard-Zeitbereich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Standard-Zeitbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Standardzeitbereich wird über einen eigenen Dialog festgelegt. Die Darstellung des Dialogs hängt von der Einstellung für die Option Unterschiedliche Vorfilterbereiche verwenden in der Zeitfilterkonfiguration ab.
Option:

  • Inaktiv: Ein Zeitbereich
  • Aktiv: Zwei Zeitbereiche

Noch in diesem Kapitel

Ein Zeitbereich

Zwei Zeitbereiche


Ein Zeitbereich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Standard-Zeitbereich -> Ein Zeitbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration des Standard-Zeitbereichs, wenn die Option Unterschiedliche Vorfilterbereiche verwenden inaktiv ist:

Screenshots - Expanding

Ende des Zeitbereichs

Parameter

Beschreibung

Ende des Zeitbereichs

Festlegung, wie das Ende des Zeitbereichs bestimmt wird. Auswahl einer Option:

  • Fixer Zeitstempel
  • Aktueller Zeitstempel mit Anpassung
  • Aktueller Zeitstempel mit fixen Komponenten und Anpassung

Die Auswahl bestimmt, welche Optionen im unteren Bereich des Dialogs konfigurierbar sind.

Fixer Zeitstempel

Fixer Zeitstempel mit Rückblickzeit.

Die Optionen Endzeitstempel ist UTC und Rückblickzeit sind konfigurierbar.

Aktueller Zeitstempel mit Anpassung

Fixer Zeitstempel mit Anpassung und Rückblickzeit.

Die Optionen Anpassung und Rückblickzeit sind konfigurierbar.

Aktueller Zeitstempel mit fixen Komponenten und Anpassung

Fixer Zeitstempel mit individueller Anpassung und Rückblickzeit.

Die Optionen der Zeit sowie Anpassung und Rückblickzeit sind konfigurierbar.

Zeitbereichseinstellungen

Parameter

Beschreibung

Zeitbereichseinstellungen

Elemente zur Detailparametrierung des Zeitbereichs. Welche Elemente zur Verfüguing stehen, hängt ab von der Einstellung für Ende des Zeitbereichs.

Minuten setzen auf

  • Checkbox aktiv: Minute ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Minuten erlauben.
  • Zahlenelement: Eingabe der fixen Minute.
    Mögliche Werte: 0 bis 59

Stunden setzen auf

  • Checkbox aktiv: Stunde ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Stunden erlauben.
  • Zahlenelement: Eingabe der fixen Stunde.
    Mögliche Werte: 0 bis 23

Tag setzen auf

  • Checkbox aktiv: Tag ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Tagen erlauben.
  • Zahlenelement: Eingabe des fixen Tages.
    Mögliche Werte: 1 bis 28.
    Beschränkung auf 28, da der Wert für alle Monate eines Jahres gültig sein muss.

Monat setzen auf

  • Checkbox aktiv: Monat ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Monaten erlauben.
  • Zahlenelement: Eingabe des fixen Monats.
    Mögliche Werte: 1 bis 12

Jahr setzen auf

  • Checkbox aktiv: Jahr ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Jahren erlauben.
  • Zahlenelement: Eingabe des fixen Jahres.
    Mögliche Werte: 1900 bis 3999

Endzeitstempel ist UTC

Festlegung, ob der eingegebene fixe Endzeitpunkt UTC oder Lokalzeit ist.

  • Aktiv: Endzeitpunkt ist UTC. Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung erlauben.

Anpassung

Anpassung des Endzeitpunkts. Nicht verfügbar, wenn für Ende des Zeitbereichs Fixer Zeitstempel gewählt wurde.

Mögliche Werte für Quantität: -1000 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Rückblickzeit

Festlegung der Länge des Zeitbereichs für die Rückblickzeit.

Mögliche Werte für Quantität: 1 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Beschreibung und Beispielzeitbereich

Parameter | Beschreibung
Beschreibung und Beispielzeitbereich | Anzeige der aktuellen Einstellungen .
Beschreibung | Textuelle Beschreibung der Einstellungen.
Beispielzeitbereich | Anzeige des mit den aktuellen Einstellungen berechneten Standardwerts für den Zeitbereich.

Dialog beenden

OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Zwei Zeitbereiche

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zeitfilter -> Standard-Zeitbereich -> Zwei Zeitbereiche

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Standard-Zeitbereiche, wenn die Option Unterschiedliche Vorfilterbereiche verwenden aktiv ist. Konfiguriert werden:

  • Späterer Zeitfilterbereich
  • Früherer Zeitfilterbereich

Späterer Zeitbereich

Konfiguration des späteren Zeitfilterbereichs .

Screenshots - Expanding

Ende des Zeitbereichs

Parameter

Beschreibung

Ende des Zeitbereichs

Festlegung, wie das Ende des Zeitbereichs bestimmt wird. Auswahl einer Option:

  • Fixer Zeitstempel
  • Aktueller Zeitstempel mit Anpassung
  • Aktueller Zeitstempel mit fixen Komponenten und Anpassung

Die Auswahl bestimmt, welche Optionen im unteren Bereich des Dialogs konfigurierbar sind.

Fixer Zeitstempel

Fixer Zeitstempel mit Rückblickzeit.

Die Optionen Endzeitstempel ist UTC und Rückblickzeit sind konfigurierbar.

Aktueller Zeitstempel mit Anpassung

Fixer Zeitstempel mit Anpassung und Rückblickzeit.

Die Optionen Anpassung und Rückblickzeit sind konfigurierbar.

Aktueller Zeitstempel mit fixen Komponenten und Anpassung

Fixer Zeitstempel mit individueller Anpassung und Rückblickzeit.

Die Optionen der Zeit sowie Anpassung und Rückblickzeit sind konfigurierbar.

Zeitbereichseinstellungen

Parameter

Beschreibung

Zeitbereichseinstellungen

Elemente zur Detailparametrierung des Zeitbereichs. Welche Elemente zur Verfüguing stehen, hängt ab von der Einstellung für Ende des Zeitbereichs.

Minuten setzen auf

  • Checkbox aktiv: Minute ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Minuten erlauben.
  • Zahlenelement: Eingabe der fixen Minute.
    Mögliche Werte: 0 bis 59

Stunden setzen auf

  • Checkbox aktiv: Stunde ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Stunden erlauben.
  • Zahlenelement: Eingabe der fixen Stunde.
    Mögliche Werte: 0 bis 23

Tag setzen auf

  • Checkbox aktiv: Tag ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Tagen erlauben.
  • Zahlenelement: Eingabe des fixen Tages.
    Mögliche Werte: 1 bis 28.
    Beschränkung auf 28, da der Wert für alle Monate eines Jahres gültig sein muss.

Monat setzen auf

  • Checkbox aktiv: Monat ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Monaten erlauben.
  • Zahlenelement: Eingabe des fixen Monats.
    Mögliche Werte: 1 bis 12

Jahr setzen auf

  • Checkbox aktiv: Jahr ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Jahren erlauben.
  • Zahlenelement: Eingabe des fixen Jahres.
    Mögliche Werte: 1900 bis 3999

Endzeitstempel ist UTC

Festlegung, ob der eingegebene fixe Endzeitpunkt UTC oder Lokalzeit ist.

  • Aktiv: Endzeitpunkt ist UTC. Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung erlauben.

Anpassung

Anpassung des Endzeitpunkts. Nicht verfügbar, wenn für Ende des Zeitbereichs Fixer Zeitstempel gewählt wurde.

Mögliche Werte für Quantität: -1000 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Rückblickzeit

Festlegung der Länge des Zeitbereichs für die Rückblickzeit.

Mögliche Werte für Quantität: 1 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Beschreibung und Beispielzeitbereich

Parameter | Beschreibung
Beschreibung und Beispielzeitbereich | Anzeige der aktuellen Einstellungen .
Beschreibung | Textuelle Beschreibung der Einstellungen.
Beispielzeitbereich | Anzeige des mit den aktuellen Einstellungen berechneten Standardwerts für den Zeitbereich.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Früherer Zeitbereich

Konfiguration des früheren Zeitfilterbereichs .

Screenshots - Expanding

Früheren Zeitbereich vor späteren Zeitbereich mit der gleichen Rückblickzeit anhängen

Parameter

Beschreibung

Früheren Zeitbereich vor späteren Zeitbereich mit der gleichen Rückblickzeit anhängen

Festlegung, ob die beiden zu vergleichenden Zeitbereiche unmittelbar aneinander grenzen und gleich lang sind.

  • Aktiv: Das Ende des früheren Zeitbereichs ist gleichzeitig der Beginn des späteren Zeitbereichs. Beide Zeitbereiche sind gleich lang.
    Alle Kontrollelemente in dieser Registerkarte sind deaktiviert.
  • Inaktiv: Kontrollelemente in dieser Registerkarte sind aktiv. Der frühere Zeitbereich kann individuell konfiguriert werden.

Ende des Zeitbereichs

Parameter

Beschreibung

Ende des Zeitbereichs

Festlegung, wie das Ende des Zeitbereichs bestimmt wird. Auswahl einer Option:

  • Fixer Zeitstempel
  • Aktueller Zeitstempel mit Anpassung
  • Aktueller Zeitstempel mit fixen Komponenten und Anpassung

Die Auswahl bestimmt, welche Optionen im unteren Bereich des Dialogs konfigurierbar sind.

Fixer Zeitstempel

Fixer Zeitstempel mit Rückblickzeit.

Die Optionen Endzeitstempel ist UTC und Rückblickzeit sind konfigurierbar.

Aktueller Zeitstempel mit Anpassung

Fixer Zeitstempel mit Anpassung und Rückblickzeit.

Die Optionen Anpassung und Rückblickzeit sind konfigurierbar.

Aktueller Zeitstempel mit fixen Komponenten und Anpassung

Fixer Zeitstempel mit individueller Anpassung und Rückblickzeit.

Die Optionen der Zeit sowie Anpassung und Rückblickzeit sind konfigurierbar.

Zeitbereichseinstellungen

Parameter

Beschreibung

Zeitbereichseinstellungen

Elemente zur Detailparametrierung des Zeitbereichs. Welche Elemente zur Verfüguing stehen, hängt ab von der Einstellung für Ende des Zeitbereichs.

Minuten setzen auf

  • Checkbox aktiv: Minute ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Minuten erlauben.
  • Zahlenelement: Eingabe der fixen Minute.
    Mögliche Werte: 0 bis 59

Stunden setzen auf

  • Checkbox aktiv: Stunde ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Stunden erlauben.
  • Zahlenelement: Eingabe der fixen Stunde.
    Mögliche Werte: 0 bis 23

Tag setzen auf

  • Checkbox aktiv: Tag ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Tagen erlauben.
  • Zahlenelement: Eingabe des fixen Tages.
    Mögliche Werte: 1 bis 28.
    Beschränkung auf 28, da der Wert für alle Monate eines Jahres gültig sein muss.

Monat setzen auf

  • Checkbox aktiv: Monat ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Monaten erlauben.
  • Zahlenelement: Eingabe des fixen Monats.
    Mögliche Werte: 1 bis 12

Jahr setzen auf

  • Checkbox aktiv: Jahr ist fixiert.
    Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Jahren erlauben.
  • Zahlenelement: Eingabe des fixen Jahres.
    Mögliche Werte: 1900 bis 3999

Endzeitstempel ist UTC

Festlegung, ob der eingegebene fixe Endzeitpunkt UTC oder Lokalzeit ist.

  • Aktiv: Endzeitpunkt ist UTC. Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung erlauben.

Anpassung

Anpassung des Endzeitpunkts. Nicht verfügbar, wenn für Ende des Zeitbereichs Fixer Zeitstempel gewählt wurde.

Mögliche Werte für Quantität: -1000 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Rückblickzeit

Festlegung der Länge des Zeitbereichs für die Rückblickzeit.

Mögliche Werte für Quantität: 1 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Beschreibung und Beispielzeitbereich

Parameter | Beschreibung
Beschreibung und Beispielzeitbereich | Anzeige der aktuellen Einstellungen .
Beschreibung | Textuelle Beschreibung der Einstellungen.
Beispielzeitbereich | Anzeige des mit den aktuellen Einstellungen berechneten Standardwerts für den Zeitbereich.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Zuordnungen für Betriebszeiten

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration der Zuordnungen für Kraftwerksbetriebszeiten pro Maschinenkomponente und Betriebsmodus.

Screenshots - Expanding

Parameter | Beschreibung
Zuordnungen für Betriebszeiten | Anzeige und Konfiguration der Zuordnungen für Kraftwerksbetriebszeiten pro Maschinenkomponente und Betriebsmodus.
Liste Zuordnungen | Anzeige der konfigurierten Zuordnungen.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten -> Zuordnungen konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Zuordnungen für Betriebszeiten. Dialog wird mit Klick auf die Schaltfläche Zuordnungen konfigurieren gestartet. Der Dialog besteht aus zwei Registerkarten.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten -> Zuordnungen konfigurieren -> Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Absolute Betriebsstunden | Eingabe der Bedeutung für den absoluten Betriebsstundenzähler einer Maschine.
Relative Betriebsstunden | Eingabe der Bedeutung für den relativen Betriebsstundenzähler einer Maschine.
Relativer Betriebsstundenzähler für Operationsmodus | Eingabe der Bedeutung für sämtliche relativen Betriebsstundenzähler für die Operationsmodi einer Maschine.
Komponente getauscht | Eingabe der Bedeutung für sämtliche Variablen für Komponenten-Austausch-Ereignisse.
Komponente inspiziert | Eingabe der Bedeutung für sämtliche Variablen für Komponenten-Inspektion-Ereignisse.
Übergeordnete Komponente | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Parent-Komponente im Vergleich zu einer Komponente ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.
  • Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Standardwert gefüllt.


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten -> Zuordnungen konfigurieren -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Screenshots - Expanding

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung wird geprüft:

  1. Ob für die Anlagengruppe aus einem Archiv gelesen werden können:
    • genau 1 Absolutbetriebszeitzähler
    • genau 1 Relativbetriebszeitzähler
    • mindestens 1 Betriebsmodus-Relativzeitzähler .

    Ist das nicht der Fall, so ist die Anlagengruppe nicht verwendbar und der Ablauf wird für diese Anlagengruppe beendet.

  2. Ob für diese Anlagengruppe Informationen über Kraftwerk und Kraftwerksgruppe hinterlegt sind.
  3. Für welche Unterelemente dieser Anlagengruppe genau 1 Austauschereignis und 0 oder 1 Inspektionsereignis aus einem Archiv gelesen werden können. Ist diese Bedingung erfüllt, so wird auch geprüft, ob für diese untergeordnete Anlagengruppe Informationen über eine übergeordnete Komponente hinterlegt sind.


Zuordnungen für Betriebszeiten pro Lastbereich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten pro Lastbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration der Zuordnungen für Kraftwerksbetriebszeiten pro Lastbereich.

Screenshots - Expanding

Parameter | Beschreibung
Zuordnungen für Betriebszeiten pro Lastbereich | Anzeige und Konfiguration der Zuordnungen für Kraftwerksbetriebszeiten pro Lastbereich.
Liste Zuordnungen | Anzeige der konfigurierten Zuordnungen.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten pro Lastbereich -> Zuordnungen konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Zuordnungen für Kraftwerk Betriebsstunden pro Lastbereich. Dialog wird mit Klick auf die Schaltfläche Zuordnungen konfigurieren gestartet. Der Dialog besteht aus zwei Registerkarten.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten pro Lastbereich -> Zuordnungen konfigurieren -> Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Wirkleistungsbereich Generatorbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Wirkleistungsbereich im Generatorbetrieb.
Wirkleistungsmaximum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Wirkleistungsmaximum im Generatorbetrieb.
Wirkleistungsminimum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Wirkleistungsminimum im Generatorbetrieb.
Wirkleistungsbereich Pumpbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Wirkleistungsbereich im Pumbetrieb.
Wirkleistungsmaximum Pumpbetrieb | Eingabe der Bedeutung für Betriebszeit am Wirkleistungsmaximum im Pumpbetrieb
Wirkleistungsminimum Pumpbetrieb | Eingabe der Bedeutung für Betriebszeit am Wirkleistungsminimum im Pumpbetrieb.
Blindleistungsbereich Generatorbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Blindleistungsbereich im Generatorbetrieb.
Blindleistungsmaximum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsmaximum im Generatorbetrieb.
Blindleistungsminimum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsminimum im Generatorbetrieb.
Blindleistungsbereich Pumpbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Blindleistungsbereich im Pumpbetrieb.
Blindleistungsmaximum Pumpbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsmaximum im Pumpbetrieb.
Blindleistungsminimum Pumpbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsminimum im Pumpbetrieb.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.

Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Standardwert gefüllt.


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Betriebszeiten pro Lastbereich -> Zuordnungen konfigurieren -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Screenshots - Expanding

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung wird geprüft:

  1. Ob für die Anlagengruppe im Generatorbetrieb aus einem Archiv jeweils gelesen werden können:
    • mindestens 1 Wirkleistungs-Bereichszähler
    • genau 1 Wirkleistungs-Maximumzähler
    • genau 1 Wirkleistungs-Minimumzähler
    • mindestens 1 Blindleistungs-Bereichszähler
    • genau 1 Blindleistungs-Maximumzähler
    • genau 1 Blindleistungs-Minimumzähler .

    Ist das nicht der Fall, so ist die Anlagengruppe nicht verwendbar und der Ablauf ist für diese Anlagengruppe beendet.

  2. Ob für die Anlagengruppe im Pumpbetrieb jeweils aus einem Archiv gelesen werden können.
    • mindestens 1 Wirkleistungs-Bereichszähler
    • genau 1 Wirkleistungs-Maximumzähler
    • genau 1 Wirkleistungs-Minimumzähler
    • mindestens 1 Blindleistungs-Bereichszähler
    • genau 1 Blindleistungs-Maximumzähler
    • genau 1 Blindleistungs-Minimumzähler


Zuordnungen für Schaltspiele

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Schaltspiele

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration der Zuordnungen für Kraftwerksschaltspiele.

Screenshots - Expanding

Parameter | Beschreibung
Zuordnungen für Schaltspiele | Anzeige und Konfiguration der Zuordnungen für Kraftwerksschaltspiele.
Liste Zuordnungen | Anzeige der konfigurierten Zuordnungen.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Schaltspiele -> Zuordnungen konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Zuordnungen für Schaltspiele . Dialog wird mit Klick auf die Schaltfläche Zuordnungen konfigurieren gestartet. Der Dialog besteht aus zwei Registerkarten.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Schaltspiele -> Zuordnungen konfigurieren -> Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Relativer Schaltspielzähler | Eingabe der Bedeutung für den relativen Schaltereigniszähler.
Leistungsschalter Inspektionsereignis | Eingabe der Bedeutung für die Leistungsschalter-Inspektion-Ereignis-Variable.
Leistungsschalter Austauschereignis | Eingabe der Bedeutung für die Leistungsschalter-Austausch-Ereignis-Variable.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Schaltspiele -> Zuordnungen konfigurieren -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Screenshots - Expanding

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung wird geprüft:

  1. Es wird geprüft, ob für die Anlagengruppe aus einem Archiv gelesen werden können:
    • genau 1 relativer Schaltspielzähler
    • genau 1 Leistungsschalter-Austauschereignis-Variable
    • genau 1 Leistungsschalter-Inspektion-Variable

    Ist das nicht der Fall, so ist die Anlagengruppe nicht verwendbar und der Ablauf ist für diese Anlagengruppe beendet.

  2. Die Anlagengruppe wird in einer Liste eingeordnet.
  3. Der Anlagenbaum wird so aufgebaut, dass jede Anlagengruppe vorkommt, die in der in Punkt 2 gefüllten Liste vorhanden ist.
  4. Die Anlagengruppen werden ausgegeben.


Zuordnungen für Wirk- und Blindleistungszähler

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Wirk- und Blindleistungszähler

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration der Zuordnungen für Kraftwerkswirk- und -blindleistungszähler.

Screenshots - Expanding

Parameter | Beschreibung
Zuordnungen für Wirk- und Blindleistungszähler | Anzeige und Konfiguration der Zuordnungen für Wirk- und Blindleistungszähler.
Liste Zuordnungen | Anzeige der konfigurierten Zuordnungen.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Wirk- und Blindleistungszähler -> Zuordnungen konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Zuordnungen für Wirk- und Blindleistungszähler. Dialog wird mit Klick auf die Schaltfläche Zuordnungen konfigurieren gestartet. Der Dialog besteht aus zwei Registerkarten.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Wirk- und Blindleistungszähler -> Zuordnungen konfigurieren -> Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter | Beschreibung
Wirkleistung Produktion | Eingabe der Bedeutung für den Wirkleistungszähler für Produktion.
Wirkleistung Verbrauch | Eingabe der Bedeutung für den Wirkleistungszähler für Verbrauch.
Blindleistung Produktion | Eingabe der Bedeutung für den Blindleistungszähler für Produktion.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Wirk- und Blindleistungszähler -> Zuordnungen konfigurieren -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Screenshots - Expanding

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung wird geprüft:

  1. Ob für die Anlagengruppe aus einem Archiv gelesen werden können:
    • genau 1 Wirkleistungszähler für Produktion
    • genau 1 Blindleistungszähler für Produktion
    • höchstens 1 Wirkleistungszähler für Verbrauch
    • höchstens 1 Blindleistungszähler für Verbrauch

    Ist das nicht der Fall, so ist die Anlagengruppe nicht verwendbar und der Ablauf wird für diese Anlagengruppe beendet.

  2. Die Anlagengruppe wird in einer Liste eingeordnet.
  3. Der Anlagenbaum wird so aufgebaut, dass jede Anlagengruppe vorkommt, die in der in Punkt 2 gefüllten Liste vorhanden ist.
  4. Die Anlagengruppen werden ausgegeben.


Zuordnungen für Netzfrequenz

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Netzfrequenz

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration der Zuordnungen für Kraftwerksnetzfrequenz.

Screenshots - Expanding

Parameter | Beschreibung
Zuordnungen für Netzfrequenz | Anzeige und Konfiguration der Zuordnungen für Kraftwerksnetzfrequenz.
Liste Zuordnungen | Anzeige der konfigurierten Zuordnungen.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Netzfrequenz -> Zuordnungen konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Zuordnungen für Netzfrequenz. Dialog wird mit Klick auf die Schaltfläche Zuordnungen konfigurieren gestartet. Der Dialog besteht aus zwei Registerkarten.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Netzfrequenz -> Zuordnungen konfigurieren -> Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Netzfrequenz

Eingabe der Bedeutung für die Netzfrequenzvariable einer Maschine.

Frequenzband-Zeitzähler

Eingabe der Bedeutung für für den relativen Zeitzähler für ein Frequenzband der Netzfrequenz einer Maschine.

Alle Variablen, die der Anlagengruppe zugeordnet sind und deren Bedeutung genau mit dem hier eingegebenen Text (und eventuell einem Suffix) beginnen, werden in den Report inkludiert.

Bedeutung der Variablen entweder genau mit der eingegebenen Bedeutung übereinstimmen oder die Bedeutung der Variablen muss mit der eingegebenen Bedeutung beginnen.

Achtung: Das Suffix der Bedeutung der Variablen muss numerisch sein, da es sonst zu einem Konvertierungsfehler kommen kann.

Kraftwerk

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Kraftwerksgruppe

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Nennfrequenz

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das die Nennfrequenz für die Maschine beinhaltet.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Netzfrequenz -> Zuordnungen konfigurieren -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Screenshots - Expanding

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung wird geprüft:

  1. Ob für die Anlagengruppe aus einem Archiv gelesen werden können:
    • genau 1 Netzfrequenzvariable
    • mindestens einen Zeitzähler für ein Frequenzband

      Beim Frequenzband muss die Bedeutung der Variablen entweder genau mit der eingegebenen Bedeutung übereinstimmen oder die Bedeutung der Variablen muss mit der eingegebenen Bedeutung beginnen.

    Ist das nicht der Fall, so ist die Anlagengruppe nicht verwendbar und der Ablauf wird für diese Anlagengruppe beendet.

  2. Es wird geprüft, ob für diese Anlagengruppe Informationen über Nennfrequenz, Kraftwerk und Kraftwerksgruppe hinterlegt sind.


Zuordnungen für Ereigniszähler

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Ereigniszähler

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anzeige und Konfiguration der Zuordnungen für Kraftwerksereigniszähler.

Screenshots - Expanding

Parameter | Beschreibung
Zuordnungen für Ereigniszähler | Anzeige und Konfiguration der Zuordnungen für Kraftwerksereigniszähler.
Liste Zuordnungen | Anzeige der konfigurierten Zuordnungen.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Ereigniszähler -> Zuordnungen konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog zur Konfiguration der Zuordnungen für Ereigniszähler. Dialog wird mit Klick auf die Schaltfläche Zuordnungen konfigurieren gestartet. Der Dialog besteht aus zwei Registerkarten.

Screenshots - Expanding

Parameter | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Wirkleistungsbereiche | Konfiguration der Wirkleistungsbereiche.
Turbinengeschwindigkeitsbereiche | Konfiguration der Turbinengeschwindigkeitsbereiche.
Überprüfung | Überprüfung der Konfiguration.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Wirkleistungsbereiche

Turbinengeschwindigkeitsbereiche

Überprüfung


Bedeutungen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Ereigniszähler -> Zuordnungen konfigurieren -> Bedeutungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Bedeutungen konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Ein-Aus-Schalter

Eingabe der Bedeutung für den Ein-Aus-Schalter der Maschine.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Sollwert

Eingabe der Bedeutung für den Sollwert für die Maschinenleistung.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Düsenmodus

Eingabe der Bedeutung für den Düsenmodus.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Betriebsmodus

Eingabe der Bedeutung für den Betriebsmodus.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Leistungsschalter

Eingabe der Bedeutung für den Leistungsschalter.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Wirkleistung

Eingabe der Bedeutung für die Wirkleistung.

Turbinengeschwindigkeit

Eingabe der Bedeutung für die Turbinengeschwindigkeit.

Kraftwerk

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Kraftwerksgruppe

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Nennwirkleistung

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle das die Nennwirkleistung definiert.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Nennturbinengeschwindigkeit

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle das die Nennturbinengeschwindigkeit definiert.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Wirkleistungsbereiche

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Ereigniszähler -> Zuordnungen konfigurieren -> Wirkleistungsbereiche

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Wirkleistungsbereiche konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Bereichsliste

Die Bereichsliste zeigt bereits konfigurierte Leistungsbereiche an. Bei bereits existierenden Bereichen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts:

  • Zahlenwert
  • Maximum: 2147483647

Symbol: Neu

Klick auf die Schaltfläche:

  • erzeugt einen neuen Bereich
  • initialisiert diesen mit 0 <= X <= 100
  • fügt ihn als neue Zeile am unteren Ende der Liste hinzu

X

Klick auf die Schaltfläche entfernt den dazugehörigen Bereich aus der Liste.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Vergleichstypen und Bereiche

Es stehen folgende Vergleichstypen zur Verfügung:

  • Kleiner: X < [Zahl]
  • Kleiner gleich: X <= [Zahl]
  • Größer: X > [Zahl]
  • Größer gleich: X >= [Zahl]
  • Bereiche

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]


Turbinengeschwindigkeitsbereiche

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Ereigniszähler -> Zuordnungen konfigurieren -> Turbinengeschwindigkeitsbereiche

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen der Turbinengeschwindigkeitsbereiche konfiguriert.

Screenshots - Expanding

Parameter

Beschreibung

Bereichsliste

Die Bereichsliste zeigt bereits konfigurierte Leistungsbereiche an. Bei bereits existierenden Bereichen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts:

  • Zahlenwert
  • Maximum: 2147483647

Symbol: Neu

Klick auf die Schaltfläche:

  • erzeugt einen neuen Bereich
  • initialisiert diesen mit 0 <= X <= 100
  • fügt ihn als neue Zeile am unteren Ende der Liste hinzu

X

Klick auf die Schaltfläche entfernt den dazugehörigen Bereich aus der Liste.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Vergleichstypen und Bereiche

Es stehen folgende Vergleichstypen zur Verfügung:

  • Kleiner: X < [Zahl]
  • Kleiner gleich: X <= [Zahl]
  • Größer: X > [Zahl]
  • Größer gleich: X >= [Zahl]
  • Bereiche

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
    • [Zahl] <= X <= [Zahl]


Überprüfung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Elemente im Reportbereich -> Zuordnungen für Ereigniszähler -> Zuordnungen konfigurieren -> Überprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss:

  • in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein
  • mindestens 1 Wirkleistungsbereich existieren
  • mindestens 1 Turbinengeschwindigkeitsbereich existieren

Screenshots - Expanding

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung:

  1. Wird geprüft, ob gelesen werden kann:
    • genau 1 Ein-Aus-Schalter für die Anlagengruppe
    • genau 1 oder 2 Leistungsschalter aus der jeweils konfigurierten Datenquelle
  2. Wird geprüft, ob für die Anlagengruppe oder einer ihr untergeordneten Anlagengruppe gelesen werden kann:
    • genau 1 Sollwert für die Maschinenleistung
    • mindestens 1 Düsenmodus (siehe SP „HppEventCounters" warum hier mehr Variablen möglich sind)
    • mindestens 1 Betriebsmodus (siehe SP „HppEventCounters" warum hier mehr Variablen möglich sind)
    • genau 1 Wirkleistung
    • genau 1 Turbinengeschwindigkeit aus der jeweils konfigurierten Datenquelle

    Hat ein Feld keine Konfigurationsmöglichkeit für die Datenquelle (Wirkleistung und Turbinengeschwindigkeit), so wird dieses immer aus einem Archiv gelesen.

  3. Sind die beiden ersten Bedingungen nicht erfüllt, so ist die Anlagengruppe nicht verwendbar und der Ablauf wird für diese Anlagengruppe beendet.
  4. Wird geprüft, ob für diese Anlagengruppe Informationen über Nennwirkleistung, Nennturbinengeschwindigkeit, Kraftwerk und Kraftwerksgruppe hinterlegt sind.
  5. Wird jeder Bereich für Wirkleistung und Turbinengeschwindigkeit auf Plausibilität überprüft.

    Ein Bereich ist dann plausibel, wenn es mindestens eine Zahl gibt, die in diesem Bereich liegen kann.
    Ein Bereich 100 < X < 50 ist nicht plausibel.
    Ein Bereich 100 < X < 100 ist nicht plausibel.
    Ein Bereich 100 <= X <= 100 ist plausibel.


Reportvorlagen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für den zenon Analyzer stehen folgende vorkonfigurierte Reportvorlagen zur Verfügung:

  • Alarmanalyse: Auswertung von Alarmen
  • Analyse mit benutzerdefinierten Formeln: Auswertungen mit benutzerdefinierten Formeln
  • Archivanalyse: Auswertung von Archiven
  • Erweiterte Archivanalyse: erweiterte Auswertung von Archiven
  • ISO 50001: Reportvorlagen aus den Themen ISO 5001, Analyse mit benutzerdefinierten Formeln und Erweiterte Archivanalyse
  • Maschinenbasierte Produktionsanalyse: Analyse von Verlustzeiten und Produktivität, basierend auf Standards wie DIN 8782, DIN 8743, Weihenstephan Standards und Best Practices einiger Produktionsbetriebe
  • OEE-Analyse: Auswertung von OEE-KennzahlenSoll-Ist-Analyse: Berechnet aus Soll- und Istwerten für gewählte Anlagengruppen Absolut- oder Relativzähler.
  • Wasserkraftwerk Analyse: Ermittelt diverse Zähler für Wasserkraftwerke.

Screenshots - Expanding

Für manche Reports sind Einträge in zenon nötig (Meaning, Wasserfall).

Syntax für Eingaben in zenon

Die Eingabe in zenon hängt von der verwendeten zenon Version ab.

Bis zenon 7.11

Bis inklusive zenon Version 7.11 werden Meaning und Wasserfallmodell in die zenon Eigenschaft Betriebsmittelkennung eingetragen. Diese kann Bedeutungen für mehrere Kategorien enthalten.

Für Einträge in die Eigenschaft Betriebsmittelkennung gilt:

  • Kategorien werden durch Strichpunkt (;) getrennt.
  • Bereiche innerhalb einer Kategorien werden durch Komma (,) getrennt.
  • Kategorien werden durch einen Index gekennzeichnet:
    • ME=: Identifiziert eine Bedeutung (Meaning).
      Syntax: ME=[Hauptbedeutung als Text],[Zusatzbedeutung als Text],[Zusatzbedeutung als Text],…;
      Beispiel: ME=Station_1,Station_2;
    • WF=: Identifiziert eine Variable für die Wasserfalldarstellung.
      Syntax: WF=[Modellname Text],[Zeilenindex INT],[Spaltenindex INT],[Farbcode als Text #XXXXXX];;
    • Jeder andere Eintrag wird ebenfalls als Meaning verstanden

Gesamtsyntax für die Eigenschaft Betriebsmittelkennung: ME=[Meaning1],[Meaning2],…,[MeaningN];WF=[Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Die Eigenschaft Betriebsmittelkennung ist im zenon Editor auf 255 Zeichen begrenzt.

Ab zenon 7.20

Ab zenon 7.20 stehen in zenon eigene Eigenschaften zur Definition von Meaning und Wasserfall sowie zur Eingabe eines Anzeigenamens zur Verfügung. Diese Einträge benötigen keine vorangestellte Kennzeichnung.

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfalldiagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Alle diese Eingabefelder im zenon Editor sind auf 255 Zeichen begrenzt.

Noch in diesem Kapitel

Alarmanalyse

Analyse mit benutzerdefinierten Formeln

Archivanalyse

Erweiterte Archivanalyse

ISO 50001

Linienbasierte Produktionsanalyse

Maschinenbasierte Produktionsanalyse

OEE-Analyse

Soll-Ist-Analyse

Wasserkraftwerk Analyse


Alarmanalyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Alarmanalyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der Auswertung von Alarmen unterstützen:

  • Alarmmeldeliste: Erzeugt eine tabellarische Alarmliste für einen Zeitbereich.
  • TOP N Alarme: Holt eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen bzw. am längsten angestandenen sind.
  • Alarmverdichtung: Holt die Summe aller in einem Zeitbereich vorhandenen Alarme und summiert die Dauer der verschiedenen Alarme.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste Alarmanalyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Metadaten

Verwendete Metadaten: Allgemein
 | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | + | Keine Filterung bzw. Vorfilterung auf Alarm-/Ereignisklassen.
Alarm-/Ereignisgruppen | + | Keine Filterung bzw. Vorfilterung auf Alarm-/Ereignisgruppen.
Benutzer | + | Alarmliste: Keine Anzeige der Benutzer, die Alarme quittieren.
Anlagenmodellierung | + | Keine Filterung auf Anlagengruppen (z. B. Maschinen).
Archive | - |
Variablen | + | Zwingend nötig.
Preise | - |
Normwerte | - |
Verwendete Metadaten: Zeitfilter
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

Alarmliste

Top N Alarme

Alarmverdichtung


Alarmliste

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Alarmanalyse -> Alarmliste

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage beruhen, erzeugen eine tabellarische Alarmliste für einen Zeitbereich. Dabei ist die Alarmfilterung nach folgenden Kriterien möglich:

  • Nur Projekt
  • Projekt und Alarmklasse
  • Projekt und Alarmgruppe
  • Projekt und Anlagengruppe
  • Projekt und Alarmkommentar

Anwendungsbeispiele

Reports vom Typ Alarmliste eignen sich zum Beispiel für:

Alarmauswertung

Filter
  • einer Maschine in einem bestimmten Zeitraum

Anlagengruppen
  • der dringlichsten Alarme

Alarmklassen
  • spezifischer Alarmgruppen, wie Notstopps, Maschinenfehler, externe Fehler, …

Alarmgruppen
  • für eine Produktionscharge

Chargen
  • einer Schicht

Schicht
  • der Alarme mit spezifischen Alarmkommentaren

Alarmkommentar

Report erstellen

Um einen Report Alarmliste zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Alarmanalyse aus
  2. wählen Sie als Reportvorlage Alarmliste aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Alarmgruppen Vorfilter (statisch)

Parameter | Beschreibung
Alarmgruppen Vorfilter (statisch) | Eigenschaften zur Vorfilterung der Alarmgruppen.
Vorfilterung nach Alarmgruppen aktivieren | Aktiv: Die Liste der Alarmgruppen-Vorfilter kann konfiguriert und verwendet werden.
Liste Filter Alarmgruppen | Auswahl der Kriterien für die Vorfilterung der Alarmgruppen. Klick in Checkbox wählt Alarmgruppe aus. Klick auf entsprechende Schaltfläche wählt alle Alarmgruppen aus oder ab. Details siehe Kapitel Alarm-Vorfilterung.

Alarmklassen Vorfilter (statisch)

Parameter | Beschreibung
Alarmklassen Vorfilter (statisch) | Eigenschaften zur Vorfilterung der Alarmklassen.
Vorfilterung nach Alarmklassen aktivieren | Aktiv: Die Liste der Alarmgruppen-Vorfilter kann konfiguriert und verwendet werden.
Liste Filter Alarmklassen | Auswahl der Kriterien für die Vorfilterung der Alarmklassen. Klick in Checkbox wählt Alarmklasse aus. Klick auf entsprechende Schaltfläche wählt alle Alarmklassen aus oder ab. Details siehe Kapitel Alarm-Vorfilterung.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Alarmfilter (dynamisch)

Parameter

Beschreibung

Alarmfilter (dynamisch)

Auswahl der Alarmfilterung:

  • Nur Projekt
  • Projekt und Alarmklasse
  • Projekt und Alarmgruppe
  • Projekt und Anlagengruppe
  • Projekt und Alarmkommentar

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Hinweis: Wird der Report über die Zeitfilterung an ein Projekt gebunden, so wird die Projektauswahl auf das gebundene Projekt gesetzt und es wird sichergestellt, dass in beiden Gruppierungen nur Archive dieses Projekts gewählt werden können.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste für Projektauswahl (wenn nicht durch Zeitfilterung deaktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste für Alarmklassenfilterung (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste für Alarmgruppenfilterung (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste (Tree) für Anlagenmodellauswahl (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Texteingabe für Alarmkommentar (wenn über Alarmfilterung im ZAMS aktiviert)

Datendarstellung

Die Alarmdaten werden in dieser Vorlage immer als Tabelle dargestellt.
Die Tabelle hat folgende Spalten:

  • Variablenname (dynamisch sortierbar)
  • Beschreibung
  • Alarmgruppe (dynamisch sortierbar)
  • Alarmklasse (dynamisch sortierbar)
  • Wert der Variablen
  • Einheit der Variablen
  • Grenzwertindex
  • Alarmtext
  • Kommt-Zeit (dynamisch sortierbar)
  • Geht-Zeit (dynamisch sortierbar)
  • Quittiert-Zeit (dynamisch sortierbar)
  • Reaktiviert-Zeit (dynamisch sortierbar)
  • Anzahl, wie oft der Alarm reaktiviert wurde
  • Kommentar
  • Benutzername

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree
  • Alarm_GetGroupReferenceList
  • Alarm_GetClassReferenceList
  • Alarm_List
  • Alarm_List_Equipment
  • Alarm_List_Comment


Top N Alarme

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Alarmanalyse -> Top N Alarme

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen bzw. am längsten angestandenen sind. Dabei werden verschiedene Arten der Alarmfilterung ermöglicht. Optional kann die Berechnung der Anstehzeit auch geplante Stillstandszeiten, die durch Schichtpausen und Schichtlücken (Zeit zwischen zwei Schichten) entstehen, berücksichtigen. Die Alarmfilterung nach folgenden Kriterien ist möglich:

  • häufigsten Alarme pro Projekt
  • häufigsten Alarme pro Projekt und Alarmklasse
  • häufigsten Alarme pro Projekt und Alarmgruppe
  • häufigsten Alarme pro Projekt und Anlagengruppe
  • Längste Alarmdauer pro Projekt
  • Längste Alarmdauer pro Projekt und Alarmklasse
  • Längste Alarmdauer pro Projekt und Alarmgruppe
  • Längste Alarmdauer pro Projekt und Anlagengruppe

Anwendungsbeispiele

Reports vom Typ Top N Alarme eignen sich zum Beispiel für:

Alarmauswertung

Filter
  • der häufigsten Alarme einer Maschine in einem bestimmten Zeitraum

Anlagengruppen
  • der häufigsten dringlichen Alarme

Alarmklassen
  • der häufigsten Alarme, die zu Notstopps, Maschinenfehler usw. geführt haben

Alarmgruppen
  • der häufigsten Alarme während einer Produktionscharge

Chargen
  • der häufigsten Alarme während einer Schicht

Schicht
  • der am längsten angestandenen Alarme einer Maschine in einem bestimmten Zeitraum

Anlagengruppen
  • der am längsten angestandenen dringlichen Alarme

Alarmklassen
  • der am längsten angestandenen Alarme, die zu Notstopps, Maschinenfehlern usw. geführt haben

Alarmgruppen
  • der am längsten angestandenen Alarme während einer Produktionscharge

Chargen
  • der am längsten angestandenen Alarme während einer Schicht

Schicht

Report erstellen

Um einen Report Top N Alarme zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Alarmanalyse aus
  2. wählen Sie als Reportvorlage Top N Alarme aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Alarmgruppen Vorfilter (statisch)

Parameter | Beschreibung
Alarmgruppen Vorfilter (statisch) | Eigenschaften zur Vorfilterung der Alarmgruppen.
Vorfilterung nach Alarmgruppen aktivieren | Aktiv: Die Liste der Alarmgruppen-Vorfilter kann konfiguriert und verwendet werden.
Liste Filter Alarmgruppen | Auswahl der Kriterien für die Vorfilterung der Alarmgruppen. Klick in Checkbox wählt Alarmgruppe aus. Klick auf entsprechende Schaltfläche wählt alle Alarmgruppen aus oder ab. Details siehe Kapitel Alarm-Vorfilterung.

Alarmklassen Vorfilter (statisch)

Parameter | Beschreibung
Alarmklassen Vorfilter (statisch) | Eigenschaften zur Vorfilterung der Alarmklassen.
Vorfilterung nach Alarmklassen aktivieren | Aktiv: Die Liste der Alarmgruppen-Vorfilter kann konfiguriert und verwendet werden.
Liste Filter Alarmklassen | Auswahl der Kriterien für die Vorfilterung der Alarmklassen. Klick in Checkbox wählt Alarmklasse aus. Klick auf entsprechende Schaltfläche wählt alle Alarmklassen aus oder ab. Details siehe Kapitel Alarm-Vorfilterung.

Alarm Rückblickzeit

Parameter | Beschreibung
Alarm Rückblickzeit | Zeitbereich, der vom Start des Zeitfilters rückwärts gerichtet berücksichtigt werden soll. Details siehe Kapitel Alarm Rückblickzeit.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Kalkulation der Nettozeit für Alarme

Parameter | Beschreibung
Kalkulation der Nettozeit für Alarme | Eigenschaften zur Kalkulation der Nettozeit.
Schichtunterbrechungen berücksichtigen | Aktiv: Schichtunterbrechungen werden berücksichtigt.
Mit Schichtmodell verknüpfte Anlagengruppe | Auswahl einer Anlagengruppe für das Schichtmodell aus Dropdownliste. Details siehe Kapitel Schichtdatenherkunft.
Connector für Schichtdaten | Auswahl eines Connectors für die Schichtdaten aus Dropdownliste. Details siehe Kapitel Schichtdatenherkunft.

Standardwert für N

Parameter

Beschreibung

Standardwert für N

Definition des Standardwerts für N.

  • Minimum: 1
  • Maximum: 100
  • Default: 10

Eingabe direkt in das Feld in ganzen Zahlen zwischen 1 und 100 oder über die Pfeile des Spincontrols (Granularität = 1).

Top N Berechnung

Parameter

Beschreibung

Top N Berechnung

Auswahl der Berechnungsmethode:

  • Häufigste Alarme pro Projekt
  • Häufigste Alarme pro Projekt und Alarmklasse
  • Häufigste Alarme pro Projekt und Alarmgruppe
  • Häufigste Alarme pro Projekt und Anlagenmodell
  • Am längsten angestandene Alarme pro Projekt
  • Am längsten angestandene Alarme pro Projekt und Alarmklasse
  • Am längsten angestandene Alarme pro Projekt und Alarmgruppe
  • Am längsten angestandene Alarme pro Projekt und Anlagenmodell

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Hinweis: Wird der Report über die Zeitfilterung an ein Projekt gebunden, so wird die Projektauswahl auf das gebundene Projekt gesetzt und es wird sichergestellt, dass in beiden Gruppierungen nur Archive dieses Projekts gewählt werden können.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste für Projektauswahl (wenn nicht durch Zeitfilterung deaktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste für Alarmklassenfilterung (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste für Alarmgruppenfilterung (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste (Tree) für Anlagenmodellauswahl (wenn über Alarmfilterung im ZAMS aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Jeder Alarm erhält eine Säule. Abhängig von der Top-N-Berechnung bestimmt entweder die Anzahl, wie oft der Alarm gekommen ist, oder die summierte und um die Schichtpausen und Schichtlücken korrigierte Anstehdauer aller Instanzen eines Alarms die Höhe der Säule.
  • Tortendiagramm: Jeder Alarm erhält einen Sektor im Diagramm. Die Größe des Sektors berechnet sich analog zur Berechnung einer Säule im Säulendiagramm.
  • Datentabelle:
    Die Datentabelle enthält folgende Spalten:
    • Variablenname (dynamisch sortierbar)
    • Alarmtext
    • Anzahl, wie oft der Alarm gekommen ist (dynamisch sortierbar)
    • Gesamte Anstehdauer aller Instanzen des Alarms ohne Schichtdatenkorrektur (Brutto-Zeit, dynamisch sortierbar)
    • Gesamte Anstehdauer aller Instanzen des Alarms mit Schichtdatenkorrektur (Netto-Zeit. dynamisch sortierbar)
    • Alarmgruppe (dynamisch sortierbar)
    • Alarmklasse (dynamisch sortierbar)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree
  • Alarm_GetGroupReferenceList
  • Alarm_GetClassReferenceList
  • Alarm_GetSecondsWithoutShift
  • Alarm_MostOften
  • Alarm_MostOften2
  • Alarm_MostOften_Equipment
  • Alarm_MostOften_Equipment2
  • Alarm_MostLong
  • Alarm_MostLong2
  • Alarm_MostLong_Equipment
  • Alarm_MostLong_Equipment2


Alarmverdichtung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Alarmanalyse -> Alarmverdichtung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen die Summe aller in einem Zeitbereich vorhandenen Alarme und summieren die Dauer der verschiedenen Alarme. Dabei wird die Dauer sich überlappender Alarme nur einmal gerechnet (Überlappungsbereinigung). Optional kann die Berechnung der Anstehzeit auch geplante Stillstandszeiten, die durch Schichtpausen und Schichtlücken entstehen, berücksichtigen. Zusätzlich ist eine Alarmfilterung nach folgenden Kriterien möglich:

  • Nur Projekt
  • Projekt und Alarmklasse
  • Projekt und Alarmgruppe
  • Projekt und Anlagengruppe
  • Projekt und Alarmkommentar

Anwendungsbeispiele

Reports vom Typ Alarmliste eignen sich zum Beispiel für:

Alarmauswertung

Filter
  • der gesamten Störungsdauer einer Maschine während einer Schicht

Schicht und Anlagengruppen
  • der gesamten Störungsdauer einer Maschine während einer Produktionscharge

Charge und Anlagengruppen
  • der gesamten Stillstandszeiten einer Anlage in einem Zeitraum

Anlagengruppen
  • der Gesamtdauer von Notstopps, Maschinenfehlern, externen Fehlern usw in einem Zeitraum

Alarmgruppen

Report erstellen

Um einen Report Alarmverdichtung zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Alarmanalyse aus
  2. wählen Sie als Reportvorlage Alarmverdichtung aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Alarmgruppen Vorfilter (statisch)

Parameter | Beschreibung
Alarmgruppen Vorfilter (statisch) | Eigenschaften zur Vorfilterung der Alarmgruppen.
Vorfilterung nach Alarmgruppen aktivieren | Aktiv: Die Liste der Alarmgruppen-Vorfilter kann konfiguriert und verwendet werden.
Liste Filter Alarmgruppen | Auswahl der Kriterien für die Vorfilterung der Alarmgruppen. Klick in Checkbox wählt Alarmgruppe aus. Klick auf entsprechende Schaltfläche wählt alle Alarmgruppen aus oder ab. Details siehe Kapitel Alarm-Vorfilterung.

Alarmklassen Vorfilter (statisch)

Parameter | Beschreibung
Alarmklassen Vorfilter (statisch) | Eigenschaften zur Vorfilterung der Alarmklassen.
Vorfilterung nach Alarmklassen aktivieren | Aktiv: Die Liste der Alarmgruppen-Vorfilter kann konfiguriert und verwendet werden.
Liste Filter Alarmklassen | Auswahl der Kriterien für die Vorfilterung der Alarmklassen. Klick in Checkbox wählt Alarmklasse aus. Klick auf entsprechende Schaltfläche wählt alle Alarmklassen aus oder ab. Details siehe Kapitel Alarm-Vorfilterung.

Alarm Rückblickzeit

Parameter | Beschreibung
Alarm Rückblickzeit | Zeitbereich, der vom Start des Zeitfilters rückwärts gerichtet berücksichtigt werden soll. Details siehe Kapitel Alarm Rückblickzeit.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Kalkulation der Nettozeit für Alarme

Parameter | Beschreibung
Kalkulation der Nettozeit für Alarme | Eigenschaften zur Kalkulation der Nettozeit.
Schichtunterbrechungen berücksichtigen | Aktiv: Schichtunterbrechungen werden berücksichtigt.
Mit Schichtmodell verknüpfte Anlagengruppe | Auswahl einer Anlagengruppe für das Schichtmodell aus Dropdownliste. Details siehe Kapitel Schichtdatenherkunft.
Connector für Schichtdaten | Auswahl eines Connectors für die Schichtdaten aus Dropdownliste. Details siehe Kapitel Schichtdatenherkunft.

Alarmfilter (dynamisch)

Parameter

Beschreibung

Alarmfilter (dynamisch)

Auswahl der Alarmfilterung:

  • Nur Projekt
  • Projekt und Alarmklasse
  • Projekt und Alarmgruppe
  • Projekt und Anlagengruppe
  • Projekt und Alarmkommentar

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Hinweis: Wird der Report über die Zeitfilterung an ein Projekt gebunden, so wird die Projektauswahl auf das gebundene Projekt gesetzt und es wird sichergestellt, dass in beiden Gruppierungen nur Archive dieses Projekts gewählt werden können.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste für Projektauswahl (wenn nicht durch Zeitfilterung deaktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste für Alarmklassenfilterung (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste für Alarmgruppenfilterung (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Mehrfachauswahl-Dropdownliste (Tree) für Anlagenmodellauswahl (wenn über Alarmfilterung im ZAMS aktiviert)
  • 1 x Texteingabe für Alarmkommentar (wenn über Alarmfilterung im ZAMS aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Jedes Verdichtungsobjekt (Projekt, Projekt-Alarmklassen-Kombination, Projekt-Alarmgruppen-Kombination, Projekt-Anlagenmodell-Kombination, Projekt-Kommentar-Kombination) erhält eine Säule. Die summierte und um die Schichtpausen und Schichtlücken korrigierte Anstehdauer aller Instanzen eines Alarms bestimmt die Höhe der Säule.
  • Tortendiagramm: Jedes Verdichtungsobjekt erhält einen Sektor im Diagramm. Die Größe des Sektors berechnet sich analog zur Berechnung einer Säule im Säulendiagramm.
  • Datentabelle:
    Die Datentabelle enthält folgende Spalten:
    • Name des Verdichtungsobjekts (aufklappbar)
    • Variablenname
    • Alarmtext
    • Alarmgruppe (fällt weg, wenn in der Verdichtung enthalten)
    • Alarmklasse (fällt weg, wenn in der Verdichtung enthalten)
    • Anlagenmodell (fällt weg, wenn in der Verdichtung enthalten)
    • Alarmkommentar (fällt weg, wenn in der Verdichtung enthalten)
    • Kommt-Zeit
    • Geht-Zeit
    • Anstehdauer ohne Korrektur (Brutto-Zeit, Summe pro Verdichtungsobjekt)
    • Anstehdauer mit Korrektur (Netto-Zeit, Summe pro Verdichtungsobjekt)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjectsWithShift
  • ListLots
  • ListShifts
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree
  • Alarm_GetGroupReferenceList
  • Alarm_GetClassReferenceList
  • Alarm_GetSecondsWithoutShift
  • Alarm_Aggregate_Project
  • Alarm_Aggregate_Project2
  • Alarm_Aggregate_Class
  • Alarm_Aggregate_Class2
  • Alarm_Aggregate_Group
  • Alarm_Aggregate_Group2
  • Alarm_Aggregate_Equipment
  • Alarm_Aggregate_Equipment2
  • Alarm_Aggregate_Comment
  • Alarm_Aggregate_Comment2


Analyse mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen für benutzerdefinierte Formeln zur Verfügung:

  • Trend mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich.
  • Trendvergleich mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für zwei Zeitbereiche.
  • Trend Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich.
  • Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für zwei Zeitbereiche.
  • Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich.
  • Archivverdichtungsvergleich mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für zwei Zeitbereiche.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Benutzerdefinierte Formeln in ZAMS konfigurieren

Um benutzerdefinierte Formeln in einen Report dieses Themas in ZAMS zu konfigurieren:

  1. öffnen Sie eine Reportvorlage
  2. konfigurieren Sie den Report wie gewohnt
  3. öffnen Sie den Dialog Benutzerdefinierte Formeln konfigurieren
  4. filtern Sie die gewünschten Variablen
  5. fügen Sie Felder hinzu und parametrieren Sie diese
  6. parametrieren Sie die Kostenfelder
  7. fügen Sie Konstanten nach Bedarf hinzu
  8. erstellen Sie die Basisdatenformeln
  9. bei Reports mit Archiverdichtung:
    1. konfigurieren Sie die Verdichtungen
  10. bei Reports mit Archivverdichtung, Trendarchivverdichtung und deren Varianten mit Vergleich:
    1. parametrieren Sie die Verdichtungsformeln
  11. beenden Sie die Konfiguration mit Klick auf die Schaltfläche OK
  12. öffnen Sie den Dialog Formelergebnisse anordnen und einfärben
  13. sortieren Sie die Formeln
  14. definieren Sie, wenn gewünscht, individuelle Farben
  15. beenden Sie die Konfiguration mit Klick auf die Schaltfläche OK

Noch in diesem Kapitel

Trend mit benutzerdefinierten Formeln

Trendvergleich mit benutzerdefinierten Formeln

Trend Archivverdichtung mit benutzerdefinierten Formeln

Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln

Archivverdichtung mit benutzerdefinierten Formeln

Archivverdichtungsvergleich mit benutzerdefinierten Formeln

Beispiel für die Konfiguration in ZAMS


Trend mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Trend mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, erzeugen eine Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich. Die Daten können in Grafiken und Tabellen dargestellt werden.

Report erstellen

Um einen Report Trend mit benutzerdefinierten Formeln zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  2. wählen Sie als Reportvorlage Trend mit benutzerdefinierten Formeln aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Benutzerdefinierte Formeln

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte an.
  • Liniendiagramm (optional): Trend der Detailwerte mit einer Line pro Variable.
  • Säulendiagramm (optional): Trend der Detailwerte mit einem Satz Säulen pro Variable.
  • Daten als Tabelle (optional) mit den Spalten:
    • Indikatorfarbe (kein Text; Ist eine Farbe gesetzt, wird diese als Hintergrundfarbe verwendet)
    • Indikatorname
    • Zeitstempel
    • Wert (mit Einheit)
  • Daten als Pivottabelle (optional):
    • 1. Spalte: Zeitstempel
    • Danach eine Spalte je Indikator mit:
      Indikatornamen als Überschrift (ist eine Farbe gesetzt ist, wird diese als Hintergrundfarbe verwendet) und
      Wert (mit Maßeinheit) als Inhalt

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • CustomIndicators_Trend


Trendvergleich mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Trendvergleich mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, erzeugt eine Trend-Darstellung benutzerdefinierter Formeln für zwei Zeitbereiche. Die Daten können in Grafiken und Tabellen dargestellt werden.

Report erstellen

Um einen Report Trendvergleich mit benutzerdefinierten Formeln zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  2. wählen Sie als Reportvorlage Trendvergleich mit benutzerdefinierten Formeln aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Benutzerdefinierte Formeln

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte an.
  • Liniendiagramm (optional): Trend der Detailwerte mit einer Line pro Variable.
  • Säulendiagramm (optional): Trend der Detailwerte mit einem Satz Säulen pro Variable.
  • Daten als Tabelle (optional) mit den Spalten:
    • Indikatorfarbe (kein Text; Ist eine Farbe gesetzt, wird diese als Hintergrundfarbe verwendet)
    • Indikatorname
    • Zeitstempel
    • Wert (mit Maßeinheit)
  • Daten als Pivottabelle (optional):
    • 1. Spalte: Zeitstempel
    • Danach eine Spalte je Indikator mit:
      Indikatornamen als Überschrift (ist eine Farbe gesetzt ist, wird diese als Hintergrundfarbe verwendet) und
      Wert (mit Maßeinheit) als Inhalt

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • CustomIndicators_Trend


Trend Archivverdichtung mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Trend Archivverdichtung mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, erzeugen eine Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich. Die Werte werden in Intervallen innerhalb des Zeitbereichs verdichtet. Diese verdichteten Daten werden im Trend als Grafiken und Tabellen dargestellt.

Report erstellen

Um einen Report Trend Archivverdichtung mit benutzerdefinierten Formeln zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  2. wählen Sie als Reportvorlage Trend Archivverdichtung mit benutzerdefinierten Formeln aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Benutzerdefinierte Formeln

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte an.
  • Liniendiagramm (optional): Trend der Verdichtungswerte mit einer Line pro Variable.
  • Säulendiagramm (optional): Trend der Verdichtungswerte mit einem Satz Säulen pro Variable.
  • Daten als Tabelle (optional) mit den Spalten:
    • Indikatorfarbe (kein Text; Ist eine Farbe gesetzt, wird diese als Hintergrundfarbe verwendet)
    • Indikatorname
    • Zeitstempel - Intervallstart
    • Zeitstempel - Intervallende
    • Wert (mit Maßeinheit)
  • Daten als Pivottabelle (optional):
    • 1. Spalte: Zeitstempel - Intervallstart
    • 2. Spalte: Zeitstempel - Intervallende
    • Danach eine Spalte je Indikator mit:
      Indikatornamen als Überschrift (ist eine Farbe gesetzt ist, wird diese als Hintergrundfarbe verwendet) und
      Wert (mit Maßeinheit) als Inhalt

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • CustomIndicators_AggregatedTrend


Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, erzeugen eine Trenddarstellung verdichteter benutzerdefinierter Formeln für zwei Zeitbereiche. Die Werte werden in Intervallen innerhalb des Zeitbereichs verdichtet. Diese verdichteten Daten werden im Trend als Grafiken und Tabellen dargestellt.

Report erstellen

Um einen Report Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  2. wählen Sie als Reportvorlage Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Benutzerdefinierte Formeln

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte an.
  • Liniendiagramm (optional): Trend der Verdichtungswerte mit einer Line pro Variable.
  • Säulendiagramm (optional): Trend der Verdichtungswerte mit einem Satz Säulen pro Variable.
  • Daten als Tabelle (optional) mit den Spalten:
    • Indikatorfarbe (kein Text; Ist eine Farbe gesetzt, wird diese als Hintergrundfarbe verwendet)
    • Indikatorname
    • Zeitstempel - Intervallstart
    • Zeitstempel - Intervallende
    • Wert (mit Maßeinheit)
  • Daten als Pivottabelle (optional):
    • 1. Spalte: Zeitstempel - Intervallstart
    • 2. Spalte: Zeitstempel - Intervallende
    • Danach eine Spalte je Indikator mit:
      Indikatornamen als Überschrift (ist eine Farbe gesetzt ist, wird diese als Hintergrundfarbe verwendet) und
      Wert (mit Maßeinheit) als Inhalt

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • CustomIndicators_AggregatedTrend


Archivverdichtung mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Archivverdichtung mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, erzeugen eine Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich. Folgende Verdichtungsfunktionen stehen zur Verfügung:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

Jede Formel kann mit allen Funktionen verdichtet werden. Jede Kombination aus einer Formel und einer Verdichtungsfunktion wird als separates Feld behandelt. Die Daten können als Grafiken und einer optionalen Tabelle dargestellt werden.

Report erstellen

Um einen Report Archivverdichtung mit benutzerdefinierten Formeln zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  2. wählen Sie als Reportvorlage Archivverdichtung mit benutzerdefinierten Formeln aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Benutzerdefinierte Formeln

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte an.
  • Säulendiagramm (optional): Darstellung der Verdichtungswerte in einem Säulendiagramm.
  • Tortendiagramm (optional): Darstellung der Verdichtungswerte in einem Tortendiagramm.
  • Daten als Tabelle (optional) mit den Spalten:
    • Indikatorfarbe (kein Text; Ist eine Farbe gesetzt, wird diese als Hintergrundfarbe verwendet)
    • Indikatorname
    • Wert (mit Maßeinheit)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • CustomIndicators_Aggregation


Archivverdichtungsvergleich mit benutzerdefinierten Formeln

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Archivverdichtungsvergleich mit benutzerdefinierten Formeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, erzeugen eine Trenddarstellung verdichteter, benutzerdefinierter Formeln für zwei Zeitbereiche. Folgende Verdichtungsfunktionen stehen zur Verfügung:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

Jede Formel kann mit allen Funktionen verdichtet werden. Jede Kombination aus einer Formel und einer Verdichtungsfunktion wird als separates Feld behandelt. Die Daten können als Grafiken und einer optionalen Tabelle dargestellt werden.

Report erstellen

Um einen Report Archivverdichtungsvergleich mit benutzerdefinierten Formeln zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Analyse mit benutzerdefinierten Formeln aus
  2. wählen Sie als Reportvorlage Archivverdichtungsvergleich mit benutzerdefinierten Formeln aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Benutzerdefinierte Formeln

Parameter

Beschreibung

Benutzerdefinierte Formeln

Liste und Schaltflächen zur Anzeige und Konfiguration benutzerdefinierter Formeln.

Benutzerdefinierte Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Der Dialog unterscheidet sich für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Formelergebnisse anordnen und einfärben

Öffnet den Dialog zur Sortierung und zum Einfärben von benutzerdefinierten Formeln.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte an.
  • Säulendiagramm (optional): Darstellung der Verdichtungswerte in einem Säulendiagramm.
  • Tortendiagramm (optional): Darstellung der Verdichtungswerte in einem Tortendiagramm.
  • Daten als Tabelle (optional) mit den Spalten:
    • Indikatorfarbe (kein Text; Ist eine Farbe gesetzt, wird diese als Hintergrundfarbe verwendet)
    • Indikatorname
    • Wert (mit Maßeinheit)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • CustomIndicators_Aggregation


Beispiel für die Konfiguration in ZAMS

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Analyse mit benutzerdefinierten Formeln -> Beispiel für die Konfiguration in ZAMS

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In einem Report:

  • sollen die durchschnittlichen Wasserkosten pro 1000 Flaschen dargestellt werden
  • soll ein Kennzahlenwert pro Report-Periode berechnet und als Säulendiagramm und in einer Tabelle dargestellt werden
  • sollen die Durchschnittskosten bezogen auf die Gutmenge grün eingefärbt werden
  • sollen die Durchschnittskosten bezogen auf die Totalmenge gelb eingefärbt werden

Die Daten für dieses Beispiel kommen vom Analyzer 2.0 Demoprojekt ZAD_GBL.

Um diesen Report zu erzeugen:

  1. Erstellen Sie einen Report, basierend auf der Reportvorlage Archivverdichtung mit benutzerdefinierten Formeln.

    Screenshots - Expanding

  2. Klicken Sie im Report auf die Schaltfläche Benutzerdefinierte Formeln konfigurieren....

    Screenshots - Expanding

  3. Konfigurieren Sie die Wasserverbrauchszähler:
    1. Diese werden in einem Archiv namens WATER CYCLIC DATA aufgezeichnet. Setzen Sie den Filter für die Archivnamen entsprechend.
    2. Klicken Sie auf Alle Hinzufügen.
    3. Vergeben Sie sinnvolle Namen:

    Screenshots - Expanding

  4. Führen Sie den gleichen Schritt die Produktionszähler aus dem Archiv PRODUCTION CYCLIC DATA aus:

    Screenshots - Expanding

  5. Konfigurieren Sie die Kostenberechnung für die beiden Wasserverbrauchszähler:

    Screenshots - Expanding

  6. Wechseln Sie zur Registerkarte Konstantenfelder und parametrieren Sie die Konstante:

    Screenshots - Expanding

  7. Konfigurieren Sie die Verdichtungsfelder: Aktivieren Sie die Checkboxen für:
    1. Summe Good Units
    2. Summe Total Units
    3. Summe WaterCostsM2
    4. Summe WaterCostsM4
    5. und für den konstanten Wert 1000_

    Screenshots - Expanding

  8. Wechseln Sie zur Registerkarte Berechnete Felder nach Verdichtung:
    1. Geben Sie einen Formelnamen für die Wasserkosten ein: WaterCosts.
    2. Klicken Sie auf das Symbol für Bearbeiten.
    3. Der Formeleditor wird geöffnet.
  9. Berechnen Sie die Wasserkosten:

    Screenshots - Expanding

  10. Diese werden dann verwendet, um in einem neuen berechneten Feld die erste gewünschte Formel für die Wasserkosten pro 100 Flaschen Gesamtmenge, zu berechnen:

    Screenshots - Expanding

  11. Mit der Berechnung der zweiten Formel und Konfiguration von Sichtbarkeit und Maßeinheiten wird die Bearbeitung im Formeleditor abgeschlossen.

    Screenshots - Expanding

  12. Klick Sie im ZAMS auf die Schaltfläche Formelergebnisse anordnen und einfärben.

    Der Dialog zur Konfiguration von Sortierung und Einfärbung der Formelergebnisse wird gestartet:

    Screenshots - Expanding

  13. Definieren Sie die Farbgebung. Dazu:
    1. Setzen Sie die Checkboxen vor Standardfarbgebung auf inaktiv.
    2. Die Farbvorschau und die Schaltfläche für die Farbkonfiguration werden angezeigt.
    3. Klicken Sie auf Farbe.
    4. Wählen Sie die gewünschte Farbe aus.

    Screenshots - Expanding

Ergebnis im Analyzer Manager:

Screenshots - Expanding


Archivanalyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der Auswertung und direkten oder verdichteten Darstellung von Archivdaten unterstützen:

  • Archivtrend: Holt Archivdaten für einen Zeitbereich und stellt diese unverdichtet in einem Trend dar.
  • Archivtrendvergleich: Holt Archivdaten für zwei Zeitbereiche und stellt diese unverdichtet in je einem Trend vergleichend gegenüber.
  • Trend Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese in Intervallen im Zeitbereich und stellt sie als Trend dar.
  • Trendvergleich Archivverdichtung: Holt Archivdaten für zwei Zeitbereiche, verdichtet diese in Intervallen im Zeitbereich und stellt sie als Trend vergleichend gegenüber.
  • Trend Archivverdichtung mit online Variablenauswahl: Holt Archivdaten für einen Zeitbereich, verdichtet diese in Intervallen im Zeitbereich und stellt diese Verdichtungen in einem Trend dar.
  • Trendvergleich Archivverdichtung mit online Variablenauswahl: Holt Archivdaten für zwei Zeitbereiche, verdichtet diese in Intervallen im Zeitbereich und stellt diese Verdichtungen in je einem separaten Trend pro Zeitbereich dar.
  • Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese und und stellt jedes der Verdichtungsergebnisse separat dar.
  • Archivverdichtungsvergleich: Holt Archivdaten für zwei Zeitbereiche, verdichtet diese und stellt jedes der Verdichtungsergebnisse für beide Zeitbereiche separat dar.
  • Archivverteilung: Holt Archivdaten für eine Variable, rundet diese auf einen einstellbaren Rundungsfaktor und stellt die Verteilung der Werte dar. Zusätzlich werden die Verdichtungsarten errechnet und mit Markern angezeigt.
  • Archivverteilungsvergleich: Holt Archivdaten für eine Variable aus zwei Zeitbereichen, rundet diese auf einen einstellbaren Rundungsfaktor und stellt die Verteilung der Werte vergleichend dar. Zusätzlich werden die Verdichtungsarten errechnet und mit Markern angezeigt.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste Archivanalyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Metadaten

Verwendete Metadaten: Allgemein
 | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | - |
Alarm-/Ereignisgruppen | - |
Benutzer | - |
Anlagenmodellierung | - |
Archive | + | Zwingend nötig.
Variablen | + | Zwingend nötig.
Preise | - |
Normwerte | - |
Verwendete Metadaten: Zeitfilter
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

Archivtrend

Archivtrendvergleich

Trend Archivverdichtung

Trendvergleich Archivverdichtung

Trend Archivverdichtung mit online Variablenauswahl

Trendvergleich Archivverdichtung mit online Variablenauswahl

Archivverdichtung

Archivverdichtungsvergleich

Archivverteilung

Archivverteilungsvergleich


Archivtrend

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Archivtrend

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für einen Zeitbereich und stellen diese unverdichtet in einem Trend dar.

Anwendungsbeispiele

Reports vom Typ Archivtrend eignen sich für die Anzeige des Verlaufes aller Arten von Messwerten (wie Drücke, Temperaturen usw.) innerhalb eines frei wählbaren Zeitraums, einer Charge oder einer Schicht.

Report erstellen

Um einen Report Archivtrend zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Archivtrend aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Archive
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm: Für jede Variable wird eine Trendlinie über die Zeit gezeichnet
  • Säulendiagramm: Der Trend wird als Säulendiagramm über die Zeit aufgebaut. Jede Variable erhält hierbei eine Säule für jeden Zeitstempel.
  • Archivdatentabelle:
    Tabelle mit den folgenden Spalten:
    • Variablenname (dynamisch sortierbar)
    • Zeitstempel (dynamisch sortierbar)
    • Wert
    • Textwert
  • Pivottabelle: Eine Tabelle mit einer Spalte für den Zeitstempel und je einer Spalte für den Wert jeder Variablen.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • ListLots
  • ListShifts
  • Archive_GetPlainTrendData


Archivtrendvergleich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Archivtrendvergleich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für zwei Zeitbereiche und stellen diese unverdichtet in je einem Trend vergleichend gegenüber.

Anwendungsbeispiele

Reports vom Typ Archivtrendvergleich eignen sich für den Vergleich des Verlaufs aller Arten von Messwerten (wie Drücke, Temperaturen usw.) für zwei Zeiträume, Chargen oder Schichten.

Report erstellen

Um einen Report Archivtrendvergleich zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Archivtrendvergleich aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für zwei Zeitbereiche)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Archive
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

  • Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:
  • Liniendiagramm: Für jede Variable wird eine Trendlinie über die Zeit gezeichnet
  • Säulendiagramm: Der Trend wird als Säulen- oder Balkkensammlung über die Zeit aufgebaut. Jede Variable erhält hierbei eine Säule für jeden Zeitstempel.
  • Archivdatentabelle:
    Tabelle mit den folgenden Spalten:
    • Variablenname (dynamisch sortierbar)
    • Zeitstempel (dynamisch sortierbar)
    • Wert
    • Textwert
  • Pivottabelle: Eine Tabelle mit einer Spalte für den Zeitstempel und je einer Spalte für den Wert jeder Variablen.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • ListLots
  • ListShifts
  • Archive_GetPlainTrendData


Trend Archivverdichtung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Trend Archivverdichtung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für einen Zeitbereich, verdichten diese in Intervallen im Zeitbereich und stellen sie als Trend dar.

Report erstellen

Reports, die auf dieser Vorlage basieren, holen Archivdaten für einen Zeitbereich, verdichten diese in Intervallen im Zeitbereich und stellen sie als Trend dar.

Um einen Report Trend Archivverdichtung zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownlist Archivanalyse aus
  2. wählen Sie als Reportvorlage Trend Archivverdichtung aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Konfiguration der Archivverdichtung

Parameter

Beschreibung

Konfiguration der Archivverdichtung

Konfiguration der Archivverdichtung.

Verdichtungsfunktion

Für die Verdichtung stehen zur Verfügung:

  • Summenbildung
  • Durchschnittswerte berechnen
  • Minimalwerte ermitteln
  • Maximalwerte ermitteln

Auswahl aus Dropdownliste.

Archivkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname
  • Verdichtungsart der Variablen im Archiv

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Auswahl der Archive und Variablen. Details siehe Abschnitt Archive konfigurieren.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl des Verdichtungsintervalls

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm: Für jede Variable wird eine Trendkurve über die Zeit gezeichnet
  • Säulendiagramm: Der Trend wird als Säulendiagramm über die Zeit aufgebaut. Jede Variable erhält hierbei eine Säule für jeden Zeitstempel.
  • Pivottabelle: Eine Tabelle mit einer Spalte für den Zeitstempel und je einer Spalte für den Wert jeder Variablen.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • Archive_ConvertToOneSecondCycle (UDF)
  • ListLots
  • ListShifts
  • Archive_GetAggregatedTrendData


Trendvergleich Archivverdichtung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Trendvergleich Archivverdichtung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für zwei Zeitbereiche, verdichten diese in Intervallen im Zeitbereich und stellen sie als Trend vergleichend gegenüber.

Report erstellen

Um einen Report Trendvergleich Archivverdichtung zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Trendvergleich Archivverdichtung aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Konfiguration der Archivverdichtung

Parameter

Beschreibung

Konfiguration der Archivverdichtung

Konfiguration der Archivverdichtung.

Verdichtungsfunktion

Für die Verdichtung stehen zur Verfügung:

  • Summenbildung
  • Durchschnittswerte berechnen
  • Minimalwerte ermitteln
  • Maximalwerte ermitteln

Auswahl aus Dropdownliste.

Archivkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname
  • Verdichtungsart der Variablen im Archiv

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Auswahl der Archive und Variablen. Details siehe Abschnitt Archive konfigurieren.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für zwei Zeitbereiche)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Verdichtungsintervalls

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm: Für jede Variable wird eine Trendkurve über die Zeit gezeichnet
  • Säulendiagramm: Der Trend wird als Säulendiagramm über die Zeit aufgebaut. Jede Variable erhält hierbei eine Säule für jeden Zeitstempel.
  • Pivottabelle: Eine Tabelle mit einer Spalte für den Zeitstempel und je einer Spalte für den Wert jeder Variablen.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • Archive_ConvertToOneSecondCycle (UDF)
  • ListLots
  • ListShifts
  • Archive_GetAggregatedTrendData


Trend Archivverdichtung mit online Variablenauswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Trend Archivverdichtung mit online Variablenauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Archivdaten für einen Zeitbereich
  • verdichten diese in Intervallen im Zeitbereich
  • stellen diese Verdichtungen in einem Trend dar

Unterschied zu Trend Archivverdichtung: Alle Reports dieser Vorlage verwenden eine gemeinsame Haupt-Stored-Procedure und die Variablenauswahl erfolgt im Analyzer Manager.

Report erstellen

Um einen Report Trend Archivverdichtung mit online Variablenauswahl zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownlist Archivanalyse aus
  2. wählen Sie als Reportvorlage Trend Archivverdichtung mit online Variablenauswahl aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Archive
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Verdichtungsfunktion (Summe, Mittelwert, Minimum, Maximum)
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Verdichtungsintervalls (1 Minute, 15 Minuten, 30 Minuten, 1 Stunde, 2 Stunden, 6 Stunden, 12 Stunden, 1 Tag, 1 Woche, 1 Monat, 1 Quartal, 1 Jahr)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm: Für jede Variable wird eine Trendkurve über die Zeit gezeichnet
  • Säulendiagramm: Der Trend wird als Säulendiagramm über die Zeit aufgebaut. Jede Variable erhält eine Säule für jeden Zeitstempel.
  • Archivdatentabelle: Eine Tabelle mit den folgenden Spalten:
    • Variablenname (dynamisch sortierbar)
    • Zeitstempel vom Anfang des Verdichtungsintervalls (dynamisch sortierbar)
    • Zeitstempel vom Ende des Verdichtungsintervalls (dynamisch sortierbar)
    • Numerischer Wert mit Einheit oder Textwert (wird auf Basis des Datentyps entschieden)
  • Pivottabelle: Eine Tabelle mit je einer Spalte für jede Variable für:
    • Zeitstempel von Anfang und Ende des Verdichtungssintervalls
    • numerischen Wert mit Einheit oder Textwert (wird auf Basis des Datentyp entschieden)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetDynamicAggregatedTrendData
  • ListLots
  • ListShifts


Trendvergleich Archivverdichtung mit online Variablenauswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Trendvergleich Archivverdichtung mit online Variablenauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Archivdaten für zwei Zeitbereiche
  • verdichten diese in Intervallen im Zeitbereich
  • stellen diese Verdichtungen in je einem separaten Trend pro Zeitbereich dar

Unterschied zu Trendvergleich Archivverdichtung: Alle Reports dieser Vorlage verwenden eine gemeinsame Haupt-Stored-Procedure und die Variablenauswahl erfolgt im Analyzer Manager.

Report erstellen

Um einen Report Trendvergleich Archivverdichtung mit online Variablenauswahl zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownlist Archivanalyse aus
  2. wählen Sie als Reportvorlage Trendvergleich Archivverdichtung mit online Variablenauswahl aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Liniendiagramm und Pivottabelle
  • Säulendiagramm und Pivottabelle
  • Liniendiagramm
  • Säulendiagramm
  • Tabelle
  • Pivottabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für zwei Zeitbereiche)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Archive
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Verdichtungsfunktion (Summe, Mittelwert, Minimum, Maximum)
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Verdichtungsintervalls (1 Minute, 15 Minuten, 30 Minuten, 1 Stunde, 2 Stunden, 6 Stunden, 12 Stunden, 1 Tag, 1 Woche, 1 Monat, 1 Quartal, 1 Jahr)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm: Für jede Variable wird eine Trendkurve über die Zeit gezeichnet
  • Säulendiagramm: Der Trend wird als Säulendiagramm über die Zeit aufgebaut. Jede Variable erhält eine Säule für jeden Zeitstempel.
  • Archivdatentabelle: Eine Tabelle mit den folgenden Spalten:
    • Variablenname (dynamisch sortierbar)
    • Zeitstempel vom Anfang des Verdichtungsintervalls (dynamisch sortierbar)
    • Zeitstempel vom Ende des Verdichtungsintervalls (dynamisch sortierbar)
    • Numerischer Wert mit Einheit oder Textwert (wird auf Basis des Datentyps entschieden)
  • Pivottabelle: Eine Tabelle mit je einer Spalte für jede Variable für:
    • Zeitstempel von Anfang und Ende des Verdichtungssintervalls
    • numerischen Wert mit Einheit oder Textwert (wird auf Basis des Datentyp entschieden)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetDynamicAggregatedTrendData
  • ListLots
  • ListShifts


Archivverdichtung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Archivverdichtung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieser Vorlage holen Archivdaten für einen Zeitbereich, verdichten diese und stellen jede der folgenden Verdichtungsarten separat dar:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

Report erstellen

Um einen Report Archivverdichtung zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Archivverdichtung aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Archive
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Für jede Verdichtungsfunktion wird ein Säulendiagramm gezeichnet. Das jeweilige Verdichtungsergebnis jeder Variablen erhält eine Säule.
  • Tortendiagramm: Für jede Verdichtungsfunktion wird ein Tortendiagramm gezeichnet. Das jeweilige Verdichtungsergebnis jeder Variablen erhält einen Sektor.
  • Tabelle: Eine Tabelle mit den folgenden Spalten:
    • Variablenname (dynamisch sortierbar)
    • Summe (dynamisch sortierbar)
    • Minimum (dynamisch sortierbar)
    • Durchschnitt (dynamisch sortierbar)
    • Maximum (dynamisch sortierbar)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • ListLots
  • ListShifts


Archivverdichtungsvergleich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Archivverdichtungsvergleich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für zwei Zeitbereiche, verdichten diese und stellen jede der folgenden Verdichtungsarten für beide Zeitbereiche separat dar:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

Report erstellen

Um einen Report Archivverdichtung zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Archivverdichtung aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für zwei Zeitbereiche)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Archive
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Für jede Verdichtung wird ein Säulendiagramm gezeichnet. Die jeweilige Verdichtung jeder Variablen erhält eine Säule.
  • Tortendiagramm: Für jede Verdichtung wird ein Tortendiagramm gezeichnet. Die jeweilige Verdichtung jeder Variablen erhält einen Sektor.
  • Tabelle: Eine Tabelle mit den folgenden Spalten:
    • Variablenname (dynamisch sortierbar)
    • Summe (dynamisch sortierbar)
    • Minimum (dynamisch sortierbar)
    • Durchschnitt (dynamisch sortierbar)
    • Maximum (dynamisch sortierbar)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • ListLots
  • ListShifts


Archivverteilung

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Archivverteilung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für eine Variable, runden diese auf einen einstellbaren Rundungsfaktor und stellen die Verteilung der Werte dar. Zusätzlich werden folgende Verdichtungsarten errechnet und mit Markern angezeigt:

  • Minimum
  • Durchschnitt
  • Maximum

Anwendungsbeispiele

Reports vom Typ Archivtrend eignen sich für die grafische Darstellung von Messwertverteilungen. Damit kann festgestellt werden, wie viele Stück einer Produktion innerhalb der erlaubten Toleranzen liegen. Zusätzlich kann bewertet werden, ob die Messwerte tendenziell nach oben oder nach unten abweichen.

Report erstellen

Um einen Report Archivverteilung zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Archivverteilung aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Archivs
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Rundungsintervalls

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Für die Verteilung wird ein Trend über die X-Achse gezeichnet. Jeder Variablenwert bekommt eine Säule. Deren Höhe stellt dar, wie oft der Wert gekommen ist. Es werden Marker für Minimum, Durchschnitt und Maximum eingezeichnet
  • Tabelle: Es gibt 2 Tabellen.

    Spalten Tabelle 1:

    • Minimum
    • Durchschnitt
    • Maximum

    Spalten Tabelle 2:

    • Variablenwert
    • Anzahl, wie oft der Wert gekommen ist

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • Archive_GetDistributionData
  • ListLots
  • ListShifts


Archivverteilungsvergleich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Archivanalyse -> Archivverteilungsvergleich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Archivdaten für eine Variable aus zwei Zeitbereichen, runden diese auf einen einstellbaren Rundungsfaktor und stellen die Verteilung der Werte vergleichend dar. Zusätzlich werden folgende Verdichtungsarten errechnet und mit Markern angezeigt:

  • Minimum
  • Durchschnitt
  • Maximum

Anwendungsbeispiele

Reports vom Typ Archivtrend eignen sich für die grafische Darstellung von Messwertverteilungen zwischen zwei Chargen.

Report erstellen

Um einen Report Archivverteilungsvergleich zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Archivanalyse aus
  2. wählen Sie als Reportvorlage Archivverteilungsvergleich aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für zwei Zeitbereiche)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Projekte (wenn nicht vom Zeitfilter vorgegeben)
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Archivs
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl des Rundungsintervalls

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Für die Verteilung wird ein Trend über die X-Achse gezeichnet. Jeder Variablenwert bekommt eine Säule. Deren Höhe stellt dar, wie oft der Wert gekommen ist. Es werden Marker für Minimum, Durchschnitt und Maximum eingezeichnet.
  • Tabelle: Es gibt 2 Tabellen.

    Spalten Tabelle 1:

    • Minimum
    • Durchschnitt
    • Maximum

    Spalten Tabelle 2:

    • Variablenwert
    • Anzahl, wie oft der Wert gekommen ist

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetAggregatedData
  • Archive_GetDistributionData
  • ListLots
  • ListShifts


Erweiterte Archivanalyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen für Archivverdichtung oder Archivverteilung unter Berücksichtigung von Preisen, Normwerten und Produktionszählern zur Verfügung. Die Verwendung der Anlagenmodellierung ist für diese Reports obligatorisch.

Für die Auswertung von Archivverdichtung oder Archivverteilung stehen zur Verfügung:

  • Trend pro Variable: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Trendvergleich pro Variable: Erstellt eine verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jede Variable.
  • Trend pro Anlagenmodell: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jedes Anlagenmodell.
  • Trendvergleich pro Anlagenmodell: Erstellt eine verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jedes Anlagenmodell.
  • Relativtrend pro Variable: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Relativtrendvergleich pro Variable: Erstellt eine relative verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jede Variable.
  • Relativtrend zum Standard: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum für eine Variable mit einem Vergleich mit Standardwerten.
  • Relativtrendvergleich zum Standard: Erstellt eine relative verdichtete Trendanalyse für zwei Zeiträume für eine Variable mit einem Vergleich mit Standardwerten.
  • Verteilung pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Verteilungsvergleich pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Variablen basieren.
  • Kostenverteilung pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Kostenverteilungsvergleich pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Variablen basieren.
  • Kostenverteilung pro Anlagenmodell: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Anlagenmodellen basiert.
  • Kostenverteilungsvergleich pro Anlagenmodell: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Anlagenmodellen basieren.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Metadaten

Verwendete Metadaten: Allgemein
 | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | - |
Alarm-/Ereignisgruppen | - |
Benutzer | - |
Anlagenmodellierung | + | Zwingend nötig.
Archive | + | Zwingend nötig.
Variablen | + | Zwingend nötig.
Preise | + |
Normwerte | + |
Verwendete Metadaten: Zeitfilter
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

Trend pro Variable

Trendvergleich pro Variablen

Trend pro Anlagengruppe

Trendvergleich pro Anlagengruppe

Relativtrend pro Variable

Relativtrendvergleich pro Variable

Relativtrend zum Standard

Relativtrendvergleich zum Standard

Verteilung pro Variable

Verteilungsvergleich pro Variable

Kostenverteilung pro Variable

Kostenverteilungsvergleich pro Variable

Kostenverteilung pro Anlagenmodell

Kostenverteilungsvergleich pro Anlagenmodell


Trend pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Trend pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über einen Zeitbereich, summieren diese in Intervallen innerhalb des Zeitbereichs auf und stellen die Daten als Trend und tabellarisch dar.

Report erstellen

Um einen Report Trend pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Trend pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Intervallssummen (optional):
    • Trend mit einer Linie pro Variable
    • Trend mit einem Satz Säulen pro Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Verbrauch
    • Einheit

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Trendvergleich pro Variablen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Trendvergleich pro Variablen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über zwei Zeitbereiche, summieren diese in Intervallen innerhalb der Zeitbereiche auf und stellen die Daten als Trend und tabellarisch dar. Die beiden Zeitbereiche werden getrennt dargestellt.

Report erstellen

Um einen Report Trendvergleich pro Variablen zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Trendvergleich pro Variablen aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Intervallssummen (optional):
    • Trend mit einer Linie pro Variable
    • Trend mit einem Satz Säulen pro Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Verbrauch
    • Einheit

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Trend pro Anlagengruppe

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Trend pro Anlagengruppe

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für alle Variablen der ausgewählten Anlagengruppe über einen Zeitbereich, summieren diese in Intervallen innerhalb des Zeitbereichs auf und stellen die Daten als Trend und tabellarisch dar.

Report erstellen

Um einen Report Trend pro Anlagengruppe zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Trend pro Anlagengruppe aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Intervallssummen (optional):
    • Trend mit einer Linie pro Variable
    • Trend mit einem Satz Säulen pro Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Verbrauch
    • Einheit

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Trendvergleich pro Anlagengruppe

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Trendvergleich pro Anlagengruppe

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über zwei Zeitbereiche, summieren diese in Intervallen innerhalb der Zeitbereiche auf und stellen die Daten als Trend und tabellarisch dar. Die beiden Zeitbereiche werden getrennt dargestellt.

Report erstellen

Um einen Report Trendvergleich pro Anlagengruppe zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Trendvergleich pro Anlagengruppe aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Intervallssummen (optional):
    • Trend mit einer Linie pro Variable
    • Trend mit einem Satz Säulen pro Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Verbrauch
    • Einheit

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendData


Relativtrend pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Relativtrend pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für Variablen über einen Zeitbereich,
  • summieren diese in Intervallen innerhalb des Zeitbereichs auf,
  • dividieren die Intervallsummen durch die Produktion im Intervall (wenn diese nicht 0 ist) und
  • stellen die Daten als Trend und tabellarisch dar.

Report erstellen

Um einen Report Relativtrend pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Relativtrend pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionszählerkonfiguration

Parameter | Beschreibung
Produktionszählerkonfiguration | Anzeige der Konfiguration des Produktionszählers.
Konfiguration Produktionszähler | Öffnet den Dialog zur Konfiguration des Produktionszählers.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Intervallssummen (optional):
    • Trend mit einer Linie pro Variable
    • Trend mit einem Satz Säulen pro Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Relativer Verbrauch
    • Einheit
    • Produktionszähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionData


Relativtrendvergleich pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Relativtrendvergleich pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für Variablen über zwei Zeitbereich,
  • summieren diese in Intervallen innerhalb der Zeitbereiche auf,
  • dividieren die Intervallsummen durch die Produktion im Intervall (wenn diese nicht 0 ist) und
  • stellen die Daten als Trend und tabellarisch dar.

Die beiden Zeitbereiche werden getrennt dargestellt.

Report erstellen

Um einen Report Relativtrendvergleich pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Relativtrendvergleich pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionszählerkonfiguration

Parameter | Beschreibung
Produktionszählerkonfiguration | Anzeige der Konfiguration des Produktionszählers.
Konfiguration Produktionszähler | Öffnet den Dialog zur Konfiguration des Produktionszählers.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Intervallssummen (optional):
    • Trend mit einer Linie pro Variable
    • Trend mit einem Satz Säulen pro Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Relativer Verbrauch
    • Einheit
    • Produktionszähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionData


Relativtrend zum Standard

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Relativtrend zum Standard

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für eine Variable über einen Zeitbereich,
  • summieren diese in Intervallen innerhalb des Zeitbereichs auf,
  • dividieren die Intervallsummen durch die Produktion im Intervall (wenn diese nicht 0 ist),
  • stellen die Daten als Trend und tabellarisch dar und
  • holen zu Vergleichszwecken einen Normwert für die Variable aus der NORM-Tabelle und binden diesen in die Datendarstellung ein.

Report erstellen

Um einen Report Relativtrend zum Standard zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Relativtrend zum Standard aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionszählerkonfiguration

Parameter | Beschreibung
Produktionszählerkonfiguration | Anzeige der Konfiguration des Produktionszählers.
Konfiguration Produktionszähler | Öffnet den Dialog zur Konfiguration des Produktionszählers.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Baumdarstellung zur Auswahl des aktiven Anlagenmodells
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Relativverbrauch (optional): Trend mit einem Satz Säulen pro Variable und einer Linie für den Normwert
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Relativer Verbrauch
    • Normwert
    • Einheit
    • Produktionszähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionNormData


Relativtrendvergleich zum Standard

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Relativtrendvergleich zum Standard

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für eine Variable über zwei Zeitbereiche,
  • summieren diese in Intervallen innerhalb der Zeitbereiche auf,
  • dividieren die Intervallsummen durch die Produktion im Intervall (wenn diese nicht 0 ist),
  • stellen die Daten als Trend und tabellarisch dar und
  • holen zu Vergleichszwecken einen Normwert für die Variable aus der NORM-Tabelle und binden diesen in die Datendarstellung ein.

Die beiden Zeitbereiche werden getrennt dargestellt.

Report erstellen

Um einen Report Relativtrendvergleich zum Standard zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Relativtrendvergleich aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionszählerkonfiguration

Parameter | Beschreibung
Produktionszählerkonfiguration | Anzeige der Konfiguration des Produktionszählers.
Konfiguration Produktionszähler | Öffnet den Dialog zur Konfiguration des Produktionszählers.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen
  • 1 x Einfachauswahl-Dropdownliste zur Auswahl der Intervallgröße im Zeitbereich

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Relativverbrauch (optional, 1 x pro Zeitbereich): Trend mit einem Satz Säulen pro Variable und einer Linie für den Normwert
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname (aufklappbar)
    • Intervallstart
    • Intervallende
    • Relativer Verbrauch
    • Normwert
    • Einheit
    • Produktionszähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedTrendProductionNormData


Verteilung pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Verteilung pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über einen Zeitbereich, summieren diese und stellen die Verbrauchssummen vergleichend grafisch und tabellarisch dar.

Anwendungsbeispiele

Reports vom Typ Verteilung pro Variable eignen sich zum Beispiel für den Vergleich der Abweichung der Messwertverteilung zwischen zwei Chargen.

Report erstellen

Um einen Report Verteilung pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Verteilung pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Wertanzeige im Diagramm

Parameter

Beschreibung

Wertanzeige im Diagramm

Auswahl aus Dropdownliste, welcher Wert-Typ im Diagramm angezeigt wird:

  • Absolutwerte
  • Relativwerte

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der aktiven Projekte
  • 1 x Einfachfachauswahl-Baumdarstellung zur Auswahl des aktiven Anlagenmodells
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Daten (optional):
    • Tortendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable
    • Säulendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname
    • Absolutverbrauch
    • Einheit
    • Relativverbrauch

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedData


Verteilungsvergleich pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Verteilungsvergleich pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über zwei Zeitbereiche, summieren diese und stellen die Verbrauchssummen vergleichend grafisch und tabellarisch dar. Die beiden Zeitbereiche werden getrennt dargestellt.

Anwendungsbeispiele

Reports vom Typ Verteilungsvergleich pro Variable eignen sich zum Beispiel für den Vergleich der Abweichung der Messwertverteilung zwischen zwei Chargen.

Report erstellen

Um einen Report Verteilungsvergleich pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Verteilungsvergleich pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Wertanzeige im Diagramm

Parameter

Beschreibung

Wertanzeige im Diagramm

Auswahl aus Dropdownliste, welcher Wert-Typ im Diagramm angezeigt wird:

  • Absolutwerte
  • Relativwerte

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der aktiven Projekte
  • 1 x Einfachfachauswahl-Baumdarstellung zur Auswahl des aktiven Anlagenmodells
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Daten (optional):
    • Tortendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable; 1x pro Zeitbereich
    • Säulendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable; 1x pro Zeitbereich
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname
    • Absolutverbrauch
    • Einheit
    • Relativverbrauch

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedData


Kostenverteilung pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Kostenverteilung pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für Variablen über einen Zeitbereich,
  • verknüpfen die Verbrauchswerte mit den jeweils gültigen Preisen aus der Tabelle Preis, um die Kosten zu erhalten,
  • summieren die Kosten und
  • stellen die Kostensummen vergleichend grafisch und tabellarisch dar.

Report erstellen

Um einen Report Kostenverteilung pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Kostenverteilung pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Wertanzeige im Diagramm

Parameter

Beschreibung

Wertanzeige im Diagramm

Auswahl aus Dropdownliste, welcher Wert-Typ im Diagramm angezeigt wird:

  • Absolutwerte
  • Relativwerte

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der aktiven Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Daten (optional):
    • Tortendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable
    • Säulendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname
    • Gesamtkosten absolut
    • Gesamtkosten relativ

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedCostData


Kostenverteilungsvergleich pro Variable

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Kostenverteilungsvergleich pro Variable

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für Variablen über zwei Zeitbereiche,
  • verknüpfen die Verbrauchswerte mit den jeweils gültigen Preisen aus der Tabelle Preis, um die Kosten zu erhalten,
  • summieren die Kosten und
  • stellen die Kostensummen vergleichend grafisch und tabellarisch dar.

Die beiden Zeitbereiche werden getrennt dargestellt.

Report erstellen

Um einen Report Kostenverteilungsvergleich pro Variable zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Kostenverteilungsvergleich pro Variable aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Wertanzeige im Diagramm

Parameter

Beschreibung

Wertanzeige im Diagramm

Auswahl aus Dropdownliste, welcher Wert-Typ im Diagramm angezeigt wird:

  • Absolutwerte
  • Relativwerte

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der aktiven Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle
  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der Variablen

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Daten (optional):
    • Tortendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable; 1 x pro Zeitbereich
    • Säulendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable; 1 x pro Zeitbereich
  • Daten als Tabelle (optional) mit den Spalten:
    • Variablenname
    • Gesamtkosten absolut
    • Gesamtkosten relativ

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedCostData


Kostenverteilung pro Anlagenmodell

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Kostenverteilung pro Anlagenmodell

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für alle Variablen der selektierten ANlagenmodelle über einen Zeitbereich,
  • verknüpfen die Verbrauchswerte mit den jeweils gültigen Preisen aus der Tabelle Preis, um die Kosten zu erhalten,
  • summieren die Kosten pro Anlagenmodell und
  • stellen die Kostensummen vergleichend grafisch und tabellarisch dar.

Report erstellen

Um einen Report Kostenverteilung pro Anlagenmodell zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Kostenverteilung pro Anlagenmodell aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der aktiven Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Daten (optional):
    • Tortendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable
    • Säulendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable
  • Daten als Tabelle (optional) mit den Spalten:
    • Anlagenname
    • Gesamtkosten absolut
    • Gesamtkosten relativ

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedEquipmentCostData


Kostenverteilungsvergleich pro Anlagenmodell

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Erweiterte Archivanalyse -> Kostenverteilungsvergleich pro Anlagenmodell

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für alle Variablen der selektierten Anlagenmodelle über zwei Zeitbereiche,
  • verknüpfen die Verbrauchswerte mit den jeweils gültigen Preisen aus der Tabelle Preis, um die Kosten zu erhalten,
  • summieren die Kosten pro Anlagenmodell und
  • stellen die Kostensummen vergleichend grafisch und tabellarisch dar.

Die beiden Zeitbereiche werden getrennt dargestellt.

Report erstellen

Um einen Report Kostenverteilungsvergleich pro Anlagenmodell zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Erweiterte Archivanalyse aus
  2. wählen Sie als Reportvorlage Kostenverteilungsvergleich pro Anlagenmodell aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Archivvariablenkonfiguration

Parameter

Beschreibung

Archivvariablenkonfiguration

Darstellung der Archiv-Variablen in einer Baumstruktur. Diese Struktur folgt folgendem Aufbau:

  • Projektname
  • Archivname
  • Variablenname mit Verdichtungsart

Auswahl durch Klick auf gewünschtes Objekt.

Wird der Report über die Parametrierung der Zeitfilter an ein Projekt gebunden, so wird sichergestellt, dass nur Archive und Variablen aus dem Projekt, an das der Report gebunden ist, verwendet werden.

Archiv- und Variablenselektion

Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Archive und Variablen. Details siehe Kapitel Archiv-Variablen Konfiguration.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Tortendiagramm und Tabelle
  • Säulendiagramm und Tabelle
  • Tortendiagramm
  • Säulendiagramm
  • Tabelle

Wertanzeige im Diagramm

Parameter

Beschreibung

Wertanzeige im Diagramm

Auswahl aus Dropdownliste, welcher Wert-Typ im Diagramm angezeigt wird:

  • Absolutwerte
  • Relativwerte

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 4 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 2 x Zeitbereichsauswahl
  • 2 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 2 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 2 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 2 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Mehrfachauswahl-Dropdownliste zur Auswahl der aktiven Projekte
  • 1 x Mehrfachauswahl-Baumdarstellung zur Auswahl der aktiven Anlagenmodelle

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Parameterbereich: Ist immer vorhanden und zeigt die Report-Parameter-Werte
  • Daten (optional):
    • Tortendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable, 1 x pro Zeitbereich
    • Säulendiagramm mit den absoluten oder relativen Gesamtverbräuchen in einem Segment für jede Variable, 1 x pro Zeitbereich
  • Daten als Tabelle (optional) mit den Spalten:
    • Anlagenname
    • Gesamtkosten absolut
    • Gesamtkosten relativ

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • ListEquipmentTree
  • ListVariablesArchiveEx
  • ArchiveEx_GetRelevantMetaData
  • ArchiveEx_GetConnectorInputData
  • ArchiveEx_GetAggregatedEquipmentCostData


ISO 50001

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen aus den Themen ISO50001, Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln zur Verfügung:

ISO 50001

  • Dauerlinie mit Variablenauswahl: Erstellt eine Dauerlinie, die auf Variablenauswahl basiert.
  • Dauerlinienvergleich mit Variablenauswahl: Erstellt einen Vergleich zwischen zwei Dauerlinien, die auf Variablenauswahl basieren.
  • Dauerlinie für Anlagengruppen: Erstellt eine Dauerlinie, die auf Variablenauswahl per Anlagengruppe basiert.
  • Dauerlinienvergleich für Anlagengruppen: Erstellt einen Vergleich zwischen zwei Dauerlinien, die auf Variablenauswahl per Anlagengruppe basieren.
  • Rasterdiagramm: Holt und verdichtet Daten für ein Rasterdiagramm.
  • Sankey-Diagramm: Liest die Sankey-Definitionen aus, holt und verdichtet Daten, integriert bei Bedarf dynamische Verlusterkennung und stellt das Ergebnis als Diagramm oder Tabelle dar.
  • Sankey-Diagramm (doppelte Breite): Stellt das Sankey-Diagramm in doppelter Breite dar bzw. platziert Tabellen nebeneinander.

Erweiterte Archivanalyse

  • Trend pro Variable: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Trendvergleich pro Variable: Erstellt eine verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jede Variable.
  • Trend pro Anlagenmodell: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jedes Anlagenmodell.
  • Trendvergleich pro Anlagenmodell: Erstellt eine verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jedes Anlagenmodell.
  • Relativtrend pro Variable: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Relativtrendvergleich pro Variable: Erstellt eine relative verdichtete Trendanalyse für zwei Zeiträume mit einem Trend für jede Variable.
  • Relativtrend zum Standard: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum für eine Variable mit einem Vergleich mit Standardwerten.
  • Relativtrendvergleich zum Standard: Erstellt eine relative verdichtete Trendanalyse für zwei Zeiträume für eine Variable mit einem Vergleich mit Standardwerten.
  • Verteilung pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Verteilungsvergleich pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Variablen basieren.
  • Kostenverteilung pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Kostenverteilungsvergleich pro Variable: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Variablen basieren.
  • Kostenverteilung pro Anlagenmodell: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Anlagenmodellen basiert.
  • Kostenverteilungsvergleich pro Anlagenmodell: Berechnet die verdichteten Kostenverteilungsdaten für zwei Zeiträume, die auf Anlagenmodellen basieren.

Analyse mit benutzerdefinierten Formeln

  • Trend mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich.
  • Trendvergleich mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für zwei Zeitbereiche.
  • Trend Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich.
  • Trendvergleich Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für zwei Zeitbereiche.
  • Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich.
  • Archivverdichtungsvergleich mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für zwei Zeitbereiche.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste ISO 50001 aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Noch in diesem Kapitel

Dauerlinie mit Variablenauswahl

Dauerlinienvergleich mit Variablenauswahl

Dauerlinien für Anlagengruppen

Dauerlinienvergleich für Anlagengruppen

Rasterdiagramm

Sankey-Diagramm

Sankey-Diagramm (doppelte Breite)


Dauerlinie mit Variablenauswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Dauerlinie mit Variablenauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Daten für eine Dauerlinie
  • stellen diese als Liniendiagramm, Flächendiagramm oder Tabelle dar

Report erstellen

Um einen Report Dauerlinie mit Variablenauswahl zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Dauerlinie mit Variablenauswahl aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Flächendiagramm und Tabelle
  • Liniendiagramm
  • Flächendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • Konfigurierte Zeitfilterung für einen Zeitraum.
  • Projekt-Mehrfachauswahl (nicht verfügbar wenn Report durch Zeitfiltereinstellungen an Projekt gebunden wurde)
  • Archiv Mehrfachauswahl
  • Variable Mehrfachauswahl
  • Verdichtungsfunktion Einfachauswahl.
    Wertliste:
    • Summe
    • Mittelwert
    • Minimum
    • Maximum
  • Zeitverdichtungsintervall Einfachauswahl.
    Wertliste:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr
  • Intervallgröße für die Verbrauchsintervalle Einfachauswahl.
    Wertliste:
    • 0,00001
    • 0,0001
    • 0,001
    • 0,01
    • 0,1
    • 1
    • 10
    • 100
    • 1000
    • 10000
    • 100000

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm:
    • Horizontale Achse: Anzahl der Zeitintervalle
    • Vertikale Achse: Verbrauch
  • Flächendiagramm mit denselben Achseneinstellungen wie das Liniendiagramm
  • Tabelle mit den Spalten:
    • Verbrauch (mit Einheit)
    • Anzahl der Zeitintervalle, in denen mindestens der in dieser Zeile angegebene Verbrauch gegeben war

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetLoadDurationCurveData
  • ListLots
  • ListShifts


Dauerlinienvergleich mit Variablenauswahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Dauerlinienvergleich mit Variablenauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Daten für zwei Dauerlinien
  • stellen diese als Liniendiagramm, Flächendiagramm oder Tabelle dar

Report erstellen

Um einen Report Dauerlinienvergleich mit Variablenauswahl zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Dauerlinienvergleich mit Variablenauswahl aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Flächendiagramm und Tabelle
  • Liniendiagramm
  • Flächendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • Konfigurierte Zeitfilterung zur Auswahl von zwei Zeiträumen
  • Projekt-Mehrfachauswahl (nicht verfügbar wenn Report durch Zeitfiltereinstellungen an Projekt gebunden wurde)
  • Archiv Mehrfachauswahl
  • Variable Mehrfachauswahl
  • Verdichtungsfunktion Einfachauswahl.
    Wertliste:
    • Summe
    • Mittelwert
    • Minimum
    • Maximum
  • Zeitverdichtungsintervall Einfachauswahl.
    Wertliste:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr
  • Intervallgröße für die Verbrauchsintervalle Einfachauswahl.
    Wertliste:
    • 0,00001
    • 0,0001
    • 0,001
    • 0,01
    • 0,1
    • 1
    • 10
    • 100
    • 1000
    • 10000
    • 100000

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm:
    • Horizontale Achse: Anzahl der Zeitintervalle
    • Vertikale Achse: Verbrauch
  • Flächendiagramm mit denselben Achseneinstellungen wie das Liniendiagramm
  • Tabelle mit den Spalten:
    • Verbrauch (mit Einheit)
    • Anzahl der Zeitintervalle, in denen mindestens der in dieser Zeile angegebene Verbrauch gegeben war

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • Archive_GetLoadDurationCurveData
  • ListLots
  • ListShifts


Dauerlinien für Anlagengruppen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Dauerlinien für Anlagengruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Daten per Anlagengruppe für die Dauerlinie
  • stellen diese als Liniendiagramm, Flächendiagramm oder Tabelle dar

Report erstellen

Um einen Report Dauerlinie für Anlagengruppen zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Dauerlinie für Anlagengruppen aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Flächendiagramm und Tabelle
  • Liniendiagramm
  • Flächendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • Konfigurierte Zeitfilterung für einen Zeitraum.
  • Projekt-Mehrfachauswahl (nicht verfügbar wenn Report durch Zeitfiltereinstellungen an Projekt gebunden wurde)
  • Anlagengruppen Mehrfachauswahl
  • Verdichtungsfunktion Einfachauswahl.
    Wertliste:
    • Summe
    • Mittelwert
    • Minimum
    • Maximum
  • Zeitverdichtungsintervall Einfachauswahl.
    Wertliste:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr
  • Intervallgröße für die Verbrauchsintervalle Einfachauswahl.
    Wertliste:
    • 0,00001
    • 0,0001
    • 0,001
    • 0,01
    • 0,1
    • 1
    • 10
    • 100
    • 1000
    • 10000
    • 100000

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm:
    • Horizontale Achse: Anzahl der Zeitintervalle
    • Vertikale Achse: Verbrauch
  • Flächendiagramm mit denselben Achseneinstellungen wie das Liniendiagramm
  • Tabelle mit den Spalten:
    • Verbrauch (mit Einheit)
    • Anzahl der Zeitintervalle, in denen mindestens der in dieser Zeile angegebene Verbrauch gegeben war

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListEquipmentTree
  • Archive_GetLoadDurationCurveData
  • ListLots
  • ListShifts


Dauerlinienvergleich für Anlagengruppen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Dauerlinienvergleich für Anlagengruppen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen Daten per Anlagengruppe für zwei Dauerlinien
  • stellen diese als Liniendiagramm, Flächendiagramm oder Tabelle dar

Report erstellen

Um einen Report Dauerlinienvergleich für Anlagengruppen zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Dauerlinienvergleich für Anlagengruppen aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Liniendiagramm und Tabelle
  • Flächendiagramm und Tabelle
  • Liniendiagramm
  • Flächendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • Konfigurierte Zeitfilterung zur Auswahl von zwei Zeiträumen
  • Projekt-Mehrfachauswahl (nicht verfügbar wenn Report durch Zeitfiltereinstellungen an Projekt gebunden wurde)
  • Anlagengruppen Mehrfachauswahl
  • Verdichtungsfunktion Einfachauswahl.
    Wertliste:
    • Summe
    • Mittelwert
    • Minimum
    • Maximum
  • Zeitverdichtungsintervall Einfachauswahl.
    Wertliste:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr
  • Intervallgröße für die Verbrauchsintervalle Einfachauswahl.
    Wertliste:
    • 0,00001
    • 0,0001
    • 0,001
    • 0,01
    • 0,1
    • 1
    • 10
    • 100
    • 1000
    • 10000
    • 100000

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm:
    • Horizontale Achse: Anzahl der Zeitintervalle
    • Vertikale Achse: Verbrauch
  • Flächendiagramm mit denselben Achseneinstellungen wie das Liniendiagramm
  • Tabelle mit den Spalten:
    • Verbrauch (mit Einheit)
    • Anzahl der Zeitintervalle, in denen mindestens der in dieser Zeile angegebene Verbrauch gegeben war

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListEquipmentTree
  • Archive_GetLoadDurationCurveData
  • ListLots
  • ListShifts


Rasterdiagramm

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Rasterdiagramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • holen und verdichten Daten für ein Rasterdiagramm
  • ordnen diesen Farben zu
  • stellen diese als Rasterdiagramm oder Tabelle dar

Report erstellen

Um einen Report Rasterdiagramm zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Rasterdiagramm aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Rasterdiagramm und Tabelle
  • Rasterdiagramm
  • Tabelle

X/Y Achsen KonfigurationX/Y Achsen Konfiguration

Parameter

Beschreibung

X/Y Achsen Konfiguration

Auswahl der Werte für die X- und Y-Achse aus Dropdownliste:

  • Stunden/Minuten
  • Tage/Stunden
  • Monate/Tage

Rasterdiagramm-Farben

Parameter | Beschreibung
Rasterdiagramm-Farben | Farbauswahl für Beginn- und Endfarbe des Farbverlaufs im Rasterdiagramm.
Farbe Minimalwert | Farbe des Minimalwerts. Konfiguration über den Schieberegler.
Farbe Maximalwert | Farbe des Maximalwerts. Konfiguration über den Schieberegler.
Farbverlaufvorschau | Vorschau auf die konfigurierte Farbe.

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS zur Verfügung:

  • Konfigurierte Zeitfilterung für einen Von-Bis Zeitraum und ein Zeitfenster
  • Projekt-Mehrfachauswahl (nicht verfügbar wenn Report durch Zeitfiltereinstellungen an Projekt gebunden wurde)
  • Archiv Mehrfachauswahl
  • Variable Mehrfachauswahl
  • Komprimierungsfunktion Einfachauswahl.
    Wertliste:
    • Summe
    • Mittelwert
    • Minimum
    • Maximum
  • Minmalwert
  • Maximalwert
  • Farbenanzahl

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Rasterdiagramm:
    • längere Zeiträume werden gegen kürzere aufgetragen
  • Tabelle mit den Spalten:
    • gruppiert nach längeren Zeitintervallen

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListArchivesForProjects
  • ListVariablesForArchives
  • ISO50001_GetCarpetPlotData
  • ListLots
  • ListShifts
  • ListTimeWindowFrom
  • ListTimeWindowTo


Sankey-Diagramm

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Sankey-Diagramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • lesen die Sankey-Definitionen aus
  • holen Daten und verdichten diese über den definierten Zeitraum
  • integrieren bei Bedarf dynamische Verlusterkennung
  • stellen das Ergebnis als Diagramm oder Tabelle dar

Report erstellen

Um einen Report Sankey-Diagramm zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Sankey-Diagramm aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Toleranz für Verlusterkennung

Parameter

Beschreibung

Toleranz für Verlusterkennung

Angabe, um wie viele Promille der Summe der Eingänge die absolute Differenz der Summe aller Eingänge und der Summe aller Ausgänge eines Knotens abweichen muss, um als Verlust erkannt zu werden.

  • Minimum: 0
  • Maximum: 1000 - Verlusterkennung deaktiviert.

Eingabe in Feld oder Konfiguration über Pfeiltasten.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Diagramm und Tabelle
  • Diagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS zur Verfügung:

  • Konfigurierte Zeitfilterung
  • Auswahl Sankey-Diagramm aus Dropdownliste

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Diagramm
  • Tabellen:
    • untereinander
    • Dezimalstellen bei Relativdarstellung: immer 2 (0.00 %)
    • Dezimalstellen in den Relativwertspalten der Tabellen: immer 2 (0.00 %)
    • vertikale Textausrichtung der Spaltenüberschriften in den Tabellen: immer Oben
    • horizontale Textausrichtung der Spaltenüberschriften für Quell- und Zielknoten: immer Links

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ISO50001_GetSankeyDiagramData
  • ListAvailableSankeyDiagrams
  • ListLots
  • ListShifts
  • ListSankeyRelAbsCalc


Sankey-Diagramm (doppelte Breite)

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> ISO 50001 -> Sankey-Diagramm (doppelte Breite)

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren:

  • lesen die Sankey-Definitionen aus
  • holen Daten und verdichten diese über den definierten Zeitraum
  • integrieren bei Bedarf dynamische Verlusterkennung
  • stellen das Ergebnis in Reports mit doppelter Breite dar
  • mit Grafik über komplette Breite bzw. Tabellen nebeneinander

Report erstellen

Um einen Report Sankey-Diagramm (doppelte Breite) zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste ISO 50001 aus
  2. wählen Sie als Reportvorlage Sankey-Diagramm (doppelte Breite) aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Verdichtungsart des Quellarchivs

Parameter

Beschreibung

Verdichtungsart des Quellarchivs

Für die Art der Archivverdichtung stehen zur Verfügung. Auswahl aus Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summierte Daten (Verdichtungsarchiv)
  • Mittelwert-Daten (Verdichtungsarchiv)
  • Minimum-Daten (Verdichtungsarchiv)
  • Maximum-Daten (Verdichtungsarchiv)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Toleranz für Verlusterkennung

Parameter

Beschreibung

Toleranz für Verlusterkennung

Angabe, um wie viele Promille der Summe der Eingänge die absolute Differenz der Summe aller Eingänge und der Summe aller Ausgänge eines Knotens abweichen muss, um als Verlust erkannt zu werden.

  • Minimum: 0
  • Maximum: 1000 - Verlusterkennung deaktiviert.

Eingabe in Feld oder Konfiguration über Pfeiltasten.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Diagramm und Tabelle
  • Diagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS zur Verfügung:

  • Konfigurierte Zeitfilterung
  • Auswahl Sankey-Diagramm aus Dropdownliste

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Diagramm
    • doppelter Breite (33,2 cm)
    • Grafik geht über gesamte Breite
  • Tabellen:
    • nebeneinander
    • Dezimalstellen bei Relativdarstellung: immer 2 (0.00 %)
    • Dezimalstellen in den Relativwertspalten der Tabellen: immer 2 (0.00 %)
    • vertikale Textausrichtung der Spaltenüberschriften in den Tabellen: immer Oben
    • horizontale Textausrichtung der Spaltenüberschriften für Quell- und Zielknoten: immer Links

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ISO50001_GetSankeyDiagramData
  • ListAvailableSankeyDiagrams
  • ListLots
  • ListShifts
  • ListSankeyRelAbsCalc


Linienbasierte Produktionsanalyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Linienbasierte Produktionsanalyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der Auswertung und Darstellung linienbasierter Produktionsanalyse unterstützen:

  • Gantt-Diagramm: Analysiert Chargen, Schichten und Variablen - durch Meanings spezifiziert, aus AML, CEL oder Archiv - und stellt das Ergebnis als Gantt-Diagramm und tabellarisch dar.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding R

  3. wählen Sie als Thema in der Dropdownliste Linienbasierte Produktionsanalyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Noch in diesem Kapitel

Gantt-Diagramm


Gantt-Diagramm

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Linienbasierte Produktionsanalyse -> Gantt-Diagramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, analysieren Chargen, Schichten und Variablen - durch Meanings spezifiziert, aus AML, CEL oder Archiv - und stellen das Ergebnis als Gantt-Diagramm und tabellarisch dar.

Report erstellen

Um einen Report Gantt-Diagramm zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Linienbasierte Produktioonsanalyse aus
  2. wählen Sie als Reportvorlage Gantt-Diagramm aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Konfiguration der Gantt-Diagramm Analyse

Parameter | Beschreibung
Anzeige Einstellungen | Anzeige der momentanen Einstellungen für das Gantt-Diagramm.
Gantt-Diagramm Analyse konfigurieren | Bei einem Klick auf den Button wird der Dialog zur Konfiguration der Gantt-Analyse gestartet. Details siehe Gantt-Diagramm.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Gantt-Diagramm, verdichtete Tabelle und detaillierte Tabelle
  • Gantt-Diagramm und verdichtete Tabelle
  • Gantt-Diagramm und detaillierte Tabelle
  • Verdichtete und detaillierte Tabelle
  • Gantt-Diagramm
  • Verdichtete Tabelle
  • Detaillierte Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS zur Verfügung:

  • Konfigurierte Zeitfilterung mit:
    • 2 x Datums- und Uhrzeitauswahl (Von und Bis für einen Zeitbereich).
    • 1 x Zeitbereichsauswahl.
    • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen.
    • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen.
    • 1 x Schichtenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten.
    • 1 x Schichtenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten.
  • Projekt-Mehrfachauswahl (nicht verfügbar bei Chargen- oder Schichtfilter).
  • Einfachauswahl aus dem Anlagenbaum. Es stehen dabei nur analysierbare Anlagengruppen zur Verfügung.

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Gantt-Diagramm
  • Verdichtungstabelle:
    1. Erste Gruppierung: Anlagengruppenname
    2. Zweite Gruppierung: vollständiger Name der Analysegruppe
    3. Detailspalten je Analysegruppe:

      Gesamtdauer aller Events in der Analysegruppe. Berechnung auf Millisekunden genau. Nur Zeit innerhalb des Zeitfilters ist relevant für die Berechnung.

      Statustext: Schichtname, Chargenname, Textwert der Variablen wenn Textdatentyp, Statusname aus der der Variablen zugeordneten REMA bei numerischem Datentyp.

      Numerischer Wert bei numerischem Datentyp der Variablen.

  • Detailtabelle:
    1. Erste Gruppierung: Anlagengruppenname
    2. Zweite Gruppierung: vollständiger Name der Analysegruppe
    3. Detailspalten je Event einer Analysegruppe:

      Kommt-Zeit.

      Geht-Zeit.

      Dauer des Events. Berechnung auf Millisekunden genau. Nur Zeit innerhalb des Zeitfilters ist relevant für die Berechnung.

      Statustext: Schichtname, Chargenname, Textwert der Variablen wenn Textdatentyp, Statusname aus der der Variablen zugeordneten REMA bei numerischem Datentyp.

      Numerischer Wert bei numerischem Datentyp der Variablen.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListProjects
  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Gantt
  • LineAnalysis_GetGanttBaseData
  • LineAnalysis_GetGanttData

Empfehlungen

Anlagengruppen

Verwenden Sie bei allen Anlagengruppen eines Anlagenmodells die gleiche Identifikation in der Tabelle EQUIPMENTINFO für das Sortierungsfeld, sofern dieses für die Sortierung herangezogen wird.

Archive

Verwenden Sie für die Aufzeichnung der Daten für Analysegruppen:

  • AML
  • CEL
  • Archive mit Aufzeichnung bei Wertänderung

Die Stored Procdure kann zwar auch mit zyklischen Archiven und ereignisgesteuerten Archiven umgehen, dies wird aber ausdrücklich nicht empfohlen.

Hintergrund:

  • Minimierung der Datenmenge zum Speichern, Auslagern und Abfragen.
  • Nur die drei empfohlenen Aufzeichnungsarten liefern einen korrekten Millisekunden-Zeitstempel für den Kommt-Zeitpunkt eines Ereignisses.


Maschinenbasierte Produktionsanalyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen für die Analyse von Verlustzeiten und Produktivität, basierend auf Standards wie DIN 8782, DIN 8743, Weihenstephan Standards und Best Practices einiger Produktionsbetriebe, zur Verfügung:

  • Verlustzeiten Analyse: Analysieren Archivdaten und berechnen verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell.
  • Produktivitätsindikatoren Analyse: Analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitätsanalyse: Kombiniert die Reportvorlagen Verlustzeiten Analyse und Produktivitätsindikatoren Analyse.
  • Verlustzeiten Chargenhistorie: Analysieren Archivdaten und berechnen verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Produktivitätsindikatoren Chargenhistorie: Analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitäts-Chargenhistorie: Kombiniert die Vorlagen Verlustzeiten Chargenhistorie und Produktivitätsindikatoren Chargenhistorie.

Alle Reportvorlagen in diesem Thema ermöglichen die Filterung der archivierten Produktionsdaten nach Palettentyp, Kistentyp, Flaschentyp und Nummer des Abfülltanks. Diese 4 optionalen Datenfilter können auch für andere Filter verwendet werden. In diesem Fall empfiehlt es sich, nach Bereitstellung des Reports im ZAMS die Anzeigename des betroffenen Parameters zu ändern.

Empfehlung: Jedes Wasserfallmodell sollte einen einen eindeutigen Namen haben.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet:

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Noch in diesem Kapitel

Verlustzeiten Analyse

Produktivitätsindikatoren Analyse

Umfassende Produktivitätsanalyse

Verlustzeiten Chargenhistorie

Produktivitätsindikatoren Chargenhistorie

Umfassende Produktivitäts-Chargenhistorie

Projektierung der Reports für Maschinenbasierte Produktionsanalyse in zenon


Verlustzeiten Analyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Verlustzeiten Analyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell. Die Ergebnisse können als Wasserfall-Diagramm, Pareto-Diagramm oder Tabelle dargestellt werden.

Report erstellen

Um einen Report Verlustzeiten Analyse zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  2. wählen Sie als Reportvorlage Verlustzeiten Analyse aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionsdatenfilter

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Auswahl des Wasserfall-Diagrammtyps:

Parameter

Beschreibung

Auswahl des Wasserfall-Diagrammtyps

Auswahl des Wasserfall-Diagramms aus Dropdownliste:

  • Horizontal, kompakt, absolut
  • Horizontal, kompakt, relativ
  • Horizontal, detailliert, absolut
  • Horizontal, detailliert, relativ
  • Vertikal, kompakt, absolut
  • Vertikal, kompakt, relativ
  • Vertikal, detailliert, absolut
  • Vertikal, detailliert, relativ
  • Kein Wasserfall-Diagramm

Verlustzeitendarstellung

Parameter

Beschreibung

Verlustzeitendarstellung

Auswahl der Darstellungsart der Zeitaufteilung aus Dropdownliste:

  • Pareto-Diagramm (absolut) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (relativ) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (absolut) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (relativ) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (absolut)
  • Pareto-Diagramm (relativ)
  • Tabelle mit allen Zeiten
  • Tabelle mit den Verlustzeiten

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell
  • 1 x Einfachauswahl aus vordefinierten Werten für Wasserfallmodellname
  • Optional:
    • x Mehrfachauswahl aus vordefinierten Werten für Paletten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Kisten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Flaschen-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Tank-Nummer-Filter (wenn aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Eines der 8 Wasserfall-Diagramme (optional):
    • Horizontal, kompakt, absolut
    • Horizontal, kompakt, relativ
    • Horizontal, detailliert, absolut
    • Horizontal, detailliert, relativ
    • Vertikal, kompakt, absolut
    • Vertikal, kompakt, relativ
    • Vertikal, detailliert, absolut
    • Vertikal, detailliert, relativ
  • Absolutes oder Relatives Pareto-Diagramm (optional). Wird keine Tabelle verwendet, muss ein Pareto-Diagramm verwendet werden.
  • Tabelle mit allen Zeiten oder Tabelle mit den Verlustzeiten (optional). Wird kein Pareto-Diagramm verwendet, muss eine Tabelle verwendet werden.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • ListWaterfallModelsForEquipment
  • FNB_GetMetaDataEntries
  • FNB_WaterfallData


Produktivitätsindikatoren Analyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Produktivitätsindikatoren Analyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe. Die 4 zentralen OEE-Indikatoren können als Säulendiagramm oder in 4 Messgeräten dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt.

Report erstellen

Um einen Report Produktivitätsindikatoren Analyse zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  2. wählen Sie als Reportvorlage Produktivitätsindikatoren Analyse aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionsdatenfilter

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Produktionsindikatoren

Parameter | Beschreibung
Produktionsindikatoren | Konfiguration und Anzeige der Produktionsindikatoren.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Optionale Indikatoren | Tabelle mit den aktuellen Einstellungen für die optionalen Indikatoren.
Zugewiesene Bedeutungen | Tabelle mit der Konfiguration der Feld-Bedeutungen für die Berechnung der Indikatoren.
Indikatoren konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Indikatoren.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Indikatordaten Darstellung

Parameter

Beschreibung

Indikatordaten Darstellung

Auswahl der Darstellungsart der Indikatordaten aus Dropdownliste:

  • Säulendiagramm und Tabelle
  • Messgeräte und Tabelle
  • Tabelle

Messinstrumentsbereich für Verfügbarkeit

Parameter

Beschreibung

Messinstrumentsbereich für Verfügbarkeit

Farbbereiche für Verfügbarkeit.

Konfiguration der Farbbereiche:

  • Unterer Bereich
  • Mittlerer Bereich
  • Oberer Bereich

Die Obergrenze von Unterer Bereich ist der untere Wert von Oberer Bereich. Die Untergrenze von Oberer Bereich ist der obere Wert von Unterer Bereich. Beide Grenzen sind Inklusivgrenzen. Es können also beide Elemente auf den gleichen Wert gestellt werden. In diesem Fall gibt keinen mittleren Bereich. Die Untergrenze für Unterer Bereich und die Obergrenze für Oberer Bereich stammen aus der Reportvorlage.

Ende unterer Bereich

Definiert die Grenze zwischen dem niedrigen (rot) und dem mittleren (gelb) Bereich im Messgerät.

Beginn oberer Bereich

Definiert die Grenze zwischen dem mittleren (gelb) und dem hohen (grün) Bereich im Messgerät.

Anzeige Bereiche

Vorschau auf die konfigurierten Farbbereiche.

Messinstrumentsbereich für Leistung

Farbbereiche für Leistung.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Messinstrumentsbereich für Qualität

Farbbereiche für Qualität.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Messinstrumentsbereich für OEE

Farbbereiche für OEE.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell
  • Optional:
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Paletten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Kisten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Flaschen-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Tank-Nummer-Filter (wenn aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm oder 4 Messgeräte für die Hauptindikatoren (optional).
  • Tabelle mit allen Indikatoren. Zellen für nicht berechnete Indikatoren leer bleiben.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_OeeData


Umfassende Produktivitätsanalyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Umfassende Produktivitätsanalyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Vorlage kombiniert die Reportvorlagen Verlustzeiten Analyse und Produktivitätsindikatoren Analyse.

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell. Die 4 zentralen OEE Indikatoren können als Säulendiagramm oder in 4 Messgeräten dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt. Die Verlustzeiten können als Wasserfall-Diagramm, Pareto-Diagramm oder Tabelle dargestellt werden.

Report erstellen

Um einen Report Umfassende Produktivitätsanalyse zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  2. wählen Sie als Reportvorlage Umfassende Produktivitätsanalyse Analyse aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionsdatenfilter

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Produktionsindikatoren

Parameter | Beschreibung
Produktionsindikatoren | Konfiguration und Anzeige der Produktionsindikatoren.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Optionale Indikatoren | Tabelle mit den aktuellen Einstellungen für die optionalen Indikatoren.
Zugewiesene Bedeutungen | Tabelle mit der Konfiguration der Feld-Bedeutungen für die Berechnung der Indikatoren.
Indikatoren konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Indikatoren.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Indikatordaten Darstellung

Parameter

Beschreibung

Indikatordaten Darstellung

Auswahl der Darstellungsart der Indikatordaten aus Dropdownliste:

  • Säulendiagramm und Tabelle
  • Messgeräte und Tabelle
  • Tabelle

Auswahl des Wasserfall-Diagrammtyps:

Parameter

Beschreibung

Auswahl des Wasserfall-Diagrammtyps

Auswahl des Wasserfall-Diagramms aus Dropdownliste:

  • Horizontal, kompakt, absolut
  • Horizontal, kompakt, relativ
  • Horizontal, detailliert, absolut
  • Horizontal, detailliert, relativ
  • Vertikal, kompakt, absolut
  • Vertikal, kompakt, relativ
  • Vertikal, detailliert, absolut
  • Vertikal, detailliert, relativ
  • Kein Wasserfall-Diagramm

Verlustzeitendarstellung

Parameter

Beschreibung

Verlustzeitendarstellung

Auswahl der Darstellungsart der Zeitaufteilung aus Dropdownliste:

  • Pareto-Diagramm (absolut) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (relativ) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (absolut) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (relativ) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (absolut)
  • Pareto-Diagramm (relativ)
  • Tabelle mit allen Zeiten
  • Tabelle mit den Verlustzeiten

Messinstrumentsbereich für Verfügbarkeit

Parameter

Beschreibung

Messinstrumentsbereich für Verfügbarkeit

Farbbereiche für Verfügbarkeit.

Konfiguration der Farbbereiche:

  • Unterer Bereich
  • Mittlerer Bereich
  • Oberer Bereich

Die Obergrenze von Unterer Bereich ist der untere Wert von Oberer Bereich. Die Untergrenze von Oberer Bereich ist der obere Wert von Unterer Bereich. Beide Grenzen sind Inklusivgrenzen. Es können also beide Elemente auf den gleichen Wert gestellt werden. In diesem Fall gibt keinen mittleren Bereich. Die Untergrenze für Unterer Bereich und die Obergrenze für Oberer Bereich stammen aus der Reportvorlage.

Ende unterer Bereich

Definiert die Grenze zwischen dem niedrigen (rot) und dem mittleren (gelb) Bereich im Messgerät.

Beginn oberer Bereich

Definiert die Grenze zwischen dem mittleren (gelb) und dem hohen (grün) Bereich im Messgerät.

Anzeige Bereiche

Vorschau auf die konfigurierten Farbbereiche.

Messinstrumentsbereich für Leistung

Farbbereiche für Leistung.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Messinstrumentsbereich für Qualität

Farbbereiche für Qualität.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Messinstrumentsbereich für OEE

Farbbereiche für OEE.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell
  • 1 x Einfachauswahl aus vordefinierten Werten für Wasserfallmodellname
  • Optional:
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Paletten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Kisten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Flaschen-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Tank-Nummer-Filter (wenn aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm oder 4 Messgeräte für die Hauptindikatoren (optional).
  • Tabelle mit allen Indikatoren. Zellen für nicht berechnete Indikatoren leer bleiben.
  • Eines der 8 Wasserfall-Diagramme (optional):
    • Horizontal, kompakt, absolut
    • Horizontal, kompakt, relativ
    • Horizontal, detailliert, absolut
    • Horizontal, detailliert, relativ
    • Vertikal, kompakt, absolut
    • Vertikal, kompakt, relativ
    • Vertikal, detailliert, absolut
    • Vertikal, detailliert, relativ
  • Absolutes oder Relatives Pareto-Diagramm (optional). Wird keine Tabelle verwendet, muss ein Pareto-Diagramm verwendet werden.
  • Tabelle mit allen Zeiten oder Tabelle mit den Verlustzeiten (optional). Wird kein Pareto-Diagramm verwendet, muss eine Tabelle verwendet werden.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • ListWaterfallModelsForEquipment
  • FNB_GetMetaDataEntries
  • FNB_WaterfallData
  • FNB_OeeData


Verlustzeiten Chargenhistorie

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Verlustzeiten Chargenhistorie

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die Ergebnisse können als Säulendiagramm oder als Tabelle dargestellt werden.

Report erstellen

Um einen Report Verlustzeiten Chargenhistorie zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  2. wählen Sie als Reportvorlage Verlustzeiten Chargenhistorie aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionsdatenfilter

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Produktionsverlustzeiten

Parameter | Beschreibung
Produktionsverlustzeiten | Konfiguration und Anzeige der Bedeutungen für Verlustzeiten.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Konfiguration der Verlustzeiten | Tabelle mit den aktuellen Einstellungen für die Bedeutungen für Verlustzeiten.
Anzeige der Verlustzeiten konfigurieren | Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration der Visualisierung der Verlustzeiten.

Chargenarchivauswahl

Parameter | Beschreibung
Chargenarchivauswahl | Konfiguration des Chargenarchivs.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Chargenarchiv | Auswahl eines Chargenarchivs für das gewählte Projekt aus Dropdownliste.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Verlustzeitendarstellung

Parameter

Beschreibung

Verlustzeitendarstellung

Auswahl der Darstellungsart der Zeitaufteilung aus Dropdownliste:

  • Pareto-Diagramm (absolut) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (relativ) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (absolut) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (relativ) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (absolut)
  • Pareto-Diagramm (relativ)
  • Tabelle mit allen Zeiten
  • Tabelle mit den Verlustzeiten

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell
  • Optional:
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Paletten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Kisten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Flaschen-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Tank-Nummer-Filter (wenn aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramme mit relativer und absoluter Darstellung der konfigurierten Verlustzeiten (optional). Wird keine Tabelle verwendet, muss ein Säulendiagramm verwendet werden.
  • Tabelle mit den konfigurierten Verlustzeiten (optional). Wird kein Säulendiagramm verwendet, muss eine Tabelle verwendet werden.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_LossTimesLotHistory


Produktivitätsindikatoren Chargenhistorie

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Produktivitätsindikatoren Chargenhistorie

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die Ergebnisse können als Säulendiagramm oder als Liniendiagramm dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt.

Report erstellen

Um einen Report Produktivitätsindikatoren Chargenhistorie zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  2. wählen Sie als Reportvorlage Produktivitätsindikatoren Chargenhistorie aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionsdatenfilter

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Produktionsindikatoren

Parameter | Beschreibung
Produktionsindikatoren | Konfiguration und Anzeige der Produktionsindikatoren.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Optionale Indikatoren | Tabelle mit den aktuellen Einstellungen für die optionalen Indikatoren.
Zugewiesene Bedeutungen | Tabelle mit der Konfiguration der Feld-Bedeutungen für die Berechnung der Indikatoren.
Indikatoren konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Indikatoren.

Chargenarchivauswahl

Parameter | Beschreibung
Chargenarchivauswahl | Konfiguration des Chargenarchivs.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Chargenarchiv | Auswahl eines Chargenarchivs für das gewählte Projekt aus Dropdownliste.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Indikatordaten Darstellung

Parameter

Beschreibung

Indikatordaten Darstellung

Auswahl der Darstellungsart der Indikatordaten aus Dropdownliste:

  • Säulendiagramm und Tabelle
  • Messgeräte und Tabelle
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell
  • Optional:
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Paletten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Kisten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Flaschen-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Tank-Nummer-Filter (wenn aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm oder Liniendiagramm für die Hauptindikatoren (optional).
  • Tabelle mit allen Indikatoren. Zellen für nicht berechnete Indikatoren bleiben leer.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_OeeLotHistory


Umfassende Produktivitäts-Chargenhistorie

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Umfassende Produktivitäts-Chargenhistorie

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Reportvorlage kombiniert die Vorlagen Verlustzeiten Chargenhistorie und Produktivitätsindikatoren Chargenhistorie.

Die Reports, welche auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die 4 zentralen OEE-Indikatoren können als Säulendiagramm oder als Liniendiagramm dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt. Die Verlustzeiten können als Säulendiagramm oder als Tabelle dargestellt werden.

Report erstellen

Um einen Report Umfassende Produktivitäts-Chargenhistorie zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Maschinenbasierte Produktionsanalyse aus
  2. wählen Sie als Reportvorlage Umfassende Produktivitäts-Chargenhistorie aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Produktionsdatenfilter

Parameter | Beschreibung
Produktionsdatenfilter | Konfiguration und Anzeige der Produktionsdatenfilter.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird.
Datenfilterkonfiguration | Tabelle mit den aktuellen Einstellungen für die Datenfilterung.
Datenfilter konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Datenfilter.

Produktionsverlustzeiten

Parameter | Beschreibung
Produktionsverlustzeiten | Konfiguration und Anzeige der Bedeutungen für Verlustzeiten.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Konfiguration der Verlustzeiten | Tabelle mit den aktuellen Einstellungen für die Bedeutungen für Verlustzeiten.
Anzeige der Verlustzeiten konfigurieren | Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration der Visualisierung der Verlustzeiten.

Produktionsindikatoren

Parameter | Beschreibung
Produktionsindikatoren | Konfiguration und Anzeige der Produktionsindikatoren.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Optionale Indikatoren | Tabelle mit den aktuellen Einstellungen für die optionalen Indikatoren.
Zugewiesene Bedeutungen | Tabelle mit der Konfiguration der Feld-Bedeutungen für die Berechnung der Indikatoren.
Indikatoren konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Indikatoren.

Chargenarchivauswahl

Parameter | Beschreibung
Chargenarchivauswahl | Konfiguration des Chargenarchivs.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Chargenarchiv | Auswahl eines Chargenarchivs für das gewählte Projekt aus Dropdownliste.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Indikatordaten Darstellung

Parameter

Beschreibung

Indikatordaten Darstellung

Auswahl der Darstellungsart der Indikatordaten aus Dropdownliste:

  • Säulendiagramm und Tabelle
  • Messgeräte und Tabelle
  • Tabelle

Verlustzeitendarstellung

Parameter

Beschreibung

Verlustzeitendarstellung

Auswahl der Darstellungsart der Zeitaufteilung aus Dropdownliste:

  • Pareto-Diagramm (absolut) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (relativ) und Tabelle mit allen Zeiten
  • Pareto-Diagramm (absolut) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (relativ) und Tabelle mit den Verlustzeiten
  • Pareto-Diagramm (absolut)
  • Pareto-Diagramm (relativ)
  • Tabelle mit allen Zeiten
  • Tabelle mit den Verlustzeiten

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell
  • Optional:
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Paletten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Kisten-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Flaschen-Typ-Filter (wenn aktiviert)
    • 1 x Mehrfachauswahl aus vordefinierten Werten für Tank-Nummer-Filter (wenn aktiviert)

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm oder Liniendiagramm für die Hauptindikatoren (optional).
  • Tabelle mit allen Indikatoren. Zellen für nicht berechnete Indikatoren bleiben leer.
  • Säulendiagramme mit relativer und absoluter Darstellung der konfigurierten Verlustzeiten (optional). Wird keine Tabelle verwendet, muss ein Säulendiagramm verwendet werden.
  • Tabelle mit den konfigurierten Verlustzeiten (optional). Wird kein Säulendiagramm verwendet, muss eine Tabelle verwendet werden.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • ListFilterValueForEquipment
  • FNB_GetMetaDataEntries
  • FNB_LossTimesLotHistory
  • FNB_OeeLotHistory


Projektierung der Reports für Maschinenbasierte Produktionsanalyse in zenon

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Maschinenbasierte Produktionsanalyse -> Projektierung der Reports für Maschinenbasierte Produktionsanalyse in zenon

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Hinweise zur Projektierung der Datengrundlagen in zenon für Reports vom Typ Maschinenbasierte Produktionsanalyse.

Das Projekt bzw. die Metadaten müssen folgende Daten liefern:

  • Variablen für Filter
  • Variablen für die OEE-Berechnung
  • Variablen für die Kennzahlenberechnung
  • Variablen für Wasserfall- und Verlustzeitendiagramm
  • Archive

Variablen für Filter:

General Analyzer Schema Graphics Template

Jeder Variable muss eine Reaktionsmatrix zugeordnet sein, die die verfügbaren Filterdetails enthält. Dabei gilt:

  • Nur Numerische Remas sind erlaubt.
  • Die Zuordnung muss mit = erfolgen. Die Zeichen > und < sind verboten.
  • Die Default-Einstellung der Rema wird ignoriert.
  • Existiert mehrmals die gleiche Zuweisung (z.B: xy = 3), so wird nur die zuerst gefundene verwendet. Alle anderen werden ignoriert.
  • Der im Filter angezeigte Name ist der Grenzwerttext. Dieser ist nicht sprachumschaltbar; vorhandene Steuerzeichen (@) werden weggeschnitten.

Die Verwendung der einzelnen Variablen ist optional. Es müssen nur jene Variablen projektiert werden, die für die Filter benötigt werden.

Variablen für die OEE-Berechnung

General Analyzer Schema Graphics Template

Hinweise:

  • * Variablen müssen pro Anlagengruppe, für die eine Auswertungen möglich ist, angelegt und mit dem Anlagenmodell verknüpft werden. Die gleichen Variablen werden, anders gekennzeichnet (mit WF=), auch für die Wasserfalldarstellung verwendet.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit ME=… (z.B: ME=OperatingTime, …) oder ab zenon 7.20 in Bedeutung (OperatingTime, …) definiert werden .

Variablen für die Kennzahlenberechnung

General Analyzer Schema Graphics Template

Hinweise:

  • * Variablen müssen pro Anlagengruppe, für die eine Auswertungen möglich ist, angelegt und mit dem Anlagenmodell verknüpft werden.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit ME=… (M E=MTBS_TimeCounter, …) oder ab zenon 7.20 in Bedeutung (MTBS_TimeCounter, …) definiert werden.

Variablen für Wasserfall- und Verlustzeiten-Diagramm

General Analyzer Schema Graphics Template

Hinweise:

  • * Vorgeschlagener Name in zenon. Für den zenon Analyzer nicht relevant.
  • ** Gleichlautende Namen identifizieren zusammengehörende Variablen für die Wasserfalldarstellung.
    Das gilt auch für das Verlustzeitendiagramm.
  • *** [Index] gibt die Position für die Darstellung im Wasserfall-Diagramm als Zeilennummer bzw Spaltennummer an.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit WF=… (z.B: WF=01,01,#FFAD5B; …) oder ab zenon 7.20 in Parameter für Wasserfalldiagramm (01,01,#FFAD5B; …) definiert werden.

Archive

General Analyzer Schema Graphics Template

Hinweis: * Archiv ist mit der Anlagengruppe verknüpft.


OEE-Analyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> OEE-Analyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die OEE Kennzahlen berechnen und darstellen:

  • OEE-Kennzahl: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell in einem Zeitraum und stellt die Kennzahlen grafisch dar.
  • OEE-Kennzahl Chargenarchiv: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell für jede Charge in einem Zeitraum und stellt die Kennzahlen grafisch und tabellarisch dar.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste OEE-Analyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Metadaten

Verwendete Metadaten: Allgemein
 | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | - |
Alarm-/Ereignisgruppen | - |
Benutzer | - |
Anlagenmodellierung | + | Zwingend nötig.
Archive | + | Zwingend nötig.
Variablen | + | Zwingend nötig.
Preise | - |
Normwerte | - |
Verwendete Metadaten: Zeitfilter
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

OEE-Kennzahl

OEE-Kennzahl Chargenarchiv

Projektierung der OEE-Reports in zenon


OEE-Kennzahl

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> OEE-Analyse -> OEE-Kennzahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen die OEE Kennzahlen einer Anlagengruppe und stellen die Kennzahlen grafisch dar. Diese Reports sind immer an ein bestimmtes Projekt gebunden.

Anwendungsbeispiele

Reports vom Typ Alarmliste eignen sich zum Beispiel für die Ermittlung der Qualitätskennzahlen in einer Schicht, Charge oder einem bestimmten Zeitraum für:

  • eine kritischen Maschine im Produktionsablauf
  • eine Produktionslinie
  • eine komplette Fabrik

Report erstellen

Um einen Report OEE-Kennzahl zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste OEE-Analyse aus
  2. wählen Sie als Reportvorlage OEE-Kennzahl aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Variablenzuordnung für OEE-Berechnung

Parameter | Beschreibung
Variablenzuordnung für OEE-Berechnung | Zuordnung des Projekts, der Archive und der Variablen. Feld zeigt aktuelle Konfiguration an.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Zeigerinstrumente
  • Säulendiagramm
  • Zeigerinstrumente

Messinstrumentsbereich für Verfügbarkeit

Parameter

Beschreibung

Messinstrumentsbereich für Verfügbarkeit

Farbbereiche für Verfügbarkeit.

Konfiguration der Farbbereiche:

  • Unterer Bereich
  • Mittlerer Bereich
  • Oberer Bereich

Die Obergrenze von Unterer Bereich ist der untere Wert von Oberer Bereich. Die Untergrenze von Oberer Bereich ist der obere Wert von Unterer Bereich. Beide Grenzen sind Inklusivgrenzen. Es können also beide Elemente auf den gleichen Wert gestellt werden. In diesem Fall gibt keinen mittleren Bereich. Die Untergrenze für Unterer Bereich und die Obergrenze für Oberer Bereich stammen aus der Reportvorlage.

Ende unterer Bereich

Definiert die Grenze zwischen dem niedrigen (rot) und dem mittleren (gelb) Bereich im Messgerät.

Beginn oberer Bereich

Definiert die Grenze zwischen dem mittleren (gelb) und dem hohen (grün) Bereich im Messgerät.

Anzeige Bereiche

Vorschau auf die konfigurierten Farbbereiche.

Messinstrumentsbereich für Leistung

Farbbereiche für Leistung.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Messinstrumentsbereich für Qualität

Farbbereiche für Qualität.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Messinstrumentsbereich für OEE

Farbbereiche für OEE.

Konfiguration analog Messinstrumentsbereich für Verfügbarkeit.

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Hinweis: Wird der Report über die Zeitfilterung an ein Projekt gebunden, so wird die Projektauswahl auf das gebundene Projekt gesetzt und es wird sichergestellt, dass in beiden Gruppierungen nur Archive von dem Projekt gewählt werden können.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste mit den Anlagenmodellen, für welche die OEE-Kennzahlen berechnet werden können. Jedes Anlagenmodell enthält in seinem Namen den vollständigen Hierarchie-Pfad.

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Jeder Indikator (OEE, Availability, Performance, Quality) erhält eine Säule mit Datenbeschriftung.
  • Messgeräte: Jeder Indikator erhält ein Messgerät.
    Diese haben folgende Bereiche:
    • OEE:
      rot von 0 % bis 65 %,
      gelb von 65 % bis 85 %,
      grün von 85 % bis 100 %
    • Availability, Performance und Quality:
      rot von 0 % bis 85 %,
      gelb von 85 % bis 95 %,
      grün von 95 % bis 100 %

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListEquipments_OEE
  • OEE_GetCounters
  • OEE_GetStates
  • OEE_Indicators
  • ListLots
  • ListShifts


OEE-Kennzahl Chargenarchiv

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> OEE-Analyse -> OEE-Kennzahl Chargenarchiv

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieser Vorlage berechnen die OEE-Kennzahlen von Chargen einer Anlagengruppe in einem Zeitraum und stellen die Kennzahlen grafisch und tabellarisch dar. Die Kennzahlen werden dabei für jede Charge separat berechnet. Diese Reports sind immer an ein bestimmtes Projekt gebunden.

Anwendungsbeispiele

Reports vom Typ Alarmliste eignen sich zum Beispiel für die Kontrolle der Entwicklung der OEE-Kennzahlen während einer Schicht oder in einem bestimmten Zeitraum für:

  • eine kritischen Maschine
  • eine Produktionslinie
  • eine komplette Fabrik

Report erstellen

Um einen Report OEE-Kennzahl Chargenarchiv zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste OEE-Analyse aus
  2. wählen Sie als Reportvorlage OEE-Kennzahl Chargenarchiv aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Variablenzuordnung für OEE-Berechnung

Parameter | Beschreibung
Variablenzuordnung für OEE-Berechnung | Zuordnung des Projekts, der Archive und der Variablen. Feld zeigt aktuelle Konfiguration an.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Zuordnungen.

Chargenarchivauswahl

Parameter | Beschreibung
Chargenarchivauswahl | Konfiguration des Chargenarchivs.
Projekt | Auswahl des Projekts aus Dropdownliste, an das der Report gebunden wird. Wird ein Projekt gewählt, so wird dieses Projekt an allen anderen Gruppierungen im Report, die eine Projektauswahl anbieten, weitergegeben. Erhält diese Gruppierung von einer anderen Gruppierung eine Benachrichtigung über ein gebundenes Projekt, dann wird dieses Projekt in der Dropdownliste gesetzt und die Dropdownliste wird deaktivert.
Chargenarchiv | Auswahl eines Chargenarchivs für das gewählte Projekt aus Dropdownliste.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Hinweis: Wird der Report über die Zeitfilterung an ein Projekt gebunden, so wird die Projektauswahl auf das gebundene Projekt gesetzt und es wird sichergestellt, dass in beiden Gruppierungen nur Archive von dem Projekt gewählt werden können.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl-Dropdownliste mit den Anlagenmodellen, für welche die OEE-Kennzahlen berechnet werden können. Jedes Anlagenmodell enthält in seinem Namen den vollständigen Hierarchie-Pfad.

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm: Es wird ein Säulendiagramm über die Zeit gezeichnet. Für jede Charge wird zu ihrem Startzeitpunkt je eine Säule für jeden Indikator gezeichnet.
  • Liniendiagramm: Es wird für jeden Indikator eine Trendlinie gezeichnet. Die Zeitpunkte sind die Chargen-Anfangszeitpunkte.
  • Tabelle:Eine Tabelle mit folgenden Spalten:
    • Chargenname (dynamisch sortierbar)
    • Starzeitpunkt (dynamisch sortierbar)
    • Endzeitpunkt (dynamisch sortierbar)
    • OEE in %
    • Availability in %
    • Performance in %
    • Quality in %
    • Gesamtproduktionsmenge in Einheiten
    • Gutproduktionsmenge in Einheiten
    • Tatsächliche Betriebszeit in Minuten
    • Geplante Betriebszeit in Minuten
    • Anzahl der Einheiten, die in der tatsächlichen Betriebszeit mit der geplanten Anlagengeschwindigkeit möglich waren

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListEquipments_OEE
  • OEE_GetCounters
  • OEE_GetStates
  • OEE_Indicators_LotHistory
  • ListLots
  • ListShifts


Projektierung der OEE-Reports in zenon

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> OEE-Analyse -> Projektierung der OEE-Reports in zenon

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Berechnung der OEE-Kennzahlen müssen bestimmte Metadaten zur Verfügung gestellt und in zenon projektiert werden.

OEE-Kennzahl nach Weihenstephaner Standard

Das Projekt bzw. die Metadaten müssen folgende Daten liefern:

  • Variablen für Filter
  • Variablen für OEE-Berechnung
  • Variablen für Kennzahlenberechnung
  • Variablen für relative Verlustzeiten
  • Variablen für absolute Verlustzeiten
  • Archive

Variablen für Filter:

General Analyzer Schema Graphics Template

Jeder Variable muss eine Reaktionsmatrix zugeordnet sein, die die verfügbaren Filterdetails enthält. Dabei gilt:

  • Nur Numerische Remas sind erlaubt.
  • Die Zuordnung muss mit = erfolgen. Die Zeichen > und < sind verboten.
  • Die Default-Einstellung der Rema wird ignoriert.
  • Existiert mehrmals die gleiche Zuweisung (z.B: xy = 3), so wird nur die zuerst gefundene verwendet. Alle anderen werden ignoriert.
  • Der im Filter angezeigte Name ist der Grenzwerttext. Dieser ist nicht sprachumschaltbar; vorhandene Steuerzeichen (@) werden weggeschnitten.
  • Die Verwendung der einzelnen Variablen ist optional. Es müssen nur jene Variablen projektiert werden, die für die Filter benötigt werden.

Variablen für OEE-Berechnung:

General Analyzer Schema Graphics Template

Hinweise:

  • * Variablen müssen pro Anlagengruppe, für die eine Auswertungen möglich ist, angelegt und mit dem Anlagenmodell verknüpft werden. Die gleichen Variablen werden, anders gekennzeichnet (mit WF=), auch für die Wasserfalldarstellung verwendet.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit ME=… (z.B: ME=OperatingTime, …) oder ab zenon 7.20 in Bedeutung (OperatingTime, …) definiert werden .

Variablen für Kennzahlenberechnung:

General Analyzer Schema Graphics Template

Hinweise:

  • * Variablen müssen pro Anlagengruppe, für die eine Auswertungen möglich ist, angelegt und mit dem Anlagenmodell verknüpft werden.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit ME=… (M E=MTBS_TimeCounter, …) oder ab zenon 7.20 in Bedeutung (MTBS_TimeCounter, …) definiert werden.

Variablen für relative Verlustzeiten

General Analyzer Schema Graphics Template

Hinweise:

  • * Vorgeschlagener Name in zenon. Für den zenon Analyzer nicht relevant.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit ME=RelativeTimeLosses oder ab zenon 7.20 in Bedeutung mit RelativeTimeLosses definiert werden.

Variablen für absolute Verlustzeiten

General Analyzer Schema Graphics Template

Hinweise:

  • * Vorgeschlagener Name in zenon. Für den zenon Analyzer nicht relevant.
  • Diese Variablen müssen in zenon je nach Version in der Betriebsmittelkennung (bis 7.11) mit ME=AbsoluteTimeLosses oder ab zenon 7.20 in Bedeutung mit AbsoluteTimeLosses definiert werden.

Archive:

General Analyzer Schema Graphics Template

Hinweis: * Archiv ist mit der Anlagengruppe verknüpft.

OEE_Indicator Standard

Das Projekt bzw die Metadaten müssen folgende Daten liefern:

Variablen

Variablenname | Zuordnung (Meaning) | Datentyp | Archiv | Connector
Frei wählbar*. | Frei wählbar. Default: OperatingTime | BOOL** | Frei wählbar. Ident für alle 3 Variablen. Default: S1 | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: EffectiveWorkingTime | BOOL** |  | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: DesignedSpeed | REAL |  | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: GoodUnits | UDINT | Frei wählbar. Ident für beide Variablen. Default: C1 | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: TotalUnits | UDINT |  | SQL/zenonV6
  • * Alle Variablen sind der selben Anlagengruppe zugeordnet, die im Report als Filter angeboten wird. Für jede Anlagengruppe, für die OEE-Auswertungen möglich sind, müssen Variablen mit dieser Bedeutung angelegt und mit der Anlagengruppe verknüpft werden.
  • ** Die Zeiten werden im Report errechnet und geben die Zeit an, in der die Variable im Betrachtungszeitraum = 1 war.

Archive

Archiv Kurzbezeichnung | Archivname | Aufzeichnungsart | Connector
Frei wählbar. Z.B.: S1 | Frei wählbar. | Bei Wertänderung. | SQL/zenonV6
Frei wählbar. Z.B.: C1 | Frei wählbar. | Zyklisch oder ereignisgesteuert*. | SQL/zenonV6
  • * Die Zähler müssen nach erfolgter Archivierung auf 0 gesetzt werden.

OEE_Indicator per Batch

Dieser Report berechnet die OEE Kennzahlen für jede Charge einer Anlagengruppe in einem Zeitraum und stellt diese Kennzahlen grafisch und tabellarisch dar.

Variablen

Variablenname | Zuordnung (Meaning) | Datentyp | Archiv | Connector
Frei wählbar*. | Frei wählbar. Default: OperatingTime | BOOL** | Frei wählbar. Ident für alle 3 Variablen. Default: S1 | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: EffectiveWorkingTime | BOOL** |  | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: DesignedSpeed | REAL |  | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: GoodUnits | UDINT | Frei wählbar. Ident für beide Variablen. Default: C1 | SQL/zenonV6
Frei wählbar*. | Frei wählbar. Default: TotalUnits | UDINT |  | SQL/zenonV6
Für Batchnamen, frei wählbar. | - | STRING | Frei wählbar. Default: OE | SQL/zenonV6
  • * Alle Variablen sind der selben Anlagengruppe zugeordnet, die im Report als Filter angeboten wird. Für jede Anlagengruppe, für die OEE-Auswertungen möglich sind, müssen Variablen mit dieser Bedeutung angelegt und mit der Anlagengruppe verknüpft werden.
  • ** Die Zeiten werden im Report errechnet und geben die Zeit an, in der die Variable im Betrachtungszeitraum = 1 war.

Archive

Archiv | Archivname | Aufzeichnungsart | Connector
S1 | Frei wählbar. | Bei Wertänderung. | SQL/zenonV6
C1 | Frei wählbar. | Zyklisch oder ereignisgesteuert*. | SQL/zenonV6
OE* | Frei wählbar. | Ereignisgesteuert. | SQL/zenonV6
  • * Das Batcharchiv OE muss mittels zenon Funktionen gestartet und gestoppt werden. Bei einem Stop wird der Wert der Batchvariable im Archiv als Batchname mit Start- und Stoppzeit gespeichert.


Soll-Ist-Analyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Soll-Ist-Analyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten ermöglichen. Die Ist-Werte kommen dabei immer aus einem Archiv. Die Soll-Werte können aus einem Archiv stammen. Sind diese nicht archiviert, so werden die Soll-Werte, wenn möglich, aus der Tabelle NORM extrahiert. Die Variablen werden über Anlagengruppen und Bedeutungen adressiert.

Dabei gilt:

  • Variablen, die für die Soll-Ist-Analyse, verwendet werden:
    • werden über Bedeutungen (Meanings) adressiert
    • müssen mit der jeweiligen Anlagengruppe verknüpft sein
  • Das Archiv, in dem die Ist-Werte gespeichert werden, muss mit der jeweiligen Anlagengruppe verknüpft sein.
  • Stammen die Soll-Werte aus einem Archiv statt aus der NORM-Tabelle, dann muss dieses Archiv mit der jeweiligen Anlagengruppe verknüpft sein.

Reportvorlagen

Folgende Reportvorlagen stehen zur Verfügung:

  • Soll-Ist-Verdichtungstrend (absolut): Holt die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe und berechnet daraus Absolutzähler.
  • Soll-Ist-Verdichtungstrend (relativ): Holt die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe und berechnet daraus Relativzähler.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste OEE-Analyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Noch in diesem Kapitel

Soll-Ist-Verdichtungstrend (absolut)

Soll-Ist-Verdichtungstrend (relativ)

Beispiel


Soll-Ist-Verdichtungstrend (absolut)

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Soll-Ist-Analyse -> Soll-Ist-Verdichtungstrend (absolut)

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe. Daraus werden dann Absolutzähler berechnet und dargestellt.

Report erstellen

Um einen Report Soll-Ist-Verdichtungstrend (absolut) zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Soll-Ist-Analyse aus
  2. wählen Sie als Reportvorlage Soll-Ist-Verdichtungstrend (absolut) aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Bedeutungen für Soll- und Istwerte

Parameter | Beschreibung
Bedeutungen für Soll- und Istwerte | Anzeige und Konfiguration der Bedeutungen für Soll- und Istwerte.
Liste konfigurierte Bedeutungen für Soll- und Istwerte | Tabelle mit den momentanen Einstellungen der Bedeutungen für die Soll- und Istwerte.
Bedeutungen für Soll- und Istwerte konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Bedeutungen.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm mit den Daten
  • Säulendiagramm mit den Daten.
  • Tabelle mit folgenden Spalten:
    • Intervallanfang
    • Intervallende
    • Sollwert (Überschrift: Variablenname)
    • Istwert (Überschrift: Variablenname)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • TargetActualComparison_Absolute


Soll-Ist-Verdichtungstrend (relativ)

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Soll-Ist-Analyse -> Soll-Ist-Verdichtungstrend (relativ)

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, holen die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe. Daraus werden dann Relativzähler berechnet und dargestellt.

Report erstellen

Um einen Report Soll-Ist-Verdichtungstrend (relativ) zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Soll-Ist-Analyse aus
  2. wählen Sie als Reportvorlage Soll-Ist-Verdichtungstrend (relativ) aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Bedeutungen für Soll- und Istwerte

Parameter | Beschreibung
Bedeutungen für Soll- und Istwerte | Anzeige und Konfiguration der Bedeutungen für Soll- und Istwerte.
Liste konfigurierte Bedeutungen für Soll- und Istwerte | Tabelle mit den momentanen Einstellungen der Bedeutungen für die Soll- und Istwerte.
Bedeutungen für Soll- und Istwerte konfigurieren | Klick auf Schaltfläche öffnet Dialog zur Konfiguration der Bedeutungen.

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Liniendiagramm und Tabelle
  • Säulendiagramm
  • Liniendiagramm
  • Tabelle

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Liniendiagramm mit den Daten
  • Säulendiagramm mit den Daten.
  • Tabelle mit folgenden Spalten:
    • Intervallanfang
    • Intervallende
    • Sollwert (Überschrift: Variablenname)
    • Istwert (Überschrift: Variablenname)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • TargetActualComparison_Relative


Beispiel

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Soll-Ist-Analyse -> Beispiel

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ziel

Für 5 Maschinen sollen mit einem Soll-Ist-Vergleich mit Absolutzählern analysiert werden:

  • Produktionsmenge
  • Stromverbrauch
  • Betriebstemperatur

Vorbereitung

  • Für jede Kenngröße wird ein eigener Report konfiguriert.
  • Jeder Report arbeitet mit unterschiedlichen Bedeutungen.
  • In zenon sind archivierte Variablen für die gewünschten Kenngrößen vorhanden.
  • Für alle Maschinen werden die Bedeutungen wie folgt gesetzt:
Variable | Bedeutung
Produktionsmenge – Soll | ProdTarget
Produktionsmenge – Ist | ProdActual
Stromverbrauch – Soll | PowerTarget
Stromverbrauch – Ist | PowerActual
Betriebstemperatur – Soll | TempTarget
Betriebstemperatur – Ist | TempActual

Report

Im nächsten Schritt werden auf Basis der Reportvorlage TargetActualComparison_Absolute 3 Reports erstellt:

Reportname

Bedeutungen

Report liefert:

Target Actual Analysis – Production
  • ProdTarget
  • ProdActual

Soll-Ist-Vergleich für Produktionsmenge für alle 5 Maschinen.

Target Actual Analysis – Power
  • PowerTarget
  • PowerActual

Soll-Ist-Vergleich für Stromverbrauch für alle 5 Maschinen.

Target Actual Analysis – Temperature
  • TempTarget
  • TempActual

Soll-Ist-Vergleich für Betriebstemperatur für alle 5 Maschinen.


Wasserkraftwerk Analyse

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die diverse Zähler für Wasserkraftwerke ermitteln und darstellen.

Folgende Reportvorlagen stehen zur Verfügung:

  • Betriebszeit pro Betriebsmodus und Maschinenkomponente: Berechnet Betriebszeiten für die einzelnen Betriebsmodi einer Maschine und Maschinenkomponenten.
  • Betriebszeit pro Lastbereich: Berechnet Betriebszeiten für eine Maschine pro Lastbereich.
  • Schaltspiele Leistungsschalter: Berechnet Schaltspiele für Leistungsschalter.
  • Wirk- und Blindleistungszähler: Berechnet Zählerwerte für Wirk- und Blindleistung.
  • Netzfrequenz: Berechnet Zeitzähler für unterschiedliche Frequenzbänder der Netzfrequenz einer Maschine.
  • Ereigniszähler für Maschinen: Berechnet Zähler für verschiedene Ereignisse, die auf einer Maschine vorkommen können.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. wählen Sie im ZAMS im Menü Report den Befehl Neu oder klicken Sie auf das entsprechende Symbol in der Symbolleiste
  2. der Dialog zur Auswahl einer Vorlage wird geöffnet

    Screenshots - Expanding

  3. wählen Sie als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  4. wählen Sie als Reportvorlage die gewünschte Vorlage aus der Dropdownliste

Noch in diesem Kapitel

Betriebszeit pro Betriebsmodus und Maschinenkomponente

Betriebszeit pro Lastbereich

Schaltspiele Leistungsschalter

Wirk- und Blindleistungszähler

Netzfrequenz

Ereigniszähler für Maschinen


Betriebszeit pro Betriebsmodus und Maschinenkomponente

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse -> Betriebszeit pro Betriebsmodus und Maschinenkomponente

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen Betriebszeiten für die einzelnen Betriebsmodi einer Maschine. Zusätzlich werden die Betriebszeiten je Maschinenkomponente seit dem letzten Austausch oder der letzten Inspektion der Komponente berechnet.

Die Darstellung erfolgt über eine Datentabelle, die alle Zeitzähler enthält. Zusätzlich können die Zeitzähler für die Betriebsmodi als Summe oder Verdichtungstrend grafisch dargestellt werden.

Report erstellen

Um einen Report Betriebszeit pro Betriebsmodus und Maschinenkomponente zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  2. wählen Sie als Reportvorlage Betriebszeit pro Betriebsmodus und Maschinenkomponente aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Zuordnungen für Kraftwerksbetriebszeiten

Parameter | Beschreibung
Zuordnungen für Kraftwerksbetriebszeiten | Anzeige und Konfiguration der Zuordnungen für Kraftwerksbetriebszeiten pro Maschinenkomponente und Betriebsmodus.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Verdichtetes Säulendiagramm und Tabelle
  • Verdichtetes Tortendiagramm und Tabelle
  • Verdichteter Trend - Säulendiagramm und Tabelle
  • Verdichteter Trend - Liniendiagramm und Tabelle
  • Tabelle

Herkunft der Betriebsmodi-Beschriftung

Parameter

Beschreibung

Herkunft der Beschriftung für Betriebsmodi

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen

Sortierung der Elemente

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm mit den Summen der Relativzähler für Betriebsmodi.
  • Tortendiagramm mit den Summen der Relativzähler für Betriebsmodi.
  • Säulendiagramm mit den Verdichtungstrends der Relativzähler für Betriebsmodi.
  • Liniendiagramm mit den Verdichtungstrends der Relativzähler für Betriebsmodi.
  • Tabelle mit folgender Struktur:

    Detailzellen: Beinhalten immer den Zählerwert für die Spaltengruppe im Intervall.

    Summenzeile: Hat Summe bei Relativzählern und letzten Wert bei Absolutzählern.

    Zeilengruppen: Zeitintervalle innerhalb des Report-Betrachungszeitraums.

    Es gibt folgende Spaltengruppierungen:

    • Absolut- und Relativzähler für Maschinenbetriebszeit.
    • Relativzähler für Betriebsmodi.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Komponenten, die keinen Bauteilnamen (z.B. Laufradnummer) verwenden und keine übergeordnete Komponente haben.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Komponenten, die einen Bauteilnamen (z.B. Laufradnummer) verwenden aber keine übergeordnete Komponente haben.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Komponenten, die keinen Bauteilnamen (z.B. Laufradnummer) verwenden aber eine übergeordnete Komponente haben.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Komponenten, die einen Bauteilnamen (z.B. Laufradnummer) verwenden und eine übergeordnete Komponente haben.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.

attention Achtung

Haben in der Tabelle mehrere Elemente den gleichen Namen und wurde eine der kennzeichnungsbasierenden Sortierungsvarianten (alphabetisch) gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Wird eine auf der ID basierenden Sortierungsvariante gewählt, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Meanings
  • ListHppStructureNames
  • GetChildEquipments
  • HppOperatingHours


Betriebszeit pro Lastbereich

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse -> Betriebszeit pro Lastbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen Betriebszeiten für eine Maschine pro Lastbereich.

Die Darstellung erfolgt über eine Datentabelle, die alle Zeitzähler enthält. Zusätzlich können die Zeitzähler für die Lastbereiche als Summe oder Verdichtungstrend grafisch dargestellt werden.

Report erstellen

Um einen Report Betriebszeit pro Lastbereich zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  2. wählen Sie als Reportvorlage Betriebszeit pro Lastbereich aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Zuordnungen für Betriebszeiten pro Lastbereich

Parameter | Beschreibung
Zuordnungen für Betriebszeiten pro Lastbereich | Anzeige und Konfiguration der Zuordnungen für Kraftwerksbetriebszeiten pro Lastbereich.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Verdichtetes Säulendiagramm und Tabelle
  • Verdichtetes Tortendiagramm und Tabelle
  • Verdichteter Trend - Säulendiagramm und Tabelle
  • Verdichteter Trend - Liniendiagramm und Tabelle
  • Tabelle

Herkunft der Betriebsmodi-Beschriftung

Parameter

Beschreibung

Herkunft der Beschriftung für Betriebsmodi

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen

Sortierung der Elemente

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm mit den Summen der Relativzähler für Lastbereichs-Betriebszeit.
  • Tortendiagramm mit den Summen der Relativzähler für Lastbereichs-Betriebszeit.
  • Säulendiagramm mit den Verdichtungstrends der Relativzähler für Lastbereichs-Betriebszeit.
  • Liniendiagramm mit den Verdichtungstrends der Relativzähler für Lastbereichs-Betriebszeit.
  • Tabelle mit folgender Struktur:

    Detailzellen: Beinhalten immer den Zählerwert für die Spaltengruppe im Intervall.

    Summenzeile: Hat Summe bei Relativzählern und letzten Wert bei Absolutzählern.

    Zeilengruppen: Zeitintervalle innerhalb des Report-Betrachungszeitraums.

    Es gibt folgende Spaltengruppierungen:

    • Wirkleistungsbereich Generatorbetrieb.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Wirkleistungsmaximum Generatorbetrieb.
    • Wirkleistungsminimum Generatorbetrieb.
    • Wirkleistungsbereich Pumpbetrieb.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Wirkleistungsmaximum Pumpbetrieb.
    • Wirkleistungsminimum Pumpbetrieb.
    • Blindleistungsbereich Generatorbetrieb.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Blindleistungsmaximum Generatorbetrieb.
    • Blindleistungsminimum Generatorbetrieb.
    • Blindleistungsbereich Pumpbetrieb.
      Innerhalb dieser Gruppe kommt die Sortierungskonfiguration zum Tragen.
    • Blindleistungsmaximum Pumpbetrieb.
    • Blindleistungsminimum Pumpbetrieb.

attention Achtung

Haben in der Tabelle mehrere Elemente den gleichen Namen und wurde eine der kennzeichnungsbasierenden Sortierungsvarianten (alphabetisch) gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Wird eine auf der ID basierenden Sortierungsvariante gewählt, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Meanings
  • ListHppStructureNames
  • HppPowerHours


Schaltspiele Leistungsschalter

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse -> Schaltspiele Leistungsschalter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen Schaltspiele für Leistungsschalter. Basierend auf einem relativen Schaltvorgangzähler werden absolute Schaltvorgangzähler für einen Leistungsschalter berechnet. Diese Absolutzähler weden zurückgesetzt, wenn der Leistungsschalter inspiziert oder ausgetauscht wird.

Die Darstellung erfolgt über eine Datentabelle, die alle Daten enthält. Zusätzlich können die aktuellsten Absolutzähler in einem Säulendiagramm dargestellt werden.

Report erstellen

Um einen Report Schaltspiele Leistungsschalter zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  2. wählen Sie als Reportvorlage Schaltspiele Leistungsschalter aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Zuordnungen für Schaltspiele

Parameter | Beschreibung
Zuordnungen für Schaltspiele | Anzeige und Konfiguration der Zuordnungen für Kraftwerksschaltspiele.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Säulendiagramm und Tabelle
  • Tabelle

Herkunft der Betriebsmodi-Beschriftung

Parameter

Beschreibung

Herkunft der Beschriftung für Betriebsmodi

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen

Sortierung der Elemente

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm mit den letzten Werten der Absolutzähler seit Inspektion bzw. Austausch.
  • Tabelle mit folgender Struktur:

    Detailzellen: Beinhalten immer den Zählerwert für die Spaltengruppe im Intervall.

    Summenzeile: Hat Summe bei Relativzählern und letzten Wert bei Absolutzählern.

    Zeilengruppen: Zeitintervalle innerhalb des Report-Betrachungszeitraums.

    Die Spaltengruppierung erfolgt primär auf dem Namen des Zählers (Herkunft im ZAMS steuerbar). Hierbei wird die festgelegte Sortierungsreihenfogle verwendet. Innerhalb dieser Gruppen:

    • kommt zuerst der Relativzähler,
    • dann der Absolutzähler seit Inspektion und
    • dann der Absolutzähler seit Austausch

attention Achtung

Haben in der Tabelle mehrere Elemente den gleichen Namen und wurde eine der kennzeichnungsbasierenden Sortierungsvarianten (alphabetisch) gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Wird eine auf der ID basierenden Sortierungsvariante gewählt, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_Meanings
  • ListHppStructureNames
  • GetChildEquipments
  • GetFullEquipmentGroupName
  • HppSwitchingCycles


Wirk- und Blindleistungszähler

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse -> Wirk- und Blindleistungszähler

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen Zählerwerte für Wirk- und Blindleistung.

Die Darstellung erfolgt über eine Datentabelle, die alle Daten enthält. Zusätzlich können die Zählerwerte als Verdichtung oder Verdichtungstrend in diversen Diagrammen dargestellt werden.

Report erstellen

Um einen Report Wirk- und Blindleistungszähler zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  2. wählen Sie als Reportvorlage Wirk- und Blindleistungszähler aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Zuordnungen für Wirk- und Blindleistungszähler

Parameter | Beschreibung
Zuordnungen für Wirk- und Blindleistungszähler | Anzeige und Konfiguration der Zuordnungen für Wirk- und Blindleistungszähler.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Verdichtetes Säulendiagramm und Tabelle
  • Verdichtetes Tortendiagramm und Tabelle
  • Verdichteter Trend - Säulendiagramm und Tabelle
  • Verdichteter Trend - Liniendiagramm und Tabelle
  • Tabelle

Herkunft der Betriebsmodi-Beschriftung

Parameter

Beschreibung

Herkunft der Beschriftung für Betriebsmodi

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen

Sortierung der Elemente

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Säulendiagramm mit den Summen der Zähler.
  • Tortendiagramm mit den Summen der Zähler.
  • Säulendiagramm mit den Verdichtungstrends der Zähler.
  • Liniendiagramm mit den Verdichtungstrends der Zähler.
  • Tabelle mit folgender Struktur:

    Detailzellen: Beinhalten immer den Zählerwert für die Spaltengruppe im Intervall.

    Erste Ebene der Spaltengruppierungen: Ist immer der Name der Maschine.

    Zweite Ebene der Spaltengruppierungen: besteht aus diesen Elementen in dieser Reihenfolge:

    • Wirkleistung Produktion
    • Wirkleistung Verbrauch
    • Blindleistung Produktion
    • Blindleistung Verbrauch

attention Achtung

Haben in der Tabelle mehrere Elemente den gleichen Namen und wurde eine der kennzeichnungsbasierenden Sortierungsvarianten (alphabetisch) gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Wird eine auf der ID basierenden Sortierungsvariante gewählt, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_ChildMeanings
  • ListHppStructureNames
  • GetChildEquipments
  • GetFullEquipmentGroupName
  • HppActiveReactiveCounters


Netzfrequenz

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse -> Netzfrequenz

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen Zeitzähler für unterschiedliche Frequenzbänder der Netzfrequenz einer Maschine.
Es werden Archive mit folgernder mit Aufzeichnungsart verarbeitet:

  • zyklisch
  • bei Wertänderung

Die Darstellung erfolgt als:

  • Verdichtungstrend der Netzfrequenz mit minimaler, maximaler und mittlerer Netzfrequenz
  • Datentabelle mit den Zeitzählern aller Frequenzbänder
  • Diagramme mit dafür konfigurierten Zeitzählern für Frequenzzähler

Report erstellen

Um einen Report Netzfrequenz zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  2. wählen Sie als Reportvorlage Netzfrequenz aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Zuordnungen für Netzfrequenz

Parameter | Beschreibung
Zuordnungen für Netzfrequenz | Anzeige und Konfiguration der Zuordnungen für Kraftwerksnetzfrequenz.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Datendarstellung

Parameter

Beschreibung

Datendarstellung

Konfiguration der Datendarstellung. Auswahl aus Dropdownliste. Mögliche Einstellungen:

  • Verdichtetes Säulendiagramm für Frequenzband-Zeitzähler
  • Verdichtetes Tortendiagramm für Frequenzband-Zeitzähler
  • Verdichteter Trend - Säulendiagramm für Frequenzband-Zeitzähler
  • Verdichteter Trend - Liniendiagramm für Frequenzband-Zeitzähler
  • Linientrenddiagramm für Netzfrequenz und Tabelle

Herkunft der Betriebsmodi-Beschriftung

Parameter

Beschreibung

Herkunft der Beschriftung für Betriebsmodi

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen

Sortierung der Elemente

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung hängt von der Einstellung im ZAMS ab. Für Die Darstellung stehen folgende Elemente zur Verfügung:

  • Nach Frequenzbändern sortiertes Säulendiagramm mit den Summen der Relativzähler für Frequenzbänder.
  • Nach Zählerwerten sortiertes Säulendiagramm mit den Summen der Relativzähler für Frequenzbänder.
  • Tortendiagramm mit den Summen der Relativzähler für Frequenzbänder.
  • Säulendiagramm mit den Verdichtungstrends der Relativzähler für Frequenzbänder.
  • Liniendiagramm mit den Verdichtungstrends der Relativzähler für Frequenzbänder.
  • Liniendiagramm mit den Verdichtungstrends für Durchschnitt, Minimum und Maximum der Netfrequenz.
  • Tabelle mit folgender Struktur:
    • Als Zeilengruppen fungieren immer die Zeitintervalle innerhalb des Report-Betrachungszeitraums.
    • Als Spaltengruppen fungieren immer die Frequenzband-Variablen.
    • Die Sortierung wird auf Basis der Spalte SORT_ORDER in der SP HppFrequencyCounters aufgebaut.

    Detailzellen beinhalten immer den Zählerwert für die Spaltengruppe im Intervall.

    Summenzeile hat Summe der Relativzähler.

attention Achtung

Haben in der Tabelle mehrere Elemente den gleichen Namen und wurde eine der kennzeichnungsbasierenden Sortierungsvarianten (alphabetisch) gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Wird eine auf der ID basierenden Sortierungsvariante gewählt, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_MeaningsWithPrefix
  • ListHppStructureNamesWithFrequency
  • HppFrequencyTrend
  • HppFrequencyCounters


Ereigniszähler für Maschinen

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Reportvorlagen -> Wasserkraftwerk Analyse -> Ereigniszähler für Maschinen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reports, die auf dieser Vorlage basieren, berechnen Zähler für verschiedene Ereignisse, die auf einer Maschine vorkommen können. Zähler werden für folgende Ereignisse berechnet:

  • Ein- und Ausschalten der Maschine
  • Änderungen des Sollwerts für die Maschine
  • Änderungen des Düsenmodus
  • Lastabwurfereignisse in konfigurierbaren Wirkleistungsbereichen und Turbinengeschwindigkeitsbereichen

Alle Zähler werden in einer Tabelle dargestellt.

Report erstellen

Um einen Report Ereigniszähler für Maschinen zu erstellen:

  1. wählen Sie im Dialog zum Erstellen neuer Reports als Thema in der Dropdownliste Wasserkraftwerk Analyse aus
  2. wählen Sie als Reportvorlage Ereigniszähler für Maschinen aus der Dropdownliste

    Screenshots - Expanding

  3. klicken Sie auf die Schaltfläche OK
  4. die Reportvorlage wird geöffnet
  5. speichern Sie den Report unter dem gewünschten Namen
  6. konfigurieren Sie den Report

Report konfigurieren

Details zu den Kontrollelementen im Reportfenster lesen Sie auch im Kapitel Elemente im Reportbereich.

Screenshots - Expanding

Dateiablage

Parameter | Beschreibung
Dateiablage | Name und Pfad des Reports am Analyzer Server.
Report Dateiname | Name der Report-Datei am Server.
Report Dateipfad | Aktueller Pfad zur Report-Datei. Nur Anzeige.
Report Dateipfad auswählen | Öffnet Dialog zur Auswahl eines Ordners am Analyzer Server für die RDL-Datei. Es können auch neue Ordner angelegt werden. Details siehe Abschnitt Pfad zur RDL-Datei.
Alle Report Bereitstellungspfade | Liste der in den Optionen definierten sprachabhängigen Pfade für die Verteilung der Reports.

Informationen zur Reportvorlage

Parameter

Beschreibung

Informationen zur Reportvorlage

Informationen zur Reportvorlage, bestehend aus:

  • Thema: ausgewähltes übergeordnetes Thema der Reportvorlage
  • Reportvorlage: gewählte Reportvorlage

Details siehe Abschnitt Reportvorlagen.

Thema

Gewähltes Thema für Reportvorlagen.

Nur Anzeige.

Reportvorlage

Gewählte Reportvorlage.

Nur Anzeige.

Zeitfilter (dynamisch)

Parameter

Beschreibung

Zeitfilter (dynamisch)

Parametrierung der Zeitfilter.

Zeitfiltereinstellungen

Anzeige der Details zur aktuellen Konfiguration des Zeitfilters. Je nach Konfiguration kann die Liste folgende Informationen enthalten:

  • Typ der Zeitfilterung
  • Projekt, aus dem die Chargen- oder Schichtdaten stammen, wenn Chargenauswahl oder Schichtauswahl aktiv ist. Das ist gleichzeitig das Projekt, an das der Report gebunden ist.
  • Chargenarchiv, aus dem die Chargendaten stammen, wenn Chargenauswahl aktiv ist.
  • Anlagenmodell, von dem die Schichtdaten gelesen werden, wenn Schichtauswahl aktiv ist.

Werden Informationen aufgrund ihrer Länge nur teilweise angezeigt, bewegen Sie die Maus über das entsprechende Element. Die komplette Information wird dann in einem Tooltip angezeigt.

Zeitfilterkonfiguration

Klick auf die Schaltfläche Zeitfilterkonfiguration öffnet den Dialog zur Konfiguration des Zeitfilters.

Details siehe Abschnitt Zeitfiltereinstellungen.

Granularität des Zeitfilters

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Standard-Zeitbereich

Anzeige der Vorgaben für Standardwerte des Report-Zeitbereichs.

Standardzeitbereichskonfiguration

Klick auf die Schaltfläche Standardzeitbereichskonfiguration öffnet den Dialog zur Konfiguration.
Details siehe Standard-Zeitbereich .

Anlagenmodellauswahl

Parameter | Beschreibung
Anlagenmodellauswahl | Auswahl eines Anlagenmodells aus Dropdownliste.

Zuordnungen für Ereigniszähler

Parameter | Beschreibung
Zuordnungen für Ereigniszähler | Anzeige und Konfiguration der Zuordnungen für Kraftwerksereigniszähler.
Zuordnungen konfigurieren | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration der Zuordnungen.

Konfiguration iteratives Datensammeln

Parameter

Beschreibung

Konfiguration iteratives Datensammeln

Konfiguration für Iterationsintervall und Abbruchzeit.

Iterationsintervall

Konfiguration des Iterationsintervalls in:

  • Minuten
  • Stunden
  • Tage

Minimum: 1

Maximum: 1000

Default: 1 Tag

Beginn der Archivaufzeichnung

Beginn der Archivaufzeichnung

  • Datum
  • Uhrzeit
  • Default: 01.01.2013 00:00:00

Lastabwurf: Rückblickzeit für Wirkleistung

Parameter

Beschreibung

Lastabwurf: Rückblickzeit für Wirkleistung

Auswahl der Anzahl der Sekunden, wie weit vor einem Lastabwurf nach der maximalen Wirkleistung zum Lastabwurfzeitpunkt gesucht wird.

Formel: Wirkleistung Lastabwurf = Max(Wirkleistung) aus Zeitbereich (Lastabwurf – konfigurierte Sekunden) bis Lastabwurf.

Lastabwurf: Vorschauzeit für Turbinengeschwindigkeit

Parameter

Beschreibung

Lastabwurf: Vorschauzeit für Turbinengeschwindigkeit

Auswahl der Anzahl der Sekunden, wie weit nach einem Lastabwurf nach der maximalen Turbinengeschwindigkeit zum Lastabwurfzeitpunkt gesucht wird.

Formel: Turbinengeschwindigkeit Lastabwurf = Max(Turbinengeschwindigkeit) aus Zeitbereich Lastabwurf bis (Lastabwurf + konfigurierte Sekunden).

Connector-Auswahl

Parameter

Beschreibung

Connector-Auswahl

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector (zenonV6)
  • SCADA SQL Connector (zenonSQL)

Nachkommastellen

Parameter

Beschreibung

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10
  • Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Herkunft der Betriebsmodi-Beschriftung

Parameter

Beschreibung

Herkunft der Beschriftung für Betriebsmodi

Auswahl der Kennzeichnung für Betriebsmodi aus Dropdownliste:

  • Anzeigename der Variablen
  • Beschreibungstext der Variablen

Sortierung der Elemente

Parameter

Beschreibung

Sortierung der Elemente

Auswahl der Sortierungskriterien aus Dropdownliste:

  • Element-ID aufsteigend (gleiche Reihung wie Metadaten)
  • Element-ID absteigend (umgekehrte Reihung wie Metadaten)
  • Elementkennzeichnung alphabetisch aufsteigend
  • Elementkennzeichnung alphabetisch absteigend

Aktionen

Parameter

Beschreibung

Aktionen

Mögliche Aktionen für den Report:

  • Reportdefinition speichern: Öffnet Dialog zum Speichern des Reports. Existiert bereits ein Report mit diesem Namen, erfolgt die Abfrage zum Überschreiben.
  • Report bereitstellen: Stößt Bereitstellung des Reports an. Werden dabei existierende Elemente überschrieben, erfolgt eine entsprechende Abfrage.
  • Report in Microsoft Report Builder öffnen: Öffnet den Report in Microsoft Report Builder.
  • Report in Analyzer Manager öffnen: öffnet den Report im Webbrowser mit dem Analyzer Manager
  • Report schließen: Schließt den Report.

Auswahl durch Klick auf die jeweilige Schaltfläche.

Erscheinungsbild im Analyzer Manager

Zeitfilterung

Im Analyzer Manager steht abhängig von der Parametrierung im ZAMS eine der folgenden Report-Parametersammlungen zur Verfügung:

  • 2 x Datums- und Uhrzeitauswahl („Von" und „Bis" für einen Zeitbereich)
  • 1 x Zeitbereichsauswahl
  • 1 x Chargenauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Chargen
  • 1 x Chargenauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Chargen
  • 1 x Schichtauswahl mit 2 x Datums- und Uhrzeitauswahl zur Vorfilterung der Schichten
  • 1 x Schichtauswahl mit 1 x Zeitbereichsauswahl zur Vorfilterung der Schichten

Weitere Parameter

  • 1 x Einfachauswahl aus dem Anlagenmodell.
  • 1 x Einfachauswahl des Verdichtungsintervalls. Folgende Werte stehen zur Verfügung:
    • 1 Minute
    • 15 Minuten
    • 30 Minuten
    • 1 Stunde
    • 2 Stunden
    • 6 Stunden
    • 12 Stunden
    • 1 Tag
    • 1 Woche
    • 1 Monat
    • 1 Quartal
    • 1 Jahr

Datendarstellung

Die Datendarstellung nach der Reporterzeugung erfolgt immer über eine Datentabelle. Die Tabelle hat folgende Struktur:

  • Als Zeilengruppen fungieren immer die Zeitintervalle innerhalb des Report-Betrachungszeitraums.
  • Es gibt folgende Spaltengruppierungen:
    • Ein- und Ausschaltereignisse.
    • Sollwertänderungen gesamt (immer zuerst) und pro Betriebsmodus (Sortierung konfigurierbar).
    • Änderung des Düsenmodus (Zähler gibt an, wie oft in diesen Modus gewechselt wurde, Sortierung konfigurierbar).
    • Wirkleistung bei Lastabschaltung (gleiche Reihenfolge wie im Konfigurationsdialog).
    • Turbinengeschwindigkeit bei Lastabschaltung (gleiche Reihenfolge wie im Konfigurationsdialog).

    Detailzellen beinhalten immer den Zählerwert für die Spaltengruppe im Intervall, Summenzeile hat Summe.

attention Achtung

Haben in der Tabelle mehrere Elemente den gleichen Namen und wurde eine der kennzeichnungsbasierenden Sortierungsvarianten (alphabetisch) gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Wird eine auf der ID basierenden Sortierungsvariante gewählt, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • ListLots
  • ListShifts
  • GetEquipmentTreeForGroup
  • ListEquipmentTree_MeaningsAndChildMeanings
  • ListHppStructureNamesWithNominalPowerAndRpm
  • GetChildEquipments
  • HppEventCounters


Beispiel zenon

zenon Analyzer -> Mitgelieferte Reportvorlagen -> Beispiel zenon

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auf dem Installationsmedium finden Sie ein zenon Beispielprojekt und Reports, die dieses Projekt als Datenquelle nutzen.

Um den zenon Analyzer kennen zu lernen empfehlen wir, das Arbeitsbereich des Beispielprojekts im zenon zu öffnen und das Zusammenspiel mit den Reports auszuprobieren.

  • starten Sie die Runtime
  • Sie sehen im Startbildschirm eine F&B Flaschenbefüllanlage

Screenshots - Expanding

  • schalten Sie um zum Line Overview mit
    • Online-Status
    • Graphic Analysis
    • Counter

Screenshots - Expanding

Die Daten aus dem Bild Counter werden direkt in den Reports verarbeitet.

Beispiel Verbrauch eines Mediums im Zeitvergleich

Screenshots - Expanding

Thema Alarmierung

  • Einträge in der Alarmmeldeliste

Screenshots - Expanding

  • sind die Basis für einen Report zur Darstellung von Unterbrechungen

Screenshots - Expanding

Sie können das Projekt und die Reports nach Ihren Bedürfnissen anpassen und die Reports auf ihre eigenen Datenquellen einstellen.


Ereignisgesteuerte Reporterstellung

zenon Analyzer -> Ereignisgesteuerte Reporterstellung

Die ereignisgesteuerte Reporterstellung ermöglicht es, ein Ereignis - wie zum Beispiel eine Wertänderung - als Auslöser für die Erstellung und den Versand eines Reports zu nutzen. Diese Reports können erstellt werden:

  • über eine zenon Funktion: in zenon ab Version 7.20
  • mittels VSTA-Programmierung: Details siehe Handbuch zenon Analyzer für Entwickler

Noch in diesem Kapitel

Analyzer Report mittels zenon Funktion erzeugen


Analyzer Report mittels zenon Funktion erzeugen

zenon Analyzer -> Ereignisgesteuerte Reporterstellung -> Analyzer Report mittels zenon Funktion erzeugen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voraussetzungen

Damit Sie einen ereignisgesteuerten Report für den zenon Analyzer über die zenon Funktion Analyzer: Report erzeugen erstellen können, müssen folgende Voraussetzungen erfüllt sein:

  • zenon Version 7.20 oder höher
  • Verbindung mit entsprechenden Rechten zu einem Analyzer Server der Version 2 oder höher
  • Analyzer Server Wrapper muss installiert sein. Installation erfolgt über einen eigenen Auswahlpunkt im zenon Setup.
  • Runtime und Editor müssen nach der Installation des Analyzer Server Wrapper neu gestartet werden, damit sie die installierten Analyzer Server Wrapper DLLs finden können.
  • Empfehlung: Damit die Windows Authentifizierung garantiert funktioniert, sollte sich der Analyzer Server in der gleichen Domain wie zenon Editor und zenon Runtime befinden.

Problemlösung

  • Kommunikationsprobleme mit dem Analyzer Server: Überprüfen Sie Kommunikation im Netzwerk sowie die Authentifizierung (Benutzer und Zugriffsrechte).
  • Reports werden gerendert, enthalten aber keine Daten: Überprüfen Sie die Lizenz des Analyzer Servers.

Funktion erstellen

Um die Funktion zu erstellen:

  1. Erstellen Sie eine neue Funktion.
  2. Navigieren Sie im Auswahldialog zur Gruppe Report Generator.

    Interne ID: Analyzer Report mittels zenon Funktion erzeugen

    Report Generator

    Diese Gruppe beinhaltet Funktionen für den Report Generator, den Report Viewer und das COPA-DATA Produkt zenon Analyzer.

    Mehr im Online-Handbuch.

  3. Wählen Sie die Funktion Analyzer: Report erzeugen.
  4. Der Dialog zur Konfiguration wird geöffnet:
  5. Konfigurieren Sie in der Registerkarte Allgemeine Einstellungen die Verbindungsparameter und wählen Sie den gewünschten Report aus.

    Achtung: Bevor zur zweiten Registerkarte gewechselt wird, müssen unbedingt eine Verbindung aufgebaut und ein Report gewählt werden!

  6. Konfigurieren Sie in der Registerkarte Parameterliste die Report-Parameter.
    Beim Wechseln zur zweiten Registerkarte wird versucht, bereits bestehende Werte für die Parametereingabe erneut zu setzen. Schlägt dies fehl, wird die Liste der gesetzten Parameterwerte leer angezeigt.

    Standardwerte können durch individuelle Werte ersetzt werden. Deaktivieren Sie dazu die Checkbox vor dem Wert und klicken Sie auf den Wert. Ein Dialog zur Eingabe des neuen Werts wird geöffnet.

  7. Verknüpfen Sie die Funktion mit einem Button oder einem Ereignis, um sie zur Runtime zu benutzen.

Ablauf zur Runtime

Ablauf beim Auslösen der Funktion zur Reporterstellung zur Runtime:

  1. Die konfigurierte Verbindung wird hergestellt.
  2. Der gewählte Report wird gesetzt.
  3. Die gewählten Parameterwerte werden für diesen Report gesetzt.
  4. Der Report wird erstellt und in der gewünschten Form ausgegeben.
  5. Der Dateiname wird generiert und die Datei im Exportordner des Projekts gespeichert.
  6. Der vollständige Dateiname wird in die gewählte Variable geschrieben.

Noch in diesem Kapitel

Allgemeine Einstellungen

Parameterliste


Allgemeine Einstellungen

zenon Analyzer -> Ereignisgesteuerte Reporterstellung -> Analyzer Report mittels zenon Funktion erzeugen -> Allgemeine Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte wird die Verbindung zum Analyzer Server konfiguriert und der Bericht ausgewählt. Konfigurieren Sie diese Registerkarte unbedingt vor dem Wechsel zu Parameterliste.

Registerkarte Allgemeine Einstellungen

Analyzer Server

Parameter

Beschreibung

Analyzer Server

Konfiguration der Verbindung zum Analyzer Server.

Version

Auswahl der Version des Analyzer Servers aus Dropdownliste. Nur verfügbar, wenn keine Verbindung besteht.

Computername

Eingabe des Namens des Rechners, auf dem der Analyzer Server läuft. Nur verfügbar, wenn keine Verbindung besteht.

Windows-Authentifizierung verwenden

Auswahl der Art der Authentifizierung:

  • Aktiv: Windows-Authentifizierung wird verwendet.
  • Inaktiv: Der Benutzer muss Benutzername und Passwort eingeben.

Benutzername

Eingabe des Benutzernamens.

Nur verfügbar, wenn Windows-Authentifizierung verwenden inaktiv ist und keine Verbindung besteht.

Passwort

Eingabe des Passworts für die Authentifizierung.

Die eingegebenen Zeichen werden nicht dargestellt, die Länge des Passworts wird verschleiert. Das Passwort wird verschlüsselt gespeichert und nur unmittelbar zum Verbindungsaufbau entschlüsselt.

Nur verfügbar, wenn Windows-Authentifizierung verwenden inaktiv ist und keine Verbindung besteht.

Verbindung herstellen

Klick auf die Schaltfläche baut eine Verbindung zum Analyzer Server auf.

Nach erfolgreichem Verbindungsaufbau werden die Dropdownlisten für Report und Format aktualisiert.

Verbindung trennen

Klick auf die Schaltfläche trennt die bestehende Verbindung.

Reporterstellung

Parameter

Beschreibung

Reporterstellung

Konfiguration der Basisdaten für den Report.

Report

Auswahl des Reports aus Dropdownliste.

Format

Auswahl des Ausgabeformats aus Dropdownliste:

  • CSV
  • Excel
  • MHTML (Web Archiv)
  • PDF
  • TIFF Datei
  • Word
  • XML Datei mit Reportdaten

Zeitstempel in Dateiname inkludieren
  • Aktiv: Der Ausführungs-Zeitstempel wird in den Dateinamen inkludiert.

Ablauf der Dateinamenerzeugung:

  • Ausgangspunkt ist der Reportname ohne Pfad.
    Beispiel: Alarms
  • Dann wird, falls aktiviert, der Zeitstempel hinzugefügt. Beispiel am 15.8.2014 um 15:20:00 Uhr: Alarms_2014_08_15_15_20_00
  • Dann wird die Dateinamenerweiterung entsprechend dem gewählten Ausgabeformat hinzugefügt.
    Beispiel: Alarms_2014_08_15_15_20_00.pdf
  • Existiert bereits eine Datei mit diesem Namen im Exportordner des Projekts, wird ein Zähler hinzugefügt, bis der Dateiname eindeutig ist.
    Beispiel:
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variable für Pfad zur erstellten Datei

Zeigt die aktuell gewählte zenon Variable an, die den Pfad zur geschriebenen Reportdatei erhält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Tipp: Damit kann beim Beenden eines Chargenarchivs oder bei einer Grenzwertverletzung ein ereignisgesteuerter Report über ein Skript per E‑Mail aus zenon versendet werden. Dabei wird diese Variable verwendet, um den Anhang der Message Control Funktion Sende Nachricht zu definieren.
Ablauf:

Interne ID: Allgemeine Einstellungen

Sende Nachricht

Diese Funktion sendet eine Nachricht des optionalen Moduls Message Control.

Mehr im Online-Handbuch

  • Zuerst wird die Reportfunktion ausgeführt, die die Variable schreibt.
  • Dann wird die Funktion Sende Nachricht ausgeführt, die den Anhangpfad aus der Variablen ließt.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Parameterliste

zenon Analyzer -> Ereignisgesteuerte Reporterstellung -> Analyzer Report mittels zenon Funktion erzeugen -> Parameterliste

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In dieser Registerkarte konfigurieren Sie die Report-Parameter. Welche Parameter angeboten werden, hängt ab von der Auswahl des Reports in der Registerkarte Allgemeine Einstellungen.

Registerkarte Parameterliste

Parameter

Beschreibung

Parameterliste

Anzeige der Report-Parameter. Die Reihenfolge entspricht der Reihenfolge im Report.

Empfehlung: Konfigurieren Sie die Parameter von oben nach unten.

Parametername

Anzeige des Parameternamens.
Kann hier nicht konfiguriert werden.

Standard

Definiert, ob der Parameter auf seinen Standardwert gesetzt ist.

  • Aktiv: Standardwert aus Report wird verwendet.
  • Inaktiv: Wert wird durch Klick in Spalte Wert individuell gewählt.

Mausklick oder Drücken der Leertaste bei markiertem Parameter schaltet die Checkbox um. Hat ein Parameter keinen Standardwert, ist die Checkbox ausgegraut und inaktiv.

Wert

Anzeige des aktuellen Werts des Parameters.

  • Ist die Checkbox Standard aktiviert, dann wird hier der Text Standardwert angezeigt und die Zelle erlaubt keine Eingaben.
  • Ist die Checkbox Standard deaktiviert, dann wird hier der aktuell konfigurierte Wert angezeigt.
    Klick auf die Zelle oder das Drücken der Eingabetaste bei markiertem Parameter öffnet den für den Wert passenden Eingabedialog.

Kann ein Parameter noch nicht eingegeben werden, wird der Text Nicht verfügbar angezeigt und die Zelle ist deaktiviert. Das kann zum Beispiel bedeuten, dass zuerst Werte für einen anderen Parameter gesetzt werden müssen, um die Wertliste zu füllen.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Tipp Chargen/Schicht-Report

In der Runtime wird der Wert einer zenon Stringvariable gelesen. In der Liste der vordefinierten Werte für den Parameter wird nach diesem String als Label gesucht. Der Wert zu dem übereinstimmenden Label ist dann der Parameterwert, also die gewählte Schicht oder Charge.

Die Chargenvariable eines Chargenarchivs kann hier verwendet werden. Führen Sie für den Chargen-Report die Funktion Analyzer: Report erzeugen beim Beenden des Chargenarchivs aus. Der Report hat dann als Zeitfilter die letzte Charge dieses Archivs.

Noch in diesem Kapitel

Konfiguration der Werte


Konfiguration der Werte

zenon Analyzer -> Ereignisgesteuerte Reporterstellung -> Analyzer Report mittels zenon Funktion erzeugen -> Parameterliste -> Konfiguration der Werte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Konfiguration der Parameterwerte stehen für jede Eingabe passende Dialoge zur Verfügung. Die Konfiguration erfolgt je nach Eingabemöglichkeit für:

  • Ein Wert ohne vordefinierten Wert: Eingabe des Werts.
  • Mehrere Werte ohne vordefinierte Werte: Eingabe der Werte und Hinzufügen zu einer Liste.
  • Ein Wert mit vordefiniertem Wert: Auswahl aus Dropdownliste oder Liste.
  • Mehrere Werte mit vordefinierten Werten: Auswahl aus Liste.

Welche Dialoge angeboten werden, hängt von der Report-Auswahl ab.

Beispiele für einige häufig verwendete Dialoge:

Anlagengruppen

Auswahl der gewünschten Anlagengruppen:

  1. Wählen Sie die gewünschten Anlagengruppen in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Gruppen werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Anlagengruppen wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Anlagengruppen in den Report zu übernehmen, klicken Sie auf OK.

Archive

  1. Wählen Sie die gewünschten Archive in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Archive werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Archive wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Archive in den Report zu übernehmen, klicken Sie auf OK.

Komprimierung

  1. Wählen Sie die gewünschte Komprimierung aus der Dropdownliste aus.
  2. Klicken Sie auf OK.

  1. Wählen Sie die gewünschte Komprimierungsfunkltion aus der Dropdownliste aus.
  2. Klicken Sie auf OK.

Maximalwert

  1. Geben Sie den gewünschten Wert in das Feld ein.
  2. Klicken Sie auf OK.

Minimalwert

  1. Geben Sie den gewünschten Wert in das Feld ein.
  2. Klicken Sie auf OK.

Projekte

  1. Wählen Sie die gewünschten Projekte in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Projekte werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Projekte wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Projekte in den Report zu übernehmen, klicken Sie auf OK.

Variablen

Auswahl der gewünschten Variablen.

  1. Wählen Sie die gewünschten Variablen in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Variablen werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Variablen wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Variablen in den Report zu übernehmen, klicken Sie auf OK.

Zeitspanne

  1. Wählen Sie das Gewünschte Datum und die Uhrzeit für
    1. Von
    2. Bis
  2. Klicken Sie auf OK.


Fehler-Logging

zenon Analyzer -> Fehler-Logging

zenon Analyzer nutzt den zenon Logging Dienst Diagnose Viewer für das Sammeln und Anzeigen von Fehlermeldungen.

Hinweis: Der Connector kann unter Windows XP keine Meldungen an den Diagnose Viewer weiterleiten. In diesem Fall werden Fehlermeldungen lokal gespeichert.

Noch in diesem Kapitel

Diagnose Viewer

Fehlermeldungen zenon Analyzer allgemein


Diagnose Viewer

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer

Alle zenon Module wie z. B. Editor, Runtime, Treiber usw. sowie der zenon Analyzer schreiben Meldungen in eine gemeinsame LOG-Datei. Diese kann mit dem Programm Diagnose Viewer ausgelesen und angezeigt werden. Der Diagnose Viewer ermöglicht das Lesen bestehender LOG-Dateien, Online-Logging, Speichern der aktuellen Ansicht, Parametrieren der Diagnose-Clients und Diagnose-Server.

tutorial Lizenzinformation

In Standardlizenz für Editor und Runtime enthalten.

Diagnose Viewer starten

Der Diagnose Viewer wird im Ordner: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP installiert. Aufruf unter:

  • Windows 8: geben Sie am Desktop "Diagnosis Viewer" für Apps ein
  • Windows 7: Start/Alle Programme/zenon/Version Independent Tools -> Diagnosis Viewer.

Der Diagnose Viewer steht nur in englischer Sprache zur Verfügung.

Verwendung von IPv6

Der Diagnose Server funktioniert auch mit Diagnose Clients, die über IPv6-Adressen angesprochen werden. Dafür wurde das Format der LOG-Dateien angepasst. Der Diagnose Viewer liest nur das neue Format der LOG-Dateien. Werden Dateien von älteren zenon Versionen geöffnet (oder umgekehrt), wird die IP-Adresse des Diagnose Clients nicht korrekt angezeigt.

Treiberanalyse

zenon Treiber protokollieren alle Fehler in Log-Dateien. Der Standardordner für die Log-Dateien ist der Ordner LOG unterhalb des Ordners ProgramData, zum Beispiel:

C:\ProgramData\COPA-DATA\LOG. Log-Dateien sind Textdateien mit einer speziellen Struktur.

Achtung: Mit den Standardeinstellungen zeichnet ein Treiber nur Fehlerinformationen auf. Mit dem Diagnose Viewer kann bei den meisten Treibern die Diagnose-Ebene auf „Debug" und „Deep Debug" erweitert werden. Damit protokolliert der Treiber auch alle anderen wesentlichen Aufgaben und Ereignisse.

Im Diagnose Viewer kann man auch:

  • eben erstellte Einträge live mitverfolgen
  • die Aufzeichnungseinstellungen anpassen
  • den Ordner, in dem die Log-Dateien gespeichert werden, ändern

Hinweise:

  1. Unter Windows CE werden aus Ressourcegründen auch Fehler standardmäßig nicht protokolliert.
  2. Der Diagnose Viewer zeigt alle Einträge in UTC (Koordinierter Weltzeit) an und nicht in der lokalen Zeit.
  3. Der Diagnose Viewer zeigt in seiner Standardeinstellung nicht alle Spalten einer Log-Datei an. Um mehr Spalten anzuzeigen, aktivieren Sie die Eigenschaft Add all columns with entry im Kontextmenü der Spaltentitel.
  4. Bei Verwendung von reinem Error-Logging befindet sich eine Problembeschreibung in der Spalte Error text. In anderen Diagnose-Ebenen befindet sich diese Beschreibung in der Spalte General text.
  5. Viele Treiber zeichnen bei Kommunikationsprobleme auch Fehlernummern auf, die die SPS ihnen zuweist. Diese werden in Error text und/oder Error code und/oder Driver error parameter(1 und 2) angezeigt. Hinweise zur Bedeutung der Fehlercodes erhalten Sie in der Treiberdokumentation und der Protokoll/SPS-Beschreibung.
  6. Stellen Sie am Ende Ihrer Tests den Diagnose-Level von Debug oder Deep Debug wieder zurück. Bei Debug und Deep Debug fallen beim Protokollieren sehr viele Daten an, die auf der Festplatte gespeichert werden und die Leistung Ihres Systems beeinflussen können. Diese werden auch nach dem Schließen des Diagnose Viewers weiter aufgezeichnet.

Noch in diesem Kapitel

Allgemeines

Topologie des Diagnose-Systems

Standard-Ablauf

Diagnose Server

Diagnose Client

Diagnose Viewer - Auswertungsprogramm

Filtermöglichkeiten

Lesen der LOG-Dateien

Struktur der Log-Datei

Fehlerbehandlung und Meldungen für Diagnose Viewer


Allgemeines

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Allgemeines

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das zenon Diagnose-System loggt Fehlermeldungen aus zenon und zenon Analyzer. Es besteht aus drei Teilen:

  • Diagnose Server: lokaler oder in zenon6.ini eingestellter zenLogSrv
  • Diagnose Clients: alle Module, Treiber, Services etc, die Meldungen absetzen
  • Diagnose Viewer: Auswertungsprogramm

Versionen

Ab Version zenon 7.00 wird für das Diagnose System als Dienst der zenLogSrv statt des zenSysSrv verwendet. Das bedeutet:

  • Diagnose Systeme bis Version 6.51 und ab Version 7.00 sind jeweils untereinander kompatibel.
  • Die Diagnose Mechanismen von zenon 6.51 SP0 und zenon 7.00 SP0 sind nicht kompatibel.
Kompatibilität | Diagnose Server 6.51 SP0 und früher | Diagnose Server 7.00 SP0 und höher
Diagnose Client 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnose Viewer 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnose Client 7.00 SP0 und höher | inkompatibel | kompatibel
Diagnose Viewer 7.00 SP0 und höher | inkompatibel | kompatibel

Mit dem Diagnose Viewer Version 7.00 SP0 und höher können LOG-Dateien, die von einem Diagnose Server Version 6.51 SP0 (oder früher) erstellt wurden, geöffnet werden. Der umgekehrte Fall funktioniert nicht.

Standardports

  • ab Version 7: 50780 (Port des Dienstes zenLogSrv)
  • bis inklusive Version 6.51: 1101 (Port des Dienstes zenSysSrv)

Kann der Port nicht geöffnet werden, beendet sich der jeweilige Dienst.

attention Achtung

Ist der Port, zu dem sich der Diagnose Viewer verbinden soll, geschlossen, dann wird versucht, den lokalen Diagnose Server zu starten. Damit wird sicher gestellt, dass lokal geloggt wird, wenn ein Diagnose Server im Netzwerk nicht verfügbar ist.

Speicherbelegung

Der Dienst zenLogSrv puffert LOG-Einträge bis sie in die LOG-Datei geschrieben werden können. Steigt der Verbrauch an Arbeitsspeicher durch den zenLogSrv kontinuierlich an, ist das ein Hinweis darauf, dass nicht in die LOG-Datei geschrieben werden kann.


Topologie des Diagnose-Systems

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Topologie des Diagnose-Systems

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Topologie des Diagnose-Systems unterscheidet sich in den Versionen bis 6.51 SP0 und ab 7.00 SP0.

Topologie vor zenon 7.00 SP0

Das Schema zeigt alle möglichen Verbindungen, für die der zenSysSrv Version zuständig ist. Jeder Pfeil repräsentiert eine Netzwerkverbindung zwischen den Anwendungen. Alle Anwendungen verbinden sich zum zenSysSrv auf Port 1101, unabhängig davon, ob Client und Server sich auf dem selben Rechner befinden oder über ein Netzwerk kommunizieren.

  1. Der Editor sendet Log-Einträge sowie Kommandos und Daten des Remote-Transport an den zenSysSrv. Der zenSysSrv sendet die Konfiguration der Diagnose Clients (Editor, Runtime, Treiber, Web Server, Web Client usw.) und die Remote-Transport Daten an den Editor.
  2. Der Diagnose Viewer sendet Diagnose-Kommandos, Diagnose-Konfigurationen und Log-Einträge an den zenSysSrv. Der zenSysSrv sendet Diagnose-Daten und die Diagnose Client Konfiguration an den Diagnose Viewer.
  3. Der zenSysSrv sendet die Diagnose Client Konfiguration an die Diagnose Clients. Die Diagnose Clients senden Log-Einträge an den zenSysSrv.

Der zenSysSrv reagiert entsprechend auf jede eingehende Nachricht:

  • Log-Einträge werden in LOG-Dateien geschrieben.
  • Remote-Transport Kommandos (Runtime starten, Dateien hochladen / rücklesen, …) werden ausgeführt.
  • Diagnose-Kommandos (setze Server/Client Konfiguration, beginne Online Logging, …) werden ausgeführt.

Topologie ab zenon 7.00 SP0

Das Schema zeigt alle möglichen Verbindungen, für die der zenSysSrv und der zenLogSrv (ab Version 7.00 SP0) zuständig sind. Jeder Pfeil repräsentiert eine Netzwerkverbindung zwischen den Anwendungen. Alle Anwendungen verbinden sich zum zenLogSrv auf Port 50780. Der Editor verbindet sich zum zenSysSrv auf Port 1101. Dabei ist es egal, ob Client und Server sich auf demselben Rechner befinden oder über ein Netzwerk kommunizieren.

  1. Der Editor sendet Kommandos und Daten des Remote-Transport an den zenSysSrv. Der zenSysSrv sendet Daten des Remote-Transport an den Editor.
  2. Der Editor sendet Log-Einträge an den zenLogSrv. Der zenLogSrv sendet die Konfiguration des Diagnose Clients an den Editor.
  3. Der Diagnose Viewer sendet Diagnose-Kommandos, Diagnose-Konfigurationen und Log-Einträge an den zenLogSrv. Der zenLogSrv sendet Diagnose-Daten und die Konfiguration der Diagnose Clients an den Diagnose Viewer.
  4. Der zenSysSrv sendet Log-Einträge an den zenLogSrv. Der zenLogSrv sendet die Konfiguration der Diagnose Clients an den zenSysSrv.
  5. Der zenLogSrv sendet die Konfiguration der Diagnose Clients an die Diagnose Clients. Die Diagnose Clients senden Log-Einträge an den zenLogSrv.

Der zenSysSrv reagiert auf: eintreffende Remote-Transport Kommandos.
Der zenLogSrv reagiert auf eintreffende Diagnose-Kommandos und Log-Einträge

Beispiel

In einer Umgebung mit einem zentralen Diagnose Server wird auf einem Gerät die Runtime gestartet. Basierend auf der Runtime-Version wird die Konfiguration aus der zenon6.ini gelesen. Versionen vor 7.00 SP0 lesen den Eintrag LOG_CONFIG aus [SYS_REMOTE], neuere Versionen lesen diesen Eintrag aus [LOGGING_SYSTEM]. Mit dieser Konfiguration wird versucht, eine Diagnose-Verbindung herzustellen. (Details siehe Standard-Ablauf.) Jede weitere von der Runtime geladene Komponente (Treiber, zenNetSrvusw.) bauen ebenfalls eine Diagnose-Verbindung auf.


Standard-Ablauf

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Standard-Ablauf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Standardmäßig werden von den Clients an den Diagnose Server nur Fehlermeldungen (Errors) gemeldet.

Der Diagnose Server speichert die erhaltenen Meldungen in TXT-Dateien mit einer speziellen Struktur. Der Standardordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners ProgramData. Zum Beispiel: %ProgramData%\COPA-DATA\LOG.
Weitere Informationen finden Sie im Handbuch Installation und Updates im Kapitel Dateistruktur.

Hinweis: Unter Windows CE werden aus Ressourcegründen per Default auch keine Fehlermeldungen erstellt.

Um nicht nur Fehlermeldungen, sondern andere zur Diagnose wichtige Informationen an den Diagnose Server zu melden, müssen die entsprechenden Einstellungen für den Client getroffen werden.

Auch das Verhalten des Servers kann konfiguriert werden.

Konfiguration

Die Konfiguration der Verbindung erfolgt in der zenon6.ini, unterteilt in:

  • Diagnose Clients
  • Diagnose Server
  • Versionen um sicherzustellen, dass die Konfigurationen der Versionen sich nicht gegenseitig beeinträchtigen

Auch die Konfiguration des Diagnose Viewer ermöglicht Einstellungen für die Verbindung zu konfigurieren:

  • Einstellungen des Servers
  • Verbindungseinstellung Diagnose Server Connection
  • Diagnose Client
  • Diagnose Viewer - Auswertungsprogramm

Die Konfiguration der Verbindungen für Server und Client wird per zenon6.ini empfohlen.

Ablauf

Der Diagnose Server ist:

  • am PC ein Dienst.
    Der Dienst startet mit dem Hochfahren des Betriebssystems automatisch. Der lokale Dienst kann nur einmal gestartet werden.
  • unter CE eine Anwendung.
    Unter CE kann nur ein Prozess den Port nutzen. Eventuell zusätzlich gestartete Prozesse beenden sich wieder, da der Port nicht geöffnet werden kann. Ist die lokale Konfiguration des Diagnose Servers unter CE so eingestellt, dass nur die Oberfläche angezeigt werden soll (INIT=2), können durch die Versuche der Diagnose Clients, den lokalen Diagnose Server zu starten, mehrere Prozesse entstehen.

Sobald ein Diagnose Client aktiv wird, werden folgende Schritte ausgeführt:

  1. Der Diagnose Client liest die Konfiguration aus der zenon6.ini und verwendet diese. Ist in der zenon6.ini keine Konfiguration vorhanden, wird die Standardkonfiguration (Diagnose Server=localhost:50780) verwendet.
  2. Der Diagnose Client versucht eine Verbindung zum Diagnose Server aufzubauen:

    Aufbau gelingt:

    1. Die Diagnose-Verbindung steht und Log-Einträge werden gesendet.

    Aufbau scheitert:

    1. Der Diagnose Client versucht, den lokalen Diagnose Server zu starten und diesen zu verwenden.
      Am PC wird versucht, den Dienst zu starten.
      Unter CE wird versucht, den Prozess zu erzeugen.
    2. Der Diagnose Client versucht eine Verbindung zum lokalen Diagnose Server aufzubauen. Gelingt dies, steht die Diagnose-Verbindung und Log-Einträge werden gesendet.

    Gelingt kein Verbindungsaufbau, werden keine Log-Einträge erstellt.

Noch in diesem Kapitel

Einträge in zenon6.ini

Windows CE


Einträge in zenon6.ini

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Standard-Ablauf -> Einträge in zenon6.ini

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Konfiguration von zenSysSrv und zenLogSrv erfolgt über die zenon6.ini. Dabei wird zwischen den Versionen ab 7.00 und bis inklusive 6.51 unterschieden. Damit können auf einem Gerät sowohl alte als auch neue Diagnose Clients und Diagnose Server unabhängig von einander konfiguriert werden. So können zum Beispiel die LOG-Einträge von alten Diagnose Clients umgeleitet werden, ohne dass die LOG-Einträge neuer Diagnose Clients berührt werden.

Diagnose Server vor Version 7.00 SP0

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für zenSysSrv (Remote-Transport und Diagnose Server).

LOGDirectory=

Definiert Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird als Standardwert der LOG-Ordner im %ProgramData%-Ordner der verwendeten Version herangezogen.

Beispiel:
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Konfigurationsstring für den Diagnose Server und den zenSysSrv . Remote-Transport und Diagnose-System verwenden bis inklusive Version 6.51 SP0 die gleiche Serverkonfiguration. Der String besteht aus folgenden Teilen: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart.
    TCP/IP und seriell stehen zur Verfügung.
  • HOST: wird auf den Rechnernamen des Diagnose Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.
  • BAUD: gibt die Verbindungsgeschwindigkeit einer seriellen Verbindung an.

Konfiguration PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Konfiguration CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

  • 0: inaktiv (Default)

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE :

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Hinweis: Im Zuge der Trennung von zenSysServ und zenLogServ für zenon 7.00 wurde dieser Defaultwert auch für andere Versionen umgestellt. Davor war der Defaultwert 2.

Diagnose Server ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnose Server. Betrifft nur zenLogSrv und hat keine Auswirkung auf zenSysSrv.

LOGDirectory=

Definiert den Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird als Standardwert verwendet:

  • der aus der Registry extrahierte Pfad
    z. B. %ProgramData%\COPA-DATA\LOG
  • der LOG-Ordner im ProgramData-Ordner des zenLogSrv, falls in der Registry kein Pfad definiert wird
    z. B. %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Konfigurationsstring für den Diagnose Server. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnose Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

Default: 0

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE:

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Diagnose Client vor Version 7.00 SP0:

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnose Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnose Client abgelegt. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnose Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnose Client ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnose Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnose Client abgelegt. Der String besteht aus folgenden Teilen:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnose Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Hinweise

INIT unter CE

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]bzw. [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnose Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnose Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnose Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnose Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

zenLogSrv auf einem System mit verschiedenen Versionen

Wird der zenLogSrv auf einem System mit verschiedenen Versionen als zentraler lokaler Diagnose Server verwendet, muss der Eintrag LOG_CONFIG im Abschnitt [SYS_REMOTE] wie folgt lauten:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Grund: Ältere Clients verwenden dann den zenLogSrv als Diagnose Server. Neue Clients machen das automatisch. Am PC wird dieser als Dienst automatisch beim Systemstart gestartet, unter CE muss er händisch gestartet werden.

Achtung: Ist der Port nicht erreichbar, starten ältere Clients den zenSysSrv und versuchen erneut eine Verbindung mit diesem herzustellen.


Windows CE

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Standard-Ablauf -> Windows CE

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unter Windows CE wird der Diagnose Server als Anwendung gestartet.

Bei der Konfiguration der Verbindung beachten Sie die Empfehlung zum Parameter INIT:

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]bzw. [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnose Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnose Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnose Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnose Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

Oberflächen unter CE

Transport Service (zenSysSrv)

Parameter

Beschreibung

Start

Öffnet den Listening Port und ermöglicht dem zenSysSrv Remote-Transport Befehle zu empfangen.

Browse

Öffnet einen Dialog zum Durchsuchen des Dateisystems.

Stop

Beendet das Empfangen von Remote-Transport Befehle und schließt den Listening Port wieder.

Configuration

Auswahl einer verfügbaren Serverkonfiguration aus Dropdownliste. Neue Verbindungen können nicht konfiguriert werden. Konfiguration der Verbindungen siehe Abschnitt Einträge in zenon6.ini.
Verfügbar sind:

  • Konfiguration aus der zenon6.ini
  • Standardkonfiguration für TCP/IP
  • Standardkonfigurationen für COM1 bis COM4

Hide

Minimiert die Oberfläche in die Taskleiste.

Exit

Beendet die Anwendung und schließt bei Bedarf zuvor den Listening Port.

X
(Schaltfläche rechts oben)

Minimiert die Oberfläche in die Taskleiste.

Logging Service (zenLogSrv)

Parameter

Beschreibung

Start

Öffnet den Listening Port und ermöglicht dem zenLogSrv LOG-Einträge zu empfangen.

Stop

Beendet das Empfangen von LOG-Einträgen und schließt den Listening Port wieder.

Configuration

Auswahl aus verfügbaren Konfigurationen aus Dropdownliste. Neue Verbindungen können nicht konfiguriert werden. Konfiguration der Verbindungen siehe Abschnitt Einträge in zenon6.ini.
Verfügbar sind:

  • Konfiguration aus der zenon6.ini
  • Standardkonfiguration für TCP/IP

Hide

Minimiert die Oberfläche in die Taskleiste.

Exit

Beendet die Anwendung und schließt bei Bedarf zuvor den Listening Port.

X
(Schaltfläche rechts oben)

Minimiert die Oberfläche in die Taskleiste.


Diagnose Server

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Server

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Diagnose Server:

  • Erstellt und verwaltet die LOG-Dateien.
  • Der Server ist:
    • ab zenon 7.00 als zenLogSrv implementiert
    • bis inklusive zenon 6.51 in den zenSysService integriert.
  • Die Konfiguration des Servers wird aus der zenon6.ini gelesen.
  • Der Server schreibt die erhaltenen LOG-Daten in die LOG-Datei.
  • Der Speicherort der Dateien ist konfigurierbar. Standard: %ProgramData%\COPA-DATA\LOG\
  • LOG-Dateien haben die Benennung LOG<YYMMTThhmmss>.txt.
  • Der Server ist multiclientfähig. Mehrere Auswertungen können sich gleichzeitig zum Server verbinden.
  • Es besteht die Möglichkeit, sich online auf den Server zu verbinden, um die aktuellen Logging-Vorgänge mitzuverfolgen.
  • Es besteht die Möglichkeit, sich zu anderen als dem lokal laufenden Diagnose Server zu verbinden und dieselben Aufgaben (Server konfigurieren, Clients konfigurieren, Online-Logging) durchzuführen wie am lokalen Server.
  • Beim aktuellen Server (mit dem der Diagnose Viewer verbunden ist) können die Parameter modifiziert werden. Falls eine Modifizierung bei einem anderen Diagnose Server nötig ist, kann unter Menü Datei - Verbinden mit... die Serververbindung geändert werden.
  • Im Menü ist der Eintrag Settings - Server configuration nur verfügbar, wenn gerade kein Online-Logging verwendet wird.

Noch in diesem Kapitel

Systemintegritätsüberprüfung

Einstellungen des Servers


Systemintegritätsüberprüfung

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Server -> Systemintegritätsüberprüfung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Runtime-Start wird ein Überwachungsthread mit hoher Priorität gestartet. Der Überwachungsthread überprüft alle 10 Sekunden kritische Systemparameter und schreibt entsprechende Warnungen oder Fehler in das Modul Supervisor des Diagnose Servers.

Folgende Parameter werden überprüft.

Parameter | Grenzwert
Warnschwelle für benutzte Handles | > 5000
Fehlerschwelle für benutzte Handles | > 9000
Warnschwelle für benutze GDI-Objekte | > 5000
Fehlerschwelle für benutze GDI-Objekte | > 9000
Warnschwelle für CPU-Last für den Hauptthread | > 70 %
Fehlerschwelle für CPU-Last für den Hauptthread | > 90 %
Warnschwelle für CPU-Last gesamt | > 70 %
Warnschwelle für CPU-Last gesamt | > 90 %
Warnschwelle für freien Hauptspeicher | < 30 %
Fehlerschwelle für freien Hauptspeicher | < 10 %
Warnschwelle für OnTimer im mainframe | > 1000 ms
Fehlerschwelle für OnTimer im mainframe | > 5000 ms


Einstellungen des Servers

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Server -> Einstellungen des Servers

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Diagnose Server kann über Einträge in der zenon6.ini konfiguriert werden oder über den Dialog Server configuration im Diagnose Client. Es wird empfohlen, die Einstellungen über zenon6.ini vorzunehmen.

Konfiguration über zenon6.ini

Siehe Abschnitt Einträge in zenon6.ini.

Konfiguration über Dialog

Um den Diagnose Server über den Dialog zu konfigurieren:

  1. starten Sie den Diagnose Viewer
  2. öffnen Sie den Eintrag File Connect to...
  3. konfigurieren Sie den gewünschten Server
    (Beachten Sie die korrekte Wahl des Ports, abhängig von der Version!)
  4. öffnen Sie den Eintrag Settings -> Server configuration
  5. konfigurieren Sie die mitzuloggenden Ereignisse
  6. schließen Sie den Dialog mit Klick auf OK

Hinweis: Alle Änderungen werden mit Bestätigung des Dialogs in die zenon6.ini geschrieben.

Konfiguration der Ereignisse, die vom Diagnose Viewer mitgeloggt werden:

Parameter | Beschreibung
Modules | Auswahl des zu konfigurierenden Moduls.
Messagelevel | Auswahl der zu loggenden Ereignisse. Default: Errors
LOGImageCnt | Anzahl der Einträge, nach denen alle inkrementellen Felder geschrieben werden. Default: 0 (nicht aktiv)
LOGMinFreeDiskSpace | Es wird laufend geprüft, ob weniger als der konfigurierte minimale freie Plattenplatz verfügbar ist. Die ältesten LOG-Dateien werden gelöscht. Minimaler freier Plattenplatz bevor LOG-Dateien gelöscht werden in MB. Default: 1024 MB
LOGMaxUsedDiskSpace | Maximal verwendeter Plattenplatz für das Log in MB. Default: 1024 MB
LOGMinUsedDiskSpace | Minimal verwendeter Plattenplatz unabhängig ob LOGMinFreeDiskSpace unterschritten ist in MB. Default: 5 MB
LOGLogUpdateTime | Zeit in ms nach welcher die erhaltenen Einträge gespeichert werden. Default: 2000 ms
LOGMaxBufferedRecs | Der Server puffert den Inhalt sämtlicher inkrementeller Log-Felder für die verschiedenen Applikationen, um Abbilder dieser in die LOG-Datei schreiben zu können. Bei Neubeginn einer LOG-Datei und nach konfigurierbarer Anzahl von Log-Einträgen wird ein komplettes Abbild, für alle Adressen in die LOG-Datei geschrieben. Die Daten, die empfangen werden, werden in die LOG-Dateien geschrieben. Die Eintragung erfolgt nicht direkt sondern über einen Zwischenpuffer. Es kann konfiguriert werden, ob die Daten verzögert oder sofort geschrieben werden. Anzahl der gepufferten Einträge, wenn diese nicht gespeichert werden können. Default: 10240
LOGMaxLogFileSize | Der Server schreibt die erhaltenen LOG-Daten in die LOG-Datei. Wenn diese die konfigurierte Größe erreicht, wird eine neue Datei begonnen. Maximale Größe einer einzelnen LOG-Datei in Byte. Default: 5 MB
LOGDirectory | Ordner, in den die LOG-Dateien geschrieben werden. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | Es wird laufend geprüft ob die Lebenszeit der LOG-Dateien abgelaufen ist. Die älteren LOG-Dateien werden gelöscht. Anzahl der Sekunden welche die LOG-Dateien aufbewahrt werden. Default: 14 Tage
LOGCheckDiskTime | Abstand in s, in dem der belegte Plattenplatz überprüft wird. Default: 60 s
Message level for all modules | Einstellungen werden für alle Module übernommen.
Default values | Standardeinstellungen wieder herstellen.
Accept | Einstellungen für dieses Modul übernehmen.
Cancel | Verwirft Änderungen und schließt Dialog.
OK | Übernimmt Änderungen und schließt Dialog.


Diagnose Client

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Client

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alle Programme, die LOG-Einträge erstellen, sind Diagnose Clients. Diese Log-Einträge werden via TCP/IP zum Diagnose Server gesendet. Server-Rechner und Port werden - abhängig von der eingesetzten Verion - aus der lokalen zenon6.ini eingelesen und kontaktiert. Schlägt die Verbindung fehl, wird dies zyklisch versucht:

  • Ist der Diagnose Server nicht erreichbar, wird alle 500 ms ein Reconnect versucht.
  • Wenn nach der halben Timeout-Zeit keine Verbindung erstellt werden konnte, wird versucht den Dienst zenSysSrv bzw. zenLogSrv zu starten.

Die Einstellungen werden über den Eintrag LOG_CONFIG= im Abschnitt [SYS_REMOTE] (bis 6.51) bzw. [LOGGING_SYSTEM] (ab 7.00) konfiguriert.

Konfiguration Diagnose Client

Um den Diagnose Client über den Dialog zu konfigurieren:

  1. starten Sie den Diagnose Viewer
  2. öffnen Sie den Eintrag Settings -> Client configuration
    (nur verfügbar, wenn Logging inaktiv ist)
  3. markieren Sie einen Client
  4. klicken Sie auf List of parameters
  5. der Dialog zur Konfiguration wird geöffnet
  6. konfigurieren Sie den Client
  7. schließen Sie den Dialog mit Klick auf OK
  8. wiederholen Sie den Vorgang eventuell für weitere Clients

Clientliste

Parameter | Beschreibung
Clients | Listet alle verfügbaren Clients auf.
Refresh | Aktualisiert Liste der Clients.
List of parameters | Öffnet Dialog zur Konfiguration des ausgewählten Clients.
Close | Schließt Dialog.

Client konfigurieren

Die Standard Module, die ausgewählt werden können:

Parameter

Beschreibung

Modules

Auswahl des zu konfigurierenden Moduls.

Liste setzt sich zusammen aus Standardmodulen und Modulen, die vom jeweiligen Client abhängen.

  • General: Allgemeine Meldungen
  • Net: Netzwerkmeldungen
  • Proxy: Meldungen des zenon Proxy
  • Db: Meldungen vom ZenDbSrv
  • SysSrv: Meldungen vom ZenSysSrv
  • Driver: Meldungen eines Treibers
  • Log: Meldungen vom Logging
  • SAT: SICAM 230 spezifische Meldungen

Messagelevel

Art der zu loggenden Informationen.

All

Wählt alle aus.

None

Wählt alle ab.

Message Level for all Modules

Weist markierte Message Level allen Modulen zu.

Max Buffered records

Anzahl der Einträge, die gepuffert werden, wenn keine Verbindung zum Server besteht.
Default: 256

OK

Übernimmt alle Änderungen und schließt Dialog.

Cancel

Verwirft alle Änderungen und schließt Dialog.

Accept

Übernimmt alle Änderungen und lässt Dialog geöffnet.

Default values

Trägt die Standardwerte ein.


Diagnose Viewer - Auswertungsprogramm

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Viewer - Auswertungsprogramm

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Diagnose Viewer dient zur Anzeige der LOG-Daten. Er verbindet sich mit dem Diagnose Server, um die Daten online anzuzeigen oder historische LOG-Dateien abzurufen. LOG-Dateien enthalten nicht nur die LOG-Daten, es werden zusätzliche auch für die Auswertung notwendige Informationen wie Spaltenüberschriften mit abgelegt.

Um eine LOG-Datei anzuzeigen:

  1. wählen Sie File -> Open
  2. der Dialog zur Auswahl einer LOG-Datei wird mit Fokus auf den konfigurierte Standard-Ordner geöffnet
  3. wählen Sie die gewünschte Datei
  4. die LOG-Datei wird angezeigt

  5. Doppelklick auf einen Eintrag öffnet die Detailansicht

Erkennung Queue-Überlauf bei Treiber

Werden Meldungen eines Treibers aufgrund von Queue-Überlaufen gelöscht, setzen Diagnose Clients und Diagnose Server beim Schreiben eines neuen Eintrags für alle aktivierten Module eine Markierung im neuen Eintrag, dass ältere Einträge aus der Queue gelöscht wurden. Die in den geöffneten LOG-Dateien enthaltenen Überlaufkennungen werden gezählt:

Parameter | Beschreibung
Spalte Record version | Diese Spalte muss in der Spaltenauswahl enthalten sein. Sie zeigt die Version des Datensatzes an. Eine Version 8x markiert Overflows.
Zähler 82 | 8 verweist auf Overflow, 2 auf die betroffene Version des Datensatzes.
Statuszeile: queue overflows | Bei aktivierter Statuszeile wird hier die Anzahl der Overflows angezeigt.

Hinweis: Nicht alle in die LOG-Datei geschriebenen Einträge werden auch dargestellt. Wurde ein nicht dargestellter LOG-Datensatz mit einem Überlauf markiert, wird dieser beim nächsten von diesem Client visualisierten Datensatz angezeigt. Sind mehrere nicht dargestellte Einträge hintereinander mit einem Überlauf markiert, kann der Zähler in der Statuszeile von der Anzahl der Datensätze mit Überlaufmarkierung abweichen.

Noch in diesem Kapitel

Globale Einstellungen


Globale Einstellungen

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Viewer - Auswertungsprogramm -> Globale Einstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Einträge sind in Englischer Sprache.

Parameter

Beschreibung

File

Befehle im Menü File.

Open

Öffnet Dialog zur Auswahl einer im TXT-Format gespeicherten LOG-Datei. Jede neu geöffnete LOG-Datei wird in einem eigenen Fenster angezeigt.

Open to active document

Jede ausgewählte LOG-Datei wird zum aktiven Fenster hinzugefügt.

Close

Schliesst das aktuelle Fenster.

Save

Speichert die LOG-Datei des aktuellen Fensters.

Save as

Speichert die aktuelle Ansicht des aktiven Fensters (z. B. nach Filtereinstellungen) in eine anzugebende Datei.

Remote Download

Nur verfügbar, wenn Verbindung mit einem Remote Diagnose Server besteht. Ermöglicht den Download von Loggingdateien des Remote-Servers in den lokalen LOG-Ordner. Ein Unterordner mit Namen des Rechners wird angelegt. Es werden nur die Dateien angeboten, die sich geändert haben oder neu sind.

Connect to

Dialog zur Verbindungsauswahl wird geöffnet.

Online

Aktiviert die Online-Fehlerbetrachtung.
Wird das Online-Logging gestartet, werden alle erhaltenen Einträge ausgegeben. Der gleiche Filterdialog wie beim Dateilesen kann auch hier eingestellt werden.

Unterschied: Ist keine Logverbindung ausgewählt, werden alle erhaltenen Logeinträge angezeigt, ansonsten nur die von den ausgewählten Clients.

Wird der Filter in Bezug auf die Logverbindung modifiziert, gehen alle Einträge, die nicht den Filterbedingungen entsprechen, verloren. (LOG-Datei wird dennoch angelegt und alle Einträge werden gespeichert.) Angezeigte Einträge können gespeichert werden.

Offline

Deaktiviert die Online-Fehlerbetrachtung (Default).

Exit

Beendet den Diagnose Viewer.

Noch in diesem Kapitel

Verbindungseinstellung Diagnose Server Connection

Spalteneinstellungen


Verbindungseinstellung Diagnose Server Connection

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Viewer - Auswertungsprogramm -> Globale Einstellungen -> Verbindungseinstellung Diagnose Server Connection

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Diagnose Viewer verbindet sich beim Starten automatisch mit einem ausgewählten Standard-Server. Falls kein Standard-Server definiert ist, wird localhost als Standardserver verwendet. Die Serverkonfiguration kann auch über die zenon6.ini erfolgen (empfohlen).

Diagnose Server auswählen

Klick auf File -> Connect to... öffnet Dialog zur Auswahl eines Servers:

Parameter

Beschreibung

Liste Server

Listet alle konfigurierten Server auf und zeigt an:

  • Status
  • Name
  • Port
  • Timeout

OK

Übernimmt Einstellungen und schließt Dialog.

Cancel

Verwirft Einstellungen und schließt Dialog.

New Server

Öffnet Dialog zur Konfiguration eines neuen Servers.

Delete Server

Ausgewählter Server Eintrag wird aus der Liste gelöscht.

Edit Server

Öffnet Dialog zur Konfiguration des ausgewählten Servers.

Connect to

Baut Verbindung zum ausgewählten Server auf.

As default

Selektierter Server Eintrag wird zum Standard Server.

Diagnose Server erstellen und bearbeiten

Klick auf New Server oder Edit Server im Dialog Diagnosis Server connection öffnet Dialog zur Konfiguration der Server:

Parameter | Beschreibung
Server name | Name des Rechners zu dem Verbunden werden soll. Auf diesem muss laufen: bis Version 6.51: der zenSysSrv ab Version 7.00: der zenLogSrv
Port | Port des Dienstes auf dem Zielrechner: bis Version 6.51: 1101 ab Version 7.00: 50780
Timeout | Zeit in Sekunden, in der auf eine Antwort vom Sysservice gewartet wird. Default: 10 s
OK | Übernimmt Einstellungen und schließt Dialog.
Cancel | Verwirft Einstellungen und schließt Dialog.


Spalteneinstellungen

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Diagnose Viewer - Auswertungsprogramm -> Globale Einstellungen -> Spalteneinstellungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Menü kann unter Settings -> Column settings eine Anzahl von vordefinierten Spalten ausgewählt werden. Beim Öffnen einer neuen Datei werden automatisch diese Spalten mit deren Einträgen angezeigt. Es werden ebenfalls die Reihenfolge und die Spaltenbreite der Auswahl berücksichtigt. Die Spaltenbreite muss beim Öffnen auf Autosize gestellt sein.

Parameter | Beschreibung
available | verfügbare Spalten
selected | Spalten, die angezeigt werden
> | fügt bei available ausgewählte Spalten zu selected hinzu
>> | fügt alle bei available verfügbaren Spalten zu selected hinzu
< | entfernt bei selected ausgewählte Spalten
<< | entfernt alle bei selected verfügbaren Spalten
^ | reiht ausgewählte Einträge eine Stufe höher (Multiselect möglich)
v | reiht ausgewählte Einträge eine Stufe tiefer (Multiselect möglich)
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft Einstellungen und schließt Dialog.

Spalten können auch im Kontextmenü konfiguriert werden:

Parameter | Beschreibung
Add all columns with entry | Fügt alle Spalten, die Einträge enthalten hinzu.
Remove Column | Blendet die selektierte Spalte aus.
Remove all empty columns | Blendet alle Spalten ohne Eintragt aus.
Column width automatic | Die Breite der selektierten Spalte wird automatisch an den längsten Eintrag angepasst.
All columns widths automatic | Die Breite aller Spalten wird automatisch an den jeweils längsten Eintrag angepasst.


Filtermöglichkeiten

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Filtermöglichkeiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Filter zu definieren, öffnen Sie den entsprechenden Filterdialog über die entsprechenden Symbole oder die Registerkarten des Filters.

Symbolleiste Filter

Um die Symbolleiste benutzen zu können, muss diese im Menü View über den Eintrag Icon bar aktiviert werden.

Symbol | Tooltip | Beschreibung
1 | Change pre-filter settings | Öffnet Dialog mit fünf Registerkarten zur Definition der Filter.
2 | Change pre-filter for IP-ProcessID-LogID | Öffnet Registerkarte IP address - Process No - Log ID.
3 | Change pre-filter for modules | Öffnet Registerkarte Modules.
4 | Change pre-filter for additional columns | Öffnet Registerkarte Additional columns.
5 | Change pre-filter for time interval | Öffnet Registerkarte Time interval.
6 | Change pre-filter for coloring | Öffnet Registerkarte Colors.

Filterdialog

Registerkarten | Beschreibung
IP-ProcessID-LogID | Öffnet die Registerkarte IP address - Process No - Log ID zur Konfioguration der Verbindungen, die geloggt werden sollen.
Modules | Öffnet die Registerkarte Modules für die zu loggenden Module.
Additional columns | Öffnet die Registerkarte Additional columns zur Auswahl von zusätzlich anzuzeigenden Spalten.
Time interval | Öffnet die Registerkarte Time interval. zur Definition der Zeitfilter.
Colors | Öffnet die Registerkarte Colors zur Auswahl der farblichen Hervorhebung von Informationen.

Noch in diesem Kapitel

IP address - Process No - Log ID

Modules

Additional columns

Time interval

Colors


IP address - Process No - Log ID

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Filtermöglichkeiten -> IP address - Process No - Log ID

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration der Verbindungen und Prozesse, die angezeigt werden sollen.

Parameter | Beschreibung
available | Liste der verfügbaren Verbindungen.
selected | Liste der ausgewählten Verbindungen.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< bzw. <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Modules

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Filtermöglichkeiten -> Modules

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl der Module, die angezeigt werden sollen.

Parameter | Beschreibung
Module filter active | Aktiv: Es wird auf Module gefiltert. Damit werden nur noch LOG-Datensätze angezeigt, die einem selektierten Modul zugeordnet sind.
available | Zur Verfügung stehende Module.
selected | Ausgewählte Module.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< bzw. <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Additional columns

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Filtermöglichkeiten -> Additional columns

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl der zusätzlich anzuzeigenden Spalten.

Parameter | Beschreibung
available | Liste der verfügbaren Spalten. Alle in der Datei vorkommenden Felddefinitionen werden angezeigt.
selected | Liste der ausgewählten Spalten.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< bzw. <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Time interval

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Filtermöglichkeiten -> Time interval

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfiguration des Zeitfilters für die Darstellung der Einträge.

Parameter | Beschreibung
Start time: | Auswahl des Datums und Zeitpunkts, ab dem Einträge angezeigt werden. Default: aktuelles Datum
End time: | Auswahl des Datums und Zeitpunkts bis zu dem Einträge angezeigt werden. Default: aktuelles Datum
Reset time interval | Setzt Filter auf Standardwert zurück.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Colors

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Filtermöglichkeiten -> Colors

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auswahl der farblichen Kennzeichnung von Informationen.

Parameter | Beschreibung
Colors for: | Auswahl der Farbe
IP address | Aktiv: Unterschiedliche IP-Adressen werden unterschiedlich eingefärbt.
Modules | Aktiv: Unterschiedliche Module werden unterschiedlich eingefärbt.
Log connection | Aktiv: Unterschiedliche Namen der LOG-Verbindung werden unterschiedlich eingefärbt.
no colors | Aktiv: Einträge werden nicht eingefärbt.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Lesen der LOG-Dateien

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Lesen der LOG-Dateien

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Es können ein bis mehrere LOG-Dateien gleichzeitig in einer Auswertung geöffnet werden. Zur Einschränkung der Anzeige muss ein Vorfilter eingestellt werden. Dies ist mittels fünf Registerkarten möglich. Dieser Filter kann nachträglich verändert werden. Ist der Filter eingestellt, werden nur die Einträge angezeigt, die diese Filterbedingungen erfüllen. Die Einträge werden chronologisch aufgelistet.

Filterspalten

Eine weitere Filtermöglichkeit bieten die Filterspalten. Pro Spalte können im Eingabefeld unterhalb der Spaltenüberschrift Filterbedingungen eingegeben werden. Die Felder unterstützen Regular Expressions, wodurch auch komplexe Filterbedingungen gebildet werden können. Die Liste ist durch Anklicken der Spaltenüberschrift aufsteigend oder absteigend sortierbar. Angezeigte Einträge können gespeichert werden. Anzuzeigende Felder können über den Menüeintrag Settings -> Column settings ausgewählt werden.

Standard-Felder in der LOG-Datei:

ID | Parameter | Beschreibung
i | IP address | IP-Adresse. Identifiziert den Client und ermöglicht Zuordnung der Meldung.
i | Log ID | ID des Eintrags. Identifiziert den Client und ermöglicht die Zuordnung der Meldung.
i | Message Level | Name des Messagelevels, für den die Meldung eingetragen wurde.
i | Module | Name des Moduls, für das die Meldung eingetragen wurde.
i | Process ID | ID des Prozesses. Identifiziert den Client und ermöglicht Zuordnung der Meldung.
i | Record type | Art des Eintrags.
i | Record version | Versionsnummer des Eintrags.
i | Thread ID | ID des Threads, von welchem aus die Meldung eingetragen wurde.
i | Timestamp | Zeitpunkt der Meldungserstellung in UTC.

Optionale Felder mit fixer ID:

ID | Konstante | Beschreibung
1 | Name of log connection | Name der Logging-Verbindung.
2 | Thread name | Name des Threads.
3 | Name of source files | Name der Source-Datei .
4 | Source line | Sourceline.
5 | Assert condition | Assertbedingung.
6 | Computer name | Computername.
7 | Function name | Name der Funktion.
8 | Project name | Projektname.
9 | Project GUID | GUID des Projekts.
10 | Project path | Projektpfad.
11 | Sent Data | Gesendete Daten.
12 | Received data | Empfangene Daten.
13 | no. serial interface | Nummer der seriellen Schnittstelle.
14 | Baudrate | Baudrate.
15 | dtr setting | DTR-Einstellung.
16 | rts setting | RTS-Einstellung.
17 | Serial char. length | Serielle Zeichenlänge.
18 | Parity | Parität.
19 | No. stopbits | Anzahl der Stopbits.
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | DSR Sensitivity.
23 | Network port no. | Portnummer im Netzwerk .
24 | Server name | Servername.
25 | Standby name | Name Standby Server.
26 | Client name | Client-Name.
27 | Server IP | IP-Adresse Server.
28 | Standby IP | IP-Adresse Standby.
29 | Client IP | IP-Adresse Client.
30 | Binary buffer | Binärpuffer.
31 | Pointer | Pointer.
32 | Class name | Klassenname.
33 | Error code | Fehlercode.
34 | DLL instance handle | DLL Instanzhandle.
35 | DLL name | DLL Name.
36 | Driver error parameter 1 | Treiber Fehler-Parameter 1.
37 | Driver error parameter 2 | Treiber Fehler-Parameter 2.
38 | Trace Message | Trace Meldung.
39 | Errortext | Fehlertext.
40 | Error file name | Name Fehlerdatei.
41 | Success condition | Bedingung für Erfolg.
42 | Value if successful | Wert, wenn erfolgreich.
43 | Net adress | Netzadresse.
44 | Datablock | Datenbaustein.
45 | Offset | Offset.
46 | Bit number | Bitnummer.
47 | Area in PLC | Bereich in der Steuerung.
48 | Communication direction | Gibt die Richtung der Kommunikation als String-Wert an.
49 | General text | Allgemeiner Text.
50 | Main version no. | Nummer Hautpversion.
51 | Sub version no. | Nummer Unterversion.
52 | Build no. | Build-Nummer.
53 | Servicepack | Servicepack.
54 | Hotfix no. | Hotfixnummer.
55 | Sending client | Client, der das Kommando ausgesendet hat.
56 | Target client for command | Client, der Ziel des Kommandos ist.
57 | Database no. | Nummer Datenbank.
58 | Datapoint no. | Datenpunktnummer (Kanalnummer).
59 | Datapoint value | Wert des Datenpunktes.
60 | Datapoint status | Status des Datenpunktes.
61 | Datapoint timestamp | Zeitstempel des Datenpunktes in Sekunden.
62 | Duration in ms | Zeitdauer in Millisekunden.
63 | Number, counter | Zahl, Zähler.


Struktur der Log-Datei

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Struktur der Log-Datei

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Log-Dateien sind ANSI-Textfiles. Die einzelnen Felder werden mittels Tabulatorzeichen getrennt. Als Endezeichen wir CR+LF verwendet. Hierdurch können diese Dateien im Notepad geöffnet werden.

Log-Dateien enthalten die Informationen sequentiell, zeitlich nicht sortiert.

Noch in diesem Kapitel

Meldungsebenen

Suchfunktion

Profile


Meldungsebenen

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Struktur der Log-Datei -> Meldungsebenen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zur Unterteilung der Log-Meldungen werden acht Gruppen geschaffen: Diese sind Bit-kodiert und können somit auch kombiniert werden.

1 | Fehlermeldungen
2 | Warnungen
4 | Erfolgsmeldungen
8 | TRACE
16 | ASSERT
32 | Log-Meldungen
64 | Debug
128 | Erweitertes Debug


Suchfunktion

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Struktur der Log-Datei -> Suchfunktion

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Über View/Find kann im aktuellen Fenster gesucht werden. Alle Treffer werden markiert.


Profile

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Struktur der Log-Datei -> Profile

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Spalteneinstellungen können als Profile gespeichert werden:

Um Profile zu speichern:

  1. geben Sie im Feld in der Symbolleiste einen Namen ein
  2. klicken Sie auf das Symbol mit der Diskette direkt rechts daneben

Um Profile zu laden:

  1. wählen Sie aus der Combobox ein gespeichertes Profil
  2. klicken Sie auf das zweite Symbol rechts davon mit der Diskette

Die Profile werden als *.lvs Datei gespeichert.


Fehlerbehandlung und Meldungen für Diagnose Viewer

zenon Analyzer -> Fehler-Logging -> Diagnose Viewer -> Fehlerbehandlung und Meldungen für Diagnose Viewer

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fehler

Fehler

Mögliche Ursachen

Der Port kann nicht geöffnet werden.
  • Eine andere Anwendung verwendet den Port.
    Prüfen mit "netstat".
  • Die Ports bei den Einträgen
    [SYS_REMOTE] CONFIG und
    [LOGGING_SYSTEM] CONFIG
    sind identisch. zenLogSrv und zenSysSrv versuchen dann den gleichen Port zu öffnen.

Diagnose Clients starten den zenLogSrv nicht
  • Der zenAdminSrv wurde beendet. Ohne diesen kann der Dienst nicht gestartet werden.
  • Der zenLogSrv ist am PC nicht als Dienst registriert. In diesem Fall in der Kommandozeile eingeben: zenLogSrv.exe –Service
  • Diagnose Clients sind nicht von der Version 7.00SP0 oder höher. Der zenLogSrv wird erst ab dieser Version verwendet.
  • Unter Windows CE: Die einzelnen Komponenten (Runtime, SysSrvCE, LogSrvCE) liegen in unterschiedlichen Ordnern. Diese müssen sich im gleichen Ordner befinden, sonst können sich die Komponenten nicht gegenseitig finden.

Unter CE werden viele Prozesse von SysSrvCE.exe bzw. von LogSrvCE.exe angelegt.
  • Einer der beiden Einträge in der zenon6.ini
    [SYS_REMOTE] INIT oder
    [LOGGING_SYSTEM] INIT
    hat den Wert 2.
    Dies führt dazu, dass die Anwendung nur die Oberfläche zeigt und den Listening Port nicht öffnet. Jeder Diagnose Client versucht dann, den Prozess zu starten, da er sich nicht zum Diagnose Server verbinden kann.

Diverse Prozesse stürzen ab.

(Unhandled Exceptions des Diagnose Server beim Empfangen von LOG-Meldungen bzw. Konfigurationskommandos oder des Diagnose Clients und Diagnose Viewers beim Hochfahren bzw. Erhalten der Konfiguration)
  • Die Versionen passen nicht zusammen. Diagnose Clients, Diagnose Server und Diagnose Viewer müssen entweder alle Version 7.00 SP0 und höher ODER alle Version 6.51 SP0 und früher haben (siehe Kompatibilität).

LOG-Einträge

Eintrag

Erklärung

SysSrv received not supported network message!

Der zenSysSrv hat ein Netzwerktelegramm empfangen, das nicht unterstützt wird. Beispiel: LOG-Einträge.

LogSrv received not supported network message!

Der zenLogSrv hat ein Netzwerktelegramm empfangen, das nicht unterstützt wird. Beispiel: Remote-Transport Befehle.

Could not open listening port. Server will be stopped.

Der zenLogSrv oder der zenSysSrv konnte seinen Listening Port nicht öffnen. Die Fehlermeldung wird wie folgt protokolliert:

  • zenLogSrv und zenSysSrv am PC:
    Eintrag in die Windows-Ereignisanzeige.
  • zenSysSrv unter CE:
    Message-Box für den Benutzer und LOG-Eintrag an den Diagnose Server.
  • zenLogSrv unter CE:
    Message Box für den Benutzer.

Folgende LOG-Einträge werden unterschiedlichen Systemen zugeordnet. Der erste Teil der Meldung gibt an, ob Dienst oder Client betroffen sind:

  • SysSrv: zenSysSrv
  • SysCli: Client zum zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Diagnose Client
Eintrag | Erklärung
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | Eine Netzwerkverbindung wurde mit dem angezeigten Konfigurationsstring initialisiert. Server öffnen Ports und Clients verbinden sich zu den Servern.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Bei einer Netzwerkoperation ist ein Ausnahemfehler aufgetreten. Details werden ebenfalls ausgegeben.
[SysSrv/LogSrv] Accept Failed! | Eine eingehende Verbindung von einem Client konnte nicht angenommen werden.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Es konnten nicht alle zu sendenden Daten gesendet werden. Die Anzahl der gesendeten Bytes und die Anzahl zu sendender Bytes werden angegeben.
[SysSrv/LogSrv] Client [String] in List Delete! | Der Client hat sich vom Server abgemeldet.
[SysSrv/LogSrv] Client [String] in List Insert | Der Client hat sich beim Server angemeldet.


Fehlermeldungen zenon Analyzer allgemein

zenon Analyzer -> Fehler-Logging -> Fehlermeldungen zenon Analyzer allgemein

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
@ Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Analyzer Manager

Allgemein

Meldung | Erklärung
Fehlermeldung von Javascript: Error 500 | Mögliche Ursache: Variablenname enthält zwei oder mehr Leerzeichen in Folge.

Analyzer Manager Log

Eintrag

Level

Erklärung

Application_Error: [Fehlerinformationen]

ERRORS

Ein Fehler hat das ASP.Net Application Error Event ausgelöst.

Analyzer Manager Application Start

DEBUG

Die ASP.Net Web-Anwendung wird gerade hochgefahren.

Application_AuthenticateRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

Eine Authentifizierungsanfrage wurde erhalten.

Application_BeginRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

Eine HTTP-Anfrage wurde erhalten.

Application_EndRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

Eine HTTP-Anfrage wurde abgewickelt.

TRACE for [Komponente]: [Meldung]

Je nach Trace-Level:

  • ALL
  • ERRORS
  • WARNINGS
  • DEBUG
  • DEEPDebug

Eine Trace-Nachricht wurde erhalten.

WebService method „[Methode]" called with [Parameterliste]

DEEPDEBUG

Eine WebService-Methode der Reporting Services Web Service Endpunkte wird aufgerufen.

WebService method „[Methode]" returned [Rückgabewert]

DEEPDEBUG

Eine WebService-Methode der Reporting Services Web Service Endpunkte hat einen Rückgabewert geliefert.

WebService method „[Methode]" returned [Rückgabewert] and set [Output-Parameterliste]

DEEPDEBUG

Eine WebService-Methode der Reporting Services Web Service Endpunkte hat einen Rückgabewert geliefert und Output-Parameter gesetzt.

Eventlog entry for [Eventlog-ID]: [Meldung]

Je nach Eventlog-Typ:

  • ERRORS
  • WARNINGS
  • DEBUG
  • DEEPDebug

Eine Eventlog-Nachricht wurde erhalten.

Exception caught in method „[Methodenname]" of type „[Klasenname inklusive Namespace]": [Exception-Dump]

ERRORS

Eine Exception wurde abgefangen.

ZAMS

Sämtliche Meldungen des Ausgabefensters werden an den zenLogSrv gesendet.

Connector Container

Sämtliche Messagebox-Meldungen, die zum Beenden des zrsConnector.exe Prozesses führen, werden als ERRORS geloggt. Außerdem werden folgende Meldungen gespeichert:

Eintrag | Level | Erklärung
The logging connection could not be established! | ERRORS | Log-Verbindung konnte nicht hergestellt werden.
The logging functions could not be loaded! | ERRORS | Die notwendigen Funktionen konnten nicht aus den DLLs geladen werden.
The logging helper DLL could not be loaded! | ERRORS | Die notwendigen DLLs konnten nicht geladen werden.
Client [IP-Adresse & Port] [accepted/processed] | DEBUG | Client-Verbindung wurde akzeptiert bzw. abgehandelt.
Using connector version [Version] | DEBUG | Versionsnummer wurde für Anfrage gesetzt.
The required connector „[Connector]" could not be loaded. Errorcode=[HEX-Fehlercode], Errortext=[Fehlertext] | ERRORS | Der angeforderte Connector konnte nicht geladen werden.
The required connector „[Connector]" has been loaded. | DEBUG | Der angeforderte Connector wurde geladen.
zenonV6: Query for [Anfragetyp] received | DEBUG | Anfrage erhalten.
zenonV6: Query for [Anfragetyp] resulted in error. Errorcode=[HEX-Fehlercode], Errortext=[Fehlertext] | ERRORS | Anfrage hat Fehler ausgelöst.
zenonV6: Query for [Anfragetyp] processed | DEBUG | Anfrage erfolgreich abgearbeitet.
zenonV6: Query shift is not supported | ERRORS | Nicht unterstützte Anfrage.
zenonV6: Query type is not supported | ERRORS | Nicht unterstützte Anfrage.

zrsLicSrv

Sämtliche Einträge, die bisher ans EventLog gesendet wurden, werden geloggt. Ans EventLog werden nur ERRORS gesendet, ausgenommen EXTENDEDLOG ist in der zenAnalyzer.ini gesetzt. Dieses Flag hat keine Auswirkungen auf das Senden von Meldungen an den zenLogSrv.

Eintrag | Level | Erklärung
Client [IP-Adresse & Port] [accepted/processed] | DEBUG | Client-Verbindung wurde akzeptiert bzw. abgehandelt.
The logging connection could not be established! | ERRORS | Logverbindung konnte nicht hergestellt werden
The logging functions could not be loaded! | ERRORS | Die notwendigen Funktionen konnten nicht aus den DLLs geladen werden.
The logging helper DLL could not be loaded! | ERRORS | Die notwendigen DLLs konnten nicht geladen werden.
Command [Kommando mit Parametern] has been processed. | DEBUG | Eine Anfrage wurde bearbeitet. (Diese Meldung wird von jedem Anfragetyp geschrieben.)
Deprecated command [Kommando mit Parametern] has been processed. | DEBUG | Eine veraltete Anfrage wurde erhalten und mit „negativ" (immer negativ, da veraltete Anfrage) beantwortet.

zrsProvider

Folgende neue Logmeldungen wurden hinzugefügt:

Eintrag | Level | Erklärung
The cryptographic service provider could not be initialized! | ERRORS | Provider für Hash konnte nicht initialisiert werden.
Reading the hash data failed! | ERRORS | Hashdaten-auslesen fehlgeschlagen.
The data could not be hashed! | ERRORS | Daten-Hashen fehlgeschlagen.
The hash object could not be created! | ERRORS | Hash-Objekt konnte nicht angelegt werden.
The cryptographic service provider is not usable! | ERRORS | Provider für Hash nicht verwendbar.
Domain [Name] released. | DEBUG | Domain freigegeben
Reading data for [domain/project] [Name]. | DEBUG | Begin des Ladens von Daten für Domain bzw. Projekt
Datasource could not be opened. Errorcode=[HEX-Fehlercode] | ERRORS | Datenquelle konnte nicht geöffnet werden.
Session not be opened. Errorcode=[HEX-Fehlercode] | ERRORS | Session konnte nicht geöffnet werden.
[Anzahl] [Objekttyp] read. | DEBUG | Objektdaten aus Datenbank gelesen.
[Objekttype] data could not be read. Errorcode=[HEX-Fehlercode] | ERRORS | Objektdaten konnten nicht aus Datenbank gelesen werden.
Reading data for [domain/project] [Name] completed. | DEBUG | Laden von Daten für Domain bzw. Projekt abgeschlossen.
The logging connection could not be established! | ERRORS | Log-Verbindung konnte nicht hergestellt werden
The logging functions could not be loaded! | ERRORS | Die notwendigen Funktionen konnten nicht aus den DLLs geladen werden.
The logging helper DLL could not be loaded! | ERRORS | Die notwendigen DLLs konnten nicht geladen werden.
Socket could not be created. Errorcode=[Fehlercode] | ERRORS | Netzwerkverbindung konnte nicht geöffnet werden.
Both server and standby server for the project could not be reached. | ERRORS | Verbindung konnte weder zu Server noch zu Standby (falls definiert) hergestellt werden.
Connecting to [IP-Adresse & Port] | DEBUG | Verbindungsaufbau
Connecting to [IP-Adresse & Port] failed | ERRORS | Verbindung fehlgeschlagen
There was no response to the initialization request. | ERRORS | Initialisierungs-Anfrage blieb unbeantwortet.
Using connector version [Version] | DEBUG | Verbindungsversion ausgehandelt.
There was no response to the query. | ERRORS | Anfrage blieb unbeantwortet.
Query [Anfragetyp]: [Parameterliste] | DEBUG | Anfrage erhalten.
Invalid call: [Fehlerinformation] | ERRORS | Fehlerhafte Anfrage.
Connector error: [Fehlerinformation] | ERRORS | Fehler bei der Kommunikation mit dem Connector Container oder der Connector Container hat einen Fehler beim Bearbeiten der Anfrage gemeldet.
Unexpected connector error: [Fehlerinformation] | ERRORS | Eine Exception ist aufgetreten.
Query [Anfragetyp] processed: [Anzahl] result rows returned. | DEBUG | Anfrage erfolgreich abgearbeitet und Daten zurückgegeben.